<?php //5203b838f15aaabee19d1c274fef1875
/** @noinspection all */

namespace App\Events {

    use Illuminate\Broadcasting\PendingBroadcast;
    
    /**
     * @method static void dispatch($message)
     * @method static PendingBroadcast broadcast($message)
     */
    class CustomMeetingMeetingEvent {}
    
    /**
     * @method static void dispatch($type, $message, $link = null, $user_id = null)
     * @method static PendingBroadcast broadcast($type, $message, $link = null, $user_id = null)
     */
    class NewNotification {}
    
    /**
     * @method static void dispatch($instructor, $student, $course)
     * @method static PendingBroadcast broadcast($instructor, $student, $course)
     */
    class OneToOneConnection {}
    
    /**
     * @method static void dispatch($question, $user = null)
     * @method static PendingBroadcast broadcast($question, $user = null)
     */
    class QuestionAnswerEvent {}
}

namespace App\Jobs {

    use Illuminate\Foundation\Bus\PendingDispatch;
    
    /**
     * @method static PendingDispatch dispatch($blog_id)
     * @method static mixed dispatchSync($blog_id)
     */
    class BlogNotification {}
    
    /**
     * @method static PendingDispatch dispatch($event, $user)
     * @method static mixed dispatchSync($event, $user)
     */
    class EventNotification {}
    
    /**
     * @method static PendingDispatch dispatch($enrolls)
     * @method static mixed dispatchSync($enrolls)
     */
    class ExpireSoonNotificaiton {}
    
    /**
     * @method static PendingDispatch dispatch($user, $plan)
     * @method static mixed dispatchSync($user, $plan)
     */
    class OrgStudentEnrolNotification {}
    
    /**
     * @method static PendingDispatch dispatch($new_student, $password)
     * @method static mixed dispatchSync($new_student, $password)
     */
    class OrgStudentSignupNotification {}
    
    /**
     * @method static PendingDispatch dispatch($notification_id)
     * @method static mixed dispatchSync($notification_id)
     */
    class PostedNotificationJob {}
    
    /**
     * @method static PendingDispatch dispatch($title, $details, $device_token, $id = null, $type = null)
     * @method static mixed dispatchSync($title, $details, $device_token, $id = null, $type = null)
     */
    class PushNotificationJob {}
    
    /**
     * @method static PendingDispatch dispatch($user, $type, $shortcodes)
     * @method static mixed dispatchSync($user, $type, $shortcodes)
     */
    class SendGeneralEmail {}
    
    /**
     * @method static PendingDispatch dispatch($course, $user)
     * @method static mixed dispatchSync($course, $user)
     */
    class SendInvitation {}
    
    /**
     * @method static PendingDispatch dispatch($template, $user, $shortcodes, $action)
     * @method static mixed dispatchSync($template, $user, $shortcodes, $action)
     */
    class SendNotification {}
    
    /**
     * @method static PendingDispatch dispatch($survey_id)
     * @method static mixed dispatchSync($survey_id)
     */
    class SurveyNotification {}
    
    /**
     * @method static PendingDispatch dispatch($group_id, $user_id = [])
     * @method static mixed dispatchSync($group_id, $user_id = [])
     */
    class UserGroupNotificationJob {}
}

namespace Illuminate\Foundation\Console {

    use Illuminate\Foundation\Bus\PendingDispatch;
    
    /**
     * @method static PendingDispatch dispatch(array $data)
     * @method static mixed dispatchSync(array $data)
     */
    class QueuedCommand {}
}

namespace Illuminate\Foundation\Events {

    use Illuminate\Broadcasting\PendingBroadcast;
    
    /**
     * @method static void dispatch(array $stubs)
     * @method static PendingBroadcast broadcast(array $stubs)
     */
    class PublishingStubs {}
}

namespace Illuminate\Queue {

    use Illuminate\Foundation\Bus\PendingDispatch;
    use Laravel\SerializableClosure\SerializableClosure;
    
    /**
     * @method static PendingDispatch dispatch(SerializableClosure $closure)
     * @method static mixed dispatchSync(SerializableClosure $closure)
     */
    class CallQueuedClosure {}
}

namespace Maatwebsite\Excel\Jobs {

    use Illuminate\Contracts\Queue\ShouldQueue;
    use Illuminate\Foundation\Bus\PendingDispatch;
    use Maatwebsite\Excel\Concerns\FromQuery;
    use Maatwebsite\Excel\Concerns\FromView;
    use Maatwebsite\Excel\Files\TemporaryFile;
    
    /**
     * @method static PendingDispatch dispatch(object $sheetExport, TemporaryFile $temporaryFile, string $writerType, int $sheetIndex, array $data)
     * @method static mixed dispatchSync(object $sheetExport, TemporaryFile $temporaryFile, string $writerType, int $sheetIndex, array $data)
     */
    class AppendDataToSheet {}
    
    /**
     * @method static PendingDispatch dispatch(FromQuery $sheetExport, TemporaryFile $temporaryFile, string $writerType, int $sheetIndex, int $page, int $chunkSize)
     * @method static mixed dispatchSync(FromQuery $sheetExport, TemporaryFile $temporaryFile, string $writerType, int $sheetIndex, int $page, int $chunkSize)
     */
    class AppendQueryToSheet {}
    
    /**
     * @method static PendingDispatch dispatch(FromView $sheetExport, TemporaryFile $temporaryFile, string $writerType, int $sheetIndex)
     * @method static mixed dispatchSync(FromView $sheetExport, TemporaryFile $temporaryFile, string $writerType, int $sheetIndex)
     */
    class AppendViewToSheet {}
    
    /**
     * @method static PendingDispatch dispatch(object $export, TemporaryFile $temporaryFile, string $writerType)
     * @method static mixed dispatchSync(object $export, TemporaryFile $temporaryFile, string $writerType)
     */
    class QueueExport {}
    
    /**
     * @method static PendingDispatch dispatch(ShouldQueue $import = null)
     * @method static mixed dispatchSync(ShouldQueue $import = null)
     */
    class QueueImport {}
}

namespace Modules\Coinbase\Jobs {

    use Illuminate\Foundation\Bus\PendingDispatch;
    use Shakurov\Coinbase\Models\CoinbaseWebhookCall;
    
    /**
     * @method static PendingDispatch dispatch(CoinbaseWebhookCall $webhookCall)
     * @method static mixed dispatchSync(CoinbaseWebhookCall $webhookCall)
     */
    class HandleConfirmedCharge {}
}

namespace Modules\HLS\Jobs {

    use Illuminate\Foundation\Bus\PendingDispatch;
    use Modules\HLS\Entities\HlsVideo;
    
    /**
     * @method static PendingDispatch dispatch(HlsVideo $video)
     * @method static mixed dispatchSync(HlsVideo $video)
     */
    class ConvertVideoForStreaming {}
}

namespace Modules\Org\Jobs {

    use Illuminate\Foundation\Bus\PendingDispatch;
    
    /**
     * @method static PendingDispatch dispatch($student, $boards)
     * @method static mixed dispatchSync($student, $boards)
     */
    class LeaderboardUpdateJob {}
}

namespace Modules\UpcomingCourse\Jobs {

    use Illuminate\Foundation\Bus\PendingDispatch;
    
    /**
     * @method static PendingDispatch dispatch($id)
     * @method static mixed dispatchSync($id)
     */
    class PublishCourseJob {}
}

namespace PragmaRX\Google2FALaravel\Events {

    use Illuminate\Broadcasting\PendingBroadcast;
    
    /**
     * @method static void dispatch($user)
     * @method static PendingBroadcast broadcast($user)
     */
    class LoggedOut {}
    
    /**
     * @method static void dispatch($user)
     * @method static PendingBroadcast broadcast($user)
     */
    class LoginFailed {}
    
    /**
     * @method static void dispatch($user)
     * @method static PendingBroadcast broadcast($user)
     */
    class LoginSucceeded {}
    
    /**
     * @method static void dispatch($user)
     * @method static PendingBroadcast broadcast($user)
     */
    class OneTimePasswordExpired {}
    
    /**
     * @method static void dispatch($user)
     * @method static PendingBroadcast broadcast($user)
     */
    class OneTimePasswordRequested {}
    
    /**
     * @method static void dispatch($user)
     * @method static PendingBroadcast broadcast($user)
     */
    class OneTimePasswordRequested53 {}
}

namespace Rappasoft\LaravelLivewireTables\Events {

    use Illuminate\Broadcasting\PendingBroadcast;
    
    /**
     * @method static void dispatch($key, $columns)
     * @method static PendingBroadcast broadcast($key, $columns)
     */
    class ColumnsSelected {}
}

namespace Yajra\DataTables\Jobs {

    use Illuminate\Foundation\Bus\PendingDispatch;
    
    /**
     * @method static PendingDispatch dispatch(array $dataTable, array $request, int|string $user, string $sheetName = 'Sheet1')
     * @method static mixed dispatchSync(array $dataTable, array $request, int|string $user, string $sheetName = 'Sheet1')
     */
    class DataTableExportJob {}
}
