<?php //21ad5e7f3fd4e0487f4c6ee8542555d2
/** @noinspection all */

namespace LaravelIdea\Helper\Modules\Subscription\Entities {

    use Illuminate\Contracts\Database\Query\Expression;
    use Illuminate\Contracts\Support\Arrayable;
    use Illuminate\Pagination\LengthAwarePaginator;
    use Illuminate\Pagination\Paginator;
    use Illuminate\Support\Collection;
    use LaravelIdea\Helper\_BaseBuilder;
    use LaravelIdea\Helper\_BaseCollection;
    use Modules\Subscription\Entities\CourseSubscription;
    use Modules\Subscription\Entities\Faq;
    use Modules\Subscription\Entities\PlanFeature;
    use Modules\Subscription\Entities\SubscriptionCart;
    use Modules\Subscription\Entities\SubscriptionCheckout;
    use Modules\Subscription\Entities\SubscriptionCourse;
    use Modules\Subscription\Entities\SubscriptionCourseList;
    use Modules\Subscription\Entities\SubscriptionSetting;
    
    /**
     * @method CourseSubscription|null getOrPut($key, \Closure $value)
     * @method CourseSubscription|$this shift(int $count = 1)
     * @method CourseSubscription|null firstOrFail(callable|string $key = null, $operator = null, $value = null)
     * @method CourseSubscription|$this pop(int $count = 1)
     * @method CourseSubscription|null pull($key, \Closure $default = null)
     * @method CourseSubscription|null last(callable $callback = null, \Closure $default = null)
     * @method CourseSubscription|$this random(callable|int|null $number = null, bool $preserveKeys = false)
     * @method CourseSubscription|null sole(callable|string $key = null, $operator = null, $value = null)
     * @method CourseSubscription|null get($key, \Closure $default = null)
     * @method CourseSubscription|null first(callable $callback = null, \Closure $default = null)
     * @method CourseSubscription|null firstWhere(callable|string $key, $operator = null, $value = null)
     * @method CourseSubscription|null find($key, $default = null)
     * @method CourseSubscription[] all()
     */
    class _IH_CourseSubscription_C extends _BaseCollection {
        /**
         * @param int $size
         * @return CourseSubscription[][]|Collection<_IH_CourseSubscription_C>
         */
        public function chunk($size)
        {
            return [];
        }
    }
    
    /**
     * @method _IH_CourseSubscription_QB whereId($value)
     * @method _IH_CourseSubscription_QB whereTitle($value)
     * @method _IH_CourseSubscription_QB wherePrice($value)
     * @method _IH_CourseSubscription_QB whereAbout($value)
     * @method _IH_CourseSubscription_QB whereBtnTxt($value)
     * @method _IH_CourseSubscription_QB whereDays($value)
     * @method _IH_CourseSubscription_QB whereStatus($value)
     * @method _IH_CourseSubscription_QB whereOrder($value)
     * @method _IH_CourseSubscription_QB whereLmsId($value)
     * @method _IH_CourseSubscription_QB whereCreatedAt($value)
     * @method _IH_CourseSubscription_QB whereUpdatedAt($value)
     * @method _IH_CourseSubscription_QB wherePopular($value)
     * @method _IH_CourseSubscription_QB whereIsRecurring($value)
     * @method _IH_CourseSubscription_QB whereCategoryId($value)
     * @method CourseSubscription baseSole(array|string $columns = ['*'])
     * @method CourseSubscription create(array $attributes = [])
     * @method _IH_CourseSubscription_C|CourseSubscription[] cursor()
     * @method CourseSubscription|null|_IH_CourseSubscription_C|CourseSubscription[] find($id, array|string $columns = ['*'])
     * @method _IH_CourseSubscription_C|CourseSubscription[] findMany(array|Arrayable $ids, array|string $columns = ['*'])
     * @method CourseSubscription|_IH_CourseSubscription_C|CourseSubscription[] findOr($id, array|\Closure|string $columns = ['*'], \Closure $callback = null)
     * @method CourseSubscription|_IH_CourseSubscription_C|CourseSubscription[] findOrFail($id, array|string $columns = ['*'])
     * @method CourseSubscription|_IH_CourseSubscription_C|CourseSubscription[] findOrNew($id, array|string $columns = ['*'])
     * @method CourseSubscription first(array|string $columns = ['*'])
     * @method CourseSubscription firstOr(array|\Closure|string $columns = ['*'], \Closure $callback = null)
     * @method CourseSubscription firstOrCreate(array $attributes = [], array $values = [])
     * @method CourseSubscription firstOrFail(array|string $columns = ['*'])
     * @method CourseSubscription firstOrNew(array $attributes = [], array $values = [])
     * @method CourseSubscription firstWhere(array|\Closure|Expression|string $column, $operator = null, $value = null, string $boolean = 'and')
     * @method CourseSubscription forceCreate(array $attributes)
     * @method _IH_CourseSubscription_C|CourseSubscription[] fromQuery(string $query, array $bindings = [])
     * @method _IH_CourseSubscription_C|CourseSubscription[] get(array|string $columns = ['*'])
     * @method CourseSubscription getModel()
     * @method CourseSubscription[] getModels(array|string $columns = ['*'])
     * @method _IH_CourseSubscription_C|CourseSubscription[] hydrate(array $items)
     * @method _IH_CourseSubscription_C|CourseSubscription[] lazy(int $chunkSize = 1000)
     * @method _IH_CourseSubscription_C|CourseSubscription[] lazyById(int $chunkSize = 1000, null|string $column = null, null|string $alias = null)
     * @method _IH_CourseSubscription_C|CourseSubscription[] lazyByIdDesc(int $chunkSize = 1000, null|string $column = null, null|string $alias = null)
     * @method CourseSubscription make(array $attributes = [])
     * @method CourseSubscription newModelInstance(array $attributes = [])
     * @method LengthAwarePaginator|CourseSubscription[]|_IH_CourseSubscription_C paginate(\Closure|int|null $perPage = null, array|string $columns = ['*'], string $pageName = 'page', int|null $page = null)
     * @method Paginator|CourseSubscription[]|_IH_CourseSubscription_C simplePaginate(int|null $perPage = null, array|string $columns = ['*'], string $pageName = 'page', int|null $page = null)
     * @method CourseSubscription sole(array|string $columns = ['*'])
     * @method CourseSubscription updateOrCreate(array $attributes, array $values = [])
     */
    class _IH_CourseSubscription_QB extends _BaseBuilder {}
    
    /**
     * @method Faq|null getOrPut($key, \Closure $value)
     * @method Faq|$this shift(int $count = 1)
     * @method Faq|null firstOrFail(callable|string $key = null, $operator = null, $value = null)
     * @method Faq|$this pop(int $count = 1)
     * @method Faq|null pull($key, \Closure $default = null)
     * @method Faq|null last(callable $callback = null, \Closure $default = null)
     * @method Faq|$this random(callable|int|null $number = null, bool $preserveKeys = false)
     * @method Faq|null sole(callable|string $key = null, $operator = null, $value = null)
     * @method Faq|null get($key, \Closure $default = null)
     * @method Faq|null first(callable $callback = null, \Closure $default = null)
     * @method Faq|null firstWhere(callable|string $key, $operator = null, $value = null)
     * @method Faq|null find($key, $default = null)
     * @method Faq[] all()
     */
    class _IH_Faq_C extends _BaseCollection {
        /**
         * @param int $size
         * @return Faq[][]|Collection<_IH_Faq_C>
         */
        public function chunk($size)
        {
            return [];
        }
    }
    
    /**
     * @method _IH_Faq_QB whereId($value)
     * @method _IH_Faq_QB whereQuestion($value)
     * @method _IH_Faq_QB whereAnswer($value)
     * @method _IH_Faq_QB whereStatus($value)
     * @method _IH_Faq_QB whereOrder($value)
     * @method _IH_Faq_QB whereLmsId($value)
     * @method _IH_Faq_QB whereCreatedAt($value)
     * @method _IH_Faq_QB whereUpdatedAt($value)
     * @method Faq baseSole(array|string $columns = ['*'])
     * @method Faq create(array $attributes = [])
     * @method _IH_Faq_C|Faq[] cursor()
     * @method Faq|null|_IH_Faq_C|Faq[] find($id, array|string $columns = ['*'])
     * @method _IH_Faq_C|Faq[] findMany(array|Arrayable $ids, array|string $columns = ['*'])
     * @method Faq|_IH_Faq_C|Faq[] findOr($id, array|\Closure|string $columns = ['*'], \Closure $callback = null)
     * @method Faq|_IH_Faq_C|Faq[] findOrFail($id, array|string $columns = ['*'])
     * @method Faq|_IH_Faq_C|Faq[] findOrNew($id, array|string $columns = ['*'])
     * @method Faq first(array|string $columns = ['*'])
     * @method Faq firstOr(array|\Closure|string $columns = ['*'], \Closure $callback = null)
     * @method Faq firstOrCreate(array $attributes = [], array $values = [])
     * @method Faq firstOrFail(array|string $columns = ['*'])
     * @method Faq firstOrNew(array $attributes = [], array $values = [])
     * @method Faq firstWhere(array|\Closure|Expression|string $column, $operator = null, $value = null, string $boolean = 'and')
     * @method Faq forceCreate(array $attributes)
     * @method _IH_Faq_C|Faq[] fromQuery(string $query, array $bindings = [])
     * @method _IH_Faq_C|Faq[] get(array|string $columns = ['*'])
     * @method Faq getModel()
     * @method Faq[] getModels(array|string $columns = ['*'])
     * @method _IH_Faq_C|Faq[] hydrate(array $items)
     * @method _IH_Faq_C|Faq[] lazy(int $chunkSize = 1000)
     * @method _IH_Faq_C|Faq[] lazyById(int $chunkSize = 1000, null|string $column = null, null|string $alias = null)
     * @method _IH_Faq_C|Faq[] lazyByIdDesc(int $chunkSize = 1000, null|string $column = null, null|string $alias = null)
     * @method Faq make(array $attributes = [])
     * @method Faq newModelInstance(array $attributes = [])
     * @method LengthAwarePaginator|Faq[]|_IH_Faq_C paginate(\Closure|int|null $perPage = null, array|string $columns = ['*'], string $pageName = 'page', int|null $page = null)
     * @method Paginator|Faq[]|_IH_Faq_C simplePaginate(int|null $perPage = null, array|string $columns = ['*'], string $pageName = 'page', int|null $page = null)
     * @method Faq sole(array|string $columns = ['*'])
     * @method Faq updateOrCreate(array $attributes, array $values = [])
     */
    class _IH_Faq_QB extends _BaseBuilder {}
    
    /**
     * @method PlanFeature|null getOrPut($key, \Closure $value)
     * @method PlanFeature|$this shift(int $count = 1)
     * @method PlanFeature|null firstOrFail(callable|string $key = null, $operator = null, $value = null)
     * @method PlanFeature|$this pop(int $count = 1)
     * @method PlanFeature|null pull($key, \Closure $default = null)
     * @method PlanFeature|null last(callable $callback = null, \Closure $default = null)
     * @method PlanFeature|$this random(callable|int|null $number = null, bool $preserveKeys = false)
     * @method PlanFeature|null sole(callable|string $key = null, $operator = null, $value = null)
     * @method PlanFeature|null get($key, \Closure $default = null)
     * @method PlanFeature|null first(callable $callback = null, \Closure $default = null)
     * @method PlanFeature|null firstWhere(callable|string $key, $operator = null, $value = null)
     * @method PlanFeature|null find($key, $default = null)
     * @method PlanFeature[] all()
     */
    class _IH_PlanFeature_C extends _BaseCollection {
        /**
         * @param int $size
         * @return PlanFeature[][]|Collection<_IH_PlanFeature_C>
         */
        public function chunk($size)
        {
            return [];
        }
    }
    
    /**
     * @method _IH_PlanFeature_QB whereId($value)
     * @method _IH_PlanFeature_QB whereTitle($value)
     * @method _IH_PlanFeature_QB whereStatus($value)
     * @method _IH_PlanFeature_QB whereOrder($value)
     * @method _IH_PlanFeature_QB whereLmsId($value)
     * @method _IH_PlanFeature_QB whereCreatedAt($value)
     * @method _IH_PlanFeature_QB whereUpdatedAt($value)
     * @method _IH_PlanFeature_QB wherePlanId($value)
     * @method PlanFeature baseSole(array|string $columns = ['*'])
     * @method PlanFeature create(array $attributes = [])
     * @method _IH_PlanFeature_C|PlanFeature[] cursor()
     * @method PlanFeature|null|_IH_PlanFeature_C|PlanFeature[] find($id, array|string $columns = ['*'])
     * @method _IH_PlanFeature_C|PlanFeature[] findMany(array|Arrayable $ids, array|string $columns = ['*'])
     * @method PlanFeature|_IH_PlanFeature_C|PlanFeature[] findOr($id, array|\Closure|string $columns = ['*'], \Closure $callback = null)
     * @method PlanFeature|_IH_PlanFeature_C|PlanFeature[] findOrFail($id, array|string $columns = ['*'])
     * @method PlanFeature|_IH_PlanFeature_C|PlanFeature[] findOrNew($id, array|string $columns = ['*'])
     * @method PlanFeature first(array|string $columns = ['*'])
     * @method PlanFeature firstOr(array|\Closure|string $columns = ['*'], \Closure $callback = null)
     * @method PlanFeature firstOrCreate(array $attributes = [], array $values = [])
     * @method PlanFeature firstOrFail(array|string $columns = ['*'])
     * @method PlanFeature firstOrNew(array $attributes = [], array $values = [])
     * @method PlanFeature firstWhere(array|\Closure|Expression|string $column, $operator = null, $value = null, string $boolean = 'and')
     * @method PlanFeature forceCreate(array $attributes)
     * @method _IH_PlanFeature_C|PlanFeature[] fromQuery(string $query, array $bindings = [])
     * @method _IH_PlanFeature_C|PlanFeature[] get(array|string $columns = ['*'])
     * @method PlanFeature getModel()
     * @method PlanFeature[] getModels(array|string $columns = ['*'])
     * @method _IH_PlanFeature_C|PlanFeature[] hydrate(array $items)
     * @method _IH_PlanFeature_C|PlanFeature[] lazy(int $chunkSize = 1000)
     * @method _IH_PlanFeature_C|PlanFeature[] lazyById(int $chunkSize = 1000, null|string $column = null, null|string $alias = null)
     * @method _IH_PlanFeature_C|PlanFeature[] lazyByIdDesc(int $chunkSize = 1000, null|string $column = null, null|string $alias = null)
     * @method PlanFeature make(array $attributes = [])
     * @method PlanFeature newModelInstance(array $attributes = [])
     * @method LengthAwarePaginator|PlanFeature[]|_IH_PlanFeature_C paginate(\Closure|int|null $perPage = null, array|string $columns = ['*'], string $pageName = 'page', int|null $page = null)
     * @method Paginator|PlanFeature[]|_IH_PlanFeature_C simplePaginate(int|null $perPage = null, array|string $columns = ['*'], string $pageName = 'page', int|null $page = null)
     * @method PlanFeature sole(array|string $columns = ['*'])
     * @method PlanFeature updateOrCreate(array $attributes, array $values = [])
     */
    class _IH_PlanFeature_QB extends _BaseBuilder {}
    
    /**
     * @method SubscriptionCart|null getOrPut($key, \Closure $value)
     * @method SubscriptionCart|$this shift(int $count = 1)
     * @method SubscriptionCart|null firstOrFail(callable|string $key = null, $operator = null, $value = null)
     * @method SubscriptionCart|$this pop(int $count = 1)
     * @method SubscriptionCart|null pull($key, \Closure $default = null)
     * @method SubscriptionCart|null last(callable $callback = null, \Closure $default = null)
     * @method SubscriptionCart|$this random(callable|int|null $number = null, bool $preserveKeys = false)
     * @method SubscriptionCart|null sole(callable|string $key = null, $operator = null, $value = null)
     * @method SubscriptionCart|null get($key, \Closure $default = null)
     * @method SubscriptionCart|null first(callable $callback = null, \Closure $default = null)
     * @method SubscriptionCart|null firstWhere(callable|string $key, $operator = null, $value = null)
     * @method SubscriptionCart|null find($key, $default = null)
     * @method SubscriptionCart[] all()
     */
    class _IH_SubscriptionCart_C extends _BaseCollection {
        /**
         * @param int $size
         * @return SubscriptionCart[][]|Collection<_IH_SubscriptionCart_C>
         */
        public function chunk($size)
        {
            return [];
        }
    }
    
    /**
     * @method _IH_SubscriptionCart_QB whereId($value)
     * @method _IH_SubscriptionCart_QB whereUserId($value)
     * @method _IH_SubscriptionCart_QB wherePlanId($value)
     * @method _IH_SubscriptionCart_QB wherePrice($value)
     * @method _IH_SubscriptionCart_QB whereDays($value)
     * @method _IH_SubscriptionCart_QB whereTracking($value)
     * @method _IH_SubscriptionCart_QB whereBillingDetailId($value)
     * @method _IH_SubscriptionCart_QB whereLmsId($value)
     * @method _IH_SubscriptionCart_QB whereCreatedAt($value)
     * @method _IH_SubscriptionCart_QB whereUpdatedAt($value)
     * @method SubscriptionCart baseSole(array|string $columns = ['*'])
     * @method SubscriptionCart create(array $attributes = [])
     * @method _IH_SubscriptionCart_C|SubscriptionCart[] cursor()
     * @method SubscriptionCart|null|_IH_SubscriptionCart_C|SubscriptionCart[] find($id, array|string $columns = ['*'])
     * @method _IH_SubscriptionCart_C|SubscriptionCart[] findMany(array|Arrayable $ids, array|string $columns = ['*'])
     * @method SubscriptionCart|_IH_SubscriptionCart_C|SubscriptionCart[] findOr($id, array|\Closure|string $columns = ['*'], \Closure $callback = null)
     * @method SubscriptionCart|_IH_SubscriptionCart_C|SubscriptionCart[] findOrFail($id, array|string $columns = ['*'])
     * @method SubscriptionCart|_IH_SubscriptionCart_C|SubscriptionCart[] findOrNew($id, array|string $columns = ['*'])
     * @method SubscriptionCart first(array|string $columns = ['*'])
     * @method SubscriptionCart firstOr(array|\Closure|string $columns = ['*'], \Closure $callback = null)
     * @method SubscriptionCart firstOrCreate(array $attributes = [], array $values = [])
     * @method SubscriptionCart firstOrFail(array|string $columns = ['*'])
     * @method SubscriptionCart firstOrNew(array $attributes = [], array $values = [])
     * @method SubscriptionCart firstWhere(array|\Closure|Expression|string $column, $operator = null, $value = null, string $boolean = 'and')
     * @method SubscriptionCart forceCreate(array $attributes)
     * @method _IH_SubscriptionCart_C|SubscriptionCart[] fromQuery(string $query, array $bindings = [])
     * @method _IH_SubscriptionCart_C|SubscriptionCart[] get(array|string $columns = ['*'])
     * @method SubscriptionCart getModel()
     * @method SubscriptionCart[] getModels(array|string $columns = ['*'])
     * @method _IH_SubscriptionCart_C|SubscriptionCart[] hydrate(array $items)
     * @method _IH_SubscriptionCart_C|SubscriptionCart[] lazy(int $chunkSize = 1000)
     * @method _IH_SubscriptionCart_C|SubscriptionCart[] lazyById(int $chunkSize = 1000, null|string $column = null, null|string $alias = null)
     * @method _IH_SubscriptionCart_C|SubscriptionCart[] lazyByIdDesc(int $chunkSize = 1000, null|string $column = null, null|string $alias = null)
     * @method SubscriptionCart make(array $attributes = [])
     * @method SubscriptionCart newModelInstance(array $attributes = [])
     * @method LengthAwarePaginator|SubscriptionCart[]|_IH_SubscriptionCart_C paginate(\Closure|int|null $perPage = null, array|string $columns = ['*'], string $pageName = 'page', int|null $page = null)
     * @method Paginator|SubscriptionCart[]|_IH_SubscriptionCart_C simplePaginate(int|null $perPage = null, array|string $columns = ['*'], string $pageName = 'page', int|null $page = null)
     * @method SubscriptionCart sole(array|string $columns = ['*'])
     * @method SubscriptionCart updateOrCreate(array $attributes, array $values = [])
     */
    class _IH_SubscriptionCart_QB extends _BaseBuilder {}
    
    /**
     * @method SubscriptionCheckout|null getOrPut($key, \Closure $value)
     * @method SubscriptionCheckout|$this shift(int $count = 1)
     * @method SubscriptionCheckout|null firstOrFail(callable|string $key = null, $operator = null, $value = null)
     * @method SubscriptionCheckout|$this pop(int $count = 1)
     * @method SubscriptionCheckout|null pull($key, \Closure $default = null)
     * @method SubscriptionCheckout|null last(callable $callback = null, \Closure $default = null)
     * @method SubscriptionCheckout|$this random(callable|int|null $number = null, bool $preserveKeys = false)
     * @method SubscriptionCheckout|null sole(callable|string $key = null, $operator = null, $value = null)
     * @method SubscriptionCheckout|null get($key, \Closure $default = null)
     * @method SubscriptionCheckout|null first(callable $callback = null, \Closure $default = null)
     * @method SubscriptionCheckout|null firstWhere(callable|string $key, $operator = null, $value = null)
     * @method SubscriptionCheckout|null find($key, $default = null)
     * @method SubscriptionCheckout[] all()
     */
    class _IH_SubscriptionCheckout_C extends _BaseCollection {
        /**
         * @param int $size
         * @return SubscriptionCheckout[][]|Collection<_IH_SubscriptionCheckout_C>
         */
        public function chunk($size)
        {
            return [];
        }
    }
    
    /**
     * @method _IH_SubscriptionCheckout_QB whereId($value)
     * @method _IH_SubscriptionCheckout_QB whereBillingDetailId($value)
     * @method _IH_SubscriptionCheckout_QB whereTracking($value)
     * @method _IH_SubscriptionCheckout_QB whereUserId($value)
     * @method _IH_SubscriptionCheckout_QB wherePlanId($value)
     * @method _IH_SubscriptionCheckout_QB wherePrice($value)
     * @method _IH_SubscriptionCheckout_QB whereStartDate($value)
     * @method _IH_SubscriptionCheckout_QB whereEndDate($value)
     * @method _IH_SubscriptionCheckout_QB whereDays($value)
     * @method _IH_SubscriptionCheckout_QB wherePaymentMethod($value)
     * @method _IH_SubscriptionCheckout_QB whereResponse($value)
     * @method _IH_SubscriptionCheckout_QB whereStatus($value)
     * @method _IH_SubscriptionCheckout_QB whereLmsId($value)
     * @method _IH_SubscriptionCheckout_QB whereTax($value)
     * @method _IH_SubscriptionCheckout_QB whereCreatedAt($value)
     * @method _IH_SubscriptionCheckout_QB whereUpdatedAt($value)
     * @method _IH_SubscriptionCheckout_QB whereCouponId($value)
     * @method _IH_SubscriptionCheckout_QB whereDiscount($value)
     * @method _IH_SubscriptionCheckout_QB wherePurchasePrice($value)
     * @method SubscriptionCheckout baseSole(array|string $columns = ['*'])
     * @method SubscriptionCheckout create(array $attributes = [])
     * @method _IH_SubscriptionCheckout_C|SubscriptionCheckout[] cursor()
     * @method SubscriptionCheckout|null|_IH_SubscriptionCheckout_C|SubscriptionCheckout[] find($id, array|string $columns = ['*'])
     * @method _IH_SubscriptionCheckout_C|SubscriptionCheckout[] findMany(array|Arrayable $ids, array|string $columns = ['*'])
     * @method SubscriptionCheckout|_IH_SubscriptionCheckout_C|SubscriptionCheckout[] findOr($id, array|\Closure|string $columns = ['*'], \Closure $callback = null)
     * @method SubscriptionCheckout|_IH_SubscriptionCheckout_C|SubscriptionCheckout[] findOrFail($id, array|string $columns = ['*'])
     * @method SubscriptionCheckout|_IH_SubscriptionCheckout_C|SubscriptionCheckout[] findOrNew($id, array|string $columns = ['*'])
     * @method SubscriptionCheckout first(array|string $columns = ['*'])
     * @method SubscriptionCheckout firstOr(array|\Closure|string $columns = ['*'], \Closure $callback = null)
     * @method SubscriptionCheckout firstOrCreate(array $attributes = [], array $values = [])
     * @method SubscriptionCheckout firstOrFail(array|string $columns = ['*'])
     * @method SubscriptionCheckout firstOrNew(array $attributes = [], array $values = [])
     * @method SubscriptionCheckout firstWhere(array|\Closure|Expression|string $column, $operator = null, $value = null, string $boolean = 'and')
     * @method SubscriptionCheckout forceCreate(array $attributes)
     * @method _IH_SubscriptionCheckout_C|SubscriptionCheckout[] fromQuery(string $query, array $bindings = [])
     * @method _IH_SubscriptionCheckout_C|SubscriptionCheckout[] get(array|string $columns = ['*'])
     * @method SubscriptionCheckout getModel()
     * @method SubscriptionCheckout[] getModels(array|string $columns = ['*'])
     * @method _IH_SubscriptionCheckout_C|SubscriptionCheckout[] hydrate(array $items)
     * @method _IH_SubscriptionCheckout_C|SubscriptionCheckout[] lazy(int $chunkSize = 1000)
     * @method _IH_SubscriptionCheckout_C|SubscriptionCheckout[] lazyById(int $chunkSize = 1000, null|string $column = null, null|string $alias = null)
     * @method _IH_SubscriptionCheckout_C|SubscriptionCheckout[] lazyByIdDesc(int $chunkSize = 1000, null|string $column = null, null|string $alias = null)
     * @method SubscriptionCheckout make(array $attributes = [])
     * @method SubscriptionCheckout newModelInstance(array $attributes = [])
     * @method LengthAwarePaginator|SubscriptionCheckout[]|_IH_SubscriptionCheckout_C paginate(\Closure|int|null $perPage = null, array|string $columns = ['*'], string $pageName = 'page', int|null $page = null)
     * @method Paginator|SubscriptionCheckout[]|_IH_SubscriptionCheckout_C simplePaginate(int|null $perPage = null, array|string $columns = ['*'], string $pageName = 'page', int|null $page = null)
     * @method SubscriptionCheckout sole(array|string $columns = ['*'])
     * @method SubscriptionCheckout updateOrCreate(array $attributes, array $values = [])
     */
    class _IH_SubscriptionCheckout_QB extends _BaseBuilder {}
    
    /**
     * @method SubscriptionCourseList|null getOrPut($key, \Closure $value)
     * @method SubscriptionCourseList|$this shift(int $count = 1)
     * @method SubscriptionCourseList|null firstOrFail(callable|string $key = null, $operator = null, $value = null)
     * @method SubscriptionCourseList|$this pop(int $count = 1)
     * @method SubscriptionCourseList|null pull($key, \Closure $default = null)
     * @method SubscriptionCourseList|null last(callable $callback = null, \Closure $default = null)
     * @method SubscriptionCourseList|$this random(callable|int|null $number = null, bool $preserveKeys = false)
     * @method SubscriptionCourseList|null sole(callable|string $key = null, $operator = null, $value = null)
     * @method SubscriptionCourseList|null get($key, \Closure $default = null)
     * @method SubscriptionCourseList|null first(callable $callback = null, \Closure $default = null)
     * @method SubscriptionCourseList|null firstWhere(callable|string $key, $operator = null, $value = null)
     * @method SubscriptionCourseList|null find($key, $default = null)
     * @method SubscriptionCourseList[] all()
     */
    class _IH_SubscriptionCourseList_C extends _BaseCollection {
        /**
         * @param int $size
         * @return SubscriptionCourseList[][]|Collection<_IH_SubscriptionCourseList_C>
         */
        public function chunk($size)
        {
            return [];
        }
    }
    
    /**
     * @method _IH_SubscriptionCourseList_QB whereId($value)
     * @method _IH_SubscriptionCourseList_QB whereCourseId($value)
     * @method _IH_SubscriptionCourseList_QB wherePlanId($value)
     * @method _IH_SubscriptionCourseList_QB whereLmsId($value)
     * @method _IH_SubscriptionCourseList_QB whereCreatedAt($value)
     * @method _IH_SubscriptionCourseList_QB whereUpdatedAt($value)
     * @method SubscriptionCourseList baseSole(array|string $columns = ['*'])
     * @method SubscriptionCourseList create(array $attributes = [])
     * @method _IH_SubscriptionCourseList_C|SubscriptionCourseList[] cursor()
     * @method SubscriptionCourseList|null|_IH_SubscriptionCourseList_C|SubscriptionCourseList[] find($id, array|string $columns = ['*'])
     * @method _IH_SubscriptionCourseList_C|SubscriptionCourseList[] findMany(array|Arrayable $ids, array|string $columns = ['*'])
     * @method SubscriptionCourseList|_IH_SubscriptionCourseList_C|SubscriptionCourseList[] findOr($id, array|\Closure|string $columns = ['*'], \Closure $callback = null)
     * @method SubscriptionCourseList|_IH_SubscriptionCourseList_C|SubscriptionCourseList[] findOrFail($id, array|string $columns = ['*'])
     * @method SubscriptionCourseList|_IH_SubscriptionCourseList_C|SubscriptionCourseList[] findOrNew($id, array|string $columns = ['*'])
     * @method SubscriptionCourseList first(array|string $columns = ['*'])
     * @method SubscriptionCourseList firstOr(array|\Closure|string $columns = ['*'], \Closure $callback = null)
     * @method SubscriptionCourseList firstOrCreate(array $attributes = [], array $values = [])
     * @method SubscriptionCourseList firstOrFail(array|string $columns = ['*'])
     * @method SubscriptionCourseList firstOrNew(array $attributes = [], array $values = [])
     * @method SubscriptionCourseList firstWhere(array|\Closure|Expression|string $column, $operator = null, $value = null, string $boolean = 'and')
     * @method SubscriptionCourseList forceCreate(array $attributes)
     * @method _IH_SubscriptionCourseList_C|SubscriptionCourseList[] fromQuery(string $query, array $bindings = [])
     * @method _IH_SubscriptionCourseList_C|SubscriptionCourseList[] get(array|string $columns = ['*'])
     * @method SubscriptionCourseList getModel()
     * @method SubscriptionCourseList[] getModels(array|string $columns = ['*'])
     * @method _IH_SubscriptionCourseList_C|SubscriptionCourseList[] hydrate(array $items)
     * @method _IH_SubscriptionCourseList_C|SubscriptionCourseList[] lazy(int $chunkSize = 1000)
     * @method _IH_SubscriptionCourseList_C|SubscriptionCourseList[] lazyById(int $chunkSize = 1000, null|string $column = null, null|string $alias = null)
     * @method _IH_SubscriptionCourseList_C|SubscriptionCourseList[] lazyByIdDesc(int $chunkSize = 1000, null|string $column = null, null|string $alias = null)
     * @method SubscriptionCourseList make(array $attributes = [])
     * @method SubscriptionCourseList newModelInstance(array $attributes = [])
     * @method LengthAwarePaginator|SubscriptionCourseList[]|_IH_SubscriptionCourseList_C paginate(\Closure|int|null $perPage = null, array|string $columns = ['*'], string $pageName = 'page', int|null $page = null)
     * @method Paginator|SubscriptionCourseList[]|_IH_SubscriptionCourseList_C simplePaginate(int|null $perPage = null, array|string $columns = ['*'], string $pageName = 'page', int|null $page = null)
     * @method SubscriptionCourseList sole(array|string $columns = ['*'])
     * @method SubscriptionCourseList updateOrCreate(array $attributes, array $values = [])
     */
    class _IH_SubscriptionCourseList_QB extends _BaseBuilder {}
    
    /**
     * @method SubscriptionCourse|null getOrPut($key, \Closure $value)
     * @method SubscriptionCourse|$this shift(int $count = 1)
     * @method SubscriptionCourse|null firstOrFail(callable|string $key = null, $operator = null, $value = null)
     * @method SubscriptionCourse|$this pop(int $count = 1)
     * @method SubscriptionCourse|null pull($key, \Closure $default = null)
     * @method SubscriptionCourse|null last(callable $callback = null, \Closure $default = null)
     * @method SubscriptionCourse|$this random(callable|int|null $number = null, bool $preserveKeys = false)
     * @method SubscriptionCourse|null sole(callable|string $key = null, $operator = null, $value = null)
     * @method SubscriptionCourse|null get($key, \Closure $default = null)
     * @method SubscriptionCourse|null first(callable $callback = null, \Closure $default = null)
     * @method SubscriptionCourse|null firstWhere(callable|string $key, $operator = null, $value = null)
     * @method SubscriptionCourse|null find($key, $default = null)
     * @method SubscriptionCourse[] all()
     */
    class _IH_SubscriptionCourse_C extends _BaseCollection {
        /**
         * @param int $size
         * @return SubscriptionCourse[][]|Collection<_IH_SubscriptionCourse_C>
         */
        public function chunk($size)
        {
            return [];
        }
    }
    
    /**
     * @method _IH_SubscriptionCourse_QB whereId($value)
     * @method _IH_SubscriptionCourse_QB whereUserId($value)
     * @method _IH_SubscriptionCourse_QB whereInstructorId($value)
     * @method _IH_SubscriptionCourse_QB whereCourseId($value)
     * @method _IH_SubscriptionCourse_QB whereRevenue($value)
     * @method _IH_SubscriptionCourse_QB whereCheckoutId($value)
     * @method _IH_SubscriptionCourse_QB whereStatus($value)
     * @method _IH_SubscriptionCourse_QB whereLmsId($value)
     * @method _IH_SubscriptionCourse_QB whereCreatedAt($value)
     * @method _IH_SubscriptionCourse_QB whereUpdatedAt($value)
     * @method SubscriptionCourse baseSole(array|string $columns = ['*'])
     * @method SubscriptionCourse create(array $attributes = [])
     * @method _IH_SubscriptionCourse_C|SubscriptionCourse[] cursor()
     * @method SubscriptionCourse|null|_IH_SubscriptionCourse_C|SubscriptionCourse[] find($id, array|string $columns = ['*'])
     * @method _IH_SubscriptionCourse_C|SubscriptionCourse[] findMany(array|Arrayable $ids, array|string $columns = ['*'])
     * @method SubscriptionCourse|_IH_SubscriptionCourse_C|SubscriptionCourse[] findOr($id, array|\Closure|string $columns = ['*'], \Closure $callback = null)
     * @method SubscriptionCourse|_IH_SubscriptionCourse_C|SubscriptionCourse[] findOrFail($id, array|string $columns = ['*'])
     * @method SubscriptionCourse|_IH_SubscriptionCourse_C|SubscriptionCourse[] findOrNew($id, array|string $columns = ['*'])
     * @method SubscriptionCourse first(array|string $columns = ['*'])
     * @method SubscriptionCourse firstOr(array|\Closure|string $columns = ['*'], \Closure $callback = null)
     * @method SubscriptionCourse firstOrCreate(array $attributes = [], array $values = [])
     * @method SubscriptionCourse firstOrFail(array|string $columns = ['*'])
     * @method SubscriptionCourse firstOrNew(array $attributes = [], array $values = [])
     * @method SubscriptionCourse firstWhere(array|\Closure|Expression|string $column, $operator = null, $value = null, string $boolean = 'and')
     * @method SubscriptionCourse forceCreate(array $attributes)
     * @method _IH_SubscriptionCourse_C|SubscriptionCourse[] fromQuery(string $query, array $bindings = [])
     * @method _IH_SubscriptionCourse_C|SubscriptionCourse[] get(array|string $columns = ['*'])
     * @method SubscriptionCourse getModel()
     * @method SubscriptionCourse[] getModels(array|string $columns = ['*'])
     * @method _IH_SubscriptionCourse_C|SubscriptionCourse[] hydrate(array $items)
     * @method _IH_SubscriptionCourse_C|SubscriptionCourse[] lazy(int $chunkSize = 1000)
     * @method _IH_SubscriptionCourse_C|SubscriptionCourse[] lazyById(int $chunkSize = 1000, null|string $column = null, null|string $alias = null)
     * @method _IH_SubscriptionCourse_C|SubscriptionCourse[] lazyByIdDesc(int $chunkSize = 1000, null|string $column = null, null|string $alias = null)
     * @method SubscriptionCourse make(array $attributes = [])
     * @method SubscriptionCourse newModelInstance(array $attributes = [])
     * @method LengthAwarePaginator|SubscriptionCourse[]|_IH_SubscriptionCourse_C paginate(\Closure|int|null $perPage = null, array|string $columns = ['*'], string $pageName = 'page', int|null $page = null)
     * @method Paginator|SubscriptionCourse[]|_IH_SubscriptionCourse_C simplePaginate(int|null $perPage = null, array|string $columns = ['*'], string $pageName = 'page', int|null $page = null)
     * @method SubscriptionCourse sole(array|string $columns = ['*'])
     * @method SubscriptionCourse updateOrCreate(array $attributes, array $values = [])
     */
    class _IH_SubscriptionCourse_QB extends _BaseBuilder {}
    
    /**
     * @method SubscriptionSetting|null getOrPut($key, \Closure $value)
     * @method SubscriptionSetting|$this shift(int $count = 1)
     * @method SubscriptionSetting|null firstOrFail(callable|string $key = null, $operator = null, $value = null)
     * @method SubscriptionSetting|$this pop(int $count = 1)
     * @method SubscriptionSetting|null pull($key, \Closure $default = null)
     * @method SubscriptionSetting|null last(callable $callback = null, \Closure $default = null)
     * @method SubscriptionSetting|$this random(callable|int|null $number = null, bool $preserveKeys = false)
     * @method SubscriptionSetting|null sole(callable|string $key = null, $operator = null, $value = null)
     * @method SubscriptionSetting|null get($key, \Closure $default = null)
     * @method SubscriptionSetting|null first(callable $callback = null, \Closure $default = null)
     * @method SubscriptionSetting|null firstWhere(callable|string $key, $operator = null, $value = null)
     * @method SubscriptionSetting|null find($key, $default = null)
     * @method SubscriptionSetting[] all()
     */
    class _IH_SubscriptionSetting_C extends _BaseCollection {
        /**
         * @param int $size
         * @return SubscriptionSetting[][]|Collection<_IH_SubscriptionSetting_C>
         */
        public function chunk($size)
        {
            return [];
        }
    }
    
    /**
     * @method _IH_SubscriptionSetting_QB whereId($value)
     * @method _IH_SubscriptionSetting_QB whereCommissionRate($value)
     * @method _IH_SubscriptionSetting_QB whereType($value)
     * @method _IH_SubscriptionSetting_QB whereLmsId($value)
     * @method _IH_SubscriptionSetting_QB whereCreatedAt($value)
     * @method _IH_SubscriptionSetting_QB whereUpdatedAt($value)
     * @method SubscriptionSetting baseSole(array|string $columns = ['*'])
     * @method SubscriptionSetting create(array $attributes = [])
     * @method _IH_SubscriptionSetting_C|SubscriptionSetting[] cursor()
     * @method SubscriptionSetting|null|_IH_SubscriptionSetting_C|SubscriptionSetting[] find($id, array|string $columns = ['*'])
     * @method _IH_SubscriptionSetting_C|SubscriptionSetting[] findMany(array|Arrayable $ids, array|string $columns = ['*'])
     * @method SubscriptionSetting|_IH_SubscriptionSetting_C|SubscriptionSetting[] findOr($id, array|\Closure|string $columns = ['*'], \Closure $callback = null)
     * @method SubscriptionSetting|_IH_SubscriptionSetting_C|SubscriptionSetting[] findOrFail($id, array|string $columns = ['*'])
     * @method SubscriptionSetting|_IH_SubscriptionSetting_C|SubscriptionSetting[] findOrNew($id, array|string $columns = ['*'])
     * @method SubscriptionSetting first(array|string $columns = ['*'])
     * @method SubscriptionSetting firstOr(array|\Closure|string $columns = ['*'], \Closure $callback = null)
     * @method SubscriptionSetting firstOrCreate(array $attributes = [], array $values = [])
     * @method SubscriptionSetting firstOrFail(array|string $columns = ['*'])
     * @method SubscriptionSetting firstOrNew(array $attributes = [], array $values = [])
     * @method SubscriptionSetting firstWhere(array|\Closure|Expression|string $column, $operator = null, $value = null, string $boolean = 'and')
     * @method SubscriptionSetting forceCreate(array $attributes)
     * @method _IH_SubscriptionSetting_C|SubscriptionSetting[] fromQuery(string $query, array $bindings = [])
     * @method _IH_SubscriptionSetting_C|SubscriptionSetting[] get(array|string $columns = ['*'])
     * @method SubscriptionSetting getModel()
     * @method SubscriptionSetting[] getModels(array|string $columns = ['*'])
     * @method _IH_SubscriptionSetting_C|SubscriptionSetting[] hydrate(array $items)
     * @method _IH_SubscriptionSetting_C|SubscriptionSetting[] lazy(int $chunkSize = 1000)
     * @method _IH_SubscriptionSetting_C|SubscriptionSetting[] lazyById(int $chunkSize = 1000, null|string $column = null, null|string $alias = null)
     * @method _IH_SubscriptionSetting_C|SubscriptionSetting[] lazyByIdDesc(int $chunkSize = 1000, null|string $column = null, null|string $alias = null)
     * @method SubscriptionSetting make(array $attributes = [])
     * @method SubscriptionSetting newModelInstance(array $attributes = [])
     * @method LengthAwarePaginator|SubscriptionSetting[]|_IH_SubscriptionSetting_C paginate(\Closure|int|null $perPage = null, array|string $columns = ['*'], string $pageName = 'page', int|null $page = null)
     * @method Paginator|SubscriptionSetting[]|_IH_SubscriptionSetting_C simplePaginate(int|null $perPage = null, array|string $columns = ['*'], string $pageName = 'page', int|null $page = null)
     * @method SubscriptionSetting sole(array|string $columns = ['*'])
     * @method SubscriptionSetting updateOrCreate(array $attributes, array $values = [])
     */
    class _IH_SubscriptionSetting_QB extends _BaseBuilder {}
}