<?php //2428c139592011762242771fb33274d3
/** @noinspection all */

namespace LaravelIdea\Helper\Modules\Cashback\Entities {

    use Illuminate\Contracts\Database\Query\Expression;
    use Illuminate\Contracts\Support\Arrayable;
    use Illuminate\Pagination\LengthAwarePaginator;
    use Illuminate\Pagination\Paginator;
    use Illuminate\Support\Collection;
    use LaravelIdea\Helper\_BaseBuilder;
    use LaravelIdea\Helper\_BaseCollection;
    use Modules\Cashback\Entities\CashbackRule;
    use Modules\Cashback\Entities\CashbackRuleUser;
    use Modules\Cashback\Entities\RuleSpecificItem;
    use Modules\Cashback\Entities\RuleSpecificItemDetail;
    use Modules\Cashback\Entities\UserCashback;
    use Modules\Cashback\Entities\UserCashbackDetail;
    
    /**
     * @method CashbackRuleUser|null getOrPut($key, \Closure $value)
     * @method CashbackRuleUser|$this shift(int $count = 1)
     * @method CashbackRuleUser|null firstOrFail(callable|string $key = null, $operator = null, $value = null)
     * @method CashbackRuleUser|$this pop(int $count = 1)
     * @method CashbackRuleUser|null pull($key, \Closure $default = null)
     * @method CashbackRuleUser|null last(callable $callback = null, \Closure $default = null)
     * @method CashbackRuleUser|$this random(callable|int|null $number = null, bool $preserveKeys = false)
     * @method CashbackRuleUser|null sole(callable|string $key = null, $operator = null, $value = null)
     * @method CashbackRuleUser|null get($key, \Closure $default = null)
     * @method CashbackRuleUser|null first(callable $callback = null, \Closure $default = null)
     * @method CashbackRuleUser|null firstWhere(callable|string $key, $operator = null, $value = null)
     * @method CashbackRuleUser|null find($key, $default = null)
     * @method CashbackRuleUser[] all()
     */
    class _IH_CashbackRuleUser_C extends _BaseCollection {
        /**
         * @param int $size
         * @return CashbackRuleUser[][]|Collection<_IH_CashbackRuleUser_C>
         */
        public function chunk($size)
        {
            return [];
        }
    }
    
    /**
     * @method _IH_CashbackRuleUser_QB whereId($value)
     * @method _IH_CashbackRuleUser_QB whereCashbackRuleId($value)
     * @method _IH_CashbackRuleUser_QB whereUserId($value)
     * @method _IH_CashbackRuleUser_QB whereStatus($value)
     * @method _IH_CashbackRuleUser_QB whereCreatedAt($value)
     * @method _IH_CashbackRuleUser_QB whereUpdatedAt($value)
     * @method CashbackRuleUser baseSole(array|string $columns = ['*'])
     * @method CashbackRuleUser create(array $attributes = [])
     * @method _IH_CashbackRuleUser_C|CashbackRuleUser[] cursor()
     * @method CashbackRuleUser|null|_IH_CashbackRuleUser_C|CashbackRuleUser[] find($id, array|string $columns = ['*'])
     * @method _IH_CashbackRuleUser_C|CashbackRuleUser[] findMany(array|Arrayable $ids, array|string $columns = ['*'])
     * @method CashbackRuleUser|_IH_CashbackRuleUser_C|CashbackRuleUser[] findOr($id, array|\Closure|string $columns = ['*'], \Closure $callback = null)
     * @method CashbackRuleUser|_IH_CashbackRuleUser_C|CashbackRuleUser[] findOrFail($id, array|string $columns = ['*'])
     * @method CashbackRuleUser|_IH_CashbackRuleUser_C|CashbackRuleUser[] findOrNew($id, array|string $columns = ['*'])
     * @method CashbackRuleUser first(array|string $columns = ['*'])
     * @method CashbackRuleUser firstOr(array|\Closure|string $columns = ['*'], \Closure $callback = null)
     * @method CashbackRuleUser firstOrCreate(array $attributes = [], array $values = [])
     * @method CashbackRuleUser firstOrFail(array|string $columns = ['*'])
     * @method CashbackRuleUser firstOrNew(array $attributes = [], array $values = [])
     * @method CashbackRuleUser firstWhere(array|\Closure|Expression|string $column, $operator = null, $value = null, string $boolean = 'and')
     * @method CashbackRuleUser forceCreate(array $attributes)
     * @method _IH_CashbackRuleUser_C|CashbackRuleUser[] fromQuery(string $query, array $bindings = [])
     * @method _IH_CashbackRuleUser_C|CashbackRuleUser[] get(array|string $columns = ['*'])
     * @method CashbackRuleUser getModel()
     * @method CashbackRuleUser[] getModels(array|string $columns = ['*'])
     * @method _IH_CashbackRuleUser_C|CashbackRuleUser[] hydrate(array $items)
     * @method _IH_CashbackRuleUser_C|CashbackRuleUser[] lazy(int $chunkSize = 1000)
     * @method _IH_CashbackRuleUser_C|CashbackRuleUser[] lazyById(int $chunkSize = 1000, null|string $column = null, null|string $alias = null)
     * @method _IH_CashbackRuleUser_C|CashbackRuleUser[] lazyByIdDesc(int $chunkSize = 1000, null|string $column = null, null|string $alias = null)
     * @method CashbackRuleUser make(array $attributes = [])
     * @method CashbackRuleUser newModelInstance(array $attributes = [])
     * @method LengthAwarePaginator|CashbackRuleUser[]|_IH_CashbackRuleUser_C paginate(\Closure|int|null $perPage = null, array|string $columns = ['*'], string $pageName = 'page', int|null $page = null)
     * @method Paginator|CashbackRuleUser[]|_IH_CashbackRuleUser_C simplePaginate(int|null $perPage = null, array|string $columns = ['*'], string $pageName = 'page', int|null $page = null)
     * @method CashbackRuleUser sole(array|string $columns = ['*'])
     * @method CashbackRuleUser updateOrCreate(array $attributes, array $values = [])
     */
    class _IH_CashbackRuleUser_QB extends _BaseBuilder {}
    
    /**
     * @method CashbackRule|null getOrPut($key, \Closure $value)
     * @method CashbackRule|$this shift(int $count = 1)
     * @method CashbackRule|null firstOrFail(callable|string $key = null, $operator = null, $value = null)
     * @method CashbackRule|$this pop(int $count = 1)
     * @method CashbackRule|null pull($key, \Closure $default = null)
     * @method CashbackRule|null last(callable $callback = null, \Closure $default = null)
     * @method CashbackRule|$this random(callable|int|null $number = null, bool $preserveKeys = false)
     * @method CashbackRule|null sole(callable|string $key = null, $operator = null, $value = null)
     * @method CashbackRule|null get($key, \Closure $default = null)
     * @method CashbackRule|null first(callable $callback = null, \Closure $default = null)
     * @method CashbackRule|null firstWhere(callable|string $key, $operator = null, $value = null)
     * @method CashbackRule|null find($key, $default = null)
     * @method CashbackRule[] all()
     */
    class _IH_CashbackRule_C extends _BaseCollection {
        /**
         * @param int $size
         * @return CashbackRule[][]|Collection<_IH_CashbackRule_C>
         */
        public function chunk($size)
        {
            return [];
        }
    }
    
    /**
     * @method _IH_CashbackRule_QB whereId($value)
     * @method _IH_CashbackRule_QB whereTitle($value)
     * @method _IH_CashbackRule_QB whereUserType($value)
     * @method _IH_CashbackRule_QB whereStartDatetime($value)
     * @method _IH_CashbackRule_QB whereEndDatetime($value)
     * @method _IH_CashbackRule_QB whereAmount($value)
     * @method _IH_CashbackRule_QB whereAmountType($value)
     * @method _IH_CashbackRule_QB whereMinPurchaseAmount($value)
     * @method _IH_CashbackRule_QB whereApplyCashbackPerItem($value)
     * @method _IH_CashbackRule_QB whereStatus($value)
     * @method _IH_CashbackRule_QB whereDeletedAt($value)
     * @method _IH_CashbackRule_QB whereCreatedAt($value)
     * @method _IH_CashbackRule_QB whereUpdatedAt($value)
     * @method CashbackRule baseSole(array|string $columns = ['*'])
     * @method CashbackRule create(array $attributes = [])
     * @method _IH_CashbackRule_C|CashbackRule[] cursor()
     * @method CashbackRule|null|_IH_CashbackRule_C|CashbackRule[] find($id, array|string $columns = ['*'])
     * @method _IH_CashbackRule_C|CashbackRule[] findMany(array|Arrayable $ids, array|string $columns = ['*'])
     * @method CashbackRule|_IH_CashbackRule_C|CashbackRule[] findOr($id, array|\Closure|string $columns = ['*'], \Closure $callback = null)
     * @method CashbackRule|_IH_CashbackRule_C|CashbackRule[] findOrFail($id, array|string $columns = ['*'])
     * @method CashbackRule|_IH_CashbackRule_C|CashbackRule[] findOrNew($id, array|string $columns = ['*'])
     * @method CashbackRule first(array|string $columns = ['*'])
     * @method CashbackRule firstOr(array|\Closure|string $columns = ['*'], \Closure $callback = null)
     * @method CashbackRule firstOrCreate(array $attributes = [], array $values = [])
     * @method CashbackRule firstOrFail(array|string $columns = ['*'])
     * @method CashbackRule firstOrNew(array $attributes = [], array $values = [])
     * @method CashbackRule firstWhere(array|\Closure|Expression|string $column, $operator = null, $value = null, string $boolean = 'and')
     * @method CashbackRule forceCreate(array $attributes)
     * @method _IH_CashbackRule_C|CashbackRule[] fromQuery(string $query, array $bindings = [])
     * @method _IH_CashbackRule_C|CashbackRule[] get(array|string $columns = ['*'])
     * @method CashbackRule getModel()
     * @method CashbackRule[] getModels(array|string $columns = ['*'])
     * @method _IH_CashbackRule_C|CashbackRule[] hydrate(array $items)
     * @method _IH_CashbackRule_C|CashbackRule[] lazy(int $chunkSize = 1000)
     * @method _IH_CashbackRule_C|CashbackRule[] lazyById(int $chunkSize = 1000, null|string $column = null, null|string $alias = null)
     * @method _IH_CashbackRule_C|CashbackRule[] lazyByIdDesc(int $chunkSize = 1000, null|string $column = null, null|string $alias = null)
     * @method CashbackRule make(array $attributes = [])
     * @method CashbackRule newModelInstance(array $attributes = [])
     * @method LengthAwarePaginator|CashbackRule[]|_IH_CashbackRule_C paginate(\Closure|int|null $perPage = null, array|string $columns = ['*'], string $pageName = 'page', int|null $page = null)
     * @method Paginator|CashbackRule[]|_IH_CashbackRule_C simplePaginate(int|null $perPage = null, array|string $columns = ['*'], string $pageName = 'page', int|null $page = null)
     * @method CashbackRule sole(array|string $columns = ['*'])
     * @method CashbackRule updateOrCreate(array $attributes, array $values = [])
     */
    class _IH_CashbackRule_QB extends _BaseBuilder {}
    
    /**
     * @method RuleSpecificItemDetail|null getOrPut($key, \Closure $value)
     * @method RuleSpecificItemDetail|$this shift(int $count = 1)
     * @method RuleSpecificItemDetail|null firstOrFail(callable|string $key = null, $operator = null, $value = null)
     * @method RuleSpecificItemDetail|$this pop(int $count = 1)
     * @method RuleSpecificItemDetail|null pull($key, \Closure $default = null)
     * @method RuleSpecificItemDetail|null last(callable $callback = null, \Closure $default = null)
     * @method RuleSpecificItemDetail|$this random(callable|int|null $number = null, bool $preserveKeys = false)
     * @method RuleSpecificItemDetail|null sole(callable|string $key = null, $operator = null, $value = null)
     * @method RuleSpecificItemDetail|null get($key, \Closure $default = null)
     * @method RuleSpecificItemDetail|null first(callable $callback = null, \Closure $default = null)
     * @method RuleSpecificItemDetail|null firstWhere(callable|string $key, $operator = null, $value = null)
     * @method RuleSpecificItemDetail|null find($key, $default = null)
     * @method RuleSpecificItemDetail[] all()
     */
    class _IH_RuleSpecificItemDetail_C extends _BaseCollection {
        /**
         * @param int $size
         * @return RuleSpecificItemDetail[][]|Collection<_IH_RuleSpecificItemDetail_C>
         */
        public function chunk($size)
        {
            return [];
        }
    }
    
    /**
     * @method _IH_RuleSpecificItemDetail_QB whereId($value)
     * @method _IH_RuleSpecificItemDetail_QB whereRuleSpecificItemId($value)
     * @method _IH_RuleSpecificItemDetail_QB whereType($value)
     * @method _IH_RuleSpecificItemDetail_QB whereItemId($value)
     * @method _IH_RuleSpecificItemDetail_QB whereCreatedAt($value)
     * @method _IH_RuleSpecificItemDetail_QB whereUpdatedAt($value)
     * @method RuleSpecificItemDetail baseSole(array|string $columns = ['*'])
     * @method RuleSpecificItemDetail create(array $attributes = [])
     * @method _IH_RuleSpecificItemDetail_C|RuleSpecificItemDetail[] cursor()
     * @method RuleSpecificItemDetail|null|_IH_RuleSpecificItemDetail_C|RuleSpecificItemDetail[] find($id, array|string $columns = ['*'])
     * @method _IH_RuleSpecificItemDetail_C|RuleSpecificItemDetail[] findMany(array|Arrayable $ids, array|string $columns = ['*'])
     * @method RuleSpecificItemDetail|_IH_RuleSpecificItemDetail_C|RuleSpecificItemDetail[] findOr($id, array|\Closure|string $columns = ['*'], \Closure $callback = null)
     * @method RuleSpecificItemDetail|_IH_RuleSpecificItemDetail_C|RuleSpecificItemDetail[] findOrFail($id, array|string $columns = ['*'])
     * @method RuleSpecificItemDetail|_IH_RuleSpecificItemDetail_C|RuleSpecificItemDetail[] findOrNew($id, array|string $columns = ['*'])
     * @method RuleSpecificItemDetail first(array|string $columns = ['*'])
     * @method RuleSpecificItemDetail firstOr(array|\Closure|string $columns = ['*'], \Closure $callback = null)
     * @method RuleSpecificItemDetail firstOrCreate(array $attributes = [], array $values = [])
     * @method RuleSpecificItemDetail firstOrFail(array|string $columns = ['*'])
     * @method RuleSpecificItemDetail firstOrNew(array $attributes = [], array $values = [])
     * @method RuleSpecificItemDetail firstWhere(array|\Closure|Expression|string $column, $operator = null, $value = null, string $boolean = 'and')
     * @method RuleSpecificItemDetail forceCreate(array $attributes)
     * @method _IH_RuleSpecificItemDetail_C|RuleSpecificItemDetail[] fromQuery(string $query, array $bindings = [])
     * @method _IH_RuleSpecificItemDetail_C|RuleSpecificItemDetail[] get(array|string $columns = ['*'])
     * @method RuleSpecificItemDetail getModel()
     * @method RuleSpecificItemDetail[] getModels(array|string $columns = ['*'])
     * @method _IH_RuleSpecificItemDetail_C|RuleSpecificItemDetail[] hydrate(array $items)
     * @method _IH_RuleSpecificItemDetail_C|RuleSpecificItemDetail[] lazy(int $chunkSize = 1000)
     * @method _IH_RuleSpecificItemDetail_C|RuleSpecificItemDetail[] lazyById(int $chunkSize = 1000, null|string $column = null, null|string $alias = null)
     * @method _IH_RuleSpecificItemDetail_C|RuleSpecificItemDetail[] lazyByIdDesc(int $chunkSize = 1000, null|string $column = null, null|string $alias = null)
     * @method RuleSpecificItemDetail make(array $attributes = [])
     * @method RuleSpecificItemDetail newModelInstance(array $attributes = [])
     * @method LengthAwarePaginator|RuleSpecificItemDetail[]|_IH_RuleSpecificItemDetail_C paginate(\Closure|int|null $perPage = null, array|string $columns = ['*'], string $pageName = 'page', int|null $page = null)
     * @method Paginator|RuleSpecificItemDetail[]|_IH_RuleSpecificItemDetail_C simplePaginate(int|null $perPage = null, array|string $columns = ['*'], string $pageName = 'page', int|null $page = null)
     * @method RuleSpecificItemDetail sole(array|string $columns = ['*'])
     * @method RuleSpecificItemDetail updateOrCreate(array $attributes, array $values = [])
     */
    class _IH_RuleSpecificItemDetail_QB extends _BaseBuilder {}
    
    /**
     * @method RuleSpecificItem|null getOrPut($key, \Closure $value)
     * @method RuleSpecificItem|$this shift(int $count = 1)
     * @method RuleSpecificItem|null firstOrFail(callable|string $key = null, $operator = null, $value = null)
     * @method RuleSpecificItem|$this pop(int $count = 1)
     * @method RuleSpecificItem|null pull($key, \Closure $default = null)
     * @method RuleSpecificItem|null last(callable $callback = null, \Closure $default = null)
     * @method RuleSpecificItem|$this random(callable|int|null $number = null, bool $preserveKeys = false)
     * @method RuleSpecificItem|null sole(callable|string $key = null, $operator = null, $value = null)
     * @method RuleSpecificItem|null get($key, \Closure $default = null)
     * @method RuleSpecificItem|null first(callable $callback = null, \Closure $default = null)
     * @method RuleSpecificItem|null firstWhere(callable|string $key, $operator = null, $value = null)
     * @method RuleSpecificItem|null find($key, $default = null)
     * @method RuleSpecificItem[] all()
     */
    class _IH_RuleSpecificItem_C extends _BaseCollection {
        /**
         * @param int $size
         * @return RuleSpecificItem[][]|Collection<_IH_RuleSpecificItem_C>
         */
        public function chunk($size)
        {
            return [];
        }
    }
    
    /**
     * @method _IH_RuleSpecificItem_QB whereId($value)
     * @method _IH_RuleSpecificItem_QB whereRuleId($value)
     * @method _IH_RuleSpecificItem_QB whereTargetType($value)
     * @method _IH_RuleSpecificItem_QB whereTarget($value)
     * @method _IH_RuleSpecificItem_QB whereCreatedAt($value)
     * @method _IH_RuleSpecificItem_QB whereUpdatedAt($value)
     * @method RuleSpecificItem baseSole(array|string $columns = ['*'])
     * @method RuleSpecificItem create(array $attributes = [])
     * @method _IH_RuleSpecificItem_C|RuleSpecificItem[] cursor()
     * @method RuleSpecificItem|null|_IH_RuleSpecificItem_C|RuleSpecificItem[] find($id, array|string $columns = ['*'])
     * @method _IH_RuleSpecificItem_C|RuleSpecificItem[] findMany(array|Arrayable $ids, array|string $columns = ['*'])
     * @method RuleSpecificItem|_IH_RuleSpecificItem_C|RuleSpecificItem[] findOr($id, array|\Closure|string $columns = ['*'], \Closure $callback = null)
     * @method RuleSpecificItem|_IH_RuleSpecificItem_C|RuleSpecificItem[] findOrFail($id, array|string $columns = ['*'])
     * @method RuleSpecificItem|_IH_RuleSpecificItem_C|RuleSpecificItem[] findOrNew($id, array|string $columns = ['*'])
     * @method RuleSpecificItem first(array|string $columns = ['*'])
     * @method RuleSpecificItem firstOr(array|\Closure|string $columns = ['*'], \Closure $callback = null)
     * @method RuleSpecificItem firstOrCreate(array $attributes = [], array $values = [])
     * @method RuleSpecificItem firstOrFail(array|string $columns = ['*'])
     * @method RuleSpecificItem firstOrNew(array $attributes = [], array $values = [])
     * @method RuleSpecificItem firstWhere(array|\Closure|Expression|string $column, $operator = null, $value = null, string $boolean = 'and')
     * @method RuleSpecificItem forceCreate(array $attributes)
     * @method _IH_RuleSpecificItem_C|RuleSpecificItem[] fromQuery(string $query, array $bindings = [])
     * @method _IH_RuleSpecificItem_C|RuleSpecificItem[] get(array|string $columns = ['*'])
     * @method RuleSpecificItem getModel()
     * @method RuleSpecificItem[] getModels(array|string $columns = ['*'])
     * @method _IH_RuleSpecificItem_C|RuleSpecificItem[] hydrate(array $items)
     * @method _IH_RuleSpecificItem_C|RuleSpecificItem[] lazy(int $chunkSize = 1000)
     * @method _IH_RuleSpecificItem_C|RuleSpecificItem[] lazyById(int $chunkSize = 1000, null|string $column = null, null|string $alias = null)
     * @method _IH_RuleSpecificItem_C|RuleSpecificItem[] lazyByIdDesc(int $chunkSize = 1000, null|string $column = null, null|string $alias = null)
     * @method RuleSpecificItem make(array $attributes = [])
     * @method RuleSpecificItem newModelInstance(array $attributes = [])
     * @method LengthAwarePaginator|RuleSpecificItem[]|_IH_RuleSpecificItem_C paginate(\Closure|int|null $perPage = null, array|string $columns = ['*'], string $pageName = 'page', int|null $page = null)
     * @method Paginator|RuleSpecificItem[]|_IH_RuleSpecificItem_C simplePaginate(int|null $perPage = null, array|string $columns = ['*'], string $pageName = 'page', int|null $page = null)
     * @method RuleSpecificItem sole(array|string $columns = ['*'])
     * @method RuleSpecificItem updateOrCreate(array $attributes, array $values = [])
     */
    class _IH_RuleSpecificItem_QB extends _BaseBuilder {}
    
    /**
     * @method UserCashbackDetail|null getOrPut($key, \Closure $value)
     * @method UserCashbackDetail|$this shift(int $count = 1)
     * @method UserCashbackDetail|null firstOrFail(callable|string $key = null, $operator = null, $value = null)
     * @method UserCashbackDetail|$this pop(int $count = 1)
     * @method UserCashbackDetail|null pull($key, \Closure $default = null)
     * @method UserCashbackDetail|null last(callable $callback = null, \Closure $default = null)
     * @method UserCashbackDetail|$this random(callable|int|null $number = null, bool $preserveKeys = false)
     * @method UserCashbackDetail|null sole(callable|string $key = null, $operator = null, $value = null)
     * @method UserCashbackDetail|null get($key, \Closure $default = null)
     * @method UserCashbackDetail|null first(callable $callback = null, \Closure $default = null)
     * @method UserCashbackDetail|null firstWhere(callable|string $key, $operator = null, $value = null)
     * @method UserCashbackDetail|null find($key, $default = null)
     * @method UserCashbackDetail[] all()
     */
    class _IH_UserCashbackDetail_C extends _BaseCollection {
        /**
         * @param int $size
         * @return UserCashbackDetail[][]|Collection<_IH_UserCashbackDetail_C>
         */
        public function chunk($size)
        {
            return [];
        }
    }
    
    /**
     * @method _IH_UserCashbackDetail_QB whereId($value)
     * @method _IH_UserCashbackDetail_QB whereUserCashbackId($value)
     * @method _IH_UserCashbackDetail_QB whereRuleId($value)
     * @method _IH_UserCashbackDetail_QB whereProductType($value)
     * @method _IH_UserCashbackDetail_QB whereProductId($value)
     * @method _IH_UserCashbackDetail_QB wherePurchaseAmount($value)
     * @method _IH_UserCashbackDetail_QB whereCashbackAmount($value)
     * @method _IH_UserCashbackDetail_QB whereCashbackDatetime($value)
     * @method _IH_UserCashbackDetail_QB whereDescription($value)
     * @method _IH_UserCashbackDetail_QB whereStatus($value)
     * @method _IH_UserCashbackDetail_QB whereRefundedDatetime($value)
     * @method _IH_UserCashbackDetail_QB whereRefundedDescription($value)
     * @method _IH_UserCashbackDetail_QB whereIsGift($value)
     * @method _IH_UserCashbackDetail_QB whereGiftId($value)
     * @method _IH_UserCashbackDetail_QB whereGiftedTo($value)
     * @method _IH_UserCashbackDetail_QB whereSubscriptionEnrolledId($value)
     * @method _IH_UserCashbackDetail_QB whereCreatedAt($value)
     * @method _IH_UserCashbackDetail_QB whereUpdatedAt($value)
     * @method UserCashbackDetail baseSole(array|string $columns = ['*'])
     * @method UserCashbackDetail create(array $attributes = [])
     * @method _IH_UserCashbackDetail_C|UserCashbackDetail[] cursor()
     * @method UserCashbackDetail|null|_IH_UserCashbackDetail_C|UserCashbackDetail[] find($id, array|string $columns = ['*'])
     * @method _IH_UserCashbackDetail_C|UserCashbackDetail[] findMany(array|Arrayable $ids, array|string $columns = ['*'])
     * @method UserCashbackDetail|_IH_UserCashbackDetail_C|UserCashbackDetail[] findOr($id, array|\Closure|string $columns = ['*'], \Closure $callback = null)
     * @method UserCashbackDetail|_IH_UserCashbackDetail_C|UserCashbackDetail[] findOrFail($id, array|string $columns = ['*'])
     * @method UserCashbackDetail|_IH_UserCashbackDetail_C|UserCashbackDetail[] findOrNew($id, array|string $columns = ['*'])
     * @method UserCashbackDetail first(array|string $columns = ['*'])
     * @method UserCashbackDetail firstOr(array|\Closure|string $columns = ['*'], \Closure $callback = null)
     * @method UserCashbackDetail firstOrCreate(array $attributes = [], array $values = [])
     * @method UserCashbackDetail firstOrFail(array|string $columns = ['*'])
     * @method UserCashbackDetail firstOrNew(array $attributes = [], array $values = [])
     * @method UserCashbackDetail firstWhere(array|\Closure|Expression|string $column, $operator = null, $value = null, string $boolean = 'and')
     * @method UserCashbackDetail forceCreate(array $attributes)
     * @method _IH_UserCashbackDetail_C|UserCashbackDetail[] fromQuery(string $query, array $bindings = [])
     * @method _IH_UserCashbackDetail_C|UserCashbackDetail[] get(array|string $columns = ['*'])
     * @method UserCashbackDetail getModel()
     * @method UserCashbackDetail[] getModels(array|string $columns = ['*'])
     * @method _IH_UserCashbackDetail_C|UserCashbackDetail[] hydrate(array $items)
     * @method _IH_UserCashbackDetail_C|UserCashbackDetail[] lazy(int $chunkSize = 1000)
     * @method _IH_UserCashbackDetail_C|UserCashbackDetail[] lazyById(int $chunkSize = 1000, null|string $column = null, null|string $alias = null)
     * @method _IH_UserCashbackDetail_C|UserCashbackDetail[] lazyByIdDesc(int $chunkSize = 1000, null|string $column = null, null|string $alias = null)
     * @method UserCashbackDetail make(array $attributes = [])
     * @method UserCashbackDetail newModelInstance(array $attributes = [])
     * @method LengthAwarePaginator|UserCashbackDetail[]|_IH_UserCashbackDetail_C paginate(\Closure|int|null $perPage = null, array|string $columns = ['*'], string $pageName = 'page', int|null $page = null)
     * @method Paginator|UserCashbackDetail[]|_IH_UserCashbackDetail_C simplePaginate(int|null $perPage = null, array|string $columns = ['*'], string $pageName = 'page', int|null $page = null)
     * @method UserCashbackDetail sole(array|string $columns = ['*'])
     * @method UserCashbackDetail updateOrCreate(array $attributes, array $values = [])
     */
    class _IH_UserCashbackDetail_QB extends _BaseBuilder {}
    
    /**
     * @method UserCashback|null getOrPut($key, \Closure $value)
     * @method UserCashback|$this shift(int $count = 1)
     * @method UserCashback|null firstOrFail(callable|string $key = null, $operator = null, $value = null)
     * @method UserCashback|$this pop(int $count = 1)
     * @method UserCashback|null pull($key, \Closure $default = null)
     * @method UserCashback|null last(callable $callback = null, \Closure $default = null)
     * @method UserCashback|$this random(callable|int|null $number = null, bool $preserveKeys = false)
     * @method UserCashback|null sole(callable|string $key = null, $operator = null, $value = null)
     * @method UserCashback|null get($key, \Closure $default = null)
     * @method UserCashback|null first(callable $callback = null, \Closure $default = null)
     * @method UserCashback|null firstWhere(callable|string $key, $operator = null, $value = null)
     * @method UserCashback|null find($key, $default = null)
     * @method UserCashback[] all()
     */
    class _IH_UserCashback_C extends _BaseCollection {
        /**
         * @param int $size
         * @return UserCashback[][]|Collection<_IH_UserCashback_C>
         */
        public function chunk($size)
        {
            return [];
        }
    }
    
    /**
     * @method _IH_UserCashback_QB whereId($value)
     * @method _IH_UserCashback_QB whereUserId($value)
     * @method _IH_UserCashback_QB wherePurchaseAmount($value)
     * @method _IH_UserCashback_QB whereCashbackAmount($value)
     * @method _IH_UserCashback_QB whereLastCashbackDatetime($value)
     * @method _IH_UserCashback_QB whereCreatedAt($value)
     * @method _IH_UserCashback_QB whereUpdatedAt($value)
     * @method UserCashback baseSole(array|string $columns = ['*'])
     * @method UserCashback create(array $attributes = [])
     * @method _IH_UserCashback_C|UserCashback[] cursor()
     * @method UserCashback|null|_IH_UserCashback_C|UserCashback[] find($id, array|string $columns = ['*'])
     * @method _IH_UserCashback_C|UserCashback[] findMany(array|Arrayable $ids, array|string $columns = ['*'])
     * @method UserCashback|_IH_UserCashback_C|UserCashback[] findOr($id, array|\Closure|string $columns = ['*'], \Closure $callback = null)
     * @method UserCashback|_IH_UserCashback_C|UserCashback[] findOrFail($id, array|string $columns = ['*'])
     * @method UserCashback|_IH_UserCashback_C|UserCashback[] findOrNew($id, array|string $columns = ['*'])
     * @method UserCashback first(array|string $columns = ['*'])
     * @method UserCashback firstOr(array|\Closure|string $columns = ['*'], \Closure $callback = null)
     * @method UserCashback firstOrCreate(array $attributes = [], array $values = [])
     * @method UserCashback firstOrFail(array|string $columns = ['*'])
     * @method UserCashback firstOrNew(array $attributes = [], array $values = [])
     * @method UserCashback firstWhere(array|\Closure|Expression|string $column, $operator = null, $value = null, string $boolean = 'and')
     * @method UserCashback forceCreate(array $attributes)
     * @method _IH_UserCashback_C|UserCashback[] fromQuery(string $query, array $bindings = [])
     * @method _IH_UserCashback_C|UserCashback[] get(array|string $columns = ['*'])
     * @method UserCashback getModel()
     * @method UserCashback[] getModels(array|string $columns = ['*'])
     * @method _IH_UserCashback_C|UserCashback[] hydrate(array $items)
     * @method _IH_UserCashback_C|UserCashback[] lazy(int $chunkSize = 1000)
     * @method _IH_UserCashback_C|UserCashback[] lazyById(int $chunkSize = 1000, null|string $column = null, null|string $alias = null)
     * @method _IH_UserCashback_C|UserCashback[] lazyByIdDesc(int $chunkSize = 1000, null|string $column = null, null|string $alias = null)
     * @method UserCashback make(array $attributes = [])
     * @method UserCashback newModelInstance(array $attributes = [])
     * @method LengthAwarePaginator|UserCashback[]|_IH_UserCashback_C paginate(\Closure|int|null $perPage = null, array|string $columns = ['*'], string $pageName = 'page', int|null $page = null)
     * @method Paginator|UserCashback[]|_IH_UserCashback_C simplePaginate(int|null $perPage = null, array|string $columns = ['*'], string $pageName = 'page', int|null $page = null)
     * @method UserCashback sole(array|string $columns = ['*'])
     * @method UserCashback updateOrCreate(array $attributes, array $values = [])
     */
    class _IH_UserCashback_QB extends _BaseBuilder {}
}