<?php //99b0edde827b6a130643b11a0701be14
/** @noinspection all */

namespace LaravelIdea\Helper\Modules\NotificationSetup\Entities {

    use Illuminate\Contracts\Database\Query\Expression;
    use Illuminate\Contracts\Support\Arrayable;
    use Illuminate\Pagination\LengthAwarePaginator;
    use Illuminate\Pagination\Paginator;
    use Illuminate\Support\Collection;
    use LaravelIdea\Helper\_BaseBuilder;
    use LaravelIdea\Helper\_BaseCollection;
    use Modules\NotificationSetup\Entities\PostedNotification;
    use Modules\NotificationSetup\Entities\PostedNotificationReceiver;
    use Modules\NotificationSetup\Entities\RoleEmailTemplate;
    use Modules\NotificationSetup\Entities\UserNotificationSetup;
    
    /**
     * @method PostedNotificationReceiver|null getOrPut($key, \Closure $value)
     * @method PostedNotificationReceiver|$this shift(int $count = 1)
     * @method PostedNotificationReceiver|null firstOrFail(callable|string $key = null, $operator = null, $value = null)
     * @method PostedNotificationReceiver|$this pop(int $count = 1)
     * @method PostedNotificationReceiver|null pull($key, \Closure $default = null)
     * @method PostedNotificationReceiver|null last(callable $callback = null, \Closure $default = null)
     * @method PostedNotificationReceiver|$this random(callable|int|null $number = null, bool $preserveKeys = false)
     * @method PostedNotificationReceiver|null sole(callable|string $key = null, $operator = null, $value = null)
     * @method PostedNotificationReceiver|null get($key, \Closure $default = null)
     * @method PostedNotificationReceiver|null first(callable $callback = null, \Closure $default = null)
     * @method PostedNotificationReceiver|null firstWhere(callable|string $key, $operator = null, $value = null)
     * @method PostedNotificationReceiver|null find($key, $default = null)
     * @method PostedNotificationReceiver[] all()
     */
    class _IH_PostedNotificationReceiver_C extends _BaseCollection {
        /**
         * @param int $size
         * @return PostedNotificationReceiver[][]|Collection<_IH_PostedNotificationReceiver_C>
         */
        public function chunk($size)
        {
            return [];
        }
    }
    
    /**
     * @method _IH_PostedNotificationReceiver_QB whereId($value)
     * @method _IH_PostedNotificationReceiver_QB whereNotificationId($value)
     * @method _IH_PostedNotificationReceiver_QB whereReceiverId($value)
     * @method _IH_PostedNotificationReceiver_QB whereCreatedAt($value)
     * @method _IH_PostedNotificationReceiver_QB whereUpdatedAt($value)
     * @method PostedNotificationReceiver baseSole(array|string $columns = ['*'])
     * @method PostedNotificationReceiver create(array $attributes = [])
     * @method _IH_PostedNotificationReceiver_C|PostedNotificationReceiver[] cursor()
     * @method PostedNotificationReceiver|null|_IH_PostedNotificationReceiver_C|PostedNotificationReceiver[] find($id, array|string $columns = ['*'])
     * @method _IH_PostedNotificationReceiver_C|PostedNotificationReceiver[] findMany(array|Arrayable $ids, array|string $columns = ['*'])
     * @method PostedNotificationReceiver|_IH_PostedNotificationReceiver_C|PostedNotificationReceiver[] findOr($id, array|\Closure|string $columns = ['*'], \Closure $callback = null)
     * @method PostedNotificationReceiver|_IH_PostedNotificationReceiver_C|PostedNotificationReceiver[] findOrFail($id, array|string $columns = ['*'])
     * @method PostedNotificationReceiver|_IH_PostedNotificationReceiver_C|PostedNotificationReceiver[] findOrNew($id, array|string $columns = ['*'])
     * @method PostedNotificationReceiver first(array|string $columns = ['*'])
     * @method PostedNotificationReceiver firstOr(array|\Closure|string $columns = ['*'], \Closure $callback = null)
     * @method PostedNotificationReceiver firstOrCreate(array $attributes = [], array $values = [])
     * @method PostedNotificationReceiver firstOrFail(array|string $columns = ['*'])
     * @method PostedNotificationReceiver firstOrNew(array $attributes = [], array $values = [])
     * @method PostedNotificationReceiver firstWhere(array|\Closure|Expression|string $column, $operator = null, $value = null, string $boolean = 'and')
     * @method PostedNotificationReceiver forceCreate(array $attributes)
     * @method _IH_PostedNotificationReceiver_C|PostedNotificationReceiver[] fromQuery(string $query, array $bindings = [])
     * @method _IH_PostedNotificationReceiver_C|PostedNotificationReceiver[] get(array|string $columns = ['*'])
     * @method PostedNotificationReceiver getModel()
     * @method PostedNotificationReceiver[] getModels(array|string $columns = ['*'])
     * @method _IH_PostedNotificationReceiver_C|PostedNotificationReceiver[] hydrate(array $items)
     * @method _IH_PostedNotificationReceiver_C|PostedNotificationReceiver[] lazy(int $chunkSize = 1000)
     * @method _IH_PostedNotificationReceiver_C|PostedNotificationReceiver[] lazyById(int $chunkSize = 1000, null|string $column = null, null|string $alias = null)
     * @method _IH_PostedNotificationReceiver_C|PostedNotificationReceiver[] lazyByIdDesc(int $chunkSize = 1000, null|string $column = null, null|string $alias = null)
     * @method PostedNotificationReceiver make(array $attributes = [])
     * @method PostedNotificationReceiver newModelInstance(array $attributes = [])
     * @method LengthAwarePaginator|PostedNotificationReceiver[]|_IH_PostedNotificationReceiver_C paginate(\Closure|int|null $perPage = null, array|string $columns = ['*'], string $pageName = 'page', int|null $page = null)
     * @method Paginator|PostedNotificationReceiver[]|_IH_PostedNotificationReceiver_C simplePaginate(int|null $perPage = null, array|string $columns = ['*'], string $pageName = 'page', int|null $page = null)
     * @method PostedNotificationReceiver sole(array|string $columns = ['*'])
     * @method PostedNotificationReceiver updateOrCreate(array $attributes, array $values = [])
     */
    class _IH_PostedNotificationReceiver_QB extends _BaseBuilder {}
    
    /**
     * @method PostedNotification|null getOrPut($key, \Closure $value)
     * @method PostedNotification|$this shift(int $count = 1)
     * @method PostedNotification|null firstOrFail(callable|string $key = null, $operator = null, $value = null)
     * @method PostedNotification|$this pop(int $count = 1)
     * @method PostedNotification|null pull($key, \Closure $default = null)
     * @method PostedNotification|null last(callable $callback = null, \Closure $default = null)
     * @method PostedNotification|$this random(callable|int|null $number = null, bool $preserveKeys = false)
     * @method PostedNotification|null sole(callable|string $key = null, $operator = null, $value = null)
     * @method PostedNotification|null get($key, \Closure $default = null)
     * @method PostedNotification|null first(callable $callback = null, \Closure $default = null)
     * @method PostedNotification|null firstWhere(callable|string $key, $operator = null, $value = null)
     * @method PostedNotification|null find($key, $default = null)
     * @method PostedNotification[] all()
     */
    class _IH_PostedNotification_C extends _BaseCollection {
        /**
         * @param int $size
         * @return PostedNotification[][]|Collection<_IH_PostedNotification_C>
         */
        public function chunk($size)
        {
            return [];
        }
    }
    
    /**
     * @method _IH_PostedNotification_QB whereId($value)
     * @method _IH_PostedNotification_QB whereTitle($value)
     * @method _IH_PostedNotification_QB whereType($value)
     * @method _IH_PostedNotification_QB whereMessage($value)
     * @method _IH_PostedNotification_QB whereStatus($value)
     * @method _IH_PostedNotification_QB whereSenderId($value)
     * @method _IH_PostedNotification_QB whereCourseId($value)
     * @method _IH_PostedNotification_QB whereUserId($value)
     * @method _IH_PostedNotification_QB whereTotalUsers($value)
     * @method _IH_PostedNotification_QB whereLmsId($value)
     * @method _IH_PostedNotification_QB whereCreatedAt($value)
     * @method _IH_PostedNotification_QB whereUpdatedAt($value)
     * @method PostedNotification baseSole(array|string $columns = ['*'])
     * @method PostedNotification create(array $attributes = [])
     * @method _IH_PostedNotification_C|PostedNotification[] cursor()
     * @method PostedNotification|null|_IH_PostedNotification_C|PostedNotification[] find($id, array|string $columns = ['*'])
     * @method _IH_PostedNotification_C|PostedNotification[] findMany(array|Arrayable $ids, array|string $columns = ['*'])
     * @method PostedNotification|_IH_PostedNotification_C|PostedNotification[] findOr($id, array|\Closure|string $columns = ['*'], \Closure $callback = null)
     * @method PostedNotification|_IH_PostedNotification_C|PostedNotification[] findOrFail($id, array|string $columns = ['*'])
     * @method PostedNotification|_IH_PostedNotification_C|PostedNotification[] findOrNew($id, array|string $columns = ['*'])
     * @method PostedNotification first(array|string $columns = ['*'])
     * @method PostedNotification firstOr(array|\Closure|string $columns = ['*'], \Closure $callback = null)
     * @method PostedNotification firstOrCreate(array $attributes = [], array $values = [])
     * @method PostedNotification firstOrFail(array|string $columns = ['*'])
     * @method PostedNotification firstOrNew(array $attributes = [], array $values = [])
     * @method PostedNotification firstWhere(array|\Closure|Expression|string $column, $operator = null, $value = null, string $boolean = 'and')
     * @method PostedNotification forceCreate(array $attributes)
     * @method _IH_PostedNotification_C|PostedNotification[] fromQuery(string $query, array $bindings = [])
     * @method _IH_PostedNotification_C|PostedNotification[] get(array|string $columns = ['*'])
     * @method PostedNotification getModel()
     * @method PostedNotification[] getModels(array|string $columns = ['*'])
     * @method _IH_PostedNotification_C|PostedNotification[] hydrate(array $items)
     * @method _IH_PostedNotification_C|PostedNotification[] lazy(int $chunkSize = 1000)
     * @method _IH_PostedNotification_C|PostedNotification[] lazyById(int $chunkSize = 1000, null|string $column = null, null|string $alias = null)
     * @method _IH_PostedNotification_C|PostedNotification[] lazyByIdDesc(int $chunkSize = 1000, null|string $column = null, null|string $alias = null)
     * @method PostedNotification make(array $attributes = [])
     * @method PostedNotification newModelInstance(array $attributes = [])
     * @method LengthAwarePaginator|PostedNotification[]|_IH_PostedNotification_C paginate(\Closure|int|null $perPage = null, array|string $columns = ['*'], string $pageName = 'page', int|null $page = null)
     * @method Paginator|PostedNotification[]|_IH_PostedNotification_C simplePaginate(int|null $perPage = null, array|string $columns = ['*'], string $pageName = 'page', int|null $page = null)
     * @method PostedNotification sole(array|string $columns = ['*'])
     * @method PostedNotification updateOrCreate(array $attributes, array $values = [])
     */
    class _IH_PostedNotification_QB extends _BaseBuilder {}
    
    /**
     * @method RoleEmailTemplate|null getOrPut($key, \Closure $value)
     * @method RoleEmailTemplate|$this shift(int $count = 1)
     * @method RoleEmailTemplate|null firstOrFail(callable|string $key = null, $operator = null, $value = null)
     * @method RoleEmailTemplate|$this pop(int $count = 1)
     * @method RoleEmailTemplate|null pull($key, \Closure $default = null)
     * @method RoleEmailTemplate|null last(callable $callback = null, \Closure $default = null)
     * @method RoleEmailTemplate|$this random(callable|int|null $number = null, bool $preserveKeys = false)
     * @method RoleEmailTemplate|null sole(callable|string $key = null, $operator = null, $value = null)
     * @method RoleEmailTemplate|null get($key, \Closure $default = null)
     * @method RoleEmailTemplate|null first(callable $callback = null, \Closure $default = null)
     * @method RoleEmailTemplate|null firstWhere(callable|string $key, $operator = null, $value = null)
     * @method RoleEmailTemplate|null find($key, $default = null)
     * @method RoleEmailTemplate[] all()
     */
    class _IH_RoleEmailTemplate_C extends _BaseCollection {
        /**
         * @param int $size
         * @return RoleEmailTemplate[][]|Collection<_IH_RoleEmailTemplate_C>
         */
        public function chunk($size)
        {
            return [];
        }
    }
    
    /**
     * @method _IH_RoleEmailTemplate_QB whereId($value)
     * @method _IH_RoleEmailTemplate_QB whereRoleId($value)
     * @method _IH_RoleEmailTemplate_QB whereTemplateAct($value)
     * @method _IH_RoleEmailTemplate_QB whereStatus($value)
     * @method _IH_RoleEmailTemplate_QB whereCreatedAt($value)
     * @method _IH_RoleEmailTemplate_QB whereUpdatedAt($value)
     * @method RoleEmailTemplate baseSole(array|string $columns = ['*'])
     * @method RoleEmailTemplate create(array $attributes = [])
     * @method _IH_RoleEmailTemplate_C|RoleEmailTemplate[] cursor()
     * @method RoleEmailTemplate|null|_IH_RoleEmailTemplate_C|RoleEmailTemplate[] find($id, array|string $columns = ['*'])
     * @method _IH_RoleEmailTemplate_C|RoleEmailTemplate[] findMany(array|Arrayable $ids, array|string $columns = ['*'])
     * @method RoleEmailTemplate|_IH_RoleEmailTemplate_C|RoleEmailTemplate[] findOr($id, array|\Closure|string $columns = ['*'], \Closure $callback = null)
     * @method RoleEmailTemplate|_IH_RoleEmailTemplate_C|RoleEmailTemplate[] findOrFail($id, array|string $columns = ['*'])
     * @method RoleEmailTemplate|_IH_RoleEmailTemplate_C|RoleEmailTemplate[] findOrNew($id, array|string $columns = ['*'])
     * @method RoleEmailTemplate first(array|string $columns = ['*'])
     * @method RoleEmailTemplate firstOr(array|\Closure|string $columns = ['*'], \Closure $callback = null)
     * @method RoleEmailTemplate firstOrCreate(array $attributes = [], array $values = [])
     * @method RoleEmailTemplate firstOrFail(array|string $columns = ['*'])
     * @method RoleEmailTemplate firstOrNew(array $attributes = [], array $values = [])
     * @method RoleEmailTemplate firstWhere(array|\Closure|Expression|string $column, $operator = null, $value = null, string $boolean = 'and')
     * @method RoleEmailTemplate forceCreate(array $attributes)
     * @method _IH_RoleEmailTemplate_C|RoleEmailTemplate[] fromQuery(string $query, array $bindings = [])
     * @method _IH_RoleEmailTemplate_C|RoleEmailTemplate[] get(array|string $columns = ['*'])
     * @method RoleEmailTemplate getModel()
     * @method RoleEmailTemplate[] getModels(array|string $columns = ['*'])
     * @method _IH_RoleEmailTemplate_C|RoleEmailTemplate[] hydrate(array $items)
     * @method _IH_RoleEmailTemplate_C|RoleEmailTemplate[] lazy(int $chunkSize = 1000)
     * @method _IH_RoleEmailTemplate_C|RoleEmailTemplate[] lazyById(int $chunkSize = 1000, null|string $column = null, null|string $alias = null)
     * @method _IH_RoleEmailTemplate_C|RoleEmailTemplate[] lazyByIdDesc(int $chunkSize = 1000, null|string $column = null, null|string $alias = null)
     * @method RoleEmailTemplate make(array $attributes = [])
     * @method RoleEmailTemplate newModelInstance(array $attributes = [])
     * @method LengthAwarePaginator|RoleEmailTemplate[]|_IH_RoleEmailTemplate_C paginate(\Closure|int|null $perPage = null, array|string $columns = ['*'], string $pageName = 'page', int|null $page = null)
     * @method Paginator|RoleEmailTemplate[]|_IH_RoleEmailTemplate_C simplePaginate(int|null $perPage = null, array|string $columns = ['*'], string $pageName = 'page', int|null $page = null)
     * @method RoleEmailTemplate sole(array|string $columns = ['*'])
     * @method RoleEmailTemplate updateOrCreate(array $attributes, array $values = [])
     */
    class _IH_RoleEmailTemplate_QB extends _BaseBuilder {}
    
    /**
     * @method UserNotificationSetup|null getOrPut($key, \Closure $value)
     * @method UserNotificationSetup|$this shift(int $count = 1)
     * @method UserNotificationSetup|null firstOrFail(callable|string $key = null, $operator = null, $value = null)
     * @method UserNotificationSetup|$this pop(int $count = 1)
     * @method UserNotificationSetup|null pull($key, \Closure $default = null)
     * @method UserNotificationSetup|null last(callable $callback = null, \Closure $default = null)
     * @method UserNotificationSetup|$this random(callable|int|null $number = null, bool $preserveKeys = false)
     * @method UserNotificationSetup|null sole(callable|string $key = null, $operator = null, $value = null)
     * @method UserNotificationSetup|null get($key, \Closure $default = null)
     * @method UserNotificationSetup|null first(callable $callback = null, \Closure $default = null)
     * @method UserNotificationSetup|null firstWhere(callable|string $key, $operator = null, $value = null)
     * @method UserNotificationSetup|null find($key, $default = null)
     * @method UserNotificationSetup[] all()
     */
    class _IH_UserNotificationSetup_C extends _BaseCollection {
        /**
         * @param int $size
         * @return UserNotificationSetup[][]|Collection<_IH_UserNotificationSetup_C>
         */
        public function chunk($size)
        {
            return [];
        }
    }
    
    /**
     * @method _IH_UserNotificationSetup_QB whereId($value)
     * @method _IH_UserNotificationSetup_QB whereUserId($value)
     * @method _IH_UserNotificationSetup_QB whereEmailIds($value)
     * @method _IH_UserNotificationSetup_QB whereBrowserIds($value)
     * @method _IH_UserNotificationSetup_QB whereCreatedAt($value)
     * @method _IH_UserNotificationSetup_QB whereUpdatedAt($value)
     * @method _IH_UserNotificationSetup_QB whereMobileIds($value)
     * @method _IH_UserNotificationSetup_QB whereSmsIds($value)
     * @method UserNotificationSetup baseSole(array|string $columns = ['*'])
     * @method UserNotificationSetup create(array $attributes = [])
     * @method _IH_UserNotificationSetup_C|UserNotificationSetup[] cursor()
     * @method UserNotificationSetup|null|_IH_UserNotificationSetup_C|UserNotificationSetup[] find($id, array|string $columns = ['*'])
     * @method _IH_UserNotificationSetup_C|UserNotificationSetup[] findMany(array|Arrayable $ids, array|string $columns = ['*'])
     * @method UserNotificationSetup|_IH_UserNotificationSetup_C|UserNotificationSetup[] findOr($id, array|\Closure|string $columns = ['*'], \Closure $callback = null)
     * @method UserNotificationSetup|_IH_UserNotificationSetup_C|UserNotificationSetup[] findOrFail($id, array|string $columns = ['*'])
     * @method UserNotificationSetup|_IH_UserNotificationSetup_C|UserNotificationSetup[] findOrNew($id, array|string $columns = ['*'])
     * @method UserNotificationSetup first(array|string $columns = ['*'])
     * @method UserNotificationSetup firstOr(array|\Closure|string $columns = ['*'], \Closure $callback = null)
     * @method UserNotificationSetup firstOrCreate(array $attributes = [], array $values = [])
     * @method UserNotificationSetup firstOrFail(array|string $columns = ['*'])
     * @method UserNotificationSetup firstOrNew(array $attributes = [], array $values = [])
     * @method UserNotificationSetup firstWhere(array|\Closure|Expression|string $column, $operator = null, $value = null, string $boolean = 'and')
     * @method UserNotificationSetup forceCreate(array $attributes)
     * @method _IH_UserNotificationSetup_C|UserNotificationSetup[] fromQuery(string $query, array $bindings = [])
     * @method _IH_UserNotificationSetup_C|UserNotificationSetup[] get(array|string $columns = ['*'])
     * @method UserNotificationSetup getModel()
     * @method UserNotificationSetup[] getModels(array|string $columns = ['*'])
     * @method _IH_UserNotificationSetup_C|UserNotificationSetup[] hydrate(array $items)
     * @method _IH_UserNotificationSetup_C|UserNotificationSetup[] lazy(int $chunkSize = 1000)
     * @method _IH_UserNotificationSetup_C|UserNotificationSetup[] lazyById(int $chunkSize = 1000, null|string $column = null, null|string $alias = null)
     * @method _IH_UserNotificationSetup_C|UserNotificationSetup[] lazyByIdDesc(int $chunkSize = 1000, null|string $column = null, null|string $alias = null)
     * @method UserNotificationSetup make(array $attributes = [])
     * @method UserNotificationSetup newModelInstance(array $attributes = [])
     * @method LengthAwarePaginator|UserNotificationSetup[]|_IH_UserNotificationSetup_C paginate(\Closure|int|null $perPage = null, array|string $columns = ['*'], string $pageName = 'page', int|null $page = null)
     * @method Paginator|UserNotificationSetup[]|_IH_UserNotificationSetup_C simplePaginate(int|null $perPage = null, array|string $columns = ['*'], string $pageName = 'page', int|null $page = null)
     * @method UserNotificationSetup sole(array|string $columns = ['*'])
     * @method UserNotificationSetup updateOrCreate(array $attributes, array $values = [])
     */
    class _IH_UserNotificationSetup_QB extends _BaseBuilder {}
}