<?php //4958446f78dec3ea51eced5eaed73256
/** @noinspection all */

namespace LaravelIdea\Helper\Modules\Catalogue\Entities {

    use Illuminate\Contracts\Database\Query\Expression;
    use Illuminate\Contracts\Support\Arrayable;
    use Illuminate\Pagination\LengthAwarePaginator;
    use Illuminate\Pagination\Paginator;
    use Illuminate\Support\Collection;
    use LaravelIdea\Helper\_BaseBuilder;
    use LaravelIdea\Helper\_BaseCollection;
    use Modules\Catalogue\Entities\BusinessLine;
    use Modules\Catalogue\Entities\CatalogCountry;
    use Modules\Catalogue\Entities\CatelogCategory;
    use Modules\Catalogue\Entities\CatelogSubCategory;
    use Modules\Catalogue\Entities\Region;
    use Modules\Catalogue\Entities\RegionAssignment;
    use Modules\Catalogue\Entities\Sector;
    use Modules\Catalogue\Entities\State;
    
    /**
     * @method BusinessLine|null getOrPut($key, \Closure $value)
     * @method BusinessLine|$this shift(int $count = 1)
     * @method BusinessLine|null firstOrFail(callable|string $key = null, $operator = null, $value = null)
     * @method BusinessLine|$this pop(int $count = 1)
     * @method BusinessLine|null pull($key, \Closure $default = null)
     * @method BusinessLine|null last(callable $callback = null, \Closure $default = null)
     * @method BusinessLine|$this random(callable|int|null $number = null, bool $preserveKeys = false)
     * @method BusinessLine|null sole(callable|string $key = null, $operator = null, $value = null)
     * @method BusinessLine|null get($key, \Closure $default = null)
     * @method BusinessLine|null first(callable $callback = null, \Closure $default = null)
     * @method BusinessLine|null firstWhere(callable|string $key, $operator = null, $value = null)
     * @method BusinessLine|null find($key, $default = null)
     * @method BusinessLine[] all()
     */
    class _IH_BusinessLine_C extends _BaseCollection {
        /**
         * @param int $size
         * @return BusinessLine[][]|Collection<_IH_BusinessLine_C>
         */
        public function chunk($size)
        {
            return [];
        }
    }
    
    /**
     * @method _IH_BusinessLine_QB whereId($value)
     * @method _IH_BusinessLine_QB whereName($value)
     * @method _IH_BusinessLine_QB whereIsActive($value)
     * @method _IH_BusinessLine_QB whereCreatedBy($value)
     * @method _IH_BusinessLine_QB whereLmsId($value)
     * @method _IH_BusinessLine_QB whereCreatedAt($value)
     * @method _IH_BusinessLine_QB whereUpdatedAt($value)
     * @method BusinessLine baseSole(array|string $columns = ['*'])
     * @method BusinessLine create(array $attributes = [])
     * @method _IH_BusinessLine_C|BusinessLine[] cursor()
     * @method BusinessLine|null|_IH_BusinessLine_C|BusinessLine[] find($id, array|string $columns = ['*'])
     * @method _IH_BusinessLine_C|BusinessLine[] findMany(array|Arrayable $ids, array|string $columns = ['*'])
     * @method BusinessLine|_IH_BusinessLine_C|BusinessLine[] findOr($id, array|\Closure|string $columns = ['*'], \Closure $callback = null)
     * @method BusinessLine|_IH_BusinessLine_C|BusinessLine[] findOrFail($id, array|string $columns = ['*'])
     * @method BusinessLine|_IH_BusinessLine_C|BusinessLine[] findOrNew($id, array|string $columns = ['*'])
     * @method BusinessLine first(array|string $columns = ['*'])
     * @method BusinessLine firstOr(array|\Closure|string $columns = ['*'], \Closure $callback = null)
     * @method BusinessLine firstOrCreate(array $attributes = [], array $values = [])
     * @method BusinessLine firstOrFail(array|string $columns = ['*'])
     * @method BusinessLine firstOrNew(array $attributes = [], array $values = [])
     * @method BusinessLine firstWhere(array|\Closure|Expression|string $column, $operator = null, $value = null, string $boolean = 'and')
     * @method BusinessLine forceCreate(array $attributes)
     * @method _IH_BusinessLine_C|BusinessLine[] fromQuery(string $query, array $bindings = [])
     * @method _IH_BusinessLine_C|BusinessLine[] get(array|string $columns = ['*'])
     * @method BusinessLine getModel()
     * @method BusinessLine[] getModels(array|string $columns = ['*'])
     * @method _IH_BusinessLine_C|BusinessLine[] hydrate(array $items)
     * @method _IH_BusinessLine_C|BusinessLine[] lazy(int $chunkSize = 1000)
     * @method _IH_BusinessLine_C|BusinessLine[] lazyById(int $chunkSize = 1000, null|string $column = null, null|string $alias = null)
     * @method _IH_BusinessLine_C|BusinessLine[] lazyByIdDesc(int $chunkSize = 1000, null|string $column = null, null|string $alias = null)
     * @method BusinessLine make(array $attributes = [])
     * @method BusinessLine newModelInstance(array $attributes = [])
     * @method LengthAwarePaginator|BusinessLine[]|_IH_BusinessLine_C paginate(\Closure|int|null $perPage = null, array|string $columns = ['*'], string $pageName = 'page', int|null $page = null)
     * @method Paginator|BusinessLine[]|_IH_BusinessLine_C simplePaginate(int|null $perPage = null, array|string $columns = ['*'], string $pageName = 'page', int|null $page = null)
     * @method BusinessLine sole(array|string $columns = ['*'])
     * @method BusinessLine updateOrCreate(array $attributes, array $values = [])
     */
    class _IH_BusinessLine_QB extends _BaseBuilder {}
    
    /**
     * @method CatalogCountry|null getOrPut($key, \Closure $value)
     * @method CatalogCountry|$this shift(int $count = 1)
     * @method CatalogCountry|null firstOrFail(callable|string $key = null, $operator = null, $value = null)
     * @method CatalogCountry|$this pop(int $count = 1)
     * @method CatalogCountry|null pull($key, \Closure $default = null)
     * @method CatalogCountry|null last(callable $callback = null, \Closure $default = null)
     * @method CatalogCountry|$this random(callable|int|null $number = null, bool $preserveKeys = false)
     * @method CatalogCountry|null sole(callable|string $key = null, $operator = null, $value = null)
     * @method CatalogCountry|null get($key, \Closure $default = null)
     * @method CatalogCountry|null first(callable $callback = null, \Closure $default = null)
     * @method CatalogCountry|null firstWhere(callable|string $key, $operator = null, $value = null)
     * @method CatalogCountry|null find($key, $default = null)
     * @method CatalogCountry[] all()
     */
    class _IH_CatalogCountry_C extends _BaseCollection {
        /**
         * @param int $size
         * @return CatalogCountry[][]|Collection<_IH_CatalogCountry_C>
         */
        public function chunk($size)
        {
            return [];
        }
    }
    
    /**
     * @method _IH_CatalogCountry_QB whereId($value)
     * @method _IH_CatalogCountry_QB whereName($value)
     * @method _IH_CatalogCountry_QB whereIsActive($value)
     * @method _IH_CatalogCountry_QB whereCreatedBy($value)
     * @method _IH_CatalogCountry_QB whereLmsId($value)
     * @method _IH_CatalogCountry_QB whereCreatedAt($value)
     * @method _IH_CatalogCountry_QB whereUpdatedAt($value)
     * @method CatalogCountry baseSole(array|string $columns = ['*'])
     * @method CatalogCountry create(array $attributes = [])
     * @method _IH_CatalogCountry_C|CatalogCountry[] cursor()
     * @method CatalogCountry|null|_IH_CatalogCountry_C|CatalogCountry[] find($id, array|string $columns = ['*'])
     * @method _IH_CatalogCountry_C|CatalogCountry[] findMany(array|Arrayable $ids, array|string $columns = ['*'])
     * @method CatalogCountry|_IH_CatalogCountry_C|CatalogCountry[] findOr($id, array|\Closure|string $columns = ['*'], \Closure $callback = null)
     * @method CatalogCountry|_IH_CatalogCountry_C|CatalogCountry[] findOrFail($id, array|string $columns = ['*'])
     * @method CatalogCountry|_IH_CatalogCountry_C|CatalogCountry[] findOrNew($id, array|string $columns = ['*'])
     * @method CatalogCountry first(array|string $columns = ['*'])
     * @method CatalogCountry firstOr(array|\Closure|string $columns = ['*'], \Closure $callback = null)
     * @method CatalogCountry firstOrCreate(array $attributes = [], array $values = [])
     * @method CatalogCountry firstOrFail(array|string $columns = ['*'])
     * @method CatalogCountry firstOrNew(array $attributes = [], array $values = [])
     * @method CatalogCountry firstWhere(array|\Closure|Expression|string $column, $operator = null, $value = null, string $boolean = 'and')
     * @method CatalogCountry forceCreate(array $attributes)
     * @method _IH_CatalogCountry_C|CatalogCountry[] fromQuery(string $query, array $bindings = [])
     * @method _IH_CatalogCountry_C|CatalogCountry[] get(array|string $columns = ['*'])
     * @method CatalogCountry getModel()
     * @method CatalogCountry[] getModels(array|string $columns = ['*'])
     * @method _IH_CatalogCountry_C|CatalogCountry[] hydrate(array $items)
     * @method _IH_CatalogCountry_C|CatalogCountry[] lazy(int $chunkSize = 1000)
     * @method _IH_CatalogCountry_C|CatalogCountry[] lazyById(int $chunkSize = 1000, null|string $column = null, null|string $alias = null)
     * @method _IH_CatalogCountry_C|CatalogCountry[] lazyByIdDesc(int $chunkSize = 1000, null|string $column = null, null|string $alias = null)
     * @method CatalogCountry make(array $attributes = [])
     * @method CatalogCountry newModelInstance(array $attributes = [])
     * @method LengthAwarePaginator|CatalogCountry[]|_IH_CatalogCountry_C paginate(\Closure|int|null $perPage = null, array|string $columns = ['*'], string $pageName = 'page', int|null $page = null)
     * @method Paginator|CatalogCountry[]|_IH_CatalogCountry_C simplePaginate(int|null $perPage = null, array|string $columns = ['*'], string $pageName = 'page', int|null $page = null)
     * @method CatalogCountry sole(array|string $columns = ['*'])
     * @method CatalogCountry updateOrCreate(array $attributes, array $values = [])
     */
    class _IH_CatalogCountry_QB extends _BaseBuilder {}
    
    /**
     * @method CatelogCategory|null getOrPut($key, \Closure $value)
     * @method CatelogCategory|$this shift(int $count = 1)
     * @method CatelogCategory|null firstOrFail(callable|string $key = null, $operator = null, $value = null)
     * @method CatelogCategory|$this pop(int $count = 1)
     * @method CatelogCategory|null pull($key, \Closure $default = null)
     * @method CatelogCategory|null last(callable $callback = null, \Closure $default = null)
     * @method CatelogCategory|$this random(callable|int|null $number = null, bool $preserveKeys = false)
     * @method CatelogCategory|null sole(callable|string $key = null, $operator = null, $value = null)
     * @method CatelogCategory|null get($key, \Closure $default = null)
     * @method CatelogCategory|null first(callable $callback = null, \Closure $default = null)
     * @method CatelogCategory|null firstWhere(callable|string $key, $operator = null, $value = null)
     * @method CatelogCategory|null find($key, $default = null)
     * @method CatelogCategory[] all()
     */
    class _IH_CatelogCategory_C extends _BaseCollection {
        /**
         * @param int $size
         * @return CatelogCategory[][]|Collection<_IH_CatelogCategory_C>
         */
        public function chunk($size)
        {
            return [];
        }
    }
    
    /**
     * @method _IH_CatelogCategory_QB whereId($value)
     * @method _IH_CatelogCategory_QB whereName($value)
     * @method _IH_CatelogCategory_QB whereIsActive($value)
     * @method _IH_CatelogCategory_QB whereCreatedBy($value)
     * @method _IH_CatelogCategory_QB whereLmsId($value)
     * @method _IH_CatelogCategory_QB whereCreatedAt($value)
     * @method _IH_CatelogCategory_QB whereUpdatedAt($value)
     * @method CatelogCategory baseSole(array|string $columns = ['*'])
     * @method CatelogCategory create(array $attributes = [])
     * @method _IH_CatelogCategory_C|CatelogCategory[] cursor()
     * @method CatelogCategory|null|_IH_CatelogCategory_C|CatelogCategory[] find($id, array|string $columns = ['*'])
     * @method _IH_CatelogCategory_C|CatelogCategory[] findMany(array|Arrayable $ids, array|string $columns = ['*'])
     * @method CatelogCategory|_IH_CatelogCategory_C|CatelogCategory[] findOr($id, array|\Closure|string $columns = ['*'], \Closure $callback = null)
     * @method CatelogCategory|_IH_CatelogCategory_C|CatelogCategory[] findOrFail($id, array|string $columns = ['*'])
     * @method CatelogCategory|_IH_CatelogCategory_C|CatelogCategory[] findOrNew($id, array|string $columns = ['*'])
     * @method CatelogCategory first(array|string $columns = ['*'])
     * @method CatelogCategory firstOr(array|\Closure|string $columns = ['*'], \Closure $callback = null)
     * @method CatelogCategory firstOrCreate(array $attributes = [], array $values = [])
     * @method CatelogCategory firstOrFail(array|string $columns = ['*'])
     * @method CatelogCategory firstOrNew(array $attributes = [], array $values = [])
     * @method CatelogCategory firstWhere(array|\Closure|Expression|string $column, $operator = null, $value = null, string $boolean = 'and')
     * @method CatelogCategory forceCreate(array $attributes)
     * @method _IH_CatelogCategory_C|CatelogCategory[] fromQuery(string $query, array $bindings = [])
     * @method _IH_CatelogCategory_C|CatelogCategory[] get(array|string $columns = ['*'])
     * @method CatelogCategory getModel()
     * @method CatelogCategory[] getModels(array|string $columns = ['*'])
     * @method _IH_CatelogCategory_C|CatelogCategory[] hydrate(array $items)
     * @method _IH_CatelogCategory_C|CatelogCategory[] lazy(int $chunkSize = 1000)
     * @method _IH_CatelogCategory_C|CatelogCategory[] lazyById(int $chunkSize = 1000, null|string $column = null, null|string $alias = null)
     * @method _IH_CatelogCategory_C|CatelogCategory[] lazyByIdDesc(int $chunkSize = 1000, null|string $column = null, null|string $alias = null)
     * @method CatelogCategory make(array $attributes = [])
     * @method CatelogCategory newModelInstance(array $attributes = [])
     * @method LengthAwarePaginator|CatelogCategory[]|_IH_CatelogCategory_C paginate(\Closure|int|null $perPage = null, array|string $columns = ['*'], string $pageName = 'page', int|null $page = null)
     * @method Paginator|CatelogCategory[]|_IH_CatelogCategory_C simplePaginate(int|null $perPage = null, array|string $columns = ['*'], string $pageName = 'page', int|null $page = null)
     * @method CatelogCategory sole(array|string $columns = ['*'])
     * @method CatelogCategory updateOrCreate(array $attributes, array $values = [])
     */
    class _IH_CatelogCategory_QB extends _BaseBuilder {}
    
    /**
     * @method CatelogSubCategory|null getOrPut($key, \Closure $value)
     * @method CatelogSubCategory|$this shift(int $count = 1)
     * @method CatelogSubCategory|null firstOrFail(callable|string $key = null, $operator = null, $value = null)
     * @method CatelogSubCategory|$this pop(int $count = 1)
     * @method CatelogSubCategory|null pull($key, \Closure $default = null)
     * @method CatelogSubCategory|null last(callable $callback = null, \Closure $default = null)
     * @method CatelogSubCategory|$this random(callable|int|null $number = null, bool $preserveKeys = false)
     * @method CatelogSubCategory|null sole(callable|string $key = null, $operator = null, $value = null)
     * @method CatelogSubCategory|null get($key, \Closure $default = null)
     * @method CatelogSubCategory|null first(callable $callback = null, \Closure $default = null)
     * @method CatelogSubCategory|null firstWhere(callable|string $key, $operator = null, $value = null)
     * @method CatelogSubCategory|null find($key, $default = null)
     * @method CatelogSubCategory[] all()
     */
    class _IH_CatelogSubCategory_C extends _BaseCollection {
        /**
         * @param int $size
         * @return CatelogSubCategory[][]|Collection<_IH_CatelogSubCategory_C>
         */
        public function chunk($size)
        {
            return [];
        }
    }
    
    /**
     * @method _IH_CatelogSubCategory_QB whereId($value)
     * @method _IH_CatelogSubCategory_QB whereName($value)
     * @method _IH_CatelogSubCategory_QB whereParentId($value)
     * @method _IH_CatelogSubCategory_QB whereIsActive($value)
     * @method _IH_CatelogSubCategory_QB whereCreatedBy($value)
     * @method _IH_CatelogSubCategory_QB whereLmsId($value)
     * @method _IH_CatelogSubCategory_QB whereCreatedAt($value)
     * @method _IH_CatelogSubCategory_QB whereUpdatedAt($value)
     * @method CatelogSubCategory baseSole(array|string $columns = ['*'])
     * @method CatelogSubCategory create(array $attributes = [])
     * @method _IH_CatelogSubCategory_C|CatelogSubCategory[] cursor()
     * @method CatelogSubCategory|null|_IH_CatelogSubCategory_C|CatelogSubCategory[] find($id, array|string $columns = ['*'])
     * @method _IH_CatelogSubCategory_C|CatelogSubCategory[] findMany(array|Arrayable $ids, array|string $columns = ['*'])
     * @method CatelogSubCategory|_IH_CatelogSubCategory_C|CatelogSubCategory[] findOr($id, array|\Closure|string $columns = ['*'], \Closure $callback = null)
     * @method CatelogSubCategory|_IH_CatelogSubCategory_C|CatelogSubCategory[] findOrFail($id, array|string $columns = ['*'])
     * @method CatelogSubCategory|_IH_CatelogSubCategory_C|CatelogSubCategory[] findOrNew($id, array|string $columns = ['*'])
     * @method CatelogSubCategory first(array|string $columns = ['*'])
     * @method CatelogSubCategory firstOr(array|\Closure|string $columns = ['*'], \Closure $callback = null)
     * @method CatelogSubCategory firstOrCreate(array $attributes = [], array $values = [])
     * @method CatelogSubCategory firstOrFail(array|string $columns = ['*'])
     * @method CatelogSubCategory firstOrNew(array $attributes = [], array $values = [])
     * @method CatelogSubCategory firstWhere(array|\Closure|Expression|string $column, $operator = null, $value = null, string $boolean = 'and')
     * @method CatelogSubCategory forceCreate(array $attributes)
     * @method _IH_CatelogSubCategory_C|CatelogSubCategory[] fromQuery(string $query, array $bindings = [])
     * @method _IH_CatelogSubCategory_C|CatelogSubCategory[] get(array|string $columns = ['*'])
     * @method CatelogSubCategory getModel()
     * @method CatelogSubCategory[] getModels(array|string $columns = ['*'])
     * @method _IH_CatelogSubCategory_C|CatelogSubCategory[] hydrate(array $items)
     * @method _IH_CatelogSubCategory_C|CatelogSubCategory[] lazy(int $chunkSize = 1000)
     * @method _IH_CatelogSubCategory_C|CatelogSubCategory[] lazyById(int $chunkSize = 1000, null|string $column = null, null|string $alias = null)
     * @method _IH_CatelogSubCategory_C|CatelogSubCategory[] lazyByIdDesc(int $chunkSize = 1000, null|string $column = null, null|string $alias = null)
     * @method CatelogSubCategory make(array $attributes = [])
     * @method CatelogSubCategory newModelInstance(array $attributes = [])
     * @method LengthAwarePaginator|CatelogSubCategory[]|_IH_CatelogSubCategory_C paginate(\Closure|int|null $perPage = null, array|string $columns = ['*'], string $pageName = 'page', int|null $page = null)
     * @method Paginator|CatelogSubCategory[]|_IH_CatelogSubCategory_C simplePaginate(int|null $perPage = null, array|string $columns = ['*'], string $pageName = 'page', int|null $page = null)
     * @method CatelogSubCategory sole(array|string $columns = ['*'])
     * @method CatelogSubCategory updateOrCreate(array $attributes, array $values = [])
     */
    class _IH_CatelogSubCategory_QB extends _BaseBuilder {}
    
    /**
     * @method RegionAssignment|null getOrPut($key, \Closure $value)
     * @method RegionAssignment|$this shift(int $count = 1)
     * @method RegionAssignment|null firstOrFail(callable|string $key = null, $operator = null, $value = null)
     * @method RegionAssignment|$this pop(int $count = 1)
     * @method RegionAssignment|null pull($key, \Closure $default = null)
     * @method RegionAssignment|null last(callable $callback = null, \Closure $default = null)
     * @method RegionAssignment|$this random(callable|int|null $number = null, bool $preserveKeys = false)
     * @method RegionAssignment|null sole(callable|string $key = null, $operator = null, $value = null)
     * @method RegionAssignment|null get($key, \Closure $default = null)
     * @method RegionAssignment|null first(callable $callback = null, \Closure $default = null)
     * @method RegionAssignment|null firstWhere(callable|string $key, $operator = null, $value = null)
     * @method RegionAssignment|null find($key, $default = null)
     * @method RegionAssignment[] all()
     */
    class _IH_RegionAssignment_C extends _BaseCollection {
        /**
         * @param int $size
         * @return RegionAssignment[][]|Collection<_IH_RegionAssignment_C>
         */
        public function chunk($size)
        {
            return [];
        }
    }
    
    /**
     * @method _IH_RegionAssignment_QB whereId($value)
     * @method _IH_RegionAssignment_QB whereName($value)
     * @method _IH_RegionAssignment_QB whereRegionId($value)
     * @method _IH_RegionAssignment_QB whereIsActive($value)
     * @method _IH_RegionAssignment_QB whereCreatedBy($value)
     * @method _IH_RegionAssignment_QB whereLmsId($value)
     * @method _IH_RegionAssignment_QB whereCreatedAt($value)
     * @method _IH_RegionAssignment_QB whereUpdatedAt($value)
     * @method RegionAssignment baseSole(array|string $columns = ['*'])
     * @method RegionAssignment create(array $attributes = [])
     * @method _IH_RegionAssignment_C|RegionAssignment[] cursor()
     * @method RegionAssignment|null|_IH_RegionAssignment_C|RegionAssignment[] find($id, array|string $columns = ['*'])
     * @method _IH_RegionAssignment_C|RegionAssignment[] findMany(array|Arrayable $ids, array|string $columns = ['*'])
     * @method RegionAssignment|_IH_RegionAssignment_C|RegionAssignment[] findOr($id, array|\Closure|string $columns = ['*'], \Closure $callback = null)
     * @method RegionAssignment|_IH_RegionAssignment_C|RegionAssignment[] findOrFail($id, array|string $columns = ['*'])
     * @method RegionAssignment|_IH_RegionAssignment_C|RegionAssignment[] findOrNew($id, array|string $columns = ['*'])
     * @method RegionAssignment first(array|string $columns = ['*'])
     * @method RegionAssignment firstOr(array|\Closure|string $columns = ['*'], \Closure $callback = null)
     * @method RegionAssignment firstOrCreate(array $attributes = [], array $values = [])
     * @method RegionAssignment firstOrFail(array|string $columns = ['*'])
     * @method RegionAssignment firstOrNew(array $attributes = [], array $values = [])
     * @method RegionAssignment firstWhere(array|\Closure|Expression|string $column, $operator = null, $value = null, string $boolean = 'and')
     * @method RegionAssignment forceCreate(array $attributes)
     * @method _IH_RegionAssignment_C|RegionAssignment[] fromQuery(string $query, array $bindings = [])
     * @method _IH_RegionAssignment_C|RegionAssignment[] get(array|string $columns = ['*'])
     * @method RegionAssignment getModel()
     * @method RegionAssignment[] getModels(array|string $columns = ['*'])
     * @method _IH_RegionAssignment_C|RegionAssignment[] hydrate(array $items)
     * @method _IH_RegionAssignment_C|RegionAssignment[] lazy(int $chunkSize = 1000)
     * @method _IH_RegionAssignment_C|RegionAssignment[] lazyById(int $chunkSize = 1000, null|string $column = null, null|string $alias = null)
     * @method _IH_RegionAssignment_C|RegionAssignment[] lazyByIdDesc(int $chunkSize = 1000, null|string $column = null, null|string $alias = null)
     * @method RegionAssignment make(array $attributes = [])
     * @method RegionAssignment newModelInstance(array $attributes = [])
     * @method LengthAwarePaginator|RegionAssignment[]|_IH_RegionAssignment_C paginate(\Closure|int|null $perPage = null, array|string $columns = ['*'], string $pageName = 'page', int|null $page = null)
     * @method Paginator|RegionAssignment[]|_IH_RegionAssignment_C simplePaginate(int|null $perPage = null, array|string $columns = ['*'], string $pageName = 'page', int|null $page = null)
     * @method RegionAssignment sole(array|string $columns = ['*'])
     * @method RegionAssignment updateOrCreate(array $attributes, array $values = [])
     */
    class _IH_RegionAssignment_QB extends _BaseBuilder {}
    
    /**
     * @method Region|null getOrPut($key, \Closure $value)
     * @method Region|$this shift(int $count = 1)
     * @method Region|null firstOrFail(callable|string $key = null, $operator = null, $value = null)
     * @method Region|$this pop(int $count = 1)
     * @method Region|null pull($key, \Closure $default = null)
     * @method Region|null last(callable $callback = null, \Closure $default = null)
     * @method Region|$this random(callable|int|null $number = null, bool $preserveKeys = false)
     * @method Region|null sole(callable|string $key = null, $operator = null, $value = null)
     * @method Region|null get($key, \Closure $default = null)
     * @method Region|null first(callable $callback = null, \Closure $default = null)
     * @method Region|null firstWhere(callable|string $key, $operator = null, $value = null)
     * @method Region|null find($key, $default = null)
     * @method Region[] all()
     */
    class _IH_Region_C extends _BaseCollection {
        /**
         * @param int $size
         * @return Region[][]|Collection<_IH_Region_C>
         */
        public function chunk($size)
        {
            return [];
        }
    }
    
    /**
     * @method _IH_Region_QB whereId($value)
     * @method _IH_Region_QB whereName($value)
     * @method _IH_Region_QB whereIsActive($value)
     * @method _IH_Region_QB whereCreatedBy($value)
     * @method _IH_Region_QB whereLmsId($value)
     * @method _IH_Region_QB whereCreatedAt($value)
     * @method _IH_Region_QB whereUpdatedAt($value)
     * @method Region baseSole(array|string $columns = ['*'])
     * @method Region create(array $attributes = [])
     * @method _IH_Region_C|Region[] cursor()
     * @method Region|null|_IH_Region_C|Region[] find($id, array|string $columns = ['*'])
     * @method _IH_Region_C|Region[] findMany(array|Arrayable $ids, array|string $columns = ['*'])
     * @method Region|_IH_Region_C|Region[] findOr($id, array|\Closure|string $columns = ['*'], \Closure $callback = null)
     * @method Region|_IH_Region_C|Region[] findOrFail($id, array|string $columns = ['*'])
     * @method Region|_IH_Region_C|Region[] findOrNew($id, array|string $columns = ['*'])
     * @method Region first(array|string $columns = ['*'])
     * @method Region firstOr(array|\Closure|string $columns = ['*'], \Closure $callback = null)
     * @method Region firstOrCreate(array $attributes = [], array $values = [])
     * @method Region firstOrFail(array|string $columns = ['*'])
     * @method Region firstOrNew(array $attributes = [], array $values = [])
     * @method Region firstWhere(array|\Closure|Expression|string $column, $operator = null, $value = null, string $boolean = 'and')
     * @method Region forceCreate(array $attributes)
     * @method _IH_Region_C|Region[] fromQuery(string $query, array $bindings = [])
     * @method _IH_Region_C|Region[] get(array|string $columns = ['*'])
     * @method Region getModel()
     * @method Region[] getModels(array|string $columns = ['*'])
     * @method _IH_Region_C|Region[] hydrate(array $items)
     * @method _IH_Region_C|Region[] lazy(int $chunkSize = 1000)
     * @method _IH_Region_C|Region[] lazyById(int $chunkSize = 1000, null|string $column = null, null|string $alias = null)
     * @method _IH_Region_C|Region[] lazyByIdDesc(int $chunkSize = 1000, null|string $column = null, null|string $alias = null)
     * @method Region make(array $attributes = [])
     * @method Region newModelInstance(array $attributes = [])
     * @method LengthAwarePaginator|Region[]|_IH_Region_C paginate(\Closure|int|null $perPage = null, array|string $columns = ['*'], string $pageName = 'page', int|null $page = null)
     * @method Paginator|Region[]|_IH_Region_C simplePaginate(int|null $perPage = null, array|string $columns = ['*'], string $pageName = 'page', int|null $page = null)
     * @method Region sole(array|string $columns = ['*'])
     * @method Region updateOrCreate(array $attributes, array $values = [])
     */
    class _IH_Region_QB extends _BaseBuilder {}
    
    /**
     * @method Sector|null getOrPut($key, \Closure $value)
     * @method Sector|$this shift(int $count = 1)
     * @method Sector|null firstOrFail(callable|string $key = null, $operator = null, $value = null)
     * @method Sector|$this pop(int $count = 1)
     * @method Sector|null pull($key, \Closure $default = null)
     * @method Sector|null last(callable $callback = null, \Closure $default = null)
     * @method Sector|$this random(callable|int|null $number = null, bool $preserveKeys = false)
     * @method Sector|null sole(callable|string $key = null, $operator = null, $value = null)
     * @method Sector|null get($key, \Closure $default = null)
     * @method Sector|null first(callable $callback = null, \Closure $default = null)
     * @method Sector|null firstWhere(callable|string $key, $operator = null, $value = null)
     * @method Sector|null find($key, $default = null)
     * @method Sector[] all()
     */
    class _IH_Sector_C extends _BaseCollection {
        /**
         * @param int $size
         * @return Sector[][]|Collection<_IH_Sector_C>
         */
        public function chunk($size)
        {
            return [];
        }
    }
    
    /**
     * @method _IH_Sector_QB whereId($value)
     * @method _IH_Sector_QB whereName($value)
     * @method _IH_Sector_QB whereIsActive($value)
     * @method _IH_Sector_QB whereCreatedBy($value)
     * @method _IH_Sector_QB whereLmsId($value)
     * @method _IH_Sector_QB whereCreatedAt($value)
     * @method _IH_Sector_QB whereUpdatedAt($value)
     * @method Sector baseSole(array|string $columns = ['*'])
     * @method Sector create(array $attributes = [])
     * @method _IH_Sector_C|Sector[] cursor()
     * @method Sector|null|_IH_Sector_C|Sector[] find($id, array|string $columns = ['*'])
     * @method _IH_Sector_C|Sector[] findMany(array|Arrayable $ids, array|string $columns = ['*'])
     * @method Sector|_IH_Sector_C|Sector[] findOr($id, array|\Closure|string $columns = ['*'], \Closure $callback = null)
     * @method Sector|_IH_Sector_C|Sector[] findOrFail($id, array|string $columns = ['*'])
     * @method Sector|_IH_Sector_C|Sector[] findOrNew($id, array|string $columns = ['*'])
     * @method Sector first(array|string $columns = ['*'])
     * @method Sector firstOr(array|\Closure|string $columns = ['*'], \Closure $callback = null)
     * @method Sector firstOrCreate(array $attributes = [], array $values = [])
     * @method Sector firstOrFail(array|string $columns = ['*'])
     * @method Sector firstOrNew(array $attributes = [], array $values = [])
     * @method Sector firstWhere(array|\Closure|Expression|string $column, $operator = null, $value = null, string $boolean = 'and')
     * @method Sector forceCreate(array $attributes)
     * @method _IH_Sector_C|Sector[] fromQuery(string $query, array $bindings = [])
     * @method _IH_Sector_C|Sector[] get(array|string $columns = ['*'])
     * @method Sector getModel()
     * @method Sector[] getModels(array|string $columns = ['*'])
     * @method _IH_Sector_C|Sector[] hydrate(array $items)
     * @method _IH_Sector_C|Sector[] lazy(int $chunkSize = 1000)
     * @method _IH_Sector_C|Sector[] lazyById(int $chunkSize = 1000, null|string $column = null, null|string $alias = null)
     * @method _IH_Sector_C|Sector[] lazyByIdDesc(int $chunkSize = 1000, null|string $column = null, null|string $alias = null)
     * @method Sector make(array $attributes = [])
     * @method Sector newModelInstance(array $attributes = [])
     * @method LengthAwarePaginator|Sector[]|_IH_Sector_C paginate(\Closure|int|null $perPage = null, array|string $columns = ['*'], string $pageName = 'page', int|null $page = null)
     * @method Paginator|Sector[]|_IH_Sector_C simplePaginate(int|null $perPage = null, array|string $columns = ['*'], string $pageName = 'page', int|null $page = null)
     * @method Sector sole(array|string $columns = ['*'])
     * @method Sector updateOrCreate(array $attributes, array $values = [])
     */
    class _IH_Sector_QB extends _BaseBuilder {}
    
    /**
     * @method State|null getOrPut($key, \Closure $value)
     * @method State|$this shift(int $count = 1)
     * @method State|null firstOrFail(callable|string $key = null, $operator = null, $value = null)
     * @method State|$this pop(int $count = 1)
     * @method State|null pull($key, \Closure $default = null)
     * @method State|null last(callable $callback = null, \Closure $default = null)
     * @method State|$this random(callable|int|null $number = null, bool $preserveKeys = false)
     * @method State|null sole(callable|string $key = null, $operator = null, $value = null)
     * @method State|null get($key, \Closure $default = null)
     * @method State|null first(callable $callback = null, \Closure $default = null)
     * @method State|null firstWhere(callable|string $key, $operator = null, $value = null)
     * @method State|null find($key, $default = null)
     * @method State[] all()
     */
    class _IH_State_C extends _BaseCollection {
        /**
         * @param int $size
         * @return State[][]|Collection<_IH_State_C>
         */
        public function chunk($size)
        {
            return [];
        }
    }
    
    /**
     * @method _IH_State_QB whereId($value)
     * @method _IH_State_QB whereName($value)
     * @method _IH_State_QB whereIsActive($value)
     * @method _IH_State_QB whereCreatedBy($value)
     * @method _IH_State_QB whereLmsId($value)
     * @method _IH_State_QB whereCreatedAt($value)
     * @method _IH_State_QB whereUpdatedAt($value)
     * @method State baseSole(array|string $columns = ['*'])
     * @method State create(array $attributes = [])
     * @method _IH_State_C|State[] cursor()
     * @method State|null|_IH_State_C|State[] find($id, array|string $columns = ['*'])
     * @method _IH_State_C|State[] findMany(array|Arrayable $ids, array|string $columns = ['*'])
     * @method State|_IH_State_C|State[] findOr($id, array|\Closure|string $columns = ['*'], \Closure $callback = null)
     * @method State|_IH_State_C|State[] findOrFail($id, array|string $columns = ['*'])
     * @method State|_IH_State_C|State[] findOrNew($id, array|string $columns = ['*'])
     * @method State first(array|string $columns = ['*'])
     * @method State firstOr(array|\Closure|string $columns = ['*'], \Closure $callback = null)
     * @method State firstOrCreate(array $attributes = [], array $values = [])
     * @method State firstOrFail(array|string $columns = ['*'])
     * @method State firstOrNew(array $attributes = [], array $values = [])
     * @method State firstWhere(array|\Closure|Expression|string $column, $operator = null, $value = null, string $boolean = 'and')
     * @method State forceCreate(array $attributes)
     * @method _IH_State_C|State[] fromQuery(string $query, array $bindings = [])
     * @method _IH_State_C|State[] get(array|string $columns = ['*'])
     * @method State getModel()
     * @method State[] getModels(array|string $columns = ['*'])
     * @method _IH_State_C|State[] hydrate(array $items)
     * @method _IH_State_C|State[] lazy(int $chunkSize = 1000)
     * @method _IH_State_C|State[] lazyById(int $chunkSize = 1000, null|string $column = null, null|string $alias = null)
     * @method _IH_State_C|State[] lazyByIdDesc(int $chunkSize = 1000, null|string $column = null, null|string $alias = null)
     * @method State make(array $attributes = [])
     * @method State newModelInstance(array $attributes = [])
     * @method LengthAwarePaginator|State[]|_IH_State_C paginate(\Closure|int|null $perPage = null, array|string $columns = ['*'], string $pageName = 'page', int|null $page = null)
     * @method Paginator|State[]|_IH_State_C simplePaginate(int|null $perPage = null, array|string $columns = ['*'], string $pageName = 'page', int|null $page = null)
     * @method State sole(array|string $columns = ['*'])
     * @method State updateOrCreate(array $attributes, array $values = [])
     */
    class _IH_State_QB extends _BaseBuilder {}
}