<?php //c80e95ad36054c91afd057e3dc6a4218
/** @noinspection all */

namespace LaravelIdea\Helper\Modules\GoogleCalendar\Entities {

    use Illuminate\Contracts\Database\Query\Expression;
    use Illuminate\Contracts\Support\Arrayable;
    use Illuminate\Pagination\LengthAwarePaginator;
    use Illuminate\Pagination\Paginator;
    use Illuminate\Support\Collection;
    use LaravelIdea\Helper\_BaseBuilder;
    use LaravelIdea\Helper\_BaseCollection;
    use Modules\GoogleCalendar\Entities\GoogleCalendarAccount;
    use Modules\GoogleCalendar\Entities\GoogleCalendarEvent;
    
    /**
     * @method GoogleCalendarAccount|null getOrPut($key, \Closure $value)
     * @method GoogleCalendarAccount|$this shift(int $count = 1)
     * @method GoogleCalendarAccount|null firstOrFail(callable|string $key = null, $operator = null, $value = null)
     * @method GoogleCalendarAccount|$this pop(int $count = 1)
     * @method GoogleCalendarAccount|null pull($key, \Closure $default = null)
     * @method GoogleCalendarAccount|null last(callable $callback = null, \Closure $default = null)
     * @method GoogleCalendarAccount|$this random(callable|int|null $number = null, bool $preserveKeys = false)
     * @method GoogleCalendarAccount|null sole(callable|string $key = null, $operator = null, $value = null)
     * @method GoogleCalendarAccount|null get($key, \Closure $default = null)
     * @method GoogleCalendarAccount|null first(callable $callback = null, \Closure $default = null)
     * @method GoogleCalendarAccount|null firstWhere(callable|string $key, $operator = null, $value = null)
     * @method GoogleCalendarAccount|null find($key, $default = null)
     * @method GoogleCalendarAccount[] all()
     */
    class _IH_GoogleCalendarAccount_C extends _BaseCollection {
        /**
         * @param int $size
         * @return GoogleCalendarAccount[][]|Collection<_IH_GoogleCalendarAccount_C>
         */
        public function chunk($size)
        {
            return [];
        }
    }
    
    /**
     * @method _IH_GoogleCalendarAccount_QB whereId($value)
     * @method _IH_GoogleCalendarAccount_QB whereUserId($value)
     * @method _IH_GoogleCalendarAccount_QB whereName($value)
     * @method _IH_GoogleCalendarAccount_QB whereEmail($value)
     * @method _IH_GoogleCalendarAccount_QB whereGoogleId($value)
     * @method _IH_GoogleCalendarAccount_QB whereToken($value)
     * @method _IH_GoogleCalendarAccount_QB whereIsActive($value)
     * @method _IH_GoogleCalendarAccount_QB whereCreatedAt($value)
     * @method _IH_GoogleCalendarAccount_QB whereUpdatedAt($value)
     * @method GoogleCalendarAccount baseSole(array|string $columns = ['*'])
     * @method GoogleCalendarAccount create(array $attributes = [])
     * @method _IH_GoogleCalendarAccount_C|GoogleCalendarAccount[] cursor()
     * @method GoogleCalendarAccount|null|_IH_GoogleCalendarAccount_C|GoogleCalendarAccount[] find($id, array|string $columns = ['*'])
     * @method _IH_GoogleCalendarAccount_C|GoogleCalendarAccount[] findMany(array|Arrayable $ids, array|string $columns = ['*'])
     * @method GoogleCalendarAccount|_IH_GoogleCalendarAccount_C|GoogleCalendarAccount[] findOr($id, array|\Closure|string $columns = ['*'], \Closure $callback = null)
     * @method GoogleCalendarAccount|_IH_GoogleCalendarAccount_C|GoogleCalendarAccount[] findOrFail($id, array|string $columns = ['*'])
     * @method GoogleCalendarAccount|_IH_GoogleCalendarAccount_C|GoogleCalendarAccount[] findOrNew($id, array|string $columns = ['*'])
     * @method GoogleCalendarAccount first(array|string $columns = ['*'])
     * @method GoogleCalendarAccount firstOr(array|\Closure|string $columns = ['*'], \Closure $callback = null)
     * @method GoogleCalendarAccount firstOrCreate(array $attributes = [], array $values = [])
     * @method GoogleCalendarAccount firstOrFail(array|string $columns = ['*'])
     * @method GoogleCalendarAccount firstOrNew(array $attributes = [], array $values = [])
     * @method GoogleCalendarAccount firstWhere(array|\Closure|Expression|string $column, $operator = null, $value = null, string $boolean = 'and')
     * @method GoogleCalendarAccount forceCreate(array $attributes)
     * @method _IH_GoogleCalendarAccount_C|GoogleCalendarAccount[] fromQuery(string $query, array $bindings = [])
     * @method _IH_GoogleCalendarAccount_C|GoogleCalendarAccount[] get(array|string $columns = ['*'])
     * @method GoogleCalendarAccount getModel()
     * @method GoogleCalendarAccount[] getModels(array|string $columns = ['*'])
     * @method _IH_GoogleCalendarAccount_C|GoogleCalendarAccount[] hydrate(array $items)
     * @method _IH_GoogleCalendarAccount_C|GoogleCalendarAccount[] lazy(int $chunkSize = 1000)
     * @method _IH_GoogleCalendarAccount_C|GoogleCalendarAccount[] lazyById(int $chunkSize = 1000, null|string $column = null, null|string $alias = null)
     * @method _IH_GoogleCalendarAccount_C|GoogleCalendarAccount[] lazyByIdDesc(int $chunkSize = 1000, null|string $column = null, null|string $alias = null)
     * @method GoogleCalendarAccount make(array $attributes = [])
     * @method GoogleCalendarAccount newModelInstance(array $attributes = [])
     * @method LengthAwarePaginator|GoogleCalendarAccount[]|_IH_GoogleCalendarAccount_C paginate(\Closure|int|null $perPage = null, array|string $columns = ['*'], string $pageName = 'page', int|null $page = null)
     * @method Paginator|GoogleCalendarAccount[]|_IH_GoogleCalendarAccount_C simplePaginate(int|null $perPage = null, array|string $columns = ['*'], string $pageName = 'page', int|null $page = null)
     * @method GoogleCalendarAccount sole(array|string $columns = ['*'])
     * @method GoogleCalendarAccount updateOrCreate(array $attributes, array $values = [])
     */
    class _IH_GoogleCalendarAccount_QB extends _BaseBuilder {}
    
    /**
     * @method GoogleCalendarEvent|null getOrPut($key, \Closure $value)
     * @method GoogleCalendarEvent|$this shift(int $count = 1)
     * @method GoogleCalendarEvent|null firstOrFail(callable|string $key = null, $operator = null, $value = null)
     * @method GoogleCalendarEvent|$this pop(int $count = 1)
     * @method GoogleCalendarEvent|null pull($key, \Closure $default = null)
     * @method GoogleCalendarEvent|null last(callable $callback = null, \Closure $default = null)
     * @method GoogleCalendarEvent|$this random(callable|int|null $number = null, bool $preserveKeys = false)
     * @method GoogleCalendarEvent|null sole(callable|string $key = null, $operator = null, $value = null)
     * @method GoogleCalendarEvent|null get($key, \Closure $default = null)
     * @method GoogleCalendarEvent|null first(callable $callback = null, \Closure $default = null)
     * @method GoogleCalendarEvent|null firstWhere(callable|string $key, $operator = null, $value = null)
     * @method GoogleCalendarEvent|null find($key, $default = null)
     * @method GoogleCalendarEvent[] all()
     */
    class _IH_GoogleCalendarEvent_C extends _BaseCollection {
        /**
         * @param int $size
         * @return GoogleCalendarEvent[][]|Collection<_IH_GoogleCalendarEvent_C>
         */
        public function chunk($size)
        {
            return [];
        }
    }
    
    /**
     * @method _IH_GoogleCalendarEvent_QB whereId($value)
     * @method _IH_GoogleCalendarEvent_QB whereGoogleCalendarId($value)
     * @method _IH_GoogleCalendarEvent_QB whereResponse($value)
     * @method _IH_GoogleCalendarEvent_QB whereMainModel($value)
     * @method _IH_GoogleCalendarEvent_QB whereMainModelId($value)
     * @method _IH_GoogleCalendarEvent_QB whereSubModel($value)
     * @method _IH_GoogleCalendarEvent_QB whereSubModelId($value)
     * @method _IH_GoogleCalendarEvent_QB whereCreatedAt($value)
     * @method _IH_GoogleCalendarEvent_QB whereUpdatedAt($value)
     * @method GoogleCalendarEvent baseSole(array|string $columns = ['*'])
     * @method GoogleCalendarEvent create(array $attributes = [])
     * @method _IH_GoogleCalendarEvent_C|GoogleCalendarEvent[] cursor()
     * @method GoogleCalendarEvent|null|_IH_GoogleCalendarEvent_C|GoogleCalendarEvent[] find($id, array|string $columns = ['*'])
     * @method _IH_GoogleCalendarEvent_C|GoogleCalendarEvent[] findMany(array|Arrayable $ids, array|string $columns = ['*'])
     * @method GoogleCalendarEvent|_IH_GoogleCalendarEvent_C|GoogleCalendarEvent[] findOr($id, array|\Closure|string $columns = ['*'], \Closure $callback = null)
     * @method GoogleCalendarEvent|_IH_GoogleCalendarEvent_C|GoogleCalendarEvent[] findOrFail($id, array|string $columns = ['*'])
     * @method GoogleCalendarEvent|_IH_GoogleCalendarEvent_C|GoogleCalendarEvent[] findOrNew($id, array|string $columns = ['*'])
     * @method GoogleCalendarEvent first(array|string $columns = ['*'])
     * @method GoogleCalendarEvent firstOr(array|\Closure|string $columns = ['*'], \Closure $callback = null)
     * @method GoogleCalendarEvent firstOrCreate(array $attributes = [], array $values = [])
     * @method GoogleCalendarEvent firstOrFail(array|string $columns = ['*'])
     * @method GoogleCalendarEvent firstOrNew(array $attributes = [], array $values = [])
     * @method GoogleCalendarEvent firstWhere(array|\Closure|Expression|string $column, $operator = null, $value = null, string $boolean = 'and')
     * @method GoogleCalendarEvent forceCreate(array $attributes)
     * @method _IH_GoogleCalendarEvent_C|GoogleCalendarEvent[] fromQuery(string $query, array $bindings = [])
     * @method _IH_GoogleCalendarEvent_C|GoogleCalendarEvent[] get(array|string $columns = ['*'])
     * @method GoogleCalendarEvent getModel()
     * @method GoogleCalendarEvent[] getModels(array|string $columns = ['*'])
     * @method _IH_GoogleCalendarEvent_C|GoogleCalendarEvent[] hydrate(array $items)
     * @method _IH_GoogleCalendarEvent_C|GoogleCalendarEvent[] lazy(int $chunkSize = 1000)
     * @method _IH_GoogleCalendarEvent_C|GoogleCalendarEvent[] lazyById(int $chunkSize = 1000, null|string $column = null, null|string $alias = null)
     * @method _IH_GoogleCalendarEvent_C|GoogleCalendarEvent[] lazyByIdDesc(int $chunkSize = 1000, null|string $column = null, null|string $alias = null)
     * @method GoogleCalendarEvent make(array $attributes = [])
     * @method GoogleCalendarEvent newModelInstance(array $attributes = [])
     * @method LengthAwarePaginator|GoogleCalendarEvent[]|_IH_GoogleCalendarEvent_C paginate(\Closure|int|null $perPage = null, array|string $columns = ['*'], string $pageName = 'page', int|null $page = null)
     * @method Paginator|GoogleCalendarEvent[]|_IH_GoogleCalendarEvent_C simplePaginate(int|null $perPage = null, array|string $columns = ['*'], string $pageName = 'page', int|null $page = null)
     * @method GoogleCalendarEvent sole(array|string $columns = ['*'])
     * @method GoogleCalendarEvent updateOrCreate(array $attributes, array $values = [])
     */
    class _IH_GoogleCalendarEvent_QB extends _BaseBuilder {}
}