<?php //f3ab6447df4645f096e2a076055fe0db
/** @noinspection all */

namespace LaravelIdea\Helper\Modules\Coupons\Entities {

    use Illuminate\Contracts\Database\Query\Expression;
    use Illuminate\Contracts\Support\Arrayable;
    use Illuminate\Pagination\LengthAwarePaginator;
    use Illuminate\Pagination\Paginator;
    use Illuminate\Support\Collection;
    use LaravelIdea\Helper\_BaseBuilder;
    use LaravelIdea\Helper\_BaseCollection;
    use Modules\Coupons\Entities\Coupon;
    use Modules\Coupons\Entities\UserWiseCoupon;
    use Modules\Coupons\Entities\UserWiseCouponSetting;
    
    /**
     * @method Coupon|null getOrPut($key, \Closure $value)
     * @method Coupon|$this shift(int $count = 1)
     * @method Coupon|null firstOrFail(callable|string $key = null, $operator = null, $value = null)
     * @method Coupon|$this pop(int $count = 1)
     * @method Coupon|null pull($key, \Closure $default = null)
     * @method Coupon|null last(callable $callback = null, \Closure $default = null)
     * @method Coupon|$this random(callable|int|null $number = null, bool $preserveKeys = false)
     * @method Coupon|null sole(callable|string $key = null, $operator = null, $value = null)
     * @method Coupon|null get($key, \Closure $default = null)
     * @method Coupon|null first(callable $callback = null, \Closure $default = null)
     * @method Coupon|null firstWhere(callable|string $key, $operator = null, $value = null)
     * @method Coupon|null find($key, $default = null)
     * @method Coupon[] all()
     */
    class _IH_Coupon_C extends _BaseCollection {
        /**
         * @param int $size
         * @return Coupon[][]|Collection<_IH_Coupon_C>
         */
        public function chunk($size)
        {
            return [];
        }
    }
    
    /**
     * @method _IH_Coupon_QB whereId($value)
     * @method _IH_Coupon_QB whereUserId($value)
     * @method _IH_Coupon_QB whereTitle($value)
     * @method _IH_Coupon_QB whereCode($value)
     * @method _IH_Coupon_QB whereStatus($value)
     * @method _IH_Coupon_QB whereValue($value)
     * @method _IH_Coupon_QB whereType($value)
     * @method _IH_Coupon_QB whereMinPurchase($value)
     * @method _IH_Coupon_QB whereMaxDiscount($value)
     * @method _IH_Coupon_QB whereStartDate($value)
     * @method _IH_Coupon_QB whereEndDate($value)
     * @method _IH_Coupon_QB whereCategory($value)
     * @method _IH_Coupon_QB whereCategoryId($value)
     * @method _IH_Coupon_QB whereSubcategoryId($value)
     * @method _IH_Coupon_QB whereCourseId($value)
     * @method _IH_Coupon_QB whereCouponUserId($value)
     * @method _IH_Coupon_QB whereCreatedAt($value)
     * @method _IH_Coupon_QB whereUpdatedAt($value)
     * @method _IH_Coupon_QB whereLimit($value)
     * @method Coupon baseSole(array|string $columns = ['*'])
     * @method Coupon create(array $attributes = [])
     * @method _IH_Coupon_C|Coupon[] cursor()
     * @method Coupon|null|_IH_Coupon_C|Coupon[] find($id, array|string $columns = ['*'])
     * @method _IH_Coupon_C|Coupon[] findMany(array|Arrayable $ids, array|string $columns = ['*'])
     * @method Coupon|_IH_Coupon_C|Coupon[] findOr($id, array|\Closure|string $columns = ['*'], \Closure $callback = null)
     * @method Coupon|_IH_Coupon_C|Coupon[] findOrFail($id, array|string $columns = ['*'])
     * @method Coupon|_IH_Coupon_C|Coupon[] findOrNew($id, array|string $columns = ['*'])
     * @method Coupon first(array|string $columns = ['*'])
     * @method Coupon firstOr(array|\Closure|string $columns = ['*'], \Closure $callback = null)
     * @method Coupon firstOrCreate(array $attributes = [], array $values = [])
     * @method Coupon firstOrFail(array|string $columns = ['*'])
     * @method Coupon firstOrNew(array $attributes = [], array $values = [])
     * @method Coupon firstWhere(array|\Closure|Expression|string $column, $operator = null, $value = null, string $boolean = 'and')
     * @method Coupon forceCreate(array $attributes)
     * @method _IH_Coupon_C|Coupon[] fromQuery(string $query, array $bindings = [])
     * @method _IH_Coupon_C|Coupon[] get(array|string $columns = ['*'])
     * @method Coupon getModel()
     * @method Coupon[] getModels(array|string $columns = ['*'])
     * @method _IH_Coupon_C|Coupon[] hydrate(array $items)
     * @method _IH_Coupon_C|Coupon[] lazy(int $chunkSize = 1000)
     * @method _IH_Coupon_C|Coupon[] lazyById(int $chunkSize = 1000, null|string $column = null, null|string $alias = null)
     * @method _IH_Coupon_C|Coupon[] lazyByIdDesc(int $chunkSize = 1000, null|string $column = null, null|string $alias = null)
     * @method Coupon make(array $attributes = [])
     * @method Coupon newModelInstance(array $attributes = [])
     * @method LengthAwarePaginator|Coupon[]|_IH_Coupon_C paginate(\Closure|int|null $perPage = null, array|string $columns = ['*'], string $pageName = 'page', int|null $page = null)
     * @method Paginator|Coupon[]|_IH_Coupon_C simplePaginate(int|null $perPage = null, array|string $columns = ['*'], string $pageName = 'page', int|null $page = null)
     * @method Coupon sole(array|string $columns = ['*'])
     * @method Coupon updateOrCreate(array $attributes, array $values = [])
     */
    class _IH_Coupon_QB extends _BaseBuilder {}
    
    /**
     * @method UserWiseCouponSetting|null getOrPut($key, \Closure $value)
     * @method UserWiseCouponSetting|$this shift(int $count = 1)
     * @method UserWiseCouponSetting|null firstOrFail(callable|string $key = null, $operator = null, $value = null)
     * @method UserWiseCouponSetting|$this pop(int $count = 1)
     * @method UserWiseCouponSetting|null pull($key, \Closure $default = null)
     * @method UserWiseCouponSetting|null last(callable $callback = null, \Closure $default = null)
     * @method UserWiseCouponSetting|$this random(callable|int|null $number = null, bool $preserveKeys = false)
     * @method UserWiseCouponSetting|null sole(callable|string $key = null, $operator = null, $value = null)
     * @method UserWiseCouponSetting|null get($key, \Closure $default = null)
     * @method UserWiseCouponSetting|null first(callable $callback = null, \Closure $default = null)
     * @method UserWiseCouponSetting|null firstWhere(callable|string $key, $operator = null, $value = null)
     * @method UserWiseCouponSetting|null find($key, $default = null)
     * @method UserWiseCouponSetting[] all()
     */
    class _IH_UserWiseCouponSetting_C extends _BaseCollection {
        /**
         * @param int $size
         * @return UserWiseCouponSetting[][]|Collection<_IH_UserWiseCouponSetting_C>
         */
        public function chunk($size)
        {
            return [];
        }
    }
    
    /**
     * @method _IH_UserWiseCouponSetting_QB whereId($value)
     * @method _IH_UserWiseCouponSetting_QB whereRoleId($value)
     * @method _IH_UserWiseCouponSetting_QB whereType($value)
     * @method _IH_UserWiseCouponSetting_QB whereStatus($value)
     * @method _IH_UserWiseCouponSetting_QB whereAmount($value)
     * @method _IH_UserWiseCouponSetting_QB whereMaxLimit($value)
     * @method _IH_UserWiseCouponSetting_QB whereCreatedAt($value)
     * @method _IH_UserWiseCouponSetting_QB whereUpdatedAt($value)
     * @method UserWiseCouponSetting baseSole(array|string $columns = ['*'])
     * @method UserWiseCouponSetting create(array $attributes = [])
     * @method _IH_UserWiseCouponSetting_C|UserWiseCouponSetting[] cursor()
     * @method UserWiseCouponSetting|null|_IH_UserWiseCouponSetting_C|UserWiseCouponSetting[] find($id, array|string $columns = ['*'])
     * @method _IH_UserWiseCouponSetting_C|UserWiseCouponSetting[] findMany(array|Arrayable $ids, array|string $columns = ['*'])
     * @method UserWiseCouponSetting|_IH_UserWiseCouponSetting_C|UserWiseCouponSetting[] findOr($id, array|\Closure|string $columns = ['*'], \Closure $callback = null)
     * @method UserWiseCouponSetting|_IH_UserWiseCouponSetting_C|UserWiseCouponSetting[] findOrFail($id, array|string $columns = ['*'])
     * @method UserWiseCouponSetting|_IH_UserWiseCouponSetting_C|UserWiseCouponSetting[] findOrNew($id, array|string $columns = ['*'])
     * @method UserWiseCouponSetting first(array|string $columns = ['*'])
     * @method UserWiseCouponSetting firstOr(array|\Closure|string $columns = ['*'], \Closure $callback = null)
     * @method UserWiseCouponSetting firstOrCreate(array $attributes = [], array $values = [])
     * @method UserWiseCouponSetting firstOrFail(array|string $columns = ['*'])
     * @method UserWiseCouponSetting firstOrNew(array $attributes = [], array $values = [])
     * @method UserWiseCouponSetting firstWhere(array|\Closure|Expression|string $column, $operator = null, $value = null, string $boolean = 'and')
     * @method UserWiseCouponSetting forceCreate(array $attributes)
     * @method _IH_UserWiseCouponSetting_C|UserWiseCouponSetting[] fromQuery(string $query, array $bindings = [])
     * @method _IH_UserWiseCouponSetting_C|UserWiseCouponSetting[] get(array|string $columns = ['*'])
     * @method UserWiseCouponSetting getModel()
     * @method UserWiseCouponSetting[] getModels(array|string $columns = ['*'])
     * @method _IH_UserWiseCouponSetting_C|UserWiseCouponSetting[] hydrate(array $items)
     * @method _IH_UserWiseCouponSetting_C|UserWiseCouponSetting[] lazy(int $chunkSize = 1000)
     * @method _IH_UserWiseCouponSetting_C|UserWiseCouponSetting[] lazyById(int $chunkSize = 1000, null|string $column = null, null|string $alias = null)
     * @method _IH_UserWiseCouponSetting_C|UserWiseCouponSetting[] lazyByIdDesc(int $chunkSize = 1000, null|string $column = null, null|string $alias = null)
     * @method UserWiseCouponSetting make(array $attributes = [])
     * @method UserWiseCouponSetting newModelInstance(array $attributes = [])
     * @method LengthAwarePaginator|UserWiseCouponSetting[]|_IH_UserWiseCouponSetting_C paginate(\Closure|int|null $perPage = null, array|string $columns = ['*'], string $pageName = 'page', int|null $page = null)
     * @method Paginator|UserWiseCouponSetting[]|_IH_UserWiseCouponSetting_C simplePaginate(int|null $perPage = null, array|string $columns = ['*'], string $pageName = 'page', int|null $page = null)
     * @method UserWiseCouponSetting sole(array|string $columns = ['*'])
     * @method UserWiseCouponSetting updateOrCreate(array $attributes, array $values = [])
     */
    class _IH_UserWiseCouponSetting_QB extends _BaseBuilder {}
    
    /**
     * @method UserWiseCoupon|null getOrPut($key, \Closure $value)
     * @method UserWiseCoupon|$this shift(int $count = 1)
     * @method UserWiseCoupon|null firstOrFail(callable|string $key = null, $operator = null, $value = null)
     * @method UserWiseCoupon|$this pop(int $count = 1)
     * @method UserWiseCoupon|null pull($key, \Closure $default = null)
     * @method UserWiseCoupon|null last(callable $callback = null, \Closure $default = null)
     * @method UserWiseCoupon|$this random(callable|int|null $number = null, bool $preserveKeys = false)
     * @method UserWiseCoupon|null sole(callable|string $key = null, $operator = null, $value = null)
     * @method UserWiseCoupon|null get($key, \Closure $default = null)
     * @method UserWiseCoupon|null first(callable $callback = null, \Closure $default = null)
     * @method UserWiseCoupon|null firstWhere(callable|string $key, $operator = null, $value = null)
     * @method UserWiseCoupon|null find($key, $default = null)
     * @method UserWiseCoupon[] all()
     */
    class _IH_UserWiseCoupon_C extends _BaseCollection {
        /**
         * @param int $size
         * @return UserWiseCoupon[][]|Collection<_IH_UserWiseCoupon_C>
         */
        public function chunk($size)
        {
            return [];
        }
    }
    
    /**
     * @method _IH_UserWiseCoupon_QB whereId($value)
     * @method _IH_UserWiseCoupon_QB whereInviteBy($value)
     * @method _IH_UserWiseCoupon_QB whereInviteAcceptBy($value)
     * @method _IH_UserWiseCoupon_QB whereInviteCode($value)
     * @method _IH_UserWiseCoupon_QB whereCategoryId($value)
     * @method _IH_UserWiseCoupon_QB whereSubcategoryId($value)
     * @method _IH_UserWiseCoupon_QB whereCourseId($value)
     * @method _IH_UserWiseCoupon_QB whereBonusAmount($value)
     * @method _IH_UserWiseCoupon_QB whereCreatedAt($value)
     * @method _IH_UserWiseCoupon_QB whereUpdatedAt($value)
     * @method UserWiseCoupon baseSole(array|string $columns = ['*'])
     * @method UserWiseCoupon create(array $attributes = [])
     * @method _IH_UserWiseCoupon_C|UserWiseCoupon[] cursor()
     * @method UserWiseCoupon|null|_IH_UserWiseCoupon_C|UserWiseCoupon[] find($id, array|string $columns = ['*'])
     * @method _IH_UserWiseCoupon_C|UserWiseCoupon[] findMany(array|Arrayable $ids, array|string $columns = ['*'])
     * @method UserWiseCoupon|_IH_UserWiseCoupon_C|UserWiseCoupon[] findOr($id, array|\Closure|string $columns = ['*'], \Closure $callback = null)
     * @method UserWiseCoupon|_IH_UserWiseCoupon_C|UserWiseCoupon[] findOrFail($id, array|string $columns = ['*'])
     * @method UserWiseCoupon|_IH_UserWiseCoupon_C|UserWiseCoupon[] findOrNew($id, array|string $columns = ['*'])
     * @method UserWiseCoupon first(array|string $columns = ['*'])
     * @method UserWiseCoupon firstOr(array|\Closure|string $columns = ['*'], \Closure $callback = null)
     * @method UserWiseCoupon firstOrCreate(array $attributes = [], array $values = [])
     * @method UserWiseCoupon firstOrFail(array|string $columns = ['*'])
     * @method UserWiseCoupon firstOrNew(array $attributes = [], array $values = [])
     * @method UserWiseCoupon firstWhere(array|\Closure|Expression|string $column, $operator = null, $value = null, string $boolean = 'and')
     * @method UserWiseCoupon forceCreate(array $attributes)
     * @method _IH_UserWiseCoupon_C|UserWiseCoupon[] fromQuery(string $query, array $bindings = [])
     * @method _IH_UserWiseCoupon_C|UserWiseCoupon[] get(array|string $columns = ['*'])
     * @method UserWiseCoupon getModel()
     * @method UserWiseCoupon[] getModels(array|string $columns = ['*'])
     * @method _IH_UserWiseCoupon_C|UserWiseCoupon[] hydrate(array $items)
     * @method _IH_UserWiseCoupon_C|UserWiseCoupon[] lazy(int $chunkSize = 1000)
     * @method _IH_UserWiseCoupon_C|UserWiseCoupon[] lazyById(int $chunkSize = 1000, null|string $column = null, null|string $alias = null)
     * @method _IH_UserWiseCoupon_C|UserWiseCoupon[] lazyByIdDesc(int $chunkSize = 1000, null|string $column = null, null|string $alias = null)
     * @method UserWiseCoupon make(array $attributes = [])
     * @method UserWiseCoupon newModelInstance(array $attributes = [])
     * @method LengthAwarePaginator|UserWiseCoupon[]|_IH_UserWiseCoupon_C paginate(\Closure|int|null $perPage = null, array|string $columns = ['*'], string $pageName = 'page', int|null $page = null)
     * @method Paginator|UserWiseCoupon[]|_IH_UserWiseCoupon_C simplePaginate(int|null $perPage = null, array|string $columns = ['*'], string $pageName = 'page', int|null $page = null)
     * @method UserWiseCoupon sole(array|string $columns = ['*'])
     * @method UserWiseCoupon updateOrCreate(array $attributes, array $values = [])
     */
    class _IH_UserWiseCoupon_QB extends _BaseBuilder {}
}