<?php //2db1ec5c367a516fccad21638a0b335e
/** @noinspection all */

namespace LaravelIdea\Helper\Modules\StudentSetting\Entities {

    use Illuminate\Contracts\Database\Query\Expression;
    use Illuminate\Contracts\Support\Arrayable;
    use Illuminate\Pagination\LengthAwarePaginator;
    use Illuminate\Pagination\Paginator;
    use Illuminate\Support\Collection;
    use LaravelIdea\Helper\_BaseBuilder;
    use LaravelIdea\Helper\_BaseCollection;
    use Modules\StudentSetting\Entities\BookmarkCourse;
    use Modules\StudentSetting\Entities\Institute;
    use Modules\StudentSetting\Entities\StudentImportTemporary;
    
    /**
     * @method BookmarkCourse|null getOrPut($key, \Closure $value)
     * @method BookmarkCourse|$this shift(int $count = 1)
     * @method BookmarkCourse|null firstOrFail(callable|string $key = null, $operator = null, $value = null)
     * @method BookmarkCourse|$this pop(int $count = 1)
     * @method BookmarkCourse|null pull($key, \Closure $default = null)
     * @method BookmarkCourse|null last(callable $callback = null, \Closure $default = null)
     * @method BookmarkCourse|$this random(callable|int|null $number = null, bool $preserveKeys = false)
     * @method BookmarkCourse|null sole(callable|string $key = null, $operator = null, $value = null)
     * @method BookmarkCourse|null get($key, \Closure $default = null)
     * @method BookmarkCourse|null first(callable $callback = null, \Closure $default = null)
     * @method BookmarkCourse|null firstWhere(callable|string $key, $operator = null, $value = null)
     * @method BookmarkCourse|null find($key, $default = null)
     * @method BookmarkCourse[] all()
     */
    class _IH_BookmarkCourse_C extends _BaseCollection {
        /**
         * @param int $size
         * @return BookmarkCourse[][]|Collection<_IH_BookmarkCourse_C>
         */
        public function chunk($size)
        {
            return [];
        }
    }
    
    /**
     * @method _IH_BookmarkCourse_QB whereId($value)
     * @method _IH_BookmarkCourse_QB whereCourseId($value)
     * @method _IH_BookmarkCourse_QB whereUserId($value)
     * @method _IH_BookmarkCourse_QB whereLessonId($value)
     * @method _IH_BookmarkCourse_QB whereChapterId($value)
     * @method _IH_BookmarkCourse_QB whereCreatedAt($value)
     * @method _IH_BookmarkCourse_QB whereUpdatedAt($value)
     * @method BookmarkCourse baseSole(array|string $columns = ['*'])
     * @method BookmarkCourse create(array $attributes = [])
     * @method _IH_BookmarkCourse_C|BookmarkCourse[] cursor()
     * @method BookmarkCourse|null|_IH_BookmarkCourse_C|BookmarkCourse[] find($id, array|string $columns = ['*'])
     * @method _IH_BookmarkCourse_C|BookmarkCourse[] findMany(array|Arrayable $ids, array|string $columns = ['*'])
     * @method BookmarkCourse|_IH_BookmarkCourse_C|BookmarkCourse[] findOr($id, array|\Closure|string $columns = ['*'], \Closure $callback = null)
     * @method BookmarkCourse|_IH_BookmarkCourse_C|BookmarkCourse[] findOrFail($id, array|string $columns = ['*'])
     * @method BookmarkCourse|_IH_BookmarkCourse_C|BookmarkCourse[] findOrNew($id, array|string $columns = ['*'])
     * @method BookmarkCourse first(array|string $columns = ['*'])
     * @method BookmarkCourse firstOr(array|\Closure|string $columns = ['*'], \Closure $callback = null)
     * @method BookmarkCourse firstOrCreate(array $attributes = [], array $values = [])
     * @method BookmarkCourse firstOrFail(array|string $columns = ['*'])
     * @method BookmarkCourse firstOrNew(array $attributes = [], array $values = [])
     * @method BookmarkCourse firstWhere(array|\Closure|Expression|string $column, $operator = null, $value = null, string $boolean = 'and')
     * @method BookmarkCourse forceCreate(array $attributes)
     * @method _IH_BookmarkCourse_C|BookmarkCourse[] fromQuery(string $query, array $bindings = [])
     * @method _IH_BookmarkCourse_C|BookmarkCourse[] get(array|string $columns = ['*'])
     * @method BookmarkCourse getModel()
     * @method BookmarkCourse[] getModels(array|string $columns = ['*'])
     * @method _IH_BookmarkCourse_C|BookmarkCourse[] hydrate(array $items)
     * @method _IH_BookmarkCourse_C|BookmarkCourse[] lazy(int $chunkSize = 1000)
     * @method _IH_BookmarkCourse_C|BookmarkCourse[] lazyById(int $chunkSize = 1000, null|string $column = null, null|string $alias = null)
     * @method _IH_BookmarkCourse_C|BookmarkCourse[] lazyByIdDesc(int $chunkSize = 1000, null|string $column = null, null|string $alias = null)
     * @method BookmarkCourse make(array $attributes = [])
     * @method BookmarkCourse newModelInstance(array $attributes = [])
     * @method LengthAwarePaginator|BookmarkCourse[]|_IH_BookmarkCourse_C paginate(\Closure|int|null $perPage = null, array|string $columns = ['*'], string $pageName = 'page', int|null $page = null)
     * @method Paginator|BookmarkCourse[]|_IH_BookmarkCourse_C simplePaginate(int|null $perPage = null, array|string $columns = ['*'], string $pageName = 'page', int|null $page = null)
     * @method BookmarkCourse sole(array|string $columns = ['*'])
     * @method BookmarkCourse updateOrCreate(array $attributes, array $values = [])
     */
    class _IH_BookmarkCourse_QB extends _BaseBuilder {}
    
    /**
     * @method Institute|null getOrPut($key, \Closure $value)
     * @method Institute|$this shift(int $count = 1)
     * @method Institute|null firstOrFail(callable|string $key = null, $operator = null, $value = null)
     * @method Institute|$this pop(int $count = 1)
     * @method Institute|null pull($key, \Closure $default = null)
     * @method Institute|null last(callable $callback = null, \Closure $default = null)
     * @method Institute|$this random(callable|int|null $number = null, bool $preserveKeys = false)
     * @method Institute|null sole(callable|string $key = null, $operator = null, $value = null)
     * @method Institute|null get($key, \Closure $default = null)
     * @method Institute|null first(callable $callback = null, \Closure $default = null)
     * @method Institute|null firstWhere(callable|string $key, $operator = null, $value = null)
     * @method Institute|null find($key, $default = null)
     * @method Institute[] all()
     */
    class _IH_Institute_C extends _BaseCollection {
        /**
         * @param int $size
         * @return Institute[][]|Collection<_IH_Institute_C>
         */
        public function chunk($size)
        {
            return [];
        }
    }
    
    /**
     * @method _IH_Institute_QB whereId($value)
     * @method _IH_Institute_QB whereName($value)
     * @method _IH_Institute_QB whereAddress($value)
     * @method _IH_Institute_QB whereStatus($value)
     * @method _IH_Institute_QB whereCreatedAt($value)
     * @method _IH_Institute_QB whereUpdatedAt($value)
     * @method Institute baseSole(array|string $columns = ['*'])
     * @method Institute create(array $attributes = [])
     * @method _IH_Institute_C|Institute[] cursor()
     * @method Institute|null|_IH_Institute_C|Institute[] find($id, array|string $columns = ['*'])
     * @method _IH_Institute_C|Institute[] findMany(array|Arrayable $ids, array|string $columns = ['*'])
     * @method Institute|_IH_Institute_C|Institute[] findOr($id, array|\Closure|string $columns = ['*'], \Closure $callback = null)
     * @method Institute|_IH_Institute_C|Institute[] findOrFail($id, array|string $columns = ['*'])
     * @method Institute|_IH_Institute_C|Institute[] findOrNew($id, array|string $columns = ['*'])
     * @method Institute first(array|string $columns = ['*'])
     * @method Institute firstOr(array|\Closure|string $columns = ['*'], \Closure $callback = null)
     * @method Institute firstOrCreate(array $attributes = [], array $values = [])
     * @method Institute firstOrFail(array|string $columns = ['*'])
     * @method Institute firstOrNew(array $attributes = [], array $values = [])
     * @method Institute firstWhere(array|\Closure|Expression|string $column, $operator = null, $value = null, string $boolean = 'and')
     * @method Institute forceCreate(array $attributes)
     * @method _IH_Institute_C|Institute[] fromQuery(string $query, array $bindings = [])
     * @method _IH_Institute_C|Institute[] get(array|string $columns = ['*'])
     * @method Institute getModel()
     * @method Institute[] getModels(array|string $columns = ['*'])
     * @method _IH_Institute_C|Institute[] hydrate(array $items)
     * @method _IH_Institute_C|Institute[] lazy(int $chunkSize = 1000)
     * @method _IH_Institute_C|Institute[] lazyById(int $chunkSize = 1000, null|string $column = null, null|string $alias = null)
     * @method _IH_Institute_C|Institute[] lazyByIdDesc(int $chunkSize = 1000, null|string $column = null, null|string $alias = null)
     * @method Institute make(array $attributes = [])
     * @method Institute newModelInstance(array $attributes = [])
     * @method LengthAwarePaginator|Institute[]|_IH_Institute_C paginate(\Closure|int|null $perPage = null, array|string $columns = ['*'], string $pageName = 'page', int|null $page = null)
     * @method Paginator|Institute[]|_IH_Institute_C simplePaginate(int|null $perPage = null, array|string $columns = ['*'], string $pageName = 'page', int|null $page = null)
     * @method Institute sole(array|string $columns = ['*'])
     * @method Institute updateOrCreate(array $attributes, array $values = [])
     */
    class _IH_Institute_QB extends _BaseBuilder {}
    
    /**
     * @method StudentImportTemporary|null getOrPut($key, \Closure $value)
     * @method StudentImportTemporary|$this shift(int $count = 1)
     * @method StudentImportTemporary|null firstOrFail(callable|string $key = null, $operator = null, $value = null)
     * @method StudentImportTemporary|$this pop(int $count = 1)
     * @method StudentImportTemporary|null pull($key, \Closure $default = null)
     * @method StudentImportTemporary|null last(callable $callback = null, \Closure $default = null)
     * @method StudentImportTemporary|$this random(callable|int|null $number = null, bool $preserveKeys = false)
     * @method StudentImportTemporary|null sole(callable|string $key = null, $operator = null, $value = null)
     * @method StudentImportTemporary|null get($key, \Closure $default = null)
     * @method StudentImportTemporary|null first(callable $callback = null, \Closure $default = null)
     * @method StudentImportTemporary|null firstWhere(callable|string $key, $operator = null, $value = null)
     * @method StudentImportTemporary|null find($key, $default = null)
     * @method StudentImportTemporary[] all()
     */
    class _IH_StudentImportTemporary_C extends _BaseCollection {
        /**
         * @param int $size
         * @return StudentImportTemporary[][]|Collection<_IH_StudentImportTemporary_C>
         */
        public function chunk($size)
        {
            return [];
        }
    }
    
    /**
     * @method _IH_StudentImportTemporary_QB whereId($value)
     * @method _IH_StudentImportTemporary_QB whereName($value)
     * @method _IH_StudentImportTemporary_QB whereEmail($value)
     * @method _IH_StudentImportTemporary_QB wherePhone($value)
     * @method _IH_StudentImportTemporary_QB whereDob($value)
     * @method _IH_StudentImportTemporary_QB whereCompany($value)
     * @method _IH_StudentImportTemporary_QB whereGender($value)
     * @method _IH_StudentImportTemporary_QB whereStudentType($value)
     * @method _IH_StudentImportTemporary_QB whereIdentificationNumber($value)
     * @method _IH_StudentImportTemporary_QB whereJobTitle($value)
     * @method _IH_StudentImportTemporary_QB whereCreatedBy($value)
     * @method _IH_StudentImportTemporary_QB whereCreatedAt($value)
     * @method _IH_StudentImportTemporary_QB whereUpdatedAt($value)
     * @method _IH_StudentImportTemporary_QB whereCountry($value)
     * @method StudentImportTemporary baseSole(array|string $columns = ['*'])
     * @method StudentImportTemporary create(array $attributes = [])
     * @method _IH_StudentImportTemporary_C|StudentImportTemporary[] cursor()
     * @method StudentImportTemporary|null|_IH_StudentImportTemporary_C|StudentImportTemporary[] find($id, array|string $columns = ['*'])
     * @method _IH_StudentImportTemporary_C|StudentImportTemporary[] findMany(array|Arrayable $ids, array|string $columns = ['*'])
     * @method StudentImportTemporary|_IH_StudentImportTemporary_C|StudentImportTemporary[] findOr($id, array|\Closure|string $columns = ['*'], \Closure $callback = null)
     * @method StudentImportTemporary|_IH_StudentImportTemporary_C|StudentImportTemporary[] findOrFail($id, array|string $columns = ['*'])
     * @method StudentImportTemporary|_IH_StudentImportTemporary_C|StudentImportTemporary[] findOrNew($id, array|string $columns = ['*'])
     * @method StudentImportTemporary first(array|string $columns = ['*'])
     * @method StudentImportTemporary firstOr(array|\Closure|string $columns = ['*'], \Closure $callback = null)
     * @method StudentImportTemporary firstOrCreate(array $attributes = [], array $values = [])
     * @method StudentImportTemporary firstOrFail(array|string $columns = ['*'])
     * @method StudentImportTemporary firstOrNew(array $attributes = [], array $values = [])
     * @method StudentImportTemporary firstWhere(array|\Closure|Expression|string $column, $operator = null, $value = null, string $boolean = 'and')
     * @method StudentImportTemporary forceCreate(array $attributes)
     * @method _IH_StudentImportTemporary_C|StudentImportTemporary[] fromQuery(string $query, array $bindings = [])
     * @method _IH_StudentImportTemporary_C|StudentImportTemporary[] get(array|string $columns = ['*'])
     * @method StudentImportTemporary getModel()
     * @method StudentImportTemporary[] getModels(array|string $columns = ['*'])
     * @method _IH_StudentImportTemporary_C|StudentImportTemporary[] hydrate(array $items)
     * @method _IH_StudentImportTemporary_C|StudentImportTemporary[] lazy(int $chunkSize = 1000)
     * @method _IH_StudentImportTemporary_C|StudentImportTemporary[] lazyById(int $chunkSize = 1000, null|string $column = null, null|string $alias = null)
     * @method _IH_StudentImportTemporary_C|StudentImportTemporary[] lazyByIdDesc(int $chunkSize = 1000, null|string $column = null, null|string $alias = null)
     * @method StudentImportTemporary make(array $attributes = [])
     * @method StudentImportTemporary newModelInstance(array $attributes = [])
     * @method LengthAwarePaginator|StudentImportTemporary[]|_IH_StudentImportTemporary_C paginate(\Closure|int|null $perPage = null, array|string $columns = ['*'], string $pageName = 'page', int|null $page = null)
     * @method Paginator|StudentImportTemporary[]|_IH_StudentImportTemporary_C simplePaginate(int|null $perPage = null, array|string $columns = ['*'], string $pageName = 'page', int|null $page = null)
     * @method StudentImportTemporary sole(array|string $columns = ['*'])
     * @method StudentImportTemporary updateOrCreate(array $attributes, array $values = [])
     */
    class _IH_StudentImportTemporary_QB extends _BaseBuilder {}
}