<?php //72e1a3a5c07afff0fcb0f952795ed31f
/** @noinspection all */

namespace LaravelIdea\Helper\Modules\SaasBranch\Entities {

    use Illuminate\Contracts\Database\Query\Expression;
    use Illuminate\Contracts\Support\Arrayable;
    use Illuminate\Pagination\LengthAwarePaginator;
    use Illuminate\Pagination\Paginator;
    use Illuminate\Support\Collection;
    use LaravelIdea\Helper\_BaseBuilder;
    use LaravelIdea\Helper\_BaseCollection;
    use Modules\SaasBranch\Entities\Branch;
    use Modules\SaasBranch\Entities\BranchCourse;
    use Modules\SaasBranch\Entities\BranchUser;
    
    /**
     * @method BranchCourse|null getOrPut($key, \Closure $value)
     * @method BranchCourse|$this shift(int $count = 1)
     * @method BranchCourse|null firstOrFail(callable|string $key = null, $operator = null, $value = null)
     * @method BranchCourse|$this pop(int $count = 1)
     * @method BranchCourse|null pull($key, \Closure $default = null)
     * @method BranchCourse|null last(callable $callback = null, \Closure $default = null)
     * @method BranchCourse|$this random(callable|int|null $number = null, bool $preserveKeys = false)
     * @method BranchCourse|null sole(callable|string $key = null, $operator = null, $value = null)
     * @method BranchCourse|null get($key, \Closure $default = null)
     * @method BranchCourse|null first(callable $callback = null, \Closure $default = null)
     * @method BranchCourse|null firstWhere(callable|string $key, $operator = null, $value = null)
     * @method BranchCourse|null find($key, $default = null)
     * @method BranchCourse[] all()
     */
    class _IH_BranchCourse_C extends _BaseCollection {
        /**
         * @param int $size
         * @return BranchCourse[][]|Collection<_IH_BranchCourse_C>
         */
        public function chunk($size)
        {
            return [];
        }
    }
    
    /**
     * @method _IH_BranchCourse_QB whereId($value)
     * @method _IH_BranchCourse_QB whereBranchId($value)
     * @method _IH_BranchCourse_QB whereCourseId($value)
     * @method _IH_BranchCourse_QB whereLmsId($value)
     * @method _IH_BranchCourse_QB whereCreatedAt($value)
     * @method _IH_BranchCourse_QB whereUpdatedAt($value)
     * @method BranchCourse baseSole(array|string $columns = ['*'])
     * @method BranchCourse create(array $attributes = [])
     * @method _IH_BranchCourse_C|BranchCourse[] cursor()
     * @method BranchCourse|null|_IH_BranchCourse_C|BranchCourse[] find($id, array|string $columns = ['*'])
     * @method _IH_BranchCourse_C|BranchCourse[] findMany(array|Arrayable $ids, array|string $columns = ['*'])
     * @method BranchCourse|_IH_BranchCourse_C|BranchCourse[] findOr($id, array|\Closure|string $columns = ['*'], \Closure $callback = null)
     * @method BranchCourse|_IH_BranchCourse_C|BranchCourse[] findOrFail($id, array|string $columns = ['*'])
     * @method BranchCourse|_IH_BranchCourse_C|BranchCourse[] findOrNew($id, array|string $columns = ['*'])
     * @method BranchCourse first(array|string $columns = ['*'])
     * @method BranchCourse firstOr(array|\Closure|string $columns = ['*'], \Closure $callback = null)
     * @method BranchCourse firstOrCreate(array $attributes = [], array $values = [])
     * @method BranchCourse firstOrFail(array|string $columns = ['*'])
     * @method BranchCourse firstOrNew(array $attributes = [], array $values = [])
     * @method BranchCourse firstWhere(array|\Closure|Expression|string $column, $operator = null, $value = null, string $boolean = 'and')
     * @method BranchCourse forceCreate(array $attributes)
     * @method _IH_BranchCourse_C|BranchCourse[] fromQuery(string $query, array $bindings = [])
     * @method _IH_BranchCourse_C|BranchCourse[] get(array|string $columns = ['*'])
     * @method BranchCourse getModel()
     * @method BranchCourse[] getModels(array|string $columns = ['*'])
     * @method _IH_BranchCourse_C|BranchCourse[] hydrate(array $items)
     * @method _IH_BranchCourse_C|BranchCourse[] lazy(int $chunkSize = 1000)
     * @method _IH_BranchCourse_C|BranchCourse[] lazyById(int $chunkSize = 1000, null|string $column = null, null|string $alias = null)
     * @method _IH_BranchCourse_C|BranchCourse[] lazyByIdDesc(int $chunkSize = 1000, null|string $column = null, null|string $alias = null)
     * @method BranchCourse make(array $attributes = [])
     * @method BranchCourse newModelInstance(array $attributes = [])
     * @method LengthAwarePaginator|BranchCourse[]|_IH_BranchCourse_C paginate(\Closure|int|null $perPage = null, array|string $columns = ['*'], string $pageName = 'page', int|null $page = null)
     * @method Paginator|BranchCourse[]|_IH_BranchCourse_C simplePaginate(int|null $perPage = null, array|string $columns = ['*'], string $pageName = 'page', int|null $page = null)
     * @method BranchCourse sole(array|string $columns = ['*'])
     * @method BranchCourse updateOrCreate(array $attributes, array $values = [])
     */
    class _IH_BranchCourse_QB extends _BaseBuilder {}
    
    /**
     * @method BranchUser|null getOrPut($key, \Closure $value)
     * @method BranchUser|$this shift(int $count = 1)
     * @method BranchUser|null firstOrFail(callable|string $key = null, $operator = null, $value = null)
     * @method BranchUser|$this pop(int $count = 1)
     * @method BranchUser|null pull($key, \Closure $default = null)
     * @method BranchUser|null last(callable $callback = null, \Closure $default = null)
     * @method BranchUser|$this random(callable|int|null $number = null, bool $preserveKeys = false)
     * @method BranchUser|null sole(callable|string $key = null, $operator = null, $value = null)
     * @method BranchUser|null get($key, \Closure $default = null)
     * @method BranchUser|null first(callable $callback = null, \Closure $default = null)
     * @method BranchUser|null firstWhere(callable|string $key, $operator = null, $value = null)
     * @method BranchUser|null find($key, $default = null)
     * @method BranchUser[] all()
     */
    class _IH_BranchUser_C extends _BaseCollection {
        /**
         * @param int $size
         * @return BranchUser[][]|Collection<_IH_BranchUser_C>
         */
        public function chunk($size)
        {
            return [];
        }
    }
    
    /**
     * @method _IH_BranchUser_QB whereId($value)
     * @method _IH_BranchUser_QB whereBranchId($value)
     * @method _IH_BranchUser_QB whereUserId($value)
     * @method _IH_BranchUser_QB whereLmsId($value)
     * @method _IH_BranchUser_QB whereCreatedAt($value)
     * @method _IH_BranchUser_QB whereUpdatedAt($value)
     * @method BranchUser baseSole(array|string $columns = ['*'])
     * @method BranchUser create(array $attributes = [])
     * @method _IH_BranchUser_C|BranchUser[] cursor()
     * @method BranchUser|null|_IH_BranchUser_C|BranchUser[] find($id, array|string $columns = ['*'])
     * @method _IH_BranchUser_C|BranchUser[] findMany(array|Arrayable $ids, array|string $columns = ['*'])
     * @method BranchUser|_IH_BranchUser_C|BranchUser[] findOr($id, array|\Closure|string $columns = ['*'], \Closure $callback = null)
     * @method BranchUser|_IH_BranchUser_C|BranchUser[] findOrFail($id, array|string $columns = ['*'])
     * @method BranchUser|_IH_BranchUser_C|BranchUser[] findOrNew($id, array|string $columns = ['*'])
     * @method BranchUser first(array|string $columns = ['*'])
     * @method BranchUser firstOr(array|\Closure|string $columns = ['*'], \Closure $callback = null)
     * @method BranchUser firstOrCreate(array $attributes = [], array $values = [])
     * @method BranchUser firstOrFail(array|string $columns = ['*'])
     * @method BranchUser firstOrNew(array $attributes = [], array $values = [])
     * @method BranchUser firstWhere(array|\Closure|Expression|string $column, $operator = null, $value = null, string $boolean = 'and')
     * @method BranchUser forceCreate(array $attributes)
     * @method _IH_BranchUser_C|BranchUser[] fromQuery(string $query, array $bindings = [])
     * @method _IH_BranchUser_C|BranchUser[] get(array|string $columns = ['*'])
     * @method BranchUser getModel()
     * @method BranchUser[] getModels(array|string $columns = ['*'])
     * @method _IH_BranchUser_C|BranchUser[] hydrate(array $items)
     * @method _IH_BranchUser_C|BranchUser[] lazy(int $chunkSize = 1000)
     * @method _IH_BranchUser_C|BranchUser[] lazyById(int $chunkSize = 1000, null|string $column = null, null|string $alias = null)
     * @method _IH_BranchUser_C|BranchUser[] lazyByIdDesc(int $chunkSize = 1000, null|string $column = null, null|string $alias = null)
     * @method BranchUser make(array $attributes = [])
     * @method BranchUser newModelInstance(array $attributes = [])
     * @method LengthAwarePaginator|BranchUser[]|_IH_BranchUser_C paginate(\Closure|int|null $perPage = null, array|string $columns = ['*'], string $pageName = 'page', int|null $page = null)
     * @method Paginator|BranchUser[]|_IH_BranchUser_C simplePaginate(int|null $perPage = null, array|string $columns = ['*'], string $pageName = 'page', int|null $page = null)
     * @method BranchUser sole(array|string $columns = ['*'])
     * @method BranchUser updateOrCreate(array $attributes, array $values = [])
     */
    class _IH_BranchUser_QB extends _BaseBuilder {}
    
    /**
     * @method Branch|null getOrPut($key, \Closure $value)
     * @method Branch|$this shift(int $count = 1)
     * @method Branch|null firstOrFail(callable|string $key = null, $operator = null, $value = null)
     * @method Branch|$this pop(int $count = 1)
     * @method Branch|null pull($key, \Closure $default = null)
     * @method Branch|null last(callable $callback = null, \Closure $default = null)
     * @method Branch|$this random(callable|int|null $number = null, bool $preserveKeys = false)
     * @method Branch|null sole(callable|string $key = null, $operator = null, $value = null)
     * @method Branch|null get($key, \Closure $default = null)
     * @method Branch|null first(callable $callback = null, \Closure $default = null)
     * @method Branch|null firstWhere(callable|string $key, $operator = null, $value = null)
     * @method Branch|null find($key, $default = null)
     * @method Branch[] all()
     */
    class _IH_Branch_C extends _BaseCollection {
        /**
         * @param int $size
         * @return Branch[][]|Collection<_IH_Branch_C>
         */
        public function chunk($size)
        {
            return [];
        }
    }
    
    /**
     * @method _IH_Branch_QB whereId($value)
     * @method _IH_Branch_QB whereName($value)
     * @method _IH_Branch_QB whereLmsId($value)
     * @method _IH_Branch_QB whereDashDomain($value)
     * @method _IH_Branch_QB whereDescription($value)
     * @method _IH_Branch_QB whereStatus($value)
     * @method _IH_Branch_QB whereLogo($value)
     * @method _IH_Branch_QB whereUserType($value)
     * @method _IH_Branch_QB whereInstituteId($value)
     * @method _IH_Branch_QB whereCreatedAt($value)
     * @method _IH_Branch_QB whereUpdatedAt($value)
     * @method Branch baseSole(array|string $columns = ['*'])
     * @method Branch create(array $attributes = [])
     * @method _IH_Branch_C|Branch[] cursor()
     * @method Branch|null|_IH_Branch_C|Branch[] find($id, array|string $columns = ['*'])
     * @method _IH_Branch_C|Branch[] findMany(array|Arrayable $ids, array|string $columns = ['*'])
     * @method Branch|_IH_Branch_C|Branch[] findOr($id, array|\Closure|string $columns = ['*'], \Closure $callback = null)
     * @method Branch|_IH_Branch_C|Branch[] findOrFail($id, array|string $columns = ['*'])
     * @method Branch|_IH_Branch_C|Branch[] findOrNew($id, array|string $columns = ['*'])
     * @method Branch first(array|string $columns = ['*'])
     * @method Branch firstOr(array|\Closure|string $columns = ['*'], \Closure $callback = null)
     * @method Branch firstOrCreate(array $attributes = [], array $values = [])
     * @method Branch firstOrFail(array|string $columns = ['*'])
     * @method Branch firstOrNew(array $attributes = [], array $values = [])
     * @method Branch firstWhere(array|\Closure|Expression|string $column, $operator = null, $value = null, string $boolean = 'and')
     * @method Branch forceCreate(array $attributes)
     * @method _IH_Branch_C|Branch[] fromQuery(string $query, array $bindings = [])
     * @method _IH_Branch_C|Branch[] get(array|string $columns = ['*'])
     * @method Branch getModel()
     * @method Branch[] getModels(array|string $columns = ['*'])
     * @method _IH_Branch_C|Branch[] hydrate(array $items)
     * @method _IH_Branch_C|Branch[] lazy(int $chunkSize = 1000)
     * @method _IH_Branch_C|Branch[] lazyById(int $chunkSize = 1000, null|string $column = null, null|string $alias = null)
     * @method _IH_Branch_C|Branch[] lazyByIdDesc(int $chunkSize = 1000, null|string $column = null, null|string $alias = null)
     * @method Branch make(array $attributes = [])
     * @method Branch newModelInstance(array $attributes = [])
     * @method LengthAwarePaginator|Branch[]|_IH_Branch_C paginate(\Closure|int|null $perPage = null, array|string $columns = ['*'], string $pageName = 'page', int|null $page = null)
     * @method Paginator|Branch[]|_IH_Branch_C simplePaginate(int|null $perPage = null, array|string $columns = ['*'], string $pageName = 'page', int|null $page = null)
     * @method Branch sole(array|string $columns = ['*'])
     * @method Branch updateOrCreate(array $attributes, array $values = [])
     */
    class _IH_Branch_QB extends _BaseBuilder {}
}