<?php //502d3afa0ca2bb11f89e54ec5596ee1f
/** @noinspection all */

namespace LaravelIdea\Helper\Modules\Chat\Entities {

    use Illuminate\Contracts\Database\Query\Expression;
    use Illuminate\Contracts\Support\Arrayable;
    use Illuminate\Pagination\LengthAwarePaginator;
    use Illuminate\Pagination\Paginator;
    use Illuminate\Support\Collection;
    use LaravelIdea\Helper\_BaseBuilder;
    use LaravelIdea\Helper\_BaseCollection;
    use Modules\Chat\Entities\BlockUser;
    use Modules\Chat\Entities\Conversation;
    use Modules\Chat\Entities\Group;
    use Modules\Chat\Entities\GroupMessageRecipient;
    use Modules\Chat\Entities\GroupMessageRemove;
    use Modules\Chat\Entities\GroupUser;
    use Modules\Chat\Entities\Invitation;
    use Modules\Chat\Entities\Notification;
    use Modules\Chat\Entities\Status;
    
    /**
     * @method BlockUser|null getOrPut($key, \Closure $value)
     * @method BlockUser|$this shift(int $count = 1)
     * @method BlockUser|null firstOrFail(callable|string $key = null, $operator = null, $value = null)
     * @method BlockUser|$this pop(int $count = 1)
     * @method BlockUser|null pull($key, \Closure $default = null)
     * @method BlockUser|null last(callable $callback = null, \Closure $default = null)
     * @method BlockUser|$this random(callable|int|null $number = null, bool $preserveKeys = false)
     * @method BlockUser|null sole(callable|string $key = null, $operator = null, $value = null)
     * @method BlockUser|null get($key, \Closure $default = null)
     * @method BlockUser|null first(callable $callback = null, \Closure $default = null)
     * @method BlockUser|null firstWhere(callable|string $key, $operator = null, $value = null)
     * @method BlockUser|null find($key, $default = null)
     * @method BlockUser[] all()
     */
    class _IH_BlockUser_C extends _BaseCollection {
        /**
         * @param int $size
         * @return BlockUser[][]|Collection<_IH_BlockUser_C>
         */
        public function chunk($size)
        {
            return [];
        }
    }
    
    /**
     * @method _IH_BlockUser_QB whereId($value)
     * @method _IH_BlockUser_QB whereBlockBy($value)
     * @method _IH_BlockUser_QB whereBlockTo($value)
     * @method _IH_BlockUser_QB whereCreatedAt($value)
     * @method _IH_BlockUser_QB whereUpdatedAt($value)
     * @method _IH_BlockUser_QB whereLmsId($value)
     * @method BlockUser baseSole(array|string $columns = ['*'])
     * @method BlockUser create(array $attributes = [])
     * @method _IH_BlockUser_C|BlockUser[] cursor()
     * @method BlockUser|null|_IH_BlockUser_C|BlockUser[] find($id, array|string $columns = ['*'])
     * @method _IH_BlockUser_C|BlockUser[] findMany(array|Arrayable $ids, array|string $columns = ['*'])
     * @method BlockUser|_IH_BlockUser_C|BlockUser[] findOr($id, array|\Closure|string $columns = ['*'], \Closure $callback = null)
     * @method BlockUser|_IH_BlockUser_C|BlockUser[] findOrFail($id, array|string $columns = ['*'])
     * @method BlockUser|_IH_BlockUser_C|BlockUser[] findOrNew($id, array|string $columns = ['*'])
     * @method BlockUser first(array|string $columns = ['*'])
     * @method BlockUser firstOr(array|\Closure|string $columns = ['*'], \Closure $callback = null)
     * @method BlockUser firstOrCreate(array $attributes = [], array $values = [])
     * @method BlockUser firstOrFail(array|string $columns = ['*'])
     * @method BlockUser firstOrNew(array $attributes = [], array $values = [])
     * @method BlockUser firstWhere(array|\Closure|Expression|string $column, $operator = null, $value = null, string $boolean = 'and')
     * @method BlockUser forceCreate(array $attributes)
     * @method _IH_BlockUser_C|BlockUser[] fromQuery(string $query, array $bindings = [])
     * @method _IH_BlockUser_C|BlockUser[] get(array|string $columns = ['*'])
     * @method BlockUser getModel()
     * @method BlockUser[] getModels(array|string $columns = ['*'])
     * @method _IH_BlockUser_C|BlockUser[] hydrate(array $items)
     * @method _IH_BlockUser_C|BlockUser[] lazy(int $chunkSize = 1000)
     * @method _IH_BlockUser_C|BlockUser[] lazyById(int $chunkSize = 1000, null|string $column = null, null|string $alias = null)
     * @method _IH_BlockUser_C|BlockUser[] lazyByIdDesc(int $chunkSize = 1000, null|string $column = null, null|string $alias = null)
     * @method BlockUser make(array $attributes = [])
     * @method BlockUser newModelInstance(array $attributes = [])
     * @method LengthAwarePaginator|BlockUser[]|_IH_BlockUser_C paginate(\Closure|int|null $perPage = null, array|string $columns = ['*'], string $pageName = 'page', int|null $page = null)
     * @method Paginator|BlockUser[]|_IH_BlockUser_C simplePaginate(int|null $perPage = null, array|string $columns = ['*'], string $pageName = 'page', int|null $page = null)
     * @method BlockUser sole(array|string $columns = ['*'])
     * @method BlockUser updateOrCreate(array $attributes, array $values = [])
     */
    class _IH_BlockUser_QB extends _BaseBuilder {}
    
    /**
     * @method Conversation|null getOrPut($key, \Closure $value)
     * @method Conversation|$this shift(int $count = 1)
     * @method Conversation|null firstOrFail(callable|string $key = null, $operator = null, $value = null)
     * @method Conversation|$this pop(int $count = 1)
     * @method Conversation|null pull($key, \Closure $default = null)
     * @method Conversation|null last(callable $callback = null, \Closure $default = null)
     * @method Conversation|$this random(callable|int|null $number = null, bool $preserveKeys = false)
     * @method Conversation|null sole(callable|string $key = null, $operator = null, $value = null)
     * @method Conversation|null get($key, \Closure $default = null)
     * @method Conversation|null first(callable $callback = null, \Closure $default = null)
     * @method Conversation|null firstWhere(callable|string $key, $operator = null, $value = null)
     * @method Conversation|null find($key, $default = null)
     * @method Conversation[] all()
     */
    class _IH_Conversation_C extends _BaseCollection {
        /**
         * @param int $size
         * @return Conversation[][]|Collection<_IH_Conversation_C>
         */
        public function chunk($size)
        {
            return [];
        }
    }
    
    /**
     * @method _IH_Conversation_QB whereId($value)
     * @method _IH_Conversation_QB whereFromId($value)
     * @method _IH_Conversation_QB whereToId($value)
     * @method _IH_Conversation_QB whereMessage($value)
     * @method _IH_Conversation_QB whereStatus($value)
     * @method _IH_Conversation_QB whereMessageType($value)
     * @method _IH_Conversation_QB whereFileName($value)
     * @method _IH_Conversation_QB whereOriginalFileName($value)
     * @method _IH_Conversation_QB whereInitial($value)
     * @method _IH_Conversation_QB whereReply($value)
     * @method _IH_Conversation_QB whereForward($value)
     * @method _IH_Conversation_QB whereDeletedByTo($value)
     * @method _IH_Conversation_QB whereDeletedAt($value)
     * @method _IH_Conversation_QB whereCreatedAt($value)
     * @method _IH_Conversation_QB whereUpdatedAt($value)
     * @method _IH_Conversation_QB whereLmsId($value)
     * @method Conversation baseSole(array|string $columns = ['*'])
     * @method Conversation create(array $attributes = [])
     * @method _IH_Conversation_C|Conversation[] cursor()
     * @method Conversation|null|_IH_Conversation_C|Conversation[] find($id, array|string $columns = ['*'])
     * @method _IH_Conversation_C|Conversation[] findMany(array|Arrayable $ids, array|string $columns = ['*'])
     * @method Conversation|_IH_Conversation_C|Conversation[] findOr($id, array|\Closure|string $columns = ['*'], \Closure $callback = null)
     * @method Conversation|_IH_Conversation_C|Conversation[] findOrFail($id, array|string $columns = ['*'])
     * @method Conversation|_IH_Conversation_C|Conversation[] findOrNew($id, array|string $columns = ['*'])
     * @method Conversation first(array|string $columns = ['*'])
     * @method Conversation firstOr(array|\Closure|string $columns = ['*'], \Closure $callback = null)
     * @method Conversation firstOrCreate(array $attributes = [], array $values = [])
     * @method Conversation firstOrFail(array|string $columns = ['*'])
     * @method Conversation firstOrNew(array $attributes = [], array $values = [])
     * @method Conversation firstWhere(array|\Closure|Expression|string $column, $operator = null, $value = null, string $boolean = 'and')
     * @method Conversation forceCreate(array $attributes)
     * @method _IH_Conversation_C|Conversation[] fromQuery(string $query, array $bindings = [])
     * @method _IH_Conversation_C|Conversation[] get(array|string $columns = ['*'])
     * @method Conversation getModel()
     * @method Conversation[] getModels(array|string $columns = ['*'])
     * @method _IH_Conversation_C|Conversation[] hydrate(array $items)
     * @method _IH_Conversation_C|Conversation[] lazy(int $chunkSize = 1000)
     * @method _IH_Conversation_C|Conversation[] lazyById(int $chunkSize = 1000, null|string $column = null, null|string $alias = null)
     * @method _IH_Conversation_C|Conversation[] lazyByIdDesc(int $chunkSize = 1000, null|string $column = null, null|string $alias = null)
     * @method Conversation make(array $attributes = [])
     * @method Conversation newModelInstance(array $attributes = [])
     * @method LengthAwarePaginator|Conversation[]|_IH_Conversation_C paginate(\Closure|int|null $perPage = null, array|string $columns = ['*'], string $pageName = 'page', int|null $page = null)
     * @method Paginator|Conversation[]|_IH_Conversation_C simplePaginate(int|null $perPage = null, array|string $columns = ['*'], string $pageName = 'page', int|null $page = null)
     * @method Conversation sole(array|string $columns = ['*'])
     * @method Conversation updateOrCreate(array $attributes, array $values = [])
     */
    class _IH_Conversation_QB extends _BaseBuilder {}
    
    /**
     * @method GroupMessageRecipient|null getOrPut($key, \Closure $value)
     * @method GroupMessageRecipient|$this shift(int $count = 1)
     * @method GroupMessageRecipient|null firstOrFail(callable|string $key = null, $operator = null, $value = null)
     * @method GroupMessageRecipient|$this pop(int $count = 1)
     * @method GroupMessageRecipient|null pull($key, \Closure $default = null)
     * @method GroupMessageRecipient|null last(callable $callback = null, \Closure $default = null)
     * @method GroupMessageRecipient|$this random(callable|int|null $number = null, bool $preserveKeys = false)
     * @method GroupMessageRecipient|null sole(callable|string $key = null, $operator = null, $value = null)
     * @method GroupMessageRecipient|null get($key, \Closure $default = null)
     * @method GroupMessageRecipient|null first(callable $callback = null, \Closure $default = null)
     * @method GroupMessageRecipient|null firstWhere(callable|string $key, $operator = null, $value = null)
     * @method GroupMessageRecipient|null find($key, $default = null)
     * @method GroupMessageRecipient[] all()
     */
    class _IH_GroupMessageRecipient_C extends _BaseCollection {
        /**
         * @param int $size
         * @return GroupMessageRecipient[][]|Collection<_IH_GroupMessageRecipient_C>
         */
        public function chunk($size)
        {
            return [];
        }
    }
    
    /**
     * @method _IH_GroupMessageRecipient_QB whereId($value)
     * @method _IH_GroupMessageRecipient_QB whereUserId($value)
     * @method _IH_GroupMessageRecipient_QB whereConversationId($value)
     * @method _IH_GroupMessageRecipient_QB whereGroupId($value)
     * @method _IH_GroupMessageRecipient_QB whereReadAt($value)
     * @method _IH_GroupMessageRecipient_QB whereDeletedAt($value)
     * @method _IH_GroupMessageRecipient_QB whereCreatedAt($value)
     * @method _IH_GroupMessageRecipient_QB whereUpdatedAt($value)
     * @method _IH_GroupMessageRecipient_QB whereLmsId($value)
     * @method GroupMessageRecipient baseSole(array|string $columns = ['*'])
     * @method GroupMessageRecipient create(array $attributes = [])
     * @method _IH_GroupMessageRecipient_C|GroupMessageRecipient[] cursor()
     * @method GroupMessageRecipient|null|_IH_GroupMessageRecipient_C|GroupMessageRecipient[] find($id, array|string $columns = ['*'])
     * @method _IH_GroupMessageRecipient_C|GroupMessageRecipient[] findMany(array|Arrayable $ids, array|string $columns = ['*'])
     * @method GroupMessageRecipient|_IH_GroupMessageRecipient_C|GroupMessageRecipient[] findOr($id, array|\Closure|string $columns = ['*'], \Closure $callback = null)
     * @method GroupMessageRecipient|_IH_GroupMessageRecipient_C|GroupMessageRecipient[] findOrFail($id, array|string $columns = ['*'])
     * @method GroupMessageRecipient|_IH_GroupMessageRecipient_C|GroupMessageRecipient[] findOrNew($id, array|string $columns = ['*'])
     * @method GroupMessageRecipient first(array|string $columns = ['*'])
     * @method GroupMessageRecipient firstOr(array|\Closure|string $columns = ['*'], \Closure $callback = null)
     * @method GroupMessageRecipient firstOrCreate(array $attributes = [], array $values = [])
     * @method GroupMessageRecipient firstOrFail(array|string $columns = ['*'])
     * @method GroupMessageRecipient firstOrNew(array $attributes = [], array $values = [])
     * @method GroupMessageRecipient firstWhere(array|\Closure|Expression|string $column, $operator = null, $value = null, string $boolean = 'and')
     * @method GroupMessageRecipient forceCreate(array $attributes)
     * @method _IH_GroupMessageRecipient_C|GroupMessageRecipient[] fromQuery(string $query, array $bindings = [])
     * @method _IH_GroupMessageRecipient_C|GroupMessageRecipient[] get(array|string $columns = ['*'])
     * @method GroupMessageRecipient getModel()
     * @method GroupMessageRecipient[] getModels(array|string $columns = ['*'])
     * @method _IH_GroupMessageRecipient_C|GroupMessageRecipient[] hydrate(array $items)
     * @method _IH_GroupMessageRecipient_C|GroupMessageRecipient[] lazy(int $chunkSize = 1000)
     * @method _IH_GroupMessageRecipient_C|GroupMessageRecipient[] lazyById(int $chunkSize = 1000, null|string $column = null, null|string $alias = null)
     * @method _IH_GroupMessageRecipient_C|GroupMessageRecipient[] lazyByIdDesc(int $chunkSize = 1000, null|string $column = null, null|string $alias = null)
     * @method GroupMessageRecipient make(array $attributes = [])
     * @method GroupMessageRecipient newModelInstance(array $attributes = [])
     * @method LengthAwarePaginator|GroupMessageRecipient[]|_IH_GroupMessageRecipient_C paginate(\Closure|int|null $perPage = null, array|string $columns = ['*'], string $pageName = 'page', int|null $page = null)
     * @method Paginator|GroupMessageRecipient[]|_IH_GroupMessageRecipient_C simplePaginate(int|null $perPage = null, array|string $columns = ['*'], string $pageName = 'page', int|null $page = null)
     * @method GroupMessageRecipient sole(array|string $columns = ['*'])
     * @method GroupMessageRecipient updateOrCreate(array $attributes, array $values = [])
     */
    class _IH_GroupMessageRecipient_QB extends _BaseBuilder {}
    
    /**
     * @method GroupMessageRemove|null getOrPut($key, \Closure $value)
     * @method GroupMessageRemove|$this shift(int $count = 1)
     * @method GroupMessageRemove|null firstOrFail(callable|string $key = null, $operator = null, $value = null)
     * @method GroupMessageRemove|$this pop(int $count = 1)
     * @method GroupMessageRemove|null pull($key, \Closure $default = null)
     * @method GroupMessageRemove|null last(callable $callback = null, \Closure $default = null)
     * @method GroupMessageRemove|$this random(callable|int|null $number = null, bool $preserveKeys = false)
     * @method GroupMessageRemove|null sole(callable|string $key = null, $operator = null, $value = null)
     * @method GroupMessageRemove|null get($key, \Closure $default = null)
     * @method GroupMessageRemove|null first(callable $callback = null, \Closure $default = null)
     * @method GroupMessageRemove|null firstWhere(callable|string $key, $operator = null, $value = null)
     * @method GroupMessageRemove|null find($key, $default = null)
     * @method GroupMessageRemove[] all()
     */
    class _IH_GroupMessageRemove_C extends _BaseCollection {
        /**
         * @param int $size
         * @return GroupMessageRemove[][]|Collection<_IH_GroupMessageRemove_C>
         */
        public function chunk($size)
        {
            return [];
        }
    }
    
    /**
     * @method _IH_GroupMessageRemove_QB whereId($value)
     * @method _IH_GroupMessageRemove_QB whereGroupMessageRecipientId($value)
     * @method _IH_GroupMessageRemove_QB whereUserId($value)
     * @method _IH_GroupMessageRemove_QB whereCreatedAt($value)
     * @method _IH_GroupMessageRemove_QB whereUpdatedAt($value)
     * @method _IH_GroupMessageRemove_QB whereLmsId($value)
     * @method GroupMessageRemove baseSole(array|string $columns = ['*'])
     * @method GroupMessageRemove create(array $attributes = [])
     * @method _IH_GroupMessageRemove_C|GroupMessageRemove[] cursor()
     * @method GroupMessageRemove|null|_IH_GroupMessageRemove_C|GroupMessageRemove[] find($id, array|string $columns = ['*'])
     * @method _IH_GroupMessageRemove_C|GroupMessageRemove[] findMany(array|Arrayable $ids, array|string $columns = ['*'])
     * @method GroupMessageRemove|_IH_GroupMessageRemove_C|GroupMessageRemove[] findOr($id, array|\Closure|string $columns = ['*'], \Closure $callback = null)
     * @method GroupMessageRemove|_IH_GroupMessageRemove_C|GroupMessageRemove[] findOrFail($id, array|string $columns = ['*'])
     * @method GroupMessageRemove|_IH_GroupMessageRemove_C|GroupMessageRemove[] findOrNew($id, array|string $columns = ['*'])
     * @method GroupMessageRemove first(array|string $columns = ['*'])
     * @method GroupMessageRemove firstOr(array|\Closure|string $columns = ['*'], \Closure $callback = null)
     * @method GroupMessageRemove firstOrCreate(array $attributes = [], array $values = [])
     * @method GroupMessageRemove firstOrFail(array|string $columns = ['*'])
     * @method GroupMessageRemove firstOrNew(array $attributes = [], array $values = [])
     * @method GroupMessageRemove firstWhere(array|\Closure|Expression|string $column, $operator = null, $value = null, string $boolean = 'and')
     * @method GroupMessageRemove forceCreate(array $attributes)
     * @method _IH_GroupMessageRemove_C|GroupMessageRemove[] fromQuery(string $query, array $bindings = [])
     * @method _IH_GroupMessageRemove_C|GroupMessageRemove[] get(array|string $columns = ['*'])
     * @method GroupMessageRemove getModel()
     * @method GroupMessageRemove[] getModels(array|string $columns = ['*'])
     * @method _IH_GroupMessageRemove_C|GroupMessageRemove[] hydrate(array $items)
     * @method _IH_GroupMessageRemove_C|GroupMessageRemove[] lazy(int $chunkSize = 1000)
     * @method _IH_GroupMessageRemove_C|GroupMessageRemove[] lazyById(int $chunkSize = 1000, null|string $column = null, null|string $alias = null)
     * @method _IH_GroupMessageRemove_C|GroupMessageRemove[] lazyByIdDesc(int $chunkSize = 1000, null|string $column = null, null|string $alias = null)
     * @method GroupMessageRemove make(array $attributes = [])
     * @method GroupMessageRemove newModelInstance(array $attributes = [])
     * @method LengthAwarePaginator|GroupMessageRemove[]|_IH_GroupMessageRemove_C paginate(\Closure|int|null $perPage = null, array|string $columns = ['*'], string $pageName = 'page', int|null $page = null)
     * @method Paginator|GroupMessageRemove[]|_IH_GroupMessageRemove_C simplePaginate(int|null $perPage = null, array|string $columns = ['*'], string $pageName = 'page', int|null $page = null)
     * @method GroupMessageRemove sole(array|string $columns = ['*'])
     * @method GroupMessageRemove updateOrCreate(array $attributes, array $values = [])
     */
    class _IH_GroupMessageRemove_QB extends _BaseBuilder {}
    
    /**
     * @method GroupUser|null getOrPut($key, \Closure $value)
     * @method GroupUser|$this shift(int $count = 1)
     * @method GroupUser|null firstOrFail(callable|string $key = null, $operator = null, $value = null)
     * @method GroupUser|$this pop(int $count = 1)
     * @method GroupUser|null pull($key, \Closure $default = null)
     * @method GroupUser|null last(callable $callback = null, \Closure $default = null)
     * @method GroupUser|$this random(callable|int|null $number = null, bool $preserveKeys = false)
     * @method GroupUser|null sole(callable|string $key = null, $operator = null, $value = null)
     * @method GroupUser|null get($key, \Closure $default = null)
     * @method GroupUser|null first(callable $callback = null, \Closure $default = null)
     * @method GroupUser|null firstWhere(callable|string $key, $operator = null, $value = null)
     * @method GroupUser|null find($key, $default = null)
     * @method GroupUser[] all()
     */
    class _IH_GroupUser_C extends _BaseCollection {
        /**
         * @param int $size
         * @return GroupUser[][]|Collection<_IH_GroupUser_C>
         */
        public function chunk($size)
        {
            return [];
        }
    }
    
    /**
     * @method _IH_GroupUser_QB whereId($value)
     * @method _IH_GroupUser_QB whereGroupId($value)
     * @method _IH_GroupUser_QB whereUserId($value)
     * @method _IH_GroupUser_QB whereRole($value)
     * @method _IH_GroupUser_QB whereAddedBy($value)
     * @method _IH_GroupUser_QB whereRemovedBy($value)
     * @method _IH_GroupUser_QB whereDeletedAt($value)
     * @method _IH_GroupUser_QB whereCreatedAt($value)
     * @method _IH_GroupUser_QB whereUpdatedAt($value)
     * @method _IH_GroupUser_QB whereLmsId($value)
     * @method GroupUser baseSole(array|string $columns = ['*'])
     * @method GroupUser create(array $attributes = [])
     * @method _IH_GroupUser_C|GroupUser[] cursor()
     * @method GroupUser|null|_IH_GroupUser_C|GroupUser[] find($id, array|string $columns = ['*'])
     * @method _IH_GroupUser_C|GroupUser[] findMany(array|Arrayable $ids, array|string $columns = ['*'])
     * @method GroupUser|_IH_GroupUser_C|GroupUser[] findOr($id, array|\Closure|string $columns = ['*'], \Closure $callback = null)
     * @method GroupUser|_IH_GroupUser_C|GroupUser[] findOrFail($id, array|string $columns = ['*'])
     * @method GroupUser|_IH_GroupUser_C|GroupUser[] findOrNew($id, array|string $columns = ['*'])
     * @method GroupUser first(array|string $columns = ['*'])
     * @method GroupUser firstOr(array|\Closure|string $columns = ['*'], \Closure $callback = null)
     * @method GroupUser firstOrCreate(array $attributes = [], array $values = [])
     * @method GroupUser firstOrFail(array|string $columns = ['*'])
     * @method GroupUser firstOrNew(array $attributes = [], array $values = [])
     * @method GroupUser firstWhere(array|\Closure|Expression|string $column, $operator = null, $value = null, string $boolean = 'and')
     * @method GroupUser forceCreate(array $attributes)
     * @method _IH_GroupUser_C|GroupUser[] fromQuery(string $query, array $bindings = [])
     * @method _IH_GroupUser_C|GroupUser[] get(array|string $columns = ['*'])
     * @method GroupUser getModel()
     * @method GroupUser[] getModels(array|string $columns = ['*'])
     * @method _IH_GroupUser_C|GroupUser[] hydrate(array $items)
     * @method _IH_GroupUser_C|GroupUser[] lazy(int $chunkSize = 1000)
     * @method _IH_GroupUser_C|GroupUser[] lazyById(int $chunkSize = 1000, null|string $column = null, null|string $alias = null)
     * @method _IH_GroupUser_C|GroupUser[] lazyByIdDesc(int $chunkSize = 1000, null|string $column = null, null|string $alias = null)
     * @method GroupUser make(array $attributes = [])
     * @method GroupUser newModelInstance(array $attributes = [])
     * @method LengthAwarePaginator|GroupUser[]|_IH_GroupUser_C paginate(\Closure|int|null $perPage = null, array|string $columns = ['*'], string $pageName = 'page', int|null $page = null)
     * @method Paginator|GroupUser[]|_IH_GroupUser_C simplePaginate(int|null $perPage = null, array|string $columns = ['*'], string $pageName = 'page', int|null $page = null)
     * @method GroupUser sole(array|string $columns = ['*'])
     * @method GroupUser updateOrCreate(array $attributes, array $values = [])
     */
    class _IH_GroupUser_QB extends _BaseBuilder {}
    
    /**
     * @method Group|null getOrPut($key, \Closure $value)
     * @method Group|$this shift(int $count = 1)
     * @method Group|null firstOrFail(callable|string $key = null, $operator = null, $value = null)
     * @method Group|$this pop(int $count = 1)
     * @method Group|null pull($key, \Closure $default = null)
     * @method Group|null last(callable $callback = null, \Closure $default = null)
     * @method Group|$this random(callable|int|null $number = null, bool $preserveKeys = false)
     * @method Group|null sole(callable|string $key = null, $operator = null, $value = null)
     * @method Group|null get($key, \Closure $default = null)
     * @method Group|null first(callable $callback = null, \Closure $default = null)
     * @method Group|null firstWhere(callable|string $key, $operator = null, $value = null)
     * @method Group|null find($key, $default = null)
     * @method Group[] all()
     */
    class _IH_Group_C extends _BaseCollection {
        /**
         * @param int $size
         * @return Group[][]|Collection<_IH_Group_C>
         */
        public function chunk($size)
        {
            return [];
        }
    }
    
    /**
     * @method _IH_Group_QB whereId($value)
     * @method _IH_Group_QB whereName($value)
     * @method _IH_Group_QB whereDescription($value)
     * @method _IH_Group_QB wherePhotoUrl($value)
     * @method _IH_Group_QB wherePrivacy($value)
     * @method _IH_Group_QB whereReadOnly($value)
     * @method _IH_Group_QB whereGroupType($value)
     * @method _IH_Group_QB whereCreatedBy($value)
     * @method _IH_Group_QB whereCreatedAt($value)
     * @method _IH_Group_QB whereUpdatedAt($value)
     * @method _IH_Group_QB whereLmsId($value)
     * @method Group baseSole(array|string $columns = ['*'])
     * @method Group create(array $attributes = [])
     * @method _IH_Group_C|Group[] cursor()
     * @method Group|null|_IH_Group_C|Group[] find($id, array|string $columns = ['*'])
     * @method _IH_Group_C|Group[] findMany(array|Arrayable $ids, array|string $columns = ['*'])
     * @method Group|_IH_Group_C|Group[] findOr($id, array|\Closure|string $columns = ['*'], \Closure $callback = null)
     * @method Group|_IH_Group_C|Group[] findOrFail($id, array|string $columns = ['*'])
     * @method Group|_IH_Group_C|Group[] findOrNew($id, array|string $columns = ['*'])
     * @method Group first(array|string $columns = ['*'])
     * @method Group firstOr(array|\Closure|string $columns = ['*'], \Closure $callback = null)
     * @method Group firstOrCreate(array $attributes = [], array $values = [])
     * @method Group firstOrFail(array|string $columns = ['*'])
     * @method Group firstOrNew(array $attributes = [], array $values = [])
     * @method Group firstWhere(array|\Closure|Expression|string $column, $operator = null, $value = null, string $boolean = 'and')
     * @method Group forceCreate(array $attributes)
     * @method _IH_Group_C|Group[] fromQuery(string $query, array $bindings = [])
     * @method _IH_Group_C|Group[] get(array|string $columns = ['*'])
     * @method Group getModel()
     * @method Group[] getModels(array|string $columns = ['*'])
     * @method _IH_Group_C|Group[] hydrate(array $items)
     * @method _IH_Group_C|Group[] lazy(int $chunkSize = 1000)
     * @method _IH_Group_C|Group[] lazyById(int $chunkSize = 1000, null|string $column = null, null|string $alias = null)
     * @method _IH_Group_C|Group[] lazyByIdDesc(int $chunkSize = 1000, null|string $column = null, null|string $alias = null)
     * @method Group make(array $attributes = [])
     * @method Group newModelInstance(array $attributes = [])
     * @method LengthAwarePaginator|Group[]|_IH_Group_C paginate(\Closure|int|null $perPage = null, array|string $columns = ['*'], string $pageName = 'page', int|null $page = null)
     * @method Paginator|Group[]|_IH_Group_C simplePaginate(int|null $perPage = null, array|string $columns = ['*'], string $pageName = 'page', int|null $page = null)
     * @method Group sole(array|string $columns = ['*'])
     * @method Group updateOrCreate(array $attributes, array $values = [])
     */
    class _IH_Group_QB extends _BaseBuilder {}
    
    /**
     * @method Invitation|null getOrPut($key, \Closure $value)
     * @method Invitation|$this shift(int $count = 1)
     * @method Invitation|null firstOrFail(callable|string $key = null, $operator = null, $value = null)
     * @method Invitation|$this pop(int $count = 1)
     * @method Invitation|null pull($key, \Closure $default = null)
     * @method Invitation|null last(callable $callback = null, \Closure $default = null)
     * @method Invitation|$this random(callable|int|null $number = null, bool $preserveKeys = false)
     * @method Invitation|null sole(callable|string $key = null, $operator = null, $value = null)
     * @method Invitation|null get($key, \Closure $default = null)
     * @method Invitation|null first(callable $callback = null, \Closure $default = null)
     * @method Invitation|null firstWhere(callable|string $key, $operator = null, $value = null)
     * @method Invitation|null find($key, $default = null)
     * @method Invitation[] all()
     */
    class _IH_Invitation_C extends _BaseCollection {
        /**
         * @param int $size
         * @return Invitation[][]|Collection<_IH_Invitation_C>
         */
        public function chunk($size)
        {
            return [];
        }
    }
    
    /**
     * @method _IH_Invitation_QB whereId($value)
     * @method _IH_Invitation_QB whereFrom($value)
     * @method _IH_Invitation_QB whereTo($value)
     * @method _IH_Invitation_QB whereStatus($value)
     * @method _IH_Invitation_QB whereCreatedAt($value)
     * @method _IH_Invitation_QB whereUpdatedAt($value)
     * @method _IH_Invitation_QB whereLmsId($value)
     * @method Invitation baseSole(array|string $columns = ['*'])
     * @method Invitation create(array $attributes = [])
     * @method _IH_Invitation_C|Invitation[] cursor()
     * @method Invitation|null|_IH_Invitation_C|Invitation[] find($id, array|string $columns = ['*'])
     * @method _IH_Invitation_C|Invitation[] findMany(array|Arrayable $ids, array|string $columns = ['*'])
     * @method Invitation|_IH_Invitation_C|Invitation[] findOr($id, array|\Closure|string $columns = ['*'], \Closure $callback = null)
     * @method Invitation|_IH_Invitation_C|Invitation[] findOrFail($id, array|string $columns = ['*'])
     * @method Invitation|_IH_Invitation_C|Invitation[] findOrNew($id, array|string $columns = ['*'])
     * @method Invitation first(array|string $columns = ['*'])
     * @method Invitation firstOr(array|\Closure|string $columns = ['*'], \Closure $callback = null)
     * @method Invitation firstOrCreate(array $attributes = [], array $values = [])
     * @method Invitation firstOrFail(array|string $columns = ['*'])
     * @method Invitation firstOrNew(array $attributes = [], array $values = [])
     * @method Invitation firstWhere(array|\Closure|Expression|string $column, $operator = null, $value = null, string $boolean = 'and')
     * @method Invitation forceCreate(array $attributes)
     * @method _IH_Invitation_C|Invitation[] fromQuery(string $query, array $bindings = [])
     * @method _IH_Invitation_C|Invitation[] get(array|string $columns = ['*'])
     * @method Invitation getModel()
     * @method Invitation[] getModels(array|string $columns = ['*'])
     * @method _IH_Invitation_C|Invitation[] hydrate(array $items)
     * @method _IH_Invitation_C|Invitation[] lazy(int $chunkSize = 1000)
     * @method _IH_Invitation_C|Invitation[] lazyById(int $chunkSize = 1000, null|string $column = null, null|string $alias = null)
     * @method _IH_Invitation_C|Invitation[] lazyByIdDesc(int $chunkSize = 1000, null|string $column = null, null|string $alias = null)
     * @method Invitation make(array $attributes = [])
     * @method Invitation newModelInstance(array $attributes = [])
     * @method LengthAwarePaginator|Invitation[]|_IH_Invitation_C paginate(\Closure|int|null $perPage = null, array|string $columns = ['*'], string $pageName = 'page', int|null $page = null)
     * @method Paginator|Invitation[]|_IH_Invitation_C simplePaginate(int|null $perPage = null, array|string $columns = ['*'], string $pageName = 'page', int|null $page = null)
     * @method Invitation sole(array|string $columns = ['*'])
     * @method Invitation updateOrCreate(array $attributes, array $values = [])
     */
    class _IH_Invitation_QB extends _BaseBuilder {}
    
    /**
     * @method Notification|null getOrPut($key, \Closure $value)
     * @method Notification|$this shift(int $count = 1)
     * @method Notification|null firstOrFail(callable|string $key = null, $operator = null, $value = null)
     * @method Notification|$this pop(int $count = 1)
     * @method Notification|null pull($key, \Closure $default = null)
     * @method Notification|null last(callable $callback = null, \Closure $default = null)
     * @method Notification|$this random(callable|int|null $number = null, bool $preserveKeys = false)
     * @method Notification|null sole(callable|string $key = null, $operator = null, $value = null)
     * @method Notification|null get($key, \Closure $default = null)
     * @method Notification|null first(callable $callback = null, \Closure $default = null)
     * @method Notification|null firstWhere(callable|string $key, $operator = null, $value = null)
     * @method Notification|null find($key, $default = null)
     * @method Notification[] all()
     */
    class _IH_Notification_C extends _BaseCollection {
        /**
         * @param int $size
         * @return Notification[][]|Collection<_IH_Notification_C>
         */
        public function chunk($size)
        {
            return [];
        }
    }
    
    /**
     * @method _IH_Notification_QB whereId($value)
     * @method _IH_Notification_QB whereType($value)
     * @method _IH_Notification_QB whereNotifiableId($value)
     * @method _IH_Notification_QB whereNotifiableType($value)
     * @method _IH_Notification_QB whereData($value)
     * @method _IH_Notification_QB whereReadAt($value)
     * @method _IH_Notification_QB whereCreatedAt($value)
     * @method _IH_Notification_QB whereUpdatedAt($value)
     * @method _IH_Notification_QB whereLmsId($value)
     * @method Notification baseSole(array|string $columns = ['*'])
     * @method Notification create(array $attributes = [])
     * @method _IH_Notification_C|Notification[] cursor()
     * @method Notification|null|_IH_Notification_C|Notification[] find($id, array|string $columns = ['*'])
     * @method _IH_Notification_C|Notification[] findMany(array|Arrayable $ids, array|string $columns = ['*'])
     * @method Notification|_IH_Notification_C|Notification[] findOr($id, array|\Closure|string $columns = ['*'], \Closure $callback = null)
     * @method Notification|_IH_Notification_C|Notification[] findOrFail($id, array|string $columns = ['*'])
     * @method Notification|_IH_Notification_C|Notification[] findOrNew($id, array|string $columns = ['*'])
     * @method Notification first(array|string $columns = ['*'])
     * @method Notification firstOr(array|\Closure|string $columns = ['*'], \Closure $callback = null)
     * @method Notification firstOrCreate(array $attributes = [], array $values = [])
     * @method Notification firstOrFail(array|string $columns = ['*'])
     * @method Notification firstOrNew(array $attributes = [], array $values = [])
     * @method Notification firstWhere(array|\Closure|Expression|string $column, $operator = null, $value = null, string $boolean = 'and')
     * @method Notification forceCreate(array $attributes)
     * @method _IH_Notification_C|Notification[] fromQuery(string $query, array $bindings = [])
     * @method _IH_Notification_C|Notification[] get(array|string $columns = ['*'])
     * @method Notification getModel()
     * @method Notification[] getModels(array|string $columns = ['*'])
     * @method _IH_Notification_C|Notification[] hydrate(array $items)
     * @method _IH_Notification_C|Notification[] lazy(int $chunkSize = 1000)
     * @method _IH_Notification_C|Notification[] lazyById(int $chunkSize = 1000, null|string $column = null, null|string $alias = null)
     * @method _IH_Notification_C|Notification[] lazyByIdDesc(int $chunkSize = 1000, null|string $column = null, null|string $alias = null)
     * @method Notification make(array $attributes = [])
     * @method Notification newModelInstance(array $attributes = [])
     * @method LengthAwarePaginator|Notification[]|_IH_Notification_C paginate(\Closure|int|null $perPage = null, array|string $columns = ['*'], string $pageName = 'page', int|null $page = null)
     * @method Paginator|Notification[]|_IH_Notification_C simplePaginate(int|null $perPage = null, array|string $columns = ['*'], string $pageName = 'page', int|null $page = null)
     * @method Notification sole(array|string $columns = ['*'])
     * @method Notification updateOrCreate(array $attributes, array $values = [])
     */
    class _IH_Notification_QB extends _BaseBuilder {}
    
    /**
     * @method Status|null getOrPut($key, \Closure $value)
     * @method Status|$this shift(int $count = 1)
     * @method Status|null firstOrFail(callable|string $key = null, $operator = null, $value = null)
     * @method Status|$this pop(int $count = 1)
     * @method Status|null pull($key, \Closure $default = null)
     * @method Status|null last(callable $callback = null, \Closure $default = null)
     * @method Status|$this random(callable|int|null $number = null, bool $preserveKeys = false)
     * @method Status|null sole(callable|string $key = null, $operator = null, $value = null)
     * @method Status|null get($key, \Closure $default = null)
     * @method Status|null first(callable $callback = null, \Closure $default = null)
     * @method Status|null firstWhere(callable|string $key, $operator = null, $value = null)
     * @method Status|null find($key, $default = null)
     * @method Status[] all()
     */
    class _IH_Status_C extends _BaseCollection {
        /**
         * @param int $size
         * @return Status[][]|Collection<_IH_Status_C>
         */
        public function chunk($size)
        {
            return [];
        }
    }
    
    /**
     * @method _IH_Status_QB whereId($value)
     * @method _IH_Status_QB whereUserId($value)
     * @method _IH_Status_QB whereStatus($value)
     * @method _IH_Status_QB whereCreatedAt($value)
     * @method _IH_Status_QB whereUpdatedAt($value)
     * @method _IH_Status_QB whereLmsId($value)
     * @method Status baseSole(array|string $columns = ['*'])
     * @method Status create(array $attributes = [])
     * @method _IH_Status_C|Status[] cursor()
     * @method Status|null|_IH_Status_C|Status[] find($id, array|string $columns = ['*'])
     * @method _IH_Status_C|Status[] findMany(array|Arrayable $ids, array|string $columns = ['*'])
     * @method Status|_IH_Status_C|Status[] findOr($id, array|\Closure|string $columns = ['*'], \Closure $callback = null)
     * @method Status|_IH_Status_C|Status[] findOrFail($id, array|string $columns = ['*'])
     * @method Status|_IH_Status_C|Status[] findOrNew($id, array|string $columns = ['*'])
     * @method Status first(array|string $columns = ['*'])
     * @method Status firstOr(array|\Closure|string $columns = ['*'], \Closure $callback = null)
     * @method Status firstOrCreate(array $attributes = [], array $values = [])
     * @method Status firstOrFail(array|string $columns = ['*'])
     * @method Status firstOrNew(array $attributes = [], array $values = [])
     * @method Status firstWhere(array|\Closure|Expression|string $column, $operator = null, $value = null, string $boolean = 'and')
     * @method Status forceCreate(array $attributes)
     * @method _IH_Status_C|Status[] fromQuery(string $query, array $bindings = [])
     * @method _IH_Status_C|Status[] get(array|string $columns = ['*'])
     * @method Status getModel()
     * @method Status[] getModels(array|string $columns = ['*'])
     * @method _IH_Status_C|Status[] hydrate(array $items)
     * @method _IH_Status_C|Status[] lazy(int $chunkSize = 1000)
     * @method _IH_Status_C|Status[] lazyById(int $chunkSize = 1000, null|string $column = null, null|string $alias = null)
     * @method _IH_Status_C|Status[] lazyByIdDesc(int $chunkSize = 1000, null|string $column = null, null|string $alias = null)
     * @method Status make(array $attributes = [])
     * @method Status newModelInstance(array $attributes = [])
     * @method LengthAwarePaginator|Status[]|_IH_Status_C paginate(\Closure|int|null $perPage = null, array|string $columns = ['*'], string $pageName = 'page', int|null $page = null)
     * @method Paginator|Status[]|_IH_Status_C simplePaginate(int|null $perPage = null, array|string $columns = ['*'], string $pageName = 'page', int|null $page = null)
     * @method Status sole(array|string $columns = ['*'])
     * @method Status updateOrCreate(array $attributes, array $values = [])
     */
    class _IH_Status_QB extends _BaseBuilder {}
}