<?php //aa49ef04d6b944fe5c38c7a6ecac0ae5
/** @noinspection all */

namespace LaravelIdea\Helper\Modules\Setting\Model {

    use Illuminate\Contracts\Database\Query\Expression;
    use Illuminate\Contracts\Support\Arrayable;
    use Illuminate\Pagination\LengthAwarePaginator;
    use Illuminate\Pagination\Paginator;
    use Illuminate\Support\Collection;
    use LaravelIdea\Helper\_BaseBuilder;
    use LaravelIdea\Helper\_BaseCollection;
    use Modules\Setting\Model\BusinessSetting;
    use Modules\Setting\Model\Currency;
    use Modules\Setting\Model\DateFormat;
    use Modules\Setting\Model\GeneralSetting;
    use Modules\Setting\Model\SmsGateway;
    use Modules\Setting\Model\TimeZone;
    
    /**
     * @method BusinessSetting|null getOrPut($key, \Closure $value)
     * @method BusinessSetting|$this shift(int $count = 1)
     * @method BusinessSetting|null firstOrFail(callable|string $key = null, $operator = null, $value = null)
     * @method BusinessSetting|$this pop(int $count = 1)
     * @method BusinessSetting|null pull($key, \Closure $default = null)
     * @method BusinessSetting|null last(callable $callback = null, \Closure $default = null)
     * @method BusinessSetting|$this random(callable|int|null $number = null, bool $preserveKeys = false)
     * @method BusinessSetting|null sole(callable|string $key = null, $operator = null, $value = null)
     * @method BusinessSetting|null get($key, \Closure $default = null)
     * @method BusinessSetting|null first(callable $callback = null, \Closure $default = null)
     * @method BusinessSetting|null firstWhere(callable|string $key, $operator = null, $value = null)
     * @method BusinessSetting|null find($key, $default = null)
     * @method BusinessSetting[] all()
     */
    class _IH_BusinessSetting_C extends _BaseCollection {
        /**
         * @param int $size
         * @return BusinessSetting[][]|Collection<_IH_BusinessSetting_C>
         */
        public function chunk($size)
        {
            return [];
        }
    }
    
    /**
     * @method _IH_BusinessSetting_QB whereId($value)
     * @method _IH_BusinessSetting_QB whereType($value)
     * @method _IH_BusinessSetting_QB whereStatus($value)
     * @method _IH_BusinessSetting_QB whereCreatedAt($value)
     * @method _IH_BusinessSetting_QB whereUpdatedAt($value)
     * @method BusinessSetting baseSole(array|string $columns = ['*'])
     * @method BusinessSetting create(array $attributes = [])
     * @method _IH_BusinessSetting_C|BusinessSetting[] cursor()
     * @method BusinessSetting|null|_IH_BusinessSetting_C|BusinessSetting[] find($id, array|string $columns = ['*'])
     * @method _IH_BusinessSetting_C|BusinessSetting[] findMany(array|Arrayable $ids, array|string $columns = ['*'])
     * @method BusinessSetting|_IH_BusinessSetting_C|BusinessSetting[] findOr($id, array|\Closure|string $columns = ['*'], \Closure $callback = null)
     * @method BusinessSetting|_IH_BusinessSetting_C|BusinessSetting[] findOrFail($id, array|string $columns = ['*'])
     * @method BusinessSetting|_IH_BusinessSetting_C|BusinessSetting[] findOrNew($id, array|string $columns = ['*'])
     * @method BusinessSetting first(array|string $columns = ['*'])
     * @method BusinessSetting firstOr(array|\Closure|string $columns = ['*'], \Closure $callback = null)
     * @method BusinessSetting firstOrCreate(array $attributes = [], array $values = [])
     * @method BusinessSetting firstOrFail(array|string $columns = ['*'])
     * @method BusinessSetting firstOrNew(array $attributes = [], array $values = [])
     * @method BusinessSetting firstWhere(array|\Closure|Expression|string $column, $operator = null, $value = null, string $boolean = 'and')
     * @method BusinessSetting forceCreate(array $attributes)
     * @method _IH_BusinessSetting_C|BusinessSetting[] fromQuery(string $query, array $bindings = [])
     * @method _IH_BusinessSetting_C|BusinessSetting[] get(array|string $columns = ['*'])
     * @method BusinessSetting getModel()
     * @method BusinessSetting[] getModels(array|string $columns = ['*'])
     * @method _IH_BusinessSetting_C|BusinessSetting[] hydrate(array $items)
     * @method _IH_BusinessSetting_C|BusinessSetting[] lazy(int $chunkSize = 1000)
     * @method _IH_BusinessSetting_C|BusinessSetting[] lazyById(int $chunkSize = 1000, null|string $column = null, null|string $alias = null)
     * @method _IH_BusinessSetting_C|BusinessSetting[] lazyByIdDesc(int $chunkSize = 1000, null|string $column = null, null|string $alias = null)
     * @method BusinessSetting make(array $attributes = [])
     * @method BusinessSetting newModelInstance(array $attributes = [])
     * @method LengthAwarePaginator|BusinessSetting[]|_IH_BusinessSetting_C paginate(\Closure|int|null $perPage = null, array|string $columns = ['*'], string $pageName = 'page', int|null $page = null)
     * @method Paginator|BusinessSetting[]|_IH_BusinessSetting_C simplePaginate(int|null $perPage = null, array|string $columns = ['*'], string $pageName = 'page', int|null $page = null)
     * @method BusinessSetting sole(array|string $columns = ['*'])
     * @method BusinessSetting updateOrCreate(array $attributes, array $values = [])
     */
    class _IH_BusinessSetting_QB extends _BaseBuilder {}
    
    /**
     * @method Currency|null getOrPut($key, \Closure $value)
     * @method Currency|$this shift(int $count = 1)
     * @method Currency|null firstOrFail(callable|string $key = null, $operator = null, $value = null)
     * @method Currency|$this pop(int $count = 1)
     * @method Currency|null pull($key, \Closure $default = null)
     * @method Currency|null last(callable $callback = null, \Closure $default = null)
     * @method Currency|$this random(callable|int|null $number = null, bool $preserveKeys = false)
     * @method Currency|null sole(callable|string $key = null, $operator = null, $value = null)
     * @method Currency|null get($key, \Closure $default = null)
     * @method Currency|null first(callable $callback = null, \Closure $default = null)
     * @method Currency|null firstWhere(callable|string $key, $operator = null, $value = null)
     * @method Currency|null find($key, $default = null)
     * @method Currency[] all()
     */
    class _IH_Currency_C extends _BaseCollection {
        /**
         * @param int $size
         * @return Currency[][]|Collection<_IH_Currency_C>
         */
        public function chunk($size)
        {
            return [];
        }
    }
    
    /**
     * @method _IH_Currency_QB whereId($value)
     * @method _IH_Currency_QB whereName($value)
     * @method _IH_Currency_QB whereCode($value)
     * @method _IH_Currency_QB whereSymbol($value)
     * @method _IH_Currency_QB whereConversionRate($value)
     * @method _IH_Currency_QB whereStatus($value)
     * @method _IH_Currency_QB whereCreatedAt($value)
     * @method _IH_Currency_QB whereUpdatedAt($value)
     * @method Currency baseSole(array|string $columns = ['*'])
     * @method Currency create(array $attributes = [])
     * @method _IH_Currency_C|Currency[] cursor()
     * @method Currency|null|_IH_Currency_C|Currency[] find($id, array|string $columns = ['*'])
     * @method _IH_Currency_C|Currency[] findMany(array|Arrayable $ids, array|string $columns = ['*'])
     * @method Currency|_IH_Currency_C|Currency[] findOr($id, array|\Closure|string $columns = ['*'], \Closure $callback = null)
     * @method Currency|_IH_Currency_C|Currency[] findOrFail($id, array|string $columns = ['*'])
     * @method Currency|_IH_Currency_C|Currency[] findOrNew($id, array|string $columns = ['*'])
     * @method Currency first(array|string $columns = ['*'])
     * @method Currency firstOr(array|\Closure|string $columns = ['*'], \Closure $callback = null)
     * @method Currency firstOrCreate(array $attributes = [], array $values = [])
     * @method Currency firstOrFail(array|string $columns = ['*'])
     * @method Currency firstOrNew(array $attributes = [], array $values = [])
     * @method Currency firstWhere(array|\Closure|Expression|string $column, $operator = null, $value = null, string $boolean = 'and')
     * @method Currency forceCreate(array $attributes)
     * @method _IH_Currency_C|Currency[] fromQuery(string $query, array $bindings = [])
     * @method _IH_Currency_C|Currency[] get(array|string $columns = ['*'])
     * @method Currency getModel()
     * @method Currency[] getModels(array|string $columns = ['*'])
     * @method _IH_Currency_C|Currency[] hydrate(array $items)
     * @method _IH_Currency_C|Currency[] lazy(int $chunkSize = 1000)
     * @method _IH_Currency_C|Currency[] lazyById(int $chunkSize = 1000, null|string $column = null, null|string $alias = null)
     * @method _IH_Currency_C|Currency[] lazyByIdDesc(int $chunkSize = 1000, null|string $column = null, null|string $alias = null)
     * @method Currency make(array $attributes = [])
     * @method Currency newModelInstance(array $attributes = [])
     * @method LengthAwarePaginator|Currency[]|_IH_Currency_C paginate(\Closure|int|null $perPage = null, array|string $columns = ['*'], string $pageName = 'page', int|null $page = null)
     * @method Paginator|Currency[]|_IH_Currency_C simplePaginate(int|null $perPage = null, array|string $columns = ['*'], string $pageName = 'page', int|null $page = null)
     * @method Currency sole(array|string $columns = ['*'])
     * @method Currency updateOrCreate(array $attributes, array $values = [])
     */
    class _IH_Currency_QB extends _BaseBuilder {}
    
    /**
     * @method DateFormat|null getOrPut($key, \Closure $value)
     * @method DateFormat|$this shift(int $count = 1)
     * @method DateFormat|null firstOrFail(callable|string $key = null, $operator = null, $value = null)
     * @method DateFormat|$this pop(int $count = 1)
     * @method DateFormat|null pull($key, \Closure $default = null)
     * @method DateFormat|null last(callable $callback = null, \Closure $default = null)
     * @method DateFormat|$this random(callable|int|null $number = null, bool $preserveKeys = false)
     * @method DateFormat|null sole(callable|string $key = null, $operator = null, $value = null)
     * @method DateFormat|null get($key, \Closure $default = null)
     * @method DateFormat|null first(callable $callback = null, \Closure $default = null)
     * @method DateFormat|null firstWhere(callable|string $key, $operator = null, $value = null)
     * @method DateFormat|null find($key, $default = null)
     * @method DateFormat[] all()
     */
    class _IH_DateFormat_C extends _BaseCollection {
        /**
         * @param int $size
         * @return DateFormat[][]|Collection<_IH_DateFormat_C>
         */
        public function chunk($size)
        {
            return [];
        }
    }
    
    /**
     * @method _IH_DateFormat_QB whereId($value)
     * @method _IH_DateFormat_QB whereFormat($value)
     * @method _IH_DateFormat_QB whereNormalView($value)
     * @method _IH_DateFormat_QB whereStatus($value)
     * @method _IH_DateFormat_QB whereCreatedBy($value)
     * @method _IH_DateFormat_QB whereUpdatedBy($value)
     * @method _IH_DateFormat_QB whereCreatedAt($value)
     * @method _IH_DateFormat_QB whereUpdatedAt($value)
     * @method DateFormat baseSole(array|string $columns = ['*'])
     * @method DateFormat create(array $attributes = [])
     * @method _IH_DateFormat_C|DateFormat[] cursor()
     * @method DateFormat|null|_IH_DateFormat_C|DateFormat[] find($id, array|string $columns = ['*'])
     * @method _IH_DateFormat_C|DateFormat[] findMany(array|Arrayable $ids, array|string $columns = ['*'])
     * @method DateFormat|_IH_DateFormat_C|DateFormat[] findOr($id, array|\Closure|string $columns = ['*'], \Closure $callback = null)
     * @method DateFormat|_IH_DateFormat_C|DateFormat[] findOrFail($id, array|string $columns = ['*'])
     * @method DateFormat|_IH_DateFormat_C|DateFormat[] findOrNew($id, array|string $columns = ['*'])
     * @method DateFormat first(array|string $columns = ['*'])
     * @method DateFormat firstOr(array|\Closure|string $columns = ['*'], \Closure $callback = null)
     * @method DateFormat firstOrCreate(array $attributes = [], array $values = [])
     * @method DateFormat firstOrFail(array|string $columns = ['*'])
     * @method DateFormat firstOrNew(array $attributes = [], array $values = [])
     * @method DateFormat firstWhere(array|\Closure|Expression|string $column, $operator = null, $value = null, string $boolean = 'and')
     * @method DateFormat forceCreate(array $attributes)
     * @method _IH_DateFormat_C|DateFormat[] fromQuery(string $query, array $bindings = [])
     * @method _IH_DateFormat_C|DateFormat[] get(array|string $columns = ['*'])
     * @method DateFormat getModel()
     * @method DateFormat[] getModels(array|string $columns = ['*'])
     * @method _IH_DateFormat_C|DateFormat[] hydrate(array $items)
     * @method _IH_DateFormat_C|DateFormat[] lazy(int $chunkSize = 1000)
     * @method _IH_DateFormat_C|DateFormat[] lazyById(int $chunkSize = 1000, null|string $column = null, null|string $alias = null)
     * @method _IH_DateFormat_C|DateFormat[] lazyByIdDesc(int $chunkSize = 1000, null|string $column = null, null|string $alias = null)
     * @method DateFormat make(array $attributes = [])
     * @method DateFormat newModelInstance(array $attributes = [])
     * @method LengthAwarePaginator|DateFormat[]|_IH_DateFormat_C paginate(\Closure|int|null $perPage = null, array|string $columns = ['*'], string $pageName = 'page', int|null $page = null)
     * @method Paginator|DateFormat[]|_IH_DateFormat_C simplePaginate(int|null $perPage = null, array|string $columns = ['*'], string $pageName = 'page', int|null $page = null)
     * @method DateFormat sole(array|string $columns = ['*'])
     * @method DateFormat updateOrCreate(array $attributes, array $values = [])
     */
    class _IH_DateFormat_QB extends _BaseBuilder {}
    
    /**
     * @method GeneralSetting|null getOrPut($key, \Closure $value)
     * @method GeneralSetting|$this shift(int $count = 1)
     * @method GeneralSetting|null firstOrFail(callable|string $key = null, $operator = null, $value = null)
     * @method GeneralSetting|$this pop(int $count = 1)
     * @method GeneralSetting|null pull($key, \Closure $default = null)
     * @method GeneralSetting|null last(callable $callback = null, \Closure $default = null)
     * @method GeneralSetting|$this random(callable|int|null $number = null, bool $preserveKeys = false)
     * @method GeneralSetting|null sole(callable|string $key = null, $operator = null, $value = null)
     * @method GeneralSetting|null get($key, \Closure $default = null)
     * @method GeneralSetting|null first(callable $callback = null, \Closure $default = null)
     * @method GeneralSetting|null firstWhere(callable|string $key, $operator = null, $value = null)
     * @method GeneralSetting|null find($key, $default = null)
     * @method GeneralSetting[] all()
     */
    class _IH_GeneralSetting_C extends _BaseCollection {
        /**
         * @param int $size
         * @return GeneralSetting[][]|Collection<_IH_GeneralSetting_C>
         */
        public function chunk($size)
        {
            return [];
        }
    }
    
    /**
     * @method _IH_GeneralSetting_QB whereId($value)
     * @method _IH_GeneralSetting_QB whereSiteTitle($value)
     * @method _IH_GeneralSetting_QB whereCompanyInfo($value)
     * @method _IH_GeneralSetting_QB whereZipCode($value)
     * @method _IH_GeneralSetting_QB whereVatNumber($value)
     * @method _IH_GeneralSetting_QB whereAddress($value)
     * @method _IH_GeneralSetting_QB wherePhone($value)
     * @method _IH_GeneralSetting_QB whereEmail($value)
     * @method _IH_GeneralSetting_QB whereCurrencyId($value)
     * @method _IH_GeneralSetting_QB whereLogo($value)
     * @method _IH_GeneralSetting_QB whereLogo2($value)
     * @method _IH_GeneralSetting_QB whereFavicon($value)
     * @method _IH_GeneralSetting_QB whereSystemVersion($value)
     * @method _IH_GeneralSetting_QB whereActiveStatus($value)
     * @method _IH_GeneralSetting_QB whereWebsiteUrl($value)
     * @method _IH_GeneralSetting_QB whereTtlRtl($value)
     * @method _IH_GeneralSetting_QB wherePhoneNumberPrivacy($value)
     * @method _IH_GeneralSetting_QB whereLanguageId($value)
     * @method _IH_GeneralSetting_QB whereDateFormatId($value)
     * @method _IH_GeneralSetting_QB whereSoftwareVersion($value)
     * @method _IH_GeneralSetting_QB whereMailSignature($value)
     * @method _IH_GeneralSetting_QB whereMailHeader($value)
     * @method _IH_GeneralSetting_QB whereMailFooter($value)
     * @method _IH_GeneralSetting_QB whereMailProtocol($value)
     * @method _IH_GeneralSetting_QB whereTimeZoneId($value)
     * @method _IH_GeneralSetting_QB whereCountryId($value)
     * @method _IH_GeneralSetting_QB whereCity($value)
     * @method _IH_GeneralSetting_QB whereState($value)
     * @method _IH_GeneralSetting_QB whereFb($value)
     * @method _IH_GeneralSetting_QB whereTwitter($value)
     * @method _IH_GeneralSetting_QB whereYoutube($value)
     * @method _IH_GeneralSetting_QB whereLinkedin($value)
     * @method _IH_GeneralSetting_QB whereCopyrightText($value)
     * @method _IH_GeneralSetting_QB whereCommission($value)
     * @method _IH_GeneralSetting_QB whereRecapthca($value)
     * @method _IH_GeneralSetting_QB whereRecaptchaKey($value)
     * @method _IH_GeneralSetting_QB whereRecaptchaSecret($value)
     * @method _IH_GeneralSetting_QB whereTemplateId($value)
     * @method _IH_GeneralSetting_QB whereInstructorReg($value)
     * @method _IH_GeneralSetting_QB whereEmailTemplate($value)
     * @method _IH_GeneralSetting_QB whereMetaKeywords($value)
     * @method _IH_GeneralSetting_QB whereMetaDescription($value)
     * @method _IH_GeneralSetting_QB whereCurrencyConversion($value)
     * @method _IH_GeneralSetting_QB whereDeviceLimit($value)
     * @method _IH_GeneralSetting_QB whereEmailNotification($value)
     * @method _IH_GeneralSetting_QB whereShowDrip($value)
     * @method _IH_GeneralSetting_QB whereAmazons3($value)
     * @method _IH_GeneralSetting_QB whereBbb($value)
     * @method _IH_GeneralSetting_QB whereSslcommerz($value)
     * @method _IH_GeneralSetting_QB whereZoom($value)
     * @method _IH_GeneralSetting_QB whereLat($value)
     * @method _IH_GeneralSetting_QB whereLng($value)
     * @method _IH_GeneralSetting_QB whereZoomLevel($value)
     * @method _IH_GeneralSetting_QB whereGmapKey($value)
     * @method _IH_GeneralSetting_QB whereFixerKey($value)
     * @method _IH_GeneralSetting_QB whereFooterAboutTitle($value)
     * @method _IH_GeneralSetting_QB whereFooterAboutDescription($value)
     * @method _IH_GeneralSetting_QB whereFooterCopyRight($value)
     * @method _IH_GeneralSetting_QB whereFooterSectionOneTitle($value)
     * @method _IH_GeneralSetting_QB whereFooterSectionTwoTitle($value)
     * @method _IH_GeneralSetting_QB whereFooterSectionThreeTitle($value)
     * @method _IH_GeneralSetting_QB whereCreatedAt($value)
     * @method _IH_GeneralSetting_QB whereUpdatedAt($value)
     * @method GeneralSetting baseSole(array|string $columns = ['*'])
     * @method GeneralSetting create(array $attributes = [])
     * @method _IH_GeneralSetting_C|GeneralSetting[] cursor()
     * @method GeneralSetting|null|_IH_GeneralSetting_C|GeneralSetting[] find($id, array|string $columns = ['*'])
     * @method _IH_GeneralSetting_C|GeneralSetting[] findMany(array|Arrayable $ids, array|string $columns = ['*'])
     * @method GeneralSetting|_IH_GeneralSetting_C|GeneralSetting[] findOr($id, array|\Closure|string $columns = ['*'], \Closure $callback = null)
     * @method GeneralSetting|_IH_GeneralSetting_C|GeneralSetting[] findOrFail($id, array|string $columns = ['*'])
     * @method GeneralSetting|_IH_GeneralSetting_C|GeneralSetting[] findOrNew($id, array|string $columns = ['*'])
     * @method GeneralSetting first(array|string $columns = ['*'])
     * @method GeneralSetting firstOr(array|\Closure|string $columns = ['*'], \Closure $callback = null)
     * @method GeneralSetting firstOrCreate(array $attributes = [], array $values = [])
     * @method GeneralSetting firstOrFail(array|string $columns = ['*'])
     * @method GeneralSetting firstOrNew(array $attributes = [], array $values = [])
     * @method GeneralSetting firstWhere(array|\Closure|Expression|string $column, $operator = null, $value = null, string $boolean = 'and')
     * @method GeneralSetting forceCreate(array $attributes)
     * @method _IH_GeneralSetting_C|GeneralSetting[] fromQuery(string $query, array $bindings = [])
     * @method _IH_GeneralSetting_C|GeneralSetting[] get(array|string $columns = ['*'])
     * @method GeneralSetting getModel()
     * @method GeneralSetting[] getModels(array|string $columns = ['*'])
     * @method _IH_GeneralSetting_C|GeneralSetting[] hydrate(array $items)
     * @method _IH_GeneralSetting_C|GeneralSetting[] lazy(int $chunkSize = 1000)
     * @method _IH_GeneralSetting_C|GeneralSetting[] lazyById(int $chunkSize = 1000, null|string $column = null, null|string $alias = null)
     * @method _IH_GeneralSetting_C|GeneralSetting[] lazyByIdDesc(int $chunkSize = 1000, null|string $column = null, null|string $alias = null)
     * @method GeneralSetting make(array $attributes = [])
     * @method GeneralSetting newModelInstance(array $attributes = [])
     * @method LengthAwarePaginator|GeneralSetting[]|_IH_GeneralSetting_C paginate(\Closure|int|null $perPage = null, array|string $columns = ['*'], string $pageName = 'page', int|null $page = null)
     * @method Paginator|GeneralSetting[]|_IH_GeneralSetting_C simplePaginate(int|null $perPage = null, array|string $columns = ['*'], string $pageName = 'page', int|null $page = null)
     * @method GeneralSetting sole(array|string $columns = ['*'])
     * @method GeneralSetting updateOrCreate(array $attributes, array $values = [])
     */
    class _IH_GeneralSetting_QB extends _BaseBuilder {}
    
    /**
     * @method SmsGateway|null getOrPut($key, \Closure $value)
     * @method SmsGateway|$this shift(int $count = 1)
     * @method SmsGateway|null firstOrFail(callable|string $key = null, $operator = null, $value = null)
     * @method SmsGateway|$this pop(int $count = 1)
     * @method SmsGateway|null pull($key, \Closure $default = null)
     * @method SmsGateway|null last(callable $callback = null, \Closure $default = null)
     * @method SmsGateway|$this random(callable|int|null $number = null, bool $preserveKeys = false)
     * @method SmsGateway|null sole(callable|string $key = null, $operator = null, $value = null)
     * @method SmsGateway|null get($key, \Closure $default = null)
     * @method SmsGateway|null first(callable $callback = null, \Closure $default = null)
     * @method SmsGateway|null firstWhere(callable|string $key, $operator = null, $value = null)
     * @method SmsGateway|null find($key, $default = null)
     * @method SmsGateway[] all()
     */
    class _IH_SmsGateway_C extends _BaseCollection {
        /**
         * @param int $size
         * @return SmsGateway[][]|Collection<_IH_SmsGateway_C>
         */
        public function chunk($size)
        {
            return [];
        }
    }
    
    /**
     * @method _IH_SmsGateway_QB whereId($value)
     * @method _IH_SmsGateway_QB whereGatewayName($value)
     * @method _IH_SmsGateway_QB whereGatewayUrl($value)
     * @method _IH_SmsGateway_QB whereRequestMethod($value)
     * @method _IH_SmsGateway_QB whereSetAuth($value)
     * @method _IH_SmsGateway_QB whereSendToParameterName($value)
     * @method _IH_SmsGateway_QB whereMessageToParameterName($value)
     * @method _IH_SmsGateway_QB whereGatewayLogo($value)
     * @method _IH_SmsGateway_QB whereStatus($value)
     * @method _IH_SmsGateway_QB whereCreatedAt($value)
     * @method _IH_SmsGateway_QB whereUpdatedAt($value)
     * @method _IH_SmsGateway_QB whereAddPlus($value)
     * @method SmsGateway baseSole(array|string $columns = ['*'])
     * @method SmsGateway create(array $attributes = [])
     * @method _IH_SmsGateway_C|SmsGateway[] cursor()
     * @method SmsGateway|null|_IH_SmsGateway_C|SmsGateway[] find($id, array|string $columns = ['*'])
     * @method _IH_SmsGateway_C|SmsGateway[] findMany(array|Arrayable $ids, array|string $columns = ['*'])
     * @method SmsGateway|_IH_SmsGateway_C|SmsGateway[] findOr($id, array|\Closure|string $columns = ['*'], \Closure $callback = null)
     * @method SmsGateway|_IH_SmsGateway_C|SmsGateway[] findOrFail($id, array|string $columns = ['*'])
     * @method SmsGateway|_IH_SmsGateway_C|SmsGateway[] findOrNew($id, array|string $columns = ['*'])
     * @method SmsGateway first(array|string $columns = ['*'])
     * @method SmsGateway firstOr(array|\Closure|string $columns = ['*'], \Closure $callback = null)
     * @method SmsGateway firstOrCreate(array $attributes = [], array $values = [])
     * @method SmsGateway firstOrFail(array|string $columns = ['*'])
     * @method SmsGateway firstOrNew(array $attributes = [], array $values = [])
     * @method SmsGateway firstWhere(array|\Closure|Expression|string $column, $operator = null, $value = null, string $boolean = 'and')
     * @method SmsGateway forceCreate(array $attributes)
     * @method _IH_SmsGateway_C|SmsGateway[] fromQuery(string $query, array $bindings = [])
     * @method _IH_SmsGateway_C|SmsGateway[] get(array|string $columns = ['*'])
     * @method SmsGateway getModel()
     * @method SmsGateway[] getModels(array|string $columns = ['*'])
     * @method _IH_SmsGateway_C|SmsGateway[] hydrate(array $items)
     * @method _IH_SmsGateway_C|SmsGateway[] lazy(int $chunkSize = 1000)
     * @method _IH_SmsGateway_C|SmsGateway[] lazyById(int $chunkSize = 1000, null|string $column = null, null|string $alias = null)
     * @method _IH_SmsGateway_C|SmsGateway[] lazyByIdDesc(int $chunkSize = 1000, null|string $column = null, null|string $alias = null)
     * @method SmsGateway make(array $attributes = [])
     * @method SmsGateway newModelInstance(array $attributes = [])
     * @method LengthAwarePaginator|SmsGateway[]|_IH_SmsGateway_C paginate(\Closure|int|null $perPage = null, array|string $columns = ['*'], string $pageName = 'page', int|null $page = null)
     * @method Paginator|SmsGateway[]|_IH_SmsGateway_C simplePaginate(int|null $perPage = null, array|string $columns = ['*'], string $pageName = 'page', int|null $page = null)
     * @method SmsGateway sole(array|string $columns = ['*'])
     * @method SmsGateway updateOrCreate(array $attributes, array $values = [])
     */
    class _IH_SmsGateway_QB extends _BaseBuilder {}
    
    /**
     * @method TimeZone|null getOrPut($key, \Closure $value)
     * @method TimeZone|$this shift(int $count = 1)
     * @method TimeZone|null firstOrFail(callable|string $key = null, $operator = null, $value = null)
     * @method TimeZone|$this pop(int $count = 1)
     * @method TimeZone|null pull($key, \Closure $default = null)
     * @method TimeZone|null last(callable $callback = null, \Closure $default = null)
     * @method TimeZone|$this random(callable|int|null $number = null, bool $preserveKeys = false)
     * @method TimeZone|null sole(callable|string $key = null, $operator = null, $value = null)
     * @method TimeZone|null get($key, \Closure $default = null)
     * @method TimeZone|null first(callable $callback = null, \Closure $default = null)
     * @method TimeZone|null firstWhere(callable|string $key, $operator = null, $value = null)
     * @method TimeZone|null find($key, $default = null)
     * @method TimeZone[] all()
     */
    class _IH_TimeZone_C extends _BaseCollection {
        /**
         * @param int $size
         * @return TimeZone[][]|Collection<_IH_TimeZone_C>
         */
        public function chunk($size)
        {
            return [];
        }
    }
    
    /**
     * @method _IH_TimeZone_QB whereId($value)
     * @method _IH_TimeZone_QB whereCode($value)
     * @method _IH_TimeZone_QB whereTimeZone($value)
     * @method _IH_TimeZone_QB whereCreatedAt($value)
     * @method _IH_TimeZone_QB whereUpdatedAt($value)
     * @method TimeZone baseSole(array|string $columns = ['*'])
     * @method TimeZone create(array $attributes = [])
     * @method _IH_TimeZone_C|TimeZone[] cursor()
     * @method TimeZone|null|_IH_TimeZone_C|TimeZone[] find($id, array|string $columns = ['*'])
     * @method _IH_TimeZone_C|TimeZone[] findMany(array|Arrayable $ids, array|string $columns = ['*'])
     * @method TimeZone|_IH_TimeZone_C|TimeZone[] findOr($id, array|\Closure|string $columns = ['*'], \Closure $callback = null)
     * @method TimeZone|_IH_TimeZone_C|TimeZone[] findOrFail($id, array|string $columns = ['*'])
     * @method TimeZone|_IH_TimeZone_C|TimeZone[] findOrNew($id, array|string $columns = ['*'])
     * @method TimeZone first(array|string $columns = ['*'])
     * @method TimeZone firstOr(array|\Closure|string $columns = ['*'], \Closure $callback = null)
     * @method TimeZone firstOrCreate(array $attributes = [], array $values = [])
     * @method TimeZone firstOrFail(array|string $columns = ['*'])
     * @method TimeZone firstOrNew(array $attributes = [], array $values = [])
     * @method TimeZone firstWhere(array|\Closure|Expression|string $column, $operator = null, $value = null, string $boolean = 'and')
     * @method TimeZone forceCreate(array $attributes)
     * @method _IH_TimeZone_C|TimeZone[] fromQuery(string $query, array $bindings = [])
     * @method _IH_TimeZone_C|TimeZone[] get(array|string $columns = ['*'])
     * @method TimeZone getModel()
     * @method TimeZone[] getModels(array|string $columns = ['*'])
     * @method _IH_TimeZone_C|TimeZone[] hydrate(array $items)
     * @method _IH_TimeZone_C|TimeZone[] lazy(int $chunkSize = 1000)
     * @method _IH_TimeZone_C|TimeZone[] lazyById(int $chunkSize = 1000, null|string $column = null, null|string $alias = null)
     * @method _IH_TimeZone_C|TimeZone[] lazyByIdDesc(int $chunkSize = 1000, null|string $column = null, null|string $alias = null)
     * @method TimeZone make(array $attributes = [])
     * @method TimeZone newModelInstance(array $attributes = [])
     * @method LengthAwarePaginator|TimeZone[]|_IH_TimeZone_C paginate(\Closure|int|null $perPage = null, array|string $columns = ['*'], string $pageName = 'page', int|null $page = null)
     * @method Paginator|TimeZone[]|_IH_TimeZone_C simplePaginate(int|null $perPage = null, array|string $columns = ['*'], string $pageName = 'page', int|null $page = null)
     * @method TimeZone sole(array|string $columns = ['*'])
     * @method TimeZone updateOrCreate(array $attributes, array $values = [])
     */
    class _IH_TimeZone_QB extends _BaseBuilder {}
}