<?php //5a4e5bb8b4d0cb8b92f59ed71a6ae62e
/** @noinspection all */

namespace LaravelIdea\Helper\Modules\Forum\Entities {

    use Illuminate\Contracts\Database\Query\Expression;
    use Illuminate\Contracts\Support\Arrayable;
    use Illuminate\Pagination\LengthAwarePaginator;
    use Illuminate\Pagination\Paginator;
    use Illuminate\Support\Collection;
    use LaravelIdea\Helper\_BaseBuilder;
    use LaravelIdea\Helper\_BaseCollection;
    use Modules\Forum\Entities\Forum;
    use Modules\Forum\Entities\ForumLike;
    use Modules\Forum\Entities\ForumReply;
    use Modules\Forum\Entities\ForumReplyLike;
    use Modules\Forum\Entities\ForumView;
    
    /**
     * @method ForumLike|null getOrPut($key, \Closure $value)
     * @method ForumLike|$this shift(int $count = 1)
     * @method ForumLike|null firstOrFail(callable|string $key = null, $operator = null, $value = null)
     * @method ForumLike|$this pop(int $count = 1)
     * @method ForumLike|null pull($key, \Closure $default = null)
     * @method ForumLike|null last(callable $callback = null, \Closure $default = null)
     * @method ForumLike|$this random(callable|int|null $number = null, bool $preserveKeys = false)
     * @method ForumLike|null sole(callable|string $key = null, $operator = null, $value = null)
     * @method ForumLike|null get($key, \Closure $default = null)
     * @method ForumLike|null first(callable $callback = null, \Closure $default = null)
     * @method ForumLike|null firstWhere(callable|string $key, $operator = null, $value = null)
     * @method ForumLike|null find($key, $default = null)
     * @method ForumLike[] all()
     */
    class _IH_ForumLike_C extends _BaseCollection {
        /**
         * @param int $size
         * @return ForumLike[][]|Collection<_IH_ForumLike_C>
         */
        public function chunk($size)
        {
            return [];
        }
    }
    
    /**
     * @method _IH_ForumLike_QB whereId($value)
     * @method _IH_ForumLike_QB whereUserId($value)
     * @method _IH_ForumLike_QB whereForumId($value)
     * @method _IH_ForumLike_QB whereLmsId($value)
     * @method _IH_ForumLike_QB whereCreatedAt($value)
     * @method _IH_ForumLike_QB whereUpdatedAt($value)
     * @method ForumLike baseSole(array|string $columns = ['*'])
     * @method ForumLike create(array $attributes = [])
     * @method _IH_ForumLike_C|ForumLike[] cursor()
     * @method ForumLike|null|_IH_ForumLike_C|ForumLike[] find($id, array|string $columns = ['*'])
     * @method _IH_ForumLike_C|ForumLike[] findMany(array|Arrayable $ids, array|string $columns = ['*'])
     * @method ForumLike|_IH_ForumLike_C|ForumLike[] findOr($id, array|\Closure|string $columns = ['*'], \Closure $callback = null)
     * @method ForumLike|_IH_ForumLike_C|ForumLike[] findOrFail($id, array|string $columns = ['*'])
     * @method ForumLike|_IH_ForumLike_C|ForumLike[] findOrNew($id, array|string $columns = ['*'])
     * @method ForumLike first(array|string $columns = ['*'])
     * @method ForumLike firstOr(array|\Closure|string $columns = ['*'], \Closure $callback = null)
     * @method ForumLike firstOrCreate(array $attributes = [], array $values = [])
     * @method ForumLike firstOrFail(array|string $columns = ['*'])
     * @method ForumLike firstOrNew(array $attributes = [], array $values = [])
     * @method ForumLike firstWhere(array|\Closure|Expression|string $column, $operator = null, $value = null, string $boolean = 'and')
     * @method ForumLike forceCreate(array $attributes)
     * @method _IH_ForumLike_C|ForumLike[] fromQuery(string $query, array $bindings = [])
     * @method _IH_ForumLike_C|ForumLike[] get(array|string $columns = ['*'])
     * @method ForumLike getModel()
     * @method ForumLike[] getModels(array|string $columns = ['*'])
     * @method _IH_ForumLike_C|ForumLike[] hydrate(array $items)
     * @method _IH_ForumLike_C|ForumLike[] lazy(int $chunkSize = 1000)
     * @method _IH_ForumLike_C|ForumLike[] lazyById(int $chunkSize = 1000, null|string $column = null, null|string $alias = null)
     * @method _IH_ForumLike_C|ForumLike[] lazyByIdDesc(int $chunkSize = 1000, null|string $column = null, null|string $alias = null)
     * @method ForumLike make(array $attributes = [])
     * @method ForumLike newModelInstance(array $attributes = [])
     * @method LengthAwarePaginator|ForumLike[]|_IH_ForumLike_C paginate(\Closure|int|null $perPage = null, array|string $columns = ['*'], string $pageName = 'page', int|null $page = null)
     * @method Paginator|ForumLike[]|_IH_ForumLike_C simplePaginate(int|null $perPage = null, array|string $columns = ['*'], string $pageName = 'page', int|null $page = null)
     * @method ForumLike sole(array|string $columns = ['*'])
     * @method ForumLike updateOrCreate(array $attributes, array $values = [])
     */
    class _IH_ForumLike_QB extends _BaseBuilder {}
    
    /**
     * @method ForumReplyLike|null getOrPut($key, \Closure $value)
     * @method ForumReplyLike|$this shift(int $count = 1)
     * @method ForumReplyLike|null firstOrFail(callable|string $key = null, $operator = null, $value = null)
     * @method ForumReplyLike|$this pop(int $count = 1)
     * @method ForumReplyLike|null pull($key, \Closure $default = null)
     * @method ForumReplyLike|null last(callable $callback = null, \Closure $default = null)
     * @method ForumReplyLike|$this random(callable|int|null $number = null, bool $preserveKeys = false)
     * @method ForumReplyLike|null sole(callable|string $key = null, $operator = null, $value = null)
     * @method ForumReplyLike|null get($key, \Closure $default = null)
     * @method ForumReplyLike|null first(callable $callback = null, \Closure $default = null)
     * @method ForumReplyLike|null firstWhere(callable|string $key, $operator = null, $value = null)
     * @method ForumReplyLike|null find($key, $default = null)
     * @method ForumReplyLike[] all()
     */
    class _IH_ForumReplyLike_C extends _BaseCollection {
        /**
         * @param int $size
         * @return ForumReplyLike[][]|Collection<_IH_ForumReplyLike_C>
         */
        public function chunk($size)
        {
            return [];
        }
    }
    
    /**
     * @method _IH_ForumReplyLike_QB whereId($value)
     * @method _IH_ForumReplyLike_QB whereUserId($value)
     * @method _IH_ForumReplyLike_QB whereReplyId($value)
     * @method _IH_ForumReplyLike_QB whereLmsId($value)
     * @method _IH_ForumReplyLike_QB whereCreatedAt($value)
     * @method _IH_ForumReplyLike_QB whereUpdatedAt($value)
     * @method ForumReplyLike baseSole(array|string $columns = ['*'])
     * @method ForumReplyLike create(array $attributes = [])
     * @method _IH_ForumReplyLike_C|ForumReplyLike[] cursor()
     * @method ForumReplyLike|null|_IH_ForumReplyLike_C|ForumReplyLike[] find($id, array|string $columns = ['*'])
     * @method _IH_ForumReplyLike_C|ForumReplyLike[] findMany(array|Arrayable $ids, array|string $columns = ['*'])
     * @method ForumReplyLike|_IH_ForumReplyLike_C|ForumReplyLike[] findOr($id, array|\Closure|string $columns = ['*'], \Closure $callback = null)
     * @method ForumReplyLike|_IH_ForumReplyLike_C|ForumReplyLike[] findOrFail($id, array|string $columns = ['*'])
     * @method ForumReplyLike|_IH_ForumReplyLike_C|ForumReplyLike[] findOrNew($id, array|string $columns = ['*'])
     * @method ForumReplyLike first(array|string $columns = ['*'])
     * @method ForumReplyLike firstOr(array|\Closure|string $columns = ['*'], \Closure $callback = null)
     * @method ForumReplyLike firstOrCreate(array $attributes = [], array $values = [])
     * @method ForumReplyLike firstOrFail(array|string $columns = ['*'])
     * @method ForumReplyLike firstOrNew(array $attributes = [], array $values = [])
     * @method ForumReplyLike firstWhere(array|\Closure|Expression|string $column, $operator = null, $value = null, string $boolean = 'and')
     * @method ForumReplyLike forceCreate(array $attributes)
     * @method _IH_ForumReplyLike_C|ForumReplyLike[] fromQuery(string $query, array $bindings = [])
     * @method _IH_ForumReplyLike_C|ForumReplyLike[] get(array|string $columns = ['*'])
     * @method ForumReplyLike getModel()
     * @method ForumReplyLike[] getModels(array|string $columns = ['*'])
     * @method _IH_ForumReplyLike_C|ForumReplyLike[] hydrate(array $items)
     * @method _IH_ForumReplyLike_C|ForumReplyLike[] lazy(int $chunkSize = 1000)
     * @method _IH_ForumReplyLike_C|ForumReplyLike[] lazyById(int $chunkSize = 1000, null|string $column = null, null|string $alias = null)
     * @method _IH_ForumReplyLike_C|ForumReplyLike[] lazyByIdDesc(int $chunkSize = 1000, null|string $column = null, null|string $alias = null)
     * @method ForumReplyLike make(array $attributes = [])
     * @method ForumReplyLike newModelInstance(array $attributes = [])
     * @method LengthAwarePaginator|ForumReplyLike[]|_IH_ForumReplyLike_C paginate(\Closure|int|null $perPage = null, array|string $columns = ['*'], string $pageName = 'page', int|null $page = null)
     * @method Paginator|ForumReplyLike[]|_IH_ForumReplyLike_C simplePaginate(int|null $perPage = null, array|string $columns = ['*'], string $pageName = 'page', int|null $page = null)
     * @method ForumReplyLike sole(array|string $columns = ['*'])
     * @method ForumReplyLike updateOrCreate(array $attributes, array $values = [])
     */
    class _IH_ForumReplyLike_QB extends _BaseBuilder {}
    
    /**
     * @method ForumReply|null getOrPut($key, \Closure $value)
     * @method ForumReply|$this shift(int $count = 1)
     * @method ForumReply|null firstOrFail(callable|string $key = null, $operator = null, $value = null)
     * @method ForumReply|$this pop(int $count = 1)
     * @method ForumReply|null pull($key, \Closure $default = null)
     * @method ForumReply|null last(callable $callback = null, \Closure $default = null)
     * @method ForumReply|$this random(callable|int|null $number = null, bool $preserveKeys = false)
     * @method ForumReply|null sole(callable|string $key = null, $operator = null, $value = null)
     * @method ForumReply|null get($key, \Closure $default = null)
     * @method ForumReply|null first(callable $callback = null, \Closure $default = null)
     * @method ForumReply|null firstWhere(callable|string $key, $operator = null, $value = null)
     * @method ForumReply|null find($key, $default = null)
     * @method ForumReply[] all()
     */
    class _IH_ForumReply_C extends _BaseCollection {
        /**
         * @param int $size
         * @return ForumReply[][]|Collection<_IH_ForumReply_C>
         */
        public function chunk($size)
        {
            return [];
        }
    }
    
    /**
     * @method _IH_ForumReply_QB whereId($value)
     * @method _IH_ForumReply_QB whereForumId($value)
     * @method _IH_ForumReply_QB whereUserId($value)
     * @method _IH_ForumReply_QB whereReply($value)
     * @method _IH_ForumReply_QB whereParentId($value)
     * @method _IH_ForumReply_QB whereStatus($value)
     * @method _IH_ForumReply_QB wherePoints($value)
     * @method _IH_ForumReply_QB whereLmsId($value)
     * @method _IH_ForumReply_QB whereCreatedAt($value)
     * @method _IH_ForumReply_QB whereUpdatedAt($value)
     * @method _IH_ForumReply_QB whereTotalLikes($value)
     * @method _IH_ForumReply_QB wherePin($value)
     * @method ForumReply baseSole(array|string $columns = ['*'])
     * @method ForumReply create(array $attributes = [])
     * @method _IH_ForumReply_C|ForumReply[] cursor()
     * @method ForumReply|null|_IH_ForumReply_C|ForumReply[] find($id, array|string $columns = ['*'])
     * @method _IH_ForumReply_C|ForumReply[] findMany(array|Arrayable $ids, array|string $columns = ['*'])
     * @method ForumReply|_IH_ForumReply_C|ForumReply[] findOr($id, array|\Closure|string $columns = ['*'], \Closure $callback = null)
     * @method ForumReply|_IH_ForumReply_C|ForumReply[] findOrFail($id, array|string $columns = ['*'])
     * @method ForumReply|_IH_ForumReply_C|ForumReply[] findOrNew($id, array|string $columns = ['*'])
     * @method ForumReply first(array|string $columns = ['*'])
     * @method ForumReply firstOr(array|\Closure|string $columns = ['*'], \Closure $callback = null)
     * @method ForumReply firstOrCreate(array $attributes = [], array $values = [])
     * @method ForumReply firstOrFail(array|string $columns = ['*'])
     * @method ForumReply firstOrNew(array $attributes = [], array $values = [])
     * @method ForumReply firstWhere(array|\Closure|Expression|string $column, $operator = null, $value = null, string $boolean = 'and')
     * @method ForumReply forceCreate(array $attributes)
     * @method _IH_ForumReply_C|ForumReply[] fromQuery(string $query, array $bindings = [])
     * @method _IH_ForumReply_C|ForumReply[] get(array|string $columns = ['*'])
     * @method ForumReply getModel()
     * @method ForumReply[] getModels(array|string $columns = ['*'])
     * @method _IH_ForumReply_C|ForumReply[] hydrate(array $items)
     * @method _IH_ForumReply_C|ForumReply[] lazy(int $chunkSize = 1000)
     * @method _IH_ForumReply_C|ForumReply[] lazyById(int $chunkSize = 1000, null|string $column = null, null|string $alias = null)
     * @method _IH_ForumReply_C|ForumReply[] lazyByIdDesc(int $chunkSize = 1000, null|string $column = null, null|string $alias = null)
     * @method ForumReply make(array $attributes = [])
     * @method ForumReply newModelInstance(array $attributes = [])
     * @method LengthAwarePaginator|ForumReply[]|_IH_ForumReply_C paginate(\Closure|int|null $perPage = null, array|string $columns = ['*'], string $pageName = 'page', int|null $page = null)
     * @method Paginator|ForumReply[]|_IH_ForumReply_C simplePaginate(int|null $perPage = null, array|string $columns = ['*'], string $pageName = 'page', int|null $page = null)
     * @method ForumReply sole(array|string $columns = ['*'])
     * @method ForumReply updateOrCreate(array $attributes, array $values = [])
     */
    class _IH_ForumReply_QB extends _BaseBuilder {}
    
    /**
     * @method ForumView|null getOrPut($key, \Closure $value)
     * @method ForumView|$this shift(int $count = 1)
     * @method ForumView|null firstOrFail(callable|string $key = null, $operator = null, $value = null)
     * @method ForumView|$this pop(int $count = 1)
     * @method ForumView|null pull($key, \Closure $default = null)
     * @method ForumView|null last(callable $callback = null, \Closure $default = null)
     * @method ForumView|$this random(callable|int|null $number = null, bool $preserveKeys = false)
     * @method ForumView|null sole(callable|string $key = null, $operator = null, $value = null)
     * @method ForumView|null get($key, \Closure $default = null)
     * @method ForumView|null first(callable $callback = null, \Closure $default = null)
     * @method ForumView|null firstWhere(callable|string $key, $operator = null, $value = null)
     * @method ForumView|null find($key, $default = null)
     * @method ForumView[] all()
     */
    class _IH_ForumView_C extends _BaseCollection {
        /**
         * @param int $size
         * @return ForumView[][]|Collection<_IH_ForumView_C>
         */
        public function chunk($size)
        {
            return [];
        }
    }
    
    /**
     * @method _IH_ForumView_QB whereId($value)
     * @method _IH_ForumView_QB whereUserId($value)
     * @method _IH_ForumView_QB whereForumId($value)
     * @method _IH_ForumView_QB whereCreatedAt($value)
     * @method _IH_ForumView_QB whereUpdatedAt($value)
     * @method _IH_ForumView_QB whereLmsId($value)
     * @method ForumView baseSole(array|string $columns = ['*'])
     * @method ForumView create(array $attributes = [])
     * @method _IH_ForumView_C|ForumView[] cursor()
     * @method ForumView|null|_IH_ForumView_C|ForumView[] find($id, array|string $columns = ['*'])
     * @method _IH_ForumView_C|ForumView[] findMany(array|Arrayable $ids, array|string $columns = ['*'])
     * @method ForumView|_IH_ForumView_C|ForumView[] findOr($id, array|\Closure|string $columns = ['*'], \Closure $callback = null)
     * @method ForumView|_IH_ForumView_C|ForumView[] findOrFail($id, array|string $columns = ['*'])
     * @method ForumView|_IH_ForumView_C|ForumView[] findOrNew($id, array|string $columns = ['*'])
     * @method ForumView first(array|string $columns = ['*'])
     * @method ForumView firstOr(array|\Closure|string $columns = ['*'], \Closure $callback = null)
     * @method ForumView firstOrCreate(array $attributes = [], array $values = [])
     * @method ForumView firstOrFail(array|string $columns = ['*'])
     * @method ForumView firstOrNew(array $attributes = [], array $values = [])
     * @method ForumView firstWhere(array|\Closure|Expression|string $column, $operator = null, $value = null, string $boolean = 'and')
     * @method ForumView forceCreate(array $attributes)
     * @method _IH_ForumView_C|ForumView[] fromQuery(string $query, array $bindings = [])
     * @method _IH_ForumView_C|ForumView[] get(array|string $columns = ['*'])
     * @method ForumView getModel()
     * @method ForumView[] getModels(array|string $columns = ['*'])
     * @method _IH_ForumView_C|ForumView[] hydrate(array $items)
     * @method _IH_ForumView_C|ForumView[] lazy(int $chunkSize = 1000)
     * @method _IH_ForumView_C|ForumView[] lazyById(int $chunkSize = 1000, null|string $column = null, null|string $alias = null)
     * @method _IH_ForumView_C|ForumView[] lazyByIdDesc(int $chunkSize = 1000, null|string $column = null, null|string $alias = null)
     * @method ForumView make(array $attributes = [])
     * @method ForumView newModelInstance(array $attributes = [])
     * @method LengthAwarePaginator|ForumView[]|_IH_ForumView_C paginate(\Closure|int|null $perPage = null, array|string $columns = ['*'], string $pageName = 'page', int|null $page = null)
     * @method Paginator|ForumView[]|_IH_ForumView_C simplePaginate(int|null $perPage = null, array|string $columns = ['*'], string $pageName = 'page', int|null $page = null)
     * @method ForumView sole(array|string $columns = ['*'])
     * @method ForumView updateOrCreate(array $attributes, array $values = [])
     */
    class _IH_ForumView_QB extends _BaseBuilder {}
    
    /**
     * @method Forum|null getOrPut($key, \Closure $value)
     * @method Forum|$this shift(int $count = 1)
     * @method Forum|null firstOrFail(callable|string $key = null, $operator = null, $value = null)
     * @method Forum|$this pop(int $count = 1)
     * @method Forum|null pull($key, \Closure $default = null)
     * @method Forum|null last(callable $callback = null, \Closure $default = null)
     * @method Forum|$this random(callable|int|null $number = null, bool $preserveKeys = false)
     * @method Forum|null sole(callable|string $key = null, $operator = null, $value = null)
     * @method Forum|null get($key, \Closure $default = null)
     * @method Forum|null first(callable $callback = null, \Closure $default = null)
     * @method Forum|null firstWhere(callable|string $key, $operator = null, $value = null)
     * @method Forum|null find($key, $default = null)
     * @method Forum[] all()
     */
    class _IH_Forum_C extends _BaseCollection {
        /**
         * @param int $size
         * @return Forum[][]|Collection<_IH_Forum_C>
         */
        public function chunk($size)
        {
            return [];
        }
    }
    
    /**
     * @method _IH_Forum_QB whereId($value)
     * @method _IH_Forum_QB whereTitle($value)
     * @method _IH_Forum_QB whereDescription($value)
     * @method _IH_Forum_QB whereCreatedBy($value)
     * @method _IH_Forum_QB whereCourseId($value)
     * @method _IH_Forum_QB whereCategoryId($value)
     * @method _IH_Forum_QB whereLessonId($value)
     * @method _IH_Forum_QB whereGroupId($value)
     * @method _IH_Forum_QB whereHomeworkId($value)
     * @method _IH_Forum_QB wherePrivacy($value)
     * @method _IH_Forum_QB whereStatus($value)
     * @method _IH_Forum_QB whereView($value)
     * @method _IH_Forum_QB whereReply($value)
     * @method _IH_Forum_QB whereIsClosed($value)
     * @method _IH_Forum_QB whereLastActivity($value)
     * @method _IH_Forum_QB whereLmsId($value)
     * @method _IH_Forum_QB whereCreatedAt($value)
     * @method _IH_Forum_QB whereUpdatedAt($value)
     * @method _IH_Forum_QB whereTopicType($value)
     * @method _IH_Forum_QB whereDeletedAt($value)
     * @method _IH_Forum_QB whereDeletedBy($value)
     * @method _IH_Forum_QB whereParentId($value)
     * @method _IH_Forum_QB wherePathId($value)
     * @method _IH_Forum_QB whereFilter($value)
     * @method _IH_Forum_QB whereTotalReplies($value)
     * @method _IH_Forum_QB whereTotalViews($value)
     * @method _IH_Forum_QB whereTotalLikes($value)
     * @method _IH_Forum_QB whereTotalThreads($value)
     * @method _IH_Forum_QB whereApprovedAt($value)
     * @method _IH_Forum_QB wherePin($value)
     * @method _IH_Forum_QB whereLock($value)
     * @method Forum baseSole(array|string $columns = ['*'])
     * @method Forum create(array $attributes = [])
     * @method _IH_Forum_C|Forum[] cursor()
     * @method Forum|null|_IH_Forum_C|Forum[] find($id, array|string $columns = ['*'])
     * @method _IH_Forum_C|Forum[] findMany(array|Arrayable $ids, array|string $columns = ['*'])
     * @method Forum|_IH_Forum_C|Forum[] findOr($id, array|\Closure|string $columns = ['*'], \Closure $callback = null)
     * @method Forum|_IH_Forum_C|Forum[] findOrFail($id, array|string $columns = ['*'])
     * @method Forum|_IH_Forum_C|Forum[] findOrNew($id, array|string $columns = ['*'])
     * @method Forum first(array|string $columns = ['*'])
     * @method Forum firstOr(array|\Closure|string $columns = ['*'], \Closure $callback = null)
     * @method Forum firstOrCreate(array $attributes = [], array $values = [])
     * @method Forum firstOrFail(array|string $columns = ['*'])
     * @method Forum firstOrNew(array $attributes = [], array $values = [])
     * @method Forum firstWhere(array|\Closure|Expression|string $column, $operator = null, $value = null, string $boolean = 'and')
     * @method Forum forceCreate(array $attributes)
     * @method _IH_Forum_C|Forum[] fromQuery(string $query, array $bindings = [])
     * @method _IH_Forum_C|Forum[] get(array|string $columns = ['*'])
     * @method Forum getModel()
     * @method Forum[] getModels(array|string $columns = ['*'])
     * @method _IH_Forum_C|Forum[] hydrate(array $items)
     * @method _IH_Forum_C|Forum[] lazy(int $chunkSize = 1000)
     * @method _IH_Forum_C|Forum[] lazyById(int $chunkSize = 1000, null|string $column = null, null|string $alias = null)
     * @method _IH_Forum_C|Forum[] lazyByIdDesc(int $chunkSize = 1000, null|string $column = null, null|string $alias = null)
     * @method Forum make(array $attributes = [])
     * @method Forum newModelInstance(array $attributes = [])
     * @method LengthAwarePaginator|Forum[]|_IH_Forum_C paginate(\Closure|int|null $perPage = null, array|string $columns = ['*'], string $pageName = 'page', int|null $page = null)
     * @method Paginator|Forum[]|_IH_Forum_C simplePaginate(int|null $perPage = null, array|string $columns = ['*'], string $pageName = 'page', int|null $page = null)
     * @method Forum sole(array|string $columns = ['*'])
     * @method Forum updateOrCreate(array $attributes, array $values = [])
     */
    class _IH_Forum_QB extends _BaseBuilder {}
}