<?php //e446fc8bd1b87e2ff5927c1876581175
/** @noinspection all */

namespace LaravelIdea\Helper\Modules\CourseSetting\Entities {

    use Illuminate\Contracts\Database\Query\Expression;
    use Illuminate\Contracts\Support\Arrayable;
    use Illuminate\Pagination\LengthAwarePaginator;
    use Illuminate\Pagination\Paginator;
    use Illuminate\Support\Collection;
    use LaravelIdea\Helper\_BaseBuilder;
    use LaravelIdea\Helper\_BaseCollection;
    use Modules\CourseSetting\Entities\Category;
    use Modules\CourseSetting\Entities\Chapter;
    use Modules\CourseSetting\Entities\Course;
    use Modules\CourseSetting\Entities\CourseCanceled;
    use Modules\CourseSetting\Entities\CourseComment;
    use Modules\CourseSetting\Entities\CourseCommentReply;
    use Modules\CourseSetting\Entities\CourseEnrolled;
    use Modules\CourseSetting\Entities\CourseExercise;
    use Modules\CourseSetting\Entities\CourseLevel;
    use Modules\CourseSetting\Entities\CourseReveiw;
    use Modules\CourseSetting\Entities\Lesson;
    use Modules\CourseSetting\Entities\LessonFile;
    use Modules\CourseSetting\Entities\LessonQuestion;
    use Modules\CourseSetting\Entities\Notification;
    use Modules\CourseSetting\Entities\Package;
    use Modules\CourseSetting\Entities\SchoolSubject;
    use Modules\CourseSetting\Entities\SubCategory;
    
    /**
     * @method Category|null getOrPut($key, \Closure $value)
     * @method Category|$this shift(int $count = 1)
     * @method Category|null firstOrFail(callable|string $key = null, $operator = null, $value = null)
     * @method Category|$this pop(int $count = 1)
     * @method Category|null pull($key, \Closure $default = null)
     * @method Category|null last(callable $callback = null, \Closure $default = null)
     * @method Category|$this random(callable|int|null $number = null, bool $preserveKeys = false)
     * @method Category|null sole(callable|string $key = null, $operator = null, $value = null)
     * @method Category|null get($key, \Closure $default = null)
     * @method Category|null first(callable $callback = null, \Closure $default = null)
     * @method Category|null firstWhere(callable|string $key, $operator = null, $value = null)
     * @method Category|null find($key, $default = null)
     * @method Category[] all()
     */
    class _IH_Category_C extends _BaseCollection {
        /**
         * @param int $size
         * @return Category[][]|Collection<_IH_Category_C>
         */
        public function chunk($size)
        {
            return [];
        }
    }
    
    /**
     * @method _IH_Category_QB whereId($value)
     * @method _IH_Category_QB whereName($value)
     * @method _IH_Category_QB whereUserId($value)
     * @method _IH_Category_QB whereStatus($value)
     * @method _IH_Category_QB whereTitle($value)
     * @method _IH_Category_QB whereDescription($value)
     * @method _IH_Category_QB whereUrl($value)
     * @method _IH_Category_QB whereShowHome($value)
     * @method _IH_Category_QB wherePositionOrder($value)
     * @method _IH_Category_QB whereImage($value)
     * @method _IH_Category_QB whereThumbnail($value)
     * @method _IH_Category_QB whereCreatedAt($value)
     * @method _IH_Category_QB whereUpdatedAt($value)
     * @method _IH_Category_QB whereParentId($value)
     * @method _IH_Category_QB whereOrganizationId($value)
     * @method _IH_Category_QB whereTotalCourses($value)
     * @method _IH_Category_QB whereTotalQuizzes($value)
     * @method _IH_Category_QB whereColor($value)
     * @method Category baseSole(array|string $columns = ['*'])
     * @method Category create(array $attributes = [])
     * @method _IH_Category_C|Category[] cursor()
     * @method Category|null|_IH_Category_C|Category[] find($id, array|string $columns = ['*'])
     * @method _IH_Category_C|Category[] findMany(array|Arrayable $ids, array|string $columns = ['*'])
     * @method Category|_IH_Category_C|Category[] findOr($id, array|\Closure|string $columns = ['*'], \Closure $callback = null)
     * @method Category|_IH_Category_C|Category[] findOrFail($id, array|string $columns = ['*'])
     * @method Category|_IH_Category_C|Category[] findOrNew($id, array|string $columns = ['*'])
     * @method Category first(array|string $columns = ['*'])
     * @method Category firstOr(array|\Closure|string $columns = ['*'], \Closure $callback = null)
     * @method Category firstOrCreate(array $attributes = [], array $values = [])
     * @method Category firstOrFail(array|string $columns = ['*'])
     * @method Category firstOrNew(array $attributes = [], array $values = [])
     * @method Category firstWhere(array|\Closure|Expression|string $column, $operator = null, $value = null, string $boolean = 'and')
     * @method Category forceCreate(array $attributes)
     * @method _IH_Category_C|Category[] fromQuery(string $query, array $bindings = [])
     * @method _IH_Category_C|Category[] get(array|string $columns = ['*'])
     * @method Category getModel()
     * @method Category[] getModels(array|string $columns = ['*'])
     * @method _IH_Category_C|Category[] hydrate(array $items)
     * @method _IH_Category_C|Category[] lazy(int $chunkSize = 1000)
     * @method _IH_Category_C|Category[] lazyById(int $chunkSize = 1000, null|string $column = null, null|string $alias = null)
     * @method _IH_Category_C|Category[] lazyByIdDesc(int $chunkSize = 1000, null|string $column = null, null|string $alias = null)
     * @method Category make(array $attributes = [])
     * @method Category newModelInstance(array $attributes = [])
     * @method LengthAwarePaginator|Category[]|_IH_Category_C paginate(\Closure|int|null $perPage = null, array|string $columns = ['*'], string $pageName = 'page', int|null $page = null)
     * @method Paginator|Category[]|_IH_Category_C simplePaginate(int|null $perPage = null, array|string $columns = ['*'], string $pageName = 'page', int|null $page = null)
     * @method Category sole(array|string $columns = ['*'])
     * @method Category updateOrCreate(array $attributes, array $values = [])
     */
    class _IH_Category_QB extends _BaseBuilder {}
    
    /**
     * @method Chapter|null getOrPut($key, \Closure $value)
     * @method Chapter|$this shift(int $count = 1)
     * @method Chapter|null firstOrFail(callable|string $key = null, $operator = null, $value = null)
     * @method Chapter|$this pop(int $count = 1)
     * @method Chapter|null pull($key, \Closure $default = null)
     * @method Chapter|null last(callable $callback = null, \Closure $default = null)
     * @method Chapter|$this random(callable|int|null $number = null, bool $preserveKeys = false)
     * @method Chapter|null sole(callable|string $key = null, $operator = null, $value = null)
     * @method Chapter|null get($key, \Closure $default = null)
     * @method Chapter|null first(callable $callback = null, \Closure $default = null)
     * @method Chapter|null firstWhere(callable|string $key, $operator = null, $value = null)
     * @method Chapter|null find($key, $default = null)
     * @method Chapter[] all()
     */
    class _IH_Chapter_C extends _BaseCollection {
        /**
         * @param int $size
         * @return Chapter[][]|Collection<_IH_Chapter_C>
         */
        public function chunk($size)
        {
            return [];
        }
    }
    
    /**
     * @method _IH_Chapter_QB whereId($value)
     * @method _IH_Chapter_QB whereCourseId($value)
     * @method _IH_Chapter_QB whereName($value)
     * @method _IH_Chapter_QB whereChapterNo($value)
     * @method _IH_Chapter_QB whereIsLock($value)
     * @method _IH_Chapter_QB whereUnlockDate($value)
     * @method _IH_Chapter_QB whereUnlockDays($value)
     * @method _IH_Chapter_QB whereCreatedAt($value)
     * @method _IH_Chapter_QB whereUpdatedAt($value)
     * @method _IH_Chapter_QB wherePosition($value)
     * @method Chapter baseSole(array|string $columns = ['*'])
     * @method Chapter create(array $attributes = [])
     * @method _IH_Chapter_C|Chapter[] cursor()
     * @method Chapter|null|_IH_Chapter_C|Chapter[] find($id, array|string $columns = ['*'])
     * @method _IH_Chapter_C|Chapter[] findMany(array|Arrayable $ids, array|string $columns = ['*'])
     * @method Chapter|_IH_Chapter_C|Chapter[] findOr($id, array|\Closure|string $columns = ['*'], \Closure $callback = null)
     * @method Chapter|_IH_Chapter_C|Chapter[] findOrFail($id, array|string $columns = ['*'])
     * @method Chapter|_IH_Chapter_C|Chapter[] findOrNew($id, array|string $columns = ['*'])
     * @method Chapter first(array|string $columns = ['*'])
     * @method Chapter firstOr(array|\Closure|string $columns = ['*'], \Closure $callback = null)
     * @method Chapter firstOrCreate(array $attributes = [], array $values = [])
     * @method Chapter firstOrFail(array|string $columns = ['*'])
     * @method Chapter firstOrNew(array $attributes = [], array $values = [])
     * @method Chapter firstWhere(array|\Closure|Expression|string $column, $operator = null, $value = null, string $boolean = 'and')
     * @method Chapter forceCreate(array $attributes)
     * @method _IH_Chapter_C|Chapter[] fromQuery(string $query, array $bindings = [])
     * @method _IH_Chapter_C|Chapter[] get(array|string $columns = ['*'])
     * @method Chapter getModel()
     * @method Chapter[] getModels(array|string $columns = ['*'])
     * @method _IH_Chapter_C|Chapter[] hydrate(array $items)
     * @method _IH_Chapter_C|Chapter[] lazy(int $chunkSize = 1000)
     * @method _IH_Chapter_C|Chapter[] lazyById(int $chunkSize = 1000, null|string $column = null, null|string $alias = null)
     * @method _IH_Chapter_C|Chapter[] lazyByIdDesc(int $chunkSize = 1000, null|string $column = null, null|string $alias = null)
     * @method Chapter make(array $attributes = [])
     * @method Chapter newModelInstance(array $attributes = [])
     * @method LengthAwarePaginator|Chapter[]|_IH_Chapter_C paginate(\Closure|int|null $perPage = null, array|string $columns = ['*'], string $pageName = 'page', int|null $page = null)
     * @method Paginator|Chapter[]|_IH_Chapter_C simplePaginate(int|null $perPage = null, array|string $columns = ['*'], string $pageName = 'page', int|null $page = null)
     * @method Chapter sole(array|string $columns = ['*'])
     * @method Chapter updateOrCreate(array $attributes, array $values = [])
     */
    class _IH_Chapter_QB extends _BaseBuilder {}
    
    /**
     * @method CourseCanceled|null getOrPut($key, \Closure $value)
     * @method CourseCanceled|$this shift(int $count = 1)
     * @method CourseCanceled|null firstOrFail(callable|string $key = null, $operator = null, $value = null)
     * @method CourseCanceled|$this pop(int $count = 1)
     * @method CourseCanceled|null pull($key, \Closure $default = null)
     * @method CourseCanceled|null last(callable $callback = null, \Closure $default = null)
     * @method CourseCanceled|$this random(callable|int|null $number = null, bool $preserveKeys = false)
     * @method CourseCanceled|null sole(callable|string $key = null, $operator = null, $value = null)
     * @method CourseCanceled|null get($key, \Closure $default = null)
     * @method CourseCanceled|null first(callable $callback = null, \Closure $default = null)
     * @method CourseCanceled|null firstWhere(callable|string $key, $operator = null, $value = null)
     * @method CourseCanceled|null find($key, $default = null)
     * @method CourseCanceled[] all()
     */
    class _IH_CourseCanceled_C extends _BaseCollection {
        /**
         * @param int $size
         * @return CourseCanceled[][]|Collection<_IH_CourseCanceled_C>
         */
        public function chunk($size)
        {
            return [];
        }
    }
    
    /**
     * @method _IH_CourseCanceled_QB whereId($value)
     * @method _IH_CourseCanceled_QB whereUserId($value)
     * @method _IH_CourseCanceled_QB whereCourseId($value)
     * @method _IH_CourseCanceled_QB wherePurchasePrice($value)
     * @method _IH_CourseCanceled_QB whereRefund($value)
     * @method _IH_CourseCanceled_QB whereCancelBy($value)
     * @method _IH_CourseCanceled_QB whereCreatedAt($value)
     * @method _IH_CourseCanceled_QB whereUpdatedAt($value)
     * @method _IH_CourseCanceled_QB whereStatus($value)
     * @method _IH_CourseCanceled_QB whereRequestBy($value)
     * @method _IH_CourseCanceled_QB whereRequestFrom($value)
     * @method _IH_CourseCanceled_QB whereEnrollId($value)
     * @method _IH_CourseCanceled_QB whereReason($value)
     * @method _IH_CourseCanceled_QB whereCancelReason($value)
     * @method _IH_CourseCanceled_QB whereApprovedDate($value)
     * @method CourseCanceled baseSole(array|string $columns = ['*'])
     * @method CourseCanceled create(array $attributes = [])
     * @method _IH_CourseCanceled_C|CourseCanceled[] cursor()
     * @method CourseCanceled|null|_IH_CourseCanceled_C|CourseCanceled[] find($id, array|string $columns = ['*'])
     * @method _IH_CourseCanceled_C|CourseCanceled[] findMany(array|Arrayable $ids, array|string $columns = ['*'])
     * @method CourseCanceled|_IH_CourseCanceled_C|CourseCanceled[] findOr($id, array|\Closure|string $columns = ['*'], \Closure $callback = null)
     * @method CourseCanceled|_IH_CourseCanceled_C|CourseCanceled[] findOrFail($id, array|string $columns = ['*'])
     * @method CourseCanceled|_IH_CourseCanceled_C|CourseCanceled[] findOrNew($id, array|string $columns = ['*'])
     * @method CourseCanceled first(array|string $columns = ['*'])
     * @method CourseCanceled firstOr(array|\Closure|string $columns = ['*'], \Closure $callback = null)
     * @method CourseCanceled firstOrCreate(array $attributes = [], array $values = [])
     * @method CourseCanceled firstOrFail(array|string $columns = ['*'])
     * @method CourseCanceled firstOrNew(array $attributes = [], array $values = [])
     * @method CourseCanceled firstWhere(array|\Closure|Expression|string $column, $operator = null, $value = null, string $boolean = 'and')
     * @method CourseCanceled forceCreate(array $attributes)
     * @method _IH_CourseCanceled_C|CourseCanceled[] fromQuery(string $query, array $bindings = [])
     * @method _IH_CourseCanceled_C|CourseCanceled[] get(array|string $columns = ['*'])
     * @method CourseCanceled getModel()
     * @method CourseCanceled[] getModels(array|string $columns = ['*'])
     * @method _IH_CourseCanceled_C|CourseCanceled[] hydrate(array $items)
     * @method _IH_CourseCanceled_C|CourseCanceled[] lazy(int $chunkSize = 1000)
     * @method _IH_CourseCanceled_C|CourseCanceled[] lazyById(int $chunkSize = 1000, null|string $column = null, null|string $alias = null)
     * @method _IH_CourseCanceled_C|CourseCanceled[] lazyByIdDesc(int $chunkSize = 1000, null|string $column = null, null|string $alias = null)
     * @method CourseCanceled make(array $attributes = [])
     * @method CourseCanceled newModelInstance(array $attributes = [])
     * @method LengthAwarePaginator|CourseCanceled[]|_IH_CourseCanceled_C paginate(\Closure|int|null $perPage = null, array|string $columns = ['*'], string $pageName = 'page', int|null $page = null)
     * @method Paginator|CourseCanceled[]|_IH_CourseCanceled_C simplePaginate(int|null $perPage = null, array|string $columns = ['*'], string $pageName = 'page', int|null $page = null)
     * @method CourseCanceled sole(array|string $columns = ['*'])
     * @method CourseCanceled updateOrCreate(array $attributes, array $values = [])
     */
    class _IH_CourseCanceled_QB extends _BaseBuilder {}
    
    /**
     * @method CourseCommentReply|null getOrPut($key, \Closure $value)
     * @method CourseCommentReply|$this shift(int $count = 1)
     * @method CourseCommentReply|null firstOrFail(callable|string $key = null, $operator = null, $value = null)
     * @method CourseCommentReply|$this pop(int $count = 1)
     * @method CourseCommentReply|null pull($key, \Closure $default = null)
     * @method CourseCommentReply|null last(callable $callback = null, \Closure $default = null)
     * @method CourseCommentReply|$this random(callable|int|null $number = null, bool $preserveKeys = false)
     * @method CourseCommentReply|null sole(callable|string $key = null, $operator = null, $value = null)
     * @method CourseCommentReply|null get($key, \Closure $default = null)
     * @method CourseCommentReply|null first(callable $callback = null, \Closure $default = null)
     * @method CourseCommentReply|null firstWhere(callable|string $key, $operator = null, $value = null)
     * @method CourseCommentReply|null find($key, $default = null)
     * @method CourseCommentReply[] all()
     */
    class _IH_CourseCommentReply_C extends _BaseCollection {
        /**
         * @param int $size
         * @return CourseCommentReply[][]|Collection<_IH_CourseCommentReply_C>
         */
        public function chunk($size)
        {
            return [];
        }
    }
    
    /**
     * @method _IH_CourseCommentReply_QB whereId($value)
     * @method _IH_CourseCommentReply_QB whereUserId($value)
     * @method _IH_CourseCommentReply_QB whereCourseId($value)
     * @method _IH_CourseCommentReply_QB whereCommentId($value)
     * @method _IH_CourseCommentReply_QB whereStatus($value)
     * @method _IH_CourseCommentReply_QB whereReply($value)
     * @method _IH_CourseCommentReply_QB whereCreatedAt($value)
     * @method _IH_CourseCommentReply_QB whereUpdatedAt($value)
     * @method _IH_CourseCommentReply_QB whereReplyId($value)
     * @method CourseCommentReply baseSole(array|string $columns = ['*'])
     * @method CourseCommentReply create(array $attributes = [])
     * @method _IH_CourseCommentReply_C|CourseCommentReply[] cursor()
     * @method CourseCommentReply|null|_IH_CourseCommentReply_C|CourseCommentReply[] find($id, array|string $columns = ['*'])
     * @method _IH_CourseCommentReply_C|CourseCommentReply[] findMany(array|Arrayable $ids, array|string $columns = ['*'])
     * @method CourseCommentReply|_IH_CourseCommentReply_C|CourseCommentReply[] findOr($id, array|\Closure|string $columns = ['*'], \Closure $callback = null)
     * @method CourseCommentReply|_IH_CourseCommentReply_C|CourseCommentReply[] findOrFail($id, array|string $columns = ['*'])
     * @method CourseCommentReply|_IH_CourseCommentReply_C|CourseCommentReply[] findOrNew($id, array|string $columns = ['*'])
     * @method CourseCommentReply first(array|string $columns = ['*'])
     * @method CourseCommentReply firstOr(array|\Closure|string $columns = ['*'], \Closure $callback = null)
     * @method CourseCommentReply firstOrCreate(array $attributes = [], array $values = [])
     * @method CourseCommentReply firstOrFail(array|string $columns = ['*'])
     * @method CourseCommentReply firstOrNew(array $attributes = [], array $values = [])
     * @method CourseCommentReply firstWhere(array|\Closure|Expression|string $column, $operator = null, $value = null, string $boolean = 'and')
     * @method CourseCommentReply forceCreate(array $attributes)
     * @method _IH_CourseCommentReply_C|CourseCommentReply[] fromQuery(string $query, array $bindings = [])
     * @method _IH_CourseCommentReply_C|CourseCommentReply[] get(array|string $columns = ['*'])
     * @method CourseCommentReply getModel()
     * @method CourseCommentReply[] getModels(array|string $columns = ['*'])
     * @method _IH_CourseCommentReply_C|CourseCommentReply[] hydrate(array $items)
     * @method _IH_CourseCommentReply_C|CourseCommentReply[] lazy(int $chunkSize = 1000)
     * @method _IH_CourseCommentReply_C|CourseCommentReply[] lazyById(int $chunkSize = 1000, null|string $column = null, null|string $alias = null)
     * @method _IH_CourseCommentReply_C|CourseCommentReply[] lazyByIdDesc(int $chunkSize = 1000, null|string $column = null, null|string $alias = null)
     * @method CourseCommentReply make(array $attributes = [])
     * @method CourseCommentReply newModelInstance(array $attributes = [])
     * @method LengthAwarePaginator|CourseCommentReply[]|_IH_CourseCommentReply_C paginate(\Closure|int|null $perPage = null, array|string $columns = ['*'], string $pageName = 'page', int|null $page = null)
     * @method Paginator|CourseCommentReply[]|_IH_CourseCommentReply_C simplePaginate(int|null $perPage = null, array|string $columns = ['*'], string $pageName = 'page', int|null $page = null)
     * @method CourseCommentReply sole(array|string $columns = ['*'])
     * @method CourseCommentReply updateOrCreate(array $attributes, array $values = [])
     */
    class _IH_CourseCommentReply_QB extends _BaseBuilder {}
    
    /**
     * @method CourseComment|null getOrPut($key, \Closure $value)
     * @method CourseComment|$this shift(int $count = 1)
     * @method CourseComment|null firstOrFail(callable|string $key = null, $operator = null, $value = null)
     * @method CourseComment|$this pop(int $count = 1)
     * @method CourseComment|null pull($key, \Closure $default = null)
     * @method CourseComment|null last(callable $callback = null, \Closure $default = null)
     * @method CourseComment|$this random(callable|int|null $number = null, bool $preserveKeys = false)
     * @method CourseComment|null sole(callable|string $key = null, $operator = null, $value = null)
     * @method CourseComment|null get($key, \Closure $default = null)
     * @method CourseComment|null first(callable $callback = null, \Closure $default = null)
     * @method CourseComment|null firstWhere(callable|string $key, $operator = null, $value = null)
     * @method CourseComment|null find($key, $default = null)
     * @method CourseComment[] all()
     */
    class _IH_CourseComment_C extends _BaseCollection {
        /**
         * @param int $size
         * @return CourseComment[][]|Collection<_IH_CourseComment_C>
         */
        public function chunk($size)
        {
            return [];
        }
    }
    
    /**
     * @method _IH_CourseComment_QB whereId($value)
     * @method _IH_CourseComment_QB whereUserId($value)
     * @method _IH_CourseComment_QB whereCourseId($value)
     * @method _IH_CourseComment_QB whereInstructorId($value)
     * @method _IH_CourseComment_QB whereStatus($value)
     * @method _IH_CourseComment_QB whereComment($value)
     * @method _IH_CourseComment_QB whereCreatedAt($value)
     * @method _IH_CourseComment_QB whereUpdatedAt($value)
     * @method CourseComment baseSole(array|string $columns = ['*'])
     * @method CourseComment create(array $attributes = [])
     * @method _IH_CourseComment_C|CourseComment[] cursor()
     * @method CourseComment|null|_IH_CourseComment_C|CourseComment[] find($id, array|string $columns = ['*'])
     * @method _IH_CourseComment_C|CourseComment[] findMany(array|Arrayable $ids, array|string $columns = ['*'])
     * @method CourseComment|_IH_CourseComment_C|CourseComment[] findOr($id, array|\Closure|string $columns = ['*'], \Closure $callback = null)
     * @method CourseComment|_IH_CourseComment_C|CourseComment[] findOrFail($id, array|string $columns = ['*'])
     * @method CourseComment|_IH_CourseComment_C|CourseComment[] findOrNew($id, array|string $columns = ['*'])
     * @method CourseComment first(array|string $columns = ['*'])
     * @method CourseComment firstOr(array|\Closure|string $columns = ['*'], \Closure $callback = null)
     * @method CourseComment firstOrCreate(array $attributes = [], array $values = [])
     * @method CourseComment firstOrFail(array|string $columns = ['*'])
     * @method CourseComment firstOrNew(array $attributes = [], array $values = [])
     * @method CourseComment firstWhere(array|\Closure|Expression|string $column, $operator = null, $value = null, string $boolean = 'and')
     * @method CourseComment forceCreate(array $attributes)
     * @method _IH_CourseComment_C|CourseComment[] fromQuery(string $query, array $bindings = [])
     * @method _IH_CourseComment_C|CourseComment[] get(array|string $columns = ['*'])
     * @method CourseComment getModel()
     * @method CourseComment[] getModels(array|string $columns = ['*'])
     * @method _IH_CourseComment_C|CourseComment[] hydrate(array $items)
     * @method _IH_CourseComment_C|CourseComment[] lazy(int $chunkSize = 1000)
     * @method _IH_CourseComment_C|CourseComment[] lazyById(int $chunkSize = 1000, null|string $column = null, null|string $alias = null)
     * @method _IH_CourseComment_C|CourseComment[] lazyByIdDesc(int $chunkSize = 1000, null|string $column = null, null|string $alias = null)
     * @method CourseComment make(array $attributes = [])
     * @method CourseComment newModelInstance(array $attributes = [])
     * @method LengthAwarePaginator|CourseComment[]|_IH_CourseComment_C paginate(\Closure|int|null $perPage = null, array|string $columns = ['*'], string $pageName = 'page', int|null $page = null)
     * @method Paginator|CourseComment[]|_IH_CourseComment_C simplePaginate(int|null $perPage = null, array|string $columns = ['*'], string $pageName = 'page', int|null $page = null)
     * @method CourseComment sole(array|string $columns = ['*'])
     * @method CourseComment updateOrCreate(array $attributes, array $values = [])
     */
    class _IH_CourseComment_QB extends _BaseBuilder {}
    
    /**
     * @method CourseEnrolled|null getOrPut($key, \Closure $value)
     * @method CourseEnrolled|$this shift(int $count = 1)
     * @method CourseEnrolled|null firstOrFail(callable|string $key = null, $operator = null, $value = null)
     * @method CourseEnrolled|$this pop(int $count = 1)
     * @method CourseEnrolled|null pull($key, \Closure $default = null)
     * @method CourseEnrolled|null last(callable $callback = null, \Closure $default = null)
     * @method CourseEnrolled|$this random(callable|int|null $number = null, bool $preserveKeys = false)
     * @method CourseEnrolled|null sole(callable|string $key = null, $operator = null, $value = null)
     * @method CourseEnrolled|null get($key, \Closure $default = null)
     * @method CourseEnrolled|null first(callable $callback = null, \Closure $default = null)
     * @method CourseEnrolled|null firstWhere(callable|string $key, $operator = null, $value = null)
     * @method CourseEnrolled|null find($key, $default = null)
     * @method CourseEnrolled[] all()
     */
    class _IH_CourseEnrolled_C extends _BaseCollection {
        /**
         * @param int $size
         * @return CourseEnrolled[][]|Collection<_IH_CourseEnrolled_C>
         */
        public function chunk($size)
        {
            return [];
        }
    }
    
    /**
     * @method _IH_CourseEnrolled_QB whereId($value)
     * @method _IH_CourseEnrolled_QB whereTracking($value)
     * @method _IH_CourseEnrolled_QB whereUserId($value)
     * @method _IH_CourseEnrolled_QB whereCourseId($value)
     * @method _IH_CourseEnrolled_QB wherePurchasePrice($value)
     * @method _IH_CourseEnrolled_QB whereCoupon($value)
     * @method _IH_CourseEnrolled_QB whereDiscountAmount($value)
     * @method _IH_CourseEnrolled_QB whereStatus($value)
     * @method _IH_CourseEnrolled_QB whereReveune($value)
     * @method _IH_CourseEnrolled_QB whereReason($value)
     * @method _IH_CourseEnrolled_QB whereCreatedAt($value)
     * @method _IH_CourseEnrolled_QB whereUpdatedAt($value)
     * @method _IH_CourseEnrolled_QB whereSubscription($value)
     * @method _IH_CourseEnrolled_QB whereSubscriptionValidityDate($value)
     * @method _IH_CourseEnrolled_QB whereBundleCourseId($value)
     * @method _IH_CourseEnrolled_QB whereBundleCourseValidity($value)
     * @method _IH_CourseEnrolled_QB whereEnrolledVia($value)
     * @method _IH_CourseEnrolled_QB wherePathwayId($value)
     * @method _IH_CourseEnrolled_QB whereEnrolledBy($value)
     * @method _IH_CourseEnrolled_QB whereLastViewAt($value)
     * @method _IH_CourseEnrolled_QB whereSubscriptionValidityTime($value)
     * @method _IH_CourseEnrolled_QB whereOrgSubscriptionPlanId($value)
     * @method _IH_CourseEnrolled_QB whereShift($value)
     * @method _IH_CourseEnrolled_QB whereInstallmentPurchaseId($value)
     * @method _IH_CourseEnrolled_QB whereSendExpireNotification($value)
     * @method _IH_CourseEnrolled_QB whereQty($value)
     * @method _IH_CourseEnrolled_QB whereIsStore($value)
     * @method CourseEnrolled baseSole(array|string $columns = ['*'])
     * @method CourseEnrolled create(array $attributes = [])
     * @method _IH_CourseEnrolled_C|CourseEnrolled[] cursor()
     * @method CourseEnrolled|null|_IH_CourseEnrolled_C|CourseEnrolled[] find($id, array|string $columns = ['*'])
     * @method _IH_CourseEnrolled_C|CourseEnrolled[] findMany(array|Arrayable $ids, array|string $columns = ['*'])
     * @method CourseEnrolled|_IH_CourseEnrolled_C|CourseEnrolled[] findOr($id, array|\Closure|string $columns = ['*'], \Closure $callback = null)
     * @method CourseEnrolled|_IH_CourseEnrolled_C|CourseEnrolled[] findOrFail($id, array|string $columns = ['*'])
     * @method CourseEnrolled|_IH_CourseEnrolled_C|CourseEnrolled[] findOrNew($id, array|string $columns = ['*'])
     * @method CourseEnrolled first(array|string $columns = ['*'])
     * @method CourseEnrolled firstOr(array|\Closure|string $columns = ['*'], \Closure $callback = null)
     * @method CourseEnrolled firstOrCreate(array $attributes = [], array $values = [])
     * @method CourseEnrolled firstOrFail(array|string $columns = ['*'])
     * @method CourseEnrolled firstOrNew(array $attributes = [], array $values = [])
     * @method CourseEnrolled firstWhere(array|\Closure|Expression|string $column, $operator = null, $value = null, string $boolean = 'and')
     * @method CourseEnrolled forceCreate(array $attributes)
     * @method _IH_CourseEnrolled_C|CourseEnrolled[] fromQuery(string $query, array $bindings = [])
     * @method _IH_CourseEnrolled_C|CourseEnrolled[] get(array|string $columns = ['*'])
     * @method CourseEnrolled getModel()
     * @method CourseEnrolled[] getModels(array|string $columns = ['*'])
     * @method _IH_CourseEnrolled_C|CourseEnrolled[] hydrate(array $items)
     * @method _IH_CourseEnrolled_C|CourseEnrolled[] lazy(int $chunkSize = 1000)
     * @method _IH_CourseEnrolled_C|CourseEnrolled[] lazyById(int $chunkSize = 1000, null|string $column = null, null|string $alias = null)
     * @method _IH_CourseEnrolled_C|CourseEnrolled[] lazyByIdDesc(int $chunkSize = 1000, null|string $column = null, null|string $alias = null)
     * @method CourseEnrolled make(array $attributes = [])
     * @method CourseEnrolled newModelInstance(array $attributes = [])
     * @method LengthAwarePaginator|CourseEnrolled[]|_IH_CourseEnrolled_C paginate(\Closure|int|null $perPage = null, array|string $columns = ['*'], string $pageName = 'page', int|null $page = null)
     * @method Paginator|CourseEnrolled[]|_IH_CourseEnrolled_C simplePaginate(int|null $perPage = null, array|string $columns = ['*'], string $pageName = 'page', int|null $page = null)
     * @method CourseEnrolled sole(array|string $columns = ['*'])
     * @method CourseEnrolled updateOrCreate(array $attributes, array $values = [])
     * @method _IH_CourseEnrolled_QB enrollStudent()
     */
    class _IH_CourseEnrolled_QB extends _BaseBuilder {}
    
    /**
     * @method CourseExercise|null getOrPut($key, \Closure $value)
     * @method CourseExercise|$this shift(int $count = 1)
     * @method CourseExercise|null firstOrFail(callable|string $key = null, $operator = null, $value = null)
     * @method CourseExercise|$this pop(int $count = 1)
     * @method CourseExercise|null pull($key, \Closure $default = null)
     * @method CourseExercise|null last(callable $callback = null, \Closure $default = null)
     * @method CourseExercise|$this random(callable|int|null $number = null, bool $preserveKeys = false)
     * @method CourseExercise|null sole(callable|string $key = null, $operator = null, $value = null)
     * @method CourseExercise|null get($key, \Closure $default = null)
     * @method CourseExercise|null first(callable $callback = null, \Closure $default = null)
     * @method CourseExercise|null firstWhere(callable|string $key, $operator = null, $value = null)
     * @method CourseExercise|null find($key, $default = null)
     * @method CourseExercise[] all()
     */
    class _IH_CourseExercise_C extends _BaseCollection {
        /**
         * @param int $size
         * @return CourseExercise[][]|Collection<_IH_CourseExercise_C>
         */
        public function chunk($size)
        {
            return [];
        }
    }
    
    /**
     * @method _IH_CourseExercise_QB whereId($value)
     * @method _IH_CourseExercise_QB whereCourseId($value)
     * @method _IH_CourseExercise_QB whereFilename($value)
     * @method _IH_CourseExercise_QB whereFile($value)
     * @method _IH_CourseExercise_QB whereLock($value)
     * @method _IH_CourseExercise_QB whereStatus($value)
     * @method _IH_CourseExercise_QB whereCreatedAt($value)
     * @method _IH_CourseExercise_QB whereUpdatedAt($value)
     * @method _IH_CourseExercise_QB whereOldFileSize($value)
     * @method _IH_CourseExercise_QB whereFileSize($value)
     * @method CourseExercise baseSole(array|string $columns = ['*'])
     * @method CourseExercise create(array $attributes = [])
     * @method _IH_CourseExercise_C|CourseExercise[] cursor()
     * @method CourseExercise|null|_IH_CourseExercise_C|CourseExercise[] find($id, array|string $columns = ['*'])
     * @method _IH_CourseExercise_C|CourseExercise[] findMany(array|Arrayable $ids, array|string $columns = ['*'])
     * @method CourseExercise|_IH_CourseExercise_C|CourseExercise[] findOr($id, array|\Closure|string $columns = ['*'], \Closure $callback = null)
     * @method CourseExercise|_IH_CourseExercise_C|CourseExercise[] findOrFail($id, array|string $columns = ['*'])
     * @method CourseExercise|_IH_CourseExercise_C|CourseExercise[] findOrNew($id, array|string $columns = ['*'])
     * @method CourseExercise first(array|string $columns = ['*'])
     * @method CourseExercise firstOr(array|\Closure|string $columns = ['*'], \Closure $callback = null)
     * @method CourseExercise firstOrCreate(array $attributes = [], array $values = [])
     * @method CourseExercise firstOrFail(array|string $columns = ['*'])
     * @method CourseExercise firstOrNew(array $attributes = [], array $values = [])
     * @method CourseExercise firstWhere(array|\Closure|Expression|string $column, $operator = null, $value = null, string $boolean = 'and')
     * @method CourseExercise forceCreate(array $attributes)
     * @method _IH_CourseExercise_C|CourseExercise[] fromQuery(string $query, array $bindings = [])
     * @method _IH_CourseExercise_C|CourseExercise[] get(array|string $columns = ['*'])
     * @method CourseExercise getModel()
     * @method CourseExercise[] getModels(array|string $columns = ['*'])
     * @method _IH_CourseExercise_C|CourseExercise[] hydrate(array $items)
     * @method _IH_CourseExercise_C|CourseExercise[] lazy(int $chunkSize = 1000)
     * @method _IH_CourseExercise_C|CourseExercise[] lazyById(int $chunkSize = 1000, null|string $column = null, null|string $alias = null)
     * @method _IH_CourseExercise_C|CourseExercise[] lazyByIdDesc(int $chunkSize = 1000, null|string $column = null, null|string $alias = null)
     * @method CourseExercise make(array $attributes = [])
     * @method CourseExercise newModelInstance(array $attributes = [])
     * @method LengthAwarePaginator|CourseExercise[]|_IH_CourseExercise_C paginate(\Closure|int|null $perPage = null, array|string $columns = ['*'], string $pageName = 'page', int|null $page = null)
     * @method Paginator|CourseExercise[]|_IH_CourseExercise_C simplePaginate(int|null $perPage = null, array|string $columns = ['*'], string $pageName = 'page', int|null $page = null)
     * @method CourseExercise sole(array|string $columns = ['*'])
     * @method CourseExercise updateOrCreate(array $attributes, array $values = [])
     */
    class _IH_CourseExercise_QB extends _BaseBuilder {}
    
    /**
     * @method CourseLevel|null getOrPut($key, \Closure $value)
     * @method CourseLevel|$this shift(int $count = 1)
     * @method CourseLevel|null firstOrFail(callable|string $key = null, $operator = null, $value = null)
     * @method CourseLevel|$this pop(int $count = 1)
     * @method CourseLevel|null pull($key, \Closure $default = null)
     * @method CourseLevel|null last(callable $callback = null, \Closure $default = null)
     * @method CourseLevel|$this random(callable|int|null $number = null, bool $preserveKeys = false)
     * @method CourseLevel|null sole(callable|string $key = null, $operator = null, $value = null)
     * @method CourseLevel|null get($key, \Closure $default = null)
     * @method CourseLevel|null first(callable $callback = null, \Closure $default = null)
     * @method CourseLevel|null firstWhere(callable|string $key, $operator = null, $value = null)
     * @method CourseLevel|null find($key, $default = null)
     * @method CourseLevel[] all()
     */
    class _IH_CourseLevel_C extends _BaseCollection {
        /**
         * @param int $size
         * @return CourseLevel[][]|Collection<_IH_CourseLevel_C>
         */
        public function chunk($size)
        {
            return [];
        }
    }
    
    /**
     * @method _IH_CourseLevel_QB whereId($value)
     * @method _IH_CourseLevel_QB whereTitle($value)
     * @method _IH_CourseLevel_QB whereStatus($value)
     * @method _IH_CourseLevel_QB whereCreatedAt($value)
     * @method _IH_CourseLevel_QB whereUpdatedAt($value)
     * @method _IH_CourseLevel_QB whereTextColor($value)
     * @method _IH_CourseLevel_QB whereBackgroundColor($value)
     * @method _IH_CourseLevel_QB whereOrganizationId($value)
     * @method CourseLevel baseSole(array|string $columns = ['*'])
     * @method CourseLevel create(array $attributes = [])
     * @method _IH_CourseLevel_C|CourseLevel[] cursor()
     * @method CourseLevel|null|_IH_CourseLevel_C|CourseLevel[] find($id, array|string $columns = ['*'])
     * @method _IH_CourseLevel_C|CourseLevel[] findMany(array|Arrayable $ids, array|string $columns = ['*'])
     * @method CourseLevel|_IH_CourseLevel_C|CourseLevel[] findOr($id, array|\Closure|string $columns = ['*'], \Closure $callback = null)
     * @method CourseLevel|_IH_CourseLevel_C|CourseLevel[] findOrFail($id, array|string $columns = ['*'])
     * @method CourseLevel|_IH_CourseLevel_C|CourseLevel[] findOrNew($id, array|string $columns = ['*'])
     * @method CourseLevel first(array|string $columns = ['*'])
     * @method CourseLevel firstOr(array|\Closure|string $columns = ['*'], \Closure $callback = null)
     * @method CourseLevel firstOrCreate(array $attributes = [], array $values = [])
     * @method CourseLevel firstOrFail(array|string $columns = ['*'])
     * @method CourseLevel firstOrNew(array $attributes = [], array $values = [])
     * @method CourseLevel firstWhere(array|\Closure|Expression|string $column, $operator = null, $value = null, string $boolean = 'and')
     * @method CourseLevel forceCreate(array $attributes)
     * @method _IH_CourseLevel_C|CourseLevel[] fromQuery(string $query, array $bindings = [])
     * @method _IH_CourseLevel_C|CourseLevel[] get(array|string $columns = ['*'])
     * @method CourseLevel getModel()
     * @method CourseLevel[] getModels(array|string $columns = ['*'])
     * @method _IH_CourseLevel_C|CourseLevel[] hydrate(array $items)
     * @method _IH_CourseLevel_C|CourseLevel[] lazy(int $chunkSize = 1000)
     * @method _IH_CourseLevel_C|CourseLevel[] lazyById(int $chunkSize = 1000, null|string $column = null, null|string $alias = null)
     * @method _IH_CourseLevel_C|CourseLevel[] lazyByIdDesc(int $chunkSize = 1000, null|string $column = null, null|string $alias = null)
     * @method CourseLevel make(array $attributes = [])
     * @method CourseLevel newModelInstance(array $attributes = [])
     * @method LengthAwarePaginator|CourseLevel[]|_IH_CourseLevel_C paginate(\Closure|int|null $perPage = null, array|string $columns = ['*'], string $pageName = 'page', int|null $page = null)
     * @method Paginator|CourseLevel[]|_IH_CourseLevel_C simplePaginate(int|null $perPage = null, array|string $columns = ['*'], string $pageName = 'page', int|null $page = null)
     * @method CourseLevel sole(array|string $columns = ['*'])
     * @method CourseLevel updateOrCreate(array $attributes, array $values = [])
     */
    class _IH_CourseLevel_QB extends _BaseBuilder {}
    
    /**
     * @method CourseReveiw|null getOrPut($key, \Closure $value)
     * @method CourseReveiw|$this shift(int $count = 1)
     * @method CourseReveiw|null firstOrFail(callable|string $key = null, $operator = null, $value = null)
     * @method CourseReveiw|$this pop(int $count = 1)
     * @method CourseReveiw|null pull($key, \Closure $default = null)
     * @method CourseReveiw|null last(callable $callback = null, \Closure $default = null)
     * @method CourseReveiw|$this random(callable|int|null $number = null, bool $preserveKeys = false)
     * @method CourseReveiw|null sole(callable|string $key = null, $operator = null, $value = null)
     * @method CourseReveiw|null get($key, \Closure $default = null)
     * @method CourseReveiw|null first(callable $callback = null, \Closure $default = null)
     * @method CourseReveiw|null firstWhere(callable|string $key, $operator = null, $value = null)
     * @method CourseReveiw|null find($key, $default = null)
     * @method CourseReveiw[] all()
     */
    class _IH_CourseReveiw_C extends _BaseCollection {
        /**
         * @param int $size
         * @return CourseReveiw[][]|Collection<_IH_CourseReveiw_C>
         */
        public function chunk($size)
        {
            return [];
        }
    }
    
    /**
     * @method _IH_CourseReveiw_QB whereId($value)
     * @method _IH_CourseReveiw_QB whereUserId($value)
     * @method _IH_CourseReveiw_QB whereCourseId($value)
     * @method _IH_CourseReveiw_QB whereStatus($value)
     * @method _IH_CourseReveiw_QB whereComment($value)
     * @method _IH_CourseReveiw_QB whereStar($value)
     * @method _IH_CourseReveiw_QB whereCreatedAt($value)
     * @method _IH_CourseReveiw_QB whereUpdatedAt($value)
     * @method _IH_CourseReveiw_QB whereInstructorId($value)
     * @method CourseReveiw baseSole(array|string $columns = ['*'])
     * @method CourseReveiw create(array $attributes = [])
     * @method _IH_CourseReveiw_C|CourseReveiw[] cursor()
     * @method CourseReveiw|null|_IH_CourseReveiw_C|CourseReveiw[] find($id, array|string $columns = ['*'])
     * @method _IH_CourseReveiw_C|CourseReveiw[] findMany(array|Arrayable $ids, array|string $columns = ['*'])
     * @method CourseReveiw|_IH_CourseReveiw_C|CourseReveiw[] findOr($id, array|\Closure|string $columns = ['*'], \Closure $callback = null)
     * @method CourseReveiw|_IH_CourseReveiw_C|CourseReveiw[] findOrFail($id, array|string $columns = ['*'])
     * @method CourseReveiw|_IH_CourseReveiw_C|CourseReveiw[] findOrNew($id, array|string $columns = ['*'])
     * @method CourseReveiw first(array|string $columns = ['*'])
     * @method CourseReveiw firstOr(array|\Closure|string $columns = ['*'], \Closure $callback = null)
     * @method CourseReveiw firstOrCreate(array $attributes = [], array $values = [])
     * @method CourseReveiw firstOrFail(array|string $columns = ['*'])
     * @method CourseReveiw firstOrNew(array $attributes = [], array $values = [])
     * @method CourseReveiw firstWhere(array|\Closure|Expression|string $column, $operator = null, $value = null, string $boolean = 'and')
     * @method CourseReveiw forceCreate(array $attributes)
     * @method _IH_CourseReveiw_C|CourseReveiw[] fromQuery(string $query, array $bindings = [])
     * @method _IH_CourseReveiw_C|CourseReveiw[] get(array|string $columns = ['*'])
     * @method CourseReveiw getModel()
     * @method CourseReveiw[] getModels(array|string $columns = ['*'])
     * @method _IH_CourseReveiw_C|CourseReveiw[] hydrate(array $items)
     * @method _IH_CourseReveiw_C|CourseReveiw[] lazy(int $chunkSize = 1000)
     * @method _IH_CourseReveiw_C|CourseReveiw[] lazyById(int $chunkSize = 1000, null|string $column = null, null|string $alias = null)
     * @method _IH_CourseReveiw_C|CourseReveiw[] lazyByIdDesc(int $chunkSize = 1000, null|string $column = null, null|string $alias = null)
     * @method CourseReveiw make(array $attributes = [])
     * @method CourseReveiw newModelInstance(array $attributes = [])
     * @method LengthAwarePaginator|CourseReveiw[]|_IH_CourseReveiw_C paginate(\Closure|int|null $perPage = null, array|string $columns = ['*'], string $pageName = 'page', int|null $page = null)
     * @method Paginator|CourseReveiw[]|_IH_CourseReveiw_C simplePaginate(int|null $perPage = null, array|string $columns = ['*'], string $pageName = 'page', int|null $page = null)
     * @method CourseReveiw sole(array|string $columns = ['*'])
     * @method CourseReveiw updateOrCreate(array $attributes, array $values = [])
     */
    class _IH_CourseReveiw_QB extends _BaseBuilder {}
    
    /**
     * @method Course|null getOrPut($key, \Closure $value)
     * @method Course|$this shift(int $count = 1)
     * @method Course|null firstOrFail(callable|string $key = null, $operator = null, $value = null)
     * @method Course|$this pop(int $count = 1)
     * @method Course|null pull($key, \Closure $default = null)
     * @method Course|null last(callable $callback = null, \Closure $default = null)
     * @method Course|$this random(callable|int|null $number = null, bool $preserveKeys = false)
     * @method Course|null sole(callable|string $key = null, $operator = null, $value = null)
     * @method Course|null get($key, \Closure $default = null)
     * @method Course|null first(callable $callback = null, \Closure $default = null)
     * @method Course|null firstWhere(callable|string $key, $operator = null, $value = null)
     * @method Course|null find($key, $default = null)
     * @method Course[] all()
     */
    class _IH_Course_C extends _BaseCollection {
        /**
         * @param int $size
         * @return Course[][]|Collection<_IH_Course_C>
         */
        public function chunk($size)
        {
            return [];
        }
    }
    
    /**
     * @method _IH_Course_QB whereId($value)
     * @method _IH_Course_QB whereCategoryId($value)
     * @method _IH_Course_QB whereSubcategoryId($value)
     * @method _IH_Course_QB whereQuizId($value)
     * @method _IH_Course_QB whereClassId($value)
     * @method _IH_Course_QB whereUserId($value)
     * @method _IH_Course_QB whereLangId($value)
     * @method _IH_Course_QB whereTitle($value)
     * @method _IH_Course_QB whereSlug($value)
     * @method _IH_Course_QB whereDuration($value)
     * @method _IH_Course_QB whereImage($value)
     * @method _IH_Course_QB whereThumbnail($value)
     * @method _IH_Course_QB wherePrice($value)
     * @method _IH_Course_QB whereDiscountPrice($value)
     * @method _IH_Course_QB wherePublish($value)
     * @method _IH_Course_QB whereStatus($value)
     * @method _IH_Course_QB whereLevel($value)
     * @method _IH_Course_QB whereTrailerLink($value)
     * @method _IH_Course_QB whereHost($value)
     * @method _IH_Course_QB whereMetaKeywords($value)
     * @method _IH_Course_QB whereMetaDescription($value)
     * @method _IH_Course_QB whereAbout($value)
     * @method _IH_Course_QB whereSpecialCommission($value)
     * @method _IH_Course_QB whereTotalEnrolled($value)
     * @method _IH_Course_QB whereReveune($value)
     * @method _IH_Course_QB whereReveiw($value)
     * @method _IH_Course_QB whereType($value)
     * @method _IH_Course_QB whereCreatedAt($value)
     * @method _IH_Course_QB whereUpdatedAt($value)
     * @method _IH_Course_QB whereDrip($value)
     * @method _IH_Course_QB whereSubscription($value)
     * @method _IH_Course_QB whereRequirements($value)
     * @method _IH_Course_QB whereOutcomes($value)
     * @method _IH_Course_QB whereSubscriptionList($value)
     * @method _IH_Course_QB whereTotalRating($value)
     * @method _IH_Course_QB whereScope($value)
     * @method _IH_Course_QB whereCompleteOrder($value)
     * @method _IH_Course_QB whereCertificateId($value)
     * @method _IH_Course_QB whereShowOverviewMedia($value)
     * @method _IH_Course_QB whereShowModeOfDelivery($value)
     * @method _IH_Course_QB whereModeOfDelivery($value)
     * @method _IH_Course_QB whereWhatLearn1($value)
     * @method _IH_Course_QB whereWhatLearn2($value)
     * @method _IH_Course_QB whereView($value)
     * @method _IH_Course_QB whereFeature($value)
     * @method _IH_Course_QB whereOffer($value)
     * @method _IH_Course_QB whereAssistantInstructors($value)
     * @method _IH_Course_QB whereRequiredType($value)
     * @method _IH_Course_QB whereCpd($value)
     * @method _IH_Course_QB whereIsAllMember($value)
     * @method _IH_Course_QB whereIsMembership($value)
     * @method _IH_Course_QB whereMembershipLevelId($value)
     * @method _IH_Course_QB whereIapProductId($value)
     * @method _IH_Course_QB whereSchoolSubjectId($value)
     * @method _IH_Course_QB whereAdvanceTest($value)
     * @method _IH_Course_QB whereOrgLeaderboardPoint($value)
     * @method _IH_Course_QB whereWaitingListStatus($value)
     * @method _IH_Course_QB whereIsUpcomingCourse($value)
     * @method _IH_Course_QB wherePublishDate($value)
     * @method _IH_Course_QB wherePublishStatus($value)
     * @method _IH_Course_QB whereIsAllowPrebooking($value)
     * @method _IH_Course_QB whereBookingAmount($value)
     * @method _IH_Course_QB whereProductId($value)
     * @method _IH_Course_QB whereAccessLimit($value)
     * @method _IH_Course_QB whereProCertificateId($value)
     * @method _IH_Course_QB whereSupport($value)
     * @method _IH_Course_QB whereProductType($value)
     * @method _IH_Course_QB whereStockManage($value)
     * @method _IH_Course_QB whereStockQuantity($value)
     * @method _IH_Course_QB whereTotalChapters($value)
     * @method _IH_Course_QB whereTotalLessons($value)
     * @method _IH_Course_QB whereTotalQuizLessons($value)
     * @method _IH_Course_QB whereTotalComments($value)
     * @method _IH_Course_QB whereTotalReviews($value)
     * @method Course baseSole(array|string $columns = ['*'])
     * @method Course create(array $attributes = [])
     * @method _IH_Course_C|Course[] cursor()
     * @method Course|null|_IH_Course_C|Course[] find($id, array|string $columns = ['*'])
     * @method _IH_Course_C|Course[] findMany(array|Arrayable $ids, array|string $columns = ['*'])
     * @method Course|_IH_Course_C|Course[] findOr($id, array|\Closure|string $columns = ['*'], \Closure $callback = null)
     * @method Course|_IH_Course_C|Course[] findOrFail($id, array|string $columns = ['*'])
     * @method Course|_IH_Course_C|Course[] findOrNew($id, array|string $columns = ['*'])
     * @method Course first(array|string $columns = ['*'])
     * @method Course firstOr(array|\Closure|string $columns = ['*'], \Closure $callback = null)
     * @method Course firstOrCreate(array $attributes = [], array $values = [])
     * @method Course firstOrFail(array|string $columns = ['*'])
     * @method Course firstOrNew(array $attributes = [], array $values = [])
     * @method Course firstWhere(array|\Closure|Expression|string $column, $operator = null, $value = null, string $boolean = 'and')
     * @method Course forceCreate(array $attributes)
     * @method _IH_Course_C|Course[] fromQuery(string $query, array $bindings = [])
     * @method _IH_Course_C|Course[] get(array|string $columns = ['*'])
     * @method Course getModel()
     * @method Course[] getModels(array|string $columns = ['*'])
     * @method _IH_Course_C|Course[] hydrate(array $items)
     * @method _IH_Course_C|Course[] lazy(int $chunkSize = 1000)
     * @method _IH_Course_C|Course[] lazyById(int $chunkSize = 1000, null|string $column = null, null|string $alias = null)
     * @method _IH_Course_C|Course[] lazyByIdDesc(int $chunkSize = 1000, null|string $column = null, null|string $alias = null)
     * @method Course make(array $attributes = [])
     * @method Course newModelInstance(array $attributes = [])
     * @method LengthAwarePaginator|Course[]|_IH_Course_C paginate(\Closure|int|null $perPage = null, array|string $columns = ['*'], string $pageName = 'page', int|null $page = null)
     * @method Paginator|Course[]|_IH_Course_C simplePaginate(int|null $perPage = null, array|string $columns = ['*'], string $pageName = 'page', int|null $page = null)
     * @method Course sole(array|string $columns = ['*'])
     * @method Course updateOrCreate(array $attributes, array $values = [])
     */
    class _IH_Course_QB extends _BaseBuilder {}
    
    /**
     * @method LessonFile|null getOrPut($key, \Closure $value)
     * @method LessonFile|$this shift(int $count = 1)
     * @method LessonFile|null firstOrFail(callable|string $key = null, $operator = null, $value = null)
     * @method LessonFile|$this pop(int $count = 1)
     * @method LessonFile|null pull($key, \Closure $default = null)
     * @method LessonFile|null last(callable $callback = null, \Closure $default = null)
     * @method LessonFile|$this random(callable|int|null $number = null, bool $preserveKeys = false)
     * @method LessonFile|null sole(callable|string $key = null, $operator = null, $value = null)
     * @method LessonFile|null get($key, \Closure $default = null)
     * @method LessonFile|null first(callable $callback = null, \Closure $default = null)
     * @method LessonFile|null firstWhere(callable|string $key, $operator = null, $value = null)
     * @method LessonFile|null find($key, $default = null)
     * @method LessonFile[] all()
     */
    class _IH_LessonFile_C extends _BaseCollection {
        /**
         * @param int $size
         * @return LessonFile[][]|Collection<_IH_LessonFile_C>
         */
        public function chunk($size)
        {
            return [];
        }
    }
    
    /**
     * @method _IH_LessonFile_QB whereId($value)
     * @method _IH_LessonFile_QB whereLessonId($value)
     * @method _IH_LessonFile_QB whereLink($value)
     * @method _IH_LessonFile_QB whereVersion($value)
     * @method _IH_LessonFile_QB whereUpdatedBy($value)
     * @method _IH_LessonFile_QB whereSize($value)
     * @method _IH_LessonFile_QB whereType($value)
     * @method _IH_LessonFile_QB whereScormTitle($value)
     * @method _IH_LessonFile_QB whereScormVersion($value)
     * @method _IH_LessonFile_QB whereScormIdentifier($value)
     * @method _IH_LessonFile_QB whereCreatedAt($value)
     * @method _IH_LessonFile_QB whereUpdatedAt($value)
     * @method _IH_LessonFile_QB whereTitle($value)
     * @method LessonFile baseSole(array|string $columns = ['*'])
     * @method LessonFile create(array $attributes = [])
     * @method _IH_LessonFile_C|LessonFile[] cursor()
     * @method LessonFile|null|_IH_LessonFile_C|LessonFile[] find($id, array|string $columns = ['*'])
     * @method _IH_LessonFile_C|LessonFile[] findMany(array|Arrayable $ids, array|string $columns = ['*'])
     * @method LessonFile|_IH_LessonFile_C|LessonFile[] findOr($id, array|\Closure|string $columns = ['*'], \Closure $callback = null)
     * @method LessonFile|_IH_LessonFile_C|LessonFile[] findOrFail($id, array|string $columns = ['*'])
     * @method LessonFile|_IH_LessonFile_C|LessonFile[] findOrNew($id, array|string $columns = ['*'])
     * @method LessonFile first(array|string $columns = ['*'])
     * @method LessonFile firstOr(array|\Closure|string $columns = ['*'], \Closure $callback = null)
     * @method LessonFile firstOrCreate(array $attributes = [], array $values = [])
     * @method LessonFile firstOrFail(array|string $columns = ['*'])
     * @method LessonFile firstOrNew(array $attributes = [], array $values = [])
     * @method LessonFile firstWhere(array|\Closure|Expression|string $column, $operator = null, $value = null, string $boolean = 'and')
     * @method LessonFile forceCreate(array $attributes)
     * @method _IH_LessonFile_C|LessonFile[] fromQuery(string $query, array $bindings = [])
     * @method _IH_LessonFile_C|LessonFile[] get(array|string $columns = ['*'])
     * @method LessonFile getModel()
     * @method LessonFile[] getModels(array|string $columns = ['*'])
     * @method _IH_LessonFile_C|LessonFile[] hydrate(array $items)
     * @method _IH_LessonFile_C|LessonFile[] lazy(int $chunkSize = 1000)
     * @method _IH_LessonFile_C|LessonFile[] lazyById(int $chunkSize = 1000, null|string $column = null, null|string $alias = null)
     * @method _IH_LessonFile_C|LessonFile[] lazyByIdDesc(int $chunkSize = 1000, null|string $column = null, null|string $alias = null)
     * @method LessonFile make(array $attributes = [])
     * @method LessonFile newModelInstance(array $attributes = [])
     * @method LengthAwarePaginator|LessonFile[]|_IH_LessonFile_C paginate(\Closure|int|null $perPage = null, array|string $columns = ['*'], string $pageName = 'page', int|null $page = null)
     * @method Paginator|LessonFile[]|_IH_LessonFile_C simplePaginate(int|null $perPage = null, array|string $columns = ['*'], string $pageName = 'page', int|null $page = null)
     * @method LessonFile sole(array|string $columns = ['*'])
     * @method LessonFile updateOrCreate(array $attributes, array $values = [])
     */
    class _IH_LessonFile_QB extends _BaseBuilder {}
    
    /**
     * @method LessonQuestion|null getOrPut($key, \Closure $value)
     * @method LessonQuestion|$this shift(int $count = 1)
     * @method LessonQuestion|null firstOrFail(callable|string $key = null, $operator = null, $value = null)
     * @method LessonQuestion|$this pop(int $count = 1)
     * @method LessonQuestion|null pull($key, \Closure $default = null)
     * @method LessonQuestion|null last(callable $callback = null, \Closure $default = null)
     * @method LessonQuestion|$this random(callable|int|null $number = null, bool $preserveKeys = false)
     * @method LessonQuestion|null sole(callable|string $key = null, $operator = null, $value = null)
     * @method LessonQuestion|null get($key, \Closure $default = null)
     * @method LessonQuestion|null first(callable $callback = null, \Closure $default = null)
     * @method LessonQuestion|null firstWhere(callable|string $key, $operator = null, $value = null)
     * @method LessonQuestion|null find($key, $default = null)
     * @method LessonQuestion[] all()
     */
    class _IH_LessonQuestion_C extends _BaseCollection {
        /**
         * @param int $size
         * @return LessonQuestion[][]|Collection<_IH_LessonQuestion_C>
         */
        public function chunk($size)
        {
            return [];
        }
    }
    
    /**
     * @method _IH_LessonQuestion_QB whereId($value)
     * @method _IH_LessonQuestion_QB whereText($value)
     * @method _IH_LessonQuestion_QB whereParentId($value)
     * @method _IH_LessonQuestion_QB whereStatus($value)
     * @method _IH_LessonQuestion_QB whereReplied($value)
     * @method _IH_LessonQuestion_QB whereCourseId($value)
     * @method _IH_LessonQuestion_QB whereLessonId($value)
     * @method _IH_LessonQuestion_QB whereUserId($value)
     * @method _IH_LessonQuestion_QB whereCreatedAt($value)
     * @method _IH_LessonQuestion_QB whereUpdatedAt($value)
     * @method LessonQuestion baseSole(array|string $columns = ['*'])
     * @method LessonQuestion create(array $attributes = [])
     * @method _IH_LessonQuestion_C|LessonQuestion[] cursor()
     * @method LessonQuestion|null|_IH_LessonQuestion_C|LessonQuestion[] find($id, array|string $columns = ['*'])
     * @method _IH_LessonQuestion_C|LessonQuestion[] findMany(array|Arrayable $ids, array|string $columns = ['*'])
     * @method LessonQuestion|_IH_LessonQuestion_C|LessonQuestion[] findOr($id, array|\Closure|string $columns = ['*'], \Closure $callback = null)
     * @method LessonQuestion|_IH_LessonQuestion_C|LessonQuestion[] findOrFail($id, array|string $columns = ['*'])
     * @method LessonQuestion|_IH_LessonQuestion_C|LessonQuestion[] findOrNew($id, array|string $columns = ['*'])
     * @method LessonQuestion first(array|string $columns = ['*'])
     * @method LessonQuestion firstOr(array|\Closure|string $columns = ['*'], \Closure $callback = null)
     * @method LessonQuestion firstOrCreate(array $attributes = [], array $values = [])
     * @method LessonQuestion firstOrFail(array|string $columns = ['*'])
     * @method LessonQuestion firstOrNew(array $attributes = [], array $values = [])
     * @method LessonQuestion firstWhere(array|\Closure|Expression|string $column, $operator = null, $value = null, string $boolean = 'and')
     * @method LessonQuestion forceCreate(array $attributes)
     * @method _IH_LessonQuestion_C|LessonQuestion[] fromQuery(string $query, array $bindings = [])
     * @method _IH_LessonQuestion_C|LessonQuestion[] get(array|string $columns = ['*'])
     * @method LessonQuestion getModel()
     * @method LessonQuestion[] getModels(array|string $columns = ['*'])
     * @method _IH_LessonQuestion_C|LessonQuestion[] hydrate(array $items)
     * @method _IH_LessonQuestion_C|LessonQuestion[] lazy(int $chunkSize = 1000)
     * @method _IH_LessonQuestion_C|LessonQuestion[] lazyById(int $chunkSize = 1000, null|string $column = null, null|string $alias = null)
     * @method _IH_LessonQuestion_C|LessonQuestion[] lazyByIdDesc(int $chunkSize = 1000, null|string $column = null, null|string $alias = null)
     * @method LessonQuestion make(array $attributes = [])
     * @method LessonQuestion newModelInstance(array $attributes = [])
     * @method LengthAwarePaginator|LessonQuestion[]|_IH_LessonQuestion_C paginate(\Closure|int|null $perPage = null, array|string $columns = ['*'], string $pageName = 'page', int|null $page = null)
     * @method Paginator|LessonQuestion[]|_IH_LessonQuestion_C simplePaginate(int|null $perPage = null, array|string $columns = ['*'], string $pageName = 'page', int|null $page = null)
     * @method LessonQuestion sole(array|string $columns = ['*'])
     * @method LessonQuestion updateOrCreate(array $attributes, array $values = [])
     */
    class _IH_LessonQuestion_QB extends _BaseBuilder {}
    
    /**
     * @method Lesson|null getOrPut($key, \Closure $value)
     * @method Lesson|$this shift(int $count = 1)
     * @method Lesson|null firstOrFail(callable|string $key = null, $operator = null, $value = null)
     * @method Lesson|$this pop(int $count = 1)
     * @method Lesson|null pull($key, \Closure $default = null)
     * @method Lesson|null last(callable $callback = null, \Closure $default = null)
     * @method Lesson|$this random(callable|int|null $number = null, bool $preserveKeys = false)
     * @method Lesson|null sole(callable|string $key = null, $operator = null, $value = null)
     * @method Lesson|null get($key, \Closure $default = null)
     * @method Lesson|null first(callable $callback = null, \Closure $default = null)
     * @method Lesson|null firstWhere(callable|string $key, $operator = null, $value = null)
     * @method Lesson|null find($key, $default = null)
     * @method Lesson[] all()
     */
    class _IH_Lesson_C extends _BaseCollection {
        /**
         * @param int $size
         * @return Lesson[][]|Collection<_IH_Lesson_C>
         */
        public function chunk($size)
        {
            return [];
        }
    }
    
    /**
     * @method _IH_Lesson_QB whereId($value)
     * @method _IH_Lesson_QB whereCourseId($value)
     * @method _IH_Lesson_QB whereChapterId($value)
     * @method _IH_Lesson_QB whereQuizId($value)
     * @method _IH_Lesson_QB whereName($value)
     * @method _IH_Lesson_QB whereDescription($value)
     * @method _IH_Lesson_QB whereVideoUrl($value)
     * @method _IH_Lesson_QB whereHost($value)
     * @method _IH_Lesson_QB whereDuration($value)
     * @method _IH_Lesson_QB whereIsLock($value)
     * @method _IH_Lesson_QB whereIsQuiz($value)
     * @method _IH_Lesson_QB whereUnlockDate($value)
     * @method _IH_Lesson_QB whereUnlockDays($value)
     * @method _IH_Lesson_QB whereCreatedAt($value)
     * @method _IH_Lesson_QB whereUpdatedAt($value)
     * @method _IH_Lesson_QB wherePosition($value)
     * @method _IH_Lesson_QB whereIsAssignment($value)
     * @method _IH_Lesson_QB whereAssignmentId($value)
     * @method _IH_Lesson_QB whereOldFileSize($value)
     * @method _IH_Lesson_QB whereFileSize($value)
     * @method _IH_Lesson_QB whereScormTitle($value)
     * @method _IH_Lesson_QB whereScormVersion($value)
     * @method _IH_Lesson_QB whereScormIdentifier($value)
     * @method _IH_Lesson_QB whereFileId($value)
     * @method _IH_Lesson_QB whereOrgMaterialId($value)
     * @method _IH_Lesson_QB whereH5pId($value)
     * @method Lesson baseSole(array|string $columns = ['*'])
     * @method Lesson create(array $attributes = [])
     * @method _IH_Lesson_C|Lesson[] cursor()
     * @method Lesson|null|_IH_Lesson_C|Lesson[] find($id, array|string $columns = ['*'])
     * @method _IH_Lesson_C|Lesson[] findMany(array|Arrayable $ids, array|string $columns = ['*'])
     * @method Lesson|_IH_Lesson_C|Lesson[] findOr($id, array|\Closure|string $columns = ['*'], \Closure $callback = null)
     * @method Lesson|_IH_Lesson_C|Lesson[] findOrFail($id, array|string $columns = ['*'])
     * @method Lesson|_IH_Lesson_C|Lesson[] findOrNew($id, array|string $columns = ['*'])
     * @method Lesson first(array|string $columns = ['*'])
     * @method Lesson firstOr(array|\Closure|string $columns = ['*'], \Closure $callback = null)
     * @method Lesson firstOrCreate(array $attributes = [], array $values = [])
     * @method Lesson firstOrFail(array|string $columns = ['*'])
     * @method Lesson firstOrNew(array $attributes = [], array $values = [])
     * @method Lesson firstWhere(array|\Closure|Expression|string $column, $operator = null, $value = null, string $boolean = 'and')
     * @method Lesson forceCreate(array $attributes)
     * @method _IH_Lesson_C|Lesson[] fromQuery(string $query, array $bindings = [])
     * @method _IH_Lesson_C|Lesson[] get(array|string $columns = ['*'])
     * @method Lesson getModel()
     * @method Lesson[] getModels(array|string $columns = ['*'])
     * @method _IH_Lesson_C|Lesson[] hydrate(array $items)
     * @method _IH_Lesson_C|Lesson[] lazy(int $chunkSize = 1000)
     * @method _IH_Lesson_C|Lesson[] lazyById(int $chunkSize = 1000, null|string $column = null, null|string $alias = null)
     * @method _IH_Lesson_C|Lesson[] lazyByIdDesc(int $chunkSize = 1000, null|string $column = null, null|string $alias = null)
     * @method Lesson make(array $attributes = [])
     * @method Lesson newModelInstance(array $attributes = [])
     * @method LengthAwarePaginator|Lesson[]|_IH_Lesson_C paginate(\Closure|int|null $perPage = null, array|string $columns = ['*'], string $pageName = 'page', int|null $page = null)
     * @method Paginator|Lesson[]|_IH_Lesson_C simplePaginate(int|null $perPage = null, array|string $columns = ['*'], string $pageName = 'page', int|null $page = null)
     * @method Lesson sole(array|string $columns = ['*'])
     * @method Lesson updateOrCreate(array $attributes, array $values = [])
     */
    class _IH_Lesson_QB extends _BaseBuilder {}
    
    /**
     * @method Notification|null getOrPut($key, \Closure $value)
     * @method Notification|$this shift(int $count = 1)
     * @method Notification|null firstOrFail(callable|string $key = null, $operator = null, $value = null)
     * @method Notification|$this pop(int $count = 1)
     * @method Notification|null pull($key, \Closure $default = null)
     * @method Notification|null last(callable $callback = null, \Closure $default = null)
     * @method Notification|$this random(callable|int|null $number = null, bool $preserveKeys = false)
     * @method Notification|null sole(callable|string $key = null, $operator = null, $value = null)
     * @method Notification|null get($key, \Closure $default = null)
     * @method Notification|null first(callable $callback = null, \Closure $default = null)
     * @method Notification|null firstWhere(callable|string $key, $operator = null, $value = null)
     * @method Notification|null find($key, $default = null)
     * @method Notification[] all()
     */
    class _IH_Notification_C extends _BaseCollection {
        /**
         * @param int $size
         * @return Notification[][]|Collection<_IH_Notification_C>
         */
        public function chunk($size)
        {
            return [];
        }
    }
    
    /**
     * @method _IH_Notification_QB whereId($value)
     * @method _IH_Notification_QB whereType($value)
     * @method _IH_Notification_QB whereNotifiableId($value)
     * @method _IH_Notification_QB whereNotifiableType($value)
     * @method _IH_Notification_QB whereData($value)
     * @method _IH_Notification_QB whereReadAt($value)
     * @method _IH_Notification_QB whereCourseId($value)
     * @method _IH_Notification_QB whereUserId($value)
     * @method _IH_Notification_QB whereAuthorId($value)
     * @method _IH_Notification_QB whereMessageId($value)
     * @method _IH_Notification_QB whereCourseCommentId($value)
     * @method _IH_Notification_QB whereCourseReviewId($value)
     * @method _IH_Notification_QB whereCourseEnrolledId($value)
     * @method _IH_Notification_QB whereStatus($value)
     * @method _IH_Notification_QB whereCreatedAt($value)
     * @method _IH_Notification_QB whereUpdatedAt($value)
     * @method Notification baseSole(array|string $columns = ['*'])
     * @method Notification create(array $attributes = [])
     * @method _IH_Notification_C|Notification[] cursor()
     * @method Notification|null|_IH_Notification_C|Notification[] find($id, array|string $columns = ['*'])
     * @method _IH_Notification_C|Notification[] findMany(array|Arrayable $ids, array|string $columns = ['*'])
     * @method Notification|_IH_Notification_C|Notification[] findOr($id, array|\Closure|string $columns = ['*'], \Closure $callback = null)
     * @method Notification|_IH_Notification_C|Notification[] findOrFail($id, array|string $columns = ['*'])
     * @method Notification|_IH_Notification_C|Notification[] findOrNew($id, array|string $columns = ['*'])
     * @method Notification first(array|string $columns = ['*'])
     * @method Notification firstOr(array|\Closure|string $columns = ['*'], \Closure $callback = null)
     * @method Notification firstOrCreate(array $attributes = [], array $values = [])
     * @method Notification firstOrFail(array|string $columns = ['*'])
     * @method Notification firstOrNew(array $attributes = [], array $values = [])
     * @method Notification firstWhere(array|\Closure|Expression|string $column, $operator = null, $value = null, string $boolean = 'and')
     * @method Notification forceCreate(array $attributes)
     * @method _IH_Notification_C|Notification[] fromQuery(string $query, array $bindings = [])
     * @method _IH_Notification_C|Notification[] get(array|string $columns = ['*'])
     * @method Notification getModel()
     * @method Notification[] getModels(array|string $columns = ['*'])
     * @method _IH_Notification_C|Notification[] hydrate(array $items)
     * @method _IH_Notification_C|Notification[] lazy(int $chunkSize = 1000)
     * @method _IH_Notification_C|Notification[] lazyById(int $chunkSize = 1000, null|string $column = null, null|string $alias = null)
     * @method _IH_Notification_C|Notification[] lazyByIdDesc(int $chunkSize = 1000, null|string $column = null, null|string $alias = null)
     * @method Notification make(array $attributes = [])
     * @method Notification newModelInstance(array $attributes = [])
     * @method LengthAwarePaginator|Notification[]|_IH_Notification_C paginate(\Closure|int|null $perPage = null, array|string $columns = ['*'], string $pageName = 'page', int|null $page = null)
     * @method Paginator|Notification[]|_IH_Notification_C simplePaginate(int|null $perPage = null, array|string $columns = ['*'], string $pageName = 'page', int|null $page = null)
     * @method Notification sole(array|string $columns = ['*'])
     * @method Notification updateOrCreate(array $attributes, array $values = [])
     */
    class _IH_Notification_QB extends _BaseBuilder {}
    
    /**
     * @method Package|null getOrPut($key, \Closure $value)
     * @method Package|$this shift(int $count = 1)
     * @method Package|null firstOrFail(callable|string $key = null, $operator = null, $value = null)
     * @method Package|$this pop(int $count = 1)
     * @method Package|null pull($key, \Closure $default = null)
     * @method Package|null last(callable $callback = null, \Closure $default = null)
     * @method Package|$this random(callable|int|null $number = null, bool $preserveKeys = false)
     * @method Package|null sole(callable|string $key = null, $operator = null, $value = null)
     * @method Package|null get($key, \Closure $default = null)
     * @method Package|null first(callable $callback = null, \Closure $default = null)
     * @method Package|null firstWhere(callable|string $key, $operator = null, $value = null)
     * @method Package|null find($key, $default = null)
     * @method Package[] all()
     */
    class _IH_Package_C extends _BaseCollection {
        /**
         * @param int $size
         * @return Package[][]|Collection<_IH_Package_C>
         */
        public function chunk($size)
        {
            return [];
        }
    }
    
    /**
     * @method Package baseSole(array|string $columns = ['*'])
     * @method Package create(array $attributes = [])
     * @method _IH_Package_C|Package[] cursor()
     * @method Package|null|_IH_Package_C|Package[] find($id, array|string $columns = ['*'])
     * @method _IH_Package_C|Package[] findMany(array|Arrayable $ids, array|string $columns = ['*'])
     * @method Package|_IH_Package_C|Package[] findOr($id, array|\Closure|string $columns = ['*'], \Closure $callback = null)
     * @method Package|_IH_Package_C|Package[] findOrFail($id, array|string $columns = ['*'])
     * @method Package|_IH_Package_C|Package[] findOrNew($id, array|string $columns = ['*'])
     * @method Package first(array|string $columns = ['*'])
     * @method Package firstOr(array|\Closure|string $columns = ['*'], \Closure $callback = null)
     * @method Package firstOrCreate(array $attributes = [], array $values = [])
     * @method Package firstOrFail(array|string $columns = ['*'])
     * @method Package firstOrNew(array $attributes = [], array $values = [])
     * @method Package firstWhere(array|\Closure|Expression|string $column, $operator = null, $value = null, string $boolean = 'and')
     * @method Package forceCreate(array $attributes)
     * @method _IH_Package_C|Package[] fromQuery(string $query, array $bindings = [])
     * @method _IH_Package_C|Package[] get(array|string $columns = ['*'])
     * @method Package getModel()
     * @method Package[] getModels(array|string $columns = ['*'])
     * @method _IH_Package_C|Package[] hydrate(array $items)
     * @method _IH_Package_C|Package[] lazy(int $chunkSize = 1000)
     * @method _IH_Package_C|Package[] lazyById(int $chunkSize = 1000, null|string $column = null, null|string $alias = null)
     * @method _IH_Package_C|Package[] lazyByIdDesc(int $chunkSize = 1000, null|string $column = null, null|string $alias = null)
     * @method Package make(array $attributes = [])
     * @method Package newModelInstance(array $attributes = [])
     * @method LengthAwarePaginator|Package[]|_IH_Package_C paginate(\Closure|int|null $perPage = null, array|string $columns = ['*'], string $pageName = 'page', int|null $page = null)
     * @method Paginator|Package[]|_IH_Package_C simplePaginate(int|null $perPage = null, array|string $columns = ['*'], string $pageName = 'page', int|null $page = null)
     * @method Package sole(array|string $columns = ['*'])
     * @method Package updateOrCreate(array $attributes, array $values = [])
     */
    class _IH_Package_QB extends _BaseBuilder {}
    
    /**
     * @method SchoolSubject|null getOrPut($key, \Closure $value)
     * @method SchoolSubject|$this shift(int $count = 1)
     * @method SchoolSubject|null firstOrFail(callable|string $key = null, $operator = null, $value = null)
     * @method SchoolSubject|$this pop(int $count = 1)
     * @method SchoolSubject|null pull($key, \Closure $default = null)
     * @method SchoolSubject|null last(callable $callback = null, \Closure $default = null)
     * @method SchoolSubject|$this random(callable|int|null $number = null, bool $preserveKeys = false)
     * @method SchoolSubject|null sole(callable|string $key = null, $operator = null, $value = null)
     * @method SchoolSubject|null get($key, \Closure $default = null)
     * @method SchoolSubject|null first(callable $callback = null, \Closure $default = null)
     * @method SchoolSubject|null firstWhere(callable|string $key, $operator = null, $value = null)
     * @method SchoolSubject|null find($key, $default = null)
     * @method SchoolSubject[] all()
     */
    class _IH_SchoolSubject_C extends _BaseCollection {
        /**
         * @param int $size
         * @return SchoolSubject[][]|Collection<_IH_SchoolSubject_C>
         */
        public function chunk($size)
        {
            return [];
        }
    }
    
    /**
     * @method _IH_SchoolSubject_QB whereId($value)
     * @method _IH_SchoolSubject_QB whereName($value)
     * @method _IH_SchoolSubject_QB whereStatus($value)
     * @method _IH_SchoolSubject_QB whereOrder($value)
     * @method _IH_SchoolSubject_QB whereCreatedAt($value)
     * @method _IH_SchoolSubject_QB whereUpdatedAt($value)
     * @method SchoolSubject baseSole(array|string $columns = ['*'])
     * @method SchoolSubject create(array $attributes = [])
     * @method _IH_SchoolSubject_C|SchoolSubject[] cursor()
     * @method SchoolSubject|null|_IH_SchoolSubject_C|SchoolSubject[] find($id, array|string $columns = ['*'])
     * @method _IH_SchoolSubject_C|SchoolSubject[] findMany(array|Arrayable $ids, array|string $columns = ['*'])
     * @method SchoolSubject|_IH_SchoolSubject_C|SchoolSubject[] findOr($id, array|\Closure|string $columns = ['*'], \Closure $callback = null)
     * @method SchoolSubject|_IH_SchoolSubject_C|SchoolSubject[] findOrFail($id, array|string $columns = ['*'])
     * @method SchoolSubject|_IH_SchoolSubject_C|SchoolSubject[] findOrNew($id, array|string $columns = ['*'])
     * @method SchoolSubject first(array|string $columns = ['*'])
     * @method SchoolSubject firstOr(array|\Closure|string $columns = ['*'], \Closure $callback = null)
     * @method SchoolSubject firstOrCreate(array $attributes = [], array $values = [])
     * @method SchoolSubject firstOrFail(array|string $columns = ['*'])
     * @method SchoolSubject firstOrNew(array $attributes = [], array $values = [])
     * @method SchoolSubject firstWhere(array|\Closure|Expression|string $column, $operator = null, $value = null, string $boolean = 'and')
     * @method SchoolSubject forceCreate(array $attributes)
     * @method _IH_SchoolSubject_C|SchoolSubject[] fromQuery(string $query, array $bindings = [])
     * @method _IH_SchoolSubject_C|SchoolSubject[] get(array|string $columns = ['*'])
     * @method SchoolSubject getModel()
     * @method SchoolSubject[] getModels(array|string $columns = ['*'])
     * @method _IH_SchoolSubject_C|SchoolSubject[] hydrate(array $items)
     * @method _IH_SchoolSubject_C|SchoolSubject[] lazy(int $chunkSize = 1000)
     * @method _IH_SchoolSubject_C|SchoolSubject[] lazyById(int $chunkSize = 1000, null|string $column = null, null|string $alias = null)
     * @method _IH_SchoolSubject_C|SchoolSubject[] lazyByIdDesc(int $chunkSize = 1000, null|string $column = null, null|string $alias = null)
     * @method SchoolSubject make(array $attributes = [])
     * @method SchoolSubject newModelInstance(array $attributes = [])
     * @method LengthAwarePaginator|SchoolSubject[]|_IH_SchoolSubject_C paginate(\Closure|int|null $perPage = null, array|string $columns = ['*'], string $pageName = 'page', int|null $page = null)
     * @method Paginator|SchoolSubject[]|_IH_SchoolSubject_C simplePaginate(int|null $perPage = null, array|string $columns = ['*'], string $pageName = 'page', int|null $page = null)
     * @method SchoolSubject sole(array|string $columns = ['*'])
     * @method SchoolSubject updateOrCreate(array $attributes, array $values = [])
     */
    class _IH_SchoolSubject_QB extends _BaseBuilder {}
    
    /**
     * @method SubCategory|null getOrPut($key, \Closure $value)
     * @method SubCategory|$this shift(int $count = 1)
     * @method SubCategory|null firstOrFail(callable|string $key = null, $operator = null, $value = null)
     * @method SubCategory|$this pop(int $count = 1)
     * @method SubCategory|null pull($key, \Closure $default = null)
     * @method SubCategory|null last(callable $callback = null, \Closure $default = null)
     * @method SubCategory|$this random(callable|int|null $number = null, bool $preserveKeys = false)
     * @method SubCategory|null sole(callable|string $key = null, $operator = null, $value = null)
     * @method SubCategory|null get($key, \Closure $default = null)
     * @method SubCategory|null first(callable $callback = null, \Closure $default = null)
     * @method SubCategory|null firstWhere(callable|string $key, $operator = null, $value = null)
     * @method SubCategory|null find($key, $default = null)
     * @method SubCategory[] all()
     */
    class _IH_SubCategory_C extends _BaseCollection {
        /**
         * @param int $size
         * @return SubCategory[][]|Collection<_IH_SubCategory_C>
         */
        public function chunk($size)
        {
            return [];
        }
    }
    
    /**
     * @method _IH_SubCategory_QB whereId($value)
     * @method _IH_SubCategory_QB whereCategoryId($value)
     * @method _IH_SubCategory_QB whereName($value)
     * @method _IH_SubCategory_QB whereImage($value)
     * @method _IH_SubCategory_QB whereStatus($value)
     * @method _IH_SubCategory_QB whereShowHome($value)
     * @method _IH_SubCategory_QB wherePositionOrder($value)
     * @method _IH_SubCategory_QB whereCreatedAt($value)
     * @method _IH_SubCategory_QB whereUpdatedAt($value)
     * @method SubCategory baseSole(array|string $columns = ['*'])
     * @method SubCategory create(array $attributes = [])
     * @method _IH_SubCategory_C|SubCategory[] cursor()
     * @method SubCategory|null|_IH_SubCategory_C|SubCategory[] find($id, array|string $columns = ['*'])
     * @method _IH_SubCategory_C|SubCategory[] findMany(array|Arrayable $ids, array|string $columns = ['*'])
     * @method SubCategory|_IH_SubCategory_C|SubCategory[] findOr($id, array|\Closure|string $columns = ['*'], \Closure $callback = null)
     * @method SubCategory|_IH_SubCategory_C|SubCategory[] findOrFail($id, array|string $columns = ['*'])
     * @method SubCategory|_IH_SubCategory_C|SubCategory[] findOrNew($id, array|string $columns = ['*'])
     * @method SubCategory first(array|string $columns = ['*'])
     * @method SubCategory firstOr(array|\Closure|string $columns = ['*'], \Closure $callback = null)
     * @method SubCategory firstOrCreate(array $attributes = [], array $values = [])
     * @method SubCategory firstOrFail(array|string $columns = ['*'])
     * @method SubCategory firstOrNew(array $attributes = [], array $values = [])
     * @method SubCategory firstWhere(array|\Closure|Expression|string $column, $operator = null, $value = null, string $boolean = 'and')
     * @method SubCategory forceCreate(array $attributes)
     * @method _IH_SubCategory_C|SubCategory[] fromQuery(string $query, array $bindings = [])
     * @method _IH_SubCategory_C|SubCategory[] get(array|string $columns = ['*'])
     * @method SubCategory getModel()
     * @method SubCategory[] getModels(array|string $columns = ['*'])
     * @method _IH_SubCategory_C|SubCategory[] hydrate(array $items)
     * @method _IH_SubCategory_C|SubCategory[] lazy(int $chunkSize = 1000)
     * @method _IH_SubCategory_C|SubCategory[] lazyById(int $chunkSize = 1000, null|string $column = null, null|string $alias = null)
     * @method _IH_SubCategory_C|SubCategory[] lazyByIdDesc(int $chunkSize = 1000, null|string $column = null, null|string $alias = null)
     * @method SubCategory make(array $attributes = [])
     * @method SubCategory newModelInstance(array $attributes = [])
     * @method LengthAwarePaginator|SubCategory[]|_IH_SubCategory_C paginate(\Closure|int|null $perPage = null, array|string $columns = ['*'], string $pageName = 'page', int|null $page = null)
     * @method Paginator|SubCategory[]|_IH_SubCategory_C simplePaginate(int|null $perPage = null, array|string $columns = ['*'], string $pageName = 'page', int|null $page = null)
     * @method SubCategory sole(array|string $columns = ['*'])
     * @method SubCategory updateOrCreate(array $attributes, array $values = [])
     */
    class _IH_SubCategory_QB extends _BaseBuilder {}
}