<?php //16066ec3b5898251afa7266b8e0a2c04
/** @noinspection all */

namespace LaravelIdea\Helper\Modules\LmsSaas\Entities {

    use Illuminate\Contracts\Database\Query\Expression;
    use Illuminate\Contracts\Support\Arrayable;
    use Illuminate\Pagination\LengthAwarePaginator;
    use Illuminate\Pagination\Paginator;
    use Illuminate\Support\Collection;
    use LaravelIdea\Helper\_BaseBuilder;
    use LaravelIdea\Helper\_BaseCollection;
    use Modules\LmsSaas\Entities\SaasCart;
    use Modules\LmsSaas\Entities\SaasCheckout;
    use Modules\LmsSaas\Entities\SaasInstitutePlanManagement;
    use Modules\LmsSaas\Entities\SaasInstitutePlanPurchase;
    use Modules\LmsSaas\Entities\SaasPlan;
    
    /**
     * @method SaasCart|null getOrPut($key, \Closure $value)
     * @method SaasCart|$this shift(int $count = 1)
     * @method SaasCart|null firstOrFail(callable|string $key = null, $operator = null, $value = null)
     * @method SaasCart|$this pop(int $count = 1)
     * @method SaasCart|null pull($key, \Closure $default = null)
     * @method SaasCart|null last(callable $callback = null, \Closure $default = null)
     * @method SaasCart|$this random(callable|int|null $number = null, bool $preserveKeys = false)
     * @method SaasCart|null sole(callable|string $key = null, $operator = null, $value = null)
     * @method SaasCart|null get($key, \Closure $default = null)
     * @method SaasCart|null first(callable $callback = null, \Closure $default = null)
     * @method SaasCart|null firstWhere(callable|string $key, $operator = null, $value = null)
     * @method SaasCart|null find($key, $default = null)
     * @method SaasCart[] all()
     */
    class _IH_SaasCart_C extends _BaseCollection {
        /**
         * @param int $size
         * @return SaasCart[][]|Collection<_IH_SaasCart_C>
         */
        public function chunk($size)
        {
            return [];
        }
    }
    
    /**
     * @method _IH_SaasCart_QB whereId($value)
     * @method _IH_SaasCart_QB whereUserId($value)
     * @method _IH_SaasCart_QB wherePlanId($value)
     * @method _IH_SaasCart_QB wherePrice($value)
     * @method _IH_SaasCart_QB whereDays($value)
     * @method _IH_SaasCart_QB whereTracking($value)
     * @method _IH_SaasCart_QB whereBillingDetailId($value)
     * @method _IH_SaasCart_QB whereCreatedAt($value)
     * @method _IH_SaasCart_QB whereUpdatedAt($value)
     * @method SaasCart baseSole(array|string $columns = ['*'])
     * @method SaasCart create(array $attributes = [])
     * @method _IH_SaasCart_C|SaasCart[] cursor()
     * @method SaasCart|null|_IH_SaasCart_C|SaasCart[] find($id, array|string $columns = ['*'])
     * @method _IH_SaasCart_C|SaasCart[] findMany(array|Arrayable $ids, array|string $columns = ['*'])
     * @method SaasCart|_IH_SaasCart_C|SaasCart[] findOr($id, array|\Closure|string $columns = ['*'], \Closure $callback = null)
     * @method SaasCart|_IH_SaasCart_C|SaasCart[] findOrFail($id, array|string $columns = ['*'])
     * @method SaasCart|_IH_SaasCart_C|SaasCart[] findOrNew($id, array|string $columns = ['*'])
     * @method SaasCart first(array|string $columns = ['*'])
     * @method SaasCart firstOr(array|\Closure|string $columns = ['*'], \Closure $callback = null)
     * @method SaasCart firstOrCreate(array $attributes = [], array $values = [])
     * @method SaasCart firstOrFail(array|string $columns = ['*'])
     * @method SaasCart firstOrNew(array $attributes = [], array $values = [])
     * @method SaasCart firstWhere(array|\Closure|Expression|string $column, $operator = null, $value = null, string $boolean = 'and')
     * @method SaasCart forceCreate(array $attributes)
     * @method _IH_SaasCart_C|SaasCart[] fromQuery(string $query, array $bindings = [])
     * @method _IH_SaasCart_C|SaasCart[] get(array|string $columns = ['*'])
     * @method SaasCart getModel()
     * @method SaasCart[] getModels(array|string $columns = ['*'])
     * @method _IH_SaasCart_C|SaasCart[] hydrate(array $items)
     * @method _IH_SaasCart_C|SaasCart[] lazy(int $chunkSize = 1000)
     * @method _IH_SaasCart_C|SaasCart[] lazyById(int $chunkSize = 1000, null|string $column = null, null|string $alias = null)
     * @method _IH_SaasCart_C|SaasCart[] lazyByIdDesc(int $chunkSize = 1000, null|string $column = null, null|string $alias = null)
     * @method SaasCart make(array $attributes = [])
     * @method SaasCart newModelInstance(array $attributes = [])
     * @method LengthAwarePaginator|SaasCart[]|_IH_SaasCart_C paginate(\Closure|int|null $perPage = null, array|string $columns = ['*'], string $pageName = 'page', int|null $page = null)
     * @method Paginator|SaasCart[]|_IH_SaasCart_C simplePaginate(int|null $perPage = null, array|string $columns = ['*'], string $pageName = 'page', int|null $page = null)
     * @method SaasCart sole(array|string $columns = ['*'])
     * @method SaasCart updateOrCreate(array $attributes, array $values = [])
     */
    class _IH_SaasCart_QB extends _BaseBuilder {}
    
    /**
     * @method SaasCheckout|null getOrPut($key, \Closure $value)
     * @method SaasCheckout|$this shift(int $count = 1)
     * @method SaasCheckout|null firstOrFail(callable|string $key = null, $operator = null, $value = null)
     * @method SaasCheckout|$this pop(int $count = 1)
     * @method SaasCheckout|null pull($key, \Closure $default = null)
     * @method SaasCheckout|null last(callable $callback = null, \Closure $default = null)
     * @method SaasCheckout|$this random(callable|int|null $number = null, bool $preserveKeys = false)
     * @method SaasCheckout|null sole(callable|string $key = null, $operator = null, $value = null)
     * @method SaasCheckout|null get($key, \Closure $default = null)
     * @method SaasCheckout|null first(callable $callback = null, \Closure $default = null)
     * @method SaasCheckout|null firstWhere(callable|string $key, $operator = null, $value = null)
     * @method SaasCheckout|null find($key, $default = null)
     * @method SaasCheckout[] all()
     */
    class _IH_SaasCheckout_C extends _BaseCollection {
        /**
         * @param int $size
         * @return SaasCheckout[][]|Collection<_IH_SaasCheckout_C>
         */
        public function chunk($size)
        {
            return [];
        }
    }
    
    /**
     * @method _IH_SaasCheckout_QB whereId($value)
     * @method _IH_SaasCheckout_QB whereBillingDetailId($value)
     * @method _IH_SaasCheckout_QB whereTracking($value)
     * @method _IH_SaasCheckout_QB whereUserId($value)
     * @method _IH_SaasCheckout_QB whereLmsId($value)
     * @method _IH_SaasCheckout_QB wherePlanId($value)
     * @method _IH_SaasCheckout_QB wherePrice($value)
     * @method _IH_SaasCheckout_QB whereStartDate($value)
     * @method _IH_SaasCheckout_QB whereEndDate($value)
     * @method _IH_SaasCheckout_QB whereDays($value)
     * @method _IH_SaasCheckout_QB wherePaymentMethod($value)
     * @method _IH_SaasCheckout_QB whereResponse($value)
     * @method _IH_SaasCheckout_QB whereStatus($value)
     * @method _IH_SaasCheckout_QB whereCreatedAt($value)
     * @method _IH_SaasCheckout_QB whereUpdatedAt($value)
     * @method SaasCheckout baseSole(array|string $columns = ['*'])
     * @method SaasCheckout create(array $attributes = [])
     * @method _IH_SaasCheckout_C|SaasCheckout[] cursor()
     * @method SaasCheckout|null|_IH_SaasCheckout_C|SaasCheckout[] find($id, array|string $columns = ['*'])
     * @method _IH_SaasCheckout_C|SaasCheckout[] findMany(array|Arrayable $ids, array|string $columns = ['*'])
     * @method SaasCheckout|_IH_SaasCheckout_C|SaasCheckout[] findOr($id, array|\Closure|string $columns = ['*'], \Closure $callback = null)
     * @method SaasCheckout|_IH_SaasCheckout_C|SaasCheckout[] findOrFail($id, array|string $columns = ['*'])
     * @method SaasCheckout|_IH_SaasCheckout_C|SaasCheckout[] findOrNew($id, array|string $columns = ['*'])
     * @method SaasCheckout first(array|string $columns = ['*'])
     * @method SaasCheckout firstOr(array|\Closure|string $columns = ['*'], \Closure $callback = null)
     * @method SaasCheckout firstOrCreate(array $attributes = [], array $values = [])
     * @method SaasCheckout firstOrFail(array|string $columns = ['*'])
     * @method SaasCheckout firstOrNew(array $attributes = [], array $values = [])
     * @method SaasCheckout firstWhere(array|\Closure|Expression|string $column, $operator = null, $value = null, string $boolean = 'and')
     * @method SaasCheckout forceCreate(array $attributes)
     * @method _IH_SaasCheckout_C|SaasCheckout[] fromQuery(string $query, array $bindings = [])
     * @method _IH_SaasCheckout_C|SaasCheckout[] get(array|string $columns = ['*'])
     * @method SaasCheckout getModel()
     * @method SaasCheckout[] getModels(array|string $columns = ['*'])
     * @method _IH_SaasCheckout_C|SaasCheckout[] hydrate(array $items)
     * @method _IH_SaasCheckout_C|SaasCheckout[] lazy(int $chunkSize = 1000)
     * @method _IH_SaasCheckout_C|SaasCheckout[] lazyById(int $chunkSize = 1000, null|string $column = null, null|string $alias = null)
     * @method _IH_SaasCheckout_C|SaasCheckout[] lazyByIdDesc(int $chunkSize = 1000, null|string $column = null, null|string $alias = null)
     * @method SaasCheckout make(array $attributes = [])
     * @method SaasCheckout newModelInstance(array $attributes = [])
     * @method LengthAwarePaginator|SaasCheckout[]|_IH_SaasCheckout_C paginate(\Closure|int|null $perPage = null, array|string $columns = ['*'], string $pageName = 'page', int|null $page = null)
     * @method Paginator|SaasCheckout[]|_IH_SaasCheckout_C simplePaginate(int|null $perPage = null, array|string $columns = ['*'], string $pageName = 'page', int|null $page = null)
     * @method SaasCheckout sole(array|string $columns = ['*'])
     * @method SaasCheckout updateOrCreate(array $attributes, array $values = [])
     */
    class _IH_SaasCheckout_QB extends _BaseBuilder {}
    
    /**
     * @method SaasInstitutePlanManagement|null getOrPut($key, \Closure $value)
     * @method SaasInstitutePlanManagement|$this shift(int $count = 1)
     * @method SaasInstitutePlanManagement|null firstOrFail(callable|string $key = null, $operator = null, $value = null)
     * @method SaasInstitutePlanManagement|$this pop(int $count = 1)
     * @method SaasInstitutePlanManagement|null pull($key, \Closure $default = null)
     * @method SaasInstitutePlanManagement|null last(callable $callback = null, \Closure $default = null)
     * @method SaasInstitutePlanManagement|$this random(callable|int|null $number = null, bool $preserveKeys = false)
     * @method SaasInstitutePlanManagement|null sole(callable|string $key = null, $operator = null, $value = null)
     * @method SaasInstitutePlanManagement|null get($key, \Closure $default = null)
     * @method SaasInstitutePlanManagement|null first(callable $callback = null, \Closure $default = null)
     * @method SaasInstitutePlanManagement|null firstWhere(callable|string $key, $operator = null, $value = null)
     * @method SaasInstitutePlanManagement|null find($key, $default = null)
     * @method SaasInstitutePlanManagement[] all()
     */
    class _IH_SaasInstitutePlanManagement_C extends _BaseCollection {
        /**
         * @param int $size
         * @return SaasInstitutePlanManagement[][]|Collection<_IH_SaasInstitutePlanManagement_C>
         */
        public function chunk($size)
        {
            return [];
        }
    }
    
    /**
     * @method _IH_SaasInstitutePlanManagement_QB whereId($value)
     * @method _IH_SaasInstitutePlanManagement_QB whereLmsId($value)
     * @method _IH_SaasInstitutePlanManagement_QB whereCourse($value)
     * @method _IH_SaasInstitutePlanManagement_QB whereStudent($value)
     * @method _IH_SaasInstitutePlanManagement_QB whereInstructor($value)
     * @method _IH_SaasInstitutePlanManagement_QB whereMeeting($value)
     * @method _IH_SaasInstitutePlanManagement_QB whereUploadLimit($value)
     * @method _IH_SaasInstitutePlanManagement_QB whereQuiz($value)
     * @method _IH_SaasInstitutePlanManagement_QB whereBlogPost($value)
     * @method _IH_SaasInstitutePlanManagement_QB whereNewsletter($value)
     * @method _IH_SaasInstitutePlanManagement_QB wherePurchaseDate($value)
     * @method _IH_SaasInstitutePlanManagement_QB whereServiceEndDate($value)
     * @method _IH_SaasInstitutePlanManagement_QB whereValidity($value)
     * @method _IH_SaasInstitutePlanManagement_QB whereUnlimited($value)
     * @method _IH_SaasInstitutePlanManagement_QB whereCreatedAt($value)
     * @method _IH_SaasInstitutePlanManagement_QB whereUpdatedAt($value)
     * @method _IH_SaasInstitutePlanManagement_QB whereCourseAccess($value)
     * @method _IH_SaasInstitutePlanManagement_QB whereStudentAccess($value)
     * @method _IH_SaasInstitutePlanManagement_QB whereInstructorAccess($value)
     * @method _IH_SaasInstitutePlanManagement_QB whereMeetingAccess($value)
     * @method _IH_SaasInstitutePlanManagement_QB whereQuizAccess($value)
     * @method _IH_SaasInstitutePlanManagement_QB whereBlogAccess($value)
     * @method _IH_SaasInstitutePlanManagement_QB whereNewsletterAccess($value)
     * @method SaasInstitutePlanManagement baseSole(array|string $columns = ['*'])
     * @method SaasInstitutePlanManagement create(array $attributes = [])
     * @method _IH_SaasInstitutePlanManagement_C|SaasInstitutePlanManagement[] cursor()
     * @method SaasInstitutePlanManagement|null|_IH_SaasInstitutePlanManagement_C|SaasInstitutePlanManagement[] find($id, array|string $columns = ['*'])
     * @method _IH_SaasInstitutePlanManagement_C|SaasInstitutePlanManagement[] findMany(array|Arrayable $ids, array|string $columns = ['*'])
     * @method SaasInstitutePlanManagement|_IH_SaasInstitutePlanManagement_C|SaasInstitutePlanManagement[] findOr($id, array|\Closure|string $columns = ['*'], \Closure $callback = null)
     * @method SaasInstitutePlanManagement|_IH_SaasInstitutePlanManagement_C|SaasInstitutePlanManagement[] findOrFail($id, array|string $columns = ['*'])
     * @method SaasInstitutePlanManagement|_IH_SaasInstitutePlanManagement_C|SaasInstitutePlanManagement[] findOrNew($id, array|string $columns = ['*'])
     * @method SaasInstitutePlanManagement first(array|string $columns = ['*'])
     * @method SaasInstitutePlanManagement firstOr(array|\Closure|string $columns = ['*'], \Closure $callback = null)
     * @method SaasInstitutePlanManagement firstOrCreate(array $attributes = [], array $values = [])
     * @method SaasInstitutePlanManagement firstOrFail(array|string $columns = ['*'])
     * @method SaasInstitutePlanManagement firstOrNew(array $attributes = [], array $values = [])
     * @method SaasInstitutePlanManagement firstWhere(array|\Closure|Expression|string $column, $operator = null, $value = null, string $boolean = 'and')
     * @method SaasInstitutePlanManagement forceCreate(array $attributes)
     * @method _IH_SaasInstitutePlanManagement_C|SaasInstitutePlanManagement[] fromQuery(string $query, array $bindings = [])
     * @method _IH_SaasInstitutePlanManagement_C|SaasInstitutePlanManagement[] get(array|string $columns = ['*'])
     * @method SaasInstitutePlanManagement getModel()
     * @method SaasInstitutePlanManagement[] getModels(array|string $columns = ['*'])
     * @method _IH_SaasInstitutePlanManagement_C|SaasInstitutePlanManagement[] hydrate(array $items)
     * @method _IH_SaasInstitutePlanManagement_C|SaasInstitutePlanManagement[] lazy(int $chunkSize = 1000)
     * @method _IH_SaasInstitutePlanManagement_C|SaasInstitutePlanManagement[] lazyById(int $chunkSize = 1000, null|string $column = null, null|string $alias = null)
     * @method _IH_SaasInstitutePlanManagement_C|SaasInstitutePlanManagement[] lazyByIdDesc(int $chunkSize = 1000, null|string $column = null, null|string $alias = null)
     * @method SaasInstitutePlanManagement make(array $attributes = [])
     * @method SaasInstitutePlanManagement newModelInstance(array $attributes = [])
     * @method LengthAwarePaginator|SaasInstitutePlanManagement[]|_IH_SaasInstitutePlanManagement_C paginate(\Closure|int|null $perPage = null, array|string $columns = ['*'], string $pageName = 'page', int|null $page = null)
     * @method Paginator|SaasInstitutePlanManagement[]|_IH_SaasInstitutePlanManagement_C simplePaginate(int|null $perPage = null, array|string $columns = ['*'], string $pageName = 'page', int|null $page = null)
     * @method SaasInstitutePlanManagement sole(array|string $columns = ['*'])
     * @method SaasInstitutePlanManagement updateOrCreate(array $attributes, array $values = [])
     */
    class _IH_SaasInstitutePlanManagement_QB extends _BaseBuilder {}
    
    /**
     * @method SaasInstitutePlanPurchase|null getOrPut($key, \Closure $value)
     * @method SaasInstitutePlanPurchase|$this shift(int $count = 1)
     * @method SaasInstitutePlanPurchase|null firstOrFail(callable|string $key = null, $operator = null, $value = null)
     * @method SaasInstitutePlanPurchase|$this pop(int $count = 1)
     * @method SaasInstitutePlanPurchase|null pull($key, \Closure $default = null)
     * @method SaasInstitutePlanPurchase|null last(callable $callback = null, \Closure $default = null)
     * @method SaasInstitutePlanPurchase|$this random(callable|int|null $number = null, bool $preserveKeys = false)
     * @method SaasInstitutePlanPurchase|null sole(callable|string $key = null, $operator = null, $value = null)
     * @method SaasInstitutePlanPurchase|null get($key, \Closure $default = null)
     * @method SaasInstitutePlanPurchase|null first(callable $callback = null, \Closure $default = null)
     * @method SaasInstitutePlanPurchase|null firstWhere(callable|string $key, $operator = null, $value = null)
     * @method SaasInstitutePlanPurchase|null find($key, $default = null)
     * @method SaasInstitutePlanPurchase[] all()
     */
    class _IH_SaasInstitutePlanPurchase_C extends _BaseCollection {
        /**
         * @param int $size
         * @return SaasInstitutePlanPurchase[][]|Collection<_IH_SaasInstitutePlanPurchase_C>
         */
        public function chunk($size)
        {
            return [];
        }
    }
    
    /**
     * @method _IH_SaasInstitutePlanPurchase_QB whereId($value)
     * @method _IH_SaasInstitutePlanPurchase_QB whereLmsId($value)
     * @method _IH_SaasInstitutePlanPurchase_QB wherePlanId($value)
     * @method _IH_SaasInstitutePlanPurchase_QB wherePurchasePrice($value)
     * @method _IH_SaasInstitutePlanPurchase_QB wherePurchaseDate($value)
     * @method _IH_SaasInstitutePlanPurchase_QB whereCreatedAt($value)
     * @method _IH_SaasInstitutePlanPurchase_QB whereUpdatedAt($value)
     * @method SaasInstitutePlanPurchase baseSole(array|string $columns = ['*'])
     * @method SaasInstitutePlanPurchase create(array $attributes = [])
     * @method _IH_SaasInstitutePlanPurchase_C|SaasInstitutePlanPurchase[] cursor()
     * @method SaasInstitutePlanPurchase|null|_IH_SaasInstitutePlanPurchase_C|SaasInstitutePlanPurchase[] find($id, array|string $columns = ['*'])
     * @method _IH_SaasInstitutePlanPurchase_C|SaasInstitutePlanPurchase[] findMany(array|Arrayable $ids, array|string $columns = ['*'])
     * @method SaasInstitutePlanPurchase|_IH_SaasInstitutePlanPurchase_C|SaasInstitutePlanPurchase[] findOr($id, array|\Closure|string $columns = ['*'], \Closure $callback = null)
     * @method SaasInstitutePlanPurchase|_IH_SaasInstitutePlanPurchase_C|SaasInstitutePlanPurchase[] findOrFail($id, array|string $columns = ['*'])
     * @method SaasInstitutePlanPurchase|_IH_SaasInstitutePlanPurchase_C|SaasInstitutePlanPurchase[] findOrNew($id, array|string $columns = ['*'])
     * @method SaasInstitutePlanPurchase first(array|string $columns = ['*'])
     * @method SaasInstitutePlanPurchase firstOr(array|\Closure|string $columns = ['*'], \Closure $callback = null)
     * @method SaasInstitutePlanPurchase firstOrCreate(array $attributes = [], array $values = [])
     * @method SaasInstitutePlanPurchase firstOrFail(array|string $columns = ['*'])
     * @method SaasInstitutePlanPurchase firstOrNew(array $attributes = [], array $values = [])
     * @method SaasInstitutePlanPurchase firstWhere(array|\Closure|Expression|string $column, $operator = null, $value = null, string $boolean = 'and')
     * @method SaasInstitutePlanPurchase forceCreate(array $attributes)
     * @method _IH_SaasInstitutePlanPurchase_C|SaasInstitutePlanPurchase[] fromQuery(string $query, array $bindings = [])
     * @method _IH_SaasInstitutePlanPurchase_C|SaasInstitutePlanPurchase[] get(array|string $columns = ['*'])
     * @method SaasInstitutePlanPurchase getModel()
     * @method SaasInstitutePlanPurchase[] getModels(array|string $columns = ['*'])
     * @method _IH_SaasInstitutePlanPurchase_C|SaasInstitutePlanPurchase[] hydrate(array $items)
     * @method _IH_SaasInstitutePlanPurchase_C|SaasInstitutePlanPurchase[] lazy(int $chunkSize = 1000)
     * @method _IH_SaasInstitutePlanPurchase_C|SaasInstitutePlanPurchase[] lazyById(int $chunkSize = 1000, null|string $column = null, null|string $alias = null)
     * @method _IH_SaasInstitutePlanPurchase_C|SaasInstitutePlanPurchase[] lazyByIdDesc(int $chunkSize = 1000, null|string $column = null, null|string $alias = null)
     * @method SaasInstitutePlanPurchase make(array $attributes = [])
     * @method SaasInstitutePlanPurchase newModelInstance(array $attributes = [])
     * @method LengthAwarePaginator|SaasInstitutePlanPurchase[]|_IH_SaasInstitutePlanPurchase_C paginate(\Closure|int|null $perPage = null, array|string $columns = ['*'], string $pageName = 'page', int|null $page = null)
     * @method Paginator|SaasInstitutePlanPurchase[]|_IH_SaasInstitutePlanPurchase_C simplePaginate(int|null $perPage = null, array|string $columns = ['*'], string $pageName = 'page', int|null $page = null)
     * @method SaasInstitutePlanPurchase sole(array|string $columns = ['*'])
     * @method SaasInstitutePlanPurchase updateOrCreate(array $attributes, array $values = [])
     */
    class _IH_SaasInstitutePlanPurchase_QB extends _BaseBuilder {}
    
    /**
     * @method SaasPlan|null getOrPut($key, \Closure $value)
     * @method SaasPlan|$this shift(int $count = 1)
     * @method SaasPlan|null firstOrFail(callable|string $key = null, $operator = null, $value = null)
     * @method SaasPlan|$this pop(int $count = 1)
     * @method SaasPlan|null pull($key, \Closure $default = null)
     * @method SaasPlan|null last(callable $callback = null, \Closure $default = null)
     * @method SaasPlan|$this random(callable|int|null $number = null, bool $preserveKeys = false)
     * @method SaasPlan|null sole(callable|string $key = null, $operator = null, $value = null)
     * @method SaasPlan|null get($key, \Closure $default = null)
     * @method SaasPlan|null first(callable $callback = null, \Closure $default = null)
     * @method SaasPlan|null firstWhere(callable|string $key, $operator = null, $value = null)
     * @method SaasPlan|null find($key, $default = null)
     * @method SaasPlan[] all()
     */
    class _IH_SaasPlan_C extends _BaseCollection {
        /**
         * @param int $size
         * @return SaasPlan[][]|Collection<_IH_SaasPlan_C>
         */
        public function chunk($size)
        {
            return [];
        }
    }
    
    /**
     * @method _IH_SaasPlan_QB whereId($value)
     * @method _IH_SaasPlan_QB whereName($value)
     * @method _IH_SaasPlan_QB whereBtnTxt($value)
     * @method _IH_SaasPlan_QB wherePrice($value)
     * @method _IH_SaasPlan_QB whereDiscountPrice($value)
     * @method _IH_SaasPlan_QB whereDescription($value)
     * @method _IH_SaasPlan_QB whereCourseLimitable($value)
     * @method _IH_SaasPlan_QB whereCourseLimit($value)
     * @method _IH_SaasPlan_QB whereStudentLimitable($value)
     * @method _IH_SaasPlan_QB whereStudentLimit($value)
     * @method _IH_SaasPlan_QB whereInstructorLimitable($value)
     * @method _IH_SaasPlan_QB whereInstructorLimit($value)
     * @method _IH_SaasPlan_QB whereMeetingLimitable($value)
     * @method _IH_SaasPlan_QB whereMeetingLimit($value)
     * @method _IH_SaasPlan_QB whereUploadLimitable($value)
     * @method _IH_SaasPlan_QB whereUploadLimit($value)
     * @method _IH_SaasPlan_QB whereQuizQuestionLimitable($value)
     * @method _IH_SaasPlan_QB whereQuizQuestionLimit($value)
     * @method _IH_SaasPlan_QB whereBlogPostLimitable($value)
     * @method _IH_SaasPlan_QB whereBlogPostLimit($value)
     * @method _IH_SaasPlan_QB whereNewsletterLimitable($value)
     * @method _IH_SaasPlan_QB whereNewsletterLimit($value)
     * @method _IH_SaasPlan_QB whereStatus($value)
     * @method _IH_SaasPlan_QB whereOrder($value)
     * @method _IH_SaasPlan_QB whereDays($value)
     * @method _IH_SaasPlan_QB whereCreatedAt($value)
     * @method _IH_SaasPlan_QB whereUpdatedAt($value)
     * @method _IH_SaasPlan_QB whereCourseAccess($value)
     * @method _IH_SaasPlan_QB whereStudentAccess($value)
     * @method _IH_SaasPlan_QB whereInstructorAccess($value)
     * @method _IH_SaasPlan_QB whereMeetingAccess($value)
     * @method _IH_SaasPlan_QB whereQuizAccess($value)
     * @method _IH_SaasPlan_QB whereBlogAccess($value)
     * @method _IH_SaasPlan_QB whereNewsletterAccess($value)
     * @method SaasPlan baseSole(array|string $columns = ['*'])
     * @method SaasPlan create(array $attributes = [])
     * @method _IH_SaasPlan_C|SaasPlan[] cursor()
     * @method SaasPlan|null|_IH_SaasPlan_C|SaasPlan[] find($id, array|string $columns = ['*'])
     * @method _IH_SaasPlan_C|SaasPlan[] findMany(array|Arrayable $ids, array|string $columns = ['*'])
     * @method SaasPlan|_IH_SaasPlan_C|SaasPlan[] findOr($id, array|\Closure|string $columns = ['*'], \Closure $callback = null)
     * @method SaasPlan|_IH_SaasPlan_C|SaasPlan[] findOrFail($id, array|string $columns = ['*'])
     * @method SaasPlan|_IH_SaasPlan_C|SaasPlan[] findOrNew($id, array|string $columns = ['*'])
     * @method SaasPlan first(array|string $columns = ['*'])
     * @method SaasPlan firstOr(array|\Closure|string $columns = ['*'], \Closure $callback = null)
     * @method SaasPlan firstOrCreate(array $attributes = [], array $values = [])
     * @method SaasPlan firstOrFail(array|string $columns = ['*'])
     * @method SaasPlan firstOrNew(array $attributes = [], array $values = [])
     * @method SaasPlan firstWhere(array|\Closure|Expression|string $column, $operator = null, $value = null, string $boolean = 'and')
     * @method SaasPlan forceCreate(array $attributes)
     * @method _IH_SaasPlan_C|SaasPlan[] fromQuery(string $query, array $bindings = [])
     * @method _IH_SaasPlan_C|SaasPlan[] get(array|string $columns = ['*'])
     * @method SaasPlan getModel()
     * @method SaasPlan[] getModels(array|string $columns = ['*'])
     * @method _IH_SaasPlan_C|SaasPlan[] hydrate(array $items)
     * @method _IH_SaasPlan_C|SaasPlan[] lazy(int $chunkSize = 1000)
     * @method _IH_SaasPlan_C|SaasPlan[] lazyById(int $chunkSize = 1000, null|string $column = null, null|string $alias = null)
     * @method _IH_SaasPlan_C|SaasPlan[] lazyByIdDesc(int $chunkSize = 1000, null|string $column = null, null|string $alias = null)
     * @method SaasPlan make(array $attributes = [])
     * @method SaasPlan newModelInstance(array $attributes = [])
     * @method LengthAwarePaginator|SaasPlan[]|_IH_SaasPlan_C paginate(\Closure|int|null $perPage = null, array|string $columns = ['*'], string $pageName = 'page', int|null $page = null)
     * @method Paginator|SaasPlan[]|_IH_SaasPlan_C simplePaginate(int|null $perPage = null, array|string $columns = ['*'], string $pageName = 'page', int|null $page = null)
     * @method SaasPlan sole(array|string $columns = ['*'])
     * @method SaasPlan updateOrCreate(array $attributes, array $values = [])
     */
    class _IH_SaasPlan_QB extends _BaseBuilder {}
}