<?php //522930b1c8033e0d7ae50da677317eee
/** @noinspection all */

namespace LaravelIdea\Helper\Modules\Gift\Entities {

    use Illuminate\Contracts\Database\Query\Expression;
    use Illuminate\Contracts\Support\Arrayable;
    use Illuminate\Pagination\LengthAwarePaginator;
    use Illuminate\Pagination\Paginator;
    use Illuminate\Support\Collection;
    use LaravelIdea\Helper\_BaseBuilder;
    use LaravelIdea\Helper\_BaseCollection;
    use Modules\Gift\Entities\GiftCart;
    use Modules\Gift\Entities\GiftRecord;
    
    /**
     * @method GiftCart|null getOrPut($key, \Closure $value)
     * @method GiftCart|$this shift(int $count = 1)
     * @method GiftCart|null firstOrFail(callable|string $key = null, $operator = null, $value = null)
     * @method GiftCart|$this pop(int $count = 1)
     * @method GiftCart|null pull($key, \Closure $default = null)
     * @method GiftCart|null last(callable $callback = null, \Closure $default = null)
     * @method GiftCart|$this random(callable|int|null $number = null, bool $preserveKeys = false)
     * @method GiftCart|null sole(callable|string $key = null, $operator = null, $value = null)
     * @method GiftCart|null get($key, \Closure $default = null)
     * @method GiftCart|null first(callable $callback = null, \Closure $default = null)
     * @method GiftCart|null firstWhere(callable|string $key, $operator = null, $value = null)
     * @method GiftCart|null find($key, $default = null)
     * @method GiftCart[] all()
     */
    class _IH_GiftCart_C extends _BaseCollection {
        /**
         * @param int $size
         * @return GiftCart[][]|Collection<_IH_GiftCart_C>
         */
        public function chunk($size)
        {
            return [];
        }
    }
    
    /**
     * @method _IH_GiftCart_QB whereId($value)
     * @method _IH_GiftCart_QB whereCourseId($value)
     * @method _IH_GiftCart_QB whereUserId($value)
     * @method _IH_GiftCart_QB whereInstructorId($value)
     * @method _IH_GiftCart_QB whereTracking($value)
     * @method _IH_GiftCart_QB wherePrice($value)
     * @method _IH_GiftCart_QB whereGiftId($value)
     * @method _IH_GiftCart_QB whereIsGift($value)
     * @method _IH_GiftCart_QB whereCreatedAt($value)
     * @method _IH_GiftCart_QB whereUpdatedAt($value)
     * @method GiftCart baseSole(array|string $columns = ['*'])
     * @method GiftCart create(array $attributes = [])
     * @method _IH_GiftCart_C|GiftCart[] cursor()
     * @method GiftCart|null|_IH_GiftCart_C|GiftCart[] find($id, array|string $columns = ['*'])
     * @method _IH_GiftCart_C|GiftCart[] findMany(array|Arrayable $ids, array|string $columns = ['*'])
     * @method GiftCart|_IH_GiftCart_C|GiftCart[] findOr($id, array|\Closure|string $columns = ['*'], \Closure $callback = null)
     * @method GiftCart|_IH_GiftCart_C|GiftCart[] findOrFail($id, array|string $columns = ['*'])
     * @method GiftCart|_IH_GiftCart_C|GiftCart[] findOrNew($id, array|string $columns = ['*'])
     * @method GiftCart first(array|string $columns = ['*'])
     * @method GiftCart firstOr(array|\Closure|string $columns = ['*'], \Closure $callback = null)
     * @method GiftCart firstOrCreate(array $attributes = [], array $values = [])
     * @method GiftCart firstOrFail(array|string $columns = ['*'])
     * @method GiftCart firstOrNew(array $attributes = [], array $values = [])
     * @method GiftCart firstWhere(array|\Closure|Expression|string $column, $operator = null, $value = null, string $boolean = 'and')
     * @method GiftCart forceCreate(array $attributes)
     * @method _IH_GiftCart_C|GiftCart[] fromQuery(string $query, array $bindings = [])
     * @method _IH_GiftCart_C|GiftCart[] get(array|string $columns = ['*'])
     * @method GiftCart getModel()
     * @method GiftCart[] getModels(array|string $columns = ['*'])
     * @method _IH_GiftCart_C|GiftCart[] hydrate(array $items)
     * @method _IH_GiftCart_C|GiftCart[] lazy(int $chunkSize = 1000)
     * @method _IH_GiftCart_C|GiftCart[] lazyById(int $chunkSize = 1000, null|string $column = null, null|string $alias = null)
     * @method _IH_GiftCart_C|GiftCart[] lazyByIdDesc(int $chunkSize = 1000, null|string $column = null, null|string $alias = null)
     * @method GiftCart make(array $attributes = [])
     * @method GiftCart newModelInstance(array $attributes = [])
     * @method LengthAwarePaginator|GiftCart[]|_IH_GiftCart_C paginate(\Closure|int|null $perPage = null, array|string $columns = ['*'], string $pageName = 'page', int|null $page = null)
     * @method Paginator|GiftCart[]|_IH_GiftCart_C simplePaginate(int|null $perPage = null, array|string $columns = ['*'], string $pageName = 'page', int|null $page = null)
     * @method GiftCart sole(array|string $columns = ['*'])
     * @method GiftCart updateOrCreate(array $attributes, array $values = [])
     */
    class _IH_GiftCart_QB extends _BaseBuilder {}
    
    /**
     * @method GiftRecord|null getOrPut($key, \Closure $value)
     * @method GiftRecord|$this shift(int $count = 1)
     * @method GiftRecord|null firstOrFail(callable|string $key = null, $operator = null, $value = null)
     * @method GiftRecord|$this pop(int $count = 1)
     * @method GiftRecord|null pull($key, \Closure $default = null)
     * @method GiftRecord|null last(callable $callback = null, \Closure $default = null)
     * @method GiftRecord|$this random(callable|int|null $number = null, bool $preserveKeys = false)
     * @method GiftRecord|null sole(callable|string $key = null, $operator = null, $value = null)
     * @method GiftRecord|null get($key, \Closure $default = null)
     * @method GiftRecord|null first(callable $callback = null, \Closure $default = null)
     * @method GiftRecord|null firstWhere(callable|string $key, $operator = null, $value = null)
     * @method GiftRecord|null find($key, $default = null)
     * @method GiftRecord[] all()
     */
    class _IH_GiftRecord_C extends _BaseCollection {
        /**
         * @param int $size
         * @return GiftRecord[][]|Collection<_IH_GiftRecord_C>
         */
        public function chunk($size)
        {
            return [];
        }
    }
    
    /**
     * @method _IH_GiftRecord_QB whereId($value)
     * @method _IH_GiftRecord_QB whereUserId($value)
     * @method _IH_GiftRecord_QB whereCourseId($value)
     * @method _IH_GiftRecord_QB whereGiftUserEmail($value)
     * @method _IH_GiftRecord_QB whereGiftSendTime($value)
     * @method _IH_GiftRecord_QB whereGiftReceiverName($value)
     * @method _IH_GiftRecord_QB whereGiftReceiverId($value)
     * @method _IH_GiftRecord_QB whereGiftMessage($value)
     * @method _IH_GiftRecord_QB whereGiftStatus($value)
     * @method _IH_GiftRecord_QB whereCartId($value)
     * @method _IH_GiftRecord_QB wherePrice($value)
     * @method _IH_GiftRecord_QB whereCheckoutData($value)
     * @method _IH_GiftRecord_QB whereCreatedAt($value)
     * @method _IH_GiftRecord_QB whereUpdatedAt($value)
     * @method GiftRecord baseSole(array|string $columns = ['*'])
     * @method GiftRecord create(array $attributes = [])
     * @method _IH_GiftRecord_C|GiftRecord[] cursor()
     * @method GiftRecord|null|_IH_GiftRecord_C|GiftRecord[] find($id, array|string $columns = ['*'])
     * @method _IH_GiftRecord_C|GiftRecord[] findMany(array|Arrayable $ids, array|string $columns = ['*'])
     * @method GiftRecord|_IH_GiftRecord_C|GiftRecord[] findOr($id, array|\Closure|string $columns = ['*'], \Closure $callback = null)
     * @method GiftRecord|_IH_GiftRecord_C|GiftRecord[] findOrFail($id, array|string $columns = ['*'])
     * @method GiftRecord|_IH_GiftRecord_C|GiftRecord[] findOrNew($id, array|string $columns = ['*'])
     * @method GiftRecord first(array|string $columns = ['*'])
     * @method GiftRecord firstOr(array|\Closure|string $columns = ['*'], \Closure $callback = null)
     * @method GiftRecord firstOrCreate(array $attributes = [], array $values = [])
     * @method GiftRecord firstOrFail(array|string $columns = ['*'])
     * @method GiftRecord firstOrNew(array $attributes = [], array $values = [])
     * @method GiftRecord firstWhere(array|\Closure|Expression|string $column, $operator = null, $value = null, string $boolean = 'and')
     * @method GiftRecord forceCreate(array $attributes)
     * @method _IH_GiftRecord_C|GiftRecord[] fromQuery(string $query, array $bindings = [])
     * @method _IH_GiftRecord_C|GiftRecord[] get(array|string $columns = ['*'])
     * @method GiftRecord getModel()
     * @method GiftRecord[] getModels(array|string $columns = ['*'])
     * @method _IH_GiftRecord_C|GiftRecord[] hydrate(array $items)
     * @method _IH_GiftRecord_C|GiftRecord[] lazy(int $chunkSize = 1000)
     * @method _IH_GiftRecord_C|GiftRecord[] lazyById(int $chunkSize = 1000, null|string $column = null, null|string $alias = null)
     * @method _IH_GiftRecord_C|GiftRecord[] lazyByIdDesc(int $chunkSize = 1000, null|string $column = null, null|string $alias = null)
     * @method GiftRecord make(array $attributes = [])
     * @method GiftRecord newModelInstance(array $attributes = [])
     * @method LengthAwarePaginator|GiftRecord[]|_IH_GiftRecord_C paginate(\Closure|int|null $perPage = null, array|string $columns = ['*'], string $pageName = 'page', int|null $page = null)
     * @method Paginator|GiftRecord[]|_IH_GiftRecord_C simplePaginate(int|null $perPage = null, array|string $columns = ['*'], string $pageName = 'page', int|null $page = null)
     * @method GiftRecord sole(array|string $columns = ['*'])
     * @method GiftRecord updateOrCreate(array $attributes, array $values = [])
     */
    class _IH_GiftRecord_QB extends _BaseBuilder {}
}