<?php //075f04210381a0f6bae60c322bf9f8d8
/** @noinspection all */

namespace LaravelIdea\Helper\Modules\Zoom\Entities {

    use Illuminate\Contracts\Database\Query\Expression;
    use Illuminate\Contracts\Support\Arrayable;
    use Illuminate\Pagination\LengthAwarePaginator;
    use Illuminate\Pagination\Paginator;
    use Illuminate\Support\Collection;
    use LaravelIdea\Helper\_BaseBuilder;
    use LaravelIdea\Helper\_BaseCollection;
    use Modules\Zoom\Entities\ZoomMeeting;
    use Modules\Zoom\Entities\ZoomMeetingUser;
    use Modules\Zoom\Entities\ZoomSetting;
    
    /**
     * @method ZoomMeetingUser|null getOrPut($key, \Closure $value)
     * @method ZoomMeetingUser|$this shift(int $count = 1)
     * @method ZoomMeetingUser|null firstOrFail(callable|string $key = null, $operator = null, $value = null)
     * @method ZoomMeetingUser|$this pop(int $count = 1)
     * @method ZoomMeetingUser|null pull($key, \Closure $default = null)
     * @method ZoomMeetingUser|null last(callable $callback = null, \Closure $default = null)
     * @method ZoomMeetingUser|$this random(callable|int|null $number = null, bool $preserveKeys = false)
     * @method ZoomMeetingUser|null sole(callable|string $key = null, $operator = null, $value = null)
     * @method ZoomMeetingUser|null get($key, \Closure $default = null)
     * @method ZoomMeetingUser|null first(callable $callback = null, \Closure $default = null)
     * @method ZoomMeetingUser|null firstWhere(callable|string $key, $operator = null, $value = null)
     * @method ZoomMeetingUser|null find($key, $default = null)
     * @method ZoomMeetingUser[] all()
     */
    class _IH_ZoomMeetingUser_C extends _BaseCollection {
        /**
         * @param int $size
         * @return ZoomMeetingUser[][]|Collection<_IH_ZoomMeetingUser_C>
         */
        public function chunk($size)
        {
            return [];
        }
    }
    
    /**
     * @method _IH_ZoomMeetingUser_QB whereId($value)
     * @method _IH_ZoomMeetingUser_QB whereMeetingId($value)
     * @method _IH_ZoomMeetingUser_QB whereUserId($value)
     * @method _IH_ZoomMeetingUser_QB whereHost($value)
     * @method _IH_ZoomMeetingUser_QB whereCreatedAt($value)
     * @method _IH_ZoomMeetingUser_QB whereUpdatedAt($value)
     * @method ZoomMeetingUser baseSole(array|string $columns = ['*'])
     * @method ZoomMeetingUser create(array $attributes = [])
     * @method _IH_ZoomMeetingUser_C|ZoomMeetingUser[] cursor()
     * @method ZoomMeetingUser|null|_IH_ZoomMeetingUser_C|ZoomMeetingUser[] find($id, array|string $columns = ['*'])
     * @method _IH_ZoomMeetingUser_C|ZoomMeetingUser[] findMany(array|Arrayable $ids, array|string $columns = ['*'])
     * @method ZoomMeetingUser|_IH_ZoomMeetingUser_C|ZoomMeetingUser[] findOr($id, array|\Closure|string $columns = ['*'], \Closure $callback = null)
     * @method ZoomMeetingUser|_IH_ZoomMeetingUser_C|ZoomMeetingUser[] findOrFail($id, array|string $columns = ['*'])
     * @method ZoomMeetingUser|_IH_ZoomMeetingUser_C|ZoomMeetingUser[] findOrNew($id, array|string $columns = ['*'])
     * @method ZoomMeetingUser first(array|string $columns = ['*'])
     * @method ZoomMeetingUser firstOr(array|\Closure|string $columns = ['*'], \Closure $callback = null)
     * @method ZoomMeetingUser firstOrCreate(array $attributes = [], array $values = [])
     * @method ZoomMeetingUser firstOrFail(array|string $columns = ['*'])
     * @method ZoomMeetingUser firstOrNew(array $attributes = [], array $values = [])
     * @method ZoomMeetingUser firstWhere(array|\Closure|Expression|string $column, $operator = null, $value = null, string $boolean = 'and')
     * @method ZoomMeetingUser forceCreate(array $attributes)
     * @method _IH_ZoomMeetingUser_C|ZoomMeetingUser[] fromQuery(string $query, array $bindings = [])
     * @method _IH_ZoomMeetingUser_C|ZoomMeetingUser[] get(array|string $columns = ['*'])
     * @method ZoomMeetingUser getModel()
     * @method ZoomMeetingUser[] getModels(array|string $columns = ['*'])
     * @method _IH_ZoomMeetingUser_C|ZoomMeetingUser[] hydrate(array $items)
     * @method _IH_ZoomMeetingUser_C|ZoomMeetingUser[] lazy(int $chunkSize = 1000)
     * @method _IH_ZoomMeetingUser_C|ZoomMeetingUser[] lazyById(int $chunkSize = 1000, null|string $column = null, null|string $alias = null)
     * @method _IH_ZoomMeetingUser_C|ZoomMeetingUser[] lazyByIdDesc(int $chunkSize = 1000, null|string $column = null, null|string $alias = null)
     * @method ZoomMeetingUser make(array $attributes = [])
     * @method ZoomMeetingUser newModelInstance(array $attributes = [])
     * @method LengthAwarePaginator|ZoomMeetingUser[]|_IH_ZoomMeetingUser_C paginate(\Closure|int|null $perPage = null, array|string $columns = ['*'], string $pageName = 'page', int|null $page = null)
     * @method Paginator|ZoomMeetingUser[]|_IH_ZoomMeetingUser_C simplePaginate(int|null $perPage = null, array|string $columns = ['*'], string $pageName = 'page', int|null $page = null)
     * @method ZoomMeetingUser sole(array|string $columns = ['*'])
     * @method ZoomMeetingUser updateOrCreate(array $attributes, array $values = [])
     */
    class _IH_ZoomMeetingUser_QB extends _BaseBuilder {}
    
    /**
     * @method ZoomMeeting|null getOrPut($key, \Closure $value)
     * @method ZoomMeeting|$this shift(int $count = 1)
     * @method ZoomMeeting|null firstOrFail(callable|string $key = null, $operator = null, $value = null)
     * @method ZoomMeeting|$this pop(int $count = 1)
     * @method ZoomMeeting|null pull($key, \Closure $default = null)
     * @method ZoomMeeting|null last(callable $callback = null, \Closure $default = null)
     * @method ZoomMeeting|$this random(callable|int|null $number = null, bool $preserveKeys = false)
     * @method ZoomMeeting|null sole(callable|string $key = null, $operator = null, $value = null)
     * @method ZoomMeeting|null get($key, \Closure $default = null)
     * @method ZoomMeeting|null first(callable $callback = null, \Closure $default = null)
     * @method ZoomMeeting|null firstWhere(callable|string $key, $operator = null, $value = null)
     * @method ZoomMeeting|null find($key, $default = null)
     * @method ZoomMeeting[] all()
     */
    class _IH_ZoomMeeting_C extends _BaseCollection {
        /**
         * @param int $size
         * @return ZoomMeeting[][]|Collection<_IH_ZoomMeeting_C>
         */
        public function chunk($size)
        {
            return [];
        }
    }
    
    /**
     * @method _IH_ZoomMeeting_QB whereDownload($value)
     * @method ZoomMeeting baseSole(array|string $columns = ['*'])
     * @method ZoomMeeting create(array $attributes = [])
     * @method _IH_ZoomMeeting_C|ZoomMeeting[] cursor()
     * @method ZoomMeeting|null|_IH_ZoomMeeting_C|ZoomMeeting[] find($id, array|string $columns = ['*'])
     * @method _IH_ZoomMeeting_C|ZoomMeeting[] findMany(array|Arrayable $ids, array|string $columns = ['*'])
     * @method ZoomMeeting|_IH_ZoomMeeting_C|ZoomMeeting[] findOr($id, array|\Closure|string $columns = ['*'], \Closure $callback = null)
     * @method ZoomMeeting|_IH_ZoomMeeting_C|ZoomMeeting[] findOrFail($id, array|string $columns = ['*'])
     * @method ZoomMeeting|_IH_ZoomMeeting_C|ZoomMeeting[] findOrNew($id, array|string $columns = ['*'])
     * @method ZoomMeeting first(array|string $columns = ['*'])
     * @method ZoomMeeting firstOr(array|\Closure|string $columns = ['*'], \Closure $callback = null)
     * @method ZoomMeeting firstOrCreate(array $attributes = [], array $values = [])
     * @method ZoomMeeting firstOrFail(array|string $columns = ['*'])
     * @method ZoomMeeting firstOrNew(array $attributes = [], array $values = [])
     * @method ZoomMeeting firstWhere(array|\Closure|Expression|string $column, $operator = null, $value = null, string $boolean = 'and')
     * @method ZoomMeeting forceCreate(array $attributes)
     * @method _IH_ZoomMeeting_C|ZoomMeeting[] fromQuery(string $query, array $bindings = [])
     * @method _IH_ZoomMeeting_C|ZoomMeeting[] get(array|string $columns = ['*'])
     * @method ZoomMeeting getModel()
     * @method ZoomMeeting[] getModels(array|string $columns = ['*'])
     * @method _IH_ZoomMeeting_C|ZoomMeeting[] hydrate(array $items)
     * @method _IH_ZoomMeeting_C|ZoomMeeting[] lazy(int $chunkSize = 1000)
     * @method _IH_ZoomMeeting_C|ZoomMeeting[] lazyById(int $chunkSize = 1000, null|string $column = null, null|string $alias = null)
     * @method _IH_ZoomMeeting_C|ZoomMeeting[] lazyByIdDesc(int $chunkSize = 1000, null|string $column = null, null|string $alias = null)
     * @method ZoomMeeting make(array $attributes = [])
     * @method ZoomMeeting newModelInstance(array $attributes = [])
     * @method LengthAwarePaginator|ZoomMeeting[]|_IH_ZoomMeeting_C paginate(\Closure|int|null $perPage = null, array|string $columns = ['*'], string $pageName = 'page', int|null $page = null)
     * @method Paginator|ZoomMeeting[]|_IH_ZoomMeeting_C simplePaginate(int|null $perPage = null, array|string $columns = ['*'], string $pageName = 'page', int|null $page = null)
     * @method ZoomMeeting sole(array|string $columns = ['*'])
     * @method ZoomMeeting updateOrCreate(array $attributes, array $values = [])
     */
    class _IH_ZoomMeeting_QB extends _BaseBuilder {}
    
    /**
     * @method ZoomSetting|null getOrPut($key, \Closure $value)
     * @method ZoomSetting|$this shift(int $count = 1)
     * @method ZoomSetting|null firstOrFail(callable|string $key = null, $operator = null, $value = null)
     * @method ZoomSetting|$this pop(int $count = 1)
     * @method ZoomSetting|null pull($key, \Closure $default = null)
     * @method ZoomSetting|null last(callable $callback = null, \Closure $default = null)
     * @method ZoomSetting|$this random(callable|int|null $number = null, bool $preserveKeys = false)
     * @method ZoomSetting|null sole(callable|string $key = null, $operator = null, $value = null)
     * @method ZoomSetting|null get($key, \Closure $default = null)
     * @method ZoomSetting|null first(callable $callback = null, \Closure $default = null)
     * @method ZoomSetting|null firstWhere(callable|string $key, $operator = null, $value = null)
     * @method ZoomSetting|null find($key, $default = null)
     * @method ZoomSetting[] all()
     */
    class _IH_ZoomSetting_C extends _BaseCollection {
        /**
         * @param int $size
         * @return ZoomSetting[][]|Collection<_IH_ZoomSetting_C>
         */
        public function chunk($size)
        {
            return [];
        }
    }
    
    /**
     * @method _IH_ZoomSetting_QB whereId($value)
     * @method _IH_ZoomSetting_QB whereUserId($value)
     * @method _IH_ZoomSetting_QB wherePackageId($value)
     * @method _IH_ZoomSetting_QB whereHostVideo($value)
     * @method _IH_ZoomSetting_QB whereParticipantVideo($value)
     * @method _IH_ZoomSetting_QB whereJoinBeforeHost($value)
     * @method _IH_ZoomSetting_QB whereAudio($value)
     * @method _IH_ZoomSetting_QB whereAutoRecording($value)
     * @method _IH_ZoomSetting_QB whereApprovalType($value)
     * @method _IH_ZoomSetting_QB whereMuteUponEntry($value)
     * @method _IH_ZoomSetting_QB whereWaitingRoom($value)
     * @method _IH_ZoomSetting_QB whereCreatedAt($value)
     * @method _IH_ZoomSetting_QB whereUpdatedAt($value)
     * @method _IH_ZoomSetting_QB whereZoomAccountId($value)
     * @method _IH_ZoomSetting_QB whereZoomClientId($value)
     * @method _IH_ZoomSetting_QB whereZoomClientSecret($value)
     * @method ZoomSetting baseSole(array|string $columns = ['*'])
     * @method ZoomSetting create(array $attributes = [])
     * @method _IH_ZoomSetting_C|ZoomSetting[] cursor()
     * @method ZoomSetting|null|_IH_ZoomSetting_C|ZoomSetting[] find($id, array|string $columns = ['*'])
     * @method _IH_ZoomSetting_C|ZoomSetting[] findMany(array|Arrayable $ids, array|string $columns = ['*'])
     * @method ZoomSetting|_IH_ZoomSetting_C|ZoomSetting[] findOr($id, array|\Closure|string $columns = ['*'], \Closure $callback = null)
     * @method ZoomSetting|_IH_ZoomSetting_C|ZoomSetting[] findOrFail($id, array|string $columns = ['*'])
     * @method ZoomSetting|_IH_ZoomSetting_C|ZoomSetting[] findOrNew($id, array|string $columns = ['*'])
     * @method ZoomSetting first(array|string $columns = ['*'])
     * @method ZoomSetting firstOr(array|\Closure|string $columns = ['*'], \Closure $callback = null)
     * @method ZoomSetting firstOrCreate(array $attributes = [], array $values = [])
     * @method ZoomSetting firstOrFail(array|string $columns = ['*'])
     * @method ZoomSetting firstOrNew(array $attributes = [], array $values = [])
     * @method ZoomSetting firstWhere(array|\Closure|Expression|string $column, $operator = null, $value = null, string $boolean = 'and')
     * @method ZoomSetting forceCreate(array $attributes)
     * @method _IH_ZoomSetting_C|ZoomSetting[] fromQuery(string $query, array $bindings = [])
     * @method _IH_ZoomSetting_C|ZoomSetting[] get(array|string $columns = ['*'])
     * @method ZoomSetting getModel()
     * @method ZoomSetting[] getModels(array|string $columns = ['*'])
     * @method _IH_ZoomSetting_C|ZoomSetting[] hydrate(array $items)
     * @method _IH_ZoomSetting_C|ZoomSetting[] lazy(int $chunkSize = 1000)
     * @method _IH_ZoomSetting_C|ZoomSetting[] lazyById(int $chunkSize = 1000, null|string $column = null, null|string $alias = null)
     * @method _IH_ZoomSetting_C|ZoomSetting[] lazyByIdDesc(int $chunkSize = 1000, null|string $column = null, null|string $alias = null)
     * @method ZoomSetting make(array $attributes = [])
     * @method ZoomSetting newModelInstance(array $attributes = [])
     * @method LengthAwarePaginator|ZoomSetting[]|_IH_ZoomSetting_C paginate(\Closure|int|null $perPage = null, array|string $columns = ['*'], string $pageName = 'page', int|null $page = null)
     * @method Paginator|ZoomSetting[]|_IH_ZoomSetting_C simplePaginate(int|null $perPage = null, array|string $columns = ['*'], string $pageName = 'page', int|null $page = null)
     * @method ZoomSetting sole(array|string $columns = ['*'])
     * @method ZoomSetting updateOrCreate(array $attributes, array $values = [])
     */
    class _IH_ZoomSetting_QB extends _BaseBuilder {}
}