<?php //8a2811d84896b8a042c0468c33f0b873
/** @noinspection all */

namespace LaravelIdea\Helper\Modules\Certificate\Entities {

    use Illuminate\Contracts\Database\Query\Expression;
    use Illuminate\Contracts\Support\Arrayable;
    use Illuminate\Pagination\LengthAwarePaginator;
    use Illuminate\Pagination\Paginator;
    use Illuminate\Support\Collection;
    use LaravelIdea\Helper\_BaseBuilder;
    use LaravelIdea\Helper\_BaseCollection;
    use Modules\Certificate\Entities\Certificate;
    use Modules\Certificate\Entities\CertificateFont;
    use Modules\Certificate\Entities\CertificateRecord;
    
    /**
     * @method CertificateFont|null getOrPut($key, \Closure $value)
     * @method CertificateFont|$this shift(int $count = 1)
     * @method CertificateFont|null firstOrFail(callable|string $key = null, $operator = null, $value = null)
     * @method CertificateFont|$this pop(int $count = 1)
     * @method CertificateFont|null pull($key, \Closure $default = null)
     * @method CertificateFont|null last(callable $callback = null, \Closure $default = null)
     * @method CertificateFont|$this random(callable|int|null $number = null, bool $preserveKeys = false)
     * @method CertificateFont|null sole(callable|string $key = null, $operator = null, $value = null)
     * @method CertificateFont|null get($key, \Closure $default = null)
     * @method CertificateFont|null first(callable $callback = null, \Closure $default = null)
     * @method CertificateFont|null firstWhere(callable|string $key, $operator = null, $value = null)
     * @method CertificateFont|null find($key, $default = null)
     * @method CertificateFont[] all()
     */
    class _IH_CertificateFont_C extends _BaseCollection {
        /**
         * @param int $size
         * @return CertificateFont[][]|Collection<_IH_CertificateFont_C>
         */
        public function chunk($size)
        {
            return [];
        }
    }
    
    /**
     * @method _IH_CertificateFont_QB whereId($value)
     * @method _IH_CertificateFont_QB whereName($value)
     * @method _IH_CertificateFont_QB whereTitle($value)
     * @method _IH_CertificateFont_QB whereFont($value)
     * @method _IH_CertificateFont_QB whereCreatedAt($value)
     * @method _IH_CertificateFont_QB whereUpdatedAt($value)
     * @method _IH_CertificateFont_QB whereRtl($value)
     * @method CertificateFont baseSole(array|string $columns = ['*'])
     * @method CertificateFont create(array $attributes = [])
     * @method _IH_CertificateFont_C|CertificateFont[] cursor()
     * @method CertificateFont|null|_IH_CertificateFont_C|CertificateFont[] find($id, array|string $columns = ['*'])
     * @method _IH_CertificateFont_C|CertificateFont[] findMany(array|Arrayable $ids, array|string $columns = ['*'])
     * @method CertificateFont|_IH_CertificateFont_C|CertificateFont[] findOr($id, array|\Closure|string $columns = ['*'], \Closure $callback = null)
     * @method CertificateFont|_IH_CertificateFont_C|CertificateFont[] findOrFail($id, array|string $columns = ['*'])
     * @method CertificateFont|_IH_CertificateFont_C|CertificateFont[] findOrNew($id, array|string $columns = ['*'])
     * @method CertificateFont first(array|string $columns = ['*'])
     * @method CertificateFont firstOr(array|\Closure|string $columns = ['*'], \Closure $callback = null)
     * @method CertificateFont firstOrCreate(array $attributes = [], array $values = [])
     * @method CertificateFont firstOrFail(array|string $columns = ['*'])
     * @method CertificateFont firstOrNew(array $attributes = [], array $values = [])
     * @method CertificateFont firstWhere(array|\Closure|Expression|string $column, $operator = null, $value = null, string $boolean = 'and')
     * @method CertificateFont forceCreate(array $attributes)
     * @method _IH_CertificateFont_C|CertificateFont[] fromQuery(string $query, array $bindings = [])
     * @method _IH_CertificateFont_C|CertificateFont[] get(array|string $columns = ['*'])
     * @method CertificateFont getModel()
     * @method CertificateFont[] getModels(array|string $columns = ['*'])
     * @method _IH_CertificateFont_C|CertificateFont[] hydrate(array $items)
     * @method _IH_CertificateFont_C|CertificateFont[] lazy(int $chunkSize = 1000)
     * @method _IH_CertificateFont_C|CertificateFont[] lazyById(int $chunkSize = 1000, null|string $column = null, null|string $alias = null)
     * @method _IH_CertificateFont_C|CertificateFont[] lazyByIdDesc(int $chunkSize = 1000, null|string $column = null, null|string $alias = null)
     * @method CertificateFont make(array $attributes = [])
     * @method CertificateFont newModelInstance(array $attributes = [])
     * @method LengthAwarePaginator|CertificateFont[]|_IH_CertificateFont_C paginate(\Closure|int|null $perPage = null, array|string $columns = ['*'], string $pageName = 'page', int|null $page = null)
     * @method Paginator|CertificateFont[]|_IH_CertificateFont_C simplePaginate(int|null $perPage = null, array|string $columns = ['*'], string $pageName = 'page', int|null $page = null)
     * @method CertificateFont sole(array|string $columns = ['*'])
     * @method CertificateFont updateOrCreate(array $attributes, array $values = [])
     */
    class _IH_CertificateFont_QB extends _BaseBuilder {}
    
    /**
     * @method CertificateRecord|null getOrPut($key, \Closure $value)
     * @method CertificateRecord|$this shift(int $count = 1)
     * @method CertificateRecord|null firstOrFail(callable|string $key = null, $operator = null, $value = null)
     * @method CertificateRecord|$this pop(int $count = 1)
     * @method CertificateRecord|null pull($key, \Closure $default = null)
     * @method CertificateRecord|null last(callable $callback = null, \Closure $default = null)
     * @method CertificateRecord|$this random(callable|int|null $number = null, bool $preserveKeys = false)
     * @method CertificateRecord|null sole(callable|string $key = null, $operator = null, $value = null)
     * @method CertificateRecord|null get($key, \Closure $default = null)
     * @method CertificateRecord|null first(callable $callback = null, \Closure $default = null)
     * @method CertificateRecord|null firstWhere(callable|string $key, $operator = null, $value = null)
     * @method CertificateRecord|null find($key, $default = null)
     * @method CertificateRecord[] all()
     */
    class _IH_CertificateRecord_C extends _BaseCollection {
        /**
         * @param int $size
         * @return CertificateRecord[][]|Collection<_IH_CertificateRecord_C>
         */
        public function chunk($size)
        {
            return [];
        }
    }
    
    /**
     * @method _IH_CertificateRecord_QB whereId($value)
     * @method _IH_CertificateRecord_QB whereCertificateId($value)
     * @method _IH_CertificateRecord_QB whereStudentId($value)
     * @method _IH_CertificateRecord_QB whereCourseId($value)
     * @method _IH_CertificateRecord_QB whereCreatedBy($value)
     * @method _IH_CertificateRecord_QB whereCreatedAt($value)
     * @method _IH_CertificateRecord_QB whereUpdatedAt($value)
     * @method _IH_CertificateRecord_QB whereStartDate($value)
     * @method _IH_CertificateRecord_QB whereEndDate($value)
     * @method _IH_CertificateRecord_QB whereCpdId($value)
     * @method _IH_CertificateRecord_QB whereMembershipPlanId($value)
     * @method CertificateRecord baseSole(array|string $columns = ['*'])
     * @method CertificateRecord create(array $attributes = [])
     * @method _IH_CertificateRecord_C|CertificateRecord[] cursor()
     * @method CertificateRecord|null|_IH_CertificateRecord_C|CertificateRecord[] find($id, array|string $columns = ['*'])
     * @method _IH_CertificateRecord_C|CertificateRecord[] findMany(array|Arrayable $ids, array|string $columns = ['*'])
     * @method CertificateRecord|_IH_CertificateRecord_C|CertificateRecord[] findOr($id, array|\Closure|string $columns = ['*'], \Closure $callback = null)
     * @method CertificateRecord|_IH_CertificateRecord_C|CertificateRecord[] findOrFail($id, array|string $columns = ['*'])
     * @method CertificateRecord|_IH_CertificateRecord_C|CertificateRecord[] findOrNew($id, array|string $columns = ['*'])
     * @method CertificateRecord first(array|string $columns = ['*'])
     * @method CertificateRecord firstOr(array|\Closure|string $columns = ['*'], \Closure $callback = null)
     * @method CertificateRecord firstOrCreate(array $attributes = [], array $values = [])
     * @method CertificateRecord firstOrFail(array|string $columns = ['*'])
     * @method CertificateRecord firstOrNew(array $attributes = [], array $values = [])
     * @method CertificateRecord firstWhere(array|\Closure|Expression|string $column, $operator = null, $value = null, string $boolean = 'and')
     * @method CertificateRecord forceCreate(array $attributes)
     * @method _IH_CertificateRecord_C|CertificateRecord[] fromQuery(string $query, array $bindings = [])
     * @method _IH_CertificateRecord_C|CertificateRecord[] get(array|string $columns = ['*'])
     * @method CertificateRecord getModel()
     * @method CertificateRecord[] getModels(array|string $columns = ['*'])
     * @method _IH_CertificateRecord_C|CertificateRecord[] hydrate(array $items)
     * @method _IH_CertificateRecord_C|CertificateRecord[] lazy(int $chunkSize = 1000)
     * @method _IH_CertificateRecord_C|CertificateRecord[] lazyById(int $chunkSize = 1000, null|string $column = null, null|string $alias = null)
     * @method _IH_CertificateRecord_C|CertificateRecord[] lazyByIdDesc(int $chunkSize = 1000, null|string $column = null, null|string $alias = null)
     * @method CertificateRecord make(array $attributes = [])
     * @method CertificateRecord newModelInstance(array $attributes = [])
     * @method LengthAwarePaginator|CertificateRecord[]|_IH_CertificateRecord_C paginate(\Closure|int|null $perPage = null, array|string $columns = ['*'], string $pageName = 'page', int|null $page = null)
     * @method Paginator|CertificateRecord[]|_IH_CertificateRecord_C simplePaginate(int|null $perPage = null, array|string $columns = ['*'], string $pageName = 'page', int|null $page = null)
     * @method CertificateRecord sole(array|string $columns = ['*'])
     * @method CertificateRecord updateOrCreate(array $attributes, array $values = [])
     */
    class _IH_CertificateRecord_QB extends _BaseBuilder {}
    
    /**
     * @method Certificate|null getOrPut($key, \Closure $value)
     * @method Certificate|$this shift(int $count = 1)
     * @method Certificate|null firstOrFail(callable|string $key = null, $operator = null, $value = null)
     * @method Certificate|$this pop(int $count = 1)
     * @method Certificate|null pull($key, \Closure $default = null)
     * @method Certificate|null last(callable $callback = null, \Closure $default = null)
     * @method Certificate|$this random(callable|int|null $number = null, bool $preserveKeys = false)
     * @method Certificate|null sole(callable|string $key = null, $operator = null, $value = null)
     * @method Certificate|null get($key, \Closure $default = null)
     * @method Certificate|null first(callable $callback = null, \Closure $default = null)
     * @method Certificate|null firstWhere(callable|string $key, $operator = null, $value = null)
     * @method Certificate|null find($key, $default = null)
     * @method Certificate[] all()
     */
    class _IH_Certificate_C extends _BaseCollection {
        /**
         * @param int $size
         * @return Certificate[][]|Collection<_IH_Certificate_C>
         */
        public function chunk($size)
        {
            return [];
        }
    }
    
    /**
     * @method _IH_Certificate_QB whereId($value)
     * @method _IH_Certificate_QB whereImage($value)
     * @method _IH_Certificate_QB whereTitle($value)
     * @method _IH_Certificate_QB whereTitlePositionX($value)
     * @method _IH_Certificate_QB whereTitlePositionY($value)
     * @method _IH_Certificate_QB whereTitleFontFamily($value)
     * @method _IH_Certificate_QB whereTitleFontSize($value)
     * @method _IH_Certificate_QB whereTitleFontColor($value)
     * @method _IH_Certificate_QB whereBody($value)
     * @method _IH_Certificate_QB whereBodyPositionX($value)
     * @method _IH_Certificate_QB whereBodyPositionY($value)
     * @method _IH_Certificate_QB whereBodyFontFamily($value)
     * @method _IH_Certificate_QB whereBodyFontSize($value)
     * @method _IH_Certificate_QB whereBodyFontColor($value)
     * @method _IH_Certificate_QB whereBodyMaxLen($value)
     * @method _IH_Certificate_QB whereProfile($value)
     * @method _IH_Certificate_QB whereProfileX($value)
     * @method _IH_Certificate_QB whereProfileY($value)
     * @method _IH_Certificate_QB whereProfileHeight($value)
     * @method _IH_Certificate_QB whereProfileWeight($value)
     * @method _IH_Certificate_QB whereName($value)
     * @method _IH_Certificate_QB whereNamePositionX($value)
     * @method _IH_Certificate_QB whereNamePositionY($value)
     * @method _IH_Certificate_QB whereNameFontFamily($value)
     * @method _IH_Certificate_QB whereNameFontSize($value)
     * @method _IH_Certificate_QB whereNameFontColor($value)
     * @method _IH_Certificate_QB whereDatePositionX($value)
     * @method _IH_Certificate_QB whereDatePositionY($value)
     * @method _IH_Certificate_QB whereDateFontFamily($value)
     * @method _IH_Certificate_QB whereDateFontSize($value)
     * @method _IH_Certificate_QB whereDateFontColor($value)
     * @method _IH_Certificate_QB whereDateFormat($value)
     * @method _IH_Certificate_QB whereSignature($value)
     * @method _IH_Certificate_QB whereSignaturePositionX($value)
     * @method _IH_Certificate_QB whereSignaturePositionY($value)
     * @method _IH_Certificate_QB whereSignatureHeight($value)
     * @method _IH_Certificate_QB whereSignatureWeight($value)
     * @method _IH_Certificate_QB whereSignatureText($value)
     * @method _IH_Certificate_QB whereSignatureTextPositionX($value)
     * @method _IH_Certificate_QB whereSignatureTextPositionY($value)
     * @method _IH_Certificate_QB whereSignatureTextFontFamily($value)
     * @method _IH_Certificate_QB whereSignatureTextFontSize($value)
     * @method _IH_Certificate_QB whereSignatureTextFontColor($value)
     * @method _IH_Certificate_QB whereForCourse($value)
     * @method _IH_Certificate_QB whereForQuiz($value)
     * @method _IH_Certificate_QB whereCreatedAt($value)
     * @method _IH_Certificate_QB whereUpdatedAt($value)
     * @method _IH_Certificate_QB whereCertificateNo($value)
     * @method _IH_Certificate_QB whereCertificateNoPositionX($value)
     * @method _IH_Certificate_QB whereCertificateNoPositionY($value)
     * @method _IH_Certificate_QB whereCertificateNoFontFamily($value)
     * @method _IH_Certificate_QB whereCertificateNoFontSize($value)
     * @method _IH_Certificate_QB whereCertificateNoFontColor($value)
     * @method _IH_Certificate_QB whereCreatedBy($value)
     * @method _IH_Certificate_QB whereForClass($value)
     * @method _IH_Certificate_QB whereQr($value)
     * @method _IH_Certificate_QB whereQrX($value)
     * @method _IH_Certificate_QB whereQrY($value)
     * @method _IH_Certificate_QB whereQrHeight($value)
     * @method _IH_Certificate_QB whereQrWeight($value)
     * @method _IH_Certificate_QB whereShowTitle($value)
     * @method _IH_Certificate_QB whereCertificateNumberPrefix($value)
     * @method _IH_Certificate_QB whereShowOrgChart($value)
     * @method _IH_Certificate_QB whereOrgChartX($value)
     * @method _IH_Certificate_QB whereOrgChartY($value)
     * @method _IH_Certificate_QB whereOrgChartFontFamily($value)
     * @method _IH_Certificate_QB whereOrgChartFontSize($value)
     * @method _IH_Certificate_QB whereOrgChartFontColor($value)
     * @method _IH_Certificate_QB whereType($value)
     * @method _IH_Certificate_QB whereForCpd($value)
     * @method _IH_Certificate_QB whereIsMembership($value)
     * @method Certificate baseSole(array|string $columns = ['*'])
     * @method Certificate create(array $attributes = [])
     * @method _IH_Certificate_C|Certificate[] cursor()
     * @method Certificate|null|_IH_Certificate_C|Certificate[] find($id, array|string $columns = ['*'])
     * @method _IH_Certificate_C|Certificate[] findMany(array|Arrayable $ids, array|string $columns = ['*'])
     * @method Certificate|_IH_Certificate_C|Certificate[] findOr($id, array|\Closure|string $columns = ['*'], \Closure $callback = null)
     * @method Certificate|_IH_Certificate_C|Certificate[] findOrFail($id, array|string $columns = ['*'])
     * @method Certificate|_IH_Certificate_C|Certificate[] findOrNew($id, array|string $columns = ['*'])
     * @method Certificate first(array|string $columns = ['*'])
     * @method Certificate firstOr(array|\Closure|string $columns = ['*'], \Closure $callback = null)
     * @method Certificate firstOrCreate(array $attributes = [], array $values = [])
     * @method Certificate firstOrFail(array|string $columns = ['*'])
     * @method Certificate firstOrNew(array $attributes = [], array $values = [])
     * @method Certificate firstWhere(array|\Closure|Expression|string $column, $operator = null, $value = null, string $boolean = 'and')
     * @method Certificate forceCreate(array $attributes)
     * @method _IH_Certificate_C|Certificate[] fromQuery(string $query, array $bindings = [])
     * @method _IH_Certificate_C|Certificate[] get(array|string $columns = ['*'])
     * @method Certificate getModel()
     * @method Certificate[] getModels(array|string $columns = ['*'])
     * @method _IH_Certificate_C|Certificate[] hydrate(array $items)
     * @method _IH_Certificate_C|Certificate[] lazy(int $chunkSize = 1000)
     * @method _IH_Certificate_C|Certificate[] lazyById(int $chunkSize = 1000, null|string $column = null, null|string $alias = null)
     * @method _IH_Certificate_C|Certificate[] lazyByIdDesc(int $chunkSize = 1000, null|string $column = null, null|string $alias = null)
     * @method Certificate make(array $attributes = [])
     * @method Certificate newModelInstance(array $attributes = [])
     * @method LengthAwarePaginator|Certificate[]|_IH_Certificate_C paginate(\Closure|int|null $perPage = null, array|string $columns = ['*'], string $pageName = 'page', int|null $page = null)
     * @method Paginator|Certificate[]|_IH_Certificate_C simplePaginate(int|null $perPage = null, array|string $columns = ['*'], string $pageName = 'page', int|null $page = null)
     * @method Certificate sole(array|string $columns = ['*'])
     * @method Certificate updateOrCreate(array $attributes, array $values = [])
     */
    class _IH_Certificate_QB extends _BaseBuilder {}
}