<?php //7ae5ae6ebb1aa52176590c5fd8f52d44
/** @noinspection all */

namespace LaravelIdea\Helper\Modules\Invoice\Entities {

    use Illuminate\Contracts\Database\Query\Expression;
    use Illuminate\Contracts\Support\Arrayable;
    use Illuminate\Pagination\LengthAwarePaginator;
    use Illuminate\Pagination\Paginator;
    use Illuminate\Support\Collection;
    use LaravelIdea\Helper\_BaseBuilder;
    use LaravelIdea\Helper\_BaseCollection;
    use Modules\Invoice\Entities\Invoice;
    use Modules\Invoice\Entities\InvoiceBilling;
    use Modules\Invoice\Entities\InvoiceCourse;
    use Modules\Invoice\Entities\InvoiceOfflinePayment;
    use Modules\Invoice\Entities\InvoiceSetting;
    use Modules\Invoice\Entities\OrderCertificate;
    use Modules\Invoice\Entities\PrintedCertificate;
    
    /**
     * @method InvoiceBilling|null getOrPut($key, \Closure $value)
     * @method InvoiceBilling|$this shift(int $count = 1)
     * @method InvoiceBilling|null firstOrFail(callable|string $key = null, $operator = null, $value = null)
     * @method InvoiceBilling|$this pop(int $count = 1)
     * @method InvoiceBilling|null pull($key, \Closure $default = null)
     * @method InvoiceBilling|null last(callable $callback = null, \Closure $default = null)
     * @method InvoiceBilling|$this random(callable|int|null $number = null, bool $preserveKeys = false)
     * @method InvoiceBilling|null sole(callable|string $key = null, $operator = null, $value = null)
     * @method InvoiceBilling|null get($key, \Closure $default = null)
     * @method InvoiceBilling|null first(callable $callback = null, \Closure $default = null)
     * @method InvoiceBilling|null firstWhere(callable|string $key, $operator = null, $value = null)
     * @method InvoiceBilling|null find($key, $default = null)
     * @method InvoiceBilling[] all()
     */
    class _IH_InvoiceBilling_C extends _BaseCollection {
        /**
         * @param int $size
         * @return InvoiceBilling[][]|Collection<_IH_InvoiceBilling_C>
         */
        public function chunk($size)
        {
            return [];
        }
    }
    
    /**
     * @method _IH_InvoiceBilling_QB whereId($value)
     * @method _IH_InvoiceBilling_QB whereTrackingId($value)
     * @method _IH_InvoiceBilling_QB whereUserId($value)
     * @method _IH_InvoiceBilling_QB whereFirstName($value)
     * @method _IH_InvoiceBilling_QB whereLastName($value)
     * @method _IH_InvoiceBilling_QB whereCompanyName($value)
     * @method _IH_InvoiceBilling_QB whereCountry($value)
     * @method _IH_InvoiceBilling_QB whereAddress1($value)
     * @method _IH_InvoiceBilling_QB whereAddress2($value)
     * @method _IH_InvoiceBilling_QB whereCity($value)
     * @method _IH_InvoiceBilling_QB whereZipCode($value)
     * @method _IH_InvoiceBilling_QB wherePhone($value)
     * @method _IH_InvoiceBilling_QB whereEmail($value)
     * @method _IH_InvoiceBilling_QB whereDetails($value)
     * @method _IH_InvoiceBilling_QB wherePaymentMethod($value)
     * @method _IH_InvoiceBilling_QB whereCreatedAt($value)
     * @method _IH_InvoiceBilling_QB whereUpdatedAt($value)
     * @method InvoiceBilling baseSole(array|string $columns = ['*'])
     * @method InvoiceBilling create(array $attributes = [])
     * @method _IH_InvoiceBilling_C|InvoiceBilling[] cursor()
     * @method InvoiceBilling|null|_IH_InvoiceBilling_C|InvoiceBilling[] find($id, array|string $columns = ['*'])
     * @method _IH_InvoiceBilling_C|InvoiceBilling[] findMany(array|Arrayable $ids, array|string $columns = ['*'])
     * @method InvoiceBilling|_IH_InvoiceBilling_C|InvoiceBilling[] findOr($id, array|\Closure|string $columns = ['*'], \Closure $callback = null)
     * @method InvoiceBilling|_IH_InvoiceBilling_C|InvoiceBilling[] findOrFail($id, array|string $columns = ['*'])
     * @method InvoiceBilling|_IH_InvoiceBilling_C|InvoiceBilling[] findOrNew($id, array|string $columns = ['*'])
     * @method InvoiceBilling first(array|string $columns = ['*'])
     * @method InvoiceBilling firstOr(array|\Closure|string $columns = ['*'], \Closure $callback = null)
     * @method InvoiceBilling firstOrCreate(array $attributes = [], array $values = [])
     * @method InvoiceBilling firstOrFail(array|string $columns = ['*'])
     * @method InvoiceBilling firstOrNew(array $attributes = [], array $values = [])
     * @method InvoiceBilling firstWhere(array|\Closure|Expression|string $column, $operator = null, $value = null, string $boolean = 'and')
     * @method InvoiceBilling forceCreate(array $attributes)
     * @method _IH_InvoiceBilling_C|InvoiceBilling[] fromQuery(string $query, array $bindings = [])
     * @method _IH_InvoiceBilling_C|InvoiceBilling[] get(array|string $columns = ['*'])
     * @method InvoiceBilling getModel()
     * @method InvoiceBilling[] getModels(array|string $columns = ['*'])
     * @method _IH_InvoiceBilling_C|InvoiceBilling[] hydrate(array $items)
     * @method _IH_InvoiceBilling_C|InvoiceBilling[] lazy(int $chunkSize = 1000)
     * @method _IH_InvoiceBilling_C|InvoiceBilling[] lazyById(int $chunkSize = 1000, null|string $column = null, null|string $alias = null)
     * @method _IH_InvoiceBilling_C|InvoiceBilling[] lazyByIdDesc(int $chunkSize = 1000, null|string $column = null, null|string $alias = null)
     * @method InvoiceBilling make(array $attributes = [])
     * @method InvoiceBilling newModelInstance(array $attributes = [])
     * @method LengthAwarePaginator|InvoiceBilling[]|_IH_InvoiceBilling_C paginate(\Closure|int|null $perPage = null, array|string $columns = ['*'], string $pageName = 'page', int|null $page = null)
     * @method Paginator|InvoiceBilling[]|_IH_InvoiceBilling_C simplePaginate(int|null $perPage = null, array|string $columns = ['*'], string $pageName = 'page', int|null $page = null)
     * @method InvoiceBilling sole(array|string $columns = ['*'])
     * @method InvoiceBilling updateOrCreate(array $attributes, array $values = [])
     */
    class _IH_InvoiceBilling_QB extends _BaseBuilder {}
    
    /**
     * @method InvoiceCourse|null getOrPut($key, \Closure $value)
     * @method InvoiceCourse|$this shift(int $count = 1)
     * @method InvoiceCourse|null firstOrFail(callable|string $key = null, $operator = null, $value = null)
     * @method InvoiceCourse|$this pop(int $count = 1)
     * @method InvoiceCourse|null pull($key, \Closure $default = null)
     * @method InvoiceCourse|null last(callable $callback = null, \Closure $default = null)
     * @method InvoiceCourse|$this random(callable|int|null $number = null, bool $preserveKeys = false)
     * @method InvoiceCourse|null sole(callable|string $key = null, $operator = null, $value = null)
     * @method InvoiceCourse|null get($key, \Closure $default = null)
     * @method InvoiceCourse|null first(callable $callback = null, \Closure $default = null)
     * @method InvoiceCourse|null firstWhere(callable|string $key, $operator = null, $value = null)
     * @method InvoiceCourse|null find($key, $default = null)
     * @method InvoiceCourse[] all()
     */
    class _IH_InvoiceCourse_C extends _BaseCollection {
        /**
         * @param int $size
         * @return InvoiceCourse[][]|Collection<_IH_InvoiceCourse_C>
         */
        public function chunk($size)
        {
            return [];
        }
    }
    
    /**
     * @method _IH_InvoiceCourse_QB whereId($value)
     * @method _IH_InvoiceCourse_QB whereInvoiceId($value)
     * @method _IH_InvoiceCourse_QB whereTracking($value)
     * @method _IH_InvoiceCourse_QB whereCourseId($value)
     * @method _IH_InvoiceCourse_QB whereInstructorId($value)
     * @method _IH_InvoiceCourse_QB whereUserId($value)
     * @method _IH_InvoiceCourse_QB wherePrice($value)
     * @method _IH_InvoiceCourse_QB whereCreatedAt($value)
     * @method _IH_InvoiceCourse_QB whereUpdatedAt($value)
     * @method InvoiceCourse baseSole(array|string $columns = ['*'])
     * @method InvoiceCourse create(array $attributes = [])
     * @method _IH_InvoiceCourse_C|InvoiceCourse[] cursor()
     * @method InvoiceCourse|null|_IH_InvoiceCourse_C|InvoiceCourse[] find($id, array|string $columns = ['*'])
     * @method _IH_InvoiceCourse_C|InvoiceCourse[] findMany(array|Arrayable $ids, array|string $columns = ['*'])
     * @method InvoiceCourse|_IH_InvoiceCourse_C|InvoiceCourse[] findOr($id, array|\Closure|string $columns = ['*'], \Closure $callback = null)
     * @method InvoiceCourse|_IH_InvoiceCourse_C|InvoiceCourse[] findOrFail($id, array|string $columns = ['*'])
     * @method InvoiceCourse|_IH_InvoiceCourse_C|InvoiceCourse[] findOrNew($id, array|string $columns = ['*'])
     * @method InvoiceCourse first(array|string $columns = ['*'])
     * @method InvoiceCourse firstOr(array|\Closure|string $columns = ['*'], \Closure $callback = null)
     * @method InvoiceCourse firstOrCreate(array $attributes = [], array $values = [])
     * @method InvoiceCourse firstOrFail(array|string $columns = ['*'])
     * @method InvoiceCourse firstOrNew(array $attributes = [], array $values = [])
     * @method InvoiceCourse firstWhere(array|\Closure|Expression|string $column, $operator = null, $value = null, string $boolean = 'and')
     * @method InvoiceCourse forceCreate(array $attributes)
     * @method _IH_InvoiceCourse_C|InvoiceCourse[] fromQuery(string $query, array $bindings = [])
     * @method _IH_InvoiceCourse_C|InvoiceCourse[] get(array|string $columns = ['*'])
     * @method InvoiceCourse getModel()
     * @method InvoiceCourse[] getModels(array|string $columns = ['*'])
     * @method _IH_InvoiceCourse_C|InvoiceCourse[] hydrate(array $items)
     * @method _IH_InvoiceCourse_C|InvoiceCourse[] lazy(int $chunkSize = 1000)
     * @method _IH_InvoiceCourse_C|InvoiceCourse[] lazyById(int $chunkSize = 1000, null|string $column = null, null|string $alias = null)
     * @method _IH_InvoiceCourse_C|InvoiceCourse[] lazyByIdDesc(int $chunkSize = 1000, null|string $column = null, null|string $alias = null)
     * @method InvoiceCourse make(array $attributes = [])
     * @method InvoiceCourse newModelInstance(array $attributes = [])
     * @method LengthAwarePaginator|InvoiceCourse[]|_IH_InvoiceCourse_C paginate(\Closure|int|null $perPage = null, array|string $columns = ['*'], string $pageName = 'page', int|null $page = null)
     * @method Paginator|InvoiceCourse[]|_IH_InvoiceCourse_C simplePaginate(int|null $perPage = null, array|string $columns = ['*'], string $pageName = 'page', int|null $page = null)
     * @method InvoiceCourse sole(array|string $columns = ['*'])
     * @method InvoiceCourse updateOrCreate(array $attributes, array $values = [])
     */
    class _IH_InvoiceCourse_QB extends _BaseBuilder {}
    
    /**
     * @method InvoiceOfflinePayment|null getOrPut($key, \Closure $value)
     * @method InvoiceOfflinePayment|$this shift(int $count = 1)
     * @method InvoiceOfflinePayment|null firstOrFail(callable|string $key = null, $operator = null, $value = null)
     * @method InvoiceOfflinePayment|$this pop(int $count = 1)
     * @method InvoiceOfflinePayment|null pull($key, \Closure $default = null)
     * @method InvoiceOfflinePayment|null last(callable $callback = null, \Closure $default = null)
     * @method InvoiceOfflinePayment|$this random(callable|int|null $number = null, bool $preserveKeys = false)
     * @method InvoiceOfflinePayment|null sole(callable|string $key = null, $operator = null, $value = null)
     * @method InvoiceOfflinePayment|null get($key, \Closure $default = null)
     * @method InvoiceOfflinePayment|null first(callable $callback = null, \Closure $default = null)
     * @method InvoiceOfflinePayment|null firstWhere(callable|string $key, $operator = null, $value = null)
     * @method InvoiceOfflinePayment|null find($key, $default = null)
     * @method InvoiceOfflinePayment[] all()
     */
    class _IH_InvoiceOfflinePayment_C extends _BaseCollection {
        /**
         * @param int $size
         * @return InvoiceOfflinePayment[][]|Collection<_IH_InvoiceOfflinePayment_C>
         */
        public function chunk($size)
        {
            return [];
        }
    }
    
    /**
     * @method _IH_InvoiceOfflinePayment_QB whereId($value)
     * @method _IH_InvoiceOfflinePayment_QB whereInvoiceId($value)
     * @method _IH_InvoiceOfflinePayment_QB whereCheckoutId($value)
     * @method _IH_InvoiceOfflinePayment_QB whereUserId($value)
     * @method _IH_InvoiceOfflinePayment_QB whereBankName($value)
     * @method _IH_InvoiceOfflinePayment_QB whereAccountHolder($value)
     * @method _IH_InvoiceOfflinePayment_QB whereBranchName($value)
     * @method _IH_InvoiceOfflinePayment_QB whereAmount($value)
     * @method _IH_InvoiceOfflinePayment_QB whereAccountNumber($value)
     * @method _IH_InvoiceOfflinePayment_QB whereImage($value)
     * @method _IH_InvoiceOfflinePayment_QB whereStatus($value)
     * @method _IH_InvoiceOfflinePayment_QB whereAcceptOrReject($value)
     * @method _IH_InvoiceOfflinePayment_QB whereCreatedAt($value)
     * @method _IH_InvoiceOfflinePayment_QB whereUpdatedAt($value)
     * @method InvoiceOfflinePayment baseSole(array|string $columns = ['*'])
     * @method InvoiceOfflinePayment create(array $attributes = [])
     * @method _IH_InvoiceOfflinePayment_C|InvoiceOfflinePayment[] cursor()
     * @method InvoiceOfflinePayment|null|_IH_InvoiceOfflinePayment_C|InvoiceOfflinePayment[] find($id, array|string $columns = ['*'])
     * @method _IH_InvoiceOfflinePayment_C|InvoiceOfflinePayment[] findMany(array|Arrayable $ids, array|string $columns = ['*'])
     * @method InvoiceOfflinePayment|_IH_InvoiceOfflinePayment_C|InvoiceOfflinePayment[] findOr($id, array|\Closure|string $columns = ['*'], \Closure $callback = null)
     * @method InvoiceOfflinePayment|_IH_InvoiceOfflinePayment_C|InvoiceOfflinePayment[] findOrFail($id, array|string $columns = ['*'])
     * @method InvoiceOfflinePayment|_IH_InvoiceOfflinePayment_C|InvoiceOfflinePayment[] findOrNew($id, array|string $columns = ['*'])
     * @method InvoiceOfflinePayment first(array|string $columns = ['*'])
     * @method InvoiceOfflinePayment firstOr(array|\Closure|string $columns = ['*'], \Closure $callback = null)
     * @method InvoiceOfflinePayment firstOrCreate(array $attributes = [], array $values = [])
     * @method InvoiceOfflinePayment firstOrFail(array|string $columns = ['*'])
     * @method InvoiceOfflinePayment firstOrNew(array $attributes = [], array $values = [])
     * @method InvoiceOfflinePayment firstWhere(array|\Closure|Expression|string $column, $operator = null, $value = null, string $boolean = 'and')
     * @method InvoiceOfflinePayment forceCreate(array $attributes)
     * @method _IH_InvoiceOfflinePayment_C|InvoiceOfflinePayment[] fromQuery(string $query, array $bindings = [])
     * @method _IH_InvoiceOfflinePayment_C|InvoiceOfflinePayment[] get(array|string $columns = ['*'])
     * @method InvoiceOfflinePayment getModel()
     * @method InvoiceOfflinePayment[] getModels(array|string $columns = ['*'])
     * @method _IH_InvoiceOfflinePayment_C|InvoiceOfflinePayment[] hydrate(array $items)
     * @method _IH_InvoiceOfflinePayment_C|InvoiceOfflinePayment[] lazy(int $chunkSize = 1000)
     * @method _IH_InvoiceOfflinePayment_C|InvoiceOfflinePayment[] lazyById(int $chunkSize = 1000, null|string $column = null, null|string $alias = null)
     * @method _IH_InvoiceOfflinePayment_C|InvoiceOfflinePayment[] lazyByIdDesc(int $chunkSize = 1000, null|string $column = null, null|string $alias = null)
     * @method InvoiceOfflinePayment make(array $attributes = [])
     * @method InvoiceOfflinePayment newModelInstance(array $attributes = [])
     * @method LengthAwarePaginator|InvoiceOfflinePayment[]|_IH_InvoiceOfflinePayment_C paginate(\Closure|int|null $perPage = null, array|string $columns = ['*'], string $pageName = 'page', int|null $page = null)
     * @method Paginator|InvoiceOfflinePayment[]|_IH_InvoiceOfflinePayment_C simplePaginate(int|null $perPage = null, array|string $columns = ['*'], string $pageName = 'page', int|null $page = null)
     * @method InvoiceOfflinePayment sole(array|string $columns = ['*'])
     * @method InvoiceOfflinePayment updateOrCreate(array $attributes, array $values = [])
     */
    class _IH_InvoiceOfflinePayment_QB extends _BaseBuilder {}
    
    /**
     * @method InvoiceSetting|null getOrPut($key, \Closure $value)
     * @method InvoiceSetting|$this shift(int $count = 1)
     * @method InvoiceSetting|null firstOrFail(callable|string $key = null, $operator = null, $value = null)
     * @method InvoiceSetting|$this pop(int $count = 1)
     * @method InvoiceSetting|null pull($key, \Closure $default = null)
     * @method InvoiceSetting|null last(callable $callback = null, \Closure $default = null)
     * @method InvoiceSetting|$this random(callable|int|null $number = null, bool $preserveKeys = false)
     * @method InvoiceSetting|null sole(callable|string $key = null, $operator = null, $value = null)
     * @method InvoiceSetting|null get($key, \Closure $default = null)
     * @method InvoiceSetting|null first(callable $callback = null, \Closure $default = null)
     * @method InvoiceSetting|null firstWhere(callable|string $key, $operator = null, $value = null)
     * @method InvoiceSetting|null find($key, $default = null)
     * @method InvoiceSetting[] all()
     */
    class _IH_InvoiceSetting_C extends _BaseCollection {
        /**
         * @param int $size
         * @return InvoiceSetting[][]|Collection<_IH_InvoiceSetting_C>
         */
        public function chunk($size)
        {
            return [];
        }
    }
    
    /**
     * @method _IH_InvoiceSetting_QB whereId($value)
     * @method _IH_InvoiceSetting_QB whereFooterText($value)
     * @method _IH_InvoiceSetting_QB wherePrefix($value)
     * @method _IH_InvoiceSetting_QB whereCreatedAt($value)
     * @method _IH_InvoiceSetting_QB whereUpdatedAt($value)
     * @method InvoiceSetting baseSole(array|string $columns = ['*'])
     * @method InvoiceSetting create(array $attributes = [])
     * @method _IH_InvoiceSetting_C|InvoiceSetting[] cursor()
     * @method InvoiceSetting|null|_IH_InvoiceSetting_C|InvoiceSetting[] find($id, array|string $columns = ['*'])
     * @method _IH_InvoiceSetting_C|InvoiceSetting[] findMany(array|Arrayable $ids, array|string $columns = ['*'])
     * @method InvoiceSetting|_IH_InvoiceSetting_C|InvoiceSetting[] findOr($id, array|\Closure|string $columns = ['*'], \Closure $callback = null)
     * @method InvoiceSetting|_IH_InvoiceSetting_C|InvoiceSetting[] findOrFail($id, array|string $columns = ['*'])
     * @method InvoiceSetting|_IH_InvoiceSetting_C|InvoiceSetting[] findOrNew($id, array|string $columns = ['*'])
     * @method InvoiceSetting first(array|string $columns = ['*'])
     * @method InvoiceSetting firstOr(array|\Closure|string $columns = ['*'], \Closure $callback = null)
     * @method InvoiceSetting firstOrCreate(array $attributes = [], array $values = [])
     * @method InvoiceSetting firstOrFail(array|string $columns = ['*'])
     * @method InvoiceSetting firstOrNew(array $attributes = [], array $values = [])
     * @method InvoiceSetting firstWhere(array|\Closure|Expression|string $column, $operator = null, $value = null, string $boolean = 'and')
     * @method InvoiceSetting forceCreate(array $attributes)
     * @method _IH_InvoiceSetting_C|InvoiceSetting[] fromQuery(string $query, array $bindings = [])
     * @method _IH_InvoiceSetting_C|InvoiceSetting[] get(array|string $columns = ['*'])
     * @method InvoiceSetting getModel()
     * @method InvoiceSetting[] getModels(array|string $columns = ['*'])
     * @method _IH_InvoiceSetting_C|InvoiceSetting[] hydrate(array $items)
     * @method _IH_InvoiceSetting_C|InvoiceSetting[] lazy(int $chunkSize = 1000)
     * @method _IH_InvoiceSetting_C|InvoiceSetting[] lazyById(int $chunkSize = 1000, null|string $column = null, null|string $alias = null)
     * @method _IH_InvoiceSetting_C|InvoiceSetting[] lazyByIdDesc(int $chunkSize = 1000, null|string $column = null, null|string $alias = null)
     * @method InvoiceSetting make(array $attributes = [])
     * @method InvoiceSetting newModelInstance(array $attributes = [])
     * @method LengthAwarePaginator|InvoiceSetting[]|_IH_InvoiceSetting_C paginate(\Closure|int|null $perPage = null, array|string $columns = ['*'], string $pageName = 'page', int|null $page = null)
     * @method Paginator|InvoiceSetting[]|_IH_InvoiceSetting_C simplePaginate(int|null $perPage = null, array|string $columns = ['*'], string $pageName = 'page', int|null $page = null)
     * @method InvoiceSetting sole(array|string $columns = ['*'])
     * @method InvoiceSetting updateOrCreate(array $attributes, array $values = [])
     */
    class _IH_InvoiceSetting_QB extends _BaseBuilder {}
    
    /**
     * @method Invoice|null getOrPut($key, \Closure $value)
     * @method Invoice|$this shift(int $count = 1)
     * @method Invoice|null firstOrFail(callable|string $key = null, $operator = null, $value = null)
     * @method Invoice|$this pop(int $count = 1)
     * @method Invoice|null pull($key, \Closure $default = null)
     * @method Invoice|null last(callable $callback = null, \Closure $default = null)
     * @method Invoice|$this random(callable|int|null $number = null, bool $preserveKeys = false)
     * @method Invoice|null sole(callable|string $key = null, $operator = null, $value = null)
     * @method Invoice|null get($key, \Closure $default = null)
     * @method Invoice|null first(callable $callback = null, \Closure $default = null)
     * @method Invoice|null firstWhere(callable|string $key, $operator = null, $value = null)
     * @method Invoice|null find($key, $default = null)
     * @method Invoice[] all()
     */
    class _IH_Invoice_C extends _BaseCollection {
        /**
         * @param int $size
         * @return Invoice[][]|Collection<_IH_Invoice_C>
         */
        public function chunk($size)
        {
            return [];
        }
    }
    
    /**
     * @method _IH_Invoice_QB whereId($value)
     * @method _IH_Invoice_QB whereTracking($value)
     * @method _IH_Invoice_QB whereInvoiceNumber($value)
     * @method _IH_Invoice_QB whereUserId($value)
     * @method _IH_Invoice_QB whereCheckoutId($value)
     * @method _IH_Invoice_QB whereBillingDetailId($value)
     * @method _IH_Invoice_QB wherePackageId($value)
     * @method _IH_Invoice_QB whereCouponId($value)
     * @method _IH_Invoice_QB whereDiscount($value)
     * @method _IH_Invoice_QB wherePurchasePrice($value)
     * @method _IH_Invoice_QB wherePrice($value)
     * @method _IH_Invoice_QB whereStatus($value)
     * @method _IH_Invoice_QB wherePaymentMethod($value)
     * @method _IH_Invoice_QB wherePaymentType($value)
     * @method _IH_Invoice_QB whereResponse($value)
     * @method _IH_Invoice_QB whereCreatedBy($value)
     * @method _IH_Invoice_QB whereCreatedAt($value)
     * @method _IH_Invoice_QB whereUpdatedAt($value)
     * @method Invoice baseSole(array|string $columns = ['*'])
     * @method Invoice create(array $attributes = [])
     * @method _IH_Invoice_C|Invoice[] cursor()
     * @method Invoice|null|_IH_Invoice_C|Invoice[] find($id, array|string $columns = ['*'])
     * @method _IH_Invoice_C|Invoice[] findMany(array|Arrayable $ids, array|string $columns = ['*'])
     * @method Invoice|_IH_Invoice_C|Invoice[] findOr($id, array|\Closure|string $columns = ['*'], \Closure $callback = null)
     * @method Invoice|_IH_Invoice_C|Invoice[] findOrFail($id, array|string $columns = ['*'])
     * @method Invoice|_IH_Invoice_C|Invoice[] findOrNew($id, array|string $columns = ['*'])
     * @method Invoice first(array|string $columns = ['*'])
     * @method Invoice firstOr(array|\Closure|string $columns = ['*'], \Closure $callback = null)
     * @method Invoice firstOrCreate(array $attributes = [], array $values = [])
     * @method Invoice firstOrFail(array|string $columns = ['*'])
     * @method Invoice firstOrNew(array $attributes = [], array $values = [])
     * @method Invoice firstWhere(array|\Closure|Expression|string $column, $operator = null, $value = null, string $boolean = 'and')
     * @method Invoice forceCreate(array $attributes)
     * @method _IH_Invoice_C|Invoice[] fromQuery(string $query, array $bindings = [])
     * @method _IH_Invoice_C|Invoice[] get(array|string $columns = ['*'])
     * @method Invoice getModel()
     * @method Invoice[] getModels(array|string $columns = ['*'])
     * @method _IH_Invoice_C|Invoice[] hydrate(array $items)
     * @method _IH_Invoice_C|Invoice[] lazy(int $chunkSize = 1000)
     * @method _IH_Invoice_C|Invoice[] lazyById(int $chunkSize = 1000, null|string $column = null, null|string $alias = null)
     * @method _IH_Invoice_C|Invoice[] lazyByIdDesc(int $chunkSize = 1000, null|string $column = null, null|string $alias = null)
     * @method Invoice make(array $attributes = [])
     * @method Invoice newModelInstance(array $attributes = [])
     * @method LengthAwarePaginator|Invoice[]|_IH_Invoice_C paginate(\Closure|int|null $perPage = null, array|string $columns = ['*'], string $pageName = 'page', int|null $page = null)
     * @method Paginator|Invoice[]|_IH_Invoice_C simplePaginate(int|null $perPage = null, array|string $columns = ['*'], string $pageName = 'page', int|null $page = null)
     * @method Invoice sole(array|string $columns = ['*'])
     * @method Invoice updateOrCreate(array $attributes, array $values = [])
     */
    class _IH_Invoice_QB extends _BaseBuilder {}
    
    /**
     * @method OrderCertificate|null getOrPut($key, \Closure $value)
     * @method OrderCertificate|$this shift(int $count = 1)
     * @method OrderCertificate|null firstOrFail(callable|string $key = null, $operator = null, $value = null)
     * @method OrderCertificate|$this pop(int $count = 1)
     * @method OrderCertificate|null pull($key, \Closure $default = null)
     * @method OrderCertificate|null last(callable $callback = null, \Closure $default = null)
     * @method OrderCertificate|$this random(callable|int|null $number = null, bool $preserveKeys = false)
     * @method OrderCertificate|null sole(callable|string $key = null, $operator = null, $value = null)
     * @method OrderCertificate|null get($key, \Closure $default = null)
     * @method OrderCertificate|null first(callable $callback = null, \Closure $default = null)
     * @method OrderCertificate|null firstWhere(callable|string $key, $operator = null, $value = null)
     * @method OrderCertificate|null find($key, $default = null)
     * @method OrderCertificate[] all()
     */
    class _IH_OrderCertificate_C extends _BaseCollection {
        /**
         * @param int $size
         * @return OrderCertificate[][]|Collection<_IH_OrderCertificate_C>
         */
        public function chunk($size)
        {
            return [];
        }
    }
    
    /**
     * @method _IH_OrderCertificate_QB whereId($value)
     * @method _IH_OrderCertificate_QB whereTracking($value)
     * @method _IH_OrderCertificate_QB whereCheckoutId($value)
     * @method _IH_OrderCertificate_QB whereCertificateId($value)
     * @method _IH_OrderCertificate_QB wherePrice($value)
     * @method _IH_OrderCertificate_QB whereCourseId($value)
     * @method _IH_OrderCertificate_QB whereUserId($value)
     * @method _IH_OrderCertificate_QB whereStatus($value)
     * @method _IH_OrderCertificate_QB whereAccepted($value)
     * @method _IH_OrderCertificate_QB wherePaymentStatus($value)
     * @method _IH_OrderCertificate_QB whereCreatedAt($value)
     * @method _IH_OrderCertificate_QB whereUpdatedAt($value)
     * @method OrderCertificate baseSole(array|string $columns = ['*'])
     * @method OrderCertificate create(array $attributes = [])
     * @method _IH_OrderCertificate_C|OrderCertificate[] cursor()
     * @method OrderCertificate|null|_IH_OrderCertificate_C|OrderCertificate[] find($id, array|string $columns = ['*'])
     * @method _IH_OrderCertificate_C|OrderCertificate[] findMany(array|Arrayable $ids, array|string $columns = ['*'])
     * @method OrderCertificate|_IH_OrderCertificate_C|OrderCertificate[] findOr($id, array|\Closure|string $columns = ['*'], \Closure $callback = null)
     * @method OrderCertificate|_IH_OrderCertificate_C|OrderCertificate[] findOrFail($id, array|string $columns = ['*'])
     * @method OrderCertificate|_IH_OrderCertificate_C|OrderCertificate[] findOrNew($id, array|string $columns = ['*'])
     * @method OrderCertificate first(array|string $columns = ['*'])
     * @method OrderCertificate firstOr(array|\Closure|string $columns = ['*'], \Closure $callback = null)
     * @method OrderCertificate firstOrCreate(array $attributes = [], array $values = [])
     * @method OrderCertificate firstOrFail(array|string $columns = ['*'])
     * @method OrderCertificate firstOrNew(array $attributes = [], array $values = [])
     * @method OrderCertificate firstWhere(array|\Closure|Expression|string $column, $operator = null, $value = null, string $boolean = 'and')
     * @method OrderCertificate forceCreate(array $attributes)
     * @method _IH_OrderCertificate_C|OrderCertificate[] fromQuery(string $query, array $bindings = [])
     * @method _IH_OrderCertificate_C|OrderCertificate[] get(array|string $columns = ['*'])
     * @method OrderCertificate getModel()
     * @method OrderCertificate[] getModels(array|string $columns = ['*'])
     * @method _IH_OrderCertificate_C|OrderCertificate[] hydrate(array $items)
     * @method _IH_OrderCertificate_C|OrderCertificate[] lazy(int $chunkSize = 1000)
     * @method _IH_OrderCertificate_C|OrderCertificate[] lazyById(int $chunkSize = 1000, null|string $column = null, null|string $alias = null)
     * @method _IH_OrderCertificate_C|OrderCertificate[] lazyByIdDesc(int $chunkSize = 1000, null|string $column = null, null|string $alias = null)
     * @method OrderCertificate make(array $attributes = [])
     * @method OrderCertificate newModelInstance(array $attributes = [])
     * @method LengthAwarePaginator|OrderCertificate[]|_IH_OrderCertificate_C paginate(\Closure|int|null $perPage = null, array|string $columns = ['*'], string $pageName = 'page', int|null $page = null)
     * @method Paginator|OrderCertificate[]|_IH_OrderCertificate_C simplePaginate(int|null $perPage = null, array|string $columns = ['*'], string $pageName = 'page', int|null $page = null)
     * @method OrderCertificate sole(array|string $columns = ['*'])
     * @method OrderCertificate updateOrCreate(array $attributes, array $values = [])
     */
    class _IH_OrderCertificate_QB extends _BaseBuilder {}
    
    /**
     * @method PrintedCertificate|null getOrPut($key, \Closure $value)
     * @method PrintedCertificate|$this shift(int $count = 1)
     * @method PrintedCertificate|null firstOrFail(callable|string $key = null, $operator = null, $value = null)
     * @method PrintedCertificate|$this pop(int $count = 1)
     * @method PrintedCertificate|null pull($key, \Closure $default = null)
     * @method PrintedCertificate|null last(callable $callback = null, \Closure $default = null)
     * @method PrintedCertificate|$this random(callable|int|null $number = null, bool $preserveKeys = false)
     * @method PrintedCertificate|null sole(callable|string $key = null, $operator = null, $value = null)
     * @method PrintedCertificate|null get($key, \Closure $default = null)
     * @method PrintedCertificate|null first(callable $callback = null, \Closure $default = null)
     * @method PrintedCertificate|null firstWhere(callable|string $key, $operator = null, $value = null)
     * @method PrintedCertificate|null find($key, $default = null)
     * @method PrintedCertificate[] all()
     */
    class _IH_PrintedCertificate_C extends _BaseCollection {
        /**
         * @param int $size
         * @return PrintedCertificate[][]|Collection<_IH_PrintedCertificate_C>
         */
        public function chunk($size)
        {
            return [];
        }
    }
    
    /**
     * @method _IH_PrintedCertificate_QB whereId($value)
     * @method _IH_PrintedCertificate_QB whereTitle($value)
     * @method _IH_PrintedCertificate_QB wherePrice($value)
     * @method _IH_PrintedCertificate_QB whereCreatedAt($value)
     * @method _IH_PrintedCertificate_QB whereUpdatedAt($value)
     * @method PrintedCertificate baseSole(array|string $columns = ['*'])
     * @method PrintedCertificate create(array $attributes = [])
     * @method _IH_PrintedCertificate_C|PrintedCertificate[] cursor()
     * @method PrintedCertificate|null|_IH_PrintedCertificate_C|PrintedCertificate[] find($id, array|string $columns = ['*'])
     * @method _IH_PrintedCertificate_C|PrintedCertificate[] findMany(array|Arrayable $ids, array|string $columns = ['*'])
     * @method PrintedCertificate|_IH_PrintedCertificate_C|PrintedCertificate[] findOr($id, array|\Closure|string $columns = ['*'], \Closure $callback = null)
     * @method PrintedCertificate|_IH_PrintedCertificate_C|PrintedCertificate[] findOrFail($id, array|string $columns = ['*'])
     * @method PrintedCertificate|_IH_PrintedCertificate_C|PrintedCertificate[] findOrNew($id, array|string $columns = ['*'])
     * @method PrintedCertificate first(array|string $columns = ['*'])
     * @method PrintedCertificate firstOr(array|\Closure|string $columns = ['*'], \Closure $callback = null)
     * @method PrintedCertificate firstOrCreate(array $attributes = [], array $values = [])
     * @method PrintedCertificate firstOrFail(array|string $columns = ['*'])
     * @method PrintedCertificate firstOrNew(array $attributes = [], array $values = [])
     * @method PrintedCertificate firstWhere(array|\Closure|Expression|string $column, $operator = null, $value = null, string $boolean = 'and')
     * @method PrintedCertificate forceCreate(array $attributes)
     * @method _IH_PrintedCertificate_C|PrintedCertificate[] fromQuery(string $query, array $bindings = [])
     * @method _IH_PrintedCertificate_C|PrintedCertificate[] get(array|string $columns = ['*'])
     * @method PrintedCertificate getModel()
     * @method PrintedCertificate[] getModels(array|string $columns = ['*'])
     * @method _IH_PrintedCertificate_C|PrintedCertificate[] hydrate(array $items)
     * @method _IH_PrintedCertificate_C|PrintedCertificate[] lazy(int $chunkSize = 1000)
     * @method _IH_PrintedCertificate_C|PrintedCertificate[] lazyById(int $chunkSize = 1000, null|string $column = null, null|string $alias = null)
     * @method _IH_PrintedCertificate_C|PrintedCertificate[] lazyByIdDesc(int $chunkSize = 1000, null|string $column = null, null|string $alias = null)
     * @method PrintedCertificate make(array $attributes = [])
     * @method PrintedCertificate newModelInstance(array $attributes = [])
     * @method LengthAwarePaginator|PrintedCertificate[]|_IH_PrintedCertificate_C paginate(\Closure|int|null $perPage = null, array|string $columns = ['*'], string $pageName = 'page', int|null $page = null)
     * @method Paginator|PrintedCertificate[]|_IH_PrintedCertificate_C simplePaginate(int|null $perPage = null, array|string $columns = ['*'], string $pageName = 'page', int|null $page = null)
     * @method PrintedCertificate sole(array|string $columns = ['*'])
     * @method PrintedCertificate updateOrCreate(array $attributes, array $values = [])
     */
    class _IH_PrintedCertificate_QB extends _BaseBuilder {}
}