<?php //c937a4b8e61d8071e6473e46f8e9aa4d
/** @noinspection all */

namespace LaravelIdea\Helper\App\Models {

    use App\Models\DeleteAccountRequest;
    use App\Models\Language;
    use App\Models\LmsBadge;
    use App\Models\LmsInstitute;
    use App\Models\SpnCity;
    use App\Models\User;
    use App\Models\UserDocument;
    use App\Models\UserEducation;
    use App\Models\UserExperience;
    use App\Models\UserFollower;
    use App\Models\UserInfo;
    use App\Models\UserInstantMessage;
    use App\Models\UserSkill;
    use Illuminate\Contracts\Database\Query\Expression;
    use Illuminate\Contracts\Support\Arrayable;
    use Illuminate\Pagination\LengthAwarePaginator;
    use Illuminate\Pagination\Paginator;
    use Illuminate\Support\Collection;
    use LaravelIdea\Helper\_BaseBuilder;
    use LaravelIdea\Helper\_BaseCollection;
    
    /**
     * @method DeleteAccountRequest|null getOrPut($key, \Closure $value)
     * @method DeleteAccountRequest|$this shift(int $count = 1)
     * @method DeleteAccountRequest|null firstOrFail(callable|string $key = null, $operator = null, $value = null)
     * @method DeleteAccountRequest|$this pop(int $count = 1)
     * @method DeleteAccountRequest|null pull($key, \Closure $default = null)
     * @method DeleteAccountRequest|null last(callable $callback = null, \Closure $default = null)
     * @method DeleteAccountRequest|$this random(callable|int|null $number = null, bool $preserveKeys = false)
     * @method DeleteAccountRequest|null sole(callable|string $key = null, $operator = null, $value = null)
     * @method DeleteAccountRequest|null get($key, \Closure $default = null)
     * @method DeleteAccountRequest|null first(callable $callback = null, \Closure $default = null)
     * @method DeleteAccountRequest|null firstWhere(callable|string $key, $operator = null, $value = null)
     * @method DeleteAccountRequest|null find($key, $default = null)
     * @method DeleteAccountRequest[] all()
     */
    class _IH_DeleteAccountRequest_C extends _BaseCollection {
        /**
         * @param int $size
         * @return DeleteAccountRequest[][]|Collection<_IH_DeleteAccountRequest_C>
         */
        public function chunk($size)
        {
            return [];
        }
    }
    
    /**
     * @method _IH_DeleteAccountRequest_QB whereId($value)
     * @method _IH_DeleteAccountRequest_QB whereUserId($value)
     * @method _IH_DeleteAccountRequest_QB whereCreatedAt($value)
     * @method _IH_DeleteAccountRequest_QB whereUpdatedAt($value)
     * @method DeleteAccountRequest baseSole(array|string $columns = ['*'])
     * @method DeleteAccountRequest create(array $attributes = [])
     * @method _IH_DeleteAccountRequest_C|DeleteAccountRequest[] cursor()
     * @method DeleteAccountRequest|null|_IH_DeleteAccountRequest_C|DeleteAccountRequest[] find($id, array|string $columns = ['*'])
     * @method _IH_DeleteAccountRequest_C|DeleteAccountRequest[] findMany(array|Arrayable $ids, array|string $columns = ['*'])
     * @method DeleteAccountRequest|_IH_DeleteAccountRequest_C|DeleteAccountRequest[] findOr($id, array|\Closure|string $columns = ['*'], \Closure $callback = null)
     * @method DeleteAccountRequest|_IH_DeleteAccountRequest_C|DeleteAccountRequest[] findOrFail($id, array|string $columns = ['*'])
     * @method DeleteAccountRequest|_IH_DeleteAccountRequest_C|DeleteAccountRequest[] findOrNew($id, array|string $columns = ['*'])
     * @method DeleteAccountRequest first(array|string $columns = ['*'])
     * @method DeleteAccountRequest firstOr(array|\Closure|string $columns = ['*'], \Closure $callback = null)
     * @method DeleteAccountRequest firstOrCreate(array $attributes = [], array $values = [])
     * @method DeleteAccountRequest firstOrFail(array|string $columns = ['*'])
     * @method DeleteAccountRequest firstOrNew(array $attributes = [], array $values = [])
     * @method DeleteAccountRequest firstWhere(array|\Closure|Expression|string $column, $operator = null, $value = null, string $boolean = 'and')
     * @method DeleteAccountRequest forceCreate(array $attributes)
     * @method _IH_DeleteAccountRequest_C|DeleteAccountRequest[] fromQuery(string $query, array $bindings = [])
     * @method _IH_DeleteAccountRequest_C|DeleteAccountRequest[] get(array|string $columns = ['*'])
     * @method DeleteAccountRequest getModel()
     * @method DeleteAccountRequest[] getModels(array|string $columns = ['*'])
     * @method _IH_DeleteAccountRequest_C|DeleteAccountRequest[] hydrate(array $items)
     * @method _IH_DeleteAccountRequest_C|DeleteAccountRequest[] lazy(int $chunkSize = 1000)
     * @method _IH_DeleteAccountRequest_C|DeleteAccountRequest[] lazyById(int $chunkSize = 1000, null|string $column = null, null|string $alias = null)
     * @method _IH_DeleteAccountRequest_C|DeleteAccountRequest[] lazyByIdDesc(int $chunkSize = 1000, null|string $column = null, null|string $alias = null)
     * @method DeleteAccountRequest make(array $attributes = [])
     * @method DeleteAccountRequest newModelInstance(array $attributes = [])
     * @method LengthAwarePaginator|DeleteAccountRequest[]|_IH_DeleteAccountRequest_C paginate(\Closure|int|null $perPage = null, array|string $columns = ['*'], string $pageName = 'page', int|null $page = null)
     * @method Paginator|DeleteAccountRequest[]|_IH_DeleteAccountRequest_C simplePaginate(int|null $perPage = null, array|string $columns = ['*'], string $pageName = 'page', int|null $page = null)
     * @method DeleteAccountRequest sole(array|string $columns = ['*'])
     * @method DeleteAccountRequest updateOrCreate(array $attributes, array $values = [])
     */
    class _IH_DeleteAccountRequest_QB extends _BaseBuilder {}
    
    /**
     * @method Language|null getOrPut($key, \Closure $value)
     * @method Language|$this shift(int $count = 1)
     * @method Language|null firstOrFail(callable|string $key = null, $operator = null, $value = null)
     * @method Language|$this pop(int $count = 1)
     * @method Language|null pull($key, \Closure $default = null)
     * @method Language|null last(callable $callback = null, \Closure $default = null)
     * @method Language|$this random(callable|int|null $number = null, bool $preserveKeys = false)
     * @method Language|null sole(callable|string $key = null, $operator = null, $value = null)
     * @method Language|null get($key, \Closure $default = null)
     * @method Language|null first(callable $callback = null, \Closure $default = null)
     * @method Language|null firstWhere(callable|string $key, $operator = null, $value = null)
     * @method Language|null find($key, $default = null)
     * @method Language[] all()
     */
    class _IH_Language_C extends _BaseCollection {
        /**
         * @param int $size
         * @return Language[][]|Collection<_IH_Language_C>
         */
        public function chunk($size)
        {
            return [];
        }
    }
    
    /**
     * @method _IH_Language_QB whereId($value)
     * @method _IH_Language_QB whereCode($value)
     * @method _IH_Language_QB whereName($value)
     * @method _IH_Language_QB whereNative($value)
     * @method _IH_Language_QB whereRtl($value)
     * @method _IH_Language_QB whereStatus($value)
     * @method _IH_Language_QB whereJsonExist($value)
     * @method _IH_Language_QB whereCreatedAt($value)
     * @method _IH_Language_QB whereUpdatedAt($value)
     * @method Language baseSole(array|string $columns = ['*'])
     * @method Language create(array $attributes = [])
     * @method _IH_Language_C|Language[] cursor()
     * @method Language|null|_IH_Language_C|Language[] find($id, array|string $columns = ['*'])
     * @method _IH_Language_C|Language[] findMany(array|Arrayable $ids, array|string $columns = ['*'])
     * @method Language|_IH_Language_C|Language[] findOr($id, array|\Closure|string $columns = ['*'], \Closure $callback = null)
     * @method Language|_IH_Language_C|Language[] findOrFail($id, array|string $columns = ['*'])
     * @method Language|_IH_Language_C|Language[] findOrNew($id, array|string $columns = ['*'])
     * @method Language first(array|string $columns = ['*'])
     * @method Language firstOr(array|\Closure|string $columns = ['*'], \Closure $callback = null)
     * @method Language firstOrCreate(array $attributes = [], array $values = [])
     * @method Language firstOrFail(array|string $columns = ['*'])
     * @method Language firstOrNew(array $attributes = [], array $values = [])
     * @method Language firstWhere(array|\Closure|Expression|string $column, $operator = null, $value = null, string $boolean = 'and')
     * @method Language forceCreate(array $attributes)
     * @method _IH_Language_C|Language[] fromQuery(string $query, array $bindings = [])
     * @method _IH_Language_C|Language[] get(array|string $columns = ['*'])
     * @method Language getModel()
     * @method Language[] getModels(array|string $columns = ['*'])
     * @method _IH_Language_C|Language[] hydrate(array $items)
     * @method _IH_Language_C|Language[] lazy(int $chunkSize = 1000)
     * @method _IH_Language_C|Language[] lazyById(int $chunkSize = 1000, null|string $column = null, null|string $alias = null)
     * @method _IH_Language_C|Language[] lazyByIdDesc(int $chunkSize = 1000, null|string $column = null, null|string $alias = null)
     * @method Language make(array $attributes = [])
     * @method Language newModelInstance(array $attributes = [])
     * @method LengthAwarePaginator|Language[]|_IH_Language_C paginate(\Closure|int|null $perPage = null, array|string $columns = ['*'], string $pageName = 'page', int|null $page = null)
     * @method Paginator|Language[]|_IH_Language_C simplePaginate(int|null $perPage = null, array|string $columns = ['*'], string $pageName = 'page', int|null $page = null)
     * @method Language sole(array|string $columns = ['*'])
     * @method Language updateOrCreate(array $attributes, array $values = [])
     */
    class _IH_Language_QB extends _BaseBuilder {}
    
    /**
     * @method LmsBadge|null getOrPut($key, \Closure $value)
     * @method LmsBadge|$this shift(int $count = 1)
     * @method LmsBadge|null firstOrFail(callable|string $key = null, $operator = null, $value = null)
     * @method LmsBadge|$this pop(int $count = 1)
     * @method LmsBadge|null pull($key, \Closure $default = null)
     * @method LmsBadge|null last(callable $callback = null, \Closure $default = null)
     * @method LmsBadge|$this random(callable|int|null $number = null, bool $preserveKeys = false)
     * @method LmsBadge|null sole(callable|string $key = null, $operator = null, $value = null)
     * @method LmsBadge|null get($key, \Closure $default = null)
     * @method LmsBadge|null first(callable $callback = null, \Closure $default = null)
     * @method LmsBadge|null firstWhere(callable|string $key, $operator = null, $value = null)
     * @method LmsBadge|null find($key, $default = null)
     * @method LmsBadge[] all()
     */
    class _IH_LmsBadge_C extends _BaseCollection {
        /**
         * @param int $size
         * @return LmsBadge[][]|Collection<_IH_LmsBadge_C>
         */
        public function chunk($size)
        {
            return [];
        }
    }
    
    /**
     * @method _IH_LmsBadge_QB whereId($value)
     * @method _IH_LmsBadge_QB whereBadgeableId($value)
     * @method _IH_LmsBadge_QB whereBadgeableType($value)
     * @method _IH_LmsBadge_QB whereSkillId($value)
     * @method _IH_LmsBadge_QB whereType($value)
     * @method _IH_LmsBadge_QB whereCreatedAt($value)
     * @method _IH_LmsBadge_QB whereUpdatedAt($value)
     * @method LmsBadge baseSole(array|string $columns = ['*'])
     * @method LmsBadge create(array $attributes = [])
     * @method _IH_LmsBadge_C|LmsBadge[] cursor()
     * @method LmsBadge|null|_IH_LmsBadge_C|LmsBadge[] find($id, array|string $columns = ['*'])
     * @method _IH_LmsBadge_C|LmsBadge[] findMany(array|Arrayable $ids, array|string $columns = ['*'])
     * @method LmsBadge|_IH_LmsBadge_C|LmsBadge[] findOr($id, array|\Closure|string $columns = ['*'], \Closure $callback = null)
     * @method LmsBadge|_IH_LmsBadge_C|LmsBadge[] findOrFail($id, array|string $columns = ['*'])
     * @method LmsBadge|_IH_LmsBadge_C|LmsBadge[] findOrNew($id, array|string $columns = ['*'])
     * @method LmsBadge first(array|string $columns = ['*'])
     * @method LmsBadge firstOr(array|\Closure|string $columns = ['*'], \Closure $callback = null)
     * @method LmsBadge firstOrCreate(array $attributes = [], array $values = [])
     * @method LmsBadge firstOrFail(array|string $columns = ['*'])
     * @method LmsBadge firstOrNew(array $attributes = [], array $values = [])
     * @method LmsBadge firstWhere(array|\Closure|Expression|string $column, $operator = null, $value = null, string $boolean = 'and')
     * @method LmsBadge forceCreate(array $attributes)
     * @method _IH_LmsBadge_C|LmsBadge[] fromQuery(string $query, array $bindings = [])
     * @method _IH_LmsBadge_C|LmsBadge[] get(array|string $columns = ['*'])
     * @method LmsBadge getModel()
     * @method LmsBadge[] getModels(array|string $columns = ['*'])
     * @method _IH_LmsBadge_C|LmsBadge[] hydrate(array $items)
     * @method _IH_LmsBadge_C|LmsBadge[] lazy(int $chunkSize = 1000)
     * @method _IH_LmsBadge_C|LmsBadge[] lazyById(int $chunkSize = 1000, null|string $column = null, null|string $alias = null)
     * @method _IH_LmsBadge_C|LmsBadge[] lazyByIdDesc(int $chunkSize = 1000, null|string $column = null, null|string $alias = null)
     * @method LmsBadge make(array $attributes = [])
     * @method LmsBadge newModelInstance(array $attributes = [])
     * @method LengthAwarePaginator|LmsBadge[]|_IH_LmsBadge_C paginate(\Closure|int|null $perPage = null, array|string $columns = ['*'], string $pageName = 'page', int|null $page = null)
     * @method Paginator|LmsBadge[]|_IH_LmsBadge_C simplePaginate(int|null $perPage = null, array|string $columns = ['*'], string $pageName = 'page', int|null $page = null)
     * @method LmsBadge sole(array|string $columns = ['*'])
     * @method LmsBadge updateOrCreate(array $attributes, array $values = [])
     */
    class _IH_LmsBadge_QB extends _BaseBuilder {}
    
    /**
     * @method LmsInstitute|null getOrPut($key, \Closure $value)
     * @method LmsInstitute|$this shift(int $count = 1)
     * @method LmsInstitute|null firstOrFail(callable|string $key = null, $operator = null, $value = null)
     * @method LmsInstitute|$this pop(int $count = 1)
     * @method LmsInstitute|null pull($key, \Closure $default = null)
     * @method LmsInstitute|null last(callable $callback = null, \Closure $default = null)
     * @method LmsInstitute|$this random(callable|int|null $number = null, bool $preserveKeys = false)
     * @method LmsInstitute|null sole(callable|string $key = null, $operator = null, $value = null)
     * @method LmsInstitute|null get($key, \Closure $default = null)
     * @method LmsInstitute|null first(callable $callback = null, \Closure $default = null)
     * @method LmsInstitute|null firstWhere(callable|string $key, $operator = null, $value = null)
     * @method LmsInstitute|null find($key, $default = null)
     * @method LmsInstitute[] all()
     */
    class _IH_LmsInstitute_C extends _BaseCollection {
        /**
         * @param int $size
         * @return LmsInstitute[][]|Collection<_IH_LmsInstitute_C>
         */
        public function chunk($size)
        {
            return [];
        }
    }
    
    /**
     * @method _IH_LmsInstitute_QB whereId($value)
     * @method _IH_LmsInstitute_QB whereName($value)
     * @method _IH_LmsInstitute_QB whereDescription($value)
     * @method _IH_LmsInstitute_QB whereAddress($value)
     * @method _IH_LmsInstitute_QB wherePhone($value)
     * @method _IH_LmsInstitute_QB whereEmail($value)
     * @method _IH_LmsInstitute_QB whereDomain($value)
     * @method _IH_LmsInstitute_QB whereUserId($value)
     * @method _IH_LmsInstitute_QB whereStatus($value)
     * @method _IH_LmsInstitute_QB whereDeletedAt($value)
     * @method _IH_LmsInstitute_QB whereCreatedAt($value)
     * @method _IH_LmsInstitute_QB whereUpdatedAt($value)
     * @method _IH_LmsInstitute_QB whereParentId($value)
     * @method _IH_LmsInstitute_QB whereDbDatabase($value)
     * @method _IH_LmsInstitute_QB whereDbUsername($value)
     * @method _IH_LmsInstitute_QB whereDbPassword($value)
     * @method _IH_LmsInstitute_QB whereForceDelete($value)
     * @method LmsInstitute baseSole(array|string $columns = ['*'])
     * @method LmsInstitute create(array $attributes = [])
     * @method _IH_LmsInstitute_C|LmsInstitute[] cursor()
     * @method LmsInstitute|null|_IH_LmsInstitute_C|LmsInstitute[] find($id, array|string $columns = ['*'])
     * @method _IH_LmsInstitute_C|LmsInstitute[] findMany(array|Arrayable $ids, array|string $columns = ['*'])
     * @method LmsInstitute|_IH_LmsInstitute_C|LmsInstitute[] findOr($id, array|\Closure|string $columns = ['*'], \Closure $callback = null)
     * @method LmsInstitute|_IH_LmsInstitute_C|LmsInstitute[] findOrFail($id, array|string $columns = ['*'])
     * @method LmsInstitute|_IH_LmsInstitute_C|LmsInstitute[] findOrNew($id, array|string $columns = ['*'])
     * @method LmsInstitute first(array|string $columns = ['*'])
     * @method LmsInstitute firstOr(array|\Closure|string $columns = ['*'], \Closure $callback = null)
     * @method LmsInstitute firstOrCreate(array $attributes = [], array $values = [])
     * @method LmsInstitute firstOrFail(array|string $columns = ['*'])
     * @method LmsInstitute firstOrNew(array $attributes = [], array $values = [])
     * @method LmsInstitute firstWhere(array|\Closure|Expression|string $column, $operator = null, $value = null, string $boolean = 'and')
     * @method LmsInstitute forceCreate(array $attributes)
     * @method _IH_LmsInstitute_C|LmsInstitute[] fromQuery(string $query, array $bindings = [])
     * @method _IH_LmsInstitute_C|LmsInstitute[] get(array|string $columns = ['*'])
     * @method LmsInstitute getModel()
     * @method LmsInstitute[] getModels(array|string $columns = ['*'])
     * @method _IH_LmsInstitute_C|LmsInstitute[] hydrate(array $items)
     * @method _IH_LmsInstitute_C|LmsInstitute[] lazy(int $chunkSize = 1000)
     * @method _IH_LmsInstitute_C|LmsInstitute[] lazyById(int $chunkSize = 1000, null|string $column = null, null|string $alias = null)
     * @method _IH_LmsInstitute_C|LmsInstitute[] lazyByIdDesc(int $chunkSize = 1000, null|string $column = null, null|string $alias = null)
     * @method LmsInstitute make(array $attributes = [])
     * @method LmsInstitute newModelInstance(array $attributes = [])
     * @method LengthAwarePaginator|LmsInstitute[]|_IH_LmsInstitute_C paginate(\Closure|int|null $perPage = null, array|string $columns = ['*'], string $pageName = 'page', int|null $page = null)
     * @method Paginator|LmsInstitute[]|_IH_LmsInstitute_C simplePaginate(int|null $perPage = null, array|string $columns = ['*'], string $pageName = 'page', int|null $page = null)
     * @method LmsInstitute sole(array|string $columns = ['*'])
     * @method LmsInstitute updateOrCreate(array $attributes, array $values = [])
     */
    class _IH_LmsInstitute_QB extends _BaseBuilder {}
    
    /**
     * @method SpnCity|null getOrPut($key, \Closure $value)
     * @method SpnCity|$this shift(int $count = 1)
     * @method SpnCity|null firstOrFail(callable|string $key = null, $operator = null, $value = null)
     * @method SpnCity|$this pop(int $count = 1)
     * @method SpnCity|null pull($key, \Closure $default = null)
     * @method SpnCity|null last(callable $callback = null, \Closure $default = null)
     * @method SpnCity|$this random(callable|int|null $number = null, bool $preserveKeys = false)
     * @method SpnCity|null sole(callable|string $key = null, $operator = null, $value = null)
     * @method SpnCity|null get($key, \Closure $default = null)
     * @method SpnCity|null first(callable $callback = null, \Closure $default = null)
     * @method SpnCity|null firstWhere(callable|string $key, $operator = null, $value = null)
     * @method SpnCity|null find($key, $default = null)
     * @method SpnCity[] all()
     */
    class _IH_SpnCity_C extends _BaseCollection {
        /**
         * @param int $size
         * @return SpnCity[][]|Collection<_IH_SpnCity_C>
         */
        public function chunk($size)
        {
            return [];
        }
    }
    
    /**
     * @method _IH_SpnCity_QB whereId($value)
     * @method _IH_SpnCity_QB whereName($value)
     * @method _IH_SpnCity_QB whereStateId($value)
     * @method _IH_SpnCity_QB whereCountryId($value)
     * @method _IH_SpnCity_QB whereFlag($value)
     * @method _IH_SpnCity_QB whereCreatedAt($value)
     * @method _IH_SpnCity_QB whereUpdatedAt($value)
     * @method SpnCity baseSole(array|string $columns = ['*'])
     * @method SpnCity create(array $attributes = [])
     * @method _IH_SpnCity_C|SpnCity[] cursor()
     * @method SpnCity|null|_IH_SpnCity_C|SpnCity[] find($id, array|string $columns = ['*'])
     * @method _IH_SpnCity_C|SpnCity[] findMany(array|Arrayable $ids, array|string $columns = ['*'])
     * @method SpnCity|_IH_SpnCity_C|SpnCity[] findOr($id, array|\Closure|string $columns = ['*'], \Closure $callback = null)
     * @method SpnCity|_IH_SpnCity_C|SpnCity[] findOrFail($id, array|string $columns = ['*'])
     * @method SpnCity|_IH_SpnCity_C|SpnCity[] findOrNew($id, array|string $columns = ['*'])
     * @method SpnCity first(array|string $columns = ['*'])
     * @method SpnCity firstOr(array|\Closure|string $columns = ['*'], \Closure $callback = null)
     * @method SpnCity firstOrCreate(array $attributes = [], array $values = [])
     * @method SpnCity firstOrFail(array|string $columns = ['*'])
     * @method SpnCity firstOrNew(array $attributes = [], array $values = [])
     * @method SpnCity firstWhere(array|\Closure|Expression|string $column, $operator = null, $value = null, string $boolean = 'and')
     * @method SpnCity forceCreate(array $attributes)
     * @method _IH_SpnCity_C|SpnCity[] fromQuery(string $query, array $bindings = [])
     * @method _IH_SpnCity_C|SpnCity[] get(array|string $columns = ['*'])
     * @method SpnCity getModel()
     * @method SpnCity[] getModels(array|string $columns = ['*'])
     * @method _IH_SpnCity_C|SpnCity[] hydrate(array $items)
     * @method _IH_SpnCity_C|SpnCity[] lazy(int $chunkSize = 1000)
     * @method _IH_SpnCity_C|SpnCity[] lazyById(int $chunkSize = 1000, null|string $column = null, null|string $alias = null)
     * @method _IH_SpnCity_C|SpnCity[] lazyByIdDesc(int $chunkSize = 1000, null|string $column = null, null|string $alias = null)
     * @method SpnCity make(array $attributes = [])
     * @method SpnCity newModelInstance(array $attributes = [])
     * @method LengthAwarePaginator|SpnCity[]|_IH_SpnCity_C paginate(\Closure|int|null $perPage = null, array|string $columns = ['*'], string $pageName = 'page', int|null $page = null)
     * @method Paginator|SpnCity[]|_IH_SpnCity_C simplePaginate(int|null $perPage = null, array|string $columns = ['*'], string $pageName = 'page', int|null $page = null)
     * @method SpnCity sole(array|string $columns = ['*'])
     * @method SpnCity updateOrCreate(array $attributes, array $values = [])
     */
    class _IH_SpnCity_QB extends _BaseBuilder {}
    
    /**
     * @method UserDocument|null getOrPut($key, \Closure $value)
     * @method UserDocument|$this shift(int $count = 1)
     * @method UserDocument|null firstOrFail(callable|string $key = null, $operator = null, $value = null)
     * @method UserDocument|$this pop(int $count = 1)
     * @method UserDocument|null pull($key, \Closure $default = null)
     * @method UserDocument|null last(callable $callback = null, \Closure $default = null)
     * @method UserDocument|$this random(callable|int|null $number = null, bool $preserveKeys = false)
     * @method UserDocument|null sole(callable|string $key = null, $operator = null, $value = null)
     * @method UserDocument|null get($key, \Closure $default = null)
     * @method UserDocument|null first(callable $callback = null, \Closure $default = null)
     * @method UserDocument|null firstWhere(callable|string $key, $operator = null, $value = null)
     * @method UserDocument|null find($key, $default = null)
     * @method UserDocument[] all()
     */
    class _IH_UserDocument_C extends _BaseCollection {
        /**
         * @param int $size
         * @return UserDocument[][]|Collection<_IH_UserDocument_C>
         */
        public function chunk($size)
        {
            return [];
        }
    }
    
    /**
     * @method _IH_UserDocument_QB whereId($value)
     * @method _IH_UserDocument_QB whereUserId($value)
     * @method _IH_UserDocument_QB whereName($value)
     * @method _IH_UserDocument_QB whereDocument($value)
     * @method _IH_UserDocument_QB whereCreatedAt($value)
     * @method _IH_UserDocument_QB whereUpdatedAt($value)
     * @method UserDocument baseSole(array|string $columns = ['*'])
     * @method UserDocument create(array $attributes = [])
     * @method _IH_UserDocument_C|UserDocument[] cursor()
     * @method UserDocument|null|_IH_UserDocument_C|UserDocument[] find($id, array|string $columns = ['*'])
     * @method _IH_UserDocument_C|UserDocument[] findMany(array|Arrayable $ids, array|string $columns = ['*'])
     * @method UserDocument|_IH_UserDocument_C|UserDocument[] findOr($id, array|\Closure|string $columns = ['*'], \Closure $callback = null)
     * @method UserDocument|_IH_UserDocument_C|UserDocument[] findOrFail($id, array|string $columns = ['*'])
     * @method UserDocument|_IH_UserDocument_C|UserDocument[] findOrNew($id, array|string $columns = ['*'])
     * @method UserDocument first(array|string $columns = ['*'])
     * @method UserDocument firstOr(array|\Closure|string $columns = ['*'], \Closure $callback = null)
     * @method UserDocument firstOrCreate(array $attributes = [], array $values = [])
     * @method UserDocument firstOrFail(array|string $columns = ['*'])
     * @method UserDocument firstOrNew(array $attributes = [], array $values = [])
     * @method UserDocument firstWhere(array|\Closure|Expression|string $column, $operator = null, $value = null, string $boolean = 'and')
     * @method UserDocument forceCreate(array $attributes)
     * @method _IH_UserDocument_C|UserDocument[] fromQuery(string $query, array $bindings = [])
     * @method _IH_UserDocument_C|UserDocument[] get(array|string $columns = ['*'])
     * @method UserDocument getModel()
     * @method UserDocument[] getModels(array|string $columns = ['*'])
     * @method _IH_UserDocument_C|UserDocument[] hydrate(array $items)
     * @method _IH_UserDocument_C|UserDocument[] lazy(int $chunkSize = 1000)
     * @method _IH_UserDocument_C|UserDocument[] lazyById(int $chunkSize = 1000, null|string $column = null, null|string $alias = null)
     * @method _IH_UserDocument_C|UserDocument[] lazyByIdDesc(int $chunkSize = 1000, null|string $column = null, null|string $alias = null)
     * @method UserDocument make(array $attributes = [])
     * @method UserDocument newModelInstance(array $attributes = [])
     * @method LengthAwarePaginator|UserDocument[]|_IH_UserDocument_C paginate(\Closure|int|null $perPage = null, array|string $columns = ['*'], string $pageName = 'page', int|null $page = null)
     * @method Paginator|UserDocument[]|_IH_UserDocument_C simplePaginate(int|null $perPage = null, array|string $columns = ['*'], string $pageName = 'page', int|null $page = null)
     * @method UserDocument sole(array|string $columns = ['*'])
     * @method UserDocument updateOrCreate(array $attributes, array $values = [])
     */
    class _IH_UserDocument_QB extends _BaseBuilder {}
    
    /**
     * @method UserEducation|null getOrPut($key, \Closure $value)
     * @method UserEducation|$this shift(int $count = 1)
     * @method UserEducation|null firstOrFail(callable|string $key = null, $operator = null, $value = null)
     * @method UserEducation|$this pop(int $count = 1)
     * @method UserEducation|null pull($key, \Closure $default = null)
     * @method UserEducation|null last(callable $callback = null, \Closure $default = null)
     * @method UserEducation|$this random(callable|int|null $number = null, bool $preserveKeys = false)
     * @method UserEducation|null sole(callable|string $key = null, $operator = null, $value = null)
     * @method UserEducation|null get($key, \Closure $default = null)
     * @method UserEducation|null first(callable $callback = null, \Closure $default = null)
     * @method UserEducation|null firstWhere(callable|string $key, $operator = null, $value = null)
     * @method UserEducation|null find($key, $default = null)
     * @method UserEducation[] all()
     */
    class _IH_UserEducation_C extends _BaseCollection {
        /**
         * @param int $size
         * @return UserEducation[][]|Collection<_IH_UserEducation_C>
         */
        public function chunk($size)
        {
            return [];
        }
    }
    
    /**
     * @method _IH_UserEducation_QB whereId($value)
     * @method _IH_UserEducation_QB whereUserId($value)
     * @method _IH_UserEducation_QB whereDegree($value)
     * @method _IH_UserEducation_QB whereInstitution($value)
     * @method _IH_UserEducation_QB whereStartDate($value)
     * @method _IH_UserEducation_QB whereEndDate($value)
     * @method _IH_UserEducation_QB whereCreatedAt($value)
     * @method _IH_UserEducation_QB whereUpdatedAt($value)
     * @method UserEducation baseSole(array|string $columns = ['*'])
     * @method UserEducation create(array $attributes = [])
     * @method _IH_UserEducation_C|UserEducation[] cursor()
     * @method UserEducation|null|_IH_UserEducation_C|UserEducation[] find($id, array|string $columns = ['*'])
     * @method _IH_UserEducation_C|UserEducation[] findMany(array|Arrayable $ids, array|string $columns = ['*'])
     * @method UserEducation|_IH_UserEducation_C|UserEducation[] findOr($id, array|\Closure|string $columns = ['*'], \Closure $callback = null)
     * @method UserEducation|_IH_UserEducation_C|UserEducation[] findOrFail($id, array|string $columns = ['*'])
     * @method UserEducation|_IH_UserEducation_C|UserEducation[] findOrNew($id, array|string $columns = ['*'])
     * @method UserEducation first(array|string $columns = ['*'])
     * @method UserEducation firstOr(array|\Closure|string $columns = ['*'], \Closure $callback = null)
     * @method UserEducation firstOrCreate(array $attributes = [], array $values = [])
     * @method UserEducation firstOrFail(array|string $columns = ['*'])
     * @method UserEducation firstOrNew(array $attributes = [], array $values = [])
     * @method UserEducation firstWhere(array|\Closure|Expression|string $column, $operator = null, $value = null, string $boolean = 'and')
     * @method UserEducation forceCreate(array $attributes)
     * @method _IH_UserEducation_C|UserEducation[] fromQuery(string $query, array $bindings = [])
     * @method _IH_UserEducation_C|UserEducation[] get(array|string $columns = ['*'])
     * @method UserEducation getModel()
     * @method UserEducation[] getModels(array|string $columns = ['*'])
     * @method _IH_UserEducation_C|UserEducation[] hydrate(array $items)
     * @method _IH_UserEducation_C|UserEducation[] lazy(int $chunkSize = 1000)
     * @method _IH_UserEducation_C|UserEducation[] lazyById(int $chunkSize = 1000, null|string $column = null, null|string $alias = null)
     * @method _IH_UserEducation_C|UserEducation[] lazyByIdDesc(int $chunkSize = 1000, null|string $column = null, null|string $alias = null)
     * @method UserEducation make(array $attributes = [])
     * @method UserEducation newModelInstance(array $attributes = [])
     * @method LengthAwarePaginator|UserEducation[]|_IH_UserEducation_C paginate(\Closure|int|null $perPage = null, array|string $columns = ['*'], string $pageName = 'page', int|null $page = null)
     * @method Paginator|UserEducation[]|_IH_UserEducation_C simplePaginate(int|null $perPage = null, array|string $columns = ['*'], string $pageName = 'page', int|null $page = null)
     * @method UserEducation sole(array|string $columns = ['*'])
     * @method UserEducation updateOrCreate(array $attributes, array $values = [])
     */
    class _IH_UserEducation_QB extends _BaseBuilder {}
    
    /**
     * @method UserExperience|null getOrPut($key, \Closure $value)
     * @method UserExperience|$this shift(int $count = 1)
     * @method UserExperience|null firstOrFail(callable|string $key = null, $operator = null, $value = null)
     * @method UserExperience|$this pop(int $count = 1)
     * @method UserExperience|null pull($key, \Closure $default = null)
     * @method UserExperience|null last(callable $callback = null, \Closure $default = null)
     * @method UserExperience|$this random(callable|int|null $number = null, bool $preserveKeys = false)
     * @method UserExperience|null sole(callable|string $key = null, $operator = null, $value = null)
     * @method UserExperience|null get($key, \Closure $default = null)
     * @method UserExperience|null first(callable $callback = null, \Closure $default = null)
     * @method UserExperience|null firstWhere(callable|string $key, $operator = null, $value = null)
     * @method UserExperience|null find($key, $default = null)
     * @method UserExperience[] all()
     */
    class _IH_UserExperience_C extends _BaseCollection {
        /**
         * @param int $size
         * @return UserExperience[][]|Collection<_IH_UserExperience_C>
         */
        public function chunk($size)
        {
            return [];
        }
    }
    
    /**
     * @method _IH_UserExperience_QB whereId($value)
     * @method _IH_UserExperience_QB whereUserId($value)
     * @method _IH_UserExperience_QB whereTitle($value)
     * @method _IH_UserExperience_QB whereCompanyName($value)
     * @method _IH_UserExperience_QB whereCurrentlyWorking($value)
     * @method _IH_UserExperience_QB whereStartDate($value)
     * @method _IH_UserExperience_QB whereEndDate($value)
     * @method _IH_UserExperience_QB whereCreatedAt($value)
     * @method _IH_UserExperience_QB whereUpdatedAt($value)
     * @method UserExperience baseSole(array|string $columns = ['*'])
     * @method UserExperience create(array $attributes = [])
     * @method _IH_UserExperience_C|UserExperience[] cursor()
     * @method UserExperience|null|_IH_UserExperience_C|UserExperience[] find($id, array|string $columns = ['*'])
     * @method _IH_UserExperience_C|UserExperience[] findMany(array|Arrayable $ids, array|string $columns = ['*'])
     * @method UserExperience|_IH_UserExperience_C|UserExperience[] findOr($id, array|\Closure|string $columns = ['*'], \Closure $callback = null)
     * @method UserExperience|_IH_UserExperience_C|UserExperience[] findOrFail($id, array|string $columns = ['*'])
     * @method UserExperience|_IH_UserExperience_C|UserExperience[] findOrNew($id, array|string $columns = ['*'])
     * @method UserExperience first(array|string $columns = ['*'])
     * @method UserExperience firstOr(array|\Closure|string $columns = ['*'], \Closure $callback = null)
     * @method UserExperience firstOrCreate(array $attributes = [], array $values = [])
     * @method UserExperience firstOrFail(array|string $columns = ['*'])
     * @method UserExperience firstOrNew(array $attributes = [], array $values = [])
     * @method UserExperience firstWhere(array|\Closure|Expression|string $column, $operator = null, $value = null, string $boolean = 'and')
     * @method UserExperience forceCreate(array $attributes)
     * @method _IH_UserExperience_C|UserExperience[] fromQuery(string $query, array $bindings = [])
     * @method _IH_UserExperience_C|UserExperience[] get(array|string $columns = ['*'])
     * @method UserExperience getModel()
     * @method UserExperience[] getModels(array|string $columns = ['*'])
     * @method _IH_UserExperience_C|UserExperience[] hydrate(array $items)
     * @method _IH_UserExperience_C|UserExperience[] lazy(int $chunkSize = 1000)
     * @method _IH_UserExperience_C|UserExperience[] lazyById(int $chunkSize = 1000, null|string $column = null, null|string $alias = null)
     * @method _IH_UserExperience_C|UserExperience[] lazyByIdDesc(int $chunkSize = 1000, null|string $column = null, null|string $alias = null)
     * @method UserExperience make(array $attributes = [])
     * @method UserExperience newModelInstance(array $attributes = [])
     * @method LengthAwarePaginator|UserExperience[]|_IH_UserExperience_C paginate(\Closure|int|null $perPage = null, array|string $columns = ['*'], string $pageName = 'page', int|null $page = null)
     * @method Paginator|UserExperience[]|_IH_UserExperience_C simplePaginate(int|null $perPage = null, array|string $columns = ['*'], string $pageName = 'page', int|null $page = null)
     * @method UserExperience sole(array|string $columns = ['*'])
     * @method UserExperience updateOrCreate(array $attributes, array $values = [])
     */
    class _IH_UserExperience_QB extends _BaseBuilder {}
    
    /**
     * @method UserFollower|null getOrPut($key, \Closure $value)
     * @method UserFollower|$this shift(int $count = 1)
     * @method UserFollower|null firstOrFail(callable|string $key = null, $operator = null, $value = null)
     * @method UserFollower|$this pop(int $count = 1)
     * @method UserFollower|null pull($key, \Closure $default = null)
     * @method UserFollower|null last(callable $callback = null, \Closure $default = null)
     * @method UserFollower|$this random(callable|int|null $number = null, bool $preserveKeys = false)
     * @method UserFollower|null sole(callable|string $key = null, $operator = null, $value = null)
     * @method UserFollower|null get($key, \Closure $default = null)
     * @method UserFollower|null first(callable $callback = null, \Closure $default = null)
     * @method UserFollower|null firstWhere(callable|string $key, $operator = null, $value = null)
     * @method UserFollower|null find($key, $default = null)
     * @method UserFollower[] all()
     */
    class _IH_UserFollower_C extends _BaseCollection {
        /**
         * @param int $size
         * @return UserFollower[][]|Collection<_IH_UserFollower_C>
         */
        public function chunk($size)
        {
            return [];
        }
    }
    
    /**
     * @method _IH_UserFollower_QB whereId($value)
     * @method _IH_UserFollower_QB whereFollowingId($value)
     * @method _IH_UserFollower_QB whereFollowerId($value)
     * @method _IH_UserFollower_QB whereCreatedAt($value)
     * @method _IH_UserFollower_QB whereUpdatedAt($value)
     * @method UserFollower baseSole(array|string $columns = ['*'])
     * @method UserFollower create(array $attributes = [])
     * @method _IH_UserFollower_C|UserFollower[] cursor()
     * @method UserFollower|null|_IH_UserFollower_C|UserFollower[] find($id, array|string $columns = ['*'])
     * @method _IH_UserFollower_C|UserFollower[] findMany(array|Arrayable $ids, array|string $columns = ['*'])
     * @method UserFollower|_IH_UserFollower_C|UserFollower[] findOr($id, array|\Closure|string $columns = ['*'], \Closure $callback = null)
     * @method UserFollower|_IH_UserFollower_C|UserFollower[] findOrFail($id, array|string $columns = ['*'])
     * @method UserFollower|_IH_UserFollower_C|UserFollower[] findOrNew($id, array|string $columns = ['*'])
     * @method UserFollower first(array|string $columns = ['*'])
     * @method UserFollower firstOr(array|\Closure|string $columns = ['*'], \Closure $callback = null)
     * @method UserFollower firstOrCreate(array $attributes = [], array $values = [])
     * @method UserFollower firstOrFail(array|string $columns = ['*'])
     * @method UserFollower firstOrNew(array $attributes = [], array $values = [])
     * @method UserFollower firstWhere(array|\Closure|Expression|string $column, $operator = null, $value = null, string $boolean = 'and')
     * @method UserFollower forceCreate(array $attributes)
     * @method _IH_UserFollower_C|UserFollower[] fromQuery(string $query, array $bindings = [])
     * @method _IH_UserFollower_C|UserFollower[] get(array|string $columns = ['*'])
     * @method UserFollower getModel()
     * @method UserFollower[] getModels(array|string $columns = ['*'])
     * @method _IH_UserFollower_C|UserFollower[] hydrate(array $items)
     * @method _IH_UserFollower_C|UserFollower[] lazy(int $chunkSize = 1000)
     * @method _IH_UserFollower_C|UserFollower[] lazyById(int $chunkSize = 1000, null|string $column = null, null|string $alias = null)
     * @method _IH_UserFollower_C|UserFollower[] lazyByIdDesc(int $chunkSize = 1000, null|string $column = null, null|string $alias = null)
     * @method UserFollower make(array $attributes = [])
     * @method UserFollower newModelInstance(array $attributes = [])
     * @method LengthAwarePaginator|UserFollower[]|_IH_UserFollower_C paginate(\Closure|int|null $perPage = null, array|string $columns = ['*'], string $pageName = 'page', int|null $page = null)
     * @method Paginator|UserFollower[]|_IH_UserFollower_C simplePaginate(int|null $perPage = null, array|string $columns = ['*'], string $pageName = 'page', int|null $page = null)
     * @method UserFollower sole(array|string $columns = ['*'])
     * @method UserFollower updateOrCreate(array $attributes, array $values = [])
     */
    class _IH_UserFollower_QB extends _BaseBuilder {}
    
    /**
     * @method UserInfo|null getOrPut($key, \Closure $value)
     * @method UserInfo|$this shift(int $count = 1)
     * @method UserInfo|null firstOrFail(callable|string $key = null, $operator = null, $value = null)
     * @method UserInfo|$this pop(int $count = 1)
     * @method UserInfo|null pull($key, \Closure $default = null)
     * @method UserInfo|null last(callable $callback = null, \Closure $default = null)
     * @method UserInfo|$this random(callable|int|null $number = null, bool $preserveKeys = false)
     * @method UserInfo|null sole(callable|string $key = null, $operator = null, $value = null)
     * @method UserInfo|null get($key, \Closure $default = null)
     * @method UserInfo|null first(callable $callback = null, \Closure $default = null)
     * @method UserInfo|null firstWhere(callable|string $key, $operator = null, $value = null)
     * @method UserInfo|null find($key, $default = null)
     * @method UserInfo[] all()
     */
    class _IH_UserInfo_C extends _BaseCollection {
        /**
         * @param int $size
         * @return UserInfo[][]|Collection<_IH_UserInfo_C>
         */
        public function chunk($size)
        {
            return [];
        }
    }
    
    /**
     * @method _IH_UserInfo_QB whereId($value)
     * @method _IH_UserInfo_QB whereUserId($value)
     * @method _IH_UserInfo_QB whereCoverPhoto($value)
     * @method _IH_UserInfo_QB whereTimezoneId($value)
     * @method _IH_UserInfo_QB whereShortDescription($value)
     * @method _IH_UserInfo_QB whereShowEducation($value)
     * @method _IH_UserInfo_QB whereShowExperience($value)
     * @method _IH_UserInfo_QB whereCreatedAt($value)
     * @method _IH_UserInfo_QB whereUpdatedAt($value)
     * @method _IH_UserInfo_QB whereOfflineStatus($value)
     * @method _IH_UserInfo_QB whereOfflineMessage($value)
     * @method UserInfo baseSole(array|string $columns = ['*'])
     * @method UserInfo create(array $attributes = [])
     * @method _IH_UserInfo_C|UserInfo[] cursor()
     * @method UserInfo|null|_IH_UserInfo_C|UserInfo[] find($id, array|string $columns = ['*'])
     * @method _IH_UserInfo_C|UserInfo[] findMany(array|Arrayable $ids, array|string $columns = ['*'])
     * @method UserInfo|_IH_UserInfo_C|UserInfo[] findOr($id, array|\Closure|string $columns = ['*'], \Closure $callback = null)
     * @method UserInfo|_IH_UserInfo_C|UserInfo[] findOrFail($id, array|string $columns = ['*'])
     * @method UserInfo|_IH_UserInfo_C|UserInfo[] findOrNew($id, array|string $columns = ['*'])
     * @method UserInfo first(array|string $columns = ['*'])
     * @method UserInfo firstOr(array|\Closure|string $columns = ['*'], \Closure $callback = null)
     * @method UserInfo firstOrCreate(array $attributes = [], array $values = [])
     * @method UserInfo firstOrFail(array|string $columns = ['*'])
     * @method UserInfo firstOrNew(array $attributes = [], array $values = [])
     * @method UserInfo firstWhere(array|\Closure|Expression|string $column, $operator = null, $value = null, string $boolean = 'and')
     * @method UserInfo forceCreate(array $attributes)
     * @method _IH_UserInfo_C|UserInfo[] fromQuery(string $query, array $bindings = [])
     * @method _IH_UserInfo_C|UserInfo[] get(array|string $columns = ['*'])
     * @method UserInfo getModel()
     * @method UserInfo[] getModels(array|string $columns = ['*'])
     * @method _IH_UserInfo_C|UserInfo[] hydrate(array $items)
     * @method _IH_UserInfo_C|UserInfo[] lazy(int $chunkSize = 1000)
     * @method _IH_UserInfo_C|UserInfo[] lazyById(int $chunkSize = 1000, null|string $column = null, null|string $alias = null)
     * @method _IH_UserInfo_C|UserInfo[] lazyByIdDesc(int $chunkSize = 1000, null|string $column = null, null|string $alias = null)
     * @method UserInfo make(array $attributes = [])
     * @method UserInfo newModelInstance(array $attributes = [])
     * @method LengthAwarePaginator|UserInfo[]|_IH_UserInfo_C paginate(\Closure|int|null $perPage = null, array|string $columns = ['*'], string $pageName = 'page', int|null $page = null)
     * @method Paginator|UserInfo[]|_IH_UserInfo_C simplePaginate(int|null $perPage = null, array|string $columns = ['*'], string $pageName = 'page', int|null $page = null)
     * @method UserInfo sole(array|string $columns = ['*'])
     * @method UserInfo updateOrCreate(array $attributes, array $values = [])
     */
    class _IH_UserInfo_QB extends _BaseBuilder {}
    
    /**
     * @method UserInstantMessage|null getOrPut($key, \Closure $value)
     * @method UserInstantMessage|$this shift(int $count = 1)
     * @method UserInstantMessage|null firstOrFail(callable|string $key = null, $operator = null, $value = null)
     * @method UserInstantMessage|$this pop(int $count = 1)
     * @method UserInstantMessage|null pull($key, \Closure $default = null)
     * @method UserInstantMessage|null last(callable $callback = null, \Closure $default = null)
     * @method UserInstantMessage|$this random(callable|int|null $number = null, bool $preserveKeys = false)
     * @method UserInstantMessage|null sole(callable|string $key = null, $operator = null, $value = null)
     * @method UserInstantMessage|null get($key, \Closure $default = null)
     * @method UserInstantMessage|null first(callable $callback = null, \Closure $default = null)
     * @method UserInstantMessage|null firstWhere(callable|string $key, $operator = null, $value = null)
     * @method UserInstantMessage|null find($key, $default = null)
     * @method UserInstantMessage[] all()
     */
    class _IH_UserInstantMessage_C extends _BaseCollection {
        /**
         * @param int $size
         * @return UserInstantMessage[][]|Collection<_IH_UserInstantMessage_C>
         */
        public function chunk($size)
        {
            return [];
        }
    }
    
    /**
     * @method _IH_UserInstantMessage_QB whereId($value)
     * @method _IH_UserInstantMessage_QB whereUserId($value)
     * @method _IH_UserInstantMessage_QB whereService($value)
     * @method _IH_UserInstantMessage_QB whereUsername($value)
     * @method _IH_UserInstantMessage_QB whereCreatedAt($value)
     * @method _IH_UserInstantMessage_QB whereUpdatedAt($value)
     * @method UserInstantMessage baseSole(array|string $columns = ['*'])
     * @method UserInstantMessage create(array $attributes = [])
     * @method _IH_UserInstantMessage_C|UserInstantMessage[] cursor()
     * @method UserInstantMessage|null|_IH_UserInstantMessage_C|UserInstantMessage[] find($id, array|string $columns = ['*'])
     * @method _IH_UserInstantMessage_C|UserInstantMessage[] findMany(array|Arrayable $ids, array|string $columns = ['*'])
     * @method UserInstantMessage|_IH_UserInstantMessage_C|UserInstantMessage[] findOr($id, array|\Closure|string $columns = ['*'], \Closure $callback = null)
     * @method UserInstantMessage|_IH_UserInstantMessage_C|UserInstantMessage[] findOrFail($id, array|string $columns = ['*'])
     * @method UserInstantMessage|_IH_UserInstantMessage_C|UserInstantMessage[] findOrNew($id, array|string $columns = ['*'])
     * @method UserInstantMessage first(array|string $columns = ['*'])
     * @method UserInstantMessage firstOr(array|\Closure|string $columns = ['*'], \Closure $callback = null)
     * @method UserInstantMessage firstOrCreate(array $attributes = [], array $values = [])
     * @method UserInstantMessage firstOrFail(array|string $columns = ['*'])
     * @method UserInstantMessage firstOrNew(array $attributes = [], array $values = [])
     * @method UserInstantMessage firstWhere(array|\Closure|Expression|string $column, $operator = null, $value = null, string $boolean = 'and')
     * @method UserInstantMessage forceCreate(array $attributes)
     * @method _IH_UserInstantMessage_C|UserInstantMessage[] fromQuery(string $query, array $bindings = [])
     * @method _IH_UserInstantMessage_C|UserInstantMessage[] get(array|string $columns = ['*'])
     * @method UserInstantMessage getModel()
     * @method UserInstantMessage[] getModels(array|string $columns = ['*'])
     * @method _IH_UserInstantMessage_C|UserInstantMessage[] hydrate(array $items)
     * @method _IH_UserInstantMessage_C|UserInstantMessage[] lazy(int $chunkSize = 1000)
     * @method _IH_UserInstantMessage_C|UserInstantMessage[] lazyById(int $chunkSize = 1000, null|string $column = null, null|string $alias = null)
     * @method _IH_UserInstantMessage_C|UserInstantMessage[] lazyByIdDesc(int $chunkSize = 1000, null|string $column = null, null|string $alias = null)
     * @method UserInstantMessage make(array $attributes = [])
     * @method UserInstantMessage newModelInstance(array $attributes = [])
     * @method LengthAwarePaginator|UserInstantMessage[]|_IH_UserInstantMessage_C paginate(\Closure|int|null $perPage = null, array|string $columns = ['*'], string $pageName = 'page', int|null $page = null)
     * @method Paginator|UserInstantMessage[]|_IH_UserInstantMessage_C simplePaginate(int|null $perPage = null, array|string $columns = ['*'], string $pageName = 'page', int|null $page = null)
     * @method UserInstantMessage sole(array|string $columns = ['*'])
     * @method UserInstantMessage updateOrCreate(array $attributes, array $values = [])
     */
    class _IH_UserInstantMessage_QB extends _BaseBuilder {}
    
    /**
     * @method UserSkill|null getOrPut($key, \Closure $value)
     * @method UserSkill|$this shift(int $count = 1)
     * @method UserSkill|null firstOrFail(callable|string $key = null, $operator = null, $value = null)
     * @method UserSkill|$this pop(int $count = 1)
     * @method UserSkill|null pull($key, \Closure $default = null)
     * @method UserSkill|null last(callable $callback = null, \Closure $default = null)
     * @method UserSkill|$this random(callable|int|null $number = null, bool $preserveKeys = false)
     * @method UserSkill|null sole(callable|string $key = null, $operator = null, $value = null)
     * @method UserSkill|null get($key, \Closure $default = null)
     * @method UserSkill|null first(callable $callback = null, \Closure $default = null)
     * @method UserSkill|null firstWhere(callable|string $key, $operator = null, $value = null)
     * @method UserSkill|null find($key, $default = null)
     * @method UserSkill[] all()
     */
    class _IH_UserSkill_C extends _BaseCollection {
        /**
         * @param int $size
         * @return UserSkill[][]|Collection<_IH_UserSkill_C>
         */
        public function chunk($size)
        {
            return [];
        }
    }
    
    /**
     * @method _IH_UserSkill_QB whereId($value)
     * @method _IH_UserSkill_QB whereUserId($value)
     * @method _IH_UserSkill_QB whereSkills($value)
     * @method _IH_UserSkill_QB whereCreatedAt($value)
     * @method _IH_UserSkill_QB whereUpdatedAt($value)
     * @method UserSkill baseSole(array|string $columns = ['*'])
     * @method UserSkill create(array $attributes = [])
     * @method _IH_UserSkill_C|UserSkill[] cursor()
     * @method UserSkill|null|_IH_UserSkill_C|UserSkill[] find($id, array|string $columns = ['*'])
     * @method _IH_UserSkill_C|UserSkill[] findMany(array|Arrayable $ids, array|string $columns = ['*'])
     * @method UserSkill|_IH_UserSkill_C|UserSkill[] findOr($id, array|\Closure|string $columns = ['*'], \Closure $callback = null)
     * @method UserSkill|_IH_UserSkill_C|UserSkill[] findOrFail($id, array|string $columns = ['*'])
     * @method UserSkill|_IH_UserSkill_C|UserSkill[] findOrNew($id, array|string $columns = ['*'])
     * @method UserSkill first(array|string $columns = ['*'])
     * @method UserSkill firstOr(array|\Closure|string $columns = ['*'], \Closure $callback = null)
     * @method UserSkill firstOrCreate(array $attributes = [], array $values = [])
     * @method UserSkill firstOrFail(array|string $columns = ['*'])
     * @method UserSkill firstOrNew(array $attributes = [], array $values = [])
     * @method UserSkill firstWhere(array|\Closure|Expression|string $column, $operator = null, $value = null, string $boolean = 'and')
     * @method UserSkill forceCreate(array $attributes)
     * @method _IH_UserSkill_C|UserSkill[] fromQuery(string $query, array $bindings = [])
     * @method _IH_UserSkill_C|UserSkill[] get(array|string $columns = ['*'])
     * @method UserSkill getModel()
     * @method UserSkill[] getModels(array|string $columns = ['*'])
     * @method _IH_UserSkill_C|UserSkill[] hydrate(array $items)
     * @method _IH_UserSkill_C|UserSkill[] lazy(int $chunkSize = 1000)
     * @method _IH_UserSkill_C|UserSkill[] lazyById(int $chunkSize = 1000, null|string $column = null, null|string $alias = null)
     * @method _IH_UserSkill_C|UserSkill[] lazyByIdDesc(int $chunkSize = 1000, null|string $column = null, null|string $alias = null)
     * @method UserSkill make(array $attributes = [])
     * @method UserSkill newModelInstance(array $attributes = [])
     * @method LengthAwarePaginator|UserSkill[]|_IH_UserSkill_C paginate(\Closure|int|null $perPage = null, array|string $columns = ['*'], string $pageName = 'page', int|null $page = null)
     * @method Paginator|UserSkill[]|_IH_UserSkill_C simplePaginate(int|null $perPage = null, array|string $columns = ['*'], string $pageName = 'page', int|null $page = null)
     * @method UserSkill sole(array|string $columns = ['*'])
     * @method UserSkill updateOrCreate(array $attributes, array $values = [])
     */
    class _IH_UserSkill_QB extends _BaseBuilder {}
    
    /**
     * @method User|null getOrPut($key, \Closure $value)
     * @method User|$this shift(int $count = 1)
     * @method User|null firstOrFail(callable|string $key = null, $operator = null, $value = null)
     * @method User|$this pop(int $count = 1)
     * @method User|null pull($key, \Closure $default = null)
     * @method User|null last(callable $callback = null, \Closure $default = null)
     * @method User|$this random(callable|int|null $number = null, bool $preserveKeys = false)
     * @method User|null sole(callable|string $key = null, $operator = null, $value = null)
     * @method User|null get($key, \Closure $default = null)
     * @method User|null first(callable $callback = null, \Closure $default = null)
     * @method User|null firstWhere(callable|string $key, $operator = null, $value = null)
     * @method User|null find($key, $default = null)
     * @method User[] all()
     */
    class _IH_User_C extends _BaseCollection {
        /**
         * @param int $size
         * @return User[][]|Collection<_IH_User_C>
         */
        public function chunk($size)
        {
            return [];
        }
    }
    
    /**
     * @method _IH_User_QB whereId($value)
     * @method _IH_User_QB whereRoleId($value)
     * @method _IH_User_QB whereName($value)
     * @method _IH_User_QB wherePhoto($value)
     * @method _IH_User_QB whereImage($value)
     * @method _IH_User_QB whereAvatar($value)
     * @method _IH_User_QB whereMobileVerifiedAt($value)
     * @method _IH_User_QB whereEmailVerifiedAt($value)
     * @method _IH_User_QB whereNotificationPreference($value)
     * @method _IH_User_QB whereIsActive($value)
     * @method _IH_User_QB whereUsername($value)
     * @method _IH_User_QB whereEmail($value)
     * @method _IH_User_QB whereEmailVerify($value)
     * @method _IH_User_QB wherePassword($value)
     * @method _IH_User_QB whereHeadline($value)
     * @method _IH_User_QB wherePhone($value)
     * @method _IH_User_QB whereAddress($value)
     * @method _IH_User_QB whereCity($value)
     * @method _IH_User_QB whereCountry($value)
     * @method _IH_User_QB whereZip($value)
     * @method _IH_User_QB whereDob($value)
     * @method _IH_User_QB whereAbout($value)
     * @method _IH_User_QB whereShortDetails($value)
     * @method _IH_User_QB whereFacebook($value)
     * @method _IH_User_QB whereTwitter($value)
     * @method _IH_User_QB whereLinkedin($value)
     * @method _IH_User_QB whereInstagram($value)
     * @method _IH_User_QB whereYoutube($value)
     * @method _IH_User_QB whereSubscribe($value)
     * @method _IH_User_QB whereProvider($value)
     * @method _IH_User_QB whereProviderId($value)
     * @method _IH_User_QB whereLanguageId($value)
     * @method _IH_User_QB whereLanguageCode($value)
     * @method _IH_User_QB whereLanguageName($value)
     * @method _IH_User_QB whereStatus($value)
     * @method _IH_User_QB whereBalance($value)
     * @method _IH_User_QB whereCurrencyId($value)
     * @method _IH_User_QB whereSpecialCommission($value)
     * @method _IH_User_QB wherePayout($value)
     * @method _IH_User_QB wherePayoutIcon($value)
     * @method _IH_User_QB wherePayoutEmail($value)
     * @method _IH_User_QB whereReferral($value)
     * @method _IH_User_QB whereAddedBy($value)
     * @method _IH_User_QB whereZoomApiKeyOfUser($value)
     * @method _IH_User_QB whereZoomApiSerectOfUser($value)
     * @method _IH_User_QB whereRememberToken($value)
     * @method _IH_User_QB whereCreatedAt($value)
     * @method _IH_User_QB whereUpdatedAt($value)
     * @method User baseSole(array|string $columns = ['*'])
     * @method User create(array $attributes = [])
     * @method _IH_User_C|User[] cursor()
     * @method User|null|_IH_User_C|User[] find($id, array|string $columns = ['*'])
     * @method _IH_User_C|User[] findMany(array|Arrayable $ids, array|string $columns = ['*'])
     * @method User|_IH_User_C|User[] findOr($id, array|\Closure|string $columns = ['*'], \Closure $callback = null)
     * @method User|_IH_User_C|User[] findOrFail($id, array|string $columns = ['*'])
     * @method User|_IH_User_C|User[] findOrNew($id, array|string $columns = ['*'])
     * @method User first(array|string $columns = ['*'])
     * @method User firstOr(array|\Closure|string $columns = ['*'], \Closure $callback = null)
     * @method User firstOrCreate(array $attributes = [], array $values = [])
     * @method User firstOrFail(array|string $columns = ['*'])
     * @method User firstOrNew(array $attributes = [], array $values = [])
     * @method User firstWhere(array|\Closure|Expression|string $column, $operator = null, $value = null, string $boolean = 'and')
     * @method User forceCreate(array $attributes)
     * @method _IH_User_C|User[] fromQuery(string $query, array $bindings = [])
     * @method _IH_User_C|User[] get(array|string $columns = ['*'])
     * @method User getModel()
     * @method User[] getModels(array|string $columns = ['*'])
     * @method _IH_User_C|User[] hydrate(array $items)
     * @method _IH_User_C|User[] lazy(int $chunkSize = 1000)
     * @method _IH_User_C|User[] lazyById(int $chunkSize = 1000, null|string $column = null, null|string $alias = null)
     * @method _IH_User_C|User[] lazyByIdDesc(int $chunkSize = 1000, null|string $column = null, null|string $alias = null)
     * @method User make(array $attributes = [])
     * @method User newModelInstance(array $attributes = [])
     * @method LengthAwarePaginator|User[]|_IH_User_C paginate(\Closure|int|null $perPage = null, array|string $columns = ['*'], string $pageName = 'page', int|null $page = null)
     * @method Paginator|User[]|_IH_User_C simplePaginate(int|null $perPage = null, array|string $columns = ['*'], string $pageName = 'page', int|null $page = null)
     * @method User sole(array|string $columns = ['*'])
     * @method User updateOrCreate(array $attributes, array $values = [])
     */
    class _IH_User_QB extends _BaseBuilder {}
}