<?php //79dba987ab0279e9ba931566fb5a7990
/** @noinspection all */

namespace LaravelIdea\Helper\Modules\Affiliate\Entities {

    use Illuminate\Contracts\Database\Query\Expression;
    use Illuminate\Contracts\Support\Arrayable;
    use Illuminate\Pagination\LengthAwarePaginator;
    use Illuminate\Pagination\Paginator;
    use Illuminate\Support\Collection;
    use LaravelIdea\Helper\_BaseBuilder;
    use LaravelIdea\Helper\_BaseCollection;
    use Modules\Affiliate\Entities\AffiliateCommission;
    use Modules\Affiliate\Entities\AffiliateConfiguration;
    use Modules\Affiliate\Entities\AffiliateLink;
    use Modules\Affiliate\Entities\AffiliateLinkVisitTrackUser;
    use Modules\Affiliate\Entities\AffiliateReferralPayment;
    use Modules\Affiliate\Entities\AffiliateUserWallet;
    use Modules\Affiliate\Entities\AffiliateWithdraw;
    use Modules\Affiliate\Entities\ReferralUser;
    
    /**
     * @method AffiliateCommission|null getOrPut($key, \Closure $value)
     * @method AffiliateCommission|$this shift(int $count = 1)
     * @method AffiliateCommission|null firstOrFail(callable|string $key = null, $operator = null, $value = null)
     * @method AffiliateCommission|$this pop(int $count = 1)
     * @method AffiliateCommission|null pull($key, \Closure $default = null)
     * @method AffiliateCommission|null last(callable $callback = null, \Closure $default = null)
     * @method AffiliateCommission|$this random(callable|int|null $number = null, bool $preserveKeys = false)
     * @method AffiliateCommission|null sole(callable|string $key = null, $operator = null, $value = null)
     * @method AffiliateCommission|null get($key, \Closure $default = null)
     * @method AffiliateCommission|null first(callable $callback = null, \Closure $default = null)
     * @method AffiliateCommission|null firstWhere(callable|string $key, $operator = null, $value = null)
     * @method AffiliateCommission|null find($key, $default = null)
     * @method AffiliateCommission[] all()
     */
    class _IH_AffiliateCommission_C extends _BaseCollection {
        /**
         * @param int $size
         * @return AffiliateCommission[][]|Collection<_IH_AffiliateCommission_C>
         */
        public function chunk($size)
        {
            return [];
        }
    }
    
    /**
     * @method _IH_AffiliateCommission_QB whereId($value)
     * @method _IH_AffiliateCommission_QB whereCommableId($value)
     * @method _IH_AffiliateCommission_QB whereCommableType($value)
     * @method _IH_AffiliateCommission_QB whereCommissionFor($value)
     * @method _IH_AffiliateCommission_QB whereType($value)
     * @method _IH_AffiliateCommission_QB whereAmount($value)
     * @method _IH_AffiliateCommission_QB whereLmsId($value)
     * @method _IH_AffiliateCommission_QB whereCreatedAt($value)
     * @method _IH_AffiliateCommission_QB whereUpdatedAt($value)
     * @method AffiliateCommission baseSole(array|string $columns = ['*'])
     * @method AffiliateCommission create(array $attributes = [])
     * @method _IH_AffiliateCommission_C|AffiliateCommission[] cursor()
     * @method AffiliateCommission|null|_IH_AffiliateCommission_C|AffiliateCommission[] find($id, array|string $columns = ['*'])
     * @method _IH_AffiliateCommission_C|AffiliateCommission[] findMany(array|Arrayable $ids, array|string $columns = ['*'])
     * @method AffiliateCommission|_IH_AffiliateCommission_C|AffiliateCommission[] findOr($id, array|\Closure|string $columns = ['*'], \Closure $callback = null)
     * @method AffiliateCommission|_IH_AffiliateCommission_C|AffiliateCommission[] findOrFail($id, array|string $columns = ['*'])
     * @method AffiliateCommission|_IH_AffiliateCommission_C|AffiliateCommission[] findOrNew($id, array|string $columns = ['*'])
     * @method AffiliateCommission first(array|string $columns = ['*'])
     * @method AffiliateCommission firstOr(array|\Closure|string $columns = ['*'], \Closure $callback = null)
     * @method AffiliateCommission firstOrCreate(array $attributes = [], array $values = [])
     * @method AffiliateCommission firstOrFail(array|string $columns = ['*'])
     * @method AffiliateCommission firstOrNew(array $attributes = [], array $values = [])
     * @method AffiliateCommission firstWhere(array|\Closure|Expression|string $column, $operator = null, $value = null, string $boolean = 'and')
     * @method AffiliateCommission forceCreate(array $attributes)
     * @method _IH_AffiliateCommission_C|AffiliateCommission[] fromQuery(string $query, array $bindings = [])
     * @method _IH_AffiliateCommission_C|AffiliateCommission[] get(array|string $columns = ['*'])
     * @method AffiliateCommission getModel()
     * @method AffiliateCommission[] getModels(array|string $columns = ['*'])
     * @method _IH_AffiliateCommission_C|AffiliateCommission[] hydrate(array $items)
     * @method _IH_AffiliateCommission_C|AffiliateCommission[] lazy(int $chunkSize = 1000)
     * @method _IH_AffiliateCommission_C|AffiliateCommission[] lazyById(int $chunkSize = 1000, null|string $column = null, null|string $alias = null)
     * @method _IH_AffiliateCommission_C|AffiliateCommission[] lazyByIdDesc(int $chunkSize = 1000, null|string $column = null, null|string $alias = null)
     * @method AffiliateCommission make(array $attributes = [])
     * @method AffiliateCommission newModelInstance(array $attributes = [])
     * @method LengthAwarePaginator|AffiliateCommission[]|_IH_AffiliateCommission_C paginate(\Closure|int|null $perPage = null, array|string $columns = ['*'], string $pageName = 'page', int|null $page = null)
     * @method Paginator|AffiliateCommission[]|_IH_AffiliateCommission_C simplePaginate(int|null $perPage = null, array|string $columns = ['*'], string $pageName = 'page', int|null $page = null)
     * @method AffiliateCommission sole(array|string $columns = ['*'])
     * @method AffiliateCommission updateOrCreate(array $attributes, array $values = [])
     */
    class _IH_AffiliateCommission_QB extends _BaseBuilder {}
    
    /**
     * @method AffiliateConfiguration|null getOrPut($key, \Closure $value)
     * @method AffiliateConfiguration|$this shift(int $count = 1)
     * @method AffiliateConfiguration|null firstOrFail(callable|string $key = null, $operator = null, $value = null)
     * @method AffiliateConfiguration|$this pop(int $count = 1)
     * @method AffiliateConfiguration|null pull($key, \Closure $default = null)
     * @method AffiliateConfiguration|null last(callable $callback = null, \Closure $default = null)
     * @method AffiliateConfiguration|$this random(callable|int|null $number = null, bool $preserveKeys = false)
     * @method AffiliateConfiguration|null sole(callable|string $key = null, $operator = null, $value = null)
     * @method AffiliateConfiguration|null get($key, \Closure $default = null)
     * @method AffiliateConfiguration|null first(callable $callback = null, \Closure $default = null)
     * @method AffiliateConfiguration|null firstWhere(callable|string $key, $operator = null, $value = null)
     * @method AffiliateConfiguration|null find($key, $default = null)
     * @method AffiliateConfiguration[] all()
     */
    class _IH_AffiliateConfiguration_C extends _BaseCollection {
        /**
         * @param int $size
         * @return AffiliateConfiguration[][]|Collection<_IH_AffiliateConfiguration_C>
         */
        public function chunk($size)
        {
            return [];
        }
    }
    
    /**
     * @method _IH_AffiliateConfiguration_QB whereId($value)
     * @method _IH_AffiliateConfiguration_QB whereValue($value)
     * @method _IH_AffiliateConfiguration_QB whereLmsId($value)
     * @method _IH_AffiliateConfiguration_QB whereCreatedAt($value)
     * @method _IH_AffiliateConfiguration_QB whereUpdatedAt($value)
     * @method AffiliateConfiguration baseSole(array|string $columns = ['*'])
     * @method AffiliateConfiguration create(array $attributes = [])
     * @method _IH_AffiliateConfiguration_C|AffiliateConfiguration[] cursor()
     * @method AffiliateConfiguration|null|_IH_AffiliateConfiguration_C|AffiliateConfiguration[] find($id, array|string $columns = ['*'])
     * @method _IH_AffiliateConfiguration_C|AffiliateConfiguration[] findMany(array|Arrayable $ids, array|string $columns = ['*'])
     * @method AffiliateConfiguration|_IH_AffiliateConfiguration_C|AffiliateConfiguration[] findOr($id, array|\Closure|string $columns = ['*'], \Closure $callback = null)
     * @method AffiliateConfiguration|_IH_AffiliateConfiguration_C|AffiliateConfiguration[] findOrFail($id, array|string $columns = ['*'])
     * @method AffiliateConfiguration|_IH_AffiliateConfiguration_C|AffiliateConfiguration[] findOrNew($id, array|string $columns = ['*'])
     * @method AffiliateConfiguration first(array|string $columns = ['*'])
     * @method AffiliateConfiguration firstOr(array|\Closure|string $columns = ['*'], \Closure $callback = null)
     * @method AffiliateConfiguration firstOrCreate(array $attributes = [], array $values = [])
     * @method AffiliateConfiguration firstOrFail(array|string $columns = ['*'])
     * @method AffiliateConfiguration firstOrNew(array $attributes = [], array $values = [])
     * @method AffiliateConfiguration firstWhere(array|\Closure|Expression|string $column, $operator = null, $value = null, string $boolean = 'and')
     * @method AffiliateConfiguration forceCreate(array $attributes)
     * @method _IH_AffiliateConfiguration_C|AffiliateConfiguration[] fromQuery(string $query, array $bindings = [])
     * @method _IH_AffiliateConfiguration_C|AffiliateConfiguration[] get(array|string $columns = ['*'])
     * @method AffiliateConfiguration getModel()
     * @method AffiliateConfiguration[] getModels(array|string $columns = ['*'])
     * @method _IH_AffiliateConfiguration_C|AffiliateConfiguration[] hydrate(array $items)
     * @method _IH_AffiliateConfiguration_C|AffiliateConfiguration[] lazy(int $chunkSize = 1000)
     * @method _IH_AffiliateConfiguration_C|AffiliateConfiguration[] lazyById(int $chunkSize = 1000, null|string $column = null, null|string $alias = null)
     * @method _IH_AffiliateConfiguration_C|AffiliateConfiguration[] lazyByIdDesc(int $chunkSize = 1000, null|string $column = null, null|string $alias = null)
     * @method AffiliateConfiguration make(array $attributes = [])
     * @method AffiliateConfiguration newModelInstance(array $attributes = [])
     * @method LengthAwarePaginator|AffiliateConfiguration[]|_IH_AffiliateConfiguration_C paginate(\Closure|int|null $perPage = null, array|string $columns = ['*'], string $pageName = 'page', int|null $page = null)
     * @method Paginator|AffiliateConfiguration[]|_IH_AffiliateConfiguration_C simplePaginate(int|null $perPage = null, array|string $columns = ['*'], string $pageName = 'page', int|null $page = null)
     * @method AffiliateConfiguration sole(array|string $columns = ['*'])
     * @method AffiliateConfiguration updateOrCreate(array $attributes, array $values = [])
     */
    class _IH_AffiliateConfiguration_QB extends _BaseBuilder {}
    
    /**
     * @method AffiliateLinkVisitTrackUser|null getOrPut($key, \Closure $value)
     * @method AffiliateLinkVisitTrackUser|$this shift(int $count = 1)
     * @method AffiliateLinkVisitTrackUser|null firstOrFail(callable|string $key = null, $operator = null, $value = null)
     * @method AffiliateLinkVisitTrackUser|$this pop(int $count = 1)
     * @method AffiliateLinkVisitTrackUser|null pull($key, \Closure $default = null)
     * @method AffiliateLinkVisitTrackUser|null last(callable $callback = null, \Closure $default = null)
     * @method AffiliateLinkVisitTrackUser|$this random(callable|int|null $number = null, bool $preserveKeys = false)
     * @method AffiliateLinkVisitTrackUser|null sole(callable|string $key = null, $operator = null, $value = null)
     * @method AffiliateLinkVisitTrackUser|null get($key, \Closure $default = null)
     * @method AffiliateLinkVisitTrackUser|null first(callable $callback = null, \Closure $default = null)
     * @method AffiliateLinkVisitTrackUser|null firstWhere(callable|string $key, $operator = null, $value = null)
     * @method AffiliateLinkVisitTrackUser|null find($key, $default = null)
     * @method AffiliateLinkVisitTrackUser[] all()
     */
    class _IH_AffiliateLinkVisitTrackUser_C extends _BaseCollection {
        /**
         * @param int $size
         * @return AffiliateLinkVisitTrackUser[][]|Collection<_IH_AffiliateLinkVisitTrackUser_C>
         */
        public function chunk($size)
        {
            return [];
        }
    }
    
    /**
     * @method _IH_AffiliateLinkVisitTrackUser_QB whereId($value)
     * @method _IH_AffiliateLinkVisitTrackUser_QB whereAffiliateLinkId($value)
     * @method _IH_AffiliateLinkVisitTrackUser_QB whereIp($value)
     * @method _IH_AffiliateLinkVisitTrackUser_QB whereAgent($value)
     * @method _IH_AffiliateLinkVisitTrackUser_QB whereLmsId($value)
     * @method _IH_AffiliateLinkVisitTrackUser_QB whereCreatedAt($value)
     * @method _IH_AffiliateLinkVisitTrackUser_QB whereUpdatedAt($value)
     * @method AffiliateLinkVisitTrackUser baseSole(array|string $columns = ['*'])
     * @method AffiliateLinkVisitTrackUser create(array $attributes = [])
     * @method _IH_AffiliateLinkVisitTrackUser_C|AffiliateLinkVisitTrackUser[] cursor()
     * @method AffiliateLinkVisitTrackUser|null|_IH_AffiliateLinkVisitTrackUser_C|AffiliateLinkVisitTrackUser[] find($id, array|string $columns = ['*'])
     * @method _IH_AffiliateLinkVisitTrackUser_C|AffiliateLinkVisitTrackUser[] findMany(array|Arrayable $ids, array|string $columns = ['*'])
     * @method AffiliateLinkVisitTrackUser|_IH_AffiliateLinkVisitTrackUser_C|AffiliateLinkVisitTrackUser[] findOr($id, array|\Closure|string $columns = ['*'], \Closure $callback = null)
     * @method AffiliateLinkVisitTrackUser|_IH_AffiliateLinkVisitTrackUser_C|AffiliateLinkVisitTrackUser[] findOrFail($id, array|string $columns = ['*'])
     * @method AffiliateLinkVisitTrackUser|_IH_AffiliateLinkVisitTrackUser_C|AffiliateLinkVisitTrackUser[] findOrNew($id, array|string $columns = ['*'])
     * @method AffiliateLinkVisitTrackUser first(array|string $columns = ['*'])
     * @method AffiliateLinkVisitTrackUser firstOr(array|\Closure|string $columns = ['*'], \Closure $callback = null)
     * @method AffiliateLinkVisitTrackUser firstOrCreate(array $attributes = [], array $values = [])
     * @method AffiliateLinkVisitTrackUser firstOrFail(array|string $columns = ['*'])
     * @method AffiliateLinkVisitTrackUser firstOrNew(array $attributes = [], array $values = [])
     * @method AffiliateLinkVisitTrackUser firstWhere(array|\Closure|Expression|string $column, $operator = null, $value = null, string $boolean = 'and')
     * @method AffiliateLinkVisitTrackUser forceCreate(array $attributes)
     * @method _IH_AffiliateLinkVisitTrackUser_C|AffiliateLinkVisitTrackUser[] fromQuery(string $query, array $bindings = [])
     * @method _IH_AffiliateLinkVisitTrackUser_C|AffiliateLinkVisitTrackUser[] get(array|string $columns = ['*'])
     * @method AffiliateLinkVisitTrackUser getModel()
     * @method AffiliateLinkVisitTrackUser[] getModels(array|string $columns = ['*'])
     * @method _IH_AffiliateLinkVisitTrackUser_C|AffiliateLinkVisitTrackUser[] hydrate(array $items)
     * @method _IH_AffiliateLinkVisitTrackUser_C|AffiliateLinkVisitTrackUser[] lazy(int $chunkSize = 1000)
     * @method _IH_AffiliateLinkVisitTrackUser_C|AffiliateLinkVisitTrackUser[] lazyById(int $chunkSize = 1000, null|string $column = null, null|string $alias = null)
     * @method _IH_AffiliateLinkVisitTrackUser_C|AffiliateLinkVisitTrackUser[] lazyByIdDesc(int $chunkSize = 1000, null|string $column = null, null|string $alias = null)
     * @method AffiliateLinkVisitTrackUser make(array $attributes = [])
     * @method AffiliateLinkVisitTrackUser newModelInstance(array $attributes = [])
     * @method LengthAwarePaginator|AffiliateLinkVisitTrackUser[]|_IH_AffiliateLinkVisitTrackUser_C paginate(\Closure|int|null $perPage = null, array|string $columns = ['*'], string $pageName = 'page', int|null $page = null)
     * @method Paginator|AffiliateLinkVisitTrackUser[]|_IH_AffiliateLinkVisitTrackUser_C simplePaginate(int|null $perPage = null, array|string $columns = ['*'], string $pageName = 'page', int|null $page = null)
     * @method AffiliateLinkVisitTrackUser sole(array|string $columns = ['*'])
     * @method AffiliateLinkVisitTrackUser updateOrCreate(array $attributes, array $values = [])
     */
    class _IH_AffiliateLinkVisitTrackUser_QB extends _BaseBuilder {}
    
    /**
     * @method AffiliateLink|null getOrPut($key, \Closure $value)
     * @method AffiliateLink|$this shift(int $count = 1)
     * @method AffiliateLink|null firstOrFail(callable|string $key = null, $operator = null, $value = null)
     * @method AffiliateLink|$this pop(int $count = 1)
     * @method AffiliateLink|null pull($key, \Closure $default = null)
     * @method AffiliateLink|null last(callable $callback = null, \Closure $default = null)
     * @method AffiliateLink|$this random(callable|int|null $number = null, bool $preserveKeys = false)
     * @method AffiliateLink|null sole(callable|string $key = null, $operator = null, $value = null)
     * @method AffiliateLink|null get($key, \Closure $default = null)
     * @method AffiliateLink|null first(callable $callback = null, \Closure $default = null)
     * @method AffiliateLink|null firstWhere(callable|string $key, $operator = null, $value = null)
     * @method AffiliateLink|null find($key, $default = null)
     * @method AffiliateLink[] all()
     */
    class _IH_AffiliateLink_C extends _BaseCollection {
        /**
         * @param int $size
         * @return AffiliateLink[][]|Collection<_IH_AffiliateLink_C>
         */
        public function chunk($size)
        {
            return [];
        }
    }
    
    /**
     * @method _IH_AffiliateLink_QB whereId($value)
     * @method _IH_AffiliateLink_QB whereAffiliateLink($value)
     * @method _IH_AffiliateLink_QB whereOwnerId($value)
     * @method _IH_AffiliateLink_QB whereVisits($value)
     * @method _IH_AffiliateLink_QB whereRegistered($value)
     * @method _IH_AffiliateLink_QB wherePurchased($value)
     * @method _IH_AffiliateLink_QB whereCommissions($value)
     * @method _IH_AffiliateLink_QB whereLmsId($value)
     * @method _IH_AffiliateLink_QB whereCreatedAt($value)
     * @method _IH_AffiliateLink_QB whereUpdatedAt($value)
     * @method _IH_AffiliateLink_QB whereType($value)
     * @method _IH_AffiliateLink_QB whereTopicId($value)
     * @method _IH_AffiliateLink_QB whereUrl($value)
     * @method _IH_AffiliateLink_QB whereRef($value)
     * @method AffiliateLink baseSole(array|string $columns = ['*'])
     * @method AffiliateLink create(array $attributes = [])
     * @method _IH_AffiliateLink_C|AffiliateLink[] cursor()
     * @method AffiliateLink|null|_IH_AffiliateLink_C|AffiliateLink[] find($id, array|string $columns = ['*'])
     * @method _IH_AffiliateLink_C|AffiliateLink[] findMany(array|Arrayable $ids, array|string $columns = ['*'])
     * @method AffiliateLink|_IH_AffiliateLink_C|AffiliateLink[] findOr($id, array|\Closure|string $columns = ['*'], \Closure $callback = null)
     * @method AffiliateLink|_IH_AffiliateLink_C|AffiliateLink[] findOrFail($id, array|string $columns = ['*'])
     * @method AffiliateLink|_IH_AffiliateLink_C|AffiliateLink[] findOrNew($id, array|string $columns = ['*'])
     * @method AffiliateLink first(array|string $columns = ['*'])
     * @method AffiliateLink firstOr(array|\Closure|string $columns = ['*'], \Closure $callback = null)
     * @method AffiliateLink firstOrCreate(array $attributes = [], array $values = [])
     * @method AffiliateLink firstOrFail(array|string $columns = ['*'])
     * @method AffiliateLink firstOrNew(array $attributes = [], array $values = [])
     * @method AffiliateLink firstWhere(array|\Closure|Expression|string $column, $operator = null, $value = null, string $boolean = 'and')
     * @method AffiliateLink forceCreate(array $attributes)
     * @method _IH_AffiliateLink_C|AffiliateLink[] fromQuery(string $query, array $bindings = [])
     * @method _IH_AffiliateLink_C|AffiliateLink[] get(array|string $columns = ['*'])
     * @method AffiliateLink getModel()
     * @method AffiliateLink[] getModels(array|string $columns = ['*'])
     * @method _IH_AffiliateLink_C|AffiliateLink[] hydrate(array $items)
     * @method _IH_AffiliateLink_C|AffiliateLink[] lazy(int $chunkSize = 1000)
     * @method _IH_AffiliateLink_C|AffiliateLink[] lazyById(int $chunkSize = 1000, null|string $column = null, null|string $alias = null)
     * @method _IH_AffiliateLink_C|AffiliateLink[] lazyByIdDesc(int $chunkSize = 1000, null|string $column = null, null|string $alias = null)
     * @method AffiliateLink make(array $attributes = [])
     * @method AffiliateLink newModelInstance(array $attributes = [])
     * @method LengthAwarePaginator|AffiliateLink[]|_IH_AffiliateLink_C paginate(\Closure|int|null $perPage = null, array|string $columns = ['*'], string $pageName = 'page', int|null $page = null)
     * @method Paginator|AffiliateLink[]|_IH_AffiliateLink_C simplePaginate(int|null $perPage = null, array|string $columns = ['*'], string $pageName = 'page', int|null $page = null)
     * @method AffiliateLink sole(array|string $columns = ['*'])
     * @method AffiliateLink updateOrCreate(array $attributes, array $values = [])
     */
    class _IH_AffiliateLink_QB extends _BaseBuilder {}
    
    /**
     * @method AffiliateReferralPayment|null getOrPut($key, \Closure $value)
     * @method AffiliateReferralPayment|$this shift(int $count = 1)
     * @method AffiliateReferralPayment|null firstOrFail(callable|string $key = null, $operator = null, $value = null)
     * @method AffiliateReferralPayment|$this pop(int $count = 1)
     * @method AffiliateReferralPayment|null pull($key, \Closure $default = null)
     * @method AffiliateReferralPayment|null last(callable $callback = null, \Closure $default = null)
     * @method AffiliateReferralPayment|$this random(callable|int|null $number = null, bool $preserveKeys = false)
     * @method AffiliateReferralPayment|null sole(callable|string $key = null, $operator = null, $value = null)
     * @method AffiliateReferralPayment|null get($key, \Closure $default = null)
     * @method AffiliateReferralPayment|null first(callable $callback = null, \Closure $default = null)
     * @method AffiliateReferralPayment|null firstWhere(callable|string $key, $operator = null, $value = null)
     * @method AffiliateReferralPayment|null find($key, $default = null)
     * @method AffiliateReferralPayment[] all()
     */
    class _IH_AffiliateReferralPayment_C extends _BaseCollection {
        /**
         * @param int $size
         * @return AffiliateReferralPayment[][]|Collection<_IH_AffiliateReferralPayment_C>
         */
        public function chunk($size)
        {
            return [];
        }
    }
    
    /**
     * @method _IH_AffiliateReferralPayment_QB whereId($value)
     * @method _IH_AffiliateReferralPayment_QB wherePaymentTo($value)
     * @method _IH_AffiliateReferralPayment_QB whereAmount($value)
     * @method _IH_AffiliateReferralPayment_QB whereAffiliateLinkId($value)
     * @method _IH_AffiliateReferralPayment_QB wherePaymentFrom($value)
     * @method _IH_AffiliateReferralPayment_QB whereCourseId($value)
     * @method _IH_AffiliateReferralPayment_QB whereStatus($value)
     * @method _IH_AffiliateReferralPayment_QB whereLmsId($value)
     * @method _IH_AffiliateReferralPayment_QB whereCreatedAt($value)
     * @method _IH_AffiliateReferralPayment_QB whereUpdatedAt($value)
     * @method _IH_AffiliateReferralPayment_QB whereType($value)
     * @method _IH_AffiliateReferralPayment_QB whereBundleId($value)
     * @method _IH_AffiliateReferralPayment_QB wherePlanId($value)
     * @method AffiliateReferralPayment baseSole(array|string $columns = ['*'])
     * @method AffiliateReferralPayment create(array $attributes = [])
     * @method _IH_AffiliateReferralPayment_C|AffiliateReferralPayment[] cursor()
     * @method AffiliateReferralPayment|null|_IH_AffiliateReferralPayment_C|AffiliateReferralPayment[] find($id, array|string $columns = ['*'])
     * @method _IH_AffiliateReferralPayment_C|AffiliateReferralPayment[] findMany(array|Arrayable $ids, array|string $columns = ['*'])
     * @method AffiliateReferralPayment|_IH_AffiliateReferralPayment_C|AffiliateReferralPayment[] findOr($id, array|\Closure|string $columns = ['*'], \Closure $callback = null)
     * @method AffiliateReferralPayment|_IH_AffiliateReferralPayment_C|AffiliateReferralPayment[] findOrFail($id, array|string $columns = ['*'])
     * @method AffiliateReferralPayment|_IH_AffiliateReferralPayment_C|AffiliateReferralPayment[] findOrNew($id, array|string $columns = ['*'])
     * @method AffiliateReferralPayment first(array|string $columns = ['*'])
     * @method AffiliateReferralPayment firstOr(array|\Closure|string $columns = ['*'], \Closure $callback = null)
     * @method AffiliateReferralPayment firstOrCreate(array $attributes = [], array $values = [])
     * @method AffiliateReferralPayment firstOrFail(array|string $columns = ['*'])
     * @method AffiliateReferralPayment firstOrNew(array $attributes = [], array $values = [])
     * @method AffiliateReferralPayment firstWhere(array|\Closure|Expression|string $column, $operator = null, $value = null, string $boolean = 'and')
     * @method AffiliateReferralPayment forceCreate(array $attributes)
     * @method _IH_AffiliateReferralPayment_C|AffiliateReferralPayment[] fromQuery(string $query, array $bindings = [])
     * @method _IH_AffiliateReferralPayment_C|AffiliateReferralPayment[] get(array|string $columns = ['*'])
     * @method AffiliateReferralPayment getModel()
     * @method AffiliateReferralPayment[] getModels(array|string $columns = ['*'])
     * @method _IH_AffiliateReferralPayment_C|AffiliateReferralPayment[] hydrate(array $items)
     * @method _IH_AffiliateReferralPayment_C|AffiliateReferralPayment[] lazy(int $chunkSize = 1000)
     * @method _IH_AffiliateReferralPayment_C|AffiliateReferralPayment[] lazyById(int $chunkSize = 1000, null|string $column = null, null|string $alias = null)
     * @method _IH_AffiliateReferralPayment_C|AffiliateReferralPayment[] lazyByIdDesc(int $chunkSize = 1000, null|string $column = null, null|string $alias = null)
     * @method AffiliateReferralPayment make(array $attributes = [])
     * @method AffiliateReferralPayment newModelInstance(array $attributes = [])
     * @method LengthAwarePaginator|AffiliateReferralPayment[]|_IH_AffiliateReferralPayment_C paginate(\Closure|int|null $perPage = null, array|string $columns = ['*'], string $pageName = 'page', int|null $page = null)
     * @method Paginator|AffiliateReferralPayment[]|_IH_AffiliateReferralPayment_C simplePaginate(int|null $perPage = null, array|string $columns = ['*'], string $pageName = 'page', int|null $page = null)
     * @method AffiliateReferralPayment sole(array|string $columns = ['*'])
     * @method AffiliateReferralPayment updateOrCreate(array $attributes, array $values = [])
     */
    class _IH_AffiliateReferralPayment_QB extends _BaseBuilder {}
    
    /**
     * @method AffiliateUserWallet|null getOrPut($key, \Closure $value)
     * @method AffiliateUserWallet|$this shift(int $count = 1)
     * @method AffiliateUserWallet|null firstOrFail(callable|string $key = null, $operator = null, $value = null)
     * @method AffiliateUserWallet|$this pop(int $count = 1)
     * @method AffiliateUserWallet|null pull($key, \Closure $default = null)
     * @method AffiliateUserWallet|null last(callable $callback = null, \Closure $default = null)
     * @method AffiliateUserWallet|$this random(callable|int|null $number = null, bool $preserveKeys = false)
     * @method AffiliateUserWallet|null sole(callable|string $key = null, $operator = null, $value = null)
     * @method AffiliateUserWallet|null get($key, \Closure $default = null)
     * @method AffiliateUserWallet|null first(callable $callback = null, \Closure $default = null)
     * @method AffiliateUserWallet|null firstWhere(callable|string $key, $operator = null, $value = null)
     * @method AffiliateUserWallet|null find($key, $default = null)
     * @method AffiliateUserWallet[] all()
     */
    class _IH_AffiliateUserWallet_C extends _BaseCollection {
        /**
         * @param int $size
         * @return AffiliateUserWallet[][]|Collection<_IH_AffiliateUserWallet_C>
         */
        public function chunk($size)
        {
            return [];
        }
    }
    
    /**
     * @method _IH_AffiliateUserWallet_QB whereId($value)
     * @method _IH_AffiliateUserWallet_QB whereUserId($value)
     * @method _IH_AffiliateUserWallet_QB whereAmount($value)
     * @method _IH_AffiliateUserWallet_QB wherePaypalAccount($value)
     * @method _IH_AffiliateUserWallet_QB whereLmsId($value)
     * @method _IH_AffiliateUserWallet_QB whereCreatedAt($value)
     * @method _IH_AffiliateUserWallet_QB whereUpdatedAt($value)
     * @method AffiliateUserWallet baseSole(array|string $columns = ['*'])
     * @method AffiliateUserWallet create(array $attributes = [])
     * @method _IH_AffiliateUserWallet_C|AffiliateUserWallet[] cursor()
     * @method AffiliateUserWallet|null|_IH_AffiliateUserWallet_C|AffiliateUserWallet[] find($id, array|string $columns = ['*'])
     * @method _IH_AffiliateUserWallet_C|AffiliateUserWallet[] findMany(array|Arrayable $ids, array|string $columns = ['*'])
     * @method AffiliateUserWallet|_IH_AffiliateUserWallet_C|AffiliateUserWallet[] findOr($id, array|\Closure|string $columns = ['*'], \Closure $callback = null)
     * @method AffiliateUserWallet|_IH_AffiliateUserWallet_C|AffiliateUserWallet[] findOrFail($id, array|string $columns = ['*'])
     * @method AffiliateUserWallet|_IH_AffiliateUserWallet_C|AffiliateUserWallet[] findOrNew($id, array|string $columns = ['*'])
     * @method AffiliateUserWallet first(array|string $columns = ['*'])
     * @method AffiliateUserWallet firstOr(array|\Closure|string $columns = ['*'], \Closure $callback = null)
     * @method AffiliateUserWallet firstOrCreate(array $attributes = [], array $values = [])
     * @method AffiliateUserWallet firstOrFail(array|string $columns = ['*'])
     * @method AffiliateUserWallet firstOrNew(array $attributes = [], array $values = [])
     * @method AffiliateUserWallet firstWhere(array|\Closure|Expression|string $column, $operator = null, $value = null, string $boolean = 'and')
     * @method AffiliateUserWallet forceCreate(array $attributes)
     * @method _IH_AffiliateUserWallet_C|AffiliateUserWallet[] fromQuery(string $query, array $bindings = [])
     * @method _IH_AffiliateUserWallet_C|AffiliateUserWallet[] get(array|string $columns = ['*'])
     * @method AffiliateUserWallet getModel()
     * @method AffiliateUserWallet[] getModels(array|string $columns = ['*'])
     * @method _IH_AffiliateUserWallet_C|AffiliateUserWallet[] hydrate(array $items)
     * @method _IH_AffiliateUserWallet_C|AffiliateUserWallet[] lazy(int $chunkSize = 1000)
     * @method _IH_AffiliateUserWallet_C|AffiliateUserWallet[] lazyById(int $chunkSize = 1000, null|string $column = null, null|string $alias = null)
     * @method _IH_AffiliateUserWallet_C|AffiliateUserWallet[] lazyByIdDesc(int $chunkSize = 1000, null|string $column = null, null|string $alias = null)
     * @method AffiliateUserWallet make(array $attributes = [])
     * @method AffiliateUserWallet newModelInstance(array $attributes = [])
     * @method LengthAwarePaginator|AffiliateUserWallet[]|_IH_AffiliateUserWallet_C paginate(\Closure|int|null $perPage = null, array|string $columns = ['*'], string $pageName = 'page', int|null $page = null)
     * @method Paginator|AffiliateUserWallet[]|_IH_AffiliateUserWallet_C simplePaginate(int|null $perPage = null, array|string $columns = ['*'], string $pageName = 'page', int|null $page = null)
     * @method AffiliateUserWallet sole(array|string $columns = ['*'])
     * @method AffiliateUserWallet updateOrCreate(array $attributes, array $values = [])
     */
    class _IH_AffiliateUserWallet_QB extends _BaseBuilder {}
    
    /**
     * @method AffiliateWithdraw|null getOrPut($key, \Closure $value)
     * @method AffiliateWithdraw|$this shift(int $count = 1)
     * @method AffiliateWithdraw|null firstOrFail(callable|string $key = null, $operator = null, $value = null)
     * @method AffiliateWithdraw|$this pop(int $count = 1)
     * @method AffiliateWithdraw|null pull($key, \Closure $default = null)
     * @method AffiliateWithdraw|null last(callable $callback = null, \Closure $default = null)
     * @method AffiliateWithdraw|$this random(callable|int|null $number = null, bool $preserveKeys = false)
     * @method AffiliateWithdraw|null sole(callable|string $key = null, $operator = null, $value = null)
     * @method AffiliateWithdraw|null get($key, \Closure $default = null)
     * @method AffiliateWithdraw|null first(callable $callback = null, \Closure $default = null)
     * @method AffiliateWithdraw|null firstWhere(callable|string $key, $operator = null, $value = null)
     * @method AffiliateWithdraw|null find($key, $default = null)
     * @method AffiliateWithdraw[] all()
     */
    class _IH_AffiliateWithdraw_C extends _BaseCollection {
        /**
         * @param int $size
         * @return AffiliateWithdraw[][]|Collection<_IH_AffiliateWithdraw_C>
         */
        public function chunk($size)
        {
            return [];
        }
    }
    
    /**
     * @method _IH_AffiliateWithdraw_QB whereId($value)
     * @method _IH_AffiliateWithdraw_QB whereUserId($value)
     * @method _IH_AffiliateWithdraw_QB whereWithdrawAmount($value)
     * @method _IH_AffiliateWithdraw_QB wherePaymentType($value)
     * @method _IH_AffiliateWithdraw_QB whereStatus($value)
     * @method _IH_AffiliateWithdraw_QB whereRequestDate($value)
     * @method _IH_AffiliateWithdraw_QB whereConfirmedBy($value)
     * @method _IH_AffiliateWithdraw_QB whereConfirmDate($value)
     * @method _IH_AffiliateWithdraw_QB whereLmsId($value)
     * @method _IH_AffiliateWithdraw_QB whereCreatedAt($value)
     * @method _IH_AffiliateWithdraw_QB whereUpdatedAt($value)
     * @method AffiliateWithdraw baseSole(array|string $columns = ['*'])
     * @method AffiliateWithdraw create(array $attributes = [])
     * @method _IH_AffiliateWithdraw_C|AffiliateWithdraw[] cursor()
     * @method AffiliateWithdraw|null|_IH_AffiliateWithdraw_C|AffiliateWithdraw[] find($id, array|string $columns = ['*'])
     * @method _IH_AffiliateWithdraw_C|AffiliateWithdraw[] findMany(array|Arrayable $ids, array|string $columns = ['*'])
     * @method AffiliateWithdraw|_IH_AffiliateWithdraw_C|AffiliateWithdraw[] findOr($id, array|\Closure|string $columns = ['*'], \Closure $callback = null)
     * @method AffiliateWithdraw|_IH_AffiliateWithdraw_C|AffiliateWithdraw[] findOrFail($id, array|string $columns = ['*'])
     * @method AffiliateWithdraw|_IH_AffiliateWithdraw_C|AffiliateWithdraw[] findOrNew($id, array|string $columns = ['*'])
     * @method AffiliateWithdraw first(array|string $columns = ['*'])
     * @method AffiliateWithdraw firstOr(array|\Closure|string $columns = ['*'], \Closure $callback = null)
     * @method AffiliateWithdraw firstOrCreate(array $attributes = [], array $values = [])
     * @method AffiliateWithdraw firstOrFail(array|string $columns = ['*'])
     * @method AffiliateWithdraw firstOrNew(array $attributes = [], array $values = [])
     * @method AffiliateWithdraw firstWhere(array|\Closure|Expression|string $column, $operator = null, $value = null, string $boolean = 'and')
     * @method AffiliateWithdraw forceCreate(array $attributes)
     * @method _IH_AffiliateWithdraw_C|AffiliateWithdraw[] fromQuery(string $query, array $bindings = [])
     * @method _IH_AffiliateWithdraw_C|AffiliateWithdraw[] get(array|string $columns = ['*'])
     * @method AffiliateWithdraw getModel()
     * @method AffiliateWithdraw[] getModels(array|string $columns = ['*'])
     * @method _IH_AffiliateWithdraw_C|AffiliateWithdraw[] hydrate(array $items)
     * @method _IH_AffiliateWithdraw_C|AffiliateWithdraw[] lazy(int $chunkSize = 1000)
     * @method _IH_AffiliateWithdraw_C|AffiliateWithdraw[] lazyById(int $chunkSize = 1000, null|string $column = null, null|string $alias = null)
     * @method _IH_AffiliateWithdraw_C|AffiliateWithdraw[] lazyByIdDesc(int $chunkSize = 1000, null|string $column = null, null|string $alias = null)
     * @method AffiliateWithdraw make(array $attributes = [])
     * @method AffiliateWithdraw newModelInstance(array $attributes = [])
     * @method LengthAwarePaginator|AffiliateWithdraw[]|_IH_AffiliateWithdraw_C paginate(\Closure|int|null $perPage = null, array|string $columns = ['*'], string $pageName = 'page', int|null $page = null)
     * @method Paginator|AffiliateWithdraw[]|_IH_AffiliateWithdraw_C simplePaginate(int|null $perPage = null, array|string $columns = ['*'], string $pageName = 'page', int|null $page = null)
     * @method AffiliateWithdraw sole(array|string $columns = ['*'])
     * @method AffiliateWithdraw updateOrCreate(array $attributes, array $values = [])
     */
    class _IH_AffiliateWithdraw_QB extends _BaseBuilder {}
    
    /**
     * @method ReferralUser|null getOrPut($key, \Closure $value)
     * @method ReferralUser|$this shift(int $count = 1)
     * @method ReferralUser|null firstOrFail(callable|string $key = null, $operator = null, $value = null)
     * @method ReferralUser|$this pop(int $count = 1)
     * @method ReferralUser|null pull($key, \Closure $default = null)
     * @method ReferralUser|null last(callable $callback = null, \Closure $default = null)
     * @method ReferralUser|$this random(callable|int|null $number = null, bool $preserveKeys = false)
     * @method ReferralUser|null sole(callable|string $key = null, $operator = null, $value = null)
     * @method ReferralUser|null get($key, \Closure $default = null)
     * @method ReferralUser|null first(callable $callback = null, \Closure $default = null)
     * @method ReferralUser|null firstWhere(callable|string $key, $operator = null, $value = null)
     * @method ReferralUser|null find($key, $default = null)
     * @method ReferralUser[] all()
     */
    class _IH_ReferralUser_C extends _BaseCollection {
        /**
         * @param int $size
         * @return ReferralUser[][]|Collection<_IH_ReferralUser_C>
         */
        public function chunk($size)
        {
            return [];
        }
    }
    
    /**
     * @method _IH_ReferralUser_QB whereId($value)
     * @method _IH_ReferralUser_QB whereUserId($value)
     * @method _IH_ReferralUser_QB whereAffiliateLinkId($value)
     * @method _IH_ReferralUser_QB whereValidityStartDate($value)
     * @method _IH_ReferralUser_QB whereLmsId($value)
     * @method _IH_ReferralUser_QB whereCreatedAt($value)
     * @method _IH_ReferralUser_QB whereUpdatedAt($value)
     * @method ReferralUser baseSole(array|string $columns = ['*'])
     * @method ReferralUser create(array $attributes = [])
     * @method _IH_ReferralUser_C|ReferralUser[] cursor()
     * @method ReferralUser|null|_IH_ReferralUser_C|ReferralUser[] find($id, array|string $columns = ['*'])
     * @method _IH_ReferralUser_C|ReferralUser[] findMany(array|Arrayable $ids, array|string $columns = ['*'])
     * @method ReferralUser|_IH_ReferralUser_C|ReferralUser[] findOr($id, array|\Closure|string $columns = ['*'], \Closure $callback = null)
     * @method ReferralUser|_IH_ReferralUser_C|ReferralUser[] findOrFail($id, array|string $columns = ['*'])
     * @method ReferralUser|_IH_ReferralUser_C|ReferralUser[] findOrNew($id, array|string $columns = ['*'])
     * @method ReferralUser first(array|string $columns = ['*'])
     * @method ReferralUser firstOr(array|\Closure|string $columns = ['*'], \Closure $callback = null)
     * @method ReferralUser firstOrCreate(array $attributes = [], array $values = [])
     * @method ReferralUser firstOrFail(array|string $columns = ['*'])
     * @method ReferralUser firstOrNew(array $attributes = [], array $values = [])
     * @method ReferralUser firstWhere(array|\Closure|Expression|string $column, $operator = null, $value = null, string $boolean = 'and')
     * @method ReferralUser forceCreate(array $attributes)
     * @method _IH_ReferralUser_C|ReferralUser[] fromQuery(string $query, array $bindings = [])
     * @method _IH_ReferralUser_C|ReferralUser[] get(array|string $columns = ['*'])
     * @method ReferralUser getModel()
     * @method ReferralUser[] getModels(array|string $columns = ['*'])
     * @method _IH_ReferralUser_C|ReferralUser[] hydrate(array $items)
     * @method _IH_ReferralUser_C|ReferralUser[] lazy(int $chunkSize = 1000)
     * @method _IH_ReferralUser_C|ReferralUser[] lazyById(int $chunkSize = 1000, null|string $column = null, null|string $alias = null)
     * @method _IH_ReferralUser_C|ReferralUser[] lazyByIdDesc(int $chunkSize = 1000, null|string $column = null, null|string $alias = null)
     * @method ReferralUser make(array $attributes = [])
     * @method ReferralUser newModelInstance(array $attributes = [])
     * @method LengthAwarePaginator|ReferralUser[]|_IH_ReferralUser_C paginate(\Closure|int|null $perPage = null, array|string $columns = ['*'], string $pageName = 'page', int|null $page = null)
     * @method Paginator|ReferralUser[]|_IH_ReferralUser_C simplePaginate(int|null $perPage = null, array|string $columns = ['*'], string $pageName = 'page', int|null $page = null)
     * @method ReferralUser sole(array|string $columns = ['*'])
     * @method ReferralUser updateOrCreate(array $attributes, array $values = [])
     */
    class _IH_ReferralUser_QB extends _BaseBuilder {}
}