<?php //884bec6963dc003967159e98007a24ff
/** @noinspection all */

namespace LaravelIdea\Helper\Modules\UserGroup\Entities {

    use Illuminate\Contracts\Database\Query\Expression;
    use Illuminate\Contracts\Support\Arrayable;
    use Illuminate\Pagination\LengthAwarePaginator;
    use Illuminate\Pagination\Paginator;
    use Illuminate\Support\Collection;
    use LaravelIdea\Helper\_BaseBuilder;
    use LaravelIdea\Helper\_BaseCollection;
    use Modules\UserGroup\Entities\UserGroup;
    use Modules\UserGroup\Entities\UserGroupUser;
    
    /**
     * @method UserGroupUser|null getOrPut($key, \Closure $value)
     * @method UserGroupUser|$this shift(int $count = 1)
     * @method UserGroupUser|null firstOrFail(callable|string $key = null, $operator = null, $value = null)
     * @method UserGroupUser|$this pop(int $count = 1)
     * @method UserGroupUser|null pull($key, \Closure $default = null)
     * @method UserGroupUser|null last(callable $callback = null, \Closure $default = null)
     * @method UserGroupUser|$this random(callable|int|null $number = null, bool $preserveKeys = false)
     * @method UserGroupUser|null sole(callable|string $key = null, $operator = null, $value = null)
     * @method UserGroupUser|null get($key, \Closure $default = null)
     * @method UserGroupUser|null first(callable $callback = null, \Closure $default = null)
     * @method UserGroupUser|null firstWhere(callable|string $key, $operator = null, $value = null)
     * @method UserGroupUser|null find($key, $default = null)
     * @method UserGroupUser[] all()
     */
    class _IH_UserGroupUser_C extends _BaseCollection {
        /**
         * @param int $size
         * @return UserGroupUser[][]|Collection<_IH_UserGroupUser_C>
         */
        public function chunk($size)
        {
            return [];
        }
    }
    
    /**
     * @method _IH_UserGroupUser_QB whereId($value)
     * @method _IH_UserGroupUser_QB whereUserGroupsId($value)
     * @method _IH_UserGroupUser_QB whereUserId($value)
     * @method _IH_UserGroupUser_QB whereCreatedAt($value)
     * @method _IH_UserGroupUser_QB whereUpdatedAt($value)
     * @method UserGroupUser baseSole(array|string $columns = ['*'])
     * @method UserGroupUser create(array $attributes = [])
     * @method _IH_UserGroupUser_C|UserGroupUser[] cursor()
     * @method UserGroupUser|null|_IH_UserGroupUser_C|UserGroupUser[] find($id, array|string $columns = ['*'])
     * @method _IH_UserGroupUser_C|UserGroupUser[] findMany(array|Arrayable $ids, array|string $columns = ['*'])
     * @method UserGroupUser|_IH_UserGroupUser_C|UserGroupUser[] findOr($id, array|\Closure|string $columns = ['*'], \Closure $callback = null)
     * @method UserGroupUser|_IH_UserGroupUser_C|UserGroupUser[] findOrFail($id, array|string $columns = ['*'])
     * @method UserGroupUser|_IH_UserGroupUser_C|UserGroupUser[] findOrNew($id, array|string $columns = ['*'])
     * @method UserGroupUser first(array|string $columns = ['*'])
     * @method UserGroupUser firstOr(array|\Closure|string $columns = ['*'], \Closure $callback = null)
     * @method UserGroupUser firstOrCreate(array $attributes = [], array $values = [])
     * @method UserGroupUser firstOrFail(array|string $columns = ['*'])
     * @method UserGroupUser firstOrNew(array $attributes = [], array $values = [])
     * @method UserGroupUser firstWhere(array|\Closure|Expression|string $column, $operator = null, $value = null, string $boolean = 'and')
     * @method UserGroupUser forceCreate(array $attributes)
     * @method _IH_UserGroupUser_C|UserGroupUser[] fromQuery(string $query, array $bindings = [])
     * @method _IH_UserGroupUser_C|UserGroupUser[] get(array|string $columns = ['*'])
     * @method UserGroupUser getModel()
     * @method UserGroupUser[] getModels(array|string $columns = ['*'])
     * @method _IH_UserGroupUser_C|UserGroupUser[] hydrate(array $items)
     * @method _IH_UserGroupUser_C|UserGroupUser[] lazy(int $chunkSize = 1000)
     * @method _IH_UserGroupUser_C|UserGroupUser[] lazyById(int $chunkSize = 1000, null|string $column = null, null|string $alias = null)
     * @method _IH_UserGroupUser_C|UserGroupUser[] lazyByIdDesc(int $chunkSize = 1000, null|string $column = null, null|string $alias = null)
     * @method UserGroupUser make(array $attributes = [])
     * @method UserGroupUser newModelInstance(array $attributes = [])
     * @method LengthAwarePaginator|UserGroupUser[]|_IH_UserGroupUser_C paginate(\Closure|int|null $perPage = null, array|string $columns = ['*'], string $pageName = 'page', int|null $page = null)
     * @method Paginator|UserGroupUser[]|_IH_UserGroupUser_C simplePaginate(int|null $perPage = null, array|string $columns = ['*'], string $pageName = 'page', int|null $page = null)
     * @method UserGroupUser sole(array|string $columns = ['*'])
     * @method UserGroupUser updateOrCreate(array $attributes, array $values = [])
     */
    class _IH_UserGroupUser_QB extends _BaseBuilder {}
    
    /**
     * @method UserGroup|null getOrPut($key, \Closure $value)
     * @method UserGroup|$this shift(int $count = 1)
     * @method UserGroup|null firstOrFail(callable|string $key = null, $operator = null, $value = null)
     * @method UserGroup|$this pop(int $count = 1)
     * @method UserGroup|null pull($key, \Closure $default = null)
     * @method UserGroup|null last(callable $callback = null, \Closure $default = null)
     * @method UserGroup|$this random(callable|int|null $number = null, bool $preserveKeys = false)
     * @method UserGroup|null sole(callable|string $key = null, $operator = null, $value = null)
     * @method UserGroup|null get($key, \Closure $default = null)
     * @method UserGroup|null first(callable $callback = null, \Closure $default = null)
     * @method UserGroup|null firstWhere(callable|string $key, $operator = null, $value = null)
     * @method UserGroup|null find($key, $default = null)
     * @method UserGroup[] all()
     */
    class _IH_UserGroup_C extends _BaseCollection {
        /**
         * @param int $size
         * @return UserGroup[][]|Collection<_IH_UserGroup_C>
         */
        public function chunk($size)
        {
            return [];
        }
    }
    
    /**
     * @method _IH_UserGroup_QB whereId($value)
     * @method _IH_UserGroup_QB whereTitle($value)
     * @method _IH_UserGroup_QB whereDiscount($value)
     * @method _IH_UserGroup_QB whereCommission($value)
     * @method _IH_UserGroup_QB whereStatus($value)
     * @method _IH_UserGroup_QB whereCreatedBy($value)
     * @method _IH_UserGroup_QB whereIsVisible($value)
     * @method _IH_UserGroup_QB whereCreatedAt($value)
     * @method _IH_UserGroup_QB whereUpdatedAt($value)
     * @method UserGroup baseSole(array|string $columns = ['*'])
     * @method UserGroup create(array $attributes = [])
     * @method _IH_UserGroup_C|UserGroup[] cursor()
     * @method UserGroup|null|_IH_UserGroup_C|UserGroup[] find($id, array|string $columns = ['*'])
     * @method _IH_UserGroup_C|UserGroup[] findMany(array|Arrayable $ids, array|string $columns = ['*'])
     * @method UserGroup|_IH_UserGroup_C|UserGroup[] findOr($id, array|\Closure|string $columns = ['*'], \Closure $callback = null)
     * @method UserGroup|_IH_UserGroup_C|UserGroup[] findOrFail($id, array|string $columns = ['*'])
     * @method UserGroup|_IH_UserGroup_C|UserGroup[] findOrNew($id, array|string $columns = ['*'])
     * @method UserGroup first(array|string $columns = ['*'])
     * @method UserGroup firstOr(array|\Closure|string $columns = ['*'], \Closure $callback = null)
     * @method UserGroup firstOrCreate(array $attributes = [], array $values = [])
     * @method UserGroup firstOrFail(array|string $columns = ['*'])
     * @method UserGroup firstOrNew(array $attributes = [], array $values = [])
     * @method UserGroup firstWhere(array|\Closure|Expression|string $column, $operator = null, $value = null, string $boolean = 'and')
     * @method UserGroup forceCreate(array $attributes)
     * @method _IH_UserGroup_C|UserGroup[] fromQuery(string $query, array $bindings = [])
     * @method _IH_UserGroup_C|UserGroup[] get(array|string $columns = ['*'])
     * @method UserGroup getModel()
     * @method UserGroup[] getModels(array|string $columns = ['*'])
     * @method _IH_UserGroup_C|UserGroup[] hydrate(array $items)
     * @method _IH_UserGroup_C|UserGroup[] lazy(int $chunkSize = 1000)
     * @method _IH_UserGroup_C|UserGroup[] lazyById(int $chunkSize = 1000, null|string $column = null, null|string $alias = null)
     * @method _IH_UserGroup_C|UserGroup[] lazyByIdDesc(int $chunkSize = 1000, null|string $column = null, null|string $alias = null)
     * @method UserGroup make(array $attributes = [])
     * @method UserGroup newModelInstance(array $attributes = [])
     * @method LengthAwarePaginator|UserGroup[]|_IH_UserGroup_C paginate(\Closure|int|null $perPage = null, array|string $columns = ['*'], string $pageName = 'page', int|null $page = null)
     * @method Paginator|UserGroup[]|_IH_UserGroup_C simplePaginate(int|null $perPage = null, array|string $columns = ['*'], string $pageName = 'page', int|null $page = null)
     * @method UserGroup sole(array|string $columns = ['*'])
     * @method UserGroup updateOrCreate(array $attributes, array $values = [])
     */
    class _IH_UserGroup_QB extends _BaseBuilder {}
}