<?php //327b09f8b6b7a0992f58a4af6d304c79
/** @noinspection all */

namespace LaravelIdea\Helper\Modules\CPD\Entities {

    use Illuminate\Contracts\Database\Query\Expression;
    use Illuminate\Contracts\Support\Arrayable;
    use Illuminate\Pagination\LengthAwarePaginator;
    use Illuminate\Pagination\Paginator;
    use Illuminate\Support\Collection;
    use LaravelIdea\Helper\_BaseBuilder;
    use LaravelIdea\Helper\_BaseCollection;
    use Modules\CPD\Entities\AssignCpdCourse;
    use Modules\CPD\Entities\AssignStudent;
    use Modules\CPD\Entities\Cpd;
    use Modules\CPD\Entities\CpdSettings;
    
    /**
     * @method AssignCpdCourse|null getOrPut($key, \Closure $value)
     * @method AssignCpdCourse|$this shift(int $count = 1)
     * @method AssignCpdCourse|null firstOrFail(callable|string $key = null, $operator = null, $value = null)
     * @method AssignCpdCourse|$this pop(int $count = 1)
     * @method AssignCpdCourse|null pull($key, \Closure $default = null)
     * @method AssignCpdCourse|null last(callable $callback = null, \Closure $default = null)
     * @method AssignCpdCourse|$this random(callable|int|null $number = null, bool $preserveKeys = false)
     * @method AssignCpdCourse|null sole(callable|string $key = null, $operator = null, $value = null)
     * @method AssignCpdCourse|null get($key, \Closure $default = null)
     * @method AssignCpdCourse|null first(callable $callback = null, \Closure $default = null)
     * @method AssignCpdCourse|null firstWhere(callable|string $key, $operator = null, $value = null)
     * @method AssignCpdCourse|null find($key, $default = null)
     * @method AssignCpdCourse[] all()
     */
    class _IH_AssignCpdCourse_C extends _BaseCollection {
        /**
         * @param int $size
         * @return AssignCpdCourse[][]|Collection<_IH_AssignCpdCourse_C>
         */
        public function chunk($size)
        {
            return [];
        }
    }
    
    /**
     * @method _IH_AssignCpdCourse_QB whereId($value)
     * @method _IH_AssignCpdCourse_QB whereCpdId($value)
     * @method _IH_AssignCpdCourse_QB whereCourseId($value)
     * @method _IH_AssignCpdCourse_QB whereAddedBy($value)
     * @method _IH_AssignCpdCourse_QB whereStudentId($value)
     * @method _IH_AssignCpdCourse_QB whereTotalStudent($value)
     * @method _IH_AssignCpdCourse_QB whereStatus($value)
     * @method _IH_AssignCpdCourse_QB whereCreatedAt($value)
     * @method _IH_AssignCpdCourse_QB whereUpdatedAt($value)
     * @method AssignCpdCourse baseSole(array|string $columns = ['*'])
     * @method AssignCpdCourse create(array $attributes = [])
     * @method _IH_AssignCpdCourse_C|AssignCpdCourse[] cursor()
     * @method AssignCpdCourse|null|_IH_AssignCpdCourse_C|AssignCpdCourse[] find($id, array|string $columns = ['*'])
     * @method _IH_AssignCpdCourse_C|AssignCpdCourse[] findMany(array|Arrayable $ids, array|string $columns = ['*'])
     * @method AssignCpdCourse|_IH_AssignCpdCourse_C|AssignCpdCourse[] findOr($id, array|\Closure|string $columns = ['*'], \Closure $callback = null)
     * @method AssignCpdCourse|_IH_AssignCpdCourse_C|AssignCpdCourse[] findOrFail($id, array|string $columns = ['*'])
     * @method AssignCpdCourse|_IH_AssignCpdCourse_C|AssignCpdCourse[] findOrNew($id, array|string $columns = ['*'])
     * @method AssignCpdCourse first(array|string $columns = ['*'])
     * @method AssignCpdCourse firstOr(array|\Closure|string $columns = ['*'], \Closure $callback = null)
     * @method AssignCpdCourse firstOrCreate(array $attributes = [], array $values = [])
     * @method AssignCpdCourse firstOrFail(array|string $columns = ['*'])
     * @method AssignCpdCourse firstOrNew(array $attributes = [], array $values = [])
     * @method AssignCpdCourse firstWhere(array|\Closure|Expression|string $column, $operator = null, $value = null, string $boolean = 'and')
     * @method AssignCpdCourse forceCreate(array $attributes)
     * @method _IH_AssignCpdCourse_C|AssignCpdCourse[] fromQuery(string $query, array $bindings = [])
     * @method _IH_AssignCpdCourse_C|AssignCpdCourse[] get(array|string $columns = ['*'])
     * @method AssignCpdCourse getModel()
     * @method AssignCpdCourse[] getModels(array|string $columns = ['*'])
     * @method _IH_AssignCpdCourse_C|AssignCpdCourse[] hydrate(array $items)
     * @method _IH_AssignCpdCourse_C|AssignCpdCourse[] lazy(int $chunkSize = 1000)
     * @method _IH_AssignCpdCourse_C|AssignCpdCourse[] lazyById(int $chunkSize = 1000, null|string $column = null, null|string $alias = null)
     * @method _IH_AssignCpdCourse_C|AssignCpdCourse[] lazyByIdDesc(int $chunkSize = 1000, null|string $column = null, null|string $alias = null)
     * @method AssignCpdCourse make(array $attributes = [])
     * @method AssignCpdCourse newModelInstance(array $attributes = [])
     * @method LengthAwarePaginator|AssignCpdCourse[]|_IH_AssignCpdCourse_C paginate(\Closure|int|null $perPage = null, array|string $columns = ['*'], string $pageName = 'page', int|null $page = null)
     * @method Paginator|AssignCpdCourse[]|_IH_AssignCpdCourse_C simplePaginate(int|null $perPage = null, array|string $columns = ['*'], string $pageName = 'page', int|null $page = null)
     * @method AssignCpdCourse sole(array|string $columns = ['*'])
     * @method AssignCpdCourse updateOrCreate(array $attributes, array $values = [])
     */
    class _IH_AssignCpdCourse_QB extends _BaseBuilder {}
    
    /**
     * @method AssignStudent|null getOrPut($key, \Closure $value)
     * @method AssignStudent|$this shift(int $count = 1)
     * @method AssignStudent|null firstOrFail(callable|string $key = null, $operator = null, $value = null)
     * @method AssignStudent|$this pop(int $count = 1)
     * @method AssignStudent|null pull($key, \Closure $default = null)
     * @method AssignStudent|null last(callable $callback = null, \Closure $default = null)
     * @method AssignStudent|$this random(callable|int|null $number = null, bool $preserveKeys = false)
     * @method AssignStudent|null sole(callable|string $key = null, $operator = null, $value = null)
     * @method AssignStudent|null get($key, \Closure $default = null)
     * @method AssignStudent|null first(callable $callback = null, \Closure $default = null)
     * @method AssignStudent|null firstWhere(callable|string $key, $operator = null, $value = null)
     * @method AssignStudent|null find($key, $default = null)
     * @method AssignStudent[] all()
     */
    class _IH_AssignStudent_C extends _BaseCollection {
        /**
         * @param int $size
         * @return AssignStudent[][]|Collection<_IH_AssignStudent_C>
         */
        public function chunk($size)
        {
            return [];
        }
    }
    
    /**
     * @method _IH_AssignStudent_QB whereId($value)
     * @method _IH_AssignStudent_QB whereCpdId($value)
     * @method _IH_AssignStudent_QB whereCourseId($value)
     * @method _IH_AssignStudent_QB whereAddedBy($value)
     * @method _IH_AssignStudent_QB whereStudentId($value)
     * @method _IH_AssignStudent_QB whereAssignCpdId($value)
     * @method _IH_AssignStudent_QB whereStatus($value)
     * @method _IH_AssignStudent_QB whereCreatedAt($value)
     * @method _IH_AssignStudent_QB whereUpdatedAt($value)
     * @method AssignStudent baseSole(array|string $columns = ['*'])
     * @method AssignStudent create(array $attributes = [])
     * @method _IH_AssignStudent_C|AssignStudent[] cursor()
     * @method AssignStudent|null|_IH_AssignStudent_C|AssignStudent[] find($id, array|string $columns = ['*'])
     * @method _IH_AssignStudent_C|AssignStudent[] findMany(array|Arrayable $ids, array|string $columns = ['*'])
     * @method AssignStudent|_IH_AssignStudent_C|AssignStudent[] findOr($id, array|\Closure|string $columns = ['*'], \Closure $callback = null)
     * @method AssignStudent|_IH_AssignStudent_C|AssignStudent[] findOrFail($id, array|string $columns = ['*'])
     * @method AssignStudent|_IH_AssignStudent_C|AssignStudent[] findOrNew($id, array|string $columns = ['*'])
     * @method AssignStudent first(array|string $columns = ['*'])
     * @method AssignStudent firstOr(array|\Closure|string $columns = ['*'], \Closure $callback = null)
     * @method AssignStudent firstOrCreate(array $attributes = [], array $values = [])
     * @method AssignStudent firstOrFail(array|string $columns = ['*'])
     * @method AssignStudent firstOrNew(array $attributes = [], array $values = [])
     * @method AssignStudent firstWhere(array|\Closure|Expression|string $column, $operator = null, $value = null, string $boolean = 'and')
     * @method AssignStudent forceCreate(array $attributes)
     * @method _IH_AssignStudent_C|AssignStudent[] fromQuery(string $query, array $bindings = [])
     * @method _IH_AssignStudent_C|AssignStudent[] get(array|string $columns = ['*'])
     * @method AssignStudent getModel()
     * @method AssignStudent[] getModels(array|string $columns = ['*'])
     * @method _IH_AssignStudent_C|AssignStudent[] hydrate(array $items)
     * @method _IH_AssignStudent_C|AssignStudent[] lazy(int $chunkSize = 1000)
     * @method _IH_AssignStudent_C|AssignStudent[] lazyById(int $chunkSize = 1000, null|string $column = null, null|string $alias = null)
     * @method _IH_AssignStudent_C|AssignStudent[] lazyByIdDesc(int $chunkSize = 1000, null|string $column = null, null|string $alias = null)
     * @method AssignStudent make(array $attributes = [])
     * @method AssignStudent newModelInstance(array $attributes = [])
     * @method LengthAwarePaginator|AssignStudent[]|_IH_AssignStudent_C paginate(\Closure|int|null $perPage = null, array|string $columns = ['*'], string $pageName = 'page', int|null $page = null)
     * @method Paginator|AssignStudent[]|_IH_AssignStudent_C simplePaginate(int|null $perPage = null, array|string $columns = ['*'], string $pageName = 'page', int|null $page = null)
     * @method AssignStudent sole(array|string $columns = ['*'])
     * @method AssignStudent updateOrCreate(array $attributes, array $values = [])
     */
    class _IH_AssignStudent_QB extends _BaseBuilder {}
    
    /**
     * @method CpdSettings|null getOrPut($key, \Closure $value)
     * @method CpdSettings|$this shift(int $count = 1)
     * @method CpdSettings|null firstOrFail(callable|string $key = null, $operator = null, $value = null)
     * @method CpdSettings|$this pop(int $count = 1)
     * @method CpdSettings|null pull($key, \Closure $default = null)
     * @method CpdSettings|null last(callable $callback = null, \Closure $default = null)
     * @method CpdSettings|$this random(callable|int|null $number = null, bool $preserveKeys = false)
     * @method CpdSettings|null sole(callable|string $key = null, $operator = null, $value = null)
     * @method CpdSettings|null get($key, \Closure $default = null)
     * @method CpdSettings|null first(callable $callback = null, \Closure $default = null)
     * @method CpdSettings|null firstWhere(callable|string $key, $operator = null, $value = null)
     * @method CpdSettings|null find($key, $default = null)
     * @method CpdSettings[] all()
     */
    class _IH_CpdSettings_C extends _BaseCollection {
        /**
         * @param int $size
         * @return CpdSettings[][]|Collection<_IH_CpdSettings_C>
         */
        public function chunk($size)
        {
            return [];
        }
    }
    
    /**
     * @method _IH_CpdSettings_QB whereId($value)
     * @method _IH_CpdSettings_QB whereAddToCpd($value)
     * @method _IH_CpdSettings_QB whereEndDay($value)
     * @method _IH_CpdSettings_QB whereCreatedAt($value)
     * @method _IH_CpdSettings_QB whereUpdatedAt($value)
     * @method CpdSettings baseSole(array|string $columns = ['*'])
     * @method CpdSettings create(array $attributes = [])
     * @method _IH_CpdSettings_C|CpdSettings[] cursor()
     * @method CpdSettings|null|_IH_CpdSettings_C|CpdSettings[] find($id, array|string $columns = ['*'])
     * @method _IH_CpdSettings_C|CpdSettings[] findMany(array|Arrayable $ids, array|string $columns = ['*'])
     * @method CpdSettings|_IH_CpdSettings_C|CpdSettings[] findOr($id, array|\Closure|string $columns = ['*'], \Closure $callback = null)
     * @method CpdSettings|_IH_CpdSettings_C|CpdSettings[] findOrFail($id, array|string $columns = ['*'])
     * @method CpdSettings|_IH_CpdSettings_C|CpdSettings[] findOrNew($id, array|string $columns = ['*'])
     * @method CpdSettings first(array|string $columns = ['*'])
     * @method CpdSettings firstOr(array|\Closure|string $columns = ['*'], \Closure $callback = null)
     * @method CpdSettings firstOrCreate(array $attributes = [], array $values = [])
     * @method CpdSettings firstOrFail(array|string $columns = ['*'])
     * @method CpdSettings firstOrNew(array $attributes = [], array $values = [])
     * @method CpdSettings firstWhere(array|\Closure|Expression|string $column, $operator = null, $value = null, string $boolean = 'and')
     * @method CpdSettings forceCreate(array $attributes)
     * @method _IH_CpdSettings_C|CpdSettings[] fromQuery(string $query, array $bindings = [])
     * @method _IH_CpdSettings_C|CpdSettings[] get(array|string $columns = ['*'])
     * @method CpdSettings getModel()
     * @method CpdSettings[] getModels(array|string $columns = ['*'])
     * @method _IH_CpdSettings_C|CpdSettings[] hydrate(array $items)
     * @method _IH_CpdSettings_C|CpdSettings[] lazy(int $chunkSize = 1000)
     * @method _IH_CpdSettings_C|CpdSettings[] lazyById(int $chunkSize = 1000, null|string $column = null, null|string $alias = null)
     * @method _IH_CpdSettings_C|CpdSettings[] lazyByIdDesc(int $chunkSize = 1000, null|string $column = null, null|string $alias = null)
     * @method CpdSettings make(array $attributes = [])
     * @method CpdSettings newModelInstance(array $attributes = [])
     * @method LengthAwarePaginator|CpdSettings[]|_IH_CpdSettings_C paginate(\Closure|int|null $perPage = null, array|string $columns = ['*'], string $pageName = 'page', int|null $page = null)
     * @method Paginator|CpdSettings[]|_IH_CpdSettings_C simplePaginate(int|null $perPage = null, array|string $columns = ['*'], string $pageName = 'page', int|null $page = null)
     * @method CpdSettings sole(array|string $columns = ['*'])
     * @method CpdSettings updateOrCreate(array $attributes, array $values = [])
     */
    class _IH_CpdSettings_QB extends _BaseBuilder {}
    
    /**
     * @method Cpd|null getOrPut($key, \Closure $value)
     * @method Cpd|$this shift(int $count = 1)
     * @method Cpd|null firstOrFail(callable|string $key = null, $operator = null, $value = null)
     * @method Cpd|$this pop(int $count = 1)
     * @method Cpd|null pull($key, \Closure $default = null)
     * @method Cpd|null last(callable $callback = null, \Closure $default = null)
     * @method Cpd|$this random(callable|int|null $number = null, bool $preserveKeys = false)
     * @method Cpd|null sole(callable|string $key = null, $operator = null, $value = null)
     * @method Cpd|null get($key, \Closure $default = null)
     * @method Cpd|null first(callable $callback = null, \Closure $default = null)
     * @method Cpd|null firstWhere(callable|string $key, $operator = null, $value = null)
     * @method Cpd|null find($key, $default = null)
     * @method Cpd[] all()
     */
    class _IH_Cpd_C extends _BaseCollection {
        /**
         * @param int $size
         * @return Cpd[][]|Collection<_IH_Cpd_C>
         */
        public function chunk($size)
        {
            return [];
        }
    }
    
    /**
     * @method _IH_Cpd_QB whereId($value)
     * @method _IH_Cpd_QB whereTitle($value)
     * @method _IH_Cpd_QB whereStatus($value)
     * @method _IH_Cpd_QB whereCreatedBy($value)
     * @method _IH_Cpd_QB whereCertificateId($value)
     * @method _IH_Cpd_QB whereCreatedAt($value)
     * @method _IH_Cpd_QB whereUpdatedAt($value)
     * @method Cpd baseSole(array|string $columns = ['*'])
     * @method Cpd create(array $attributes = [])
     * @method _IH_Cpd_C|Cpd[] cursor()
     * @method Cpd|null|_IH_Cpd_C|Cpd[] find($id, array|string $columns = ['*'])
     * @method _IH_Cpd_C|Cpd[] findMany(array|Arrayable $ids, array|string $columns = ['*'])
     * @method Cpd|_IH_Cpd_C|Cpd[] findOr($id, array|\Closure|string $columns = ['*'], \Closure $callback = null)
     * @method Cpd|_IH_Cpd_C|Cpd[] findOrFail($id, array|string $columns = ['*'])
     * @method Cpd|_IH_Cpd_C|Cpd[] findOrNew($id, array|string $columns = ['*'])
     * @method Cpd first(array|string $columns = ['*'])
     * @method Cpd firstOr(array|\Closure|string $columns = ['*'], \Closure $callback = null)
     * @method Cpd firstOrCreate(array $attributes = [], array $values = [])
     * @method Cpd firstOrFail(array|string $columns = ['*'])
     * @method Cpd firstOrNew(array $attributes = [], array $values = [])
     * @method Cpd firstWhere(array|\Closure|Expression|string $column, $operator = null, $value = null, string $boolean = 'and')
     * @method Cpd forceCreate(array $attributes)
     * @method _IH_Cpd_C|Cpd[] fromQuery(string $query, array $bindings = [])
     * @method _IH_Cpd_C|Cpd[] get(array|string $columns = ['*'])
     * @method Cpd getModel()
     * @method Cpd[] getModels(array|string $columns = ['*'])
     * @method _IH_Cpd_C|Cpd[] hydrate(array $items)
     * @method _IH_Cpd_C|Cpd[] lazy(int $chunkSize = 1000)
     * @method _IH_Cpd_C|Cpd[] lazyById(int $chunkSize = 1000, null|string $column = null, null|string $alias = null)
     * @method _IH_Cpd_C|Cpd[] lazyByIdDesc(int $chunkSize = 1000, null|string $column = null, null|string $alias = null)
     * @method Cpd make(array $attributes = [])
     * @method Cpd newModelInstance(array $attributes = [])
     * @method LengthAwarePaginator|Cpd[]|_IH_Cpd_C paginate(\Closure|int|null $perPage = null, array|string $columns = ['*'], string $pageName = 'page', int|null $page = null)
     * @method Paginator|Cpd[]|_IH_Cpd_C simplePaginate(int|null $perPage = null, array|string $columns = ['*'], string $pageName = 'page', int|null $page = null)
     * @method Cpd sole(array|string $columns = ['*'])
     * @method Cpd updateOrCreate(array $attributes, array $values = [])
     */
    class _IH_Cpd_QB extends _BaseBuilder {}
}