<?php //e7f0cf84a77f48a0f9f68469313a9c4a
/** @noinspection all */

namespace LaravelIdea\Helper\Modules\VirtualClass\Entities {

    use Illuminate\Contracts\Database\Query\Expression;
    use Illuminate\Contracts\Support\Arrayable;
    use Illuminate\Pagination\LengthAwarePaginator;
    use Illuminate\Pagination\Paginator;
    use Illuminate\Support\Collection;
    use LaravelIdea\Helper\_BaseBuilder;
    use LaravelIdea\Helper\_BaseCollection;
    use Modules\VirtualClass\Entities\ClassComplete;
    use Modules\VirtualClass\Entities\ClassRecord;
    use Modules\VirtualClass\Entities\ClassSetting;
    use Modules\VirtualClass\Entities\CustomClassMessage;
    use Modules\VirtualClass\Entities\CustomMeeting;
    use Modules\VirtualClass\Entities\VirtualClass;
    
    /**
     * @method ClassComplete|null getOrPut($key, \Closure $value)
     * @method ClassComplete|$this shift(int $count = 1)
     * @method ClassComplete|null firstOrFail(callable|string $key = null, $operator = null, $value = null)
     * @method ClassComplete|$this pop(int $count = 1)
     * @method ClassComplete|null pull($key, \Closure $default = null)
     * @method ClassComplete|null last(callable $callback = null, \Closure $default = null)
     * @method ClassComplete|$this random(callable|int|null $number = null, bool $preserveKeys = false)
     * @method ClassComplete|null sole(callable|string $key = null, $operator = null, $value = null)
     * @method ClassComplete|null get($key, \Closure $default = null)
     * @method ClassComplete|null first(callable $callback = null, \Closure $default = null)
     * @method ClassComplete|null firstWhere(callable|string $key, $operator = null, $value = null)
     * @method ClassComplete|null find($key, $default = null)
     * @method ClassComplete[] all()
     */
    class _IH_ClassComplete_C extends _BaseCollection {
        /**
         * @param int $size
         * @return ClassComplete[][]|Collection<_IH_ClassComplete_C>
         */
        public function chunk($size)
        {
            return [];
        }
    }
    
    /**
     * @method _IH_ClassComplete_QB whereId($value)
     * @method _IH_ClassComplete_QB whereCourseId($value)
     * @method _IH_ClassComplete_QB whereClassId($value)
     * @method _IH_ClassComplete_QB whereHost($value)
     * @method _IH_ClassComplete_QB whereMeetingId($value)
     * @method _IH_ClassComplete_QB whereUserId($value)
     * @method _IH_ClassComplete_QB whereStatus($value)
     * @method _IH_ClassComplete_QB whereCreatedAt($value)
     * @method _IH_ClassComplete_QB whereUpdatedAt($value)
     * @method _IH_ClassComplete_QB whereEnrollId($value)
     * @method ClassComplete baseSole(array|string $columns = ['*'])
     * @method ClassComplete create(array $attributes = [])
     * @method _IH_ClassComplete_C|ClassComplete[] cursor()
     * @method ClassComplete|null|_IH_ClassComplete_C|ClassComplete[] find($id, array|string $columns = ['*'])
     * @method _IH_ClassComplete_C|ClassComplete[] findMany(array|Arrayable $ids, array|string $columns = ['*'])
     * @method ClassComplete|_IH_ClassComplete_C|ClassComplete[] findOr($id, array|\Closure|string $columns = ['*'], \Closure $callback = null)
     * @method ClassComplete|_IH_ClassComplete_C|ClassComplete[] findOrFail($id, array|string $columns = ['*'])
     * @method ClassComplete|_IH_ClassComplete_C|ClassComplete[] findOrNew($id, array|string $columns = ['*'])
     * @method ClassComplete first(array|string $columns = ['*'])
     * @method ClassComplete firstOr(array|\Closure|string $columns = ['*'], \Closure $callback = null)
     * @method ClassComplete firstOrCreate(array $attributes = [], array $values = [])
     * @method ClassComplete firstOrFail(array|string $columns = ['*'])
     * @method ClassComplete firstOrNew(array $attributes = [], array $values = [])
     * @method ClassComplete firstWhere(array|\Closure|Expression|string $column, $operator = null, $value = null, string $boolean = 'and')
     * @method ClassComplete forceCreate(array $attributes)
     * @method _IH_ClassComplete_C|ClassComplete[] fromQuery(string $query, array $bindings = [])
     * @method _IH_ClassComplete_C|ClassComplete[] get(array|string $columns = ['*'])
     * @method ClassComplete getModel()
     * @method ClassComplete[] getModels(array|string $columns = ['*'])
     * @method _IH_ClassComplete_C|ClassComplete[] hydrate(array $items)
     * @method _IH_ClassComplete_C|ClassComplete[] lazy(int $chunkSize = 1000)
     * @method _IH_ClassComplete_C|ClassComplete[] lazyById(int $chunkSize = 1000, null|string $column = null, null|string $alias = null)
     * @method _IH_ClassComplete_C|ClassComplete[] lazyByIdDesc(int $chunkSize = 1000, null|string $column = null, null|string $alias = null)
     * @method ClassComplete make(array $attributes = [])
     * @method ClassComplete newModelInstance(array $attributes = [])
     * @method LengthAwarePaginator|ClassComplete[]|_IH_ClassComplete_C paginate(\Closure|int|null $perPage = null, array|string $columns = ['*'], string $pageName = 'page', int|null $page = null)
     * @method Paginator|ClassComplete[]|_IH_ClassComplete_C simplePaginate(int|null $perPage = null, array|string $columns = ['*'], string $pageName = 'page', int|null $page = null)
     * @method ClassComplete sole(array|string $columns = ['*'])
     * @method ClassComplete updateOrCreate(array $attributes, array $values = [])
     */
    class _IH_ClassComplete_QB extends _BaseBuilder {}
    
    /**
     * @method ClassRecord|null getOrPut($key, \Closure $value)
     * @method ClassRecord|$this shift(int $count = 1)
     * @method ClassRecord|null firstOrFail(callable|string $key = null, $operator = null, $value = null)
     * @method ClassRecord|$this pop(int $count = 1)
     * @method ClassRecord|null pull($key, \Closure $default = null)
     * @method ClassRecord|null last(callable $callback = null, \Closure $default = null)
     * @method ClassRecord|$this random(callable|int|null $number = null, bool $preserveKeys = false)
     * @method ClassRecord|null sole(callable|string $key = null, $operator = null, $value = null)
     * @method ClassRecord|null get($key, \Closure $default = null)
     * @method ClassRecord|null first(callable $callback = null, \Closure $default = null)
     * @method ClassRecord|null firstWhere(callable|string $key, $operator = null, $value = null)
     * @method ClassRecord|null find($key, $default = null)
     * @method ClassRecord[] all()
     */
    class _IH_ClassRecord_C extends _BaseCollection {
        /**
         * @param int $size
         * @return ClassRecord[][]|Collection<_IH_ClassRecord_C>
         */
        public function chunk($size)
        {
            return [];
        }
    }
    
    /**
     * @method _IH_ClassRecord_QB whereId($value)
     * @method _IH_ClassRecord_QB whereClassId($value)
     * @method _IH_ClassRecord_QB whereMeetingId($value)
     * @method _IH_ClassRecord_QB whereTitle($value)
     * @method _IH_ClassRecord_QB whereUrl($value)
     * @method _IH_ClassRecord_QB whereHost($value)
     * @method _IH_ClassRecord_QB whereStatus($value)
     * @method _IH_ClassRecord_QB whereCreatedAt($value)
     * @method _IH_ClassRecord_QB whereUpdatedAt($value)
     * @method ClassRecord baseSole(array|string $columns = ['*'])
     * @method ClassRecord create(array $attributes = [])
     * @method _IH_ClassRecord_C|ClassRecord[] cursor()
     * @method ClassRecord|null|_IH_ClassRecord_C|ClassRecord[] find($id, array|string $columns = ['*'])
     * @method _IH_ClassRecord_C|ClassRecord[] findMany(array|Arrayable $ids, array|string $columns = ['*'])
     * @method ClassRecord|_IH_ClassRecord_C|ClassRecord[] findOr($id, array|\Closure|string $columns = ['*'], \Closure $callback = null)
     * @method ClassRecord|_IH_ClassRecord_C|ClassRecord[] findOrFail($id, array|string $columns = ['*'])
     * @method ClassRecord|_IH_ClassRecord_C|ClassRecord[] findOrNew($id, array|string $columns = ['*'])
     * @method ClassRecord first(array|string $columns = ['*'])
     * @method ClassRecord firstOr(array|\Closure|string $columns = ['*'], \Closure $callback = null)
     * @method ClassRecord firstOrCreate(array $attributes = [], array $values = [])
     * @method ClassRecord firstOrFail(array|string $columns = ['*'])
     * @method ClassRecord firstOrNew(array $attributes = [], array $values = [])
     * @method ClassRecord firstWhere(array|\Closure|Expression|string $column, $operator = null, $value = null, string $boolean = 'and')
     * @method ClassRecord forceCreate(array $attributes)
     * @method _IH_ClassRecord_C|ClassRecord[] fromQuery(string $query, array $bindings = [])
     * @method _IH_ClassRecord_C|ClassRecord[] get(array|string $columns = ['*'])
     * @method ClassRecord getModel()
     * @method ClassRecord[] getModels(array|string $columns = ['*'])
     * @method _IH_ClassRecord_C|ClassRecord[] hydrate(array $items)
     * @method _IH_ClassRecord_C|ClassRecord[] lazy(int $chunkSize = 1000)
     * @method _IH_ClassRecord_C|ClassRecord[] lazyById(int $chunkSize = 1000, null|string $column = null, null|string $alias = null)
     * @method _IH_ClassRecord_C|ClassRecord[] lazyByIdDesc(int $chunkSize = 1000, null|string $column = null, null|string $alias = null)
     * @method ClassRecord make(array $attributes = [])
     * @method ClassRecord newModelInstance(array $attributes = [])
     * @method LengthAwarePaginator|ClassRecord[]|_IH_ClassRecord_C paginate(\Closure|int|null $perPage = null, array|string $columns = ['*'], string $pageName = 'page', int|null $page = null)
     * @method Paginator|ClassRecord[]|_IH_ClassRecord_C simplePaginate(int|null $perPage = null, array|string $columns = ['*'], string $pageName = 'page', int|null $page = null)
     * @method ClassRecord sole(array|string $columns = ['*'])
     * @method ClassRecord updateOrCreate(array $attributes, array $values = [])
     */
    class _IH_ClassRecord_QB extends _BaseBuilder {}
    
    /**
     * @method ClassSetting|null getOrPut($key, \Closure $value)
     * @method ClassSetting|$this shift(int $count = 1)
     * @method ClassSetting|null firstOrFail(callable|string $key = null, $operator = null, $value = null)
     * @method ClassSetting|$this pop(int $count = 1)
     * @method ClassSetting|null pull($key, \Closure $default = null)
     * @method ClassSetting|null last(callable $callback = null, \Closure $default = null)
     * @method ClassSetting|$this random(callable|int|null $number = null, bool $preserveKeys = false)
     * @method ClassSetting|null sole(callable|string $key = null, $operator = null, $value = null)
     * @method ClassSetting|null get($key, \Closure $default = null)
     * @method ClassSetting|null first(callable $callback = null, \Closure $default = null)
     * @method ClassSetting|null firstWhere(callable|string $key, $operator = null, $value = null)
     * @method ClassSetting|null find($key, $default = null)
     * @method ClassSetting[] all()
     */
    class _IH_ClassSetting_C extends _BaseCollection {
        /**
         * @param int $size
         * @return ClassSetting[][]|Collection<_IH_ClassSetting_C>
         */
        public function chunk($size)
        {
            return [];
        }
    }
    
    /**
     * @method _IH_ClassSetting_QB whereId($value)
     * @method _IH_ClassSetting_QB whereDefaultClass($value)
     * @method _IH_ClassSetting_QB whereCreatedAt($value)
     * @method _IH_ClassSetting_QB whereUpdatedAt($value)
     * @method ClassSetting baseSole(array|string $columns = ['*'])
     * @method ClassSetting create(array $attributes = [])
     * @method _IH_ClassSetting_C|ClassSetting[] cursor()
     * @method ClassSetting|null|_IH_ClassSetting_C|ClassSetting[] find($id, array|string $columns = ['*'])
     * @method _IH_ClassSetting_C|ClassSetting[] findMany(array|Arrayable $ids, array|string $columns = ['*'])
     * @method ClassSetting|_IH_ClassSetting_C|ClassSetting[] findOr($id, array|\Closure|string $columns = ['*'], \Closure $callback = null)
     * @method ClassSetting|_IH_ClassSetting_C|ClassSetting[] findOrFail($id, array|string $columns = ['*'])
     * @method ClassSetting|_IH_ClassSetting_C|ClassSetting[] findOrNew($id, array|string $columns = ['*'])
     * @method ClassSetting first(array|string $columns = ['*'])
     * @method ClassSetting firstOr(array|\Closure|string $columns = ['*'], \Closure $callback = null)
     * @method ClassSetting firstOrCreate(array $attributes = [], array $values = [])
     * @method ClassSetting firstOrFail(array|string $columns = ['*'])
     * @method ClassSetting firstOrNew(array $attributes = [], array $values = [])
     * @method ClassSetting firstWhere(array|\Closure|Expression|string $column, $operator = null, $value = null, string $boolean = 'and')
     * @method ClassSetting forceCreate(array $attributes)
     * @method _IH_ClassSetting_C|ClassSetting[] fromQuery(string $query, array $bindings = [])
     * @method _IH_ClassSetting_C|ClassSetting[] get(array|string $columns = ['*'])
     * @method ClassSetting getModel()
     * @method ClassSetting[] getModels(array|string $columns = ['*'])
     * @method _IH_ClassSetting_C|ClassSetting[] hydrate(array $items)
     * @method _IH_ClassSetting_C|ClassSetting[] lazy(int $chunkSize = 1000)
     * @method _IH_ClassSetting_C|ClassSetting[] lazyById(int $chunkSize = 1000, null|string $column = null, null|string $alias = null)
     * @method _IH_ClassSetting_C|ClassSetting[] lazyByIdDesc(int $chunkSize = 1000, null|string $column = null, null|string $alias = null)
     * @method ClassSetting make(array $attributes = [])
     * @method ClassSetting newModelInstance(array $attributes = [])
     * @method LengthAwarePaginator|ClassSetting[]|_IH_ClassSetting_C paginate(\Closure|int|null $perPage = null, array|string $columns = ['*'], string $pageName = 'page', int|null $page = null)
     * @method Paginator|ClassSetting[]|_IH_ClassSetting_C simplePaginate(int|null $perPage = null, array|string $columns = ['*'], string $pageName = 'page', int|null $page = null)
     * @method ClassSetting sole(array|string $columns = ['*'])
     * @method ClassSetting updateOrCreate(array $attributes, array $values = [])
     */
    class _IH_ClassSetting_QB extends _BaseBuilder {}
    
    /**
     * @method CustomClassMessage|null getOrPut($key, \Closure $value)
     * @method CustomClassMessage|$this shift(int $count = 1)
     * @method CustomClassMessage|null firstOrFail(callable|string $key = null, $operator = null, $value = null)
     * @method CustomClassMessage|$this pop(int $count = 1)
     * @method CustomClassMessage|null pull($key, \Closure $default = null)
     * @method CustomClassMessage|null last(callable $callback = null, \Closure $default = null)
     * @method CustomClassMessage|$this random(callable|int|null $number = null, bool $preserveKeys = false)
     * @method CustomClassMessage|null sole(callable|string $key = null, $operator = null, $value = null)
     * @method CustomClassMessage|null get($key, \Closure $default = null)
     * @method CustomClassMessage|null first(callable $callback = null, \Closure $default = null)
     * @method CustomClassMessage|null firstWhere(callable|string $key, $operator = null, $value = null)
     * @method CustomClassMessage|null find($key, $default = null)
     * @method CustomClassMessage[] all()
     */
    class _IH_CustomClassMessage_C extends _BaseCollection {
        /**
         * @param int $size
         * @return CustomClassMessage[][]|Collection<_IH_CustomClassMessage_C>
         */
        public function chunk($size)
        {
            return [];
        }
    }
    
    /**
     * @method _IH_CustomClassMessage_QB whereId($value)
     * @method _IH_CustomClassMessage_QB whereUserId($value)
     * @method _IH_CustomClassMessage_QB whereClassId($value)
     * @method _IH_CustomClassMessage_QB whereMsg($value)
     * @method _IH_CustomClassMessage_QB whereCreatedAt($value)
     * @method _IH_CustomClassMessage_QB whereUpdatedAt($value)
     * @method CustomClassMessage baseSole(array|string $columns = ['*'])
     * @method CustomClassMessage create(array $attributes = [])
     * @method _IH_CustomClassMessage_C|CustomClassMessage[] cursor()
     * @method CustomClassMessage|null|_IH_CustomClassMessage_C|CustomClassMessage[] find($id, array|string $columns = ['*'])
     * @method _IH_CustomClassMessage_C|CustomClassMessage[] findMany(array|Arrayable $ids, array|string $columns = ['*'])
     * @method CustomClassMessage|_IH_CustomClassMessage_C|CustomClassMessage[] findOr($id, array|\Closure|string $columns = ['*'], \Closure $callback = null)
     * @method CustomClassMessage|_IH_CustomClassMessage_C|CustomClassMessage[] findOrFail($id, array|string $columns = ['*'])
     * @method CustomClassMessage|_IH_CustomClassMessage_C|CustomClassMessage[] findOrNew($id, array|string $columns = ['*'])
     * @method CustomClassMessage first(array|string $columns = ['*'])
     * @method CustomClassMessage firstOr(array|\Closure|string $columns = ['*'], \Closure $callback = null)
     * @method CustomClassMessage firstOrCreate(array $attributes = [], array $values = [])
     * @method CustomClassMessage firstOrFail(array|string $columns = ['*'])
     * @method CustomClassMessage firstOrNew(array $attributes = [], array $values = [])
     * @method CustomClassMessage firstWhere(array|\Closure|Expression|string $column, $operator = null, $value = null, string $boolean = 'and')
     * @method CustomClassMessage forceCreate(array $attributes)
     * @method _IH_CustomClassMessage_C|CustomClassMessage[] fromQuery(string $query, array $bindings = [])
     * @method _IH_CustomClassMessage_C|CustomClassMessage[] get(array|string $columns = ['*'])
     * @method CustomClassMessage getModel()
     * @method CustomClassMessage[] getModels(array|string $columns = ['*'])
     * @method _IH_CustomClassMessage_C|CustomClassMessage[] hydrate(array $items)
     * @method _IH_CustomClassMessage_C|CustomClassMessage[] lazy(int $chunkSize = 1000)
     * @method _IH_CustomClassMessage_C|CustomClassMessage[] lazyById(int $chunkSize = 1000, null|string $column = null, null|string $alias = null)
     * @method _IH_CustomClassMessage_C|CustomClassMessage[] lazyByIdDesc(int $chunkSize = 1000, null|string $column = null, null|string $alias = null)
     * @method CustomClassMessage make(array $attributes = [])
     * @method CustomClassMessage newModelInstance(array $attributes = [])
     * @method LengthAwarePaginator|CustomClassMessage[]|_IH_CustomClassMessage_C paginate(\Closure|int|null $perPage = null, array|string $columns = ['*'], string $pageName = 'page', int|null $page = null)
     * @method Paginator|CustomClassMessage[]|_IH_CustomClassMessage_C simplePaginate(int|null $perPage = null, array|string $columns = ['*'], string $pageName = 'page', int|null $page = null)
     * @method CustomClassMessage sole(array|string $columns = ['*'])
     * @method CustomClassMessage updateOrCreate(array $attributes, array $values = [])
     */
    class _IH_CustomClassMessage_QB extends _BaseBuilder {}
    
    /**
     * @method CustomMeeting|null getOrPut($key, \Closure $value)
     * @method CustomMeeting|$this shift(int $count = 1)
     * @method CustomMeeting|null firstOrFail(callable|string $key = null, $operator = null, $value = null)
     * @method CustomMeeting|$this pop(int $count = 1)
     * @method CustomMeeting|null pull($key, \Closure $default = null)
     * @method CustomMeeting|null last(callable $callback = null, \Closure $default = null)
     * @method CustomMeeting|$this random(callable|int|null $number = null, bool $preserveKeys = false)
     * @method CustomMeeting|null sole(callable|string $key = null, $operator = null, $value = null)
     * @method CustomMeeting|null get($key, \Closure $default = null)
     * @method CustomMeeting|null first(callable $callback = null, \Closure $default = null)
     * @method CustomMeeting|null firstWhere(callable|string $key, $operator = null, $value = null)
     * @method CustomMeeting|null find($key, $default = null)
     * @method CustomMeeting[] all()
     */
    class _IH_CustomMeeting_C extends _BaseCollection {
        /**
         * @param int $size
         * @return CustomMeeting[][]|Collection<_IH_CustomMeeting_C>
         */
        public function chunk($size)
        {
            return [];
        }
    }
    
    /**
     * @method _IH_CustomMeeting_QB whereId($value)
     * @method _IH_CustomMeeting_QB whereCreatedBy($value)
     * @method _IH_CustomMeeting_QB whereInstructorId($value)
     * @method _IH_CustomMeeting_QB whereClassId($value)
     * @method _IH_CustomMeeting_QB whereTopic($value)
     * @method _IH_CustomMeeting_QB whereDescription($value)
     * @method _IH_CustomMeeting_QB whereDuration($value)
     * @method _IH_CustomMeeting_QB whereHost($value)
     * @method _IH_CustomMeeting_QB whereLink($value)
     * @method _IH_CustomMeeting_QB whereDatetime($value)
     * @method _IH_CustomMeeting_QB whereDatetimeUtc($value)
     * @method _IH_CustomMeeting_QB whereLmsId($value)
     * @method _IH_CustomMeeting_QB whereCreatedAt($value)
     * @method _IH_CustomMeeting_QB whereUpdatedAt($value)
     * @method CustomMeeting baseSole(array|string $columns = ['*'])
     * @method CustomMeeting create(array $attributes = [])
     * @method _IH_CustomMeeting_C|CustomMeeting[] cursor()
     * @method CustomMeeting|null|_IH_CustomMeeting_C|CustomMeeting[] find($id, array|string $columns = ['*'])
     * @method _IH_CustomMeeting_C|CustomMeeting[] findMany(array|Arrayable $ids, array|string $columns = ['*'])
     * @method CustomMeeting|_IH_CustomMeeting_C|CustomMeeting[] findOr($id, array|\Closure|string $columns = ['*'], \Closure $callback = null)
     * @method CustomMeeting|_IH_CustomMeeting_C|CustomMeeting[] findOrFail($id, array|string $columns = ['*'])
     * @method CustomMeeting|_IH_CustomMeeting_C|CustomMeeting[] findOrNew($id, array|string $columns = ['*'])
     * @method CustomMeeting first(array|string $columns = ['*'])
     * @method CustomMeeting firstOr(array|\Closure|string $columns = ['*'], \Closure $callback = null)
     * @method CustomMeeting firstOrCreate(array $attributes = [], array $values = [])
     * @method CustomMeeting firstOrFail(array|string $columns = ['*'])
     * @method CustomMeeting firstOrNew(array $attributes = [], array $values = [])
     * @method CustomMeeting firstWhere(array|\Closure|Expression|string $column, $operator = null, $value = null, string $boolean = 'and')
     * @method CustomMeeting forceCreate(array $attributes)
     * @method _IH_CustomMeeting_C|CustomMeeting[] fromQuery(string $query, array $bindings = [])
     * @method _IH_CustomMeeting_C|CustomMeeting[] get(array|string $columns = ['*'])
     * @method CustomMeeting getModel()
     * @method CustomMeeting[] getModels(array|string $columns = ['*'])
     * @method _IH_CustomMeeting_C|CustomMeeting[] hydrate(array $items)
     * @method _IH_CustomMeeting_C|CustomMeeting[] lazy(int $chunkSize = 1000)
     * @method _IH_CustomMeeting_C|CustomMeeting[] lazyById(int $chunkSize = 1000, null|string $column = null, null|string $alias = null)
     * @method _IH_CustomMeeting_C|CustomMeeting[] lazyByIdDesc(int $chunkSize = 1000, null|string $column = null, null|string $alias = null)
     * @method CustomMeeting make(array $attributes = [])
     * @method CustomMeeting newModelInstance(array $attributes = [])
     * @method LengthAwarePaginator|CustomMeeting[]|_IH_CustomMeeting_C paginate(\Closure|int|null $perPage = null, array|string $columns = ['*'], string $pageName = 'page', int|null $page = null)
     * @method Paginator|CustomMeeting[]|_IH_CustomMeeting_C simplePaginate(int|null $perPage = null, array|string $columns = ['*'], string $pageName = 'page', int|null $page = null)
     * @method CustomMeeting sole(array|string $columns = ['*'])
     * @method CustomMeeting updateOrCreate(array $attributes, array $values = [])
     */
    class _IH_CustomMeeting_QB extends _BaseBuilder {}
    
    /**
     * @method VirtualClass|null getOrPut($key, \Closure $value)
     * @method VirtualClass|$this shift(int $count = 1)
     * @method VirtualClass|null firstOrFail(callable|string $key = null, $operator = null, $value = null)
     * @method VirtualClass|$this pop(int $count = 1)
     * @method VirtualClass|null pull($key, \Closure $default = null)
     * @method VirtualClass|null last(callable $callback = null, \Closure $default = null)
     * @method VirtualClass|$this random(callable|int|null $number = null, bool $preserveKeys = false)
     * @method VirtualClass|null sole(callable|string $key = null, $operator = null, $value = null)
     * @method VirtualClass|null get($key, \Closure $default = null)
     * @method VirtualClass|null first(callable $callback = null, \Closure $default = null)
     * @method VirtualClass|null firstWhere(callable|string $key, $operator = null, $value = null)
     * @method VirtualClass|null find($key, $default = null)
     * @method VirtualClass[] all()
     */
    class _IH_VirtualClass_C extends _BaseCollection {
        /**
         * @param int $size
         * @return VirtualClass[][]|Collection<_IH_VirtualClass_C>
         */
        public function chunk($size)
        {
            return [];
        }
    }
    
    /**
     * @method _IH_VirtualClass_QB whereShowRecord($value)
     * @method _IH_VirtualClass_QB whereRecordValidity($value)
     * @method VirtualClass baseSole(array|string $columns = ['*'])
     * @method VirtualClass create(array $attributes = [])
     * @method _IH_VirtualClass_C|VirtualClass[] cursor()
     * @method VirtualClass|null|_IH_VirtualClass_C|VirtualClass[] find($id, array|string $columns = ['*'])
     * @method _IH_VirtualClass_C|VirtualClass[] findMany(array|Arrayable $ids, array|string $columns = ['*'])
     * @method VirtualClass|_IH_VirtualClass_C|VirtualClass[] findOr($id, array|\Closure|string $columns = ['*'], \Closure $callback = null)
     * @method VirtualClass|_IH_VirtualClass_C|VirtualClass[] findOrFail($id, array|string $columns = ['*'])
     * @method VirtualClass|_IH_VirtualClass_C|VirtualClass[] findOrNew($id, array|string $columns = ['*'])
     * @method VirtualClass first(array|string $columns = ['*'])
     * @method VirtualClass firstOr(array|\Closure|string $columns = ['*'], \Closure $callback = null)
     * @method VirtualClass firstOrCreate(array $attributes = [], array $values = [])
     * @method VirtualClass firstOrFail(array|string $columns = ['*'])
     * @method VirtualClass firstOrNew(array $attributes = [], array $values = [])
     * @method VirtualClass firstWhere(array|\Closure|Expression|string $column, $operator = null, $value = null, string $boolean = 'and')
     * @method VirtualClass forceCreate(array $attributes)
     * @method _IH_VirtualClass_C|VirtualClass[] fromQuery(string $query, array $bindings = [])
     * @method _IH_VirtualClass_C|VirtualClass[] get(array|string $columns = ['*'])
     * @method VirtualClass getModel()
     * @method VirtualClass[] getModels(array|string $columns = ['*'])
     * @method _IH_VirtualClass_C|VirtualClass[] hydrate(array $items)
     * @method _IH_VirtualClass_C|VirtualClass[] lazy(int $chunkSize = 1000)
     * @method _IH_VirtualClass_C|VirtualClass[] lazyById(int $chunkSize = 1000, null|string $column = null, null|string $alias = null)
     * @method _IH_VirtualClass_C|VirtualClass[] lazyByIdDesc(int $chunkSize = 1000, null|string $column = null, null|string $alias = null)
     * @method VirtualClass make(array $attributes = [])
     * @method VirtualClass newModelInstance(array $attributes = [])
     * @method LengthAwarePaginator|VirtualClass[]|_IH_VirtualClass_C paginate(\Closure|int|null $perPage = null, array|string $columns = ['*'], string $pageName = 'page', int|null $page = null)
     * @method Paginator|VirtualClass[]|_IH_VirtualClass_C simplePaginate(int|null $perPage = null, array|string $columns = ['*'], string $pageName = 'page', int|null $page = null)
     * @method VirtualClass sole(array|string $columns = ['*'])
     * @method VirtualClass updateOrCreate(array $attributes, array $values = [])
     */
    class _IH_VirtualClass_QB extends _BaseBuilder {}
}