<?php //393c61cd8875dc003fb1d40c1e9c7c0f
/** @noinspection all */

namespace LaravelIdea\Helper\Modules\Installment\Entities {

    use Illuminate\Contracts\Database\Query\Expression;
    use Illuminate\Contracts\Support\Arrayable;
    use Illuminate\Pagination\LengthAwarePaginator;
    use Illuminate\Pagination\Paginator;
    use Illuminate\Support\Collection;
    use LaravelIdea\Helper\_BaseBuilder;
    use LaravelIdea\Helper\_BaseCollection;
    use Modules\Installment\Entities\InstallmentCart;
    use Modules\Installment\Entities\InstallmentPlan;
    use Modules\Installment\Entities\InstallmentPlanOption;
    use Modules\Installment\Entities\InstallmentPlanPaymentStep;
    use Modules\Installment\Entities\InstallmentPurchasePayment;
    use Modules\Installment\Entities\InstallmentPurchaseRequest;
    use Modules\Installment\Entities\InstallmentVerificationAttachment;
    use Modules\Installment\Entities\PlanSpecificItem;
    use Modules\Installment\Entities\PlanSpecificItemDetails;
    
    /**
     * @method InstallmentCart|null getOrPut($key, \Closure $value)
     * @method InstallmentCart|$this shift(int $count = 1)
     * @method InstallmentCart|null firstOrFail(callable|string $key = null, $operator = null, $value = null)
     * @method InstallmentCart|$this pop(int $count = 1)
     * @method InstallmentCart|null pull($key, \Closure $default = null)
     * @method InstallmentCart|null last(callable $callback = null, \Closure $default = null)
     * @method InstallmentCart|$this random(callable|int|null $number = null, bool $preserveKeys = false)
     * @method InstallmentCart|null sole(callable|string $key = null, $operator = null, $value = null)
     * @method InstallmentCart|null get($key, \Closure $default = null)
     * @method InstallmentCart|null first(callable $callback = null, \Closure $default = null)
     * @method InstallmentCart|null firstWhere(callable|string $key, $operator = null, $value = null)
     * @method InstallmentCart|null find($key, $default = null)
     * @method InstallmentCart[] all()
     */
    class _IH_InstallmentCart_C extends _BaseCollection {
        /**
         * @param int $size
         * @return InstallmentCart[][]|Collection<_IH_InstallmentCart_C>
         */
        public function chunk($size)
        {
            return [];
        }
    }
    
    /**
     * @method _IH_InstallmentCart_QB whereId($value)
     * @method _IH_InstallmentCart_QB whereCourseId($value)
     * @method _IH_InstallmentCart_QB whereUserId($value)
     * @method _IH_InstallmentCart_QB whereInstructorId($value)
     * @method _IH_InstallmentCart_QB whereTracking($value)
     * @method _IH_InstallmentCart_QB wherePrice($value)
     * @method _IH_InstallmentCart_QB wherePlanId($value)
     * @method _IH_InstallmentCart_QB whereStep($value)
     * @method _IH_InstallmentCart_QB whereInstallmentData($value)
     * @method _IH_InstallmentCart_QB wherePurchaseId($value)
     * @method _IH_InstallmentCart_QB whereCreatedAt($value)
     * @method _IH_InstallmentCart_QB whereUpdatedAt($value)
     * @method InstallmentCart baseSole(array|string $columns = ['*'])
     * @method InstallmentCart create(array $attributes = [])
     * @method _IH_InstallmentCart_C|InstallmentCart[] cursor()
     * @method InstallmentCart|null|_IH_InstallmentCart_C|InstallmentCart[] find($id, array|string $columns = ['*'])
     * @method _IH_InstallmentCart_C|InstallmentCart[] findMany(array|Arrayable $ids, array|string $columns = ['*'])
     * @method InstallmentCart|_IH_InstallmentCart_C|InstallmentCart[] findOr($id, array|\Closure|string $columns = ['*'], \Closure $callback = null)
     * @method InstallmentCart|_IH_InstallmentCart_C|InstallmentCart[] findOrFail($id, array|string $columns = ['*'])
     * @method InstallmentCart|_IH_InstallmentCart_C|InstallmentCart[] findOrNew($id, array|string $columns = ['*'])
     * @method InstallmentCart first(array|string $columns = ['*'])
     * @method InstallmentCart firstOr(array|\Closure|string $columns = ['*'], \Closure $callback = null)
     * @method InstallmentCart firstOrCreate(array $attributes = [], array $values = [])
     * @method InstallmentCart firstOrFail(array|string $columns = ['*'])
     * @method InstallmentCart firstOrNew(array $attributes = [], array $values = [])
     * @method InstallmentCart firstWhere(array|\Closure|Expression|string $column, $operator = null, $value = null, string $boolean = 'and')
     * @method InstallmentCart forceCreate(array $attributes)
     * @method _IH_InstallmentCart_C|InstallmentCart[] fromQuery(string $query, array $bindings = [])
     * @method _IH_InstallmentCart_C|InstallmentCart[] get(array|string $columns = ['*'])
     * @method InstallmentCart getModel()
     * @method InstallmentCart[] getModels(array|string $columns = ['*'])
     * @method _IH_InstallmentCart_C|InstallmentCart[] hydrate(array $items)
     * @method _IH_InstallmentCart_C|InstallmentCart[] lazy(int $chunkSize = 1000)
     * @method _IH_InstallmentCart_C|InstallmentCart[] lazyById(int $chunkSize = 1000, null|string $column = null, null|string $alias = null)
     * @method _IH_InstallmentCart_C|InstallmentCart[] lazyByIdDesc(int $chunkSize = 1000, null|string $column = null, null|string $alias = null)
     * @method InstallmentCart make(array $attributes = [])
     * @method InstallmentCart newModelInstance(array $attributes = [])
     * @method LengthAwarePaginator|InstallmentCart[]|_IH_InstallmentCart_C paginate(\Closure|int|null $perPage = null, array|string $columns = ['*'], string $pageName = 'page', int|null $page = null)
     * @method Paginator|InstallmentCart[]|_IH_InstallmentCart_C simplePaginate(int|null $perPage = null, array|string $columns = ['*'], string $pageName = 'page', int|null $page = null)
     * @method InstallmentCart sole(array|string $columns = ['*'])
     * @method InstallmentCart updateOrCreate(array $attributes, array $values = [])
     */
    class _IH_InstallmentCart_QB extends _BaseBuilder {}
    
    /**
     * @method InstallmentPlanOption|null getOrPut($key, \Closure $value)
     * @method InstallmentPlanOption|$this shift(int $count = 1)
     * @method InstallmentPlanOption|null firstOrFail(callable|string $key = null, $operator = null, $value = null)
     * @method InstallmentPlanOption|$this pop(int $count = 1)
     * @method InstallmentPlanOption|null pull($key, \Closure $default = null)
     * @method InstallmentPlanOption|null last(callable $callback = null, \Closure $default = null)
     * @method InstallmentPlanOption|$this random(callable|int|null $number = null, bool $preserveKeys = false)
     * @method InstallmentPlanOption|null sole(callable|string $key = null, $operator = null, $value = null)
     * @method InstallmentPlanOption|null get($key, \Closure $default = null)
     * @method InstallmentPlanOption|null first(callable $callback = null, \Closure $default = null)
     * @method InstallmentPlanOption|null firstWhere(callable|string $key, $operator = null, $value = null)
     * @method InstallmentPlanOption|null find($key, $default = null)
     * @method InstallmentPlanOption[] all()
     */
    class _IH_InstallmentPlanOption_C extends _BaseCollection {
        /**
         * @param int $size
         * @return InstallmentPlanOption[][]|Collection<_IH_InstallmentPlanOption_C>
         */
        public function chunk($size)
        {
            return [];
        }
    }
    
    /**
     * @method _IH_InstallmentPlanOption_QB whereId($value)
     * @method _IH_InstallmentPlanOption_QB whereInstallmentPlanId($value)
     * @method _IH_InstallmentPlanOption_QB whereTitle($value)
     * @method _IH_InstallmentPlanOption_QB whereCreatedAt($value)
     * @method _IH_InstallmentPlanOption_QB whereUpdatedAt($value)
     * @method InstallmentPlanOption baseSole(array|string $columns = ['*'])
     * @method InstallmentPlanOption create(array $attributes = [])
     * @method _IH_InstallmentPlanOption_C|InstallmentPlanOption[] cursor()
     * @method InstallmentPlanOption|null|_IH_InstallmentPlanOption_C|InstallmentPlanOption[] find($id, array|string $columns = ['*'])
     * @method _IH_InstallmentPlanOption_C|InstallmentPlanOption[] findMany(array|Arrayable $ids, array|string $columns = ['*'])
     * @method InstallmentPlanOption|_IH_InstallmentPlanOption_C|InstallmentPlanOption[] findOr($id, array|\Closure|string $columns = ['*'], \Closure $callback = null)
     * @method InstallmentPlanOption|_IH_InstallmentPlanOption_C|InstallmentPlanOption[] findOrFail($id, array|string $columns = ['*'])
     * @method InstallmentPlanOption|_IH_InstallmentPlanOption_C|InstallmentPlanOption[] findOrNew($id, array|string $columns = ['*'])
     * @method InstallmentPlanOption first(array|string $columns = ['*'])
     * @method InstallmentPlanOption firstOr(array|\Closure|string $columns = ['*'], \Closure $callback = null)
     * @method InstallmentPlanOption firstOrCreate(array $attributes = [], array $values = [])
     * @method InstallmentPlanOption firstOrFail(array|string $columns = ['*'])
     * @method InstallmentPlanOption firstOrNew(array $attributes = [], array $values = [])
     * @method InstallmentPlanOption firstWhere(array|\Closure|Expression|string $column, $operator = null, $value = null, string $boolean = 'and')
     * @method InstallmentPlanOption forceCreate(array $attributes)
     * @method _IH_InstallmentPlanOption_C|InstallmentPlanOption[] fromQuery(string $query, array $bindings = [])
     * @method _IH_InstallmentPlanOption_C|InstallmentPlanOption[] get(array|string $columns = ['*'])
     * @method InstallmentPlanOption getModel()
     * @method InstallmentPlanOption[] getModels(array|string $columns = ['*'])
     * @method _IH_InstallmentPlanOption_C|InstallmentPlanOption[] hydrate(array $items)
     * @method _IH_InstallmentPlanOption_C|InstallmentPlanOption[] lazy(int $chunkSize = 1000)
     * @method _IH_InstallmentPlanOption_C|InstallmentPlanOption[] lazyById(int $chunkSize = 1000, null|string $column = null, null|string $alias = null)
     * @method _IH_InstallmentPlanOption_C|InstallmentPlanOption[] lazyByIdDesc(int $chunkSize = 1000, null|string $column = null, null|string $alias = null)
     * @method InstallmentPlanOption make(array $attributes = [])
     * @method InstallmentPlanOption newModelInstance(array $attributes = [])
     * @method LengthAwarePaginator|InstallmentPlanOption[]|_IH_InstallmentPlanOption_C paginate(\Closure|int|null $perPage = null, array|string $columns = ['*'], string $pageName = 'page', int|null $page = null)
     * @method Paginator|InstallmentPlanOption[]|_IH_InstallmentPlanOption_C simplePaginate(int|null $perPage = null, array|string $columns = ['*'], string $pageName = 'page', int|null $page = null)
     * @method InstallmentPlanOption sole(array|string $columns = ['*'])
     * @method InstallmentPlanOption updateOrCreate(array $attributes, array $values = [])
     */
    class _IH_InstallmentPlanOption_QB extends _BaseBuilder {}
    
    /**
     * @method InstallmentPlanPaymentStep|null getOrPut($key, \Closure $value)
     * @method InstallmentPlanPaymentStep|$this shift(int $count = 1)
     * @method InstallmentPlanPaymentStep|null firstOrFail(callable|string $key = null, $operator = null, $value = null)
     * @method InstallmentPlanPaymentStep|$this pop(int $count = 1)
     * @method InstallmentPlanPaymentStep|null pull($key, \Closure $default = null)
     * @method InstallmentPlanPaymentStep|null last(callable $callback = null, \Closure $default = null)
     * @method InstallmentPlanPaymentStep|$this random(callable|int|null $number = null, bool $preserveKeys = false)
     * @method InstallmentPlanPaymentStep|null sole(callable|string $key = null, $operator = null, $value = null)
     * @method InstallmentPlanPaymentStep|null get($key, \Closure $default = null)
     * @method InstallmentPlanPaymentStep|null first(callable $callback = null, \Closure $default = null)
     * @method InstallmentPlanPaymentStep|null firstWhere(callable|string $key, $operator = null, $value = null)
     * @method InstallmentPlanPaymentStep|null find($key, $default = null)
     * @method InstallmentPlanPaymentStep[] all()
     */
    class _IH_InstallmentPlanPaymentStep_C extends _BaseCollection {
        /**
         * @param int $size
         * @return InstallmentPlanPaymentStep[][]|Collection<_IH_InstallmentPlanPaymentStep_C>
         */
        public function chunk($size)
        {
            return [];
        }
    }
    
    /**
     * @method _IH_InstallmentPlanPaymentStep_QB whereId($value)
     * @method _IH_InstallmentPlanPaymentStep_QB whereInstallmentPlanId($value)
     * @method _IH_InstallmentPlanPaymentStep_QB wherePaymentTitle($value)
     * @method _IH_InstallmentPlanPaymentStep_QB wherePaymentDeadline($value)
     * @method _IH_InstallmentPlanPaymentStep_QB wherePaymentAmount($value)
     * @method _IH_InstallmentPlanPaymentStep_QB whereAmountType($value)
     * @method _IH_InstallmentPlanPaymentStep_QB whereCreatedAt($value)
     * @method _IH_InstallmentPlanPaymentStep_QB whereUpdatedAt($value)
     * @method InstallmentPlanPaymentStep baseSole(array|string $columns = ['*'])
     * @method InstallmentPlanPaymentStep create(array $attributes = [])
     * @method _IH_InstallmentPlanPaymentStep_C|InstallmentPlanPaymentStep[] cursor()
     * @method InstallmentPlanPaymentStep|null|_IH_InstallmentPlanPaymentStep_C|InstallmentPlanPaymentStep[] find($id, array|string $columns = ['*'])
     * @method _IH_InstallmentPlanPaymentStep_C|InstallmentPlanPaymentStep[] findMany(array|Arrayable $ids, array|string $columns = ['*'])
     * @method InstallmentPlanPaymentStep|_IH_InstallmentPlanPaymentStep_C|InstallmentPlanPaymentStep[] findOr($id, array|\Closure|string $columns = ['*'], \Closure $callback = null)
     * @method InstallmentPlanPaymentStep|_IH_InstallmentPlanPaymentStep_C|InstallmentPlanPaymentStep[] findOrFail($id, array|string $columns = ['*'])
     * @method InstallmentPlanPaymentStep|_IH_InstallmentPlanPaymentStep_C|InstallmentPlanPaymentStep[] findOrNew($id, array|string $columns = ['*'])
     * @method InstallmentPlanPaymentStep first(array|string $columns = ['*'])
     * @method InstallmentPlanPaymentStep firstOr(array|\Closure|string $columns = ['*'], \Closure $callback = null)
     * @method InstallmentPlanPaymentStep firstOrCreate(array $attributes = [], array $values = [])
     * @method InstallmentPlanPaymentStep firstOrFail(array|string $columns = ['*'])
     * @method InstallmentPlanPaymentStep firstOrNew(array $attributes = [], array $values = [])
     * @method InstallmentPlanPaymentStep firstWhere(array|\Closure|Expression|string $column, $operator = null, $value = null, string $boolean = 'and')
     * @method InstallmentPlanPaymentStep forceCreate(array $attributes)
     * @method _IH_InstallmentPlanPaymentStep_C|InstallmentPlanPaymentStep[] fromQuery(string $query, array $bindings = [])
     * @method _IH_InstallmentPlanPaymentStep_C|InstallmentPlanPaymentStep[] get(array|string $columns = ['*'])
     * @method InstallmentPlanPaymentStep getModel()
     * @method InstallmentPlanPaymentStep[] getModels(array|string $columns = ['*'])
     * @method _IH_InstallmentPlanPaymentStep_C|InstallmentPlanPaymentStep[] hydrate(array $items)
     * @method _IH_InstallmentPlanPaymentStep_C|InstallmentPlanPaymentStep[] lazy(int $chunkSize = 1000)
     * @method _IH_InstallmentPlanPaymentStep_C|InstallmentPlanPaymentStep[] lazyById(int $chunkSize = 1000, null|string $column = null, null|string $alias = null)
     * @method _IH_InstallmentPlanPaymentStep_C|InstallmentPlanPaymentStep[] lazyByIdDesc(int $chunkSize = 1000, null|string $column = null, null|string $alias = null)
     * @method InstallmentPlanPaymentStep make(array $attributes = [])
     * @method InstallmentPlanPaymentStep newModelInstance(array $attributes = [])
     * @method LengthAwarePaginator|InstallmentPlanPaymentStep[]|_IH_InstallmentPlanPaymentStep_C paginate(\Closure|int|null $perPage = null, array|string $columns = ['*'], string $pageName = 'page', int|null $page = null)
     * @method Paginator|InstallmentPlanPaymentStep[]|_IH_InstallmentPlanPaymentStep_C simplePaginate(int|null $perPage = null, array|string $columns = ['*'], string $pageName = 'page', int|null $page = null)
     * @method InstallmentPlanPaymentStep sole(array|string $columns = ['*'])
     * @method InstallmentPlanPaymentStep updateOrCreate(array $attributes, array $values = [])
     */
    class _IH_InstallmentPlanPaymentStep_QB extends _BaseBuilder {}
    
    /**
     * @method InstallmentPlan|null getOrPut($key, \Closure $value)
     * @method InstallmentPlan|$this shift(int $count = 1)
     * @method InstallmentPlan|null firstOrFail(callable|string $key = null, $operator = null, $value = null)
     * @method InstallmentPlan|$this pop(int $count = 1)
     * @method InstallmentPlan|null pull($key, \Closure $default = null)
     * @method InstallmentPlan|null last(callable $callback = null, \Closure $default = null)
     * @method InstallmentPlan|$this random(callable|int|null $number = null, bool $preserveKeys = false)
     * @method InstallmentPlan|null sole(callable|string $key = null, $operator = null, $value = null)
     * @method InstallmentPlan|null get($key, \Closure $default = null)
     * @method InstallmentPlan|null first(callable $callback = null, \Closure $default = null)
     * @method InstallmentPlan|null firstWhere(callable|string $key, $operator = null, $value = null)
     * @method InstallmentPlan|null find($key, $default = null)
     * @method InstallmentPlan[] all()
     */
    class _IH_InstallmentPlan_C extends _BaseCollection {
        /**
         * @param int $size
         * @return InstallmentPlan[][]|Collection<_IH_InstallmentPlan_C>
         */
        public function chunk($size)
        {
            return [];
        }
    }
    
    /**
     * @method _IH_InstallmentPlan_QB whereId($value)
     * @method _IH_InstallmentPlan_QB whereTitle($value)
     * @method _IH_InstallmentPlan_QB whereDescription($value)
     * @method _IH_InstallmentPlan_QB whereBanner($value)
     * @method _IH_InstallmentPlan_QB whereCapacity($value)
     * @method _IH_InstallmentPlan_QB whereSales($value)
     * @method _IH_InstallmentPlan_QB whereStartDatetime($value)
     * @method _IH_InstallmentPlan_QB whereEndDatetime($value)
     * @method _IH_InstallmentPlan_QB whereVerificationRequired($value)
     * @method _IH_InstallmentPlan_QB whereVerificationDescription($value)
     * @method _IH_InstallmentPlan_QB whereVerificationBanner($value)
     * @method _IH_InstallmentPlan_QB whereVerificationVideo($value)
     * @method _IH_InstallmentPlan_QB whereRequestUploads($value)
     * @method _IH_InstallmentPlan_QB whereBypassVerificationForVerifiedUsers($value)
     * @method _IH_InstallmentPlan_QB whereStatus($value)
     * @method _IH_InstallmentPlan_QB whereDeletedAt($value)
     * @method _IH_InstallmentPlan_QB whereCreatedAt($value)
     * @method _IH_InstallmentPlan_QB whereUpdatedAt($value)
     * @method InstallmentPlan baseSole(array|string $columns = ['*'])
     * @method InstallmentPlan create(array $attributes = [])
     * @method _IH_InstallmentPlan_C|InstallmentPlan[] cursor()
     * @method InstallmentPlan|null|_IH_InstallmentPlan_C|InstallmentPlan[] find($id, array|string $columns = ['*'])
     * @method _IH_InstallmentPlan_C|InstallmentPlan[] findMany(array|Arrayable $ids, array|string $columns = ['*'])
     * @method InstallmentPlan|_IH_InstallmentPlan_C|InstallmentPlan[] findOr($id, array|\Closure|string $columns = ['*'], \Closure $callback = null)
     * @method InstallmentPlan|_IH_InstallmentPlan_C|InstallmentPlan[] findOrFail($id, array|string $columns = ['*'])
     * @method InstallmentPlan|_IH_InstallmentPlan_C|InstallmentPlan[] findOrNew($id, array|string $columns = ['*'])
     * @method InstallmentPlan first(array|string $columns = ['*'])
     * @method InstallmentPlan firstOr(array|\Closure|string $columns = ['*'], \Closure $callback = null)
     * @method InstallmentPlan firstOrCreate(array $attributes = [], array $values = [])
     * @method InstallmentPlan firstOrFail(array|string $columns = ['*'])
     * @method InstallmentPlan firstOrNew(array $attributes = [], array $values = [])
     * @method InstallmentPlan firstWhere(array|\Closure|Expression|string $column, $operator = null, $value = null, string $boolean = 'and')
     * @method InstallmentPlan forceCreate(array $attributes)
     * @method _IH_InstallmentPlan_C|InstallmentPlan[] fromQuery(string $query, array $bindings = [])
     * @method _IH_InstallmentPlan_C|InstallmentPlan[] get(array|string $columns = ['*'])
     * @method InstallmentPlan getModel()
     * @method InstallmentPlan[] getModels(array|string $columns = ['*'])
     * @method _IH_InstallmentPlan_C|InstallmentPlan[] hydrate(array $items)
     * @method _IH_InstallmentPlan_C|InstallmentPlan[] lazy(int $chunkSize = 1000)
     * @method _IH_InstallmentPlan_C|InstallmentPlan[] lazyById(int $chunkSize = 1000, null|string $column = null, null|string $alias = null)
     * @method _IH_InstallmentPlan_C|InstallmentPlan[] lazyByIdDesc(int $chunkSize = 1000, null|string $column = null, null|string $alias = null)
     * @method InstallmentPlan make(array $attributes = [])
     * @method InstallmentPlan newModelInstance(array $attributes = [])
     * @method LengthAwarePaginator|InstallmentPlan[]|_IH_InstallmentPlan_C paginate(\Closure|int|null $perPage = null, array|string $columns = ['*'], string $pageName = 'page', int|null $page = null)
     * @method Paginator|InstallmentPlan[]|_IH_InstallmentPlan_C simplePaginate(int|null $perPage = null, array|string $columns = ['*'], string $pageName = 'page', int|null $page = null)
     * @method InstallmentPlan sole(array|string $columns = ['*'])
     * @method InstallmentPlan updateOrCreate(array $attributes, array $values = [])
     */
    class _IH_InstallmentPlan_QB extends _BaseBuilder {}
    
    /**
     * @method InstallmentPurchasePayment|null getOrPut($key, \Closure $value)
     * @method InstallmentPurchasePayment|$this shift(int $count = 1)
     * @method InstallmentPurchasePayment|null firstOrFail(callable|string $key = null, $operator = null, $value = null)
     * @method InstallmentPurchasePayment|$this pop(int $count = 1)
     * @method InstallmentPurchasePayment|null pull($key, \Closure $default = null)
     * @method InstallmentPurchasePayment|null last(callable $callback = null, \Closure $default = null)
     * @method InstallmentPurchasePayment|$this random(callable|int|null $number = null, bool $preserveKeys = false)
     * @method InstallmentPurchasePayment|null sole(callable|string $key = null, $operator = null, $value = null)
     * @method InstallmentPurchasePayment|null get($key, \Closure $default = null)
     * @method InstallmentPurchasePayment|null first(callable $callback = null, \Closure $default = null)
     * @method InstallmentPurchasePayment|null firstWhere(callable|string $key, $operator = null, $value = null)
     * @method InstallmentPurchasePayment|null find($key, $default = null)
     * @method InstallmentPurchasePayment[] all()
     */
    class _IH_InstallmentPurchasePayment_C extends _BaseCollection {
        /**
         * @param int $size
         * @return InstallmentPurchasePayment[][]|Collection<_IH_InstallmentPurchasePayment_C>
         */
        public function chunk($size)
        {
            return [];
        }
    }
    
    /**
     * @method _IH_InstallmentPurchasePayment_QB whereId($value)
     * @method _IH_InstallmentPurchasePayment_QB whereInstallmentPurchaseId($value)
     * @method _IH_InstallmentPurchasePayment_QB whereType($value)
     * @method _IH_InstallmentPurchasePayment_QB whereStepId($value)
     * @method _IH_InstallmentPurchasePayment_QB whereAmount($value)
     * @method _IH_InstallmentPurchasePayment_QB whereAmountType($value)
     * @method _IH_InstallmentPurchasePayment_QB wherePercentage($value)
     * @method _IH_InstallmentPurchasePayment_QB whereDueDate($value)
     * @method _IH_InstallmentPurchasePayment_QB wherePaymentDate($value)
     * @method _IH_InstallmentPurchasePayment_QB whereIsOverdue($value)
     * @method _IH_InstallmentPurchasePayment_QB whereStatus($value)
     * @method _IH_InstallmentPurchasePayment_QB whereCreatedAt($value)
     * @method _IH_InstallmentPurchasePayment_QB whereUpdatedAt($value)
     * @method InstallmentPurchasePayment baseSole(array|string $columns = ['*'])
     * @method InstallmentPurchasePayment create(array $attributes = [])
     * @method _IH_InstallmentPurchasePayment_C|InstallmentPurchasePayment[] cursor()
     * @method InstallmentPurchasePayment|null|_IH_InstallmentPurchasePayment_C|InstallmentPurchasePayment[] find($id, array|string $columns = ['*'])
     * @method _IH_InstallmentPurchasePayment_C|InstallmentPurchasePayment[] findMany(array|Arrayable $ids, array|string $columns = ['*'])
     * @method InstallmentPurchasePayment|_IH_InstallmentPurchasePayment_C|InstallmentPurchasePayment[] findOr($id, array|\Closure|string $columns = ['*'], \Closure $callback = null)
     * @method InstallmentPurchasePayment|_IH_InstallmentPurchasePayment_C|InstallmentPurchasePayment[] findOrFail($id, array|string $columns = ['*'])
     * @method InstallmentPurchasePayment|_IH_InstallmentPurchasePayment_C|InstallmentPurchasePayment[] findOrNew($id, array|string $columns = ['*'])
     * @method InstallmentPurchasePayment first(array|string $columns = ['*'])
     * @method InstallmentPurchasePayment firstOr(array|\Closure|string $columns = ['*'], \Closure $callback = null)
     * @method InstallmentPurchasePayment firstOrCreate(array $attributes = [], array $values = [])
     * @method InstallmentPurchasePayment firstOrFail(array|string $columns = ['*'])
     * @method InstallmentPurchasePayment firstOrNew(array $attributes = [], array $values = [])
     * @method InstallmentPurchasePayment firstWhere(array|\Closure|Expression|string $column, $operator = null, $value = null, string $boolean = 'and')
     * @method InstallmentPurchasePayment forceCreate(array $attributes)
     * @method _IH_InstallmentPurchasePayment_C|InstallmentPurchasePayment[] fromQuery(string $query, array $bindings = [])
     * @method _IH_InstallmentPurchasePayment_C|InstallmentPurchasePayment[] get(array|string $columns = ['*'])
     * @method InstallmentPurchasePayment getModel()
     * @method InstallmentPurchasePayment[] getModels(array|string $columns = ['*'])
     * @method _IH_InstallmentPurchasePayment_C|InstallmentPurchasePayment[] hydrate(array $items)
     * @method _IH_InstallmentPurchasePayment_C|InstallmentPurchasePayment[] lazy(int $chunkSize = 1000)
     * @method _IH_InstallmentPurchasePayment_C|InstallmentPurchasePayment[] lazyById(int $chunkSize = 1000, null|string $column = null, null|string $alias = null)
     * @method _IH_InstallmentPurchasePayment_C|InstallmentPurchasePayment[] lazyByIdDesc(int $chunkSize = 1000, null|string $column = null, null|string $alias = null)
     * @method InstallmentPurchasePayment make(array $attributes = [])
     * @method InstallmentPurchasePayment newModelInstance(array $attributes = [])
     * @method LengthAwarePaginator|InstallmentPurchasePayment[]|_IH_InstallmentPurchasePayment_C paginate(\Closure|int|null $perPage = null, array|string $columns = ['*'], string $pageName = 'page', int|null $page = null)
     * @method Paginator|InstallmentPurchasePayment[]|_IH_InstallmentPurchasePayment_C simplePaginate(int|null $perPage = null, array|string $columns = ['*'], string $pageName = 'page', int|null $page = null)
     * @method InstallmentPurchasePayment sole(array|string $columns = ['*'])
     * @method InstallmentPurchasePayment updateOrCreate(array $attributes, array $values = [])
     */
    class _IH_InstallmentPurchasePayment_QB extends _BaseBuilder {}
    
    /**
     * @method InstallmentPurchaseRequest|null getOrPut($key, \Closure $value)
     * @method InstallmentPurchaseRequest|$this shift(int $count = 1)
     * @method InstallmentPurchaseRequest|null firstOrFail(callable|string $key = null, $operator = null, $value = null)
     * @method InstallmentPurchaseRequest|$this pop(int $count = 1)
     * @method InstallmentPurchaseRequest|null pull($key, \Closure $default = null)
     * @method InstallmentPurchaseRequest|null last(callable $callback = null, \Closure $default = null)
     * @method InstallmentPurchaseRequest|$this random(callable|int|null $number = null, bool $preserveKeys = false)
     * @method InstallmentPurchaseRequest|null sole(callable|string $key = null, $operator = null, $value = null)
     * @method InstallmentPurchaseRequest|null get($key, \Closure $default = null)
     * @method InstallmentPurchaseRequest|null first(callable $callback = null, \Closure $default = null)
     * @method InstallmentPurchaseRequest|null firstWhere(callable|string $key, $operator = null, $value = null)
     * @method InstallmentPurchaseRequest|null find($key, $default = null)
     * @method InstallmentPurchaseRequest[] all()
     */
    class _IH_InstallmentPurchaseRequest_C extends _BaseCollection {
        /**
         * @param int $size
         * @return InstallmentPurchaseRequest[][]|Collection<_IH_InstallmentPurchaseRequest_C>
         */
        public function chunk($size)
        {
            return [];
        }
    }
    
    /**
     * @method _IH_InstallmentPurchaseRequest_QB whereId($value)
     * @method _IH_InstallmentPurchaseRequest_QB whereUserId($value)
     * @method _IH_InstallmentPurchaseRequest_QB wherePlanId($value)
     * @method _IH_InstallmentPurchaseRequest_QB whereTopicId($value)
     * @method _IH_InstallmentPurchaseRequest_QB whereTracking($value)
     * @method _IH_InstallmentPurchaseRequest_QB whereCartData($value)
     * @method _IH_InstallmentPurchaseRequest_QB whereTotalInstallment($value)
     * @method _IH_InstallmentPurchaseRequest_QB wherePaidInstallment($value)
     * @method _IH_InstallmentPurchaseRequest_QB whereRemainingInstallment($value)
     * @method _IH_InstallmentPurchaseRequest_QB wherePaidAmount($value)
     * @method _IH_InstallmentPurchaseRequest_QB whereCheckoutData($value)
     * @method _IH_InstallmentPurchaseRequest_QB whereRemainingAmount($value)
     * @method _IH_InstallmentPurchaseRequest_QB whereTotalAmount($value)
     * @method _IH_InstallmentPurchaseRequest_QB wherePurchaseDate($value)
     * @method _IH_InstallmentPurchaseRequest_QB whereNextPaymentDate($value)
     * @method _IH_InstallmentPurchaseRequest_QB wherePaymentStatus($value)
     * @method _IH_InstallmentPurchaseRequest_QB whereCreatedAt($value)
     * @method _IH_InstallmentPurchaseRequest_QB whereUpdatedAt($value)
     * @method InstallmentPurchaseRequest baseSole(array|string $columns = ['*'])
     * @method InstallmentPurchaseRequest create(array $attributes = [])
     * @method _IH_InstallmentPurchaseRequest_C|InstallmentPurchaseRequest[] cursor()
     * @method InstallmentPurchaseRequest|null|_IH_InstallmentPurchaseRequest_C|InstallmentPurchaseRequest[] find($id, array|string $columns = ['*'])
     * @method _IH_InstallmentPurchaseRequest_C|InstallmentPurchaseRequest[] findMany(array|Arrayable $ids, array|string $columns = ['*'])
     * @method InstallmentPurchaseRequest|_IH_InstallmentPurchaseRequest_C|InstallmentPurchaseRequest[] findOr($id, array|\Closure|string $columns = ['*'], \Closure $callback = null)
     * @method InstallmentPurchaseRequest|_IH_InstallmentPurchaseRequest_C|InstallmentPurchaseRequest[] findOrFail($id, array|string $columns = ['*'])
     * @method InstallmentPurchaseRequest|_IH_InstallmentPurchaseRequest_C|InstallmentPurchaseRequest[] findOrNew($id, array|string $columns = ['*'])
     * @method InstallmentPurchaseRequest first(array|string $columns = ['*'])
     * @method InstallmentPurchaseRequest firstOr(array|\Closure|string $columns = ['*'], \Closure $callback = null)
     * @method InstallmentPurchaseRequest firstOrCreate(array $attributes = [], array $values = [])
     * @method InstallmentPurchaseRequest firstOrFail(array|string $columns = ['*'])
     * @method InstallmentPurchaseRequest firstOrNew(array $attributes = [], array $values = [])
     * @method InstallmentPurchaseRequest firstWhere(array|\Closure|Expression|string $column, $operator = null, $value = null, string $boolean = 'and')
     * @method InstallmentPurchaseRequest forceCreate(array $attributes)
     * @method _IH_InstallmentPurchaseRequest_C|InstallmentPurchaseRequest[] fromQuery(string $query, array $bindings = [])
     * @method _IH_InstallmentPurchaseRequest_C|InstallmentPurchaseRequest[] get(array|string $columns = ['*'])
     * @method InstallmentPurchaseRequest getModel()
     * @method InstallmentPurchaseRequest[] getModels(array|string $columns = ['*'])
     * @method _IH_InstallmentPurchaseRequest_C|InstallmentPurchaseRequest[] hydrate(array $items)
     * @method _IH_InstallmentPurchaseRequest_C|InstallmentPurchaseRequest[] lazy(int $chunkSize = 1000)
     * @method _IH_InstallmentPurchaseRequest_C|InstallmentPurchaseRequest[] lazyById(int $chunkSize = 1000, null|string $column = null, null|string $alias = null)
     * @method _IH_InstallmentPurchaseRequest_C|InstallmentPurchaseRequest[] lazyByIdDesc(int $chunkSize = 1000, null|string $column = null, null|string $alias = null)
     * @method InstallmentPurchaseRequest make(array $attributes = [])
     * @method InstallmentPurchaseRequest newModelInstance(array $attributes = [])
     * @method LengthAwarePaginator|InstallmentPurchaseRequest[]|_IH_InstallmentPurchaseRequest_C paginate(\Closure|int|null $perPage = null, array|string $columns = ['*'], string $pageName = 'page', int|null $page = null)
     * @method Paginator|InstallmentPurchaseRequest[]|_IH_InstallmentPurchaseRequest_C simplePaginate(int|null $perPage = null, array|string $columns = ['*'], string $pageName = 'page', int|null $page = null)
     * @method InstallmentPurchaseRequest sole(array|string $columns = ['*'])
     * @method InstallmentPurchaseRequest updateOrCreate(array $attributes, array $values = [])
     */
    class _IH_InstallmentPurchaseRequest_QB extends _BaseBuilder {}
    
    /**
     * @method InstallmentVerificationAttachment|null getOrPut($key, \Closure $value)
     * @method InstallmentVerificationAttachment|$this shift(int $count = 1)
     * @method InstallmentVerificationAttachment|null firstOrFail(callable|string $key = null, $operator = null, $value = null)
     * @method InstallmentVerificationAttachment|$this pop(int $count = 1)
     * @method InstallmentVerificationAttachment|null pull($key, \Closure $default = null)
     * @method InstallmentVerificationAttachment|null last(callable $callback = null, \Closure $default = null)
     * @method InstallmentVerificationAttachment|$this random(callable|int|null $number = null, bool $preserveKeys = false)
     * @method InstallmentVerificationAttachment|null sole(callable|string $key = null, $operator = null, $value = null)
     * @method InstallmentVerificationAttachment|null get($key, \Closure $default = null)
     * @method InstallmentVerificationAttachment|null first(callable $callback = null, \Closure $default = null)
     * @method InstallmentVerificationAttachment|null firstWhere(callable|string $key, $operator = null, $value = null)
     * @method InstallmentVerificationAttachment|null find($key, $default = null)
     * @method InstallmentVerificationAttachment[] all()
     */
    class _IH_InstallmentVerificationAttachment_C extends _BaseCollection {
        /**
         * @param int $size
         * @return InstallmentVerificationAttachment[][]|Collection<_IH_InstallmentVerificationAttachment_C>
         */
        public function chunk($size)
        {
            return [];
        }
    }
    
    /**
     * @method _IH_InstallmentVerificationAttachment_QB whereId($value)
     * @method _IH_InstallmentVerificationAttachment_QB whereInstallmentPurchaseId($value)
     * @method _IH_InstallmentVerificationAttachment_QB whereTitle($value)
     * @method _IH_InstallmentVerificationAttachment_QB whereFile($value)
     * @method _IH_InstallmentVerificationAttachment_QB whereCreatedAt($value)
     * @method _IH_InstallmentVerificationAttachment_QB whereUpdatedAt($value)
     * @method InstallmentVerificationAttachment baseSole(array|string $columns = ['*'])
     * @method InstallmentVerificationAttachment create(array $attributes = [])
     * @method _IH_InstallmentVerificationAttachment_C|InstallmentVerificationAttachment[] cursor()
     * @method InstallmentVerificationAttachment|null|_IH_InstallmentVerificationAttachment_C|InstallmentVerificationAttachment[] find($id, array|string $columns = ['*'])
     * @method _IH_InstallmentVerificationAttachment_C|InstallmentVerificationAttachment[] findMany(array|Arrayable $ids, array|string $columns = ['*'])
     * @method InstallmentVerificationAttachment|_IH_InstallmentVerificationAttachment_C|InstallmentVerificationAttachment[] findOr($id, array|\Closure|string $columns = ['*'], \Closure $callback = null)
     * @method InstallmentVerificationAttachment|_IH_InstallmentVerificationAttachment_C|InstallmentVerificationAttachment[] findOrFail($id, array|string $columns = ['*'])
     * @method InstallmentVerificationAttachment|_IH_InstallmentVerificationAttachment_C|InstallmentVerificationAttachment[] findOrNew($id, array|string $columns = ['*'])
     * @method InstallmentVerificationAttachment first(array|string $columns = ['*'])
     * @method InstallmentVerificationAttachment firstOr(array|\Closure|string $columns = ['*'], \Closure $callback = null)
     * @method InstallmentVerificationAttachment firstOrCreate(array $attributes = [], array $values = [])
     * @method InstallmentVerificationAttachment firstOrFail(array|string $columns = ['*'])
     * @method InstallmentVerificationAttachment firstOrNew(array $attributes = [], array $values = [])
     * @method InstallmentVerificationAttachment firstWhere(array|\Closure|Expression|string $column, $operator = null, $value = null, string $boolean = 'and')
     * @method InstallmentVerificationAttachment forceCreate(array $attributes)
     * @method _IH_InstallmentVerificationAttachment_C|InstallmentVerificationAttachment[] fromQuery(string $query, array $bindings = [])
     * @method _IH_InstallmentVerificationAttachment_C|InstallmentVerificationAttachment[] get(array|string $columns = ['*'])
     * @method InstallmentVerificationAttachment getModel()
     * @method InstallmentVerificationAttachment[] getModels(array|string $columns = ['*'])
     * @method _IH_InstallmentVerificationAttachment_C|InstallmentVerificationAttachment[] hydrate(array $items)
     * @method _IH_InstallmentVerificationAttachment_C|InstallmentVerificationAttachment[] lazy(int $chunkSize = 1000)
     * @method _IH_InstallmentVerificationAttachment_C|InstallmentVerificationAttachment[] lazyById(int $chunkSize = 1000, null|string $column = null, null|string $alias = null)
     * @method _IH_InstallmentVerificationAttachment_C|InstallmentVerificationAttachment[] lazyByIdDesc(int $chunkSize = 1000, null|string $column = null, null|string $alias = null)
     * @method InstallmentVerificationAttachment make(array $attributes = [])
     * @method InstallmentVerificationAttachment newModelInstance(array $attributes = [])
     * @method LengthAwarePaginator|InstallmentVerificationAttachment[]|_IH_InstallmentVerificationAttachment_C paginate(\Closure|int|null $perPage = null, array|string $columns = ['*'], string $pageName = 'page', int|null $page = null)
     * @method Paginator|InstallmentVerificationAttachment[]|_IH_InstallmentVerificationAttachment_C simplePaginate(int|null $perPage = null, array|string $columns = ['*'], string $pageName = 'page', int|null $page = null)
     * @method InstallmentVerificationAttachment sole(array|string $columns = ['*'])
     * @method InstallmentVerificationAttachment updateOrCreate(array $attributes, array $values = [])
     */
    class _IH_InstallmentVerificationAttachment_QB extends _BaseBuilder {}
    
    /**
     * @method PlanSpecificItemDetails|null getOrPut($key, \Closure $value)
     * @method PlanSpecificItemDetails|$this shift(int $count = 1)
     * @method PlanSpecificItemDetails|null firstOrFail(callable|string $key = null, $operator = null, $value = null)
     * @method PlanSpecificItemDetails|$this pop(int $count = 1)
     * @method PlanSpecificItemDetails|null pull($key, \Closure $default = null)
     * @method PlanSpecificItemDetails|null last(callable $callback = null, \Closure $default = null)
     * @method PlanSpecificItemDetails|$this random(callable|int|null $number = null, bool $preserveKeys = false)
     * @method PlanSpecificItemDetails|null sole(callable|string $key = null, $operator = null, $value = null)
     * @method PlanSpecificItemDetails|null get($key, \Closure $default = null)
     * @method PlanSpecificItemDetails|null first(callable $callback = null, \Closure $default = null)
     * @method PlanSpecificItemDetails|null firstWhere(callable|string $key, $operator = null, $value = null)
     * @method PlanSpecificItemDetails|null find($key, $default = null)
     * @method PlanSpecificItemDetails[] all()
     */
    class _IH_PlanSpecificItemDetails_C extends _BaseCollection {
        /**
         * @param int $size
         * @return PlanSpecificItemDetails[][]|Collection<_IH_PlanSpecificItemDetails_C>
         */
        public function chunk($size)
        {
            return [];
        }
    }
    
    /**
     * @method _IH_PlanSpecificItemDetails_QB whereId($value)
     * @method _IH_PlanSpecificItemDetails_QB wherePlanSpecificItemId($value)
     * @method _IH_PlanSpecificItemDetails_QB whereItemId($value)
     * @method _IH_PlanSpecificItemDetails_QB whereType($value)
     * @method _IH_PlanSpecificItemDetails_QB whereCreatedAt($value)
     * @method _IH_PlanSpecificItemDetails_QB whereUpdatedAt($value)
     * @method PlanSpecificItemDetails baseSole(array|string $columns = ['*'])
     * @method PlanSpecificItemDetails create(array $attributes = [])
     * @method _IH_PlanSpecificItemDetails_C|PlanSpecificItemDetails[] cursor()
     * @method PlanSpecificItemDetails|null|_IH_PlanSpecificItemDetails_C|PlanSpecificItemDetails[] find($id, array|string $columns = ['*'])
     * @method _IH_PlanSpecificItemDetails_C|PlanSpecificItemDetails[] findMany(array|Arrayable $ids, array|string $columns = ['*'])
     * @method PlanSpecificItemDetails|_IH_PlanSpecificItemDetails_C|PlanSpecificItemDetails[] findOr($id, array|\Closure|string $columns = ['*'], \Closure $callback = null)
     * @method PlanSpecificItemDetails|_IH_PlanSpecificItemDetails_C|PlanSpecificItemDetails[] findOrFail($id, array|string $columns = ['*'])
     * @method PlanSpecificItemDetails|_IH_PlanSpecificItemDetails_C|PlanSpecificItemDetails[] findOrNew($id, array|string $columns = ['*'])
     * @method PlanSpecificItemDetails first(array|string $columns = ['*'])
     * @method PlanSpecificItemDetails firstOr(array|\Closure|string $columns = ['*'], \Closure $callback = null)
     * @method PlanSpecificItemDetails firstOrCreate(array $attributes = [], array $values = [])
     * @method PlanSpecificItemDetails firstOrFail(array|string $columns = ['*'])
     * @method PlanSpecificItemDetails firstOrNew(array $attributes = [], array $values = [])
     * @method PlanSpecificItemDetails firstWhere(array|\Closure|Expression|string $column, $operator = null, $value = null, string $boolean = 'and')
     * @method PlanSpecificItemDetails forceCreate(array $attributes)
     * @method _IH_PlanSpecificItemDetails_C|PlanSpecificItemDetails[] fromQuery(string $query, array $bindings = [])
     * @method _IH_PlanSpecificItemDetails_C|PlanSpecificItemDetails[] get(array|string $columns = ['*'])
     * @method PlanSpecificItemDetails getModel()
     * @method PlanSpecificItemDetails[] getModels(array|string $columns = ['*'])
     * @method _IH_PlanSpecificItemDetails_C|PlanSpecificItemDetails[] hydrate(array $items)
     * @method _IH_PlanSpecificItemDetails_C|PlanSpecificItemDetails[] lazy(int $chunkSize = 1000)
     * @method _IH_PlanSpecificItemDetails_C|PlanSpecificItemDetails[] lazyById(int $chunkSize = 1000, null|string $column = null, null|string $alias = null)
     * @method _IH_PlanSpecificItemDetails_C|PlanSpecificItemDetails[] lazyByIdDesc(int $chunkSize = 1000, null|string $column = null, null|string $alias = null)
     * @method PlanSpecificItemDetails make(array $attributes = [])
     * @method PlanSpecificItemDetails newModelInstance(array $attributes = [])
     * @method LengthAwarePaginator|PlanSpecificItemDetails[]|_IH_PlanSpecificItemDetails_C paginate(\Closure|int|null $perPage = null, array|string $columns = ['*'], string $pageName = 'page', int|null $page = null)
     * @method Paginator|PlanSpecificItemDetails[]|_IH_PlanSpecificItemDetails_C simplePaginate(int|null $perPage = null, array|string $columns = ['*'], string $pageName = 'page', int|null $page = null)
     * @method PlanSpecificItemDetails sole(array|string $columns = ['*'])
     * @method PlanSpecificItemDetails updateOrCreate(array $attributes, array $values = [])
     */
    class _IH_PlanSpecificItemDetails_QB extends _BaseBuilder {}
    
    /**
     * @method PlanSpecificItem|null getOrPut($key, \Closure $value)
     * @method PlanSpecificItem|$this shift(int $count = 1)
     * @method PlanSpecificItem|null firstOrFail(callable|string $key = null, $operator = null, $value = null)
     * @method PlanSpecificItem|$this pop(int $count = 1)
     * @method PlanSpecificItem|null pull($key, \Closure $default = null)
     * @method PlanSpecificItem|null last(callable $callback = null, \Closure $default = null)
     * @method PlanSpecificItem|$this random(callable|int|null $number = null, bool $preserveKeys = false)
     * @method PlanSpecificItem|null sole(callable|string $key = null, $operator = null, $value = null)
     * @method PlanSpecificItem|null get($key, \Closure $default = null)
     * @method PlanSpecificItem|null first(callable $callback = null, \Closure $default = null)
     * @method PlanSpecificItem|null firstWhere(callable|string $key, $operator = null, $value = null)
     * @method PlanSpecificItem|null find($key, $default = null)
     * @method PlanSpecificItem[] all()
     */
    class _IH_PlanSpecificItem_C extends _BaseCollection {
        /**
         * @param int $size
         * @return PlanSpecificItem[][]|Collection<_IH_PlanSpecificItem_C>
         */
        public function chunk($size)
        {
            return [];
        }
    }
    
    /**
     * @method _IH_PlanSpecificItem_QB whereId($value)
     * @method _IH_PlanSpecificItem_QB whereInstallmentPlanId($value)
     * @method _IH_PlanSpecificItem_QB whereTargetType($value)
     * @method _IH_PlanSpecificItem_QB whereTarget($value)
     * @method _IH_PlanSpecificItem_QB whereCreatedAt($value)
     * @method _IH_PlanSpecificItem_QB whereUpdatedAt($value)
     * @method PlanSpecificItem baseSole(array|string $columns = ['*'])
     * @method PlanSpecificItem create(array $attributes = [])
     * @method _IH_PlanSpecificItem_C|PlanSpecificItem[] cursor()
     * @method PlanSpecificItem|null|_IH_PlanSpecificItem_C|PlanSpecificItem[] find($id, array|string $columns = ['*'])
     * @method _IH_PlanSpecificItem_C|PlanSpecificItem[] findMany(array|Arrayable $ids, array|string $columns = ['*'])
     * @method PlanSpecificItem|_IH_PlanSpecificItem_C|PlanSpecificItem[] findOr($id, array|\Closure|string $columns = ['*'], \Closure $callback = null)
     * @method PlanSpecificItem|_IH_PlanSpecificItem_C|PlanSpecificItem[] findOrFail($id, array|string $columns = ['*'])
     * @method PlanSpecificItem|_IH_PlanSpecificItem_C|PlanSpecificItem[] findOrNew($id, array|string $columns = ['*'])
     * @method PlanSpecificItem first(array|string $columns = ['*'])
     * @method PlanSpecificItem firstOr(array|\Closure|string $columns = ['*'], \Closure $callback = null)
     * @method PlanSpecificItem firstOrCreate(array $attributes = [], array $values = [])
     * @method PlanSpecificItem firstOrFail(array|string $columns = ['*'])
     * @method PlanSpecificItem firstOrNew(array $attributes = [], array $values = [])
     * @method PlanSpecificItem firstWhere(array|\Closure|Expression|string $column, $operator = null, $value = null, string $boolean = 'and')
     * @method PlanSpecificItem forceCreate(array $attributes)
     * @method _IH_PlanSpecificItem_C|PlanSpecificItem[] fromQuery(string $query, array $bindings = [])
     * @method _IH_PlanSpecificItem_C|PlanSpecificItem[] get(array|string $columns = ['*'])
     * @method PlanSpecificItem getModel()
     * @method PlanSpecificItem[] getModels(array|string $columns = ['*'])
     * @method _IH_PlanSpecificItem_C|PlanSpecificItem[] hydrate(array $items)
     * @method _IH_PlanSpecificItem_C|PlanSpecificItem[] lazy(int $chunkSize = 1000)
     * @method _IH_PlanSpecificItem_C|PlanSpecificItem[] lazyById(int $chunkSize = 1000, null|string $column = null, null|string $alias = null)
     * @method _IH_PlanSpecificItem_C|PlanSpecificItem[] lazyByIdDesc(int $chunkSize = 1000, null|string $column = null, null|string $alias = null)
     * @method PlanSpecificItem make(array $attributes = [])
     * @method PlanSpecificItem newModelInstance(array $attributes = [])
     * @method LengthAwarePaginator|PlanSpecificItem[]|_IH_PlanSpecificItem_C paginate(\Closure|int|null $perPage = null, array|string $columns = ['*'], string $pageName = 'page', int|null $page = null)
     * @method Paginator|PlanSpecificItem[]|_IH_PlanSpecificItem_C simplePaginate(int|null $perPage = null, array|string $columns = ['*'], string $pageName = 'page', int|null $page = null)
     * @method PlanSpecificItem sole(array|string $columns = ['*'])
     * @method PlanSpecificItem updateOrCreate(array $attributes, array $values = [])
     */
    class _IH_PlanSpecificItem_QB extends _BaseBuilder {}
}