<?php //176ac994d0efd1838de9fbbbc9ecc215
/** @noinspection all */

namespace LaravelIdea\Helper\Modules\H5P\Entities {

    use Illuminate\Contracts\Database\Query\Expression;
    use Illuminate\Contracts\Support\Arrayable;
    use Illuminate\Pagination\LengthAwarePaginator;
    use Illuminate\Pagination\Paginator;
    use Illuminate\Support\Collection;
    use LaravelIdea\Helper\_BaseBuilder;
    use LaravelIdea\Helper\_BaseCollection;
    use Modules\H5P\Entities\H5pContent;
    use Modules\H5P\Entities\H5pReport;
    use Modules\H5P\Entities\H5pReportDetail;
    
    /**
     * @method H5pContent|null getOrPut($key, \Closure $value)
     * @method H5pContent|$this shift(int $count = 1)
     * @method H5pContent|null firstOrFail(callable|string $key = null, $operator = null, $value = null)
     * @method H5pContent|$this pop(int $count = 1)
     * @method H5pContent|null pull($key, \Closure $default = null)
     * @method H5pContent|null last(callable $callback = null, \Closure $default = null)
     * @method H5pContent|$this random(callable|int|null $number = null, bool $preserveKeys = false)
     * @method H5pContent|null sole(callable|string $key = null, $operator = null, $value = null)
     * @method H5pContent|null get($key, \Closure $default = null)
     * @method H5pContent|null first(callable $callback = null, \Closure $default = null)
     * @method H5pContent|null firstWhere(callable|string $key, $operator = null, $value = null)
     * @method H5pContent|null find($key, $default = null)
     * @method H5pContent[] all()
     */
    class _IH_H5pContent_C extends _BaseCollection {
        /**
         * @param int $size
         * @return H5pContent[][]|Collection<_IH_H5pContent_C>
         */
        public function chunk($size)
        {
            return [];
        }
    }
    
    /**
     * @method _IH_H5pContent_QB whereId($value)
     * @method _IH_H5pContent_QB whereTitle($value)
     * @method _IH_H5pContent_QB whereH5p($value)
     * @method _IH_H5pContent_QB whereContent($value)
     * @method _IH_H5pContent_QB whereUserId($value)
     * @method _IH_H5pContent_QB wherePath($value)
     * @method _IH_H5pContent_QB whereStorage($value)
     * @method _IH_H5pContent_QB whereCreatedAt($value)
     * @method _IH_H5pContent_QB whereUpdatedAt($value)
     * @method H5pContent baseSole(array|string $columns = ['*'])
     * @method H5pContent create(array $attributes = [])
     * @method _IH_H5pContent_C|H5pContent[] cursor()
     * @method H5pContent|null|_IH_H5pContent_C|H5pContent[] find($id, array|string $columns = ['*'])
     * @method _IH_H5pContent_C|H5pContent[] findMany(array|Arrayable $ids, array|string $columns = ['*'])
     * @method H5pContent|_IH_H5pContent_C|H5pContent[] findOr($id, array|\Closure|string $columns = ['*'], \Closure $callback = null)
     * @method H5pContent|_IH_H5pContent_C|H5pContent[] findOrFail($id, array|string $columns = ['*'])
     * @method H5pContent|_IH_H5pContent_C|H5pContent[] findOrNew($id, array|string $columns = ['*'])
     * @method H5pContent first(array|string $columns = ['*'])
     * @method H5pContent firstOr(array|\Closure|string $columns = ['*'], \Closure $callback = null)
     * @method H5pContent firstOrCreate(array $attributes = [], array $values = [])
     * @method H5pContent firstOrFail(array|string $columns = ['*'])
     * @method H5pContent firstOrNew(array $attributes = [], array $values = [])
     * @method H5pContent firstWhere(array|\Closure|Expression|string $column, $operator = null, $value = null, string $boolean = 'and')
     * @method H5pContent forceCreate(array $attributes)
     * @method _IH_H5pContent_C|H5pContent[] fromQuery(string $query, array $bindings = [])
     * @method _IH_H5pContent_C|H5pContent[] get(array|string $columns = ['*'])
     * @method H5pContent getModel()
     * @method H5pContent[] getModels(array|string $columns = ['*'])
     * @method _IH_H5pContent_C|H5pContent[] hydrate(array $items)
     * @method _IH_H5pContent_C|H5pContent[] lazy(int $chunkSize = 1000)
     * @method _IH_H5pContent_C|H5pContent[] lazyById(int $chunkSize = 1000, null|string $column = null, null|string $alias = null)
     * @method _IH_H5pContent_C|H5pContent[] lazyByIdDesc(int $chunkSize = 1000, null|string $column = null, null|string $alias = null)
     * @method H5pContent make(array $attributes = [])
     * @method H5pContent newModelInstance(array $attributes = [])
     * @method LengthAwarePaginator|H5pContent[]|_IH_H5pContent_C paginate(\Closure|int|null $perPage = null, array|string $columns = ['*'], string $pageName = 'page', int|null $page = null)
     * @method Paginator|H5pContent[]|_IH_H5pContent_C simplePaginate(int|null $perPage = null, array|string $columns = ['*'], string $pageName = 'page', int|null $page = null)
     * @method H5pContent sole(array|string $columns = ['*'])
     * @method H5pContent updateOrCreate(array $attributes, array $values = [])
     */
    class _IH_H5pContent_QB extends _BaseBuilder {}
    
    /**
     * @method H5pReportDetail|null getOrPut($key, \Closure $value)
     * @method H5pReportDetail|$this shift(int $count = 1)
     * @method H5pReportDetail|null firstOrFail(callable|string $key = null, $operator = null, $value = null)
     * @method H5pReportDetail|$this pop(int $count = 1)
     * @method H5pReportDetail|null pull($key, \Closure $default = null)
     * @method H5pReportDetail|null last(callable $callback = null, \Closure $default = null)
     * @method H5pReportDetail|$this random(callable|int|null $number = null, bool $preserveKeys = false)
     * @method H5pReportDetail|null sole(callable|string $key = null, $operator = null, $value = null)
     * @method H5pReportDetail|null get($key, \Closure $default = null)
     * @method H5pReportDetail|null first(callable $callback = null, \Closure $default = null)
     * @method H5pReportDetail|null firstWhere(callable|string $key, $operator = null, $value = null)
     * @method H5pReportDetail|null find($key, $default = null)
     * @method H5pReportDetail[] all()
     */
    class _IH_H5pReportDetail_C extends _BaseCollection {
        /**
         * @param int $size
         * @return H5pReportDetail[][]|Collection<_IH_H5pReportDetail_C>
         */
        public function chunk($size)
        {
            return [];
        }
    }
    
    /**
     * @method _IH_H5pReportDetail_QB whereId($value)
     * @method _IH_H5pReportDetail_QB whereReportId($value)
     * @method _IH_H5pReportDetail_QB whereVerb($value)
     * @method _IH_H5pReportDetail_QB whereCreatedAt($value)
     * @method _IH_H5pReportDetail_QB whereUpdatedAt($value)
     * @method H5pReportDetail baseSole(array|string $columns = ['*'])
     * @method H5pReportDetail create(array $attributes = [])
     * @method _IH_H5pReportDetail_C|H5pReportDetail[] cursor()
     * @method H5pReportDetail|null|_IH_H5pReportDetail_C|H5pReportDetail[] find($id, array|string $columns = ['*'])
     * @method _IH_H5pReportDetail_C|H5pReportDetail[] findMany(array|Arrayable $ids, array|string $columns = ['*'])
     * @method H5pReportDetail|_IH_H5pReportDetail_C|H5pReportDetail[] findOr($id, array|\Closure|string $columns = ['*'], \Closure $callback = null)
     * @method H5pReportDetail|_IH_H5pReportDetail_C|H5pReportDetail[] findOrFail($id, array|string $columns = ['*'])
     * @method H5pReportDetail|_IH_H5pReportDetail_C|H5pReportDetail[] findOrNew($id, array|string $columns = ['*'])
     * @method H5pReportDetail first(array|string $columns = ['*'])
     * @method H5pReportDetail firstOr(array|\Closure|string $columns = ['*'], \Closure $callback = null)
     * @method H5pReportDetail firstOrCreate(array $attributes = [], array $values = [])
     * @method H5pReportDetail firstOrFail(array|string $columns = ['*'])
     * @method H5pReportDetail firstOrNew(array $attributes = [], array $values = [])
     * @method H5pReportDetail firstWhere(array|\Closure|Expression|string $column, $operator = null, $value = null, string $boolean = 'and')
     * @method H5pReportDetail forceCreate(array $attributes)
     * @method _IH_H5pReportDetail_C|H5pReportDetail[] fromQuery(string $query, array $bindings = [])
     * @method _IH_H5pReportDetail_C|H5pReportDetail[] get(array|string $columns = ['*'])
     * @method H5pReportDetail getModel()
     * @method H5pReportDetail[] getModels(array|string $columns = ['*'])
     * @method _IH_H5pReportDetail_C|H5pReportDetail[] hydrate(array $items)
     * @method _IH_H5pReportDetail_C|H5pReportDetail[] lazy(int $chunkSize = 1000)
     * @method _IH_H5pReportDetail_C|H5pReportDetail[] lazyById(int $chunkSize = 1000, null|string $column = null, null|string $alias = null)
     * @method _IH_H5pReportDetail_C|H5pReportDetail[] lazyByIdDesc(int $chunkSize = 1000, null|string $column = null, null|string $alias = null)
     * @method H5pReportDetail make(array $attributes = [])
     * @method H5pReportDetail newModelInstance(array $attributes = [])
     * @method LengthAwarePaginator|H5pReportDetail[]|_IH_H5pReportDetail_C paginate(\Closure|int|null $perPage = null, array|string $columns = ['*'], string $pageName = 'page', int|null $page = null)
     * @method Paginator|H5pReportDetail[]|_IH_H5pReportDetail_C simplePaginate(int|null $perPage = null, array|string $columns = ['*'], string $pageName = 'page', int|null $page = null)
     * @method H5pReportDetail sole(array|string $columns = ['*'])
     * @method H5pReportDetail updateOrCreate(array $attributes, array $values = [])
     */
    class _IH_H5pReportDetail_QB extends _BaseBuilder {}
    
    /**
     * @method H5pReport|null getOrPut($key, \Closure $value)
     * @method H5pReport|$this shift(int $count = 1)
     * @method H5pReport|null firstOrFail(callable|string $key = null, $operator = null, $value = null)
     * @method H5pReport|$this pop(int $count = 1)
     * @method H5pReport|null pull($key, \Closure $default = null)
     * @method H5pReport|null last(callable $callback = null, \Closure $default = null)
     * @method H5pReport|$this random(callable|int|null $number = null, bool $preserveKeys = false)
     * @method H5pReport|null sole(callable|string $key = null, $operator = null, $value = null)
     * @method H5pReport|null get($key, \Closure $default = null)
     * @method H5pReport|null first(callable $callback = null, \Closure $default = null)
     * @method H5pReport|null firstWhere(callable|string $key, $operator = null, $value = null)
     * @method H5pReport|null find($key, $default = null)
     * @method H5pReport[] all()
     */
    class _IH_H5pReport_C extends _BaseCollection {
        /**
         * @param int $size
         * @return H5pReport[][]|Collection<_IH_H5pReport_C>
         */
        public function chunk($size)
        {
            return [];
        }
    }
    
    /**
     * @method _IH_H5pReport_QB whereId($value)
     * @method _IH_H5pReport_QB whereCourseId($value)
     * @method _IH_H5pReport_QB whereUserId($value)
     * @method _IH_H5pReport_QB whereLessonId($value)
     * @method _IH_H5pReport_QB whereScore($value)
     * @method _IH_H5pReport_QB whereMaxScore($value)
     * @method _IH_H5pReport_QB whereMinScore($value)
     * @method _IH_H5pReport_QB whereScaled($value)
     * @method _IH_H5pReport_QB whereDuration($value)
     * @method _IH_H5pReport_QB whereAttempt($value)
     * @method _IH_H5pReport_QB whereTimestamp($value)
     * @method _IH_H5pReport_QB whereCreatedAt($value)
     * @method _IH_H5pReport_QB whereUpdatedAt($value)
     * @method H5pReport baseSole(array|string $columns = ['*'])
     * @method H5pReport create(array $attributes = [])
     * @method _IH_H5pReport_C|H5pReport[] cursor()
     * @method H5pReport|null|_IH_H5pReport_C|H5pReport[] find($id, array|string $columns = ['*'])
     * @method _IH_H5pReport_C|H5pReport[] findMany(array|Arrayable $ids, array|string $columns = ['*'])
     * @method H5pReport|_IH_H5pReport_C|H5pReport[] findOr($id, array|\Closure|string $columns = ['*'], \Closure $callback = null)
     * @method H5pReport|_IH_H5pReport_C|H5pReport[] findOrFail($id, array|string $columns = ['*'])
     * @method H5pReport|_IH_H5pReport_C|H5pReport[] findOrNew($id, array|string $columns = ['*'])
     * @method H5pReport first(array|string $columns = ['*'])
     * @method H5pReport firstOr(array|\Closure|string $columns = ['*'], \Closure $callback = null)
     * @method H5pReport firstOrCreate(array $attributes = [], array $values = [])
     * @method H5pReport firstOrFail(array|string $columns = ['*'])
     * @method H5pReport firstOrNew(array $attributes = [], array $values = [])
     * @method H5pReport firstWhere(array|\Closure|Expression|string $column, $operator = null, $value = null, string $boolean = 'and')
     * @method H5pReport forceCreate(array $attributes)
     * @method _IH_H5pReport_C|H5pReport[] fromQuery(string $query, array $bindings = [])
     * @method _IH_H5pReport_C|H5pReport[] get(array|string $columns = ['*'])
     * @method H5pReport getModel()
     * @method H5pReport[] getModels(array|string $columns = ['*'])
     * @method _IH_H5pReport_C|H5pReport[] hydrate(array $items)
     * @method _IH_H5pReport_C|H5pReport[] lazy(int $chunkSize = 1000)
     * @method _IH_H5pReport_C|H5pReport[] lazyById(int $chunkSize = 1000, null|string $column = null, null|string $alias = null)
     * @method _IH_H5pReport_C|H5pReport[] lazyByIdDesc(int $chunkSize = 1000, null|string $column = null, null|string $alias = null)
     * @method H5pReport make(array $attributes = [])
     * @method H5pReport newModelInstance(array $attributes = [])
     * @method LengthAwarePaginator|H5pReport[]|_IH_H5pReport_C paginate(\Closure|int|null $perPage = null, array|string $columns = ['*'], string $pageName = 'page', int|null $page = null)
     * @method Paginator|H5pReport[]|_IH_H5pReport_C simplePaginate(int|null $perPage = null, array|string $columns = ['*'], string $pageName = 'page', int|null $page = null)
     * @method H5pReport sole(array|string $columns = ['*'])
     * @method H5pReport updateOrCreate(array $attributes, array $values = [])
     */
    class _IH_H5pReport_QB extends _BaseBuilder {}
}