<?php //112925be74f8d51c9e10996a9b9ca18d
/** @noinspection all */

namespace LaravelIdea\Helper\Modules\Membership\Entities {

    use Illuminate\Contracts\Database\Query\Expression;
    use Illuminate\Contracts\Support\Arrayable;
    use Illuminate\Pagination\LengthAwarePaginator;
    use Illuminate\Pagination\Paginator;
    use Illuminate\Support\Collection;
    use LaravelIdea\Helper\_BaseBuilder;
    use LaravelIdea\Helper\_BaseCollection;
    use Modules\Membership\Entities\AddCourseToPlan;
    use Modules\Membership\Entities\AddEbookToPlan;
    use Modules\Membership\Entities\AddMember;
    use Modules\Membership\Entities\CourseMember;
    use Modules\Membership\Entities\EbookPlan;
    use Modules\Membership\Entities\EbookPlanCart;
    use Modules\Membership\Entities\EbookPlanCheckOut;
    use Modules\Membership\Entities\EbookPlanEbook;
    use Modules\Membership\Entities\LevelForum;
    use Modules\Membership\Entities\LevelGroup;
    use Modules\Membership\Entities\LevelGroupMember;
    use Modules\Membership\Entities\LiveClassMember;
    use Modules\Membership\Entities\MembershipCart;
    use Modules\Membership\Entities\MembershipLevel;
    use Modules\Membership\Entities\MembershipMember;
    use Modules\Membership\Entities\MembershipPlan;
    use Modules\Membership\Entities\MembershipPlanCheckout;
    use Modules\Membership\Entities\MembershipSettings;
    use Modules\Membership\Entities\MembershipSubscription;
    use Modules\Membership\Entities\MembershipSubscriptionRenew;
    use Modules\Membership\Entities\MembershipUpgradeLevel;
    use Modules\Membership\Entities\PlanLevel;
    use Modules\Membership\Entities\RegisterMemberQualification;
    use Modules\Membership\Entities\RegisterMembership;
    
    /**
     * @method AddCourseToPlan|null getOrPut($key, \Closure $value)
     * @method AddCourseToPlan|$this shift(int $count = 1)
     * @method AddCourseToPlan|null firstOrFail(callable|string $key = null, $operator = null, $value = null)
     * @method AddCourseToPlan|$this pop(int $count = 1)
     * @method AddCourseToPlan|null pull($key, \Closure $default = null)
     * @method AddCourseToPlan|null last(callable $callback = null, \Closure $default = null)
     * @method AddCourseToPlan|$this random(callable|int|null $number = null, bool $preserveKeys = false)
     * @method AddCourseToPlan|null sole(callable|string $key = null, $operator = null, $value = null)
     * @method AddCourseToPlan|null get($key, \Closure $default = null)
     * @method AddCourseToPlan|null first(callable $callback = null, \Closure $default = null)
     * @method AddCourseToPlan|null firstWhere(callable|string $key, $operator = null, $value = null)
     * @method AddCourseToPlan|null find($key, $default = null)
     * @method AddCourseToPlan[] all()
     */
    class _IH_AddCourseToPlan_C extends _BaseCollection {
        /**
         * @param int $size
         * @return AddCourseToPlan[][]|Collection<_IH_AddCourseToPlan_C>
         */
        public function chunk($size)
        {
            return [];
        }
    }
    
    /**
     * @method _IH_AddCourseToPlan_QB whereId($value)
     * @method _IH_AddCourseToPlan_QB whereCourseId($value)
     * @method _IH_AddCourseToPlan_QB wherePlanId($value)
     * @method _IH_AddCourseToPlan_QB whereUserId($value)
     * @method _IH_AddCourseToPlan_QB whereStatus($value)
     * @method _IH_AddCourseToPlan_QB whereCreatedAt($value)
     * @method _IH_AddCourseToPlan_QB whereUpdatedAt($value)
     * @method AddCourseToPlan baseSole(array|string $columns = ['*'])
     * @method AddCourseToPlan create(array $attributes = [])
     * @method _IH_AddCourseToPlan_C|AddCourseToPlan[] cursor()
     * @method AddCourseToPlan|null|_IH_AddCourseToPlan_C|AddCourseToPlan[] find($id, array|string $columns = ['*'])
     * @method _IH_AddCourseToPlan_C|AddCourseToPlan[] findMany(array|Arrayable $ids, array|string $columns = ['*'])
     * @method AddCourseToPlan|_IH_AddCourseToPlan_C|AddCourseToPlan[] findOr($id, array|\Closure|string $columns = ['*'], \Closure $callback = null)
     * @method AddCourseToPlan|_IH_AddCourseToPlan_C|AddCourseToPlan[] findOrFail($id, array|string $columns = ['*'])
     * @method AddCourseToPlan|_IH_AddCourseToPlan_C|AddCourseToPlan[] findOrNew($id, array|string $columns = ['*'])
     * @method AddCourseToPlan first(array|string $columns = ['*'])
     * @method AddCourseToPlan firstOr(array|\Closure|string $columns = ['*'], \Closure $callback = null)
     * @method AddCourseToPlan firstOrCreate(array $attributes = [], array $values = [])
     * @method AddCourseToPlan firstOrFail(array|string $columns = ['*'])
     * @method AddCourseToPlan firstOrNew(array $attributes = [], array $values = [])
     * @method AddCourseToPlan firstWhere(array|\Closure|Expression|string $column, $operator = null, $value = null, string $boolean = 'and')
     * @method AddCourseToPlan forceCreate(array $attributes)
     * @method _IH_AddCourseToPlan_C|AddCourseToPlan[] fromQuery(string $query, array $bindings = [])
     * @method _IH_AddCourseToPlan_C|AddCourseToPlan[] get(array|string $columns = ['*'])
     * @method AddCourseToPlan getModel()
     * @method AddCourseToPlan[] getModels(array|string $columns = ['*'])
     * @method _IH_AddCourseToPlan_C|AddCourseToPlan[] hydrate(array $items)
     * @method _IH_AddCourseToPlan_C|AddCourseToPlan[] lazy(int $chunkSize = 1000)
     * @method _IH_AddCourseToPlan_C|AddCourseToPlan[] lazyById(int $chunkSize = 1000, null|string $column = null, null|string $alias = null)
     * @method _IH_AddCourseToPlan_C|AddCourseToPlan[] lazyByIdDesc(int $chunkSize = 1000, null|string $column = null, null|string $alias = null)
     * @method AddCourseToPlan make(array $attributes = [])
     * @method AddCourseToPlan newModelInstance(array $attributes = [])
     * @method LengthAwarePaginator|AddCourseToPlan[]|_IH_AddCourseToPlan_C paginate(\Closure|int|null $perPage = null, array|string $columns = ['*'], string $pageName = 'page', int|null $page = null)
     * @method Paginator|AddCourseToPlan[]|_IH_AddCourseToPlan_C simplePaginate(int|null $perPage = null, array|string $columns = ['*'], string $pageName = 'page', int|null $page = null)
     * @method AddCourseToPlan sole(array|string $columns = ['*'])
     * @method AddCourseToPlan updateOrCreate(array $attributes, array $values = [])
     */
    class _IH_AddCourseToPlan_QB extends _BaseBuilder {}
    
    /**
     * @method AddEbookToPlan|null getOrPut($key, \Closure $value)
     * @method AddEbookToPlan|$this shift(int $count = 1)
     * @method AddEbookToPlan|null firstOrFail(callable|string $key = null, $operator = null, $value = null)
     * @method AddEbookToPlan|$this pop(int $count = 1)
     * @method AddEbookToPlan|null pull($key, \Closure $default = null)
     * @method AddEbookToPlan|null last(callable $callback = null, \Closure $default = null)
     * @method AddEbookToPlan|$this random(callable|int|null $number = null, bool $preserveKeys = false)
     * @method AddEbookToPlan|null sole(callable|string $key = null, $operator = null, $value = null)
     * @method AddEbookToPlan|null get($key, \Closure $default = null)
     * @method AddEbookToPlan|null first(callable $callback = null, \Closure $default = null)
     * @method AddEbookToPlan|null firstWhere(callable|string $key, $operator = null, $value = null)
     * @method AddEbookToPlan|null find($key, $default = null)
     * @method AddEbookToPlan[] all()
     */
    class _IH_AddEbookToPlan_C extends _BaseCollection {
        /**
         * @param int $size
         * @return AddEbookToPlan[][]|Collection<_IH_AddEbookToPlan_C>
         */
        public function chunk($size)
        {
            return [];
        }
    }
    
    /**
     * @method _IH_AddEbookToPlan_QB whereId($value)
     * @method _IH_AddEbookToPlan_QB whereEbookId($value)
     * @method _IH_AddEbookToPlan_QB wherePlanId($value)
     * @method _IH_AddEbookToPlan_QB whereUserId($value)
     * @method _IH_AddEbookToPlan_QB whereStatus($value)
     * @method _IH_AddEbookToPlan_QB whereCreatedAt($value)
     * @method _IH_AddEbookToPlan_QB whereUpdatedAt($value)
     * @method AddEbookToPlan baseSole(array|string $columns = ['*'])
     * @method AddEbookToPlan create(array $attributes = [])
     * @method _IH_AddEbookToPlan_C|AddEbookToPlan[] cursor()
     * @method AddEbookToPlan|null|_IH_AddEbookToPlan_C|AddEbookToPlan[] find($id, array|string $columns = ['*'])
     * @method _IH_AddEbookToPlan_C|AddEbookToPlan[] findMany(array|Arrayable $ids, array|string $columns = ['*'])
     * @method AddEbookToPlan|_IH_AddEbookToPlan_C|AddEbookToPlan[] findOr($id, array|\Closure|string $columns = ['*'], \Closure $callback = null)
     * @method AddEbookToPlan|_IH_AddEbookToPlan_C|AddEbookToPlan[] findOrFail($id, array|string $columns = ['*'])
     * @method AddEbookToPlan|_IH_AddEbookToPlan_C|AddEbookToPlan[] findOrNew($id, array|string $columns = ['*'])
     * @method AddEbookToPlan first(array|string $columns = ['*'])
     * @method AddEbookToPlan firstOr(array|\Closure|string $columns = ['*'], \Closure $callback = null)
     * @method AddEbookToPlan firstOrCreate(array $attributes = [], array $values = [])
     * @method AddEbookToPlan firstOrFail(array|string $columns = ['*'])
     * @method AddEbookToPlan firstOrNew(array $attributes = [], array $values = [])
     * @method AddEbookToPlan firstWhere(array|\Closure|Expression|string $column, $operator = null, $value = null, string $boolean = 'and')
     * @method AddEbookToPlan forceCreate(array $attributes)
     * @method _IH_AddEbookToPlan_C|AddEbookToPlan[] fromQuery(string $query, array $bindings = [])
     * @method _IH_AddEbookToPlan_C|AddEbookToPlan[] get(array|string $columns = ['*'])
     * @method AddEbookToPlan getModel()
     * @method AddEbookToPlan[] getModels(array|string $columns = ['*'])
     * @method _IH_AddEbookToPlan_C|AddEbookToPlan[] hydrate(array $items)
     * @method _IH_AddEbookToPlan_C|AddEbookToPlan[] lazy(int $chunkSize = 1000)
     * @method _IH_AddEbookToPlan_C|AddEbookToPlan[] lazyById(int $chunkSize = 1000, null|string $column = null, null|string $alias = null)
     * @method _IH_AddEbookToPlan_C|AddEbookToPlan[] lazyByIdDesc(int $chunkSize = 1000, null|string $column = null, null|string $alias = null)
     * @method AddEbookToPlan make(array $attributes = [])
     * @method AddEbookToPlan newModelInstance(array $attributes = [])
     * @method LengthAwarePaginator|AddEbookToPlan[]|_IH_AddEbookToPlan_C paginate(\Closure|int|null $perPage = null, array|string $columns = ['*'], string $pageName = 'page', int|null $page = null)
     * @method Paginator|AddEbookToPlan[]|_IH_AddEbookToPlan_C simplePaginate(int|null $perPage = null, array|string $columns = ['*'], string $pageName = 'page', int|null $page = null)
     * @method AddEbookToPlan sole(array|string $columns = ['*'])
     * @method AddEbookToPlan updateOrCreate(array $attributes, array $values = [])
     */
    class _IH_AddEbookToPlan_QB extends _BaseBuilder {}
    
    /**
     * @method AddMember|null getOrPut($key, \Closure $value)
     * @method AddMember|$this shift(int $count = 1)
     * @method AddMember|null firstOrFail(callable|string $key = null, $operator = null, $value = null)
     * @method AddMember|$this pop(int $count = 1)
     * @method AddMember|null pull($key, \Closure $default = null)
     * @method AddMember|null last(callable $callback = null, \Closure $default = null)
     * @method AddMember|$this random(callable|int|null $number = null, bool $preserveKeys = false)
     * @method AddMember|null sole(callable|string $key = null, $operator = null, $value = null)
     * @method AddMember|null get($key, \Closure $default = null)
     * @method AddMember|null first(callable $callback = null, \Closure $default = null)
     * @method AddMember|null firstWhere(callable|string $key, $operator = null, $value = null)
     * @method AddMember|null find($key, $default = null)
     * @method AddMember[] all()
     */
    class _IH_AddMember_C extends _BaseCollection {
        /**
         * @param int $size
         * @return AddMember[][]|Collection<_IH_AddMember_C>
         */
        public function chunk($size)
        {
            return [];
        }
    }
    
    /**
     * @method _IH_AddMember_QB whereId($value)
     * @method _IH_AddMember_QB wherePlanId($value)
     * @method _IH_AddMember_QB whereUserId($value)
     * @method _IH_AddMember_QB whereStatus($value)
     * @method _IH_AddMember_QB whereCreatedAt($value)
     * @method _IH_AddMember_QB whereUpdatedAt($value)
     * @method AddMember baseSole(array|string $columns = ['*'])
     * @method AddMember create(array $attributes = [])
     * @method _IH_AddMember_C|AddMember[] cursor()
     * @method AddMember|null|_IH_AddMember_C|AddMember[] find($id, array|string $columns = ['*'])
     * @method _IH_AddMember_C|AddMember[] findMany(array|Arrayable $ids, array|string $columns = ['*'])
     * @method AddMember|_IH_AddMember_C|AddMember[] findOr($id, array|\Closure|string $columns = ['*'], \Closure $callback = null)
     * @method AddMember|_IH_AddMember_C|AddMember[] findOrFail($id, array|string $columns = ['*'])
     * @method AddMember|_IH_AddMember_C|AddMember[] findOrNew($id, array|string $columns = ['*'])
     * @method AddMember first(array|string $columns = ['*'])
     * @method AddMember firstOr(array|\Closure|string $columns = ['*'], \Closure $callback = null)
     * @method AddMember firstOrCreate(array $attributes = [], array $values = [])
     * @method AddMember firstOrFail(array|string $columns = ['*'])
     * @method AddMember firstOrNew(array $attributes = [], array $values = [])
     * @method AddMember firstWhere(array|\Closure|Expression|string $column, $operator = null, $value = null, string $boolean = 'and')
     * @method AddMember forceCreate(array $attributes)
     * @method _IH_AddMember_C|AddMember[] fromQuery(string $query, array $bindings = [])
     * @method _IH_AddMember_C|AddMember[] get(array|string $columns = ['*'])
     * @method AddMember getModel()
     * @method AddMember[] getModels(array|string $columns = ['*'])
     * @method _IH_AddMember_C|AddMember[] hydrate(array $items)
     * @method _IH_AddMember_C|AddMember[] lazy(int $chunkSize = 1000)
     * @method _IH_AddMember_C|AddMember[] lazyById(int $chunkSize = 1000, null|string $column = null, null|string $alias = null)
     * @method _IH_AddMember_C|AddMember[] lazyByIdDesc(int $chunkSize = 1000, null|string $column = null, null|string $alias = null)
     * @method AddMember make(array $attributes = [])
     * @method AddMember newModelInstance(array $attributes = [])
     * @method LengthAwarePaginator|AddMember[]|_IH_AddMember_C paginate(\Closure|int|null $perPage = null, array|string $columns = ['*'], string $pageName = 'page', int|null $page = null)
     * @method Paginator|AddMember[]|_IH_AddMember_C simplePaginate(int|null $perPage = null, array|string $columns = ['*'], string $pageName = 'page', int|null $page = null)
     * @method AddMember sole(array|string $columns = ['*'])
     * @method AddMember updateOrCreate(array $attributes, array $values = [])
     */
    class _IH_AddMember_QB extends _BaseBuilder {}
    
    /**
     * @method CourseMember|null getOrPut($key, \Closure $value)
     * @method CourseMember|$this shift(int $count = 1)
     * @method CourseMember|null firstOrFail(callable|string $key = null, $operator = null, $value = null)
     * @method CourseMember|$this pop(int $count = 1)
     * @method CourseMember|null pull($key, \Closure $default = null)
     * @method CourseMember|null last(callable $callback = null, \Closure $default = null)
     * @method CourseMember|$this random(callable|int|null $number = null, bool $preserveKeys = false)
     * @method CourseMember|null sole(callable|string $key = null, $operator = null, $value = null)
     * @method CourseMember|null get($key, \Closure $default = null)
     * @method CourseMember|null first(callable $callback = null, \Closure $default = null)
     * @method CourseMember|null firstWhere(callable|string $key, $operator = null, $value = null)
     * @method CourseMember|null find($key, $default = null)
     * @method CourseMember[] all()
     */
    class _IH_CourseMember_C extends _BaseCollection {
        /**
         * @param int $size
         * @return CourseMember[][]|Collection<_IH_CourseMember_C>
         */
        public function chunk($size)
        {
            return [];
        }
    }
    
    /**
     * @method _IH_CourseMember_QB whereId($value)
     * @method _IH_CourseMember_QB whereCourseId($value)
     * @method _IH_CourseMember_QB whereMembershipLevelId($value)
     * @method _IH_CourseMember_QB whereUserId($value)
     * @method _IH_CourseMember_QB whereCreatedBy($value)
     * @method _IH_CourseMember_QB whereStatus($value)
     * @method _IH_CourseMember_QB whereCreatedAt($value)
     * @method _IH_CourseMember_QB whereUpdatedAt($value)
     * @method CourseMember baseSole(array|string $columns = ['*'])
     * @method CourseMember create(array $attributes = [])
     * @method _IH_CourseMember_C|CourseMember[] cursor()
     * @method CourseMember|null|_IH_CourseMember_C|CourseMember[] find($id, array|string $columns = ['*'])
     * @method _IH_CourseMember_C|CourseMember[] findMany(array|Arrayable $ids, array|string $columns = ['*'])
     * @method CourseMember|_IH_CourseMember_C|CourseMember[] findOr($id, array|\Closure|string $columns = ['*'], \Closure $callback = null)
     * @method CourseMember|_IH_CourseMember_C|CourseMember[] findOrFail($id, array|string $columns = ['*'])
     * @method CourseMember|_IH_CourseMember_C|CourseMember[] findOrNew($id, array|string $columns = ['*'])
     * @method CourseMember first(array|string $columns = ['*'])
     * @method CourseMember firstOr(array|\Closure|string $columns = ['*'], \Closure $callback = null)
     * @method CourseMember firstOrCreate(array $attributes = [], array $values = [])
     * @method CourseMember firstOrFail(array|string $columns = ['*'])
     * @method CourseMember firstOrNew(array $attributes = [], array $values = [])
     * @method CourseMember firstWhere(array|\Closure|Expression|string $column, $operator = null, $value = null, string $boolean = 'and')
     * @method CourseMember forceCreate(array $attributes)
     * @method _IH_CourseMember_C|CourseMember[] fromQuery(string $query, array $bindings = [])
     * @method _IH_CourseMember_C|CourseMember[] get(array|string $columns = ['*'])
     * @method CourseMember getModel()
     * @method CourseMember[] getModels(array|string $columns = ['*'])
     * @method _IH_CourseMember_C|CourseMember[] hydrate(array $items)
     * @method _IH_CourseMember_C|CourseMember[] lazy(int $chunkSize = 1000)
     * @method _IH_CourseMember_C|CourseMember[] lazyById(int $chunkSize = 1000, null|string $column = null, null|string $alias = null)
     * @method _IH_CourseMember_C|CourseMember[] lazyByIdDesc(int $chunkSize = 1000, null|string $column = null, null|string $alias = null)
     * @method CourseMember make(array $attributes = [])
     * @method CourseMember newModelInstance(array $attributes = [])
     * @method LengthAwarePaginator|CourseMember[]|_IH_CourseMember_C paginate(\Closure|int|null $perPage = null, array|string $columns = ['*'], string $pageName = 'page', int|null $page = null)
     * @method Paginator|CourseMember[]|_IH_CourseMember_C simplePaginate(int|null $perPage = null, array|string $columns = ['*'], string $pageName = 'page', int|null $page = null)
     * @method CourseMember sole(array|string $columns = ['*'])
     * @method CourseMember updateOrCreate(array $attributes, array $values = [])
     */
    class _IH_CourseMember_QB extends _BaseBuilder {}
    
    /**
     * @method EbookPlanCart|null getOrPut($key, \Closure $value)
     * @method EbookPlanCart|$this shift(int $count = 1)
     * @method EbookPlanCart|null firstOrFail(callable|string $key = null, $operator = null, $value = null)
     * @method EbookPlanCart|$this pop(int $count = 1)
     * @method EbookPlanCart|null pull($key, \Closure $default = null)
     * @method EbookPlanCart|null last(callable $callback = null, \Closure $default = null)
     * @method EbookPlanCart|$this random(callable|int|null $number = null, bool $preserveKeys = false)
     * @method EbookPlanCart|null sole(callable|string $key = null, $operator = null, $value = null)
     * @method EbookPlanCart|null get($key, \Closure $default = null)
     * @method EbookPlanCart|null first(callable $callback = null, \Closure $default = null)
     * @method EbookPlanCart|null firstWhere(callable|string $key, $operator = null, $value = null)
     * @method EbookPlanCart|null find($key, $default = null)
     * @method EbookPlanCart[] all()
     */
    class _IH_EbookPlanCart_C extends _BaseCollection {
        /**
         * @param int $size
         * @return EbookPlanCart[][]|Collection<_IH_EbookPlanCart_C>
         */
        public function chunk($size)
        {
            return [];
        }
    }
    
    /**
     * @method _IH_EbookPlanCart_QB whereId($value)
     * @method _IH_EbookPlanCart_QB whereUserId($value)
     * @method _IH_EbookPlanCart_QB whereEbookPlanId($value)
     * @method _IH_EbookPlanCart_QB wherePrice($value)
     * @method _IH_EbookPlanCart_QB whereDays($value)
     * @method _IH_EbookPlanCart_QB whereTracking($value)
     * @method _IH_EbookPlanCart_QB whereBillingDetailId($value)
     * @method _IH_EbookPlanCart_QB whereType($value)
     * @method _IH_EbookPlanCart_QB whereCreatedAt($value)
     * @method _IH_EbookPlanCart_QB whereUpdatedAt($value)
     * @method EbookPlanCart baseSole(array|string $columns = ['*'])
     * @method EbookPlanCart create(array $attributes = [])
     * @method _IH_EbookPlanCart_C|EbookPlanCart[] cursor()
     * @method EbookPlanCart|null|_IH_EbookPlanCart_C|EbookPlanCart[] find($id, array|string $columns = ['*'])
     * @method _IH_EbookPlanCart_C|EbookPlanCart[] findMany(array|Arrayable $ids, array|string $columns = ['*'])
     * @method EbookPlanCart|_IH_EbookPlanCart_C|EbookPlanCart[] findOr($id, array|\Closure|string $columns = ['*'], \Closure $callback = null)
     * @method EbookPlanCart|_IH_EbookPlanCart_C|EbookPlanCart[] findOrFail($id, array|string $columns = ['*'])
     * @method EbookPlanCart|_IH_EbookPlanCart_C|EbookPlanCart[] findOrNew($id, array|string $columns = ['*'])
     * @method EbookPlanCart first(array|string $columns = ['*'])
     * @method EbookPlanCart firstOr(array|\Closure|string $columns = ['*'], \Closure $callback = null)
     * @method EbookPlanCart firstOrCreate(array $attributes = [], array $values = [])
     * @method EbookPlanCart firstOrFail(array|string $columns = ['*'])
     * @method EbookPlanCart firstOrNew(array $attributes = [], array $values = [])
     * @method EbookPlanCart firstWhere(array|\Closure|Expression|string $column, $operator = null, $value = null, string $boolean = 'and')
     * @method EbookPlanCart forceCreate(array $attributes)
     * @method _IH_EbookPlanCart_C|EbookPlanCart[] fromQuery(string $query, array $bindings = [])
     * @method _IH_EbookPlanCart_C|EbookPlanCart[] get(array|string $columns = ['*'])
     * @method EbookPlanCart getModel()
     * @method EbookPlanCart[] getModels(array|string $columns = ['*'])
     * @method _IH_EbookPlanCart_C|EbookPlanCart[] hydrate(array $items)
     * @method _IH_EbookPlanCart_C|EbookPlanCart[] lazy(int $chunkSize = 1000)
     * @method _IH_EbookPlanCart_C|EbookPlanCart[] lazyById(int $chunkSize = 1000, null|string $column = null, null|string $alias = null)
     * @method _IH_EbookPlanCart_C|EbookPlanCart[] lazyByIdDesc(int $chunkSize = 1000, null|string $column = null, null|string $alias = null)
     * @method EbookPlanCart make(array $attributes = [])
     * @method EbookPlanCart newModelInstance(array $attributes = [])
     * @method LengthAwarePaginator|EbookPlanCart[]|_IH_EbookPlanCart_C paginate(\Closure|int|null $perPage = null, array|string $columns = ['*'], string $pageName = 'page', int|null $page = null)
     * @method Paginator|EbookPlanCart[]|_IH_EbookPlanCart_C simplePaginate(int|null $perPage = null, array|string $columns = ['*'], string $pageName = 'page', int|null $page = null)
     * @method EbookPlanCart sole(array|string $columns = ['*'])
     * @method EbookPlanCart updateOrCreate(array $attributes, array $values = [])
     */
    class _IH_EbookPlanCart_QB extends _BaseBuilder {}
    
    /**
     * @method EbookPlanCheckOut|null getOrPut($key, \Closure $value)
     * @method EbookPlanCheckOut|$this shift(int $count = 1)
     * @method EbookPlanCheckOut|null firstOrFail(callable|string $key = null, $operator = null, $value = null)
     * @method EbookPlanCheckOut|$this pop(int $count = 1)
     * @method EbookPlanCheckOut|null pull($key, \Closure $default = null)
     * @method EbookPlanCheckOut|null last(callable $callback = null, \Closure $default = null)
     * @method EbookPlanCheckOut|$this random(callable|int|null $number = null, bool $preserveKeys = false)
     * @method EbookPlanCheckOut|null sole(callable|string $key = null, $operator = null, $value = null)
     * @method EbookPlanCheckOut|null get($key, \Closure $default = null)
     * @method EbookPlanCheckOut|null first(callable $callback = null, \Closure $default = null)
     * @method EbookPlanCheckOut|null firstWhere(callable|string $key, $operator = null, $value = null)
     * @method EbookPlanCheckOut|null find($key, $default = null)
     * @method EbookPlanCheckOut[] all()
     */
    class _IH_EbookPlanCheckOut_C extends _BaseCollection {
        /**
         * @param int $size
         * @return EbookPlanCheckOut[][]|Collection<_IH_EbookPlanCheckOut_C>
         */
        public function chunk($size)
        {
            return [];
        }
    }
    
    /**
     * @method _IH_EbookPlanCheckOut_QB whereId($value)
     * @method _IH_EbookPlanCheckOut_QB whereBillingDetailId($value)
     * @method _IH_EbookPlanCheckOut_QB whereTracking($value)
     * @method _IH_EbookPlanCheckOut_QB whereUserId($value)
     * @method _IH_EbookPlanCheckOut_QB whereEbookPlanId($value)
     * @method _IH_EbookPlanCheckOut_QB wherePrice($value)
     * @method _IH_EbookPlanCheckOut_QB whereDiscount($value)
     * @method _IH_EbookPlanCheckOut_QB wherePurchasePrice($value)
     * @method _IH_EbookPlanCheckOut_QB whereCouponId($value)
     * @method _IH_EbookPlanCheckOut_QB whereStartDate($value)
     * @method _IH_EbookPlanCheckOut_QB whereEndDate($value)
     * @method _IH_EbookPlanCheckOut_QB whereDays($value)
     * @method _IH_EbookPlanCheckOut_QB wherePaymentMethod($value)
     * @method _IH_EbookPlanCheckOut_QB whereResponse($value)
     * @method _IH_EbookPlanCheckOut_QB whereStatus($value)
     * @method _IH_EbookPlanCheckOut_QB whereCreatedAt($value)
     * @method _IH_EbookPlanCheckOut_QB whereUpdatedAt($value)
     * @method EbookPlanCheckOut baseSole(array|string $columns = ['*'])
     * @method EbookPlanCheckOut create(array $attributes = [])
     * @method _IH_EbookPlanCheckOut_C|EbookPlanCheckOut[] cursor()
     * @method EbookPlanCheckOut|null|_IH_EbookPlanCheckOut_C|EbookPlanCheckOut[] find($id, array|string $columns = ['*'])
     * @method _IH_EbookPlanCheckOut_C|EbookPlanCheckOut[] findMany(array|Arrayable $ids, array|string $columns = ['*'])
     * @method EbookPlanCheckOut|_IH_EbookPlanCheckOut_C|EbookPlanCheckOut[] findOr($id, array|\Closure|string $columns = ['*'], \Closure $callback = null)
     * @method EbookPlanCheckOut|_IH_EbookPlanCheckOut_C|EbookPlanCheckOut[] findOrFail($id, array|string $columns = ['*'])
     * @method EbookPlanCheckOut|_IH_EbookPlanCheckOut_C|EbookPlanCheckOut[] findOrNew($id, array|string $columns = ['*'])
     * @method EbookPlanCheckOut first(array|string $columns = ['*'])
     * @method EbookPlanCheckOut firstOr(array|\Closure|string $columns = ['*'], \Closure $callback = null)
     * @method EbookPlanCheckOut firstOrCreate(array $attributes = [], array $values = [])
     * @method EbookPlanCheckOut firstOrFail(array|string $columns = ['*'])
     * @method EbookPlanCheckOut firstOrNew(array $attributes = [], array $values = [])
     * @method EbookPlanCheckOut firstWhere(array|\Closure|Expression|string $column, $operator = null, $value = null, string $boolean = 'and')
     * @method EbookPlanCheckOut forceCreate(array $attributes)
     * @method _IH_EbookPlanCheckOut_C|EbookPlanCheckOut[] fromQuery(string $query, array $bindings = [])
     * @method _IH_EbookPlanCheckOut_C|EbookPlanCheckOut[] get(array|string $columns = ['*'])
     * @method EbookPlanCheckOut getModel()
     * @method EbookPlanCheckOut[] getModels(array|string $columns = ['*'])
     * @method _IH_EbookPlanCheckOut_C|EbookPlanCheckOut[] hydrate(array $items)
     * @method _IH_EbookPlanCheckOut_C|EbookPlanCheckOut[] lazy(int $chunkSize = 1000)
     * @method _IH_EbookPlanCheckOut_C|EbookPlanCheckOut[] lazyById(int $chunkSize = 1000, null|string $column = null, null|string $alias = null)
     * @method _IH_EbookPlanCheckOut_C|EbookPlanCheckOut[] lazyByIdDesc(int $chunkSize = 1000, null|string $column = null, null|string $alias = null)
     * @method EbookPlanCheckOut make(array $attributes = [])
     * @method EbookPlanCheckOut newModelInstance(array $attributes = [])
     * @method LengthAwarePaginator|EbookPlanCheckOut[]|_IH_EbookPlanCheckOut_C paginate(\Closure|int|null $perPage = null, array|string $columns = ['*'], string $pageName = 'page', int|null $page = null)
     * @method Paginator|EbookPlanCheckOut[]|_IH_EbookPlanCheckOut_C simplePaginate(int|null $perPage = null, array|string $columns = ['*'], string $pageName = 'page', int|null $page = null)
     * @method EbookPlanCheckOut sole(array|string $columns = ['*'])
     * @method EbookPlanCheckOut updateOrCreate(array $attributes, array $values = [])
     */
    class _IH_EbookPlanCheckOut_QB extends _BaseBuilder {}
    
    /**
     * @method EbookPlanEbook|null getOrPut($key, \Closure $value)
     * @method EbookPlanEbook|$this shift(int $count = 1)
     * @method EbookPlanEbook|null firstOrFail(callable|string $key = null, $operator = null, $value = null)
     * @method EbookPlanEbook|$this pop(int $count = 1)
     * @method EbookPlanEbook|null pull($key, \Closure $default = null)
     * @method EbookPlanEbook|null last(callable $callback = null, \Closure $default = null)
     * @method EbookPlanEbook|$this random(callable|int|null $number = null, bool $preserveKeys = false)
     * @method EbookPlanEbook|null sole(callable|string $key = null, $operator = null, $value = null)
     * @method EbookPlanEbook|null get($key, \Closure $default = null)
     * @method EbookPlanEbook|null first(callable $callback = null, \Closure $default = null)
     * @method EbookPlanEbook|null firstWhere(callable|string $key, $operator = null, $value = null)
     * @method EbookPlanEbook|null find($key, $default = null)
     * @method EbookPlanEbook[] all()
     */
    class _IH_EbookPlanEbook_C extends _BaseCollection {
        /**
         * @param int $size
         * @return EbookPlanEbook[][]|Collection<_IH_EbookPlanEbook_C>
         */
        public function chunk($size)
        {
            return [];
        }
    }
    
    /**
     * @method _IH_EbookPlanEbook_QB whereId($value)
     * @method _IH_EbookPlanEbook_QB whereEbookPlanId($value)
     * @method _IH_EbookPlanEbook_QB whereEbookId($value)
     * @method _IH_EbookPlanEbook_QB whereCreatedAt($value)
     * @method _IH_EbookPlanEbook_QB whereUpdatedAt($value)
     * @method EbookPlanEbook baseSole(array|string $columns = ['*'])
     * @method EbookPlanEbook create(array $attributes = [])
     * @method _IH_EbookPlanEbook_C|EbookPlanEbook[] cursor()
     * @method EbookPlanEbook|null|_IH_EbookPlanEbook_C|EbookPlanEbook[] find($id, array|string $columns = ['*'])
     * @method _IH_EbookPlanEbook_C|EbookPlanEbook[] findMany(array|Arrayable $ids, array|string $columns = ['*'])
     * @method EbookPlanEbook|_IH_EbookPlanEbook_C|EbookPlanEbook[] findOr($id, array|\Closure|string $columns = ['*'], \Closure $callback = null)
     * @method EbookPlanEbook|_IH_EbookPlanEbook_C|EbookPlanEbook[] findOrFail($id, array|string $columns = ['*'])
     * @method EbookPlanEbook|_IH_EbookPlanEbook_C|EbookPlanEbook[] findOrNew($id, array|string $columns = ['*'])
     * @method EbookPlanEbook first(array|string $columns = ['*'])
     * @method EbookPlanEbook firstOr(array|\Closure|string $columns = ['*'], \Closure $callback = null)
     * @method EbookPlanEbook firstOrCreate(array $attributes = [], array $values = [])
     * @method EbookPlanEbook firstOrFail(array|string $columns = ['*'])
     * @method EbookPlanEbook firstOrNew(array $attributes = [], array $values = [])
     * @method EbookPlanEbook firstWhere(array|\Closure|Expression|string $column, $operator = null, $value = null, string $boolean = 'and')
     * @method EbookPlanEbook forceCreate(array $attributes)
     * @method _IH_EbookPlanEbook_C|EbookPlanEbook[] fromQuery(string $query, array $bindings = [])
     * @method _IH_EbookPlanEbook_C|EbookPlanEbook[] get(array|string $columns = ['*'])
     * @method EbookPlanEbook getModel()
     * @method EbookPlanEbook[] getModels(array|string $columns = ['*'])
     * @method _IH_EbookPlanEbook_C|EbookPlanEbook[] hydrate(array $items)
     * @method _IH_EbookPlanEbook_C|EbookPlanEbook[] lazy(int $chunkSize = 1000)
     * @method _IH_EbookPlanEbook_C|EbookPlanEbook[] lazyById(int $chunkSize = 1000, null|string $column = null, null|string $alias = null)
     * @method _IH_EbookPlanEbook_C|EbookPlanEbook[] lazyByIdDesc(int $chunkSize = 1000, null|string $column = null, null|string $alias = null)
     * @method EbookPlanEbook make(array $attributes = [])
     * @method EbookPlanEbook newModelInstance(array $attributes = [])
     * @method LengthAwarePaginator|EbookPlanEbook[]|_IH_EbookPlanEbook_C paginate(\Closure|int|null $perPage = null, array|string $columns = ['*'], string $pageName = 'page', int|null $page = null)
     * @method Paginator|EbookPlanEbook[]|_IH_EbookPlanEbook_C simplePaginate(int|null $perPage = null, array|string $columns = ['*'], string $pageName = 'page', int|null $page = null)
     * @method EbookPlanEbook sole(array|string $columns = ['*'])
     * @method EbookPlanEbook updateOrCreate(array $attributes, array $values = [])
     */
    class _IH_EbookPlanEbook_QB extends _BaseBuilder {}
    
    /**
     * @method EbookPlan|null getOrPut($key, \Closure $value)
     * @method EbookPlan|$this shift(int $count = 1)
     * @method EbookPlan|null firstOrFail(callable|string $key = null, $operator = null, $value = null)
     * @method EbookPlan|$this pop(int $count = 1)
     * @method EbookPlan|null pull($key, \Closure $default = null)
     * @method EbookPlan|null last(callable $callback = null, \Closure $default = null)
     * @method EbookPlan|$this random(callable|int|null $number = null, bool $preserveKeys = false)
     * @method EbookPlan|null sole(callable|string $key = null, $operator = null, $value = null)
     * @method EbookPlan|null get($key, \Closure $default = null)
     * @method EbookPlan|null first(callable $callback = null, \Closure $default = null)
     * @method EbookPlan|null firstWhere(callable|string $key, $operator = null, $value = null)
     * @method EbookPlan|null find($key, $default = null)
     * @method EbookPlan[] all()
     */
    class _IH_EbookPlan_C extends _BaseCollection {
        /**
         * @param int $size
         * @return EbookPlan[][]|Collection<_IH_EbookPlan_C>
         */
        public function chunk($size)
        {
            return [];
        }
    }
    
    /**
     * @method _IH_EbookPlan_QB whereId($value)
     * @method _IH_EbookPlan_QB whereTitle($value)
     * @method _IH_EbookPlan_QB wherePrice($value)
     * @method _IH_EbookPlan_QB whereAbout($value)
     * @method _IH_EbookPlan_QB whereDays($value)
     * @method _IH_EbookPlan_QB whereStatus($value)
     * @method _IH_EbookPlan_QB whereOrder($value)
     * @method _IH_EbookPlan_QB whereButtonText($value)
     * @method _IH_EbookPlan_QB whereStudent($value)
     * @method _IH_EbookPlan_QB whereUserId($value)
     * @method _IH_EbookPlan_QB whereReveune($value)
     * @method _IH_EbookPlan_QB whereCreatedAt($value)
     * @method _IH_EbookPlan_QB whereUpdatedAt($value)
     * @method EbookPlan baseSole(array|string $columns = ['*'])
     * @method EbookPlan create(array $attributes = [])
     * @method _IH_EbookPlan_C|EbookPlan[] cursor()
     * @method EbookPlan|null|_IH_EbookPlan_C|EbookPlan[] find($id, array|string $columns = ['*'])
     * @method _IH_EbookPlan_C|EbookPlan[] findMany(array|Arrayable $ids, array|string $columns = ['*'])
     * @method EbookPlan|_IH_EbookPlan_C|EbookPlan[] findOr($id, array|\Closure|string $columns = ['*'], \Closure $callback = null)
     * @method EbookPlan|_IH_EbookPlan_C|EbookPlan[] findOrFail($id, array|string $columns = ['*'])
     * @method EbookPlan|_IH_EbookPlan_C|EbookPlan[] findOrNew($id, array|string $columns = ['*'])
     * @method EbookPlan first(array|string $columns = ['*'])
     * @method EbookPlan firstOr(array|\Closure|string $columns = ['*'], \Closure $callback = null)
     * @method EbookPlan firstOrCreate(array $attributes = [], array $values = [])
     * @method EbookPlan firstOrFail(array|string $columns = ['*'])
     * @method EbookPlan firstOrNew(array $attributes = [], array $values = [])
     * @method EbookPlan firstWhere(array|\Closure|Expression|string $column, $operator = null, $value = null, string $boolean = 'and')
     * @method EbookPlan forceCreate(array $attributes)
     * @method _IH_EbookPlan_C|EbookPlan[] fromQuery(string $query, array $bindings = [])
     * @method _IH_EbookPlan_C|EbookPlan[] get(array|string $columns = ['*'])
     * @method EbookPlan getModel()
     * @method EbookPlan[] getModels(array|string $columns = ['*'])
     * @method _IH_EbookPlan_C|EbookPlan[] hydrate(array $items)
     * @method _IH_EbookPlan_C|EbookPlan[] lazy(int $chunkSize = 1000)
     * @method _IH_EbookPlan_C|EbookPlan[] lazyById(int $chunkSize = 1000, null|string $column = null, null|string $alias = null)
     * @method _IH_EbookPlan_C|EbookPlan[] lazyByIdDesc(int $chunkSize = 1000, null|string $column = null, null|string $alias = null)
     * @method EbookPlan make(array $attributes = [])
     * @method EbookPlan newModelInstance(array $attributes = [])
     * @method LengthAwarePaginator|EbookPlan[]|_IH_EbookPlan_C paginate(\Closure|int|null $perPage = null, array|string $columns = ['*'], string $pageName = 'page', int|null $page = null)
     * @method Paginator|EbookPlan[]|_IH_EbookPlan_C simplePaginate(int|null $perPage = null, array|string $columns = ['*'], string $pageName = 'page', int|null $page = null)
     * @method EbookPlan sole(array|string $columns = ['*'])
     * @method EbookPlan updateOrCreate(array $attributes, array $values = [])
     */
    class _IH_EbookPlan_QB extends _BaseBuilder {}
    
    /**
     * @method LevelForum|null getOrPut($key, \Closure $value)
     * @method LevelForum|$this shift(int $count = 1)
     * @method LevelForum|null firstOrFail(callable|string $key = null, $operator = null, $value = null)
     * @method LevelForum|$this pop(int $count = 1)
     * @method LevelForum|null pull($key, \Closure $default = null)
     * @method LevelForum|null last(callable $callback = null, \Closure $default = null)
     * @method LevelForum|$this random(callable|int|null $number = null, bool $preserveKeys = false)
     * @method LevelForum|null sole(callable|string $key = null, $operator = null, $value = null)
     * @method LevelForum|null get($key, \Closure $default = null)
     * @method LevelForum|null first(callable $callback = null, \Closure $default = null)
     * @method LevelForum|null firstWhere(callable|string $key, $operator = null, $value = null)
     * @method LevelForum|null find($key, $default = null)
     * @method LevelForum[] all()
     */
    class _IH_LevelForum_C extends _BaseCollection {
        /**
         * @param int $size
         * @return LevelForum[][]|Collection<_IH_LevelForum_C>
         */
        public function chunk($size)
        {
            return [];
        }
    }
    
    /**
     * @method _IH_LevelForum_QB whereId($value)
     * @method _IH_LevelForum_QB whereTitle($value)
     * @method _IH_LevelForum_QB whereMembershipLevelId($value)
     * @method _IH_LevelForum_QB whereCreatedBy($value)
     * @method _IH_LevelForum_QB whereStatus($value)
     * @method _IH_LevelForum_QB whereBody($value)
     * @method _IH_LevelForum_QB whereCreatedAt($value)
     * @method _IH_LevelForum_QB whereUpdatedAt($value)
     * @method LevelForum baseSole(array|string $columns = ['*'])
     * @method LevelForum create(array $attributes = [])
     * @method _IH_LevelForum_C|LevelForum[] cursor()
     * @method LevelForum|null|_IH_LevelForum_C|LevelForum[] find($id, array|string $columns = ['*'])
     * @method _IH_LevelForum_C|LevelForum[] findMany(array|Arrayable $ids, array|string $columns = ['*'])
     * @method LevelForum|_IH_LevelForum_C|LevelForum[] findOr($id, array|\Closure|string $columns = ['*'], \Closure $callback = null)
     * @method LevelForum|_IH_LevelForum_C|LevelForum[] findOrFail($id, array|string $columns = ['*'])
     * @method LevelForum|_IH_LevelForum_C|LevelForum[] findOrNew($id, array|string $columns = ['*'])
     * @method LevelForum first(array|string $columns = ['*'])
     * @method LevelForum firstOr(array|\Closure|string $columns = ['*'], \Closure $callback = null)
     * @method LevelForum firstOrCreate(array $attributes = [], array $values = [])
     * @method LevelForum firstOrFail(array|string $columns = ['*'])
     * @method LevelForum firstOrNew(array $attributes = [], array $values = [])
     * @method LevelForum firstWhere(array|\Closure|Expression|string $column, $operator = null, $value = null, string $boolean = 'and')
     * @method LevelForum forceCreate(array $attributes)
     * @method _IH_LevelForum_C|LevelForum[] fromQuery(string $query, array $bindings = [])
     * @method _IH_LevelForum_C|LevelForum[] get(array|string $columns = ['*'])
     * @method LevelForum getModel()
     * @method LevelForum[] getModels(array|string $columns = ['*'])
     * @method _IH_LevelForum_C|LevelForum[] hydrate(array $items)
     * @method _IH_LevelForum_C|LevelForum[] lazy(int $chunkSize = 1000)
     * @method _IH_LevelForum_C|LevelForum[] lazyById(int $chunkSize = 1000, null|string $column = null, null|string $alias = null)
     * @method _IH_LevelForum_C|LevelForum[] lazyByIdDesc(int $chunkSize = 1000, null|string $column = null, null|string $alias = null)
     * @method LevelForum make(array $attributes = [])
     * @method LevelForum newModelInstance(array $attributes = [])
     * @method LengthAwarePaginator|LevelForum[]|_IH_LevelForum_C paginate(\Closure|int|null $perPage = null, array|string $columns = ['*'], string $pageName = 'page', int|null $page = null)
     * @method Paginator|LevelForum[]|_IH_LevelForum_C simplePaginate(int|null $perPage = null, array|string $columns = ['*'], string $pageName = 'page', int|null $page = null)
     * @method LevelForum sole(array|string $columns = ['*'])
     * @method LevelForum updateOrCreate(array $attributes, array $values = [])
     */
    class _IH_LevelForum_QB extends _BaseBuilder {}
    
    /**
     * @method LevelGroupMember|null getOrPut($key, \Closure $value)
     * @method LevelGroupMember|$this shift(int $count = 1)
     * @method LevelGroupMember|null firstOrFail(callable|string $key = null, $operator = null, $value = null)
     * @method LevelGroupMember|$this pop(int $count = 1)
     * @method LevelGroupMember|null pull($key, \Closure $default = null)
     * @method LevelGroupMember|null last(callable $callback = null, \Closure $default = null)
     * @method LevelGroupMember|$this random(callable|int|null $number = null, bool $preserveKeys = false)
     * @method LevelGroupMember|null sole(callable|string $key = null, $operator = null, $value = null)
     * @method LevelGroupMember|null get($key, \Closure $default = null)
     * @method LevelGroupMember|null first(callable $callback = null, \Closure $default = null)
     * @method LevelGroupMember|null firstWhere(callable|string $key, $operator = null, $value = null)
     * @method LevelGroupMember|null find($key, $default = null)
     * @method LevelGroupMember[] all()
     */
    class _IH_LevelGroupMember_C extends _BaseCollection {
        /**
         * @param int $size
         * @return LevelGroupMember[][]|Collection<_IH_LevelGroupMember_C>
         */
        public function chunk($size)
        {
            return [];
        }
    }
    
    /**
     * @method _IH_LevelGroupMember_QB whereId($value)
     * @method _IH_LevelGroupMember_QB whereGroupId($value)
     * @method _IH_LevelGroupMember_QB whereUserId($value)
     * @method _IH_LevelGroupMember_QB whereUserRoleId($value)
     * @method _IH_LevelGroupMember_QB whereInstructorRole($value)
     * @method _IH_LevelGroupMember_QB whereCreatedAt($value)
     * @method _IH_LevelGroupMember_QB whereUpdatedAt($value)
     * @method LevelGroupMember baseSole(array|string $columns = ['*'])
     * @method LevelGroupMember create(array $attributes = [])
     * @method _IH_LevelGroupMember_C|LevelGroupMember[] cursor()
     * @method LevelGroupMember|null|_IH_LevelGroupMember_C|LevelGroupMember[] find($id, array|string $columns = ['*'])
     * @method _IH_LevelGroupMember_C|LevelGroupMember[] findMany(array|Arrayable $ids, array|string $columns = ['*'])
     * @method LevelGroupMember|_IH_LevelGroupMember_C|LevelGroupMember[] findOr($id, array|\Closure|string $columns = ['*'], \Closure $callback = null)
     * @method LevelGroupMember|_IH_LevelGroupMember_C|LevelGroupMember[] findOrFail($id, array|string $columns = ['*'])
     * @method LevelGroupMember|_IH_LevelGroupMember_C|LevelGroupMember[] findOrNew($id, array|string $columns = ['*'])
     * @method LevelGroupMember first(array|string $columns = ['*'])
     * @method LevelGroupMember firstOr(array|\Closure|string $columns = ['*'], \Closure $callback = null)
     * @method LevelGroupMember firstOrCreate(array $attributes = [], array $values = [])
     * @method LevelGroupMember firstOrFail(array|string $columns = ['*'])
     * @method LevelGroupMember firstOrNew(array $attributes = [], array $values = [])
     * @method LevelGroupMember firstWhere(array|\Closure|Expression|string $column, $operator = null, $value = null, string $boolean = 'and')
     * @method LevelGroupMember forceCreate(array $attributes)
     * @method _IH_LevelGroupMember_C|LevelGroupMember[] fromQuery(string $query, array $bindings = [])
     * @method _IH_LevelGroupMember_C|LevelGroupMember[] get(array|string $columns = ['*'])
     * @method LevelGroupMember getModel()
     * @method LevelGroupMember[] getModels(array|string $columns = ['*'])
     * @method _IH_LevelGroupMember_C|LevelGroupMember[] hydrate(array $items)
     * @method _IH_LevelGroupMember_C|LevelGroupMember[] lazy(int $chunkSize = 1000)
     * @method _IH_LevelGroupMember_C|LevelGroupMember[] lazyById(int $chunkSize = 1000, null|string $column = null, null|string $alias = null)
     * @method _IH_LevelGroupMember_C|LevelGroupMember[] lazyByIdDesc(int $chunkSize = 1000, null|string $column = null, null|string $alias = null)
     * @method LevelGroupMember make(array $attributes = [])
     * @method LevelGroupMember newModelInstance(array $attributes = [])
     * @method LengthAwarePaginator|LevelGroupMember[]|_IH_LevelGroupMember_C paginate(\Closure|int|null $perPage = null, array|string $columns = ['*'], string $pageName = 'page', int|null $page = null)
     * @method Paginator|LevelGroupMember[]|_IH_LevelGroupMember_C simplePaginate(int|null $perPage = null, array|string $columns = ['*'], string $pageName = 'page', int|null $page = null)
     * @method LevelGroupMember sole(array|string $columns = ['*'])
     * @method LevelGroupMember updateOrCreate(array $attributes, array $values = [])
     */
    class _IH_LevelGroupMember_QB extends _BaseBuilder {}
    
    /**
     * @method LevelGroup|null getOrPut($key, \Closure $value)
     * @method LevelGroup|$this shift(int $count = 1)
     * @method LevelGroup|null firstOrFail(callable|string $key = null, $operator = null, $value = null)
     * @method LevelGroup|$this pop(int $count = 1)
     * @method LevelGroup|null pull($key, \Closure $default = null)
     * @method LevelGroup|null last(callable $callback = null, \Closure $default = null)
     * @method LevelGroup|$this random(callable|int|null $number = null, bool $preserveKeys = false)
     * @method LevelGroup|null sole(callable|string $key = null, $operator = null, $value = null)
     * @method LevelGroup|null get($key, \Closure $default = null)
     * @method LevelGroup|null first(callable $callback = null, \Closure $default = null)
     * @method LevelGroup|null firstWhere(callable|string $key, $operator = null, $value = null)
     * @method LevelGroup|null find($key, $default = null)
     * @method LevelGroup[] all()
     */
    class _IH_LevelGroup_C extends _BaseCollection {
        /**
         * @param int $size
         * @return LevelGroup[][]|Collection<_IH_LevelGroup_C>
         */
        public function chunk($size)
        {
            return [];
        }
    }
    
    /**
     * @method _IH_LevelGroup_QB whereId($value)
     * @method _IH_LevelGroup_QB whereTitle($value)
     * @method _IH_LevelGroup_QB whereMembershipLevelId($value)
     * @method _IH_LevelGroup_QB whereCreatedBy($value)
     * @method _IH_LevelGroup_QB whereStatus($value)
     * @method _IH_LevelGroup_QB whereBody($value)
     * @method _IH_LevelGroup_QB whereCreatedAt($value)
     * @method _IH_LevelGroup_QB whereUpdatedAt($value)
     * @method LevelGroup baseSole(array|string $columns = ['*'])
     * @method LevelGroup create(array $attributes = [])
     * @method _IH_LevelGroup_C|LevelGroup[] cursor()
     * @method LevelGroup|null|_IH_LevelGroup_C|LevelGroup[] find($id, array|string $columns = ['*'])
     * @method _IH_LevelGroup_C|LevelGroup[] findMany(array|Arrayable $ids, array|string $columns = ['*'])
     * @method LevelGroup|_IH_LevelGroup_C|LevelGroup[] findOr($id, array|\Closure|string $columns = ['*'], \Closure $callback = null)
     * @method LevelGroup|_IH_LevelGroup_C|LevelGroup[] findOrFail($id, array|string $columns = ['*'])
     * @method LevelGroup|_IH_LevelGroup_C|LevelGroup[] findOrNew($id, array|string $columns = ['*'])
     * @method LevelGroup first(array|string $columns = ['*'])
     * @method LevelGroup firstOr(array|\Closure|string $columns = ['*'], \Closure $callback = null)
     * @method LevelGroup firstOrCreate(array $attributes = [], array $values = [])
     * @method LevelGroup firstOrFail(array|string $columns = ['*'])
     * @method LevelGroup firstOrNew(array $attributes = [], array $values = [])
     * @method LevelGroup firstWhere(array|\Closure|Expression|string $column, $operator = null, $value = null, string $boolean = 'and')
     * @method LevelGroup forceCreate(array $attributes)
     * @method _IH_LevelGroup_C|LevelGroup[] fromQuery(string $query, array $bindings = [])
     * @method _IH_LevelGroup_C|LevelGroup[] get(array|string $columns = ['*'])
     * @method LevelGroup getModel()
     * @method LevelGroup[] getModels(array|string $columns = ['*'])
     * @method _IH_LevelGroup_C|LevelGroup[] hydrate(array $items)
     * @method _IH_LevelGroup_C|LevelGroup[] lazy(int $chunkSize = 1000)
     * @method _IH_LevelGroup_C|LevelGroup[] lazyById(int $chunkSize = 1000, null|string $column = null, null|string $alias = null)
     * @method _IH_LevelGroup_C|LevelGroup[] lazyByIdDesc(int $chunkSize = 1000, null|string $column = null, null|string $alias = null)
     * @method LevelGroup make(array $attributes = [])
     * @method LevelGroup newModelInstance(array $attributes = [])
     * @method LengthAwarePaginator|LevelGroup[]|_IH_LevelGroup_C paginate(\Closure|int|null $perPage = null, array|string $columns = ['*'], string $pageName = 'page', int|null $page = null)
     * @method Paginator|LevelGroup[]|_IH_LevelGroup_C simplePaginate(int|null $perPage = null, array|string $columns = ['*'], string $pageName = 'page', int|null $page = null)
     * @method LevelGroup sole(array|string $columns = ['*'])
     * @method LevelGroup updateOrCreate(array $attributes, array $values = [])
     */
    class _IH_LevelGroup_QB extends _BaseBuilder {}
    
    /**
     * @method LiveClassMember|null getOrPut($key, \Closure $value)
     * @method LiveClassMember|$this shift(int $count = 1)
     * @method LiveClassMember|null firstOrFail(callable|string $key = null, $operator = null, $value = null)
     * @method LiveClassMember|$this pop(int $count = 1)
     * @method LiveClassMember|null pull($key, \Closure $default = null)
     * @method LiveClassMember|null last(callable $callback = null, \Closure $default = null)
     * @method LiveClassMember|$this random(callable|int|null $number = null, bool $preserveKeys = false)
     * @method LiveClassMember|null sole(callable|string $key = null, $operator = null, $value = null)
     * @method LiveClassMember|null get($key, \Closure $default = null)
     * @method LiveClassMember|null first(callable $callback = null, \Closure $default = null)
     * @method LiveClassMember|null firstWhere(callable|string $key, $operator = null, $value = null)
     * @method LiveClassMember|null find($key, $default = null)
     * @method LiveClassMember[] all()
     */
    class _IH_LiveClassMember_C extends _BaseCollection {
        /**
         * @param int $size
         * @return LiveClassMember[][]|Collection<_IH_LiveClassMember_C>
         */
        public function chunk($size)
        {
            return [];
        }
    }
    
    /**
     * @method _IH_LiveClassMember_QB whereId($value)
     * @method _IH_LiveClassMember_QB whereVirtualClassId($value)
     * @method _IH_LiveClassMember_QB whereMembershipLevelId($value)
     * @method _IH_LiveClassMember_QB whereUserId($value)
     * @method _IH_LiveClassMember_QB whereCreatedBy($value)
     * @method _IH_LiveClassMember_QB whereStatus($value)
     * @method _IH_LiveClassMember_QB whereCreatedAt($value)
     * @method _IH_LiveClassMember_QB whereUpdatedAt($value)
     * @method LiveClassMember baseSole(array|string $columns = ['*'])
     * @method LiveClassMember create(array $attributes = [])
     * @method _IH_LiveClassMember_C|LiveClassMember[] cursor()
     * @method LiveClassMember|null|_IH_LiveClassMember_C|LiveClassMember[] find($id, array|string $columns = ['*'])
     * @method _IH_LiveClassMember_C|LiveClassMember[] findMany(array|Arrayable $ids, array|string $columns = ['*'])
     * @method LiveClassMember|_IH_LiveClassMember_C|LiveClassMember[] findOr($id, array|\Closure|string $columns = ['*'], \Closure $callback = null)
     * @method LiveClassMember|_IH_LiveClassMember_C|LiveClassMember[] findOrFail($id, array|string $columns = ['*'])
     * @method LiveClassMember|_IH_LiveClassMember_C|LiveClassMember[] findOrNew($id, array|string $columns = ['*'])
     * @method LiveClassMember first(array|string $columns = ['*'])
     * @method LiveClassMember firstOr(array|\Closure|string $columns = ['*'], \Closure $callback = null)
     * @method LiveClassMember firstOrCreate(array $attributes = [], array $values = [])
     * @method LiveClassMember firstOrFail(array|string $columns = ['*'])
     * @method LiveClassMember firstOrNew(array $attributes = [], array $values = [])
     * @method LiveClassMember firstWhere(array|\Closure|Expression|string $column, $operator = null, $value = null, string $boolean = 'and')
     * @method LiveClassMember forceCreate(array $attributes)
     * @method _IH_LiveClassMember_C|LiveClassMember[] fromQuery(string $query, array $bindings = [])
     * @method _IH_LiveClassMember_C|LiveClassMember[] get(array|string $columns = ['*'])
     * @method LiveClassMember getModel()
     * @method LiveClassMember[] getModels(array|string $columns = ['*'])
     * @method _IH_LiveClassMember_C|LiveClassMember[] hydrate(array $items)
     * @method _IH_LiveClassMember_C|LiveClassMember[] lazy(int $chunkSize = 1000)
     * @method _IH_LiveClassMember_C|LiveClassMember[] lazyById(int $chunkSize = 1000, null|string $column = null, null|string $alias = null)
     * @method _IH_LiveClassMember_C|LiveClassMember[] lazyByIdDesc(int $chunkSize = 1000, null|string $column = null, null|string $alias = null)
     * @method LiveClassMember make(array $attributes = [])
     * @method LiveClassMember newModelInstance(array $attributes = [])
     * @method LengthAwarePaginator|LiveClassMember[]|_IH_LiveClassMember_C paginate(\Closure|int|null $perPage = null, array|string $columns = ['*'], string $pageName = 'page', int|null $page = null)
     * @method Paginator|LiveClassMember[]|_IH_LiveClassMember_C simplePaginate(int|null $perPage = null, array|string $columns = ['*'], string $pageName = 'page', int|null $page = null)
     * @method LiveClassMember sole(array|string $columns = ['*'])
     * @method LiveClassMember updateOrCreate(array $attributes, array $values = [])
     */
    class _IH_LiveClassMember_QB extends _BaseBuilder {}
    
    /**
     * @method MembershipCart|null getOrPut($key, \Closure $value)
     * @method MembershipCart|$this shift(int $count = 1)
     * @method MembershipCart|null firstOrFail(callable|string $key = null, $operator = null, $value = null)
     * @method MembershipCart|$this pop(int $count = 1)
     * @method MembershipCart|null pull($key, \Closure $default = null)
     * @method MembershipCart|null last(callable $callback = null, \Closure $default = null)
     * @method MembershipCart|$this random(callable|int|null $number = null, bool $preserveKeys = false)
     * @method MembershipCart|null sole(callable|string $key = null, $operator = null, $value = null)
     * @method MembershipCart|null get($key, \Closure $default = null)
     * @method MembershipCart|null first(callable $callback = null, \Closure $default = null)
     * @method MembershipCart|null firstWhere(callable|string $key, $operator = null, $value = null)
     * @method MembershipCart|null find($key, $default = null)
     * @method MembershipCart[] all()
     */
    class _IH_MembershipCart_C extends _BaseCollection {
        /**
         * @param int $size
         * @return MembershipCart[][]|Collection<_IH_MembershipCart_C>
         */
        public function chunk($size)
        {
            return [];
        }
    }
    
    /**
     * @method _IH_MembershipCart_QB whereId($value)
     * @method _IH_MembershipCart_QB whereUserId($value)
     * @method _IH_MembershipCart_QB wherePlanId($value)
     * @method _IH_MembershipCart_QB wherePrice($value)
     * @method _IH_MembershipCart_QB whereDays($value)
     * @method _IH_MembershipCart_QB whereTracking($value)
     * @method _IH_MembershipCart_QB whereBillingDetailId($value)
     * @method _IH_MembershipCart_QB whereType($value)
     * @method _IH_MembershipCart_QB whereCreatedAt($value)
     * @method _IH_MembershipCart_QB whereUpdatedAt($value)
     * @method MembershipCart baseSole(array|string $columns = ['*'])
     * @method MembershipCart create(array $attributes = [])
     * @method _IH_MembershipCart_C|MembershipCart[] cursor()
     * @method MembershipCart|null|_IH_MembershipCart_C|MembershipCart[] find($id, array|string $columns = ['*'])
     * @method _IH_MembershipCart_C|MembershipCart[] findMany(array|Arrayable $ids, array|string $columns = ['*'])
     * @method MembershipCart|_IH_MembershipCart_C|MembershipCart[] findOr($id, array|\Closure|string $columns = ['*'], \Closure $callback = null)
     * @method MembershipCart|_IH_MembershipCart_C|MembershipCart[] findOrFail($id, array|string $columns = ['*'])
     * @method MembershipCart|_IH_MembershipCart_C|MembershipCart[] findOrNew($id, array|string $columns = ['*'])
     * @method MembershipCart first(array|string $columns = ['*'])
     * @method MembershipCart firstOr(array|\Closure|string $columns = ['*'], \Closure $callback = null)
     * @method MembershipCart firstOrCreate(array $attributes = [], array $values = [])
     * @method MembershipCart firstOrFail(array|string $columns = ['*'])
     * @method MembershipCart firstOrNew(array $attributes = [], array $values = [])
     * @method MembershipCart firstWhere(array|\Closure|Expression|string $column, $operator = null, $value = null, string $boolean = 'and')
     * @method MembershipCart forceCreate(array $attributes)
     * @method _IH_MembershipCart_C|MembershipCart[] fromQuery(string $query, array $bindings = [])
     * @method _IH_MembershipCart_C|MembershipCart[] get(array|string $columns = ['*'])
     * @method MembershipCart getModel()
     * @method MembershipCart[] getModels(array|string $columns = ['*'])
     * @method _IH_MembershipCart_C|MembershipCart[] hydrate(array $items)
     * @method _IH_MembershipCart_C|MembershipCart[] lazy(int $chunkSize = 1000)
     * @method _IH_MembershipCart_C|MembershipCart[] lazyById(int $chunkSize = 1000, null|string $column = null, null|string $alias = null)
     * @method _IH_MembershipCart_C|MembershipCart[] lazyByIdDesc(int $chunkSize = 1000, null|string $column = null, null|string $alias = null)
     * @method MembershipCart make(array $attributes = [])
     * @method MembershipCart newModelInstance(array $attributes = [])
     * @method LengthAwarePaginator|MembershipCart[]|_IH_MembershipCart_C paginate(\Closure|int|null $perPage = null, array|string $columns = ['*'], string $pageName = 'page', int|null $page = null)
     * @method Paginator|MembershipCart[]|_IH_MembershipCart_C simplePaginate(int|null $perPage = null, array|string $columns = ['*'], string $pageName = 'page', int|null $page = null)
     * @method MembershipCart sole(array|string $columns = ['*'])
     * @method MembershipCart updateOrCreate(array $attributes, array $values = [])
     */
    class _IH_MembershipCart_QB extends _BaseBuilder {}
    
    /**
     * @method MembershipLevel|null getOrPut($key, \Closure $value)
     * @method MembershipLevel|$this shift(int $count = 1)
     * @method MembershipLevel|null firstOrFail(callable|string $key = null, $operator = null, $value = null)
     * @method MembershipLevel|$this pop(int $count = 1)
     * @method MembershipLevel|null pull($key, \Closure $default = null)
     * @method MembershipLevel|null last(callable $callback = null, \Closure $default = null)
     * @method MembershipLevel|$this random(callable|int|null $number = null, bool $preserveKeys = false)
     * @method MembershipLevel|null sole(callable|string $key = null, $operator = null, $value = null)
     * @method MembershipLevel|null get($key, \Closure $default = null)
     * @method MembershipLevel|null first(callable $callback = null, \Closure $default = null)
     * @method MembershipLevel|null firstWhere(callable|string $key, $operator = null, $value = null)
     * @method MembershipLevel|null find($key, $default = null)
     * @method MembershipLevel[] all()
     */
    class _IH_MembershipLevel_C extends _BaseCollection {
        /**
         * @param int $size
         * @return MembershipLevel[][]|Collection<_IH_MembershipLevel_C>
         */
        public function chunk($size)
        {
            return [];
        }
    }
    
    /**
     * @method _IH_MembershipLevel_QB whereId($value)
     * @method _IH_MembershipLevel_QB whereTitle($value)
     * @method _IH_MembershipLevel_QB whereUserId($value)
     * @method _IH_MembershipLevel_QB whereStatus($value)
     * @method _IH_MembershipLevel_QB wherePrice($value)
     * @method _IH_MembershipLevel_QB whereIsPaid($value)
     * @method _IH_MembershipLevel_QB whereCreatedAt($value)
     * @method _IH_MembershipLevel_QB whereUpdatedAt($value)
     * @method MembershipLevel baseSole(array|string $columns = ['*'])
     * @method MembershipLevel create(array $attributes = [])
     * @method _IH_MembershipLevel_C|MembershipLevel[] cursor()
     * @method MembershipLevel|null|_IH_MembershipLevel_C|MembershipLevel[] find($id, array|string $columns = ['*'])
     * @method _IH_MembershipLevel_C|MembershipLevel[] findMany(array|Arrayable $ids, array|string $columns = ['*'])
     * @method MembershipLevel|_IH_MembershipLevel_C|MembershipLevel[] findOr($id, array|\Closure|string $columns = ['*'], \Closure $callback = null)
     * @method MembershipLevel|_IH_MembershipLevel_C|MembershipLevel[] findOrFail($id, array|string $columns = ['*'])
     * @method MembershipLevel|_IH_MembershipLevel_C|MembershipLevel[] findOrNew($id, array|string $columns = ['*'])
     * @method MembershipLevel first(array|string $columns = ['*'])
     * @method MembershipLevel firstOr(array|\Closure|string $columns = ['*'], \Closure $callback = null)
     * @method MembershipLevel firstOrCreate(array $attributes = [], array $values = [])
     * @method MembershipLevel firstOrFail(array|string $columns = ['*'])
     * @method MembershipLevel firstOrNew(array $attributes = [], array $values = [])
     * @method MembershipLevel firstWhere(array|\Closure|Expression|string $column, $operator = null, $value = null, string $boolean = 'and')
     * @method MembershipLevel forceCreate(array $attributes)
     * @method _IH_MembershipLevel_C|MembershipLevel[] fromQuery(string $query, array $bindings = [])
     * @method _IH_MembershipLevel_C|MembershipLevel[] get(array|string $columns = ['*'])
     * @method MembershipLevel getModel()
     * @method MembershipLevel[] getModels(array|string $columns = ['*'])
     * @method _IH_MembershipLevel_C|MembershipLevel[] hydrate(array $items)
     * @method _IH_MembershipLevel_C|MembershipLevel[] lazy(int $chunkSize = 1000)
     * @method _IH_MembershipLevel_C|MembershipLevel[] lazyById(int $chunkSize = 1000, null|string $column = null, null|string $alias = null)
     * @method _IH_MembershipLevel_C|MembershipLevel[] lazyByIdDesc(int $chunkSize = 1000, null|string $column = null, null|string $alias = null)
     * @method MembershipLevel make(array $attributes = [])
     * @method MembershipLevel newModelInstance(array $attributes = [])
     * @method LengthAwarePaginator|MembershipLevel[]|_IH_MembershipLevel_C paginate(\Closure|int|null $perPage = null, array|string $columns = ['*'], string $pageName = 'page', int|null $page = null)
     * @method Paginator|MembershipLevel[]|_IH_MembershipLevel_C simplePaginate(int|null $perPage = null, array|string $columns = ['*'], string $pageName = 'page', int|null $page = null)
     * @method MembershipLevel sole(array|string $columns = ['*'])
     * @method MembershipLevel updateOrCreate(array $attributes, array $values = [])
     */
    class _IH_MembershipLevel_QB extends _BaseBuilder {}
    
    /**
     * @method MembershipMember|null getOrPut($key, \Closure $value)
     * @method MembershipMember|$this shift(int $count = 1)
     * @method MembershipMember|null firstOrFail(callable|string $key = null, $operator = null, $value = null)
     * @method MembershipMember|$this pop(int $count = 1)
     * @method MembershipMember|null pull($key, \Closure $default = null)
     * @method MembershipMember|null last(callable $callback = null, \Closure $default = null)
     * @method MembershipMember|$this random(callable|int|null $number = null, bool $preserveKeys = false)
     * @method MembershipMember|null sole(callable|string $key = null, $operator = null, $value = null)
     * @method MembershipMember|null get($key, \Closure $default = null)
     * @method MembershipMember|null first(callable $callback = null, \Closure $default = null)
     * @method MembershipMember|null firstWhere(callable|string $key, $operator = null, $value = null)
     * @method MembershipMember|null find($key, $default = null)
     * @method MembershipMember[] all()
     */
    class _IH_MembershipMember_C extends _BaseCollection {
        /**
         * @param int $size
         * @return MembershipMember[][]|Collection<_IH_MembershipMember_C>
         */
        public function chunk($size)
        {
            return [];
        }
    }
    
    /**
     * @method _IH_MembershipMember_QB whereId($value)
     * @method _IH_MembershipMember_QB whereTracking($value)
     * @method _IH_MembershipMember_QB whereMemberId($value)
     * @method _IH_MembershipMember_QB wherePlanId($value)
     * @method _IH_MembershipMember_QB whereUserId($value)
     * @method _IH_MembershipMember_QB whereDiscount($value)
     * @method _IH_MembershipMember_QB wherePurchasePrice($value)
     * @method _IH_MembershipMember_QB wherePrice($value)
     * @method _IH_MembershipMember_QB whereStatus($value)
     * @method _IH_MembershipMember_QB wherePaymentMethod($value)
     * @method _IH_MembershipMember_QB whereResponse($value)
     * @method _IH_MembershipMember_QB whereCreatedAt($value)
     * @method _IH_MembershipMember_QB whereUpdatedAt($value)
     * @method MembershipMember baseSole(array|string $columns = ['*'])
     * @method MembershipMember create(array $attributes = [])
     * @method _IH_MembershipMember_C|MembershipMember[] cursor()
     * @method MembershipMember|null|_IH_MembershipMember_C|MembershipMember[] find($id, array|string $columns = ['*'])
     * @method _IH_MembershipMember_C|MembershipMember[] findMany(array|Arrayable $ids, array|string $columns = ['*'])
     * @method MembershipMember|_IH_MembershipMember_C|MembershipMember[] findOr($id, array|\Closure|string $columns = ['*'], \Closure $callback = null)
     * @method MembershipMember|_IH_MembershipMember_C|MembershipMember[] findOrFail($id, array|string $columns = ['*'])
     * @method MembershipMember|_IH_MembershipMember_C|MembershipMember[] findOrNew($id, array|string $columns = ['*'])
     * @method MembershipMember first(array|string $columns = ['*'])
     * @method MembershipMember firstOr(array|\Closure|string $columns = ['*'], \Closure $callback = null)
     * @method MembershipMember firstOrCreate(array $attributes = [], array $values = [])
     * @method MembershipMember firstOrFail(array|string $columns = ['*'])
     * @method MembershipMember firstOrNew(array $attributes = [], array $values = [])
     * @method MembershipMember firstWhere(array|\Closure|Expression|string $column, $operator = null, $value = null, string $boolean = 'and')
     * @method MembershipMember forceCreate(array $attributes)
     * @method _IH_MembershipMember_C|MembershipMember[] fromQuery(string $query, array $bindings = [])
     * @method _IH_MembershipMember_C|MembershipMember[] get(array|string $columns = ['*'])
     * @method MembershipMember getModel()
     * @method MembershipMember[] getModels(array|string $columns = ['*'])
     * @method _IH_MembershipMember_C|MembershipMember[] hydrate(array $items)
     * @method _IH_MembershipMember_C|MembershipMember[] lazy(int $chunkSize = 1000)
     * @method _IH_MembershipMember_C|MembershipMember[] lazyById(int $chunkSize = 1000, null|string $column = null, null|string $alias = null)
     * @method _IH_MembershipMember_C|MembershipMember[] lazyByIdDesc(int $chunkSize = 1000, null|string $column = null, null|string $alias = null)
     * @method MembershipMember make(array $attributes = [])
     * @method MembershipMember newModelInstance(array $attributes = [])
     * @method LengthAwarePaginator|MembershipMember[]|_IH_MembershipMember_C paginate(\Closure|int|null $perPage = null, array|string $columns = ['*'], string $pageName = 'page', int|null $page = null)
     * @method Paginator|MembershipMember[]|_IH_MembershipMember_C simplePaginate(int|null $perPage = null, array|string $columns = ['*'], string $pageName = 'page', int|null $page = null)
     * @method MembershipMember sole(array|string $columns = ['*'])
     * @method MembershipMember updateOrCreate(array $attributes, array $values = [])
     */
    class _IH_MembershipMember_QB extends _BaseBuilder {}
    
    /**
     * @method MembershipPlanCheckout|null getOrPut($key, \Closure $value)
     * @method MembershipPlanCheckout|$this shift(int $count = 1)
     * @method MembershipPlanCheckout|null firstOrFail(callable|string $key = null, $operator = null, $value = null)
     * @method MembershipPlanCheckout|$this pop(int $count = 1)
     * @method MembershipPlanCheckout|null pull($key, \Closure $default = null)
     * @method MembershipPlanCheckout|null last(callable $callback = null, \Closure $default = null)
     * @method MembershipPlanCheckout|$this random(callable|int|null $number = null, bool $preserveKeys = false)
     * @method MembershipPlanCheckout|null sole(callable|string $key = null, $operator = null, $value = null)
     * @method MembershipPlanCheckout|null get($key, \Closure $default = null)
     * @method MembershipPlanCheckout|null first(callable $callback = null, \Closure $default = null)
     * @method MembershipPlanCheckout|null firstWhere(callable|string $key, $operator = null, $value = null)
     * @method MembershipPlanCheckout|null find($key, $default = null)
     * @method MembershipPlanCheckout[] all()
     */
    class _IH_MembershipPlanCheckout_C extends _BaseCollection {
        /**
         * @param int $size
         * @return MembershipPlanCheckout[][]|Collection<_IH_MembershipPlanCheckout_C>
         */
        public function chunk($size)
        {
            return [];
        }
    }
    
    /**
     * @method _IH_MembershipPlanCheckout_QB whereId($value)
     * @method _IH_MembershipPlanCheckout_QB whereBillingDetailId($value)
     * @method _IH_MembershipPlanCheckout_QB whereTracking($value)
     * @method _IH_MembershipPlanCheckout_QB whereUserId($value)
     * @method _IH_MembershipPlanCheckout_QB wherePlanId($value)
     * @method _IH_MembershipPlanCheckout_QB wherePrice($value)
     * @method _IH_MembershipPlanCheckout_QB whereDiscount($value)
     * @method _IH_MembershipPlanCheckout_QB wherePurchasePrice($value)
     * @method _IH_MembershipPlanCheckout_QB whereCouponId($value)
     * @method _IH_MembershipPlanCheckout_QB whereTax($value)
     * @method _IH_MembershipPlanCheckout_QB whereStartDate($value)
     * @method _IH_MembershipPlanCheckout_QB whereEndDate($value)
     * @method _IH_MembershipPlanCheckout_QB whereIsRenew($value)
     * @method _IH_MembershipPlanCheckout_QB whereDays($value)
     * @method _IH_MembershipPlanCheckout_QB wherePaymentMethod($value)
     * @method _IH_MembershipPlanCheckout_QB whereResponse($value)
     * @method _IH_MembershipPlanCheckout_QB whereStatus($value)
     * @method _IH_MembershipPlanCheckout_QB whereCurrentLevel($value)
     * @method _IH_MembershipPlanCheckout_QB whereCreatedAt($value)
     * @method _IH_MembershipPlanCheckout_QB whereUpdatedAt($value)
     * @method MembershipPlanCheckout baseSole(array|string $columns = ['*'])
     * @method MembershipPlanCheckout create(array $attributes = [])
     * @method _IH_MembershipPlanCheckout_C|MembershipPlanCheckout[] cursor()
     * @method MembershipPlanCheckout|null|_IH_MembershipPlanCheckout_C|MembershipPlanCheckout[] find($id, array|string $columns = ['*'])
     * @method _IH_MembershipPlanCheckout_C|MembershipPlanCheckout[] findMany(array|Arrayable $ids, array|string $columns = ['*'])
     * @method MembershipPlanCheckout|_IH_MembershipPlanCheckout_C|MembershipPlanCheckout[] findOr($id, array|\Closure|string $columns = ['*'], \Closure $callback = null)
     * @method MembershipPlanCheckout|_IH_MembershipPlanCheckout_C|MembershipPlanCheckout[] findOrFail($id, array|string $columns = ['*'])
     * @method MembershipPlanCheckout|_IH_MembershipPlanCheckout_C|MembershipPlanCheckout[] findOrNew($id, array|string $columns = ['*'])
     * @method MembershipPlanCheckout first(array|string $columns = ['*'])
     * @method MembershipPlanCheckout firstOr(array|\Closure|string $columns = ['*'], \Closure $callback = null)
     * @method MembershipPlanCheckout firstOrCreate(array $attributes = [], array $values = [])
     * @method MembershipPlanCheckout firstOrFail(array|string $columns = ['*'])
     * @method MembershipPlanCheckout firstOrNew(array $attributes = [], array $values = [])
     * @method MembershipPlanCheckout firstWhere(array|\Closure|Expression|string $column, $operator = null, $value = null, string $boolean = 'and')
     * @method MembershipPlanCheckout forceCreate(array $attributes)
     * @method _IH_MembershipPlanCheckout_C|MembershipPlanCheckout[] fromQuery(string $query, array $bindings = [])
     * @method _IH_MembershipPlanCheckout_C|MembershipPlanCheckout[] get(array|string $columns = ['*'])
     * @method MembershipPlanCheckout getModel()
     * @method MembershipPlanCheckout[] getModels(array|string $columns = ['*'])
     * @method _IH_MembershipPlanCheckout_C|MembershipPlanCheckout[] hydrate(array $items)
     * @method _IH_MembershipPlanCheckout_C|MembershipPlanCheckout[] lazy(int $chunkSize = 1000)
     * @method _IH_MembershipPlanCheckout_C|MembershipPlanCheckout[] lazyById(int $chunkSize = 1000, null|string $column = null, null|string $alias = null)
     * @method _IH_MembershipPlanCheckout_C|MembershipPlanCheckout[] lazyByIdDesc(int $chunkSize = 1000, null|string $column = null, null|string $alias = null)
     * @method MembershipPlanCheckout make(array $attributes = [])
     * @method MembershipPlanCheckout newModelInstance(array $attributes = [])
     * @method LengthAwarePaginator|MembershipPlanCheckout[]|_IH_MembershipPlanCheckout_C paginate(\Closure|int|null $perPage = null, array|string $columns = ['*'], string $pageName = 'page', int|null $page = null)
     * @method Paginator|MembershipPlanCheckout[]|_IH_MembershipPlanCheckout_C simplePaginate(int|null $perPage = null, array|string $columns = ['*'], string $pageName = 'page', int|null $page = null)
     * @method MembershipPlanCheckout sole(array|string $columns = ['*'])
     * @method MembershipPlanCheckout updateOrCreate(array $attributes, array $values = [])
     */
    class _IH_MembershipPlanCheckout_QB extends _BaseBuilder {}
    
    /**
     * @method MembershipPlan|null getOrPut($key, \Closure $value)
     * @method MembershipPlan|$this shift(int $count = 1)
     * @method MembershipPlan|null firstOrFail(callable|string $key = null, $operator = null, $value = null)
     * @method MembershipPlan|$this pop(int $count = 1)
     * @method MembershipPlan|null pull($key, \Closure $default = null)
     * @method MembershipPlan|null last(callable $callback = null, \Closure $default = null)
     * @method MembershipPlan|$this random(callable|int|null $number = null, bool $preserveKeys = false)
     * @method MembershipPlan|null sole(callable|string $key = null, $operator = null, $value = null)
     * @method MembershipPlan|null get($key, \Closure $default = null)
     * @method MembershipPlan|null first(callable $callback = null, \Closure $default = null)
     * @method MembershipPlan|null firstWhere(callable|string $key, $operator = null, $value = null)
     * @method MembershipPlan|null find($key, $default = null)
     * @method MembershipPlan[] all()
     */
    class _IH_MembershipPlan_C extends _BaseCollection {
        /**
         * @param int $size
         * @return MembershipPlan[][]|Collection<_IH_MembershipPlan_C>
         */
        public function chunk($size)
        {
            return [];
        }
    }
    
    /**
     * @method _IH_MembershipPlan_QB whereId($value)
     * @method _IH_MembershipPlan_QB whereTitle($value)
     * @method _IH_MembershipPlan_QB wherePrice($value)
     * @method _IH_MembershipPlan_QB whereLevelId($value)
     * @method _IH_MembershipPlan_QB whereUserId($value)
     * @method _IH_MembershipPlan_QB whereStatus($value)
     * @method _IH_MembershipPlan_QB wherePositionOrder($value)
     * @method _IH_MembershipPlan_QB whereExpireAfter($value)
     * @method _IH_MembershipPlan_QB whereExpireType($value)
     * @method _IH_MembershipPlan_QB whereExpire($value)
     * @method _IH_MembershipPlan_QB whereDetail($value)
     * @method _IH_MembershipPlan_QB whereBtnTxt($value)
     * @method _IH_MembershipPlan_QB whereCreatedAt($value)
     * @method _IH_MembershipPlan_QB whereUpdatedAt($value)
     * @method MembershipPlan baseSole(array|string $columns = ['*'])
     * @method MembershipPlan create(array $attributes = [])
     * @method _IH_MembershipPlan_C|MembershipPlan[] cursor()
     * @method MembershipPlan|null|_IH_MembershipPlan_C|MembershipPlan[] find($id, array|string $columns = ['*'])
     * @method _IH_MembershipPlan_C|MembershipPlan[] findMany(array|Arrayable $ids, array|string $columns = ['*'])
     * @method MembershipPlan|_IH_MembershipPlan_C|MembershipPlan[] findOr($id, array|\Closure|string $columns = ['*'], \Closure $callback = null)
     * @method MembershipPlan|_IH_MembershipPlan_C|MembershipPlan[] findOrFail($id, array|string $columns = ['*'])
     * @method MembershipPlan|_IH_MembershipPlan_C|MembershipPlan[] findOrNew($id, array|string $columns = ['*'])
     * @method MembershipPlan first(array|string $columns = ['*'])
     * @method MembershipPlan firstOr(array|\Closure|string $columns = ['*'], \Closure $callback = null)
     * @method MembershipPlan firstOrCreate(array $attributes = [], array $values = [])
     * @method MembershipPlan firstOrFail(array|string $columns = ['*'])
     * @method MembershipPlan firstOrNew(array $attributes = [], array $values = [])
     * @method MembershipPlan firstWhere(array|\Closure|Expression|string $column, $operator = null, $value = null, string $boolean = 'and')
     * @method MembershipPlan forceCreate(array $attributes)
     * @method _IH_MembershipPlan_C|MembershipPlan[] fromQuery(string $query, array $bindings = [])
     * @method _IH_MembershipPlan_C|MembershipPlan[] get(array|string $columns = ['*'])
     * @method MembershipPlan getModel()
     * @method MembershipPlan[] getModels(array|string $columns = ['*'])
     * @method _IH_MembershipPlan_C|MembershipPlan[] hydrate(array $items)
     * @method _IH_MembershipPlan_C|MembershipPlan[] lazy(int $chunkSize = 1000)
     * @method _IH_MembershipPlan_C|MembershipPlan[] lazyById(int $chunkSize = 1000, null|string $column = null, null|string $alias = null)
     * @method _IH_MembershipPlan_C|MembershipPlan[] lazyByIdDesc(int $chunkSize = 1000, null|string $column = null, null|string $alias = null)
     * @method MembershipPlan make(array $attributes = [])
     * @method MembershipPlan newModelInstance(array $attributes = [])
     * @method LengthAwarePaginator|MembershipPlan[]|_IH_MembershipPlan_C paginate(\Closure|int|null $perPage = null, array|string $columns = ['*'], string $pageName = 'page', int|null $page = null)
     * @method Paginator|MembershipPlan[]|_IH_MembershipPlan_C simplePaginate(int|null $perPage = null, array|string $columns = ['*'], string $pageName = 'page', int|null $page = null)
     * @method MembershipPlan sole(array|string $columns = ['*'])
     * @method MembershipPlan updateOrCreate(array $attributes, array $values = [])
     */
    class _IH_MembershipPlan_QB extends _BaseBuilder {}
    
    /**
     * @method MembershipSettings|null getOrPut($key, \Closure $value)
     * @method MembershipSettings|$this shift(int $count = 1)
     * @method MembershipSettings|null firstOrFail(callable|string $key = null, $operator = null, $value = null)
     * @method MembershipSettings|$this pop(int $count = 1)
     * @method MembershipSettings|null pull($key, \Closure $default = null)
     * @method MembershipSettings|null last(callable $callback = null, \Closure $default = null)
     * @method MembershipSettings|$this random(callable|int|null $number = null, bool $preserveKeys = false)
     * @method MembershipSettings|null sole(callable|string $key = null, $operator = null, $value = null)
     * @method MembershipSettings|null get($key, \Closure $default = null)
     * @method MembershipSettings|null first(callable $callback = null, \Closure $default = null)
     * @method MembershipSettings|null firstWhere(callable|string $key, $operator = null, $value = null)
     * @method MembershipSettings|null find($key, $default = null)
     * @method MembershipSettings[] all()
     */
    class _IH_MembershipSettings_C extends _BaseCollection {
        /**
         * @param int $size
         * @return MembershipSettings[][]|Collection<_IH_MembershipSettings_C>
         */
        public function chunk($size)
        {
            return [];
        }
    }
    
    /**
     * @method _IH_MembershipSettings_QB whereId($value)
     * @method _IH_MembershipSettings_QB whereExpireType($value)
     * @method _IH_MembershipSettings_QB whereExpireNumber($value)
     * @method _IH_MembershipSettings_QB whereRenewBefore($value)
     * @method _IH_MembershipSettings_QB whereLmsId($value)
     * @method _IH_MembershipSettings_QB whereApprovalSystem($value)
     * @method _IH_MembershipSettings_QB whereMembershipPrefix($value)
     * @method _IH_MembershipSettings_QB whereCreatedAt($value)
     * @method _IH_MembershipSettings_QB whereUpdatedAt($value)
     * @method MembershipSettings baseSole(array|string $columns = ['*'])
     * @method MembershipSettings create(array $attributes = [])
     * @method _IH_MembershipSettings_C|MembershipSettings[] cursor()
     * @method MembershipSettings|null|_IH_MembershipSettings_C|MembershipSettings[] find($id, array|string $columns = ['*'])
     * @method _IH_MembershipSettings_C|MembershipSettings[] findMany(array|Arrayable $ids, array|string $columns = ['*'])
     * @method MembershipSettings|_IH_MembershipSettings_C|MembershipSettings[] findOr($id, array|\Closure|string $columns = ['*'], \Closure $callback = null)
     * @method MembershipSettings|_IH_MembershipSettings_C|MembershipSettings[] findOrFail($id, array|string $columns = ['*'])
     * @method MembershipSettings|_IH_MembershipSettings_C|MembershipSettings[] findOrNew($id, array|string $columns = ['*'])
     * @method MembershipSettings first(array|string $columns = ['*'])
     * @method MembershipSettings firstOr(array|\Closure|string $columns = ['*'], \Closure $callback = null)
     * @method MembershipSettings firstOrCreate(array $attributes = [], array $values = [])
     * @method MembershipSettings firstOrFail(array|string $columns = ['*'])
     * @method MembershipSettings firstOrNew(array $attributes = [], array $values = [])
     * @method MembershipSettings firstWhere(array|\Closure|Expression|string $column, $operator = null, $value = null, string $boolean = 'and')
     * @method MembershipSettings forceCreate(array $attributes)
     * @method _IH_MembershipSettings_C|MembershipSettings[] fromQuery(string $query, array $bindings = [])
     * @method _IH_MembershipSettings_C|MembershipSettings[] get(array|string $columns = ['*'])
     * @method MembershipSettings getModel()
     * @method MembershipSettings[] getModels(array|string $columns = ['*'])
     * @method _IH_MembershipSettings_C|MembershipSettings[] hydrate(array $items)
     * @method _IH_MembershipSettings_C|MembershipSettings[] lazy(int $chunkSize = 1000)
     * @method _IH_MembershipSettings_C|MembershipSettings[] lazyById(int $chunkSize = 1000, null|string $column = null, null|string $alias = null)
     * @method _IH_MembershipSettings_C|MembershipSettings[] lazyByIdDesc(int $chunkSize = 1000, null|string $column = null, null|string $alias = null)
     * @method MembershipSettings make(array $attributes = [])
     * @method MembershipSettings newModelInstance(array $attributes = [])
     * @method LengthAwarePaginator|MembershipSettings[]|_IH_MembershipSettings_C paginate(\Closure|int|null $perPage = null, array|string $columns = ['*'], string $pageName = 'page', int|null $page = null)
     * @method Paginator|MembershipSettings[]|_IH_MembershipSettings_C simplePaginate(int|null $perPage = null, array|string $columns = ['*'], string $pageName = 'page', int|null $page = null)
     * @method MembershipSettings sole(array|string $columns = ['*'])
     * @method MembershipSettings updateOrCreate(array $attributes, array $values = [])
     */
    class _IH_MembershipSettings_QB extends _BaseBuilder {}
    
    /**
     * @method MembershipSubscriptionRenew|null getOrPut($key, \Closure $value)
     * @method MembershipSubscriptionRenew|$this shift(int $count = 1)
     * @method MembershipSubscriptionRenew|null firstOrFail(callable|string $key = null, $operator = null, $value = null)
     * @method MembershipSubscriptionRenew|$this pop(int $count = 1)
     * @method MembershipSubscriptionRenew|null pull($key, \Closure $default = null)
     * @method MembershipSubscriptionRenew|null last(callable $callback = null, \Closure $default = null)
     * @method MembershipSubscriptionRenew|$this random(callable|int|null $number = null, bool $preserveKeys = false)
     * @method MembershipSubscriptionRenew|null sole(callable|string $key = null, $operator = null, $value = null)
     * @method MembershipSubscriptionRenew|null get($key, \Closure $default = null)
     * @method MembershipSubscriptionRenew|null first(callable $callback = null, \Closure $default = null)
     * @method MembershipSubscriptionRenew|null firstWhere(callable|string $key, $operator = null, $value = null)
     * @method MembershipSubscriptionRenew|null find($key, $default = null)
     * @method MembershipSubscriptionRenew[] all()
     */
    class _IH_MembershipSubscriptionRenew_C extends _BaseCollection {
        /**
         * @param int $size
         * @return MembershipSubscriptionRenew[][]|Collection<_IH_MembershipSubscriptionRenew_C>
         */
        public function chunk($size)
        {
            return [];
        }
    }
    
    /**
     * @method _IH_MembershipSubscriptionRenew_QB whereId($value)
     * @method _IH_MembershipSubscriptionRenew_QB whereMembershipCheckoutId($value)
     * @method _IH_MembershipSubscriptionRenew_QB wherePrice($value)
     * @method _IH_MembershipSubscriptionRenew_QB whereDiscount($value)
     * @method _IH_MembershipSubscriptionRenew_QB wherePurchasePrice($value)
     * @method _IH_MembershipSubscriptionRenew_QB whereCouponId($value)
     * @method _IH_MembershipSubscriptionRenew_QB whereStartDate($value)
     * @method _IH_MembershipSubscriptionRenew_QB whereEndDate($value)
     * @method _IH_MembershipSubscriptionRenew_QB wherePaymentMethod($value)
     * @method _IH_MembershipSubscriptionRenew_QB whereResponse($value)
     * @method _IH_MembershipSubscriptionRenew_QB whereStatus($value)
     * @method _IH_MembershipSubscriptionRenew_QB whereCreatedAt($value)
     * @method _IH_MembershipSubscriptionRenew_QB whereUpdatedAt($value)
     * @method MembershipSubscriptionRenew baseSole(array|string $columns = ['*'])
     * @method MembershipSubscriptionRenew create(array $attributes = [])
     * @method _IH_MembershipSubscriptionRenew_C|MembershipSubscriptionRenew[] cursor()
     * @method MembershipSubscriptionRenew|null|_IH_MembershipSubscriptionRenew_C|MembershipSubscriptionRenew[] find($id, array|string $columns = ['*'])
     * @method _IH_MembershipSubscriptionRenew_C|MembershipSubscriptionRenew[] findMany(array|Arrayable $ids, array|string $columns = ['*'])
     * @method MembershipSubscriptionRenew|_IH_MembershipSubscriptionRenew_C|MembershipSubscriptionRenew[] findOr($id, array|\Closure|string $columns = ['*'], \Closure $callback = null)
     * @method MembershipSubscriptionRenew|_IH_MembershipSubscriptionRenew_C|MembershipSubscriptionRenew[] findOrFail($id, array|string $columns = ['*'])
     * @method MembershipSubscriptionRenew|_IH_MembershipSubscriptionRenew_C|MembershipSubscriptionRenew[] findOrNew($id, array|string $columns = ['*'])
     * @method MembershipSubscriptionRenew first(array|string $columns = ['*'])
     * @method MembershipSubscriptionRenew firstOr(array|\Closure|string $columns = ['*'], \Closure $callback = null)
     * @method MembershipSubscriptionRenew firstOrCreate(array $attributes = [], array $values = [])
     * @method MembershipSubscriptionRenew firstOrFail(array|string $columns = ['*'])
     * @method MembershipSubscriptionRenew firstOrNew(array $attributes = [], array $values = [])
     * @method MembershipSubscriptionRenew firstWhere(array|\Closure|Expression|string $column, $operator = null, $value = null, string $boolean = 'and')
     * @method MembershipSubscriptionRenew forceCreate(array $attributes)
     * @method _IH_MembershipSubscriptionRenew_C|MembershipSubscriptionRenew[] fromQuery(string $query, array $bindings = [])
     * @method _IH_MembershipSubscriptionRenew_C|MembershipSubscriptionRenew[] get(array|string $columns = ['*'])
     * @method MembershipSubscriptionRenew getModel()
     * @method MembershipSubscriptionRenew[] getModels(array|string $columns = ['*'])
     * @method _IH_MembershipSubscriptionRenew_C|MembershipSubscriptionRenew[] hydrate(array $items)
     * @method _IH_MembershipSubscriptionRenew_C|MembershipSubscriptionRenew[] lazy(int $chunkSize = 1000)
     * @method _IH_MembershipSubscriptionRenew_C|MembershipSubscriptionRenew[] lazyById(int $chunkSize = 1000, null|string $column = null, null|string $alias = null)
     * @method _IH_MembershipSubscriptionRenew_C|MembershipSubscriptionRenew[] lazyByIdDesc(int $chunkSize = 1000, null|string $column = null, null|string $alias = null)
     * @method MembershipSubscriptionRenew make(array $attributes = [])
     * @method MembershipSubscriptionRenew newModelInstance(array $attributes = [])
     * @method LengthAwarePaginator|MembershipSubscriptionRenew[]|_IH_MembershipSubscriptionRenew_C paginate(\Closure|int|null $perPage = null, array|string $columns = ['*'], string $pageName = 'page', int|null $page = null)
     * @method Paginator|MembershipSubscriptionRenew[]|_IH_MembershipSubscriptionRenew_C simplePaginate(int|null $perPage = null, array|string $columns = ['*'], string $pageName = 'page', int|null $page = null)
     * @method MembershipSubscriptionRenew sole(array|string $columns = ['*'])
     * @method MembershipSubscriptionRenew updateOrCreate(array $attributes, array $values = [])
     */
    class _IH_MembershipSubscriptionRenew_QB extends _BaseBuilder {}
    
    /**
     * @method MembershipSubscription|null getOrPut($key, \Closure $value)
     * @method MembershipSubscription|$this shift(int $count = 1)
     * @method MembershipSubscription|null firstOrFail(callable|string $key = null, $operator = null, $value = null)
     * @method MembershipSubscription|$this pop(int $count = 1)
     * @method MembershipSubscription|null pull($key, \Closure $default = null)
     * @method MembershipSubscription|null last(callable $callback = null, \Closure $default = null)
     * @method MembershipSubscription|$this random(callable|int|null $number = null, bool $preserveKeys = false)
     * @method MembershipSubscription|null sole(callable|string $key = null, $operator = null, $value = null)
     * @method MembershipSubscription|null get($key, \Closure $default = null)
     * @method MembershipSubscription|null first(callable $callback = null, \Closure $default = null)
     * @method MembershipSubscription|null firstWhere(callable|string $key, $operator = null, $value = null)
     * @method MembershipSubscription|null find($key, $default = null)
     * @method MembershipSubscription[] all()
     */
    class _IH_MembershipSubscription_C extends _BaseCollection {
        /**
         * @param int $size
         * @return MembershipSubscription[][]|Collection<_IH_MembershipSubscription_C>
         */
        public function chunk($size)
        {
            return [];
        }
    }
    
    /**
     * @method _IH_MembershipSubscription_QB whereId($value)
     * @method _IH_MembershipSubscription_QB whereCreatedAt($value)
     * @method _IH_MembershipSubscription_QB whereUpdatedAt($value)
     * @method MembershipSubscription baseSole(array|string $columns = ['*'])
     * @method MembershipSubscription create(array $attributes = [])
     * @method _IH_MembershipSubscription_C|MembershipSubscription[] cursor()
     * @method MembershipSubscription|null|_IH_MembershipSubscription_C|MembershipSubscription[] find($id, array|string $columns = ['*'])
     * @method _IH_MembershipSubscription_C|MembershipSubscription[] findMany(array|Arrayable $ids, array|string $columns = ['*'])
     * @method MembershipSubscription|_IH_MembershipSubscription_C|MembershipSubscription[] findOr($id, array|\Closure|string $columns = ['*'], \Closure $callback = null)
     * @method MembershipSubscription|_IH_MembershipSubscription_C|MembershipSubscription[] findOrFail($id, array|string $columns = ['*'])
     * @method MembershipSubscription|_IH_MembershipSubscription_C|MembershipSubscription[] findOrNew($id, array|string $columns = ['*'])
     * @method MembershipSubscription first(array|string $columns = ['*'])
     * @method MembershipSubscription firstOr(array|\Closure|string $columns = ['*'], \Closure $callback = null)
     * @method MembershipSubscription firstOrCreate(array $attributes = [], array $values = [])
     * @method MembershipSubscription firstOrFail(array|string $columns = ['*'])
     * @method MembershipSubscription firstOrNew(array $attributes = [], array $values = [])
     * @method MembershipSubscription firstWhere(array|\Closure|Expression|string $column, $operator = null, $value = null, string $boolean = 'and')
     * @method MembershipSubscription forceCreate(array $attributes)
     * @method _IH_MembershipSubscription_C|MembershipSubscription[] fromQuery(string $query, array $bindings = [])
     * @method _IH_MembershipSubscription_C|MembershipSubscription[] get(array|string $columns = ['*'])
     * @method MembershipSubscription getModel()
     * @method MembershipSubscription[] getModels(array|string $columns = ['*'])
     * @method _IH_MembershipSubscription_C|MembershipSubscription[] hydrate(array $items)
     * @method _IH_MembershipSubscription_C|MembershipSubscription[] lazy(int $chunkSize = 1000)
     * @method _IH_MembershipSubscription_C|MembershipSubscription[] lazyById(int $chunkSize = 1000, null|string $column = null, null|string $alias = null)
     * @method _IH_MembershipSubscription_C|MembershipSubscription[] lazyByIdDesc(int $chunkSize = 1000, null|string $column = null, null|string $alias = null)
     * @method MembershipSubscription make(array $attributes = [])
     * @method MembershipSubscription newModelInstance(array $attributes = [])
     * @method LengthAwarePaginator|MembershipSubscription[]|_IH_MembershipSubscription_C paginate(\Closure|int|null $perPage = null, array|string $columns = ['*'], string $pageName = 'page', int|null $page = null)
     * @method Paginator|MembershipSubscription[]|_IH_MembershipSubscription_C simplePaginate(int|null $perPage = null, array|string $columns = ['*'], string $pageName = 'page', int|null $page = null)
     * @method MembershipSubscription sole(array|string $columns = ['*'])
     * @method MembershipSubscription updateOrCreate(array $attributes, array $values = [])
     */
    class _IH_MembershipSubscription_QB extends _BaseBuilder {}
    
    /**
     * @method MembershipUpgradeLevel|null getOrPut($key, \Closure $value)
     * @method MembershipUpgradeLevel|$this shift(int $count = 1)
     * @method MembershipUpgradeLevel|null firstOrFail(callable|string $key = null, $operator = null, $value = null)
     * @method MembershipUpgradeLevel|$this pop(int $count = 1)
     * @method MembershipUpgradeLevel|null pull($key, \Closure $default = null)
     * @method MembershipUpgradeLevel|null last(callable $callback = null, \Closure $default = null)
     * @method MembershipUpgradeLevel|$this random(callable|int|null $number = null, bool $preserveKeys = false)
     * @method MembershipUpgradeLevel|null sole(callable|string $key = null, $operator = null, $value = null)
     * @method MembershipUpgradeLevel|null get($key, \Closure $default = null)
     * @method MembershipUpgradeLevel|null first(callable $callback = null, \Closure $default = null)
     * @method MembershipUpgradeLevel|null firstWhere(callable|string $key, $operator = null, $value = null)
     * @method MembershipUpgradeLevel|null find($key, $default = null)
     * @method MembershipUpgradeLevel[] all()
     */
    class _IH_MembershipUpgradeLevel_C extends _BaseCollection {
        /**
         * @param int $size
         * @return MembershipUpgradeLevel[][]|Collection<_IH_MembershipUpgradeLevel_C>
         */
        public function chunk($size)
        {
            return [];
        }
    }
    
    /**
     * @method _IH_MembershipUpgradeLevel_QB whereId($value)
     * @method _IH_MembershipUpgradeLevel_QB whereMembershipCheckoutId($value)
     * @method _IH_MembershipUpgradeLevel_QB whereLevelId($value)
     * @method _IH_MembershipUpgradeLevel_QB whereUserId($value)
     * @method _IH_MembershipUpgradeLevel_QB wherePrice($value)
     * @method _IH_MembershipUpgradeLevel_QB whereDiscount($value)
     * @method _IH_MembershipUpgradeLevel_QB wherePurchasePrice($value)
     * @method _IH_MembershipUpgradeLevel_QB whereCouponId($value)
     * @method _IH_MembershipUpgradeLevel_QB wherePaymentMethod($value)
     * @method _IH_MembershipUpgradeLevel_QB whereResponse($value)
     * @method _IH_MembershipUpgradeLevel_QB whereStatus($value)
     * @method _IH_MembershipUpgradeLevel_QB whereCreatedAt($value)
     * @method _IH_MembershipUpgradeLevel_QB whereUpdatedAt($value)
     * @method MembershipUpgradeLevel baseSole(array|string $columns = ['*'])
     * @method MembershipUpgradeLevel create(array $attributes = [])
     * @method _IH_MembershipUpgradeLevel_C|MembershipUpgradeLevel[] cursor()
     * @method MembershipUpgradeLevel|null|_IH_MembershipUpgradeLevel_C|MembershipUpgradeLevel[] find($id, array|string $columns = ['*'])
     * @method _IH_MembershipUpgradeLevel_C|MembershipUpgradeLevel[] findMany(array|Arrayable $ids, array|string $columns = ['*'])
     * @method MembershipUpgradeLevel|_IH_MembershipUpgradeLevel_C|MembershipUpgradeLevel[] findOr($id, array|\Closure|string $columns = ['*'], \Closure $callback = null)
     * @method MembershipUpgradeLevel|_IH_MembershipUpgradeLevel_C|MembershipUpgradeLevel[] findOrFail($id, array|string $columns = ['*'])
     * @method MembershipUpgradeLevel|_IH_MembershipUpgradeLevel_C|MembershipUpgradeLevel[] findOrNew($id, array|string $columns = ['*'])
     * @method MembershipUpgradeLevel first(array|string $columns = ['*'])
     * @method MembershipUpgradeLevel firstOr(array|\Closure|string $columns = ['*'], \Closure $callback = null)
     * @method MembershipUpgradeLevel firstOrCreate(array $attributes = [], array $values = [])
     * @method MembershipUpgradeLevel firstOrFail(array|string $columns = ['*'])
     * @method MembershipUpgradeLevel firstOrNew(array $attributes = [], array $values = [])
     * @method MembershipUpgradeLevel firstWhere(array|\Closure|Expression|string $column, $operator = null, $value = null, string $boolean = 'and')
     * @method MembershipUpgradeLevel forceCreate(array $attributes)
     * @method _IH_MembershipUpgradeLevel_C|MembershipUpgradeLevel[] fromQuery(string $query, array $bindings = [])
     * @method _IH_MembershipUpgradeLevel_C|MembershipUpgradeLevel[] get(array|string $columns = ['*'])
     * @method MembershipUpgradeLevel getModel()
     * @method MembershipUpgradeLevel[] getModels(array|string $columns = ['*'])
     * @method _IH_MembershipUpgradeLevel_C|MembershipUpgradeLevel[] hydrate(array $items)
     * @method _IH_MembershipUpgradeLevel_C|MembershipUpgradeLevel[] lazy(int $chunkSize = 1000)
     * @method _IH_MembershipUpgradeLevel_C|MembershipUpgradeLevel[] lazyById(int $chunkSize = 1000, null|string $column = null, null|string $alias = null)
     * @method _IH_MembershipUpgradeLevel_C|MembershipUpgradeLevel[] lazyByIdDesc(int $chunkSize = 1000, null|string $column = null, null|string $alias = null)
     * @method MembershipUpgradeLevel make(array $attributes = [])
     * @method MembershipUpgradeLevel newModelInstance(array $attributes = [])
     * @method LengthAwarePaginator|MembershipUpgradeLevel[]|_IH_MembershipUpgradeLevel_C paginate(\Closure|int|null $perPage = null, array|string $columns = ['*'], string $pageName = 'page', int|null $page = null)
     * @method Paginator|MembershipUpgradeLevel[]|_IH_MembershipUpgradeLevel_C simplePaginate(int|null $perPage = null, array|string $columns = ['*'], string $pageName = 'page', int|null $page = null)
     * @method MembershipUpgradeLevel sole(array|string $columns = ['*'])
     * @method MembershipUpgradeLevel updateOrCreate(array $attributes, array $values = [])
     */
    class _IH_MembershipUpgradeLevel_QB extends _BaseBuilder {}
    
    /**
     * @method PlanLevel|null getOrPut($key, \Closure $value)
     * @method PlanLevel|$this shift(int $count = 1)
     * @method PlanLevel|null firstOrFail(callable|string $key = null, $operator = null, $value = null)
     * @method PlanLevel|$this pop(int $count = 1)
     * @method PlanLevel|null pull($key, \Closure $default = null)
     * @method PlanLevel|null last(callable $callback = null, \Closure $default = null)
     * @method PlanLevel|$this random(callable|int|null $number = null, bool $preserveKeys = false)
     * @method PlanLevel|null sole(callable|string $key = null, $operator = null, $value = null)
     * @method PlanLevel|null get($key, \Closure $default = null)
     * @method PlanLevel|null first(callable $callback = null, \Closure $default = null)
     * @method PlanLevel|null firstWhere(callable|string $key, $operator = null, $value = null)
     * @method PlanLevel|null find($key, $default = null)
     * @method PlanLevel[] all()
     */
    class _IH_PlanLevel_C extends _BaseCollection {
        /**
         * @param int $size
         * @return PlanLevel[][]|Collection<_IH_PlanLevel_C>
         */
        public function chunk($size)
        {
            return [];
        }
    }
    
    /**
     * @method _IH_PlanLevel_QB whereId($value)
     * @method _IH_PlanLevel_QB whereMembershipPlanId($value)
     * @method _IH_PlanLevel_QB whereMembershipLevelId($value)
     * @method _IH_PlanLevel_QB wherePrice($value)
     * @method _IH_PlanLevel_QB whereIsPaid($value)
     * @method _IH_PlanLevel_QB whereStatus($value)
     * @method _IH_PlanLevel_QB wherePositionId($value)
     * @method _IH_PlanLevel_QB whereCreatedBy($value)
     * @method _IH_PlanLevel_QB whereCreatedAt($value)
     * @method _IH_PlanLevel_QB whereUpdatedAt($value)
     * @method PlanLevel baseSole(array|string $columns = ['*'])
     * @method PlanLevel create(array $attributes = [])
     * @method _IH_PlanLevel_C|PlanLevel[] cursor()
     * @method PlanLevel|null|_IH_PlanLevel_C|PlanLevel[] find($id, array|string $columns = ['*'])
     * @method _IH_PlanLevel_C|PlanLevel[] findMany(array|Arrayable $ids, array|string $columns = ['*'])
     * @method PlanLevel|_IH_PlanLevel_C|PlanLevel[] findOr($id, array|\Closure|string $columns = ['*'], \Closure $callback = null)
     * @method PlanLevel|_IH_PlanLevel_C|PlanLevel[] findOrFail($id, array|string $columns = ['*'])
     * @method PlanLevel|_IH_PlanLevel_C|PlanLevel[] findOrNew($id, array|string $columns = ['*'])
     * @method PlanLevel first(array|string $columns = ['*'])
     * @method PlanLevel firstOr(array|\Closure|string $columns = ['*'], \Closure $callback = null)
     * @method PlanLevel firstOrCreate(array $attributes = [], array $values = [])
     * @method PlanLevel firstOrFail(array|string $columns = ['*'])
     * @method PlanLevel firstOrNew(array $attributes = [], array $values = [])
     * @method PlanLevel firstWhere(array|\Closure|Expression|string $column, $operator = null, $value = null, string $boolean = 'and')
     * @method PlanLevel forceCreate(array $attributes)
     * @method _IH_PlanLevel_C|PlanLevel[] fromQuery(string $query, array $bindings = [])
     * @method _IH_PlanLevel_C|PlanLevel[] get(array|string $columns = ['*'])
     * @method PlanLevel getModel()
     * @method PlanLevel[] getModels(array|string $columns = ['*'])
     * @method _IH_PlanLevel_C|PlanLevel[] hydrate(array $items)
     * @method _IH_PlanLevel_C|PlanLevel[] lazy(int $chunkSize = 1000)
     * @method _IH_PlanLevel_C|PlanLevel[] lazyById(int $chunkSize = 1000, null|string $column = null, null|string $alias = null)
     * @method _IH_PlanLevel_C|PlanLevel[] lazyByIdDesc(int $chunkSize = 1000, null|string $column = null, null|string $alias = null)
     * @method PlanLevel make(array $attributes = [])
     * @method PlanLevel newModelInstance(array $attributes = [])
     * @method LengthAwarePaginator|PlanLevel[]|_IH_PlanLevel_C paginate(\Closure|int|null $perPage = null, array|string $columns = ['*'], string $pageName = 'page', int|null $page = null)
     * @method Paginator|PlanLevel[]|_IH_PlanLevel_C simplePaginate(int|null $perPage = null, array|string $columns = ['*'], string $pageName = 'page', int|null $page = null)
     * @method PlanLevel sole(array|string $columns = ['*'])
     * @method PlanLevel updateOrCreate(array $attributes, array $values = [])
     */
    class _IH_PlanLevel_QB extends _BaseBuilder {}
    
    /**
     * @method RegisterMemberQualification|null getOrPut($key, \Closure $value)
     * @method RegisterMemberQualification|$this shift(int $count = 1)
     * @method RegisterMemberQualification|null firstOrFail(callable|string $key = null, $operator = null, $value = null)
     * @method RegisterMemberQualification|$this pop(int $count = 1)
     * @method RegisterMemberQualification|null pull($key, \Closure $default = null)
     * @method RegisterMemberQualification|null last(callable $callback = null, \Closure $default = null)
     * @method RegisterMemberQualification|$this random(callable|int|null $number = null, bool $preserveKeys = false)
     * @method RegisterMemberQualification|null sole(callable|string $key = null, $operator = null, $value = null)
     * @method RegisterMemberQualification|null get($key, \Closure $default = null)
     * @method RegisterMemberQualification|null first(callable $callback = null, \Closure $default = null)
     * @method RegisterMemberQualification|null firstWhere(callable|string $key, $operator = null, $value = null)
     * @method RegisterMemberQualification|null find($key, $default = null)
     * @method RegisterMemberQualification[] all()
     */
    class _IH_RegisterMemberQualification_C extends _BaseCollection {
        /**
         * @param int $size
         * @return RegisterMemberQualification[][]|Collection<_IH_RegisterMemberQualification_C>
         */
        public function chunk($size)
        {
            return [];
        }
    }
    
    /**
     * @method _IH_RegisterMemberQualification_QB whereId($value)
     * @method _IH_RegisterMemberQualification_QB whereRegisterMembershipId($value)
     * @method _IH_RegisterMemberQualification_QB whereQualificationFile($value)
     * @method _IH_RegisterMemberQualification_QB whereCreatedAt($value)
     * @method _IH_RegisterMemberQualification_QB whereUpdatedAt($value)
     * @method RegisterMemberQualification baseSole(array|string $columns = ['*'])
     * @method RegisterMemberQualification create(array $attributes = [])
     * @method _IH_RegisterMemberQualification_C|RegisterMemberQualification[] cursor()
     * @method RegisterMemberQualification|null|_IH_RegisterMemberQualification_C|RegisterMemberQualification[] find($id, array|string $columns = ['*'])
     * @method _IH_RegisterMemberQualification_C|RegisterMemberQualification[] findMany(array|Arrayable $ids, array|string $columns = ['*'])
     * @method RegisterMemberQualification|_IH_RegisterMemberQualification_C|RegisterMemberQualification[] findOr($id, array|\Closure|string $columns = ['*'], \Closure $callback = null)
     * @method RegisterMemberQualification|_IH_RegisterMemberQualification_C|RegisterMemberQualification[] findOrFail($id, array|string $columns = ['*'])
     * @method RegisterMemberQualification|_IH_RegisterMemberQualification_C|RegisterMemberQualification[] findOrNew($id, array|string $columns = ['*'])
     * @method RegisterMemberQualification first(array|string $columns = ['*'])
     * @method RegisterMemberQualification firstOr(array|\Closure|string $columns = ['*'], \Closure $callback = null)
     * @method RegisterMemberQualification firstOrCreate(array $attributes = [], array $values = [])
     * @method RegisterMemberQualification firstOrFail(array|string $columns = ['*'])
     * @method RegisterMemberQualification firstOrNew(array $attributes = [], array $values = [])
     * @method RegisterMemberQualification firstWhere(array|\Closure|Expression|string $column, $operator = null, $value = null, string $boolean = 'and')
     * @method RegisterMemberQualification forceCreate(array $attributes)
     * @method _IH_RegisterMemberQualification_C|RegisterMemberQualification[] fromQuery(string $query, array $bindings = [])
     * @method _IH_RegisterMemberQualification_C|RegisterMemberQualification[] get(array|string $columns = ['*'])
     * @method RegisterMemberQualification getModel()
     * @method RegisterMemberQualification[] getModels(array|string $columns = ['*'])
     * @method _IH_RegisterMemberQualification_C|RegisterMemberQualification[] hydrate(array $items)
     * @method _IH_RegisterMemberQualification_C|RegisterMemberQualification[] lazy(int $chunkSize = 1000)
     * @method _IH_RegisterMemberQualification_C|RegisterMemberQualification[] lazyById(int $chunkSize = 1000, null|string $column = null, null|string $alias = null)
     * @method _IH_RegisterMemberQualification_C|RegisterMemberQualification[] lazyByIdDesc(int $chunkSize = 1000, null|string $column = null, null|string $alias = null)
     * @method RegisterMemberQualification make(array $attributes = [])
     * @method RegisterMemberQualification newModelInstance(array $attributes = [])
     * @method LengthAwarePaginator|RegisterMemberQualification[]|_IH_RegisterMemberQualification_C paginate(\Closure|int|null $perPage = null, array|string $columns = ['*'], string $pageName = 'page', int|null $page = null)
     * @method Paginator|RegisterMemberQualification[]|_IH_RegisterMemberQualification_C simplePaginate(int|null $perPage = null, array|string $columns = ['*'], string $pageName = 'page', int|null $page = null)
     * @method RegisterMemberQualification sole(array|string $columns = ['*'])
     * @method RegisterMemberQualification updateOrCreate(array $attributes, array $values = [])
     */
    class _IH_RegisterMemberQualification_QB extends _BaseBuilder {}
    
    /**
     * @method RegisterMembership|null getOrPut($key, \Closure $value)
     * @method RegisterMembership|$this shift(int $count = 1)
     * @method RegisterMembership|null firstOrFail(callable|string $key = null, $operator = null, $value = null)
     * @method RegisterMembership|$this pop(int $count = 1)
     * @method RegisterMembership|null pull($key, \Closure $default = null)
     * @method RegisterMembership|null last(callable $callback = null, \Closure $default = null)
     * @method RegisterMembership|$this random(callable|int|null $number = null, bool $preserveKeys = false)
     * @method RegisterMembership|null sole(callable|string $key = null, $operator = null, $value = null)
     * @method RegisterMembership|null get($key, \Closure $default = null)
     * @method RegisterMembership|null first(callable $callback = null, \Closure $default = null)
     * @method RegisterMembership|null firstWhere(callable|string $key, $operator = null, $value = null)
     * @method RegisterMembership|null find($key, $default = null)
     * @method RegisterMembership[] all()
     */
    class _IH_RegisterMembership_C extends _BaseCollection {
        /**
         * @param int $size
         * @return RegisterMembership[][]|Collection<_IH_RegisterMembership_C>
         */
        public function chunk($size)
        {
            return [];
        }
    }
    
    /**
     * @method _IH_RegisterMembership_QB whereId($value)
     * @method _IH_RegisterMembership_QB whereFirstName($value)
     * @method _IH_RegisterMembership_QB whereLastName($value)
     * @method _IH_RegisterMembership_QB wherePhoneNumber($value)
     * @method _IH_RegisterMembership_QB whereCv($value)
     * @method _IH_RegisterMembership_QB whereEmail($value)
     * @method _IH_RegisterMembership_QB wherePassword($value)
     * @method _IH_RegisterMembership_QB whereApprovedDate($value)
     * @method _IH_RegisterMembership_QB whereApprovedBy($value)
     * @method _IH_RegisterMembership_QB whereUserId($value)
     * @method _IH_RegisterMembership_QB whereIsMember($value)
     * @method _IH_RegisterMembership_QB whereCreatedAt($value)
     * @method _IH_RegisterMembership_QB whereUpdatedAt($value)
     * @method RegisterMembership baseSole(array|string $columns = ['*'])
     * @method RegisterMembership create(array $attributes = [])
     * @method _IH_RegisterMembership_C|RegisterMembership[] cursor()
     * @method RegisterMembership|null|_IH_RegisterMembership_C|RegisterMembership[] find($id, array|string $columns = ['*'])
     * @method _IH_RegisterMembership_C|RegisterMembership[] findMany(array|Arrayable $ids, array|string $columns = ['*'])
     * @method RegisterMembership|_IH_RegisterMembership_C|RegisterMembership[] findOr($id, array|\Closure|string $columns = ['*'], \Closure $callback = null)
     * @method RegisterMembership|_IH_RegisterMembership_C|RegisterMembership[] findOrFail($id, array|string $columns = ['*'])
     * @method RegisterMembership|_IH_RegisterMembership_C|RegisterMembership[] findOrNew($id, array|string $columns = ['*'])
     * @method RegisterMembership first(array|string $columns = ['*'])
     * @method RegisterMembership firstOr(array|\Closure|string $columns = ['*'], \Closure $callback = null)
     * @method RegisterMembership firstOrCreate(array $attributes = [], array $values = [])
     * @method RegisterMembership firstOrFail(array|string $columns = ['*'])
     * @method RegisterMembership firstOrNew(array $attributes = [], array $values = [])
     * @method RegisterMembership firstWhere(array|\Closure|Expression|string $column, $operator = null, $value = null, string $boolean = 'and')
     * @method RegisterMembership forceCreate(array $attributes)
     * @method _IH_RegisterMembership_C|RegisterMembership[] fromQuery(string $query, array $bindings = [])
     * @method _IH_RegisterMembership_C|RegisterMembership[] get(array|string $columns = ['*'])
     * @method RegisterMembership getModel()
     * @method RegisterMembership[] getModels(array|string $columns = ['*'])
     * @method _IH_RegisterMembership_C|RegisterMembership[] hydrate(array $items)
     * @method _IH_RegisterMembership_C|RegisterMembership[] lazy(int $chunkSize = 1000)
     * @method _IH_RegisterMembership_C|RegisterMembership[] lazyById(int $chunkSize = 1000, null|string $column = null, null|string $alias = null)
     * @method _IH_RegisterMembership_C|RegisterMembership[] lazyByIdDesc(int $chunkSize = 1000, null|string $column = null, null|string $alias = null)
     * @method RegisterMembership make(array $attributes = [])
     * @method RegisterMembership newModelInstance(array $attributes = [])
     * @method LengthAwarePaginator|RegisterMembership[]|_IH_RegisterMembership_C paginate(\Closure|int|null $perPage = null, array|string $columns = ['*'], string $pageName = 'page', int|null $page = null)
     * @method Paginator|RegisterMembership[]|_IH_RegisterMembership_C simplePaginate(int|null $perPage = null, array|string $columns = ['*'], string $pageName = 'page', int|null $page = null)
     * @method RegisterMembership sole(array|string $columns = ['*'])
     * @method RegisterMembership updateOrCreate(array $attributes, array $values = [])
     */
    class _IH_RegisterMembership_QB extends _BaseBuilder {}
}