<?php //017eb50807b77ea43637ea6e8e406aa2
/** @noinspection all */

namespace LaravelIdea\Helper\Modules\EarlyBird\Entities {

    use Illuminate\Contracts\Database\Query\Expression;
    use Illuminate\Contracts\Support\Arrayable;
    use Illuminate\Pagination\LengthAwarePaginator;
    use Illuminate\Pagination\Paginator;
    use Illuminate\Support\Collection;
    use LaravelIdea\Helper\_BaseBuilder;
    use LaravelIdea\Helper\_BaseCollection;
    use Modules\EarlyBird\Entities\PricePlan;
    use Modules\EarlyBird\Entities\PricePlanUser;
    
    /**
     * @method PricePlanUser|null getOrPut($key, \Closure $value)
     * @method PricePlanUser|$this shift(int $count = 1)
     * @method PricePlanUser|null firstOrFail(callable|string $key = null, $operator = null, $value = null)
     * @method PricePlanUser|$this pop(int $count = 1)
     * @method PricePlanUser|null pull($key, \Closure $default = null)
     * @method PricePlanUser|null last(callable $callback = null, \Closure $default = null)
     * @method PricePlanUser|$this random(callable|int|null $number = null, bool $preserveKeys = false)
     * @method PricePlanUser|null sole(callable|string $key = null, $operator = null, $value = null)
     * @method PricePlanUser|null get($key, \Closure $default = null)
     * @method PricePlanUser|null first(callable $callback = null, \Closure $default = null)
     * @method PricePlanUser|null firstWhere(callable|string $key, $operator = null, $value = null)
     * @method PricePlanUser|null find($key, $default = null)
     * @method PricePlanUser[] all()
     */
    class _IH_PricePlanUser_C extends _BaseCollection {
        /**
         * @param int $size
         * @return PricePlanUser[][]|Collection<_IH_PricePlanUser_C>
         */
        public function chunk($size)
        {
            return [];
        }
    }
    
    /**
     * @method _IH_PricePlanUser_QB whereId($value)
     * @method _IH_PricePlanUser_QB whereUserId($value)
     * @method _IH_PricePlanUser_QB wherePricePlanId($value)
     * @method _IH_PricePlanUser_QB whereCourseId($value)
     * @method _IH_PricePlanUser_QB whereReceivedDiscount($value)
     * @method _IH_PricePlanUser_QB whereStatus($value)
     * @method _IH_PricePlanUser_QB whereCreatedAt($value)
     * @method _IH_PricePlanUser_QB whereUpdatedAt($value)
     * @method PricePlanUser baseSole(array|string $columns = ['*'])
     * @method PricePlanUser create(array $attributes = [])
     * @method _IH_PricePlanUser_C|PricePlanUser[] cursor()
     * @method PricePlanUser|null|_IH_PricePlanUser_C|PricePlanUser[] find($id, array|string $columns = ['*'])
     * @method _IH_PricePlanUser_C|PricePlanUser[] findMany(array|Arrayable $ids, array|string $columns = ['*'])
     * @method PricePlanUser|_IH_PricePlanUser_C|PricePlanUser[] findOr($id, array|\Closure|string $columns = ['*'], \Closure $callback = null)
     * @method PricePlanUser|_IH_PricePlanUser_C|PricePlanUser[] findOrFail($id, array|string $columns = ['*'])
     * @method PricePlanUser|_IH_PricePlanUser_C|PricePlanUser[] findOrNew($id, array|string $columns = ['*'])
     * @method PricePlanUser first(array|string $columns = ['*'])
     * @method PricePlanUser firstOr(array|\Closure|string $columns = ['*'], \Closure $callback = null)
     * @method PricePlanUser firstOrCreate(array $attributes = [], array $values = [])
     * @method PricePlanUser firstOrFail(array|string $columns = ['*'])
     * @method PricePlanUser firstOrNew(array $attributes = [], array $values = [])
     * @method PricePlanUser firstWhere(array|\Closure|Expression|string $column, $operator = null, $value = null, string $boolean = 'and')
     * @method PricePlanUser forceCreate(array $attributes)
     * @method _IH_PricePlanUser_C|PricePlanUser[] fromQuery(string $query, array $bindings = [])
     * @method _IH_PricePlanUser_C|PricePlanUser[] get(array|string $columns = ['*'])
     * @method PricePlanUser getModel()
     * @method PricePlanUser[] getModels(array|string $columns = ['*'])
     * @method _IH_PricePlanUser_C|PricePlanUser[] hydrate(array $items)
     * @method _IH_PricePlanUser_C|PricePlanUser[] lazy(int $chunkSize = 1000)
     * @method _IH_PricePlanUser_C|PricePlanUser[] lazyById(int $chunkSize = 1000, null|string $column = null, null|string $alias = null)
     * @method _IH_PricePlanUser_C|PricePlanUser[] lazyByIdDesc(int $chunkSize = 1000, null|string $column = null, null|string $alias = null)
     * @method PricePlanUser make(array $attributes = [])
     * @method PricePlanUser newModelInstance(array $attributes = [])
     * @method LengthAwarePaginator|PricePlanUser[]|_IH_PricePlanUser_C paginate(\Closure|int|null $perPage = null, array|string $columns = ['*'], string $pageName = 'page', int|null $page = null)
     * @method Paginator|PricePlanUser[]|_IH_PricePlanUser_C simplePaginate(int|null $perPage = null, array|string $columns = ['*'], string $pageName = 'page', int|null $page = null)
     * @method PricePlanUser sole(array|string $columns = ['*'])
     * @method PricePlanUser updateOrCreate(array $attributes, array $values = [])
     */
    class _IH_PricePlanUser_QB extends _BaseBuilder {}
    
    /**
     * @method PricePlan|null getOrPut($key, \Closure $value)
     * @method PricePlan|$this shift(int $count = 1)
     * @method PricePlan|null firstOrFail(callable|string $key = null, $operator = null, $value = null)
     * @method PricePlan|$this pop(int $count = 1)
     * @method PricePlan|null pull($key, \Closure $default = null)
     * @method PricePlan|null last(callable $callback = null, \Closure $default = null)
     * @method PricePlan|$this random(callable|int|null $number = null, bool $preserveKeys = false)
     * @method PricePlan|null sole(callable|string $key = null, $operator = null, $value = null)
     * @method PricePlan|null get($key, \Closure $default = null)
     * @method PricePlan|null first(callable $callback = null, \Closure $default = null)
     * @method PricePlan|null firstWhere(callable|string $key, $operator = null, $value = null)
     * @method PricePlan|null find($key, $default = null)
     * @method PricePlan[] all()
     */
    class _IH_PricePlan_C extends _BaseCollection {
        /**
         * @param int $size
         * @return PricePlan[][]|Collection<_IH_PricePlan_C>
         */
        public function chunk($size)
        {
            return [];
        }
    }
    
    /**
     * @method _IH_PricePlan_QB whereId($value)
     * @method _IH_PricePlan_QB whereTitle($value)
     * @method _IH_PricePlan_QB whereDiscountAmount($value)
     * @method _IH_PricePlan_QB whereCapacity($value)
     * @method _IH_PricePlan_QB whereStartDate($value)
     * @method _IH_PricePlan_QB whereEndDate($value)
     * @method _IH_PricePlan_QB whereStatus($value)
     * @method _IH_PricePlan_QB wherePricePlanableId($value)
     * @method _IH_PricePlan_QB wherePricePlanableType($value)
     * @method _IH_PricePlan_QB whereCreatedAt($value)
     * @method _IH_PricePlan_QB whereUpdatedAt($value)
     * @method PricePlan baseSole(array|string $columns = ['*'])
     * @method PricePlan create(array $attributes = [])
     * @method _IH_PricePlan_C|PricePlan[] cursor()
     * @method PricePlan|null|_IH_PricePlan_C|PricePlan[] find($id, array|string $columns = ['*'])
     * @method _IH_PricePlan_C|PricePlan[] findMany(array|Arrayable $ids, array|string $columns = ['*'])
     * @method PricePlan|_IH_PricePlan_C|PricePlan[] findOr($id, array|\Closure|string $columns = ['*'], \Closure $callback = null)
     * @method PricePlan|_IH_PricePlan_C|PricePlan[] findOrFail($id, array|string $columns = ['*'])
     * @method PricePlan|_IH_PricePlan_C|PricePlan[] findOrNew($id, array|string $columns = ['*'])
     * @method PricePlan first(array|string $columns = ['*'])
     * @method PricePlan firstOr(array|\Closure|string $columns = ['*'], \Closure $callback = null)
     * @method PricePlan firstOrCreate(array $attributes = [], array $values = [])
     * @method PricePlan firstOrFail(array|string $columns = ['*'])
     * @method PricePlan firstOrNew(array $attributes = [], array $values = [])
     * @method PricePlan firstWhere(array|\Closure|Expression|string $column, $operator = null, $value = null, string $boolean = 'and')
     * @method PricePlan forceCreate(array $attributes)
     * @method _IH_PricePlan_C|PricePlan[] fromQuery(string $query, array $bindings = [])
     * @method _IH_PricePlan_C|PricePlan[] get(array|string $columns = ['*'])
     * @method PricePlan getModel()
     * @method PricePlan[] getModels(array|string $columns = ['*'])
     * @method _IH_PricePlan_C|PricePlan[] hydrate(array $items)
     * @method _IH_PricePlan_C|PricePlan[] lazy(int $chunkSize = 1000)
     * @method _IH_PricePlan_C|PricePlan[] lazyById(int $chunkSize = 1000, null|string $column = null, null|string $alias = null)
     * @method _IH_PricePlan_C|PricePlan[] lazyByIdDesc(int $chunkSize = 1000, null|string $column = null, null|string $alias = null)
     * @method PricePlan make(array $attributes = [])
     * @method PricePlan newModelInstance(array $attributes = [])
     * @method LengthAwarePaginator|PricePlan[]|_IH_PricePlan_C paginate(\Closure|int|null $perPage = null, array|string $columns = ['*'], string $pageName = 'page', int|null $page = null)
     * @method Paginator|PricePlan[]|_IH_PricePlan_C simplePaginate(int|null $perPage = null, array|string $columns = ['*'], string $pageName = 'page', int|null $page = null)
     * @method PricePlan sole(array|string $columns = ['*'])
     * @method PricePlan updateOrCreate(array $attributes, array $values = [])
     */
    class _IH_PricePlan_QB extends _BaseBuilder {}
}