<?php //8ec6101b80893f7e16896ebd50eaa4f6
/** @noinspection all */

namespace LaravelIdea\Helper\Modules\Noticeboard\Entities {

    use Illuminate\Contracts\Database\Query\Expression;
    use Illuminate\Contracts\Support\Arrayable;
    use Illuminate\Pagination\LengthAwarePaginator;
    use Illuminate\Pagination\Paginator;
    use Illuminate\Support\Collection;
    use LaravelIdea\Helper\_BaseBuilder;
    use LaravelIdea\Helper\_BaseCollection;
    use Modules\Noticeboard\Entities\Noticeboard;
    use Modules\Noticeboard\Entities\NoticeboardAssign;
    use Modules\Noticeboard\Entities\NoticeType;
    
    /**
     * @method NoticeType|null getOrPut($key, \Closure $value)
     * @method NoticeType|$this shift(int $count = 1)
     * @method NoticeType|null firstOrFail(callable|string $key = null, $operator = null, $value = null)
     * @method NoticeType|$this pop(int $count = 1)
     * @method NoticeType|null pull($key, \Closure $default = null)
     * @method NoticeType|null last(callable $callback = null, \Closure $default = null)
     * @method NoticeType|$this random(callable|int|null $number = null, bool $preserveKeys = false)
     * @method NoticeType|null sole(callable|string $key = null, $operator = null, $value = null)
     * @method NoticeType|null get($key, \Closure $default = null)
     * @method NoticeType|null first(callable $callback = null, \Closure $default = null)
     * @method NoticeType|null firstWhere(callable|string $key, $operator = null, $value = null)
     * @method NoticeType|null find($key, $default = null)
     * @method NoticeType[] all()
     */
    class _IH_NoticeType_C extends _BaseCollection {
        /**
         * @param int $size
         * @return NoticeType[][]|Collection<_IH_NoticeType_C>
         */
        public function chunk($size)
        {
            return [];
        }
    }
    
    /**
     * @method _IH_NoticeType_QB whereId($value)
     * @method _IH_NoticeType_QB whereTitle($value)
     * @method _IH_NoticeType_QB whereColor($value)
     * @method _IH_NoticeType_QB whereStatus($value)
     * @method _IH_NoticeType_QB whereCreatedAt($value)
     * @method _IH_NoticeType_QB whereUpdatedAt($value)
     * @method NoticeType baseSole(array|string $columns = ['*'])
     * @method NoticeType create(array $attributes = [])
     * @method _IH_NoticeType_C|NoticeType[] cursor()
     * @method NoticeType|null|_IH_NoticeType_C|NoticeType[] find($id, array|string $columns = ['*'])
     * @method _IH_NoticeType_C|NoticeType[] findMany(array|Arrayable $ids, array|string $columns = ['*'])
     * @method NoticeType|_IH_NoticeType_C|NoticeType[] findOr($id, array|\Closure|string $columns = ['*'], \Closure $callback = null)
     * @method NoticeType|_IH_NoticeType_C|NoticeType[] findOrFail($id, array|string $columns = ['*'])
     * @method NoticeType|_IH_NoticeType_C|NoticeType[] findOrNew($id, array|string $columns = ['*'])
     * @method NoticeType first(array|string $columns = ['*'])
     * @method NoticeType firstOr(array|\Closure|string $columns = ['*'], \Closure $callback = null)
     * @method NoticeType firstOrCreate(array $attributes = [], array $values = [])
     * @method NoticeType firstOrFail(array|string $columns = ['*'])
     * @method NoticeType firstOrNew(array $attributes = [], array $values = [])
     * @method NoticeType firstWhere(array|\Closure|Expression|string $column, $operator = null, $value = null, string $boolean = 'and')
     * @method NoticeType forceCreate(array $attributes)
     * @method _IH_NoticeType_C|NoticeType[] fromQuery(string $query, array $bindings = [])
     * @method _IH_NoticeType_C|NoticeType[] get(array|string $columns = ['*'])
     * @method NoticeType getModel()
     * @method NoticeType[] getModels(array|string $columns = ['*'])
     * @method _IH_NoticeType_C|NoticeType[] hydrate(array $items)
     * @method _IH_NoticeType_C|NoticeType[] lazy(int $chunkSize = 1000)
     * @method _IH_NoticeType_C|NoticeType[] lazyById(int $chunkSize = 1000, null|string $column = null, null|string $alias = null)
     * @method _IH_NoticeType_C|NoticeType[] lazyByIdDesc(int $chunkSize = 1000, null|string $column = null, null|string $alias = null)
     * @method NoticeType make(array $attributes = [])
     * @method NoticeType newModelInstance(array $attributes = [])
     * @method LengthAwarePaginator|NoticeType[]|_IH_NoticeType_C paginate(\Closure|int|null $perPage = null, array|string $columns = ['*'], string $pageName = 'page', int|null $page = null)
     * @method Paginator|NoticeType[]|_IH_NoticeType_C simplePaginate(int|null $perPage = null, array|string $columns = ['*'], string $pageName = 'page', int|null $page = null)
     * @method NoticeType sole(array|string $columns = ['*'])
     * @method NoticeType updateOrCreate(array $attributes, array $values = [])
     */
    class _IH_NoticeType_QB extends _BaseBuilder {}
    
    /**
     * @method NoticeboardAssign|null getOrPut($key, \Closure $value)
     * @method NoticeboardAssign|$this shift(int $count = 1)
     * @method NoticeboardAssign|null firstOrFail(callable|string $key = null, $operator = null, $value = null)
     * @method NoticeboardAssign|$this pop(int $count = 1)
     * @method NoticeboardAssign|null pull($key, \Closure $default = null)
     * @method NoticeboardAssign|null last(callable $callback = null, \Closure $default = null)
     * @method NoticeboardAssign|$this random(callable|int|null $number = null, bool $preserveKeys = false)
     * @method NoticeboardAssign|null sole(callable|string $key = null, $operator = null, $value = null)
     * @method NoticeboardAssign|null get($key, \Closure $default = null)
     * @method NoticeboardAssign|null first(callable $callback = null, \Closure $default = null)
     * @method NoticeboardAssign|null firstWhere(callable|string $key, $operator = null, $value = null)
     * @method NoticeboardAssign|null find($key, $default = null)
     * @method NoticeboardAssign[] all()
     */
    class _IH_NoticeboardAssign_C extends _BaseCollection {
        /**
         * @param int $size
         * @return NoticeboardAssign[][]|Collection<_IH_NoticeboardAssign_C>
         */
        public function chunk($size)
        {
            return [];
        }
    }
    
    /**
     * @method _IH_NoticeboardAssign_QB whereId($value)
     * @method _IH_NoticeboardAssign_QB whereNoticeboardId($value)
     * @method _IH_NoticeboardAssign_QB whereCourseId($value)
     * @method _IH_NoticeboardAssign_QB whereRoleId($value)
     * @method _IH_NoticeboardAssign_QB whereCreatedAt($value)
     * @method _IH_NoticeboardAssign_QB whereUpdatedAt($value)
     * @method NoticeboardAssign baseSole(array|string $columns = ['*'])
     * @method NoticeboardAssign create(array $attributes = [])
     * @method _IH_NoticeboardAssign_C|NoticeboardAssign[] cursor()
     * @method NoticeboardAssign|null|_IH_NoticeboardAssign_C|NoticeboardAssign[] find($id, array|string $columns = ['*'])
     * @method _IH_NoticeboardAssign_C|NoticeboardAssign[] findMany(array|Arrayable $ids, array|string $columns = ['*'])
     * @method NoticeboardAssign|_IH_NoticeboardAssign_C|NoticeboardAssign[] findOr($id, array|\Closure|string $columns = ['*'], \Closure $callback = null)
     * @method NoticeboardAssign|_IH_NoticeboardAssign_C|NoticeboardAssign[] findOrFail($id, array|string $columns = ['*'])
     * @method NoticeboardAssign|_IH_NoticeboardAssign_C|NoticeboardAssign[] findOrNew($id, array|string $columns = ['*'])
     * @method NoticeboardAssign first(array|string $columns = ['*'])
     * @method NoticeboardAssign firstOr(array|\Closure|string $columns = ['*'], \Closure $callback = null)
     * @method NoticeboardAssign firstOrCreate(array $attributes = [], array $values = [])
     * @method NoticeboardAssign firstOrFail(array|string $columns = ['*'])
     * @method NoticeboardAssign firstOrNew(array $attributes = [], array $values = [])
     * @method NoticeboardAssign firstWhere(array|\Closure|Expression|string $column, $operator = null, $value = null, string $boolean = 'and')
     * @method NoticeboardAssign forceCreate(array $attributes)
     * @method _IH_NoticeboardAssign_C|NoticeboardAssign[] fromQuery(string $query, array $bindings = [])
     * @method _IH_NoticeboardAssign_C|NoticeboardAssign[] get(array|string $columns = ['*'])
     * @method NoticeboardAssign getModel()
     * @method NoticeboardAssign[] getModels(array|string $columns = ['*'])
     * @method _IH_NoticeboardAssign_C|NoticeboardAssign[] hydrate(array $items)
     * @method _IH_NoticeboardAssign_C|NoticeboardAssign[] lazy(int $chunkSize = 1000)
     * @method _IH_NoticeboardAssign_C|NoticeboardAssign[] lazyById(int $chunkSize = 1000, null|string $column = null, null|string $alias = null)
     * @method _IH_NoticeboardAssign_C|NoticeboardAssign[] lazyByIdDesc(int $chunkSize = 1000, null|string $column = null, null|string $alias = null)
     * @method NoticeboardAssign make(array $attributes = [])
     * @method NoticeboardAssign newModelInstance(array $attributes = [])
     * @method LengthAwarePaginator|NoticeboardAssign[]|_IH_NoticeboardAssign_C paginate(\Closure|int|null $perPage = null, array|string $columns = ['*'], string $pageName = 'page', int|null $page = null)
     * @method Paginator|NoticeboardAssign[]|_IH_NoticeboardAssign_C simplePaginate(int|null $perPage = null, array|string $columns = ['*'], string $pageName = 'page', int|null $page = null)
     * @method NoticeboardAssign sole(array|string $columns = ['*'])
     * @method NoticeboardAssign updateOrCreate(array $attributes, array $values = [])
     */
    class _IH_NoticeboardAssign_QB extends _BaseBuilder {}
    
    /**
     * @method Noticeboard|null getOrPut($key, \Closure $value)
     * @method Noticeboard|$this shift(int $count = 1)
     * @method Noticeboard|null firstOrFail(callable|string $key = null, $operator = null, $value = null)
     * @method Noticeboard|$this pop(int $count = 1)
     * @method Noticeboard|null pull($key, \Closure $default = null)
     * @method Noticeboard|null last(callable $callback = null, \Closure $default = null)
     * @method Noticeboard|$this random(callable|int|null $number = null, bool $preserveKeys = false)
     * @method Noticeboard|null sole(callable|string $key = null, $operator = null, $value = null)
     * @method Noticeboard|null get($key, \Closure $default = null)
     * @method Noticeboard|null first(callable $callback = null, \Closure $default = null)
     * @method Noticeboard|null firstWhere(callable|string $key, $operator = null, $value = null)
     * @method Noticeboard|null find($key, $default = null)
     * @method Noticeboard[] all()
     */
    class _IH_Noticeboard_C extends _BaseCollection {
        /**
         * @param int $size
         * @return Noticeboard[][]|Collection<_IH_Noticeboard_C>
         */
        public function chunk($size)
        {
            return [];
        }
    }
    
    /**
     * @method _IH_Noticeboard_QB whereId($value)
     * @method _IH_Noticeboard_QB whereOrganizationId($value)
     * @method _IH_Noticeboard_QB whereUserId($value)
     * @method _IH_Noticeboard_QB whereGroup($value)
     * @method _IH_Noticeboard_QB whereType($value)
     * @method _IH_Noticeboard_QB whereTitle($value)
     * @method _IH_Noticeboard_QB whereMessage($value)
     * @method _IH_Noticeboard_QB whereStatus($value)
     * @method _IH_Noticeboard_QB whereCreatedAt($value)
     * @method _IH_Noticeboard_QB whereUpdatedAt($value)
     * @method Noticeboard baseSole(array|string $columns = ['*'])
     * @method Noticeboard create(array $attributes = [])
     * @method _IH_Noticeboard_C|Noticeboard[] cursor()
     * @method Noticeboard|null|_IH_Noticeboard_C|Noticeboard[] find($id, array|string $columns = ['*'])
     * @method _IH_Noticeboard_C|Noticeboard[] findMany(array|Arrayable $ids, array|string $columns = ['*'])
     * @method Noticeboard|_IH_Noticeboard_C|Noticeboard[] findOr($id, array|\Closure|string $columns = ['*'], \Closure $callback = null)
     * @method Noticeboard|_IH_Noticeboard_C|Noticeboard[] findOrFail($id, array|string $columns = ['*'])
     * @method Noticeboard|_IH_Noticeboard_C|Noticeboard[] findOrNew($id, array|string $columns = ['*'])
     * @method Noticeboard first(array|string $columns = ['*'])
     * @method Noticeboard firstOr(array|\Closure|string $columns = ['*'], \Closure $callback = null)
     * @method Noticeboard firstOrCreate(array $attributes = [], array $values = [])
     * @method Noticeboard firstOrFail(array|string $columns = ['*'])
     * @method Noticeboard firstOrNew(array $attributes = [], array $values = [])
     * @method Noticeboard firstWhere(array|\Closure|Expression|string $column, $operator = null, $value = null, string $boolean = 'and')
     * @method Noticeboard forceCreate(array $attributes)
     * @method _IH_Noticeboard_C|Noticeboard[] fromQuery(string $query, array $bindings = [])
     * @method _IH_Noticeboard_C|Noticeboard[] get(array|string $columns = ['*'])
     * @method Noticeboard getModel()
     * @method Noticeboard[] getModels(array|string $columns = ['*'])
     * @method _IH_Noticeboard_C|Noticeboard[] hydrate(array $items)
     * @method _IH_Noticeboard_C|Noticeboard[] lazy(int $chunkSize = 1000)
     * @method _IH_Noticeboard_C|Noticeboard[] lazyById(int $chunkSize = 1000, null|string $column = null, null|string $alias = null)
     * @method _IH_Noticeboard_C|Noticeboard[] lazyByIdDesc(int $chunkSize = 1000, null|string $column = null, null|string $alias = null)
     * @method Noticeboard make(array $attributes = [])
     * @method Noticeboard newModelInstance(array $attributes = [])
     * @method LengthAwarePaginator|Noticeboard[]|_IH_Noticeboard_C paginate(\Closure|int|null $perPage = null, array|string $columns = ['*'], string $pageName = 'page', int|null $page = null)
     * @method Paginator|Noticeboard[]|_IH_Noticeboard_C simplePaginate(int|null $perPage = null, array|string $columns = ['*'], string $pageName = 'page', int|null $page = null)
     * @method Noticeboard sole(array|string $columns = ['*'])
     * @method Noticeboard updateOrCreate(array $attributes, array $values = [])
     */
    class _IH_Noticeboard_QB extends _BaseBuilder {}
}