<?php //177b4a2d2dad4b4da2506251d6ef8206
/** @noinspection all */

namespace LaravelIdea\Helper\Modules\AIContent\Entities {

    use Illuminate\Contracts\Database\Query\Expression;
    use Illuminate\Contracts\Support\Arrayable;
    use Illuminate\Pagination\LengthAwarePaginator;
    use Illuminate\Pagination\Paginator;
    use Illuminate\Support\Collection;
    use LaravelIdea\Helper\_BaseBuilder;
    use LaravelIdea\Helper\_BaseCollection;
    use Modules\AIContent\Entities\AiGeneratedContent;
    use Modules\AIContent\Entities\AITemplate;
    use Modules\AIContent\Entities\AITemplateContent;
    
    /**
     * @method AITemplateContent|null getOrPut($key, \Closure $value)
     * @method AITemplateContent|$this shift(int $count = 1)
     * @method AITemplateContent|null firstOrFail(callable|string $key = null, $operator = null, $value = null)
     * @method AITemplateContent|$this pop(int $count = 1)
     * @method AITemplateContent|null pull($key, \Closure $default = null)
     * @method AITemplateContent|null last(callable $callback = null, \Closure $default = null)
     * @method AITemplateContent|$this random(callable|int|null $number = null, bool $preserveKeys = false)
     * @method AITemplateContent|null sole(callable|string $key = null, $operator = null, $value = null)
     * @method AITemplateContent|null get($key, \Closure $default = null)
     * @method AITemplateContent|null first(callable $callback = null, \Closure $default = null)
     * @method AITemplateContent|null firstWhere(callable|string $key, $operator = null, $value = null)
     * @method AITemplateContent|null find($key, $default = null)
     * @method AITemplateContent[] all()
     */
    class _IH_AITemplateContent_C extends _BaseCollection {
        /**
         * @param int $size
         * @return AITemplateContent[][]|Collection<_IH_AITemplateContent_C>
         */
        public function chunk($size)
        {
            return [];
        }
    }
    
    /**
     * @method _IH_AITemplateContent_QB whereId($value)
     * @method _IH_AITemplateContent_QB whereTemplateId($value)
     * @method _IH_AITemplateContent_QB whereContent($value)
     * @method _IH_AITemplateContent_QB whereCreatedAt($value)
     * @method _IH_AITemplateContent_QB whereUpdatedAt($value)
     * @method AITemplateContent baseSole(array|string $columns = ['*'])
     * @method AITemplateContent create(array $attributes = [])
     * @method _IH_AITemplateContent_C|AITemplateContent[] cursor()
     * @method AITemplateContent|null|_IH_AITemplateContent_C|AITemplateContent[] find($id, array|string $columns = ['*'])
     * @method _IH_AITemplateContent_C|AITemplateContent[] findMany(array|Arrayable $ids, array|string $columns = ['*'])
     * @method AITemplateContent|_IH_AITemplateContent_C|AITemplateContent[] findOr($id, array|\Closure|string $columns = ['*'], \Closure $callback = null)
     * @method AITemplateContent|_IH_AITemplateContent_C|AITemplateContent[] findOrFail($id, array|string $columns = ['*'])
     * @method AITemplateContent|_IH_AITemplateContent_C|AITemplateContent[] findOrNew($id, array|string $columns = ['*'])
     * @method AITemplateContent first(array|string $columns = ['*'])
     * @method AITemplateContent firstOr(array|\Closure|string $columns = ['*'], \Closure $callback = null)
     * @method AITemplateContent firstOrCreate(array $attributes = [], array $values = [])
     * @method AITemplateContent firstOrFail(array|string $columns = ['*'])
     * @method AITemplateContent firstOrNew(array $attributes = [], array $values = [])
     * @method AITemplateContent firstWhere(array|\Closure|Expression|string $column, $operator = null, $value = null, string $boolean = 'and')
     * @method AITemplateContent forceCreate(array $attributes)
     * @method _IH_AITemplateContent_C|AITemplateContent[] fromQuery(string $query, array $bindings = [])
     * @method _IH_AITemplateContent_C|AITemplateContent[] get(array|string $columns = ['*'])
     * @method AITemplateContent getModel()
     * @method AITemplateContent[] getModels(array|string $columns = ['*'])
     * @method _IH_AITemplateContent_C|AITemplateContent[] hydrate(array $items)
     * @method _IH_AITemplateContent_C|AITemplateContent[] lazy(int $chunkSize = 1000)
     * @method _IH_AITemplateContent_C|AITemplateContent[] lazyById(int $chunkSize = 1000, null|string $column = null, null|string $alias = null)
     * @method _IH_AITemplateContent_C|AITemplateContent[] lazyByIdDesc(int $chunkSize = 1000, null|string $column = null, null|string $alias = null)
     * @method AITemplateContent make(array $attributes = [])
     * @method AITemplateContent newModelInstance(array $attributes = [])
     * @method LengthAwarePaginator|AITemplateContent[]|_IH_AITemplateContent_C paginate(\Closure|int|null $perPage = null, array|string $columns = ['*'], string $pageName = 'page', int|null $page = null)
     * @method Paginator|AITemplateContent[]|_IH_AITemplateContent_C simplePaginate(int|null $perPage = null, array|string $columns = ['*'], string $pageName = 'page', int|null $page = null)
     * @method AITemplateContent sole(array|string $columns = ['*'])
     * @method AITemplateContent updateOrCreate(array $attributes, array $values = [])
     */
    class _IH_AITemplateContent_QB extends _BaseBuilder {}
    
    /**
     * @method AITemplate|null getOrPut($key, \Closure $value)
     * @method AITemplate|$this shift(int $count = 1)
     * @method AITemplate|null firstOrFail(callable|string $key = null, $operator = null, $value = null)
     * @method AITemplate|$this pop(int $count = 1)
     * @method AITemplate|null pull($key, \Closure $default = null)
     * @method AITemplate|null last(callable $callback = null, \Closure $default = null)
     * @method AITemplate|$this random(callable|int|null $number = null, bool $preserveKeys = false)
     * @method AITemplate|null sole(callable|string $key = null, $operator = null, $value = null)
     * @method AITemplate|null get($key, \Closure $default = null)
     * @method AITemplate|null first(callable $callback = null, \Closure $default = null)
     * @method AITemplate|null firstWhere(callable|string $key, $operator = null, $value = null)
     * @method AITemplate|null find($key, $default = null)
     * @method AITemplate[] all()
     */
    class _IH_AITemplate_C extends _BaseCollection {
        /**
         * @param int $size
         * @return AITemplate[][]|Collection<_IH_AITemplate_C>
         */
        public function chunk($size)
        {
            return [];
        }
    }
    
    /**
     * @method _IH_AITemplate_QB whereId($value)
     * @method _IH_AITemplate_QB whereName($value)
     * @method _IH_AITemplate_QB whereSlug($value)
     * @method _IH_AITemplate_QB whereIcon($value)
     * @method _IH_AITemplate_QB whereType($value)
     * @method _IH_AITemplate_QB whereStatus($value)
     * @method _IH_AITemplate_QB whereCreatedBy($value)
     * @method _IH_AITemplate_QB whereLmsId($value)
     * @method _IH_AITemplate_QB whereCreatedAt($value)
     * @method _IH_AITemplate_QB whereUpdatedAt($value)
     * @method AITemplate baseSole(array|string $columns = ['*'])
     * @method AITemplate create(array $attributes = [])
     * @method _IH_AITemplate_C|AITemplate[] cursor()
     * @method AITemplate|null|_IH_AITemplate_C|AITemplate[] find($id, array|string $columns = ['*'])
     * @method _IH_AITemplate_C|AITemplate[] findMany(array|Arrayable $ids, array|string $columns = ['*'])
     * @method AITemplate|_IH_AITemplate_C|AITemplate[] findOr($id, array|\Closure|string $columns = ['*'], \Closure $callback = null)
     * @method AITemplate|_IH_AITemplate_C|AITemplate[] findOrFail($id, array|string $columns = ['*'])
     * @method AITemplate|_IH_AITemplate_C|AITemplate[] findOrNew($id, array|string $columns = ['*'])
     * @method AITemplate first(array|string $columns = ['*'])
     * @method AITemplate firstOr(array|\Closure|string $columns = ['*'], \Closure $callback = null)
     * @method AITemplate firstOrCreate(array $attributes = [], array $values = [])
     * @method AITemplate firstOrFail(array|string $columns = ['*'])
     * @method AITemplate firstOrNew(array $attributes = [], array $values = [])
     * @method AITemplate firstWhere(array|\Closure|Expression|string $column, $operator = null, $value = null, string $boolean = 'and')
     * @method AITemplate forceCreate(array $attributes)
     * @method _IH_AITemplate_C|AITemplate[] fromQuery(string $query, array $bindings = [])
     * @method _IH_AITemplate_C|AITemplate[] get(array|string $columns = ['*'])
     * @method AITemplate getModel()
     * @method AITemplate[] getModels(array|string $columns = ['*'])
     * @method _IH_AITemplate_C|AITemplate[] hydrate(array $items)
     * @method _IH_AITemplate_C|AITemplate[] lazy(int $chunkSize = 1000)
     * @method _IH_AITemplate_C|AITemplate[] lazyById(int $chunkSize = 1000, null|string $column = null, null|string $alias = null)
     * @method _IH_AITemplate_C|AITemplate[] lazyByIdDesc(int $chunkSize = 1000, null|string $column = null, null|string $alias = null)
     * @method AITemplate make(array $attributes = [])
     * @method AITemplate newModelInstance(array $attributes = [])
     * @method LengthAwarePaginator|AITemplate[]|_IH_AITemplate_C paginate(\Closure|int|null $perPage = null, array|string $columns = ['*'], string $pageName = 'page', int|null $page = null)
     * @method Paginator|AITemplate[]|_IH_AITemplate_C simplePaginate(int|null $perPage = null, array|string $columns = ['*'], string $pageName = 'page', int|null $page = null)
     * @method AITemplate sole(array|string $columns = ['*'])
     * @method AITemplate updateOrCreate(array $attributes, array $values = [])
     */
    class _IH_AITemplate_QB extends _BaseBuilder {}
    
    /**
     * @method AiGeneratedContent|null getOrPut($key, \Closure $value)
     * @method AiGeneratedContent|$this shift(int $count = 1)
     * @method AiGeneratedContent|null firstOrFail(callable|string $key = null, $operator = null, $value = null)
     * @method AiGeneratedContent|$this pop(int $count = 1)
     * @method AiGeneratedContent|null pull($key, \Closure $default = null)
     * @method AiGeneratedContent|null last(callable $callback = null, \Closure $default = null)
     * @method AiGeneratedContent|$this random(callable|int|null $number = null, bool $preserveKeys = false)
     * @method AiGeneratedContent|null sole(callable|string $key = null, $operator = null, $value = null)
     * @method AiGeneratedContent|null get($key, \Closure $default = null)
     * @method AiGeneratedContent|null first(callable $callback = null, \Closure $default = null)
     * @method AiGeneratedContent|null firstWhere(callable|string $key, $operator = null, $value = null)
     * @method AiGeneratedContent|null find($key, $default = null)
     * @method AiGeneratedContent[] all()
     */
    class _IH_AiGeneratedContent_C extends _BaseCollection {
        /**
         * @param int $size
         * @return AiGeneratedContent[][]|Collection<_IH_AiGeneratedContent_C>
         */
        public function chunk($size)
        {
            return [];
        }
    }
    
    /**
     * @method _IH_AiGeneratedContent_QB whereId($value)
     * @method _IH_AiGeneratedContent_QB whereUserId($value)
     * @method _IH_AiGeneratedContent_QB whereInputText($value)
     * @method _IH_AiGeneratedContent_QB whereOutputText($value)
     * @method _IH_AiGeneratedContent_QB whereModel($value)
     * @method _IH_AiGeneratedContent_QB whereTokens($value)
     * @method _IH_AiGeneratedContent_QB whereTemplateId($value)
     * @method _IH_AiGeneratedContent_QB whereWords($value)
     * @method _IH_AiGeneratedContent_QB whereTemperature($value)
     * @method _IH_AiGeneratedContent_QB whereFrequencyPenalty($value)
     * @method _IH_AiGeneratedContent_QB whereLang($value)
     * @method _IH_AiGeneratedContent_QB whereCreatedAt($value)
     * @method _IH_AiGeneratedContent_QB whereUpdatedAt($value)
     * @method AiGeneratedContent baseSole(array|string $columns = ['*'])
     * @method AiGeneratedContent create(array $attributes = [])
     * @method _IH_AiGeneratedContent_C|AiGeneratedContent[] cursor()
     * @method AiGeneratedContent|null|_IH_AiGeneratedContent_C|AiGeneratedContent[] find($id, array|string $columns = ['*'])
     * @method _IH_AiGeneratedContent_C|AiGeneratedContent[] findMany(array|Arrayable $ids, array|string $columns = ['*'])
     * @method AiGeneratedContent|_IH_AiGeneratedContent_C|AiGeneratedContent[] findOr($id, array|\Closure|string $columns = ['*'], \Closure $callback = null)
     * @method AiGeneratedContent|_IH_AiGeneratedContent_C|AiGeneratedContent[] findOrFail($id, array|string $columns = ['*'])
     * @method AiGeneratedContent|_IH_AiGeneratedContent_C|AiGeneratedContent[] findOrNew($id, array|string $columns = ['*'])
     * @method AiGeneratedContent first(array|string $columns = ['*'])
     * @method AiGeneratedContent firstOr(array|\Closure|string $columns = ['*'], \Closure $callback = null)
     * @method AiGeneratedContent firstOrCreate(array $attributes = [], array $values = [])
     * @method AiGeneratedContent firstOrFail(array|string $columns = ['*'])
     * @method AiGeneratedContent firstOrNew(array $attributes = [], array $values = [])
     * @method AiGeneratedContent firstWhere(array|\Closure|Expression|string $column, $operator = null, $value = null, string $boolean = 'and')
     * @method AiGeneratedContent forceCreate(array $attributes)
     * @method _IH_AiGeneratedContent_C|AiGeneratedContent[] fromQuery(string $query, array $bindings = [])
     * @method _IH_AiGeneratedContent_C|AiGeneratedContent[] get(array|string $columns = ['*'])
     * @method AiGeneratedContent getModel()
     * @method AiGeneratedContent[] getModels(array|string $columns = ['*'])
     * @method _IH_AiGeneratedContent_C|AiGeneratedContent[] hydrate(array $items)
     * @method _IH_AiGeneratedContent_C|AiGeneratedContent[] lazy(int $chunkSize = 1000)
     * @method _IH_AiGeneratedContent_C|AiGeneratedContent[] lazyById(int $chunkSize = 1000, null|string $column = null, null|string $alias = null)
     * @method _IH_AiGeneratedContent_C|AiGeneratedContent[] lazyByIdDesc(int $chunkSize = 1000, null|string $column = null, null|string $alias = null)
     * @method AiGeneratedContent make(array $attributes = [])
     * @method AiGeneratedContent newModelInstance(array $attributes = [])
     * @method LengthAwarePaginator|AiGeneratedContent[]|_IH_AiGeneratedContent_C paginate(\Closure|int|null $perPage = null, array|string $columns = ['*'], string $pageName = 'page', int|null $page = null)
     * @method Paginator|AiGeneratedContent[]|_IH_AiGeneratedContent_C simplePaginate(int|null $perPage = null, array|string $columns = ['*'], string $pageName = 'page', int|null $page = null)
     * @method AiGeneratedContent sole(array|string $columns = ['*'])
     * @method AiGeneratedContent updateOrCreate(array $attributes, array $values = [])
     */
    class _IH_AiGeneratedContent_QB extends _BaseBuilder {}
}