<?php //4759629a8a1884c14dca0758fe0ec40e
/** @noinspection all */

namespace LaravelIdea\Helper\Modules\Coinbase\Entities {

    use Illuminate\Contracts\Database\Query\Expression;
    use Illuminate\Contracts\Support\Arrayable;
    use Illuminate\Pagination\LengthAwarePaginator;
    use Illuminate\Pagination\Paginator;
    use Illuminate\Support\Collection;
    use LaravelIdea\Helper\_BaseBuilder;
    use LaravelIdea\Helper\_BaseCollection;
    use Modules\Coinbase\Entities\CoinbaseOrder;
    
    /**
     * @method CoinbaseOrder|null getOrPut($key, \Closure $value)
     * @method CoinbaseOrder|$this shift(int $count = 1)
     * @method CoinbaseOrder|null firstOrFail(callable|string $key = null, $operator = null, $value = null)
     * @method CoinbaseOrder|$this pop(int $count = 1)
     * @method CoinbaseOrder|null pull($key, \Closure $default = null)
     * @method CoinbaseOrder|null last(callable $callback = null, \Closure $default = null)
     * @method CoinbaseOrder|$this random(callable|int|null $number = null, bool $preserveKeys = false)
     * @method CoinbaseOrder|null sole(callable|string $key = null, $operator = null, $value = null)
     * @method CoinbaseOrder|null get($key, \Closure $default = null)
     * @method CoinbaseOrder|null first(callable $callback = null, \Closure $default = null)
     * @method CoinbaseOrder|null firstWhere(callable|string $key, $operator = null, $value = null)
     * @method CoinbaseOrder|null find($key, $default = null)
     * @method CoinbaseOrder[] all()
     */
    class _IH_CoinbaseOrder_C extends _BaseCollection {
        /**
         * @param int $size
         * @return CoinbaseOrder[][]|Collection<_IH_CoinbaseOrder_C>
         */
        public function chunk($size)
        {
            return [];
        }
    }
    
    /**
     * @method _IH_CoinbaseOrder_QB whereId($value)
     * @method _IH_CoinbaseOrder_QB whereChargeId($value)
     * @method _IH_CoinbaseOrder_QB whereChargeCode($value)
     * @method _IH_CoinbaseOrder_QB whereAmount($value)
     * @method _IH_CoinbaseOrder_QB whereType($value)
     * @method _IH_CoinbaseOrder_QB whereStatus($value)
     * @method _IH_CoinbaseOrder_QB whereUserId($value)
     * @method _IH_CoinbaseOrder_QB whereCoinbaseJson($value)
     * @method _IH_CoinbaseOrder_QB whereExpiresAt($value)
     * @method _IH_CoinbaseOrder_QB whereCreatedAt($value)
     * @method _IH_CoinbaseOrder_QB whereUpdatedAt($value)
     * @method CoinbaseOrder baseSole(array|string $columns = ['*'])
     * @method CoinbaseOrder create(array $attributes = [])
     * @method _IH_CoinbaseOrder_C|CoinbaseOrder[] cursor()
     * @method CoinbaseOrder|null|_IH_CoinbaseOrder_C|CoinbaseOrder[] find($id, array|string $columns = ['*'])
     * @method _IH_CoinbaseOrder_C|CoinbaseOrder[] findMany(array|Arrayable $ids, array|string $columns = ['*'])
     * @method CoinbaseOrder|_IH_CoinbaseOrder_C|CoinbaseOrder[] findOr($id, array|\Closure|string $columns = ['*'], \Closure $callback = null)
     * @method CoinbaseOrder|_IH_CoinbaseOrder_C|CoinbaseOrder[] findOrFail($id, array|string $columns = ['*'])
     * @method CoinbaseOrder|_IH_CoinbaseOrder_C|CoinbaseOrder[] findOrNew($id, array|string $columns = ['*'])
     * @method CoinbaseOrder first(array|string $columns = ['*'])
     * @method CoinbaseOrder firstOr(array|\Closure|string $columns = ['*'], \Closure $callback = null)
     * @method CoinbaseOrder firstOrCreate(array $attributes = [], array $values = [])
     * @method CoinbaseOrder firstOrFail(array|string $columns = ['*'])
     * @method CoinbaseOrder firstOrNew(array $attributes = [], array $values = [])
     * @method CoinbaseOrder firstWhere(array|\Closure|Expression|string $column, $operator = null, $value = null, string $boolean = 'and')
     * @method CoinbaseOrder forceCreate(array $attributes)
     * @method _IH_CoinbaseOrder_C|CoinbaseOrder[] fromQuery(string $query, array $bindings = [])
     * @method _IH_CoinbaseOrder_C|CoinbaseOrder[] get(array|string $columns = ['*'])
     * @method CoinbaseOrder getModel()
     * @method CoinbaseOrder[] getModels(array|string $columns = ['*'])
     * @method _IH_CoinbaseOrder_C|CoinbaseOrder[] hydrate(array $items)
     * @method _IH_CoinbaseOrder_C|CoinbaseOrder[] lazy(int $chunkSize = 1000)
     * @method _IH_CoinbaseOrder_C|CoinbaseOrder[] lazyById(int $chunkSize = 1000, null|string $column = null, null|string $alias = null)
     * @method _IH_CoinbaseOrder_C|CoinbaseOrder[] lazyByIdDesc(int $chunkSize = 1000, null|string $column = null, null|string $alias = null)
     * @method CoinbaseOrder make(array $attributes = [])
     * @method CoinbaseOrder newModelInstance(array $attributes = [])
     * @method LengthAwarePaginator|CoinbaseOrder[]|_IH_CoinbaseOrder_C paginate(\Closure|int|null $perPage = null, array|string $columns = ['*'], string $pageName = 'page', int|null $page = null)
     * @method Paginator|CoinbaseOrder[]|_IH_CoinbaseOrder_C simplePaginate(int|null $perPage = null, array|string $columns = ['*'], string $pageName = 'page', int|null $page = null)
     * @method CoinbaseOrder sole(array|string $columns = ['*'])
     * @method CoinbaseOrder updateOrCreate(array $attributes, array $values = [])
     */
    class _IH_CoinbaseOrder_QB extends _BaseBuilder {}
}