<?php //7bb132b9c728846c4f29114ed04d9f58
/** @noinspection all */

namespace LaravelIdea\Helper\Modules\XAPI\Entities {

    use Illuminate\Contracts\Database\Query\Expression;
    use Illuminate\Contracts\Support\Arrayable;
    use Illuminate\Pagination\LengthAwarePaginator;
    use Illuminate\Pagination\Paginator;
    use Illuminate\Support\Collection;
    use LaravelIdea\Helper\_BaseBuilder;
    use LaravelIdea\Helper\_BaseCollection;
    use Modules\XAPI\Entities\XapiReport;
    
    /**
     * @method XapiReport|null getOrPut($key, \Closure $value)
     * @method XapiReport|$this shift(int $count = 1)
     * @method XapiReport|null firstOrFail(callable|string $key = null, $operator = null, $value = null)
     * @method XapiReport|$this pop(int $count = 1)
     * @method XapiReport|null pull($key, \Closure $default = null)
     * @method XapiReport|null last(callable $callback = null, \Closure $default = null)
     * @method XapiReport|$this random(callable|int|null $number = null, bool $preserveKeys = false)
     * @method XapiReport|null sole(callable|string $key = null, $operator = null, $value = null)
     * @method XapiReport|null get($key, \Closure $default = null)
     * @method XapiReport|null first(callable $callback = null, \Closure $default = null)
     * @method XapiReport|null firstWhere(callable|string $key, $operator = null, $value = null)
     * @method XapiReport|null find($key, $default = null)
     * @method XapiReport[] all()
     */
    class _IH_XapiReport_C extends _BaseCollection {
        /**
         * @param int $size
         * @return XapiReport[][]|Collection<_IH_XapiReport_C>
         */
        public function chunk($size)
        {
            return [];
        }
    }
    
    /**
     * @method _IH_XapiReport_QB whereId($value)
     * @method _IH_XapiReport_QB whereUserId($value)
     * @method _IH_XapiReport_QB whereCourseId($value)
     * @method _IH_XapiReport_QB whereLessonId($value)
     * @method _IH_XapiReport_QB whereTimestamp($value)
     * @method _IH_XapiReport_QB whereIsCompleted($value)
     * @method _IH_XapiReport_QB whereResponse($value)
     * @method _IH_XapiReport_QB whereVerb($value)
     * @method _IH_XapiReport_QB whereParent($value)
     * @method _IH_XapiReport_QB whereActivity($value)
     * @method _IH_XapiReport_QB whereGroup($value)
     * @method _IH_XapiReport_QB whereCreatedAt($value)
     * @method _IH_XapiReport_QB whereUpdatedAt($value)
     * @method XapiReport baseSole(array|string $columns = ['*'])
     * @method XapiReport create(array $attributes = [])
     * @method _IH_XapiReport_C|XapiReport[] cursor()
     * @method XapiReport|null|_IH_XapiReport_C|XapiReport[] find($id, array|string $columns = ['*'])
     * @method _IH_XapiReport_C|XapiReport[] findMany(array|Arrayable $ids, array|string $columns = ['*'])
     * @method XapiReport|_IH_XapiReport_C|XapiReport[] findOr($id, array|\Closure|string $columns = ['*'], \Closure $callback = null)
     * @method XapiReport|_IH_XapiReport_C|XapiReport[] findOrFail($id, array|string $columns = ['*'])
     * @method XapiReport|_IH_XapiReport_C|XapiReport[] findOrNew($id, array|string $columns = ['*'])
     * @method XapiReport first(array|string $columns = ['*'])
     * @method XapiReport firstOr(array|\Closure|string $columns = ['*'], \Closure $callback = null)
     * @method XapiReport firstOrCreate(array $attributes = [], array $values = [])
     * @method XapiReport firstOrFail(array|string $columns = ['*'])
     * @method XapiReport firstOrNew(array $attributes = [], array $values = [])
     * @method XapiReport firstWhere(array|\Closure|Expression|string $column, $operator = null, $value = null, string $boolean = 'and')
     * @method XapiReport forceCreate(array $attributes)
     * @method _IH_XapiReport_C|XapiReport[] fromQuery(string $query, array $bindings = [])
     * @method _IH_XapiReport_C|XapiReport[] get(array|string $columns = ['*'])
     * @method XapiReport getModel()
     * @method XapiReport[] getModels(array|string $columns = ['*'])
     * @method _IH_XapiReport_C|XapiReport[] hydrate(array $items)
     * @method _IH_XapiReport_C|XapiReport[] lazy(int $chunkSize = 1000)
     * @method _IH_XapiReport_C|XapiReport[] lazyById(int $chunkSize = 1000, null|string $column = null, null|string $alias = null)
     * @method _IH_XapiReport_C|XapiReport[] lazyByIdDesc(int $chunkSize = 1000, null|string $column = null, null|string $alias = null)
     * @method XapiReport make(array $attributes = [])
     * @method XapiReport newModelInstance(array $attributes = [])
     * @method LengthAwarePaginator|XapiReport[]|_IH_XapiReport_C paginate(\Closure|int|null $perPage = null, array|string $columns = ['*'], string $pageName = 'page', int|null $page = null)
     * @method Paginator|XapiReport[]|_IH_XapiReport_C simplePaginate(int|null $perPage = null, array|string $columns = ['*'], string $pageName = 'page', int|null $page = null)
     * @method XapiReport sole(array|string $columns = ['*'])
     * @method XapiReport updateOrCreate(array $attributes, array $values = [])
     */
    class _IH_XapiReport_QB extends _BaseBuilder {}
}