<?php //c2ef962928bb587be64033180b4582d1
/** @noinspection all */

namespace LaravelIdea\Helper\Modules\Store\Entities {

    use Illuminate\Contracts\Database\Query\Expression;
    use Illuminate\Contracts\Support\Arrayable;
    use Illuminate\Pagination\LengthAwarePaginator;
    use Illuminate\Pagination\Paginator;
    use Illuminate\Support\Collection;
    use LaravelIdea\Helper\_BaseBuilder;
    use LaravelIdea\Helper\_BaseCollection;
    use Modules\Store\Entities\CancelReason;
    use Modules\Store\Entities\DeliveryProcess;
    use Modules\Store\Entities\DigitalFileDownload;
    use Modules\Store\Entities\ImageRefundRequest;
    use Modules\Store\Entities\LabelConfig;
    use Modules\Store\Entities\OrderDeliveryState;
    use Modules\Store\Entities\OrderPackageDetail;
    use Modules\Store\Entities\OrderProductDetail;
    use Modules\Store\Entities\PickupLocation;
    use Modules\Store\Entities\Product;
    use Modules\Store\Entities\ProductAttribute;
    use Modules\Store\Entities\ProductAttributeValue;
    use Modules\Store\Entities\ProductAuthor;
    use Modules\Store\Entities\ProductBrand;
    use Modules\Store\Entities\ProductCarrier;
    use Modules\Store\Entities\ProductCategory;
    use Modules\Store\Entities\ProductImage;
    use Modules\Store\Entities\ProductOrder;
    use Modules\Store\Entities\ProductPublication;
    use Modules\Store\Entities\ProductShipping;
    use Modules\Store\Entities\ProductUnit;
    use Modules\Store\Entities\ProductVariant;
    use Modules\Store\Entities\RefundProcess;
    use Modules\Store\Entities\RefundProduct;
    use Modules\Store\Entities\RefundReason;
    use Modules\Store\Entities\RefundRequest;
    use Modules\Store\Entities\RefundRequestDetail;
    use Modules\Store\Entities\RefundState;
    use Modules\Store\Entities\SellerWiseCarrierConfig;
    use Modules\Store\Entities\ShippingConfiguration;
    use Modules\Store\Entities\ShippingMethod;
    use Modules\Store\Entities\StoreBankPayment;
    
    /**
     * @method CancelReason|null getOrPut($key, \Closure $value)
     * @method CancelReason|$this shift(int $count = 1)
     * @method CancelReason|null firstOrFail(callable|string $key = null, $operator = null, $value = null)
     * @method CancelReason|$this pop(int $count = 1)
     * @method CancelReason|null pull($key, \Closure $default = null)
     * @method CancelReason|null last(callable $callback = null, \Closure $default = null)
     * @method CancelReason|$this random(callable|int|null $number = null, bool $preserveKeys = false)
     * @method CancelReason|null sole(callable|string $key = null, $operator = null, $value = null)
     * @method CancelReason|null get($key, \Closure $default = null)
     * @method CancelReason|null first(callable $callback = null, \Closure $default = null)
     * @method CancelReason|null firstWhere(callable|string $key, $operator = null, $value = null)
     * @method CancelReason|null find($key, $default = null)
     * @method CancelReason[] all()
     */
    class _IH_CancelReason_C extends _BaseCollection {
        /**
         * @param int $size
         * @return CancelReason[][]|Collection<_IH_CancelReason_C>
         */
        public function chunk($size)
        {
            return [];
        }
    }
    
    /**
     * @method _IH_CancelReason_QB whereId($value)
     * @method _IH_CancelReason_QB whereName($value)
     * @method _IH_CancelReason_QB whereDescription($value)
     * @method _IH_CancelReason_QB whereCreatedAt($value)
     * @method _IH_CancelReason_QB whereUpdatedAt($value)
     * @method CancelReason baseSole(array|string $columns = ['*'])
     * @method CancelReason create(array $attributes = [])
     * @method _IH_CancelReason_C|CancelReason[] cursor()
     * @method CancelReason|null|_IH_CancelReason_C|CancelReason[] find($id, array|string $columns = ['*'])
     * @method _IH_CancelReason_C|CancelReason[] findMany(array|Arrayable $ids, array|string $columns = ['*'])
     * @method CancelReason|_IH_CancelReason_C|CancelReason[] findOr($id, array|\Closure|string $columns = ['*'], \Closure $callback = null)
     * @method CancelReason|_IH_CancelReason_C|CancelReason[] findOrFail($id, array|string $columns = ['*'])
     * @method CancelReason|_IH_CancelReason_C|CancelReason[] findOrNew($id, array|string $columns = ['*'])
     * @method CancelReason first(array|string $columns = ['*'])
     * @method CancelReason firstOr(array|\Closure|string $columns = ['*'], \Closure $callback = null)
     * @method CancelReason firstOrCreate(array $attributes = [], array $values = [])
     * @method CancelReason firstOrFail(array|string $columns = ['*'])
     * @method CancelReason firstOrNew(array $attributes = [], array $values = [])
     * @method CancelReason firstWhere(array|\Closure|Expression|string $column, $operator = null, $value = null, string $boolean = 'and')
     * @method CancelReason forceCreate(array $attributes)
     * @method _IH_CancelReason_C|CancelReason[] fromQuery(string $query, array $bindings = [])
     * @method _IH_CancelReason_C|CancelReason[] get(array|string $columns = ['*'])
     * @method CancelReason getModel()
     * @method CancelReason[] getModels(array|string $columns = ['*'])
     * @method _IH_CancelReason_C|CancelReason[] hydrate(array $items)
     * @method _IH_CancelReason_C|CancelReason[] lazy(int $chunkSize = 1000)
     * @method _IH_CancelReason_C|CancelReason[] lazyById(int $chunkSize = 1000, null|string $column = null, null|string $alias = null)
     * @method _IH_CancelReason_C|CancelReason[] lazyByIdDesc(int $chunkSize = 1000, null|string $column = null, null|string $alias = null)
     * @method CancelReason make(array $attributes = [])
     * @method CancelReason newModelInstance(array $attributes = [])
     * @method LengthAwarePaginator|CancelReason[]|_IH_CancelReason_C paginate(\Closure|int|null $perPage = null, array|string $columns = ['*'], string $pageName = 'page', int|null $page = null)
     * @method Paginator|CancelReason[]|_IH_CancelReason_C simplePaginate(int|null $perPage = null, array|string $columns = ['*'], string $pageName = 'page', int|null $page = null)
     * @method CancelReason sole(array|string $columns = ['*'])
     * @method CancelReason updateOrCreate(array $attributes, array $values = [])
     */
    class _IH_CancelReason_QB extends _BaseBuilder {}
    
    /**
     * @method DeliveryProcess|null getOrPut($key, \Closure $value)
     * @method DeliveryProcess|$this shift(int $count = 1)
     * @method DeliveryProcess|null firstOrFail(callable|string $key = null, $operator = null, $value = null)
     * @method DeliveryProcess|$this pop(int $count = 1)
     * @method DeliveryProcess|null pull($key, \Closure $default = null)
     * @method DeliveryProcess|null last(callable $callback = null, \Closure $default = null)
     * @method DeliveryProcess|$this random(callable|int|null $number = null, bool $preserveKeys = false)
     * @method DeliveryProcess|null sole(callable|string $key = null, $operator = null, $value = null)
     * @method DeliveryProcess|null get($key, \Closure $default = null)
     * @method DeliveryProcess|null first(callable $callback = null, \Closure $default = null)
     * @method DeliveryProcess|null firstWhere(callable|string $key, $operator = null, $value = null)
     * @method DeliveryProcess|null find($key, $default = null)
     * @method DeliveryProcess[] all()
     */
    class _IH_DeliveryProcess_C extends _BaseCollection {
        /**
         * @param int $size
         * @return DeliveryProcess[][]|Collection<_IH_DeliveryProcess_C>
         */
        public function chunk($size)
        {
            return [];
        }
    }
    
    /**
     * @method _IH_DeliveryProcess_QB whereId($value)
     * @method _IH_DeliveryProcess_QB whereName($value)
     * @method _IH_DeliveryProcess_QB whereDescription($value)
     * @method _IH_DeliveryProcess_QB whereCreatedAt($value)
     * @method _IH_DeliveryProcess_QB whereUpdatedAt($value)
     * @method DeliveryProcess baseSole(array|string $columns = ['*'])
     * @method DeliveryProcess create(array $attributes = [])
     * @method _IH_DeliveryProcess_C|DeliveryProcess[] cursor()
     * @method DeliveryProcess|null|_IH_DeliveryProcess_C|DeliveryProcess[] find($id, array|string $columns = ['*'])
     * @method _IH_DeliveryProcess_C|DeliveryProcess[] findMany(array|Arrayable $ids, array|string $columns = ['*'])
     * @method DeliveryProcess|_IH_DeliveryProcess_C|DeliveryProcess[] findOr($id, array|\Closure|string $columns = ['*'], \Closure $callback = null)
     * @method DeliveryProcess|_IH_DeliveryProcess_C|DeliveryProcess[] findOrFail($id, array|string $columns = ['*'])
     * @method DeliveryProcess|_IH_DeliveryProcess_C|DeliveryProcess[] findOrNew($id, array|string $columns = ['*'])
     * @method DeliveryProcess first(array|string $columns = ['*'])
     * @method DeliveryProcess firstOr(array|\Closure|string $columns = ['*'], \Closure $callback = null)
     * @method DeliveryProcess firstOrCreate(array $attributes = [], array $values = [])
     * @method DeliveryProcess firstOrFail(array|string $columns = ['*'])
     * @method DeliveryProcess firstOrNew(array $attributes = [], array $values = [])
     * @method DeliveryProcess firstWhere(array|\Closure|Expression|string $column, $operator = null, $value = null, string $boolean = 'and')
     * @method DeliveryProcess forceCreate(array $attributes)
     * @method _IH_DeliveryProcess_C|DeliveryProcess[] fromQuery(string $query, array $bindings = [])
     * @method _IH_DeliveryProcess_C|DeliveryProcess[] get(array|string $columns = ['*'])
     * @method DeliveryProcess getModel()
     * @method DeliveryProcess[] getModels(array|string $columns = ['*'])
     * @method _IH_DeliveryProcess_C|DeliveryProcess[] hydrate(array $items)
     * @method _IH_DeliveryProcess_C|DeliveryProcess[] lazy(int $chunkSize = 1000)
     * @method _IH_DeliveryProcess_C|DeliveryProcess[] lazyById(int $chunkSize = 1000, null|string $column = null, null|string $alias = null)
     * @method _IH_DeliveryProcess_C|DeliveryProcess[] lazyByIdDesc(int $chunkSize = 1000, null|string $column = null, null|string $alias = null)
     * @method DeliveryProcess make(array $attributes = [])
     * @method DeliveryProcess newModelInstance(array $attributes = [])
     * @method LengthAwarePaginator|DeliveryProcess[]|_IH_DeliveryProcess_C paginate(\Closure|int|null $perPage = null, array|string $columns = ['*'], string $pageName = 'page', int|null $page = null)
     * @method Paginator|DeliveryProcess[]|_IH_DeliveryProcess_C simplePaginate(int|null $perPage = null, array|string $columns = ['*'], string $pageName = 'page', int|null $page = null)
     * @method DeliveryProcess sole(array|string $columns = ['*'])
     * @method DeliveryProcess updateOrCreate(array $attributes, array $values = [])
     */
    class _IH_DeliveryProcess_QB extends _BaseBuilder {}
    
    /**
     * @method DigitalFileDownload|null getOrPut($key, \Closure $value)
     * @method DigitalFileDownload|$this shift(int $count = 1)
     * @method DigitalFileDownload|null firstOrFail(callable|string $key = null, $operator = null, $value = null)
     * @method DigitalFileDownload|$this pop(int $count = 1)
     * @method DigitalFileDownload|null pull($key, \Closure $default = null)
     * @method DigitalFileDownload|null last(callable $callback = null, \Closure $default = null)
     * @method DigitalFileDownload|$this random(callable|int|null $number = null, bool $preserveKeys = false)
     * @method DigitalFileDownload|null sole(callable|string $key = null, $operator = null, $value = null)
     * @method DigitalFileDownload|null get($key, \Closure $default = null)
     * @method DigitalFileDownload|null first(callable $callback = null, \Closure $default = null)
     * @method DigitalFileDownload|null firstWhere(callable|string $key, $operator = null, $value = null)
     * @method DigitalFileDownload|null find($key, $default = null)
     * @method DigitalFileDownload[] all()
     */
    class _IH_DigitalFileDownload_C extends _BaseCollection {
        /**
         * @param int $size
         * @return DigitalFileDownload[][]|Collection<_IH_DigitalFileDownload_C>
         */
        public function chunk($size)
        {
            return [];
        }
    }
    
    /**
     * @method _IH_DigitalFileDownload_QB whereId($value)
     * @method _IH_DigitalFileDownload_QB whereCustomerId($value)
     * @method _IH_DigitalFileDownload_QB whereSellerId($value)
     * @method _IH_DigitalFileDownload_QB whereOrderId($value)
     * @method _IH_DigitalFileDownload_QB wherePackageId($value)
     * @method _IH_DigitalFileDownload_QB whereSellerProductSkuId($value)
     * @method _IH_DigitalFileDownload_QB whereProductSkuId($value)
     * @method _IH_DigitalFileDownload_QB whereDownloadLimit($value)
     * @method _IH_DigitalFileDownload_QB whereDownloadedCount($value)
     * @method _IH_DigitalFileDownload_QB whereCreatedAt($value)
     * @method _IH_DigitalFileDownload_QB whereUpdatedAt($value)
     * @method DigitalFileDownload baseSole(array|string $columns = ['*'])
     * @method DigitalFileDownload create(array $attributes = [])
     * @method _IH_DigitalFileDownload_C|DigitalFileDownload[] cursor()
     * @method DigitalFileDownload|null|_IH_DigitalFileDownload_C|DigitalFileDownload[] find($id, array|string $columns = ['*'])
     * @method _IH_DigitalFileDownload_C|DigitalFileDownload[] findMany(array|Arrayable $ids, array|string $columns = ['*'])
     * @method DigitalFileDownload|_IH_DigitalFileDownload_C|DigitalFileDownload[] findOr($id, array|\Closure|string $columns = ['*'], \Closure $callback = null)
     * @method DigitalFileDownload|_IH_DigitalFileDownload_C|DigitalFileDownload[] findOrFail($id, array|string $columns = ['*'])
     * @method DigitalFileDownload|_IH_DigitalFileDownload_C|DigitalFileDownload[] findOrNew($id, array|string $columns = ['*'])
     * @method DigitalFileDownload first(array|string $columns = ['*'])
     * @method DigitalFileDownload firstOr(array|\Closure|string $columns = ['*'], \Closure $callback = null)
     * @method DigitalFileDownload firstOrCreate(array $attributes = [], array $values = [])
     * @method DigitalFileDownload firstOrFail(array|string $columns = ['*'])
     * @method DigitalFileDownload firstOrNew(array $attributes = [], array $values = [])
     * @method DigitalFileDownload firstWhere(array|\Closure|Expression|string $column, $operator = null, $value = null, string $boolean = 'and')
     * @method DigitalFileDownload forceCreate(array $attributes)
     * @method _IH_DigitalFileDownload_C|DigitalFileDownload[] fromQuery(string $query, array $bindings = [])
     * @method _IH_DigitalFileDownload_C|DigitalFileDownload[] get(array|string $columns = ['*'])
     * @method DigitalFileDownload getModel()
     * @method DigitalFileDownload[] getModels(array|string $columns = ['*'])
     * @method _IH_DigitalFileDownload_C|DigitalFileDownload[] hydrate(array $items)
     * @method _IH_DigitalFileDownload_C|DigitalFileDownload[] lazy(int $chunkSize = 1000)
     * @method _IH_DigitalFileDownload_C|DigitalFileDownload[] lazyById(int $chunkSize = 1000, null|string $column = null, null|string $alias = null)
     * @method _IH_DigitalFileDownload_C|DigitalFileDownload[] lazyByIdDesc(int $chunkSize = 1000, null|string $column = null, null|string $alias = null)
     * @method DigitalFileDownload make(array $attributes = [])
     * @method DigitalFileDownload newModelInstance(array $attributes = [])
     * @method LengthAwarePaginator|DigitalFileDownload[]|_IH_DigitalFileDownload_C paginate(\Closure|int|null $perPage = null, array|string $columns = ['*'], string $pageName = 'page', int|null $page = null)
     * @method Paginator|DigitalFileDownload[]|_IH_DigitalFileDownload_C simplePaginate(int|null $perPage = null, array|string $columns = ['*'], string $pageName = 'page', int|null $page = null)
     * @method DigitalFileDownload sole(array|string $columns = ['*'])
     * @method DigitalFileDownload updateOrCreate(array $attributes, array $values = [])
     */
    class _IH_DigitalFileDownload_QB extends _BaseBuilder {}
    
    /**
     * @method ImageRefundRequest|null getOrPut($key, \Closure $value)
     * @method ImageRefundRequest|$this shift(int $count = 1)
     * @method ImageRefundRequest|null firstOrFail(callable|string $key = null, $operator = null, $value = null)
     * @method ImageRefundRequest|$this pop(int $count = 1)
     * @method ImageRefundRequest|null pull($key, \Closure $default = null)
     * @method ImageRefundRequest|null last(callable $callback = null, \Closure $default = null)
     * @method ImageRefundRequest|$this random(callable|int|null $number = null, bool $preserveKeys = false)
     * @method ImageRefundRequest|null sole(callable|string $key = null, $operator = null, $value = null)
     * @method ImageRefundRequest|null get($key, \Closure $default = null)
     * @method ImageRefundRequest|null first(callable $callback = null, \Closure $default = null)
     * @method ImageRefundRequest|null firstWhere(callable|string $key, $operator = null, $value = null)
     * @method ImageRefundRequest|null find($key, $default = null)
     * @method ImageRefundRequest[] all()
     */
    class _IH_ImageRefundRequest_C extends _BaseCollection {
        /**
         * @param int $size
         * @return ImageRefundRequest[][]|Collection<_IH_ImageRefundRequest_C>
         */
        public function chunk($size)
        {
            return [];
        }
    }
    
    /**
     * @method _IH_ImageRefundRequest_QB whereId($value)
     * @method _IH_ImageRefundRequest_QB whereRefundRequestId($value)
     * @method _IH_ImageRefundRequest_QB whereImage($value)
     * @method _IH_ImageRefundRequest_QB whereCreatedAt($value)
     * @method _IH_ImageRefundRequest_QB whereUpdatedAt($value)
     * @method ImageRefundRequest baseSole(array|string $columns = ['*'])
     * @method ImageRefundRequest create(array $attributes = [])
     * @method _IH_ImageRefundRequest_C|ImageRefundRequest[] cursor()
     * @method ImageRefundRequest|null|_IH_ImageRefundRequest_C|ImageRefundRequest[] find($id, array|string $columns = ['*'])
     * @method _IH_ImageRefundRequest_C|ImageRefundRequest[] findMany(array|Arrayable $ids, array|string $columns = ['*'])
     * @method ImageRefundRequest|_IH_ImageRefundRequest_C|ImageRefundRequest[] findOr($id, array|\Closure|string $columns = ['*'], \Closure $callback = null)
     * @method ImageRefundRequest|_IH_ImageRefundRequest_C|ImageRefundRequest[] findOrFail($id, array|string $columns = ['*'])
     * @method ImageRefundRequest|_IH_ImageRefundRequest_C|ImageRefundRequest[] findOrNew($id, array|string $columns = ['*'])
     * @method ImageRefundRequest first(array|string $columns = ['*'])
     * @method ImageRefundRequest firstOr(array|\Closure|string $columns = ['*'], \Closure $callback = null)
     * @method ImageRefundRequest firstOrCreate(array $attributes = [], array $values = [])
     * @method ImageRefundRequest firstOrFail(array|string $columns = ['*'])
     * @method ImageRefundRequest firstOrNew(array $attributes = [], array $values = [])
     * @method ImageRefundRequest firstWhere(array|\Closure|Expression|string $column, $operator = null, $value = null, string $boolean = 'and')
     * @method ImageRefundRequest forceCreate(array $attributes)
     * @method _IH_ImageRefundRequest_C|ImageRefundRequest[] fromQuery(string $query, array $bindings = [])
     * @method _IH_ImageRefundRequest_C|ImageRefundRequest[] get(array|string $columns = ['*'])
     * @method ImageRefundRequest getModel()
     * @method ImageRefundRequest[] getModels(array|string $columns = ['*'])
     * @method _IH_ImageRefundRequest_C|ImageRefundRequest[] hydrate(array $items)
     * @method _IH_ImageRefundRequest_C|ImageRefundRequest[] lazy(int $chunkSize = 1000)
     * @method _IH_ImageRefundRequest_C|ImageRefundRequest[] lazyById(int $chunkSize = 1000, null|string $column = null, null|string $alias = null)
     * @method _IH_ImageRefundRequest_C|ImageRefundRequest[] lazyByIdDesc(int $chunkSize = 1000, null|string $column = null, null|string $alias = null)
     * @method ImageRefundRequest make(array $attributes = [])
     * @method ImageRefundRequest newModelInstance(array $attributes = [])
     * @method LengthAwarePaginator|ImageRefundRequest[]|_IH_ImageRefundRequest_C paginate(\Closure|int|null $perPage = null, array|string $columns = ['*'], string $pageName = 'page', int|null $page = null)
     * @method Paginator|ImageRefundRequest[]|_IH_ImageRefundRequest_C simplePaginate(int|null $perPage = null, array|string $columns = ['*'], string $pageName = 'page', int|null $page = null)
     * @method ImageRefundRequest sole(array|string $columns = ['*'])
     * @method ImageRefundRequest updateOrCreate(array $attributes, array $values = [])
     */
    class _IH_ImageRefundRequest_QB extends _BaseBuilder {}
    
    /**
     * @method LabelConfig|null getOrPut($key, \Closure $value)
     * @method LabelConfig|$this shift(int $count = 1)
     * @method LabelConfig|null firstOrFail(callable|string $key = null, $operator = null, $value = null)
     * @method LabelConfig|$this pop(int $count = 1)
     * @method LabelConfig|null pull($key, \Closure $default = null)
     * @method LabelConfig|null last(callable $callback = null, \Closure $default = null)
     * @method LabelConfig|$this random(callable|int|null $number = null, bool $preserveKeys = false)
     * @method LabelConfig|null sole(callable|string $key = null, $operator = null, $value = null)
     * @method LabelConfig|null get($key, \Closure $default = null)
     * @method LabelConfig|null first(callable $callback = null, \Closure $default = null)
     * @method LabelConfig|null firstWhere(callable|string $key, $operator = null, $value = null)
     * @method LabelConfig|null find($key, $default = null)
     * @method LabelConfig[] all()
     */
    class _IH_LabelConfig_C extends _BaseCollection {
        /**
         * @param int $size
         * @return LabelConfig[][]|Collection<_IH_LabelConfig_C>
         */
        public function chunk($size)
        {
            return [];
        }
    }
    
    /**
     * @method _IH_LabelConfig_QB whereId($value)
     * @method _IH_LabelConfig_QB whereCondition($value)
     * @method _IH_LabelConfig_QB whereStatus($value)
     * @method _IH_LabelConfig_QB whereCreatedBy($value)
     * @method _IH_LabelConfig_QB whereCreatedAt($value)
     * @method _IH_LabelConfig_QB whereUpdatedAt($value)
     * @method LabelConfig baseSole(array|string $columns = ['*'])
     * @method LabelConfig create(array $attributes = [])
     * @method _IH_LabelConfig_C|LabelConfig[] cursor()
     * @method LabelConfig|null|_IH_LabelConfig_C|LabelConfig[] find($id, array|string $columns = ['*'])
     * @method _IH_LabelConfig_C|LabelConfig[] findMany(array|Arrayable $ids, array|string $columns = ['*'])
     * @method LabelConfig|_IH_LabelConfig_C|LabelConfig[] findOr($id, array|\Closure|string $columns = ['*'], \Closure $callback = null)
     * @method LabelConfig|_IH_LabelConfig_C|LabelConfig[] findOrFail($id, array|string $columns = ['*'])
     * @method LabelConfig|_IH_LabelConfig_C|LabelConfig[] findOrNew($id, array|string $columns = ['*'])
     * @method LabelConfig first(array|string $columns = ['*'])
     * @method LabelConfig firstOr(array|\Closure|string $columns = ['*'], \Closure $callback = null)
     * @method LabelConfig firstOrCreate(array $attributes = [], array $values = [])
     * @method LabelConfig firstOrFail(array|string $columns = ['*'])
     * @method LabelConfig firstOrNew(array $attributes = [], array $values = [])
     * @method LabelConfig firstWhere(array|\Closure|Expression|string $column, $operator = null, $value = null, string $boolean = 'and')
     * @method LabelConfig forceCreate(array $attributes)
     * @method _IH_LabelConfig_C|LabelConfig[] fromQuery(string $query, array $bindings = [])
     * @method _IH_LabelConfig_C|LabelConfig[] get(array|string $columns = ['*'])
     * @method LabelConfig getModel()
     * @method LabelConfig[] getModels(array|string $columns = ['*'])
     * @method _IH_LabelConfig_C|LabelConfig[] hydrate(array $items)
     * @method _IH_LabelConfig_C|LabelConfig[] lazy(int $chunkSize = 1000)
     * @method _IH_LabelConfig_C|LabelConfig[] lazyById(int $chunkSize = 1000, null|string $column = null, null|string $alias = null)
     * @method _IH_LabelConfig_C|LabelConfig[] lazyByIdDesc(int $chunkSize = 1000, null|string $column = null, null|string $alias = null)
     * @method LabelConfig make(array $attributes = [])
     * @method LabelConfig newModelInstance(array $attributes = [])
     * @method LengthAwarePaginator|LabelConfig[]|_IH_LabelConfig_C paginate(\Closure|int|null $perPage = null, array|string $columns = ['*'], string $pageName = 'page', int|null $page = null)
     * @method Paginator|LabelConfig[]|_IH_LabelConfig_C simplePaginate(int|null $perPage = null, array|string $columns = ['*'], string $pageName = 'page', int|null $page = null)
     * @method LabelConfig sole(array|string $columns = ['*'])
     * @method LabelConfig updateOrCreate(array $attributes, array $values = [])
     */
    class _IH_LabelConfig_QB extends _BaseBuilder {}
    
    /**
     * @method OrderDeliveryState|null getOrPut($key, \Closure $value)
     * @method OrderDeliveryState|$this shift(int $count = 1)
     * @method OrderDeliveryState|null firstOrFail(callable|string $key = null, $operator = null, $value = null)
     * @method OrderDeliveryState|$this pop(int $count = 1)
     * @method OrderDeliveryState|null pull($key, \Closure $default = null)
     * @method OrderDeliveryState|null last(callable $callback = null, \Closure $default = null)
     * @method OrderDeliveryState|$this random(callable|int|null $number = null, bool $preserveKeys = false)
     * @method OrderDeliveryState|null sole(callable|string $key = null, $operator = null, $value = null)
     * @method OrderDeliveryState|null get($key, \Closure $default = null)
     * @method OrderDeliveryState|null first(callable $callback = null, \Closure $default = null)
     * @method OrderDeliveryState|null firstWhere(callable|string $key, $operator = null, $value = null)
     * @method OrderDeliveryState|null find($key, $default = null)
     * @method OrderDeliveryState[] all()
     */
    class _IH_OrderDeliveryState_C extends _BaseCollection {
        /**
         * @param int $size
         * @return OrderDeliveryState[][]|Collection<_IH_OrderDeliveryState_C>
         */
        public function chunk($size)
        {
            return [];
        }
    }
    
    /**
     * @method _IH_OrderDeliveryState_QB whereId($value)
     * @method _IH_OrderDeliveryState_QB whereOrderPackageId($value)
     * @method _IH_OrderDeliveryState_QB whereDeliveryStatus($value)
     * @method _IH_OrderDeliveryState_QB whereNote($value)
     * @method _IH_OrderDeliveryState_QB whereCreatedBy($value)
     * @method _IH_OrderDeliveryState_QB whereUpdatedBy($value)
     * @method _IH_OrderDeliveryState_QB whereCreatedAt($value)
     * @method _IH_OrderDeliveryState_QB whereUpdatedAt($value)
     * @method OrderDeliveryState baseSole(array|string $columns = ['*'])
     * @method OrderDeliveryState create(array $attributes = [])
     * @method _IH_OrderDeliveryState_C|OrderDeliveryState[] cursor()
     * @method OrderDeliveryState|null|_IH_OrderDeliveryState_C|OrderDeliveryState[] find($id, array|string $columns = ['*'])
     * @method _IH_OrderDeliveryState_C|OrderDeliveryState[] findMany(array|Arrayable $ids, array|string $columns = ['*'])
     * @method OrderDeliveryState|_IH_OrderDeliveryState_C|OrderDeliveryState[] findOr($id, array|\Closure|string $columns = ['*'], \Closure $callback = null)
     * @method OrderDeliveryState|_IH_OrderDeliveryState_C|OrderDeliveryState[] findOrFail($id, array|string $columns = ['*'])
     * @method OrderDeliveryState|_IH_OrderDeliveryState_C|OrderDeliveryState[] findOrNew($id, array|string $columns = ['*'])
     * @method OrderDeliveryState first(array|string $columns = ['*'])
     * @method OrderDeliveryState firstOr(array|\Closure|string $columns = ['*'], \Closure $callback = null)
     * @method OrderDeliveryState firstOrCreate(array $attributes = [], array $values = [])
     * @method OrderDeliveryState firstOrFail(array|string $columns = ['*'])
     * @method OrderDeliveryState firstOrNew(array $attributes = [], array $values = [])
     * @method OrderDeliveryState firstWhere(array|\Closure|Expression|string $column, $operator = null, $value = null, string $boolean = 'and')
     * @method OrderDeliveryState forceCreate(array $attributes)
     * @method _IH_OrderDeliveryState_C|OrderDeliveryState[] fromQuery(string $query, array $bindings = [])
     * @method _IH_OrderDeliveryState_C|OrderDeliveryState[] get(array|string $columns = ['*'])
     * @method OrderDeliveryState getModel()
     * @method OrderDeliveryState[] getModels(array|string $columns = ['*'])
     * @method _IH_OrderDeliveryState_C|OrderDeliveryState[] hydrate(array $items)
     * @method _IH_OrderDeliveryState_C|OrderDeliveryState[] lazy(int $chunkSize = 1000)
     * @method _IH_OrderDeliveryState_C|OrderDeliveryState[] lazyById(int $chunkSize = 1000, null|string $column = null, null|string $alias = null)
     * @method _IH_OrderDeliveryState_C|OrderDeliveryState[] lazyByIdDesc(int $chunkSize = 1000, null|string $column = null, null|string $alias = null)
     * @method OrderDeliveryState make(array $attributes = [])
     * @method OrderDeliveryState newModelInstance(array $attributes = [])
     * @method LengthAwarePaginator|OrderDeliveryState[]|_IH_OrderDeliveryState_C paginate(\Closure|int|null $perPage = null, array|string $columns = ['*'], string $pageName = 'page', int|null $page = null)
     * @method Paginator|OrderDeliveryState[]|_IH_OrderDeliveryState_C simplePaginate(int|null $perPage = null, array|string $columns = ['*'], string $pageName = 'page', int|null $page = null)
     * @method OrderDeliveryState sole(array|string $columns = ['*'])
     * @method OrderDeliveryState updateOrCreate(array $attributes, array $values = [])
     */
    class _IH_OrderDeliveryState_QB extends _BaseBuilder {}
    
    /**
     * @method OrderPackageDetail|null getOrPut($key, \Closure $value)
     * @method OrderPackageDetail|$this shift(int $count = 1)
     * @method OrderPackageDetail|null firstOrFail(callable|string $key = null, $operator = null, $value = null)
     * @method OrderPackageDetail|$this pop(int $count = 1)
     * @method OrderPackageDetail|null pull($key, \Closure $default = null)
     * @method OrderPackageDetail|null last(callable $callback = null, \Closure $default = null)
     * @method OrderPackageDetail|$this random(callable|int|null $number = null, bool $preserveKeys = false)
     * @method OrderPackageDetail|null sole(callable|string $key = null, $operator = null, $value = null)
     * @method OrderPackageDetail|null get($key, \Closure $default = null)
     * @method OrderPackageDetail|null first(callable $callback = null, \Closure $default = null)
     * @method OrderPackageDetail|null firstWhere(callable|string $key, $operator = null, $value = null)
     * @method OrderPackageDetail|null find($key, $default = null)
     * @method OrderPackageDetail[] all()
     */
    class _IH_OrderPackageDetail_C extends _BaseCollection {
        /**
         * @param int $size
         * @return OrderPackageDetail[][]|Collection<_IH_OrderPackageDetail_C>
         */
        public function chunk($size)
        {
            return [];
        }
    }
    
    /**
     * @method _IH_OrderPackageDetail_QB whereId($value)
     * @method _IH_OrderPackageDetail_QB whereOrderId($value)
     * @method _IH_OrderPackageDetail_QB whereSellerId($value)
     * @method _IH_OrderPackageDetail_QB whereIsStore($value)
     * @method _IH_OrderPackageDetail_QB whereCourseId($value)
     * @method _IH_OrderPackageDetail_QB wherePackageCode($value)
     * @method _IH_OrderPackageDetail_QB whereNumberOfProduct($value)
     * @method _IH_OrderPackageDetail_QB whereShippingCost($value)
     * @method _IH_OrderPackageDetail_QB whereShippingDate($value)
     * @method _IH_OrderPackageDetail_QB whereShippingMethod($value)
     * @method _IH_OrderPackageDetail_QB whereIsCancelled($value)
     * @method _IH_OrderPackageDetail_QB whereCancelReasonId($value)
     * @method _IH_OrderPackageDetail_QB whereIsReviewed($value)
     * @method _IH_OrderPackageDetail_QB whereDeliveryStatus($value)
     * @method _IH_OrderPackageDetail_QB whereLastUpdatedBy($value)
     * @method _IH_OrderPackageDetail_QB whereGstClaimed($value)
     * @method _IH_OrderPackageDetail_QB whereTaxAmount($value)
     * @method _IH_OrderPackageDetail_QB whereCarrierOrderId($value)
     * @method _IH_OrderPackageDetail_QB whereCarrierId($value)
     * @method _IH_OrderPackageDetail_QB whereShippedBy($value)
     * @method _IH_OrderPackageDetail_QB whereCarrierResponse($value)
     * @method _IH_OrderPackageDetail_QB wherePickupPointId($value)
     * @method _IH_OrderPackageDetail_QB whereIsPaid($value)
     * @method _IH_OrderPackageDetail_QB whereWeight($value)
     * @method _IH_OrderPackageDetail_QB whereLength($value)
     * @method _IH_OrderPackageDetail_QB whereBreadth($value)
     * @method _IH_OrderPackageDetail_QB whereHeight($value)
     * @method _IH_OrderPackageDetail_QB whereCreatedAt($value)
     * @method _IH_OrderPackageDetail_QB whereUpdatedAt($value)
     * @method OrderPackageDetail baseSole(array|string $columns = ['*'])
     * @method OrderPackageDetail create(array $attributes = [])
     * @method _IH_OrderPackageDetail_C|OrderPackageDetail[] cursor()
     * @method OrderPackageDetail|null|_IH_OrderPackageDetail_C|OrderPackageDetail[] find($id, array|string $columns = ['*'])
     * @method _IH_OrderPackageDetail_C|OrderPackageDetail[] findMany(array|Arrayable $ids, array|string $columns = ['*'])
     * @method OrderPackageDetail|_IH_OrderPackageDetail_C|OrderPackageDetail[] findOr($id, array|\Closure|string $columns = ['*'], \Closure $callback = null)
     * @method OrderPackageDetail|_IH_OrderPackageDetail_C|OrderPackageDetail[] findOrFail($id, array|string $columns = ['*'])
     * @method OrderPackageDetail|_IH_OrderPackageDetail_C|OrderPackageDetail[] findOrNew($id, array|string $columns = ['*'])
     * @method OrderPackageDetail first(array|string $columns = ['*'])
     * @method OrderPackageDetail firstOr(array|\Closure|string $columns = ['*'], \Closure $callback = null)
     * @method OrderPackageDetail firstOrCreate(array $attributes = [], array $values = [])
     * @method OrderPackageDetail firstOrFail(array|string $columns = ['*'])
     * @method OrderPackageDetail firstOrNew(array $attributes = [], array $values = [])
     * @method OrderPackageDetail firstWhere(array|\Closure|Expression|string $column, $operator = null, $value = null, string $boolean = 'and')
     * @method OrderPackageDetail forceCreate(array $attributes)
     * @method _IH_OrderPackageDetail_C|OrderPackageDetail[] fromQuery(string $query, array $bindings = [])
     * @method _IH_OrderPackageDetail_C|OrderPackageDetail[] get(array|string $columns = ['*'])
     * @method OrderPackageDetail getModel()
     * @method OrderPackageDetail[] getModels(array|string $columns = ['*'])
     * @method _IH_OrderPackageDetail_C|OrderPackageDetail[] hydrate(array $items)
     * @method _IH_OrderPackageDetail_C|OrderPackageDetail[] lazy(int $chunkSize = 1000)
     * @method _IH_OrderPackageDetail_C|OrderPackageDetail[] lazyById(int $chunkSize = 1000, null|string $column = null, null|string $alias = null)
     * @method _IH_OrderPackageDetail_C|OrderPackageDetail[] lazyByIdDesc(int $chunkSize = 1000, null|string $column = null, null|string $alias = null)
     * @method OrderPackageDetail make(array $attributes = [])
     * @method OrderPackageDetail newModelInstance(array $attributes = [])
     * @method LengthAwarePaginator|OrderPackageDetail[]|_IH_OrderPackageDetail_C paginate(\Closure|int|null $perPage = null, array|string $columns = ['*'], string $pageName = 'page', int|null $page = null)
     * @method Paginator|OrderPackageDetail[]|_IH_OrderPackageDetail_C simplePaginate(int|null $perPage = null, array|string $columns = ['*'], string $pageName = 'page', int|null $page = null)
     * @method OrderPackageDetail sole(array|string $columns = ['*'])
     * @method OrderPackageDetail updateOrCreate(array $attributes, array $values = [])
     */
    class _IH_OrderPackageDetail_QB extends _BaseBuilder {}
    
    /**
     * @method OrderProductDetail|null getOrPut($key, \Closure $value)
     * @method OrderProductDetail|$this shift(int $count = 1)
     * @method OrderProductDetail|null firstOrFail(callable|string $key = null, $operator = null, $value = null)
     * @method OrderProductDetail|$this pop(int $count = 1)
     * @method OrderProductDetail|null pull($key, \Closure $default = null)
     * @method OrderProductDetail|null last(callable $callback = null, \Closure $default = null)
     * @method OrderProductDetail|$this random(callable|int|null $number = null, bool $preserveKeys = false)
     * @method OrderProductDetail|null sole(callable|string $key = null, $operator = null, $value = null)
     * @method OrderProductDetail|null get($key, \Closure $default = null)
     * @method OrderProductDetail|null first(callable $callback = null, \Closure $default = null)
     * @method OrderProductDetail|null firstWhere(callable|string $key, $operator = null, $value = null)
     * @method OrderProductDetail|null find($key, $default = null)
     * @method OrderProductDetail[] all()
     */
    class _IH_OrderProductDetail_C extends _BaseCollection {
        /**
         * @param int $size
         * @return OrderProductDetail[][]|Collection<_IH_OrderProductDetail_C>
         */
        public function chunk($size)
        {
            return [];
        }
    }
    
    /**
     * @method _IH_OrderProductDetail_QB whereId($value)
     * @method _IH_OrderProductDetail_QB wherePackageId($value)
     * @method _IH_OrderProductDetail_QB whereIsStore($value)
     * @method _IH_OrderProductDetail_QB whereSellerId($value)
     * @method _IH_OrderProductDetail_QB whereCourseId($value)
     * @method _IH_OrderProductDetail_QB whereType($value)
     * @method _IH_OrderProductDetail_QB whereQty($value)
     * @method _IH_OrderProductDetail_QB wherePrice($value)
     * @method _IH_OrderProductDetail_QB whereTotalPrice($value)
     * @method _IH_OrderProductDetail_QB whereTaxAmount($value)
     * @method _IH_OrderProductDetail_QB whereCreatedAt($value)
     * @method _IH_OrderProductDetail_QB whereUpdatedAt($value)
     * @method OrderProductDetail baseSole(array|string $columns = ['*'])
     * @method OrderProductDetail create(array $attributes = [])
     * @method _IH_OrderProductDetail_C|OrderProductDetail[] cursor()
     * @method OrderProductDetail|null|_IH_OrderProductDetail_C|OrderProductDetail[] find($id, array|string $columns = ['*'])
     * @method _IH_OrderProductDetail_C|OrderProductDetail[] findMany(array|Arrayable $ids, array|string $columns = ['*'])
     * @method OrderProductDetail|_IH_OrderProductDetail_C|OrderProductDetail[] findOr($id, array|\Closure|string $columns = ['*'], \Closure $callback = null)
     * @method OrderProductDetail|_IH_OrderProductDetail_C|OrderProductDetail[] findOrFail($id, array|string $columns = ['*'])
     * @method OrderProductDetail|_IH_OrderProductDetail_C|OrderProductDetail[] findOrNew($id, array|string $columns = ['*'])
     * @method OrderProductDetail first(array|string $columns = ['*'])
     * @method OrderProductDetail firstOr(array|\Closure|string $columns = ['*'], \Closure $callback = null)
     * @method OrderProductDetail firstOrCreate(array $attributes = [], array $values = [])
     * @method OrderProductDetail firstOrFail(array|string $columns = ['*'])
     * @method OrderProductDetail firstOrNew(array $attributes = [], array $values = [])
     * @method OrderProductDetail firstWhere(array|\Closure|Expression|string $column, $operator = null, $value = null, string $boolean = 'and')
     * @method OrderProductDetail forceCreate(array $attributes)
     * @method _IH_OrderProductDetail_C|OrderProductDetail[] fromQuery(string $query, array $bindings = [])
     * @method _IH_OrderProductDetail_C|OrderProductDetail[] get(array|string $columns = ['*'])
     * @method OrderProductDetail getModel()
     * @method OrderProductDetail[] getModels(array|string $columns = ['*'])
     * @method _IH_OrderProductDetail_C|OrderProductDetail[] hydrate(array $items)
     * @method _IH_OrderProductDetail_C|OrderProductDetail[] lazy(int $chunkSize = 1000)
     * @method _IH_OrderProductDetail_C|OrderProductDetail[] lazyById(int $chunkSize = 1000, null|string $column = null, null|string $alias = null)
     * @method _IH_OrderProductDetail_C|OrderProductDetail[] lazyByIdDesc(int $chunkSize = 1000, null|string $column = null, null|string $alias = null)
     * @method OrderProductDetail make(array $attributes = [])
     * @method OrderProductDetail newModelInstance(array $attributes = [])
     * @method LengthAwarePaginator|OrderProductDetail[]|_IH_OrderProductDetail_C paginate(\Closure|int|null $perPage = null, array|string $columns = ['*'], string $pageName = 'page', int|null $page = null)
     * @method Paginator|OrderProductDetail[]|_IH_OrderProductDetail_C simplePaginate(int|null $perPage = null, array|string $columns = ['*'], string $pageName = 'page', int|null $page = null)
     * @method OrderProductDetail sole(array|string $columns = ['*'])
     * @method OrderProductDetail updateOrCreate(array $attributes, array $values = [])
     */
    class _IH_OrderProductDetail_QB extends _BaseBuilder {}
    
    /**
     * @method PickupLocation|null getOrPut($key, \Closure $value)
     * @method PickupLocation|$this shift(int $count = 1)
     * @method PickupLocation|null firstOrFail(callable|string $key = null, $operator = null, $value = null)
     * @method PickupLocation|$this pop(int $count = 1)
     * @method PickupLocation|null pull($key, \Closure $default = null)
     * @method PickupLocation|null last(callable $callback = null, \Closure $default = null)
     * @method PickupLocation|$this random(callable|int|null $number = null, bool $preserveKeys = false)
     * @method PickupLocation|null sole(callable|string $key = null, $operator = null, $value = null)
     * @method PickupLocation|null get($key, \Closure $default = null)
     * @method PickupLocation|null first(callable $callback = null, \Closure $default = null)
     * @method PickupLocation|null firstWhere(callable|string $key, $operator = null, $value = null)
     * @method PickupLocation|null find($key, $default = null)
     * @method PickupLocation[] all()
     */
    class _IH_PickupLocation_C extends _BaseCollection {
        /**
         * @param int $size
         * @return PickupLocation[][]|Collection<_IH_PickupLocation_C>
         */
        public function chunk($size)
        {
            return [];
        }
    }
    
    /**
     * @method _IH_PickupLocation_QB whereId($value)
     * @method _IH_PickupLocation_QB wherePickupLocation($value)
     * @method _IH_PickupLocation_QB whereName($value)
     * @method _IH_PickupLocation_QB whereEmail($value)
     * @method _IH_PickupLocation_QB wherePhone($value)
     * @method _IH_PickupLocation_QB whereAddress($value)
     * @method _IH_PickupLocation_QB whereAddress2($value)
     * @method _IH_PickupLocation_QB whereCityId($value)
     * @method _IH_PickupLocation_QB whereStateId($value)
     * @method _IH_PickupLocation_QB whereCountryId($value)
     * @method _IH_PickupLocation_QB wherePinCode($value)
     * @method _IH_PickupLocation_QB whereLat($value)
     * @method _IH_PickupLocation_QB whereLong($value)
     * @method _IH_PickupLocation_QB whereStatus($value)
     * @method _IH_PickupLocation_QB whereIsSet($value)
     * @method _IH_PickupLocation_QB whereIsDefault($value)
     * @method _IH_PickupLocation_QB whereCreatedBy($value)
     * @method _IH_PickupLocation_QB whereCreatedAt($value)
     * @method _IH_PickupLocation_QB whereUpdatedAt($value)
     * @method PickupLocation baseSole(array|string $columns = ['*'])
     * @method PickupLocation create(array $attributes = [])
     * @method _IH_PickupLocation_C|PickupLocation[] cursor()
     * @method PickupLocation|null|_IH_PickupLocation_C|PickupLocation[] find($id, array|string $columns = ['*'])
     * @method _IH_PickupLocation_C|PickupLocation[] findMany(array|Arrayable $ids, array|string $columns = ['*'])
     * @method PickupLocation|_IH_PickupLocation_C|PickupLocation[] findOr($id, array|\Closure|string $columns = ['*'], \Closure $callback = null)
     * @method PickupLocation|_IH_PickupLocation_C|PickupLocation[] findOrFail($id, array|string $columns = ['*'])
     * @method PickupLocation|_IH_PickupLocation_C|PickupLocation[] findOrNew($id, array|string $columns = ['*'])
     * @method PickupLocation first(array|string $columns = ['*'])
     * @method PickupLocation firstOr(array|\Closure|string $columns = ['*'], \Closure $callback = null)
     * @method PickupLocation firstOrCreate(array $attributes = [], array $values = [])
     * @method PickupLocation firstOrFail(array|string $columns = ['*'])
     * @method PickupLocation firstOrNew(array $attributes = [], array $values = [])
     * @method PickupLocation firstWhere(array|\Closure|Expression|string $column, $operator = null, $value = null, string $boolean = 'and')
     * @method PickupLocation forceCreate(array $attributes)
     * @method _IH_PickupLocation_C|PickupLocation[] fromQuery(string $query, array $bindings = [])
     * @method _IH_PickupLocation_C|PickupLocation[] get(array|string $columns = ['*'])
     * @method PickupLocation getModel()
     * @method PickupLocation[] getModels(array|string $columns = ['*'])
     * @method _IH_PickupLocation_C|PickupLocation[] hydrate(array $items)
     * @method _IH_PickupLocation_C|PickupLocation[] lazy(int $chunkSize = 1000)
     * @method _IH_PickupLocation_C|PickupLocation[] lazyById(int $chunkSize = 1000, null|string $column = null, null|string $alias = null)
     * @method _IH_PickupLocation_C|PickupLocation[] lazyByIdDesc(int $chunkSize = 1000, null|string $column = null, null|string $alias = null)
     * @method PickupLocation make(array $attributes = [])
     * @method PickupLocation newModelInstance(array $attributes = [])
     * @method LengthAwarePaginator|PickupLocation[]|_IH_PickupLocation_C paginate(\Closure|int|null $perPage = null, array|string $columns = ['*'], string $pageName = 'page', int|null $page = null)
     * @method Paginator|PickupLocation[]|_IH_PickupLocation_C simplePaginate(int|null $perPage = null, array|string $columns = ['*'], string $pageName = 'page', int|null $page = null)
     * @method PickupLocation sole(array|string $columns = ['*'])
     * @method PickupLocation updateOrCreate(array $attributes, array $values = [])
     */
    class _IH_PickupLocation_QB extends _BaseBuilder {}
    
    /**
     * @method ProductAttributeValue|null getOrPut($key, \Closure $value)
     * @method ProductAttributeValue|$this shift(int $count = 1)
     * @method ProductAttributeValue|null firstOrFail(callable|string $key = null, $operator = null, $value = null)
     * @method ProductAttributeValue|$this pop(int $count = 1)
     * @method ProductAttributeValue|null pull($key, \Closure $default = null)
     * @method ProductAttributeValue|null last(callable $callback = null, \Closure $default = null)
     * @method ProductAttributeValue|$this random(callable|int|null $number = null, bool $preserveKeys = false)
     * @method ProductAttributeValue|null sole(callable|string $key = null, $operator = null, $value = null)
     * @method ProductAttributeValue|null get($key, \Closure $default = null)
     * @method ProductAttributeValue|null first(callable $callback = null, \Closure $default = null)
     * @method ProductAttributeValue|null firstWhere(callable|string $key, $operator = null, $value = null)
     * @method ProductAttributeValue|null find($key, $default = null)
     * @method ProductAttributeValue[] all()
     */
    class _IH_ProductAttributeValue_C extends _BaseCollection {
        /**
         * @param int $size
         * @return ProductAttributeValue[][]|Collection<_IH_ProductAttributeValue_C>
         */
        public function chunk($size)
        {
            return [];
        }
    }
    
    /**
     * @method _IH_ProductAttributeValue_QB whereId($value)
     * @method _IH_ProductAttributeValue_QB whereValue($value)
     * @method _IH_ProductAttributeValue_QB whereCreatedAt($value)
     * @method _IH_ProductAttributeValue_QB whereUpdatedAt($value)
     * @method _IH_ProductAttributeValue_QB whereProductAttributeId($value)
     * @method ProductAttributeValue baseSole(array|string $columns = ['*'])
     * @method ProductAttributeValue create(array $attributes = [])
     * @method _IH_ProductAttributeValue_C|ProductAttributeValue[] cursor()
     * @method ProductAttributeValue|null|_IH_ProductAttributeValue_C|ProductAttributeValue[] find($id, array|string $columns = ['*'])
     * @method _IH_ProductAttributeValue_C|ProductAttributeValue[] findMany(array|Arrayable $ids, array|string $columns = ['*'])
     * @method ProductAttributeValue|_IH_ProductAttributeValue_C|ProductAttributeValue[] findOr($id, array|\Closure|string $columns = ['*'], \Closure $callback = null)
     * @method ProductAttributeValue|_IH_ProductAttributeValue_C|ProductAttributeValue[] findOrFail($id, array|string $columns = ['*'])
     * @method ProductAttributeValue|_IH_ProductAttributeValue_C|ProductAttributeValue[] findOrNew($id, array|string $columns = ['*'])
     * @method ProductAttributeValue first(array|string $columns = ['*'])
     * @method ProductAttributeValue firstOr(array|\Closure|string $columns = ['*'], \Closure $callback = null)
     * @method ProductAttributeValue firstOrCreate(array $attributes = [], array $values = [])
     * @method ProductAttributeValue firstOrFail(array|string $columns = ['*'])
     * @method ProductAttributeValue firstOrNew(array $attributes = [], array $values = [])
     * @method ProductAttributeValue firstWhere(array|\Closure|Expression|string $column, $operator = null, $value = null, string $boolean = 'and')
     * @method ProductAttributeValue forceCreate(array $attributes)
     * @method _IH_ProductAttributeValue_C|ProductAttributeValue[] fromQuery(string $query, array $bindings = [])
     * @method _IH_ProductAttributeValue_C|ProductAttributeValue[] get(array|string $columns = ['*'])
     * @method ProductAttributeValue getModel()
     * @method ProductAttributeValue[] getModels(array|string $columns = ['*'])
     * @method _IH_ProductAttributeValue_C|ProductAttributeValue[] hydrate(array $items)
     * @method _IH_ProductAttributeValue_C|ProductAttributeValue[] lazy(int $chunkSize = 1000)
     * @method _IH_ProductAttributeValue_C|ProductAttributeValue[] lazyById(int $chunkSize = 1000, null|string $column = null, null|string $alias = null)
     * @method _IH_ProductAttributeValue_C|ProductAttributeValue[] lazyByIdDesc(int $chunkSize = 1000, null|string $column = null, null|string $alias = null)
     * @method ProductAttributeValue make(array $attributes = [])
     * @method ProductAttributeValue newModelInstance(array $attributes = [])
     * @method LengthAwarePaginator|ProductAttributeValue[]|_IH_ProductAttributeValue_C paginate(\Closure|int|null $perPage = null, array|string $columns = ['*'], string $pageName = 'page', int|null $page = null)
     * @method Paginator|ProductAttributeValue[]|_IH_ProductAttributeValue_C simplePaginate(int|null $perPage = null, array|string $columns = ['*'], string $pageName = 'page', int|null $page = null)
     * @method ProductAttributeValue sole(array|string $columns = ['*'])
     * @method ProductAttributeValue updateOrCreate(array $attributes, array $values = [])
     */
    class _IH_ProductAttributeValue_QB extends _BaseBuilder {}
    
    /**
     * @method ProductAttribute|null getOrPut($key, \Closure $value)
     * @method ProductAttribute|$this shift(int $count = 1)
     * @method ProductAttribute|null firstOrFail(callable|string $key = null, $operator = null, $value = null)
     * @method ProductAttribute|$this pop(int $count = 1)
     * @method ProductAttribute|null pull($key, \Closure $default = null)
     * @method ProductAttribute|null last(callable $callback = null, \Closure $default = null)
     * @method ProductAttribute|$this random(callable|int|null $number = null, bool $preserveKeys = false)
     * @method ProductAttribute|null sole(callable|string $key = null, $operator = null, $value = null)
     * @method ProductAttribute|null get($key, \Closure $default = null)
     * @method ProductAttribute|null first(callable $callback = null, \Closure $default = null)
     * @method ProductAttribute|null firstWhere(callable|string $key, $operator = null, $value = null)
     * @method ProductAttribute|null find($key, $default = null)
     * @method ProductAttribute[] all()
     */
    class _IH_ProductAttribute_C extends _BaseCollection {
        /**
         * @param int $size
         * @return ProductAttribute[][]|Collection<_IH_ProductAttribute_C>
         */
        public function chunk($size)
        {
            return [];
        }
    }
    
    /**
     * @method _IH_ProductAttribute_QB whereId($value)
     * @method _IH_ProductAttribute_QB whereUserId($value)
     * @method _IH_ProductAttribute_QB whereTitle($value)
     * @method _IH_ProductAttribute_QB whereDisplayType($value)
     * @method _IH_ProductAttribute_QB whereStatus($value)
     * @method _IH_ProductAttribute_QB whereLmsId($value)
     * @method _IH_ProductAttribute_QB whereDescription($value)
     * @method _IH_ProductAttribute_QB whereCreatedAt($value)
     * @method _IH_ProductAttribute_QB whereUpdatedAt($value)
     * @method ProductAttribute baseSole(array|string $columns = ['*'])
     * @method ProductAttribute create(array $attributes = [])
     * @method _IH_ProductAttribute_C|ProductAttribute[] cursor()
     * @method ProductAttribute|null|_IH_ProductAttribute_C|ProductAttribute[] find($id, array|string $columns = ['*'])
     * @method _IH_ProductAttribute_C|ProductAttribute[] findMany(array|Arrayable $ids, array|string $columns = ['*'])
     * @method ProductAttribute|_IH_ProductAttribute_C|ProductAttribute[] findOr($id, array|\Closure|string $columns = ['*'], \Closure $callback = null)
     * @method ProductAttribute|_IH_ProductAttribute_C|ProductAttribute[] findOrFail($id, array|string $columns = ['*'])
     * @method ProductAttribute|_IH_ProductAttribute_C|ProductAttribute[] findOrNew($id, array|string $columns = ['*'])
     * @method ProductAttribute first(array|string $columns = ['*'])
     * @method ProductAttribute firstOr(array|\Closure|string $columns = ['*'], \Closure $callback = null)
     * @method ProductAttribute firstOrCreate(array $attributes = [], array $values = [])
     * @method ProductAttribute firstOrFail(array|string $columns = ['*'])
     * @method ProductAttribute firstOrNew(array $attributes = [], array $values = [])
     * @method ProductAttribute firstWhere(array|\Closure|Expression|string $column, $operator = null, $value = null, string $boolean = 'and')
     * @method ProductAttribute forceCreate(array $attributes)
     * @method _IH_ProductAttribute_C|ProductAttribute[] fromQuery(string $query, array $bindings = [])
     * @method _IH_ProductAttribute_C|ProductAttribute[] get(array|string $columns = ['*'])
     * @method ProductAttribute getModel()
     * @method ProductAttribute[] getModels(array|string $columns = ['*'])
     * @method _IH_ProductAttribute_C|ProductAttribute[] hydrate(array $items)
     * @method _IH_ProductAttribute_C|ProductAttribute[] lazy(int $chunkSize = 1000)
     * @method _IH_ProductAttribute_C|ProductAttribute[] lazyById(int $chunkSize = 1000, null|string $column = null, null|string $alias = null)
     * @method _IH_ProductAttribute_C|ProductAttribute[] lazyByIdDesc(int $chunkSize = 1000, null|string $column = null, null|string $alias = null)
     * @method ProductAttribute make(array $attributes = [])
     * @method ProductAttribute newModelInstance(array $attributes = [])
     * @method LengthAwarePaginator|ProductAttribute[]|_IH_ProductAttribute_C paginate(\Closure|int|null $perPage = null, array|string $columns = ['*'], string $pageName = 'page', int|null $page = null)
     * @method Paginator|ProductAttribute[]|_IH_ProductAttribute_C simplePaginate(int|null $perPage = null, array|string $columns = ['*'], string $pageName = 'page', int|null $page = null)
     * @method ProductAttribute sole(array|string $columns = ['*'])
     * @method ProductAttribute updateOrCreate(array $attributes, array $values = [])
     */
    class _IH_ProductAttribute_QB extends _BaseBuilder {}
    
    /**
     * @method ProductAuthor|null getOrPut($key, \Closure $value)
     * @method ProductAuthor|$this shift(int $count = 1)
     * @method ProductAuthor|null firstOrFail(callable|string $key = null, $operator = null, $value = null)
     * @method ProductAuthor|$this pop(int $count = 1)
     * @method ProductAuthor|null pull($key, \Closure $default = null)
     * @method ProductAuthor|null last(callable $callback = null, \Closure $default = null)
     * @method ProductAuthor|$this random(callable|int|null $number = null, bool $preserveKeys = false)
     * @method ProductAuthor|null sole(callable|string $key = null, $operator = null, $value = null)
     * @method ProductAuthor|null get($key, \Closure $default = null)
     * @method ProductAuthor|null first(callable $callback = null, \Closure $default = null)
     * @method ProductAuthor|null firstWhere(callable|string $key, $operator = null, $value = null)
     * @method ProductAuthor|null find($key, $default = null)
     * @method ProductAuthor[] all()
     */
    class _IH_ProductAuthor_C extends _BaseCollection {
        /**
         * @param int $size
         * @return ProductAuthor[][]|Collection<_IH_ProductAuthor_C>
         */
        public function chunk($size)
        {
            return [];
        }
    }
    
    /**
     * @method _IH_ProductAuthor_QB whereId($value)
     * @method _IH_ProductAuthor_QB wherePublicationId($value)
     * @method _IH_ProductAuthor_QB whereUserId($value)
     * @method _IH_ProductAuthor_QB whereTitle($value)
     * @method _IH_ProductAuthor_QB whereStatus($value)
     * @method _IH_ProductAuthor_QB whereLmsId($value)
     * @method _IH_ProductAuthor_QB whereImage($value)
     * @method _IH_ProductAuthor_QB whereDescription($value)
     * @method _IH_ProductAuthor_QB whereCreatedAt($value)
     * @method _IH_ProductAuthor_QB whereUpdatedAt($value)
     * @method ProductAuthor baseSole(array|string $columns = ['*'])
     * @method ProductAuthor create(array $attributes = [])
     * @method _IH_ProductAuthor_C|ProductAuthor[] cursor()
     * @method ProductAuthor|null|_IH_ProductAuthor_C|ProductAuthor[] find($id, array|string $columns = ['*'])
     * @method _IH_ProductAuthor_C|ProductAuthor[] findMany(array|Arrayable $ids, array|string $columns = ['*'])
     * @method ProductAuthor|_IH_ProductAuthor_C|ProductAuthor[] findOr($id, array|\Closure|string $columns = ['*'], \Closure $callback = null)
     * @method ProductAuthor|_IH_ProductAuthor_C|ProductAuthor[] findOrFail($id, array|string $columns = ['*'])
     * @method ProductAuthor|_IH_ProductAuthor_C|ProductAuthor[] findOrNew($id, array|string $columns = ['*'])
     * @method ProductAuthor first(array|string $columns = ['*'])
     * @method ProductAuthor firstOr(array|\Closure|string $columns = ['*'], \Closure $callback = null)
     * @method ProductAuthor firstOrCreate(array $attributes = [], array $values = [])
     * @method ProductAuthor firstOrFail(array|string $columns = ['*'])
     * @method ProductAuthor firstOrNew(array $attributes = [], array $values = [])
     * @method ProductAuthor firstWhere(array|\Closure|Expression|string $column, $operator = null, $value = null, string $boolean = 'and')
     * @method ProductAuthor forceCreate(array $attributes)
     * @method _IH_ProductAuthor_C|ProductAuthor[] fromQuery(string $query, array $bindings = [])
     * @method _IH_ProductAuthor_C|ProductAuthor[] get(array|string $columns = ['*'])
     * @method ProductAuthor getModel()
     * @method ProductAuthor[] getModels(array|string $columns = ['*'])
     * @method _IH_ProductAuthor_C|ProductAuthor[] hydrate(array $items)
     * @method _IH_ProductAuthor_C|ProductAuthor[] lazy(int $chunkSize = 1000)
     * @method _IH_ProductAuthor_C|ProductAuthor[] lazyById(int $chunkSize = 1000, null|string $column = null, null|string $alias = null)
     * @method _IH_ProductAuthor_C|ProductAuthor[] lazyByIdDesc(int $chunkSize = 1000, null|string $column = null, null|string $alias = null)
     * @method ProductAuthor make(array $attributes = [])
     * @method ProductAuthor newModelInstance(array $attributes = [])
     * @method LengthAwarePaginator|ProductAuthor[]|_IH_ProductAuthor_C paginate(\Closure|int|null $perPage = null, array|string $columns = ['*'], string $pageName = 'page', int|null $page = null)
     * @method Paginator|ProductAuthor[]|_IH_ProductAuthor_C simplePaginate(int|null $perPage = null, array|string $columns = ['*'], string $pageName = 'page', int|null $page = null)
     * @method ProductAuthor sole(array|string $columns = ['*'])
     * @method ProductAuthor updateOrCreate(array $attributes, array $values = [])
     */
    class _IH_ProductAuthor_QB extends _BaseBuilder {}
    
    /**
     * @method ProductBrand|null getOrPut($key, \Closure $value)
     * @method ProductBrand|$this shift(int $count = 1)
     * @method ProductBrand|null firstOrFail(callable|string $key = null, $operator = null, $value = null)
     * @method ProductBrand|$this pop(int $count = 1)
     * @method ProductBrand|null pull($key, \Closure $default = null)
     * @method ProductBrand|null last(callable $callback = null, \Closure $default = null)
     * @method ProductBrand|$this random(callable|int|null $number = null, bool $preserveKeys = false)
     * @method ProductBrand|null sole(callable|string $key = null, $operator = null, $value = null)
     * @method ProductBrand|null get($key, \Closure $default = null)
     * @method ProductBrand|null first(callable $callback = null, \Closure $default = null)
     * @method ProductBrand|null firstWhere(callable|string $key, $operator = null, $value = null)
     * @method ProductBrand|null find($key, $default = null)
     * @method ProductBrand[] all()
     */
    class _IH_ProductBrand_C extends _BaseCollection {
        /**
         * @param int $size
         * @return ProductBrand[][]|Collection<_IH_ProductBrand_C>
         */
        public function chunk($size)
        {
            return [];
        }
    }
    
    /**
     * @method _IH_ProductBrand_QB whereId($value)
     * @method _IH_ProductBrand_QB whereName($value)
     * @method _IH_ProductBrand_QB whereLogo($value)
     * @method _IH_ProductBrand_QB whereDescription($value)
     * @method _IH_ProductBrand_QB whereLink($value)
     * @method _IH_ProductBrand_QB whereStatus($value)
     * @method _IH_ProductBrand_QB whereFeatured($value)
     * @method _IH_ProductBrand_QB whereMetaTitle($value)
     * @method _IH_ProductBrand_QB whereMetaDescription($value)
     * @method _IH_ProductBrand_QB whereSortId($value)
     * @method _IH_ProductBrand_QB whereTotalSale($value)
     * @method _IH_ProductBrand_QB whereAvgRating($value)
     * @method _IH_ProductBrand_QB whereSlug($value)
     * @method _IH_ProductBrand_QB whereCreatedBy($value)
     * @method _IH_ProductBrand_QB whereUpdatedBy($value)
     * @method _IH_ProductBrand_QB whereLmsId($value)
     * @method _IH_ProductBrand_QB whereCreatedAt($value)
     * @method _IH_ProductBrand_QB whereUpdatedAt($value)
     * @method ProductBrand baseSole(array|string $columns = ['*'])
     * @method ProductBrand create(array $attributes = [])
     * @method _IH_ProductBrand_C|ProductBrand[] cursor()
     * @method ProductBrand|null|_IH_ProductBrand_C|ProductBrand[] find($id, array|string $columns = ['*'])
     * @method _IH_ProductBrand_C|ProductBrand[] findMany(array|Arrayable $ids, array|string $columns = ['*'])
     * @method ProductBrand|_IH_ProductBrand_C|ProductBrand[] findOr($id, array|\Closure|string $columns = ['*'], \Closure $callback = null)
     * @method ProductBrand|_IH_ProductBrand_C|ProductBrand[] findOrFail($id, array|string $columns = ['*'])
     * @method ProductBrand|_IH_ProductBrand_C|ProductBrand[] findOrNew($id, array|string $columns = ['*'])
     * @method ProductBrand first(array|string $columns = ['*'])
     * @method ProductBrand firstOr(array|\Closure|string $columns = ['*'], \Closure $callback = null)
     * @method ProductBrand firstOrCreate(array $attributes = [], array $values = [])
     * @method ProductBrand firstOrFail(array|string $columns = ['*'])
     * @method ProductBrand firstOrNew(array $attributes = [], array $values = [])
     * @method ProductBrand firstWhere(array|\Closure|Expression|string $column, $operator = null, $value = null, string $boolean = 'and')
     * @method ProductBrand forceCreate(array $attributes)
     * @method _IH_ProductBrand_C|ProductBrand[] fromQuery(string $query, array $bindings = [])
     * @method _IH_ProductBrand_C|ProductBrand[] get(array|string $columns = ['*'])
     * @method ProductBrand getModel()
     * @method ProductBrand[] getModels(array|string $columns = ['*'])
     * @method _IH_ProductBrand_C|ProductBrand[] hydrate(array $items)
     * @method _IH_ProductBrand_C|ProductBrand[] lazy(int $chunkSize = 1000)
     * @method _IH_ProductBrand_C|ProductBrand[] lazyById(int $chunkSize = 1000, null|string $column = null, null|string $alias = null)
     * @method _IH_ProductBrand_C|ProductBrand[] lazyByIdDesc(int $chunkSize = 1000, null|string $column = null, null|string $alias = null)
     * @method ProductBrand make(array $attributes = [])
     * @method ProductBrand newModelInstance(array $attributes = [])
     * @method LengthAwarePaginator|ProductBrand[]|_IH_ProductBrand_C paginate(\Closure|int|null $perPage = null, array|string $columns = ['*'], string $pageName = 'page', int|null $page = null)
     * @method Paginator|ProductBrand[]|_IH_ProductBrand_C simplePaginate(int|null $perPage = null, array|string $columns = ['*'], string $pageName = 'page', int|null $page = null)
     * @method ProductBrand sole(array|string $columns = ['*'])
     * @method ProductBrand updateOrCreate(array $attributes, array $values = [])
     */
    class _IH_ProductBrand_QB extends _BaseBuilder {}
    
    /**
     * @method ProductCarrier|null getOrPut($key, \Closure $value)
     * @method ProductCarrier|$this shift(int $count = 1)
     * @method ProductCarrier|null firstOrFail(callable|string $key = null, $operator = null, $value = null)
     * @method ProductCarrier|$this pop(int $count = 1)
     * @method ProductCarrier|null pull($key, \Closure $default = null)
     * @method ProductCarrier|null last(callable $callback = null, \Closure $default = null)
     * @method ProductCarrier|$this random(callable|int|null $number = null, bool $preserveKeys = false)
     * @method ProductCarrier|null sole(callable|string $key = null, $operator = null, $value = null)
     * @method ProductCarrier|null get($key, \Closure $default = null)
     * @method ProductCarrier|null first(callable $callback = null, \Closure $default = null)
     * @method ProductCarrier|null firstWhere(callable|string $key, $operator = null, $value = null)
     * @method ProductCarrier|null find($key, $default = null)
     * @method ProductCarrier[] all()
     */
    class _IH_ProductCarrier_C extends _BaseCollection {
        /**
         * @param int $size
         * @return ProductCarrier[][]|Collection<_IH_ProductCarrier_C>
         */
        public function chunk($size)
        {
            return [];
        }
    }
    
    /**
     * @method _IH_ProductCarrier_QB whereId($value)
     * @method _IH_ProductCarrier_QB whereName($value)
     * @method _IH_ProductCarrier_QB whereLogo($value)
     * @method _IH_ProductCarrier_QB whereType($value)
     * @method _IH_ProductCarrier_QB whereSlug($value)
     * @method _IH_ProductCarrier_QB whereTrackingUrl($value)
     * @method _IH_ProductCarrier_QB whereStatus($value)
     * @method _IH_ProductCarrier_QB whereCreatedBy($value)
     * @method _IH_ProductCarrier_QB whereLmsId($value)
     * @method _IH_ProductCarrier_QB whereCreatedAt($value)
     * @method _IH_ProductCarrier_QB whereUpdatedAt($value)
     * @method ProductCarrier baseSole(array|string $columns = ['*'])
     * @method ProductCarrier create(array $attributes = [])
     * @method _IH_ProductCarrier_C|ProductCarrier[] cursor()
     * @method ProductCarrier|null|_IH_ProductCarrier_C|ProductCarrier[] find($id, array|string $columns = ['*'])
     * @method _IH_ProductCarrier_C|ProductCarrier[] findMany(array|Arrayable $ids, array|string $columns = ['*'])
     * @method ProductCarrier|_IH_ProductCarrier_C|ProductCarrier[] findOr($id, array|\Closure|string $columns = ['*'], \Closure $callback = null)
     * @method ProductCarrier|_IH_ProductCarrier_C|ProductCarrier[] findOrFail($id, array|string $columns = ['*'])
     * @method ProductCarrier|_IH_ProductCarrier_C|ProductCarrier[] findOrNew($id, array|string $columns = ['*'])
     * @method ProductCarrier first(array|string $columns = ['*'])
     * @method ProductCarrier firstOr(array|\Closure|string $columns = ['*'], \Closure $callback = null)
     * @method ProductCarrier firstOrCreate(array $attributes = [], array $values = [])
     * @method ProductCarrier firstOrFail(array|string $columns = ['*'])
     * @method ProductCarrier firstOrNew(array $attributes = [], array $values = [])
     * @method ProductCarrier firstWhere(array|\Closure|Expression|string $column, $operator = null, $value = null, string $boolean = 'and')
     * @method ProductCarrier forceCreate(array $attributes)
     * @method _IH_ProductCarrier_C|ProductCarrier[] fromQuery(string $query, array $bindings = [])
     * @method _IH_ProductCarrier_C|ProductCarrier[] get(array|string $columns = ['*'])
     * @method ProductCarrier getModel()
     * @method ProductCarrier[] getModels(array|string $columns = ['*'])
     * @method _IH_ProductCarrier_C|ProductCarrier[] hydrate(array $items)
     * @method _IH_ProductCarrier_C|ProductCarrier[] lazy(int $chunkSize = 1000)
     * @method _IH_ProductCarrier_C|ProductCarrier[] lazyById(int $chunkSize = 1000, null|string $column = null, null|string $alias = null)
     * @method _IH_ProductCarrier_C|ProductCarrier[] lazyByIdDesc(int $chunkSize = 1000, null|string $column = null, null|string $alias = null)
     * @method ProductCarrier make(array $attributes = [])
     * @method ProductCarrier newModelInstance(array $attributes = [])
     * @method LengthAwarePaginator|ProductCarrier[]|_IH_ProductCarrier_C paginate(\Closure|int|null $perPage = null, array|string $columns = ['*'], string $pageName = 'page', int|null $page = null)
     * @method Paginator|ProductCarrier[]|_IH_ProductCarrier_C simplePaginate(int|null $perPage = null, array|string $columns = ['*'], string $pageName = 'page', int|null $page = null)
     * @method ProductCarrier sole(array|string $columns = ['*'])
     * @method ProductCarrier updateOrCreate(array $attributes, array $values = [])
     */
    class _IH_ProductCarrier_QB extends _BaseBuilder {}
    
    /**
     * @method ProductCategory|null getOrPut($key, \Closure $value)
     * @method ProductCategory|$this shift(int $count = 1)
     * @method ProductCategory|null firstOrFail(callable|string $key = null, $operator = null, $value = null)
     * @method ProductCategory|$this pop(int $count = 1)
     * @method ProductCategory|null pull($key, \Closure $default = null)
     * @method ProductCategory|null last(callable $callback = null, \Closure $default = null)
     * @method ProductCategory|$this random(callable|int|null $number = null, bool $preserveKeys = false)
     * @method ProductCategory|null sole(callable|string $key = null, $operator = null, $value = null)
     * @method ProductCategory|null get($key, \Closure $default = null)
     * @method ProductCategory|null first(callable $callback = null, \Closure $default = null)
     * @method ProductCategory|null firstWhere(callable|string $key, $operator = null, $value = null)
     * @method ProductCategory|null find($key, $default = null)
     * @method ProductCategory[] all()
     */
    class _IH_ProductCategory_C extends _BaseCollection {
        /**
         * @param int $size
         * @return ProductCategory[][]|Collection<_IH_ProductCategory_C>
         */
        public function chunk($size)
        {
            return [];
        }
    }
    
    /**
     * @method _IH_ProductCategory_QB whereId($value)
     * @method _IH_ProductCategory_QB whereUserId($value)
     * @method _IH_ProductCategory_QB whereTitle($value)
     * @method _IH_ProductCategory_QB wherePositionOrder($value)
     * @method _IH_ProductCategory_QB whereStatus($value)
     * @method _IH_ProductCategory_QB whereParentId($value)
     * @method _IH_ProductCategory_QB whereLmsId($value)
     * @method _IH_ProductCategory_QB whereTags($value)
     * @method _IH_ProductCategory_QB whereImage($value)
     * @method _IH_ProductCategory_QB whereThumbnail($value)
     * @method _IH_ProductCategory_QB whereCreatedAt($value)
     * @method _IH_ProductCategory_QB whereUpdatedAt($value)
     * @method ProductCategory baseSole(array|string $columns = ['*'])
     * @method ProductCategory create(array $attributes = [])
     * @method _IH_ProductCategory_C|ProductCategory[] cursor()
     * @method ProductCategory|null|_IH_ProductCategory_C|ProductCategory[] find($id, array|string $columns = ['*'])
     * @method _IH_ProductCategory_C|ProductCategory[] findMany(array|Arrayable $ids, array|string $columns = ['*'])
     * @method ProductCategory|_IH_ProductCategory_C|ProductCategory[] findOr($id, array|\Closure|string $columns = ['*'], \Closure $callback = null)
     * @method ProductCategory|_IH_ProductCategory_C|ProductCategory[] findOrFail($id, array|string $columns = ['*'])
     * @method ProductCategory|_IH_ProductCategory_C|ProductCategory[] findOrNew($id, array|string $columns = ['*'])
     * @method ProductCategory first(array|string $columns = ['*'])
     * @method ProductCategory firstOr(array|\Closure|string $columns = ['*'], \Closure $callback = null)
     * @method ProductCategory firstOrCreate(array $attributes = [], array $values = [])
     * @method ProductCategory firstOrFail(array|string $columns = ['*'])
     * @method ProductCategory firstOrNew(array $attributes = [], array $values = [])
     * @method ProductCategory firstWhere(array|\Closure|Expression|string $column, $operator = null, $value = null, string $boolean = 'and')
     * @method ProductCategory forceCreate(array $attributes)
     * @method _IH_ProductCategory_C|ProductCategory[] fromQuery(string $query, array $bindings = [])
     * @method _IH_ProductCategory_C|ProductCategory[] get(array|string $columns = ['*'])
     * @method ProductCategory getModel()
     * @method ProductCategory[] getModels(array|string $columns = ['*'])
     * @method _IH_ProductCategory_C|ProductCategory[] hydrate(array $items)
     * @method _IH_ProductCategory_C|ProductCategory[] lazy(int $chunkSize = 1000)
     * @method _IH_ProductCategory_C|ProductCategory[] lazyById(int $chunkSize = 1000, null|string $column = null, null|string $alias = null)
     * @method _IH_ProductCategory_C|ProductCategory[] lazyByIdDesc(int $chunkSize = 1000, null|string $column = null, null|string $alias = null)
     * @method ProductCategory make(array $attributes = [])
     * @method ProductCategory newModelInstance(array $attributes = [])
     * @method LengthAwarePaginator|ProductCategory[]|_IH_ProductCategory_C paginate(\Closure|int|null $perPage = null, array|string $columns = ['*'], string $pageName = 'page', int|null $page = null)
     * @method Paginator|ProductCategory[]|_IH_ProductCategory_C simplePaginate(int|null $perPage = null, array|string $columns = ['*'], string $pageName = 'page', int|null $page = null)
     * @method ProductCategory sole(array|string $columns = ['*'])
     * @method ProductCategory updateOrCreate(array $attributes, array $values = [])
     */
    class _IH_ProductCategory_QB extends _BaseBuilder {}
    
    /**
     * @method ProductImage|null getOrPut($key, \Closure $value)
     * @method ProductImage|$this shift(int $count = 1)
     * @method ProductImage|null firstOrFail(callable|string $key = null, $operator = null, $value = null)
     * @method ProductImage|$this pop(int $count = 1)
     * @method ProductImage|null pull($key, \Closure $default = null)
     * @method ProductImage|null last(callable $callback = null, \Closure $default = null)
     * @method ProductImage|$this random(callable|int|null $number = null, bool $preserveKeys = false)
     * @method ProductImage|null sole(callable|string $key = null, $operator = null, $value = null)
     * @method ProductImage|null get($key, \Closure $default = null)
     * @method ProductImage|null first(callable $callback = null, \Closure $default = null)
     * @method ProductImage|null firstWhere(callable|string $key, $operator = null, $value = null)
     * @method ProductImage|null find($key, $default = null)
     * @method ProductImage[] all()
     */
    class _IH_ProductImage_C extends _BaseCollection {
        /**
         * @param int $size
         * @return ProductImage[][]|Collection<_IH_ProductImage_C>
         */
        public function chunk($size)
        {
            return [];
        }
    }
    
    /**
     * @method _IH_ProductImage_QB whereId($value)
     * @method _IH_ProductImage_QB whereProductId($value)
     * @method _IH_ProductImage_QB whereThumbnail($value)
     * @method _IH_ProductImage_QB whereCreatedAt($value)
     * @method _IH_ProductImage_QB whereUpdatedAt($value)
     * @method ProductImage baseSole(array|string $columns = ['*'])
     * @method ProductImage create(array $attributes = [])
     * @method _IH_ProductImage_C|ProductImage[] cursor()
     * @method ProductImage|null|_IH_ProductImage_C|ProductImage[] find($id, array|string $columns = ['*'])
     * @method _IH_ProductImage_C|ProductImage[] findMany(array|Arrayable $ids, array|string $columns = ['*'])
     * @method ProductImage|_IH_ProductImage_C|ProductImage[] findOr($id, array|\Closure|string $columns = ['*'], \Closure $callback = null)
     * @method ProductImage|_IH_ProductImage_C|ProductImage[] findOrFail($id, array|string $columns = ['*'])
     * @method ProductImage|_IH_ProductImage_C|ProductImage[] findOrNew($id, array|string $columns = ['*'])
     * @method ProductImage first(array|string $columns = ['*'])
     * @method ProductImage firstOr(array|\Closure|string $columns = ['*'], \Closure $callback = null)
     * @method ProductImage firstOrCreate(array $attributes = [], array $values = [])
     * @method ProductImage firstOrFail(array|string $columns = ['*'])
     * @method ProductImage firstOrNew(array $attributes = [], array $values = [])
     * @method ProductImage firstWhere(array|\Closure|Expression|string $column, $operator = null, $value = null, string $boolean = 'and')
     * @method ProductImage forceCreate(array $attributes)
     * @method _IH_ProductImage_C|ProductImage[] fromQuery(string $query, array $bindings = [])
     * @method _IH_ProductImage_C|ProductImage[] get(array|string $columns = ['*'])
     * @method ProductImage getModel()
     * @method ProductImage[] getModels(array|string $columns = ['*'])
     * @method _IH_ProductImage_C|ProductImage[] hydrate(array $items)
     * @method _IH_ProductImage_C|ProductImage[] lazy(int $chunkSize = 1000)
     * @method _IH_ProductImage_C|ProductImage[] lazyById(int $chunkSize = 1000, null|string $column = null, null|string $alias = null)
     * @method _IH_ProductImage_C|ProductImage[] lazyByIdDesc(int $chunkSize = 1000, null|string $column = null, null|string $alias = null)
     * @method ProductImage make(array $attributes = [])
     * @method ProductImage newModelInstance(array $attributes = [])
     * @method LengthAwarePaginator|ProductImage[]|_IH_ProductImage_C paginate(\Closure|int|null $perPage = null, array|string $columns = ['*'], string $pageName = 'page', int|null $page = null)
     * @method Paginator|ProductImage[]|_IH_ProductImage_C simplePaginate(int|null $perPage = null, array|string $columns = ['*'], string $pageName = 'page', int|null $page = null)
     * @method ProductImage sole(array|string $columns = ['*'])
     * @method ProductImage updateOrCreate(array $attributes, array $values = [])
     */
    class _IH_ProductImage_QB extends _BaseBuilder {}
    
    /**
     * @method ProductOrder|null getOrPut($key, \Closure $value)
     * @method ProductOrder|$this shift(int $count = 1)
     * @method ProductOrder|null firstOrFail(callable|string $key = null, $operator = null, $value = null)
     * @method ProductOrder|$this pop(int $count = 1)
     * @method ProductOrder|null pull($key, \Closure $default = null)
     * @method ProductOrder|null last(callable $callback = null, \Closure $default = null)
     * @method ProductOrder|$this random(callable|int|null $number = null, bool $preserveKeys = false)
     * @method ProductOrder|null sole(callable|string $key = null, $operator = null, $value = null)
     * @method ProductOrder|null get($key, \Closure $default = null)
     * @method ProductOrder|null first(callable $callback = null, \Closure $default = null)
     * @method ProductOrder|null firstWhere(callable|string $key, $operator = null, $value = null)
     * @method ProductOrder|null find($key, $default = null)
     * @method ProductOrder[] all()
     */
    class _IH_ProductOrder_C extends _BaseCollection {
        /**
         * @param int $size
         * @return ProductOrder[][]|Collection<_IH_ProductOrder_C>
         */
        public function chunk($size)
        {
            return [];
        }
    }
    
    /**
     * @method _IH_ProductOrder_QB whereId($value)
     * @method _IH_ProductOrder_QB whereOrderId($value)
     * @method _IH_ProductOrder_QB whereProductId($value)
     * @method _IH_ProductOrder_QB whereCustomerId($value)
     * @method _IH_ProductOrder_QB whereQuantity($value)
     * @method _IH_ProductOrder_QB whereUnitPrice($value)
     * @method _IH_ProductOrder_QB whereTotalPrice($value)
     * @method _IH_ProductOrder_QB whereDiscountAmount($value)
     * @method _IH_ProductOrder_QB whereNetPrice($value)
     * @method _IH_ProductOrder_QB wherePaymentMethod($value)
     * @method _IH_ProductOrder_QB wherePaymentStatus($value)
     * @method _IH_ProductOrder_QB whereOrderStatus($value)
     * @method _IH_ProductOrder_QB whereOrderDate($value)
     * @method _IH_ProductOrder_QB whereDeliveryDate($value)
     * @method _IH_ProductOrder_QB whereDiscountAssignedBy($value)
     * @method _IH_ProductOrder_QB whereDiscountCode($value)
     * @method _IH_ProductOrder_QB whereDeliveryType($value)
     * @method _IH_ProductOrder_QB wherePickupLocationId($value)
     * @method _IH_ProductOrder_QB whereLmsId($value)
     * @method _IH_ProductOrder_QB whereCreatedAt($value)
     * @method _IH_ProductOrder_QB whereUpdatedAt($value)
     * @method ProductOrder baseSole(array|string $columns = ['*'])
     * @method ProductOrder create(array $attributes = [])
     * @method _IH_ProductOrder_C|ProductOrder[] cursor()
     * @method ProductOrder|null|_IH_ProductOrder_C|ProductOrder[] find($id, array|string $columns = ['*'])
     * @method _IH_ProductOrder_C|ProductOrder[] findMany(array|Arrayable $ids, array|string $columns = ['*'])
     * @method ProductOrder|_IH_ProductOrder_C|ProductOrder[] findOr($id, array|\Closure|string $columns = ['*'], \Closure $callback = null)
     * @method ProductOrder|_IH_ProductOrder_C|ProductOrder[] findOrFail($id, array|string $columns = ['*'])
     * @method ProductOrder|_IH_ProductOrder_C|ProductOrder[] findOrNew($id, array|string $columns = ['*'])
     * @method ProductOrder first(array|string $columns = ['*'])
     * @method ProductOrder firstOr(array|\Closure|string $columns = ['*'], \Closure $callback = null)
     * @method ProductOrder firstOrCreate(array $attributes = [], array $values = [])
     * @method ProductOrder firstOrFail(array|string $columns = ['*'])
     * @method ProductOrder firstOrNew(array $attributes = [], array $values = [])
     * @method ProductOrder firstWhere(array|\Closure|Expression|string $column, $operator = null, $value = null, string $boolean = 'and')
     * @method ProductOrder forceCreate(array $attributes)
     * @method _IH_ProductOrder_C|ProductOrder[] fromQuery(string $query, array $bindings = [])
     * @method _IH_ProductOrder_C|ProductOrder[] get(array|string $columns = ['*'])
     * @method ProductOrder getModel()
     * @method ProductOrder[] getModels(array|string $columns = ['*'])
     * @method _IH_ProductOrder_C|ProductOrder[] hydrate(array $items)
     * @method _IH_ProductOrder_C|ProductOrder[] lazy(int $chunkSize = 1000)
     * @method _IH_ProductOrder_C|ProductOrder[] lazyById(int $chunkSize = 1000, null|string $column = null, null|string $alias = null)
     * @method _IH_ProductOrder_C|ProductOrder[] lazyByIdDesc(int $chunkSize = 1000, null|string $column = null, null|string $alias = null)
     * @method ProductOrder make(array $attributes = [])
     * @method ProductOrder newModelInstance(array $attributes = [])
     * @method LengthAwarePaginator|ProductOrder[]|_IH_ProductOrder_C paginate(\Closure|int|null $perPage = null, array|string $columns = ['*'], string $pageName = 'page', int|null $page = null)
     * @method Paginator|ProductOrder[]|_IH_ProductOrder_C simplePaginate(int|null $perPage = null, array|string $columns = ['*'], string $pageName = 'page', int|null $page = null)
     * @method ProductOrder sole(array|string $columns = ['*'])
     * @method ProductOrder updateOrCreate(array $attributes, array $values = [])
     */
    class _IH_ProductOrder_QB extends _BaseBuilder {}
    
    /**
     * @method ProductPublication|null getOrPut($key, \Closure $value)
     * @method ProductPublication|$this shift(int $count = 1)
     * @method ProductPublication|null firstOrFail(callable|string $key = null, $operator = null, $value = null)
     * @method ProductPublication|$this pop(int $count = 1)
     * @method ProductPublication|null pull($key, \Closure $default = null)
     * @method ProductPublication|null last(callable $callback = null, \Closure $default = null)
     * @method ProductPublication|$this random(callable|int|null $number = null, bool $preserveKeys = false)
     * @method ProductPublication|null sole(callable|string $key = null, $operator = null, $value = null)
     * @method ProductPublication|null get($key, \Closure $default = null)
     * @method ProductPublication|null first(callable $callback = null, \Closure $default = null)
     * @method ProductPublication|null firstWhere(callable|string $key, $operator = null, $value = null)
     * @method ProductPublication|null find($key, $default = null)
     * @method ProductPublication[] all()
     */
    class _IH_ProductPublication_C extends _BaseCollection {
        /**
         * @param int $size
         * @return ProductPublication[][]|Collection<_IH_ProductPublication_C>
         */
        public function chunk($size)
        {
            return [];
        }
    }
    
    /**
     * @method _IH_ProductPublication_QB whereId($value)
     * @method _IH_ProductPublication_QB whereName($value)
     * @method _IH_ProductPublication_QB whereDescription($value)
     * @method _IH_ProductPublication_QB whereLogo($value)
     * @method _IH_ProductPublication_QB whereStatus($value)
     * @method _IH_ProductPublication_QB whereCreatedBy($value)
     * @method _IH_ProductPublication_QB whereUpdatedBy($value)
     * @method _IH_ProductPublication_QB whereLmsId($value)
     * @method _IH_ProductPublication_QB whereCreatedAt($value)
     * @method _IH_ProductPublication_QB whereUpdatedAt($value)
     * @method ProductPublication baseSole(array|string $columns = ['*'])
     * @method ProductPublication create(array $attributes = [])
     * @method _IH_ProductPublication_C|ProductPublication[] cursor()
     * @method ProductPublication|null|_IH_ProductPublication_C|ProductPublication[] find($id, array|string $columns = ['*'])
     * @method _IH_ProductPublication_C|ProductPublication[] findMany(array|Arrayable $ids, array|string $columns = ['*'])
     * @method ProductPublication|_IH_ProductPublication_C|ProductPublication[] findOr($id, array|\Closure|string $columns = ['*'], \Closure $callback = null)
     * @method ProductPublication|_IH_ProductPublication_C|ProductPublication[] findOrFail($id, array|string $columns = ['*'])
     * @method ProductPublication|_IH_ProductPublication_C|ProductPublication[] findOrNew($id, array|string $columns = ['*'])
     * @method ProductPublication first(array|string $columns = ['*'])
     * @method ProductPublication firstOr(array|\Closure|string $columns = ['*'], \Closure $callback = null)
     * @method ProductPublication firstOrCreate(array $attributes = [], array $values = [])
     * @method ProductPublication firstOrFail(array|string $columns = ['*'])
     * @method ProductPublication firstOrNew(array $attributes = [], array $values = [])
     * @method ProductPublication firstWhere(array|\Closure|Expression|string $column, $operator = null, $value = null, string $boolean = 'and')
     * @method ProductPublication forceCreate(array $attributes)
     * @method _IH_ProductPublication_C|ProductPublication[] fromQuery(string $query, array $bindings = [])
     * @method _IH_ProductPublication_C|ProductPublication[] get(array|string $columns = ['*'])
     * @method ProductPublication getModel()
     * @method ProductPublication[] getModels(array|string $columns = ['*'])
     * @method _IH_ProductPublication_C|ProductPublication[] hydrate(array $items)
     * @method _IH_ProductPublication_C|ProductPublication[] lazy(int $chunkSize = 1000)
     * @method _IH_ProductPublication_C|ProductPublication[] lazyById(int $chunkSize = 1000, null|string $column = null, null|string $alias = null)
     * @method _IH_ProductPublication_C|ProductPublication[] lazyByIdDesc(int $chunkSize = 1000, null|string $column = null, null|string $alias = null)
     * @method ProductPublication make(array $attributes = [])
     * @method ProductPublication newModelInstance(array $attributes = [])
     * @method LengthAwarePaginator|ProductPublication[]|_IH_ProductPublication_C paginate(\Closure|int|null $perPage = null, array|string $columns = ['*'], string $pageName = 'page', int|null $page = null)
     * @method Paginator|ProductPublication[]|_IH_ProductPublication_C simplePaginate(int|null $perPage = null, array|string $columns = ['*'], string $pageName = 'page', int|null $page = null)
     * @method ProductPublication sole(array|string $columns = ['*'])
     * @method ProductPublication updateOrCreate(array $attributes, array $values = [])
     */
    class _IH_ProductPublication_QB extends _BaseBuilder {}
    
    /**
     * @method ProductShipping|null getOrPut($key, \Closure $value)
     * @method ProductShipping|$this shift(int $count = 1)
     * @method ProductShipping|null firstOrFail(callable|string $key = null, $operator = null, $value = null)
     * @method ProductShipping|$this pop(int $count = 1)
     * @method ProductShipping|null pull($key, \Closure $default = null)
     * @method ProductShipping|null last(callable $callback = null, \Closure $default = null)
     * @method ProductShipping|$this random(callable|int|null $number = null, bool $preserveKeys = false)
     * @method ProductShipping|null sole(callable|string $key = null, $operator = null, $value = null)
     * @method ProductShipping|null get($key, \Closure $default = null)
     * @method ProductShipping|null first(callable $callback = null, \Closure $default = null)
     * @method ProductShipping|null firstWhere(callable|string $key, $operator = null, $value = null)
     * @method ProductShipping|null find($key, $default = null)
     * @method ProductShipping[] all()
     */
    class _IH_ProductShipping_C extends _BaseCollection {
        /**
         * @param int $size
         * @return ProductShipping[][]|Collection<_IH_ProductShipping_C>
         */
        public function chunk($size)
        {
            return [];
        }
    }
    
    /**
     * @method _IH_ProductShipping_QB whereId($value)
     * @method _IH_ProductShipping_QB whereProductId($value)
     * @method _IH_ProductShipping_QB whereShippingMethodId($value)
     * @method _IH_ProductShipping_QB whereCreatedBy($value)
     * @method _IH_ProductShipping_QB whereUpdatedBy($value)
     * @method _IH_ProductShipping_QB whereCreatedAt($value)
     * @method _IH_ProductShipping_QB whereUpdatedAt($value)
     * @method ProductShipping baseSole(array|string $columns = ['*'])
     * @method ProductShipping create(array $attributes = [])
     * @method _IH_ProductShipping_C|ProductShipping[] cursor()
     * @method ProductShipping|null|_IH_ProductShipping_C|ProductShipping[] find($id, array|string $columns = ['*'])
     * @method _IH_ProductShipping_C|ProductShipping[] findMany(array|Arrayable $ids, array|string $columns = ['*'])
     * @method ProductShipping|_IH_ProductShipping_C|ProductShipping[] findOr($id, array|\Closure|string $columns = ['*'], \Closure $callback = null)
     * @method ProductShipping|_IH_ProductShipping_C|ProductShipping[] findOrFail($id, array|string $columns = ['*'])
     * @method ProductShipping|_IH_ProductShipping_C|ProductShipping[] findOrNew($id, array|string $columns = ['*'])
     * @method ProductShipping first(array|string $columns = ['*'])
     * @method ProductShipping firstOr(array|\Closure|string $columns = ['*'], \Closure $callback = null)
     * @method ProductShipping firstOrCreate(array $attributes = [], array $values = [])
     * @method ProductShipping firstOrFail(array|string $columns = ['*'])
     * @method ProductShipping firstOrNew(array $attributes = [], array $values = [])
     * @method ProductShipping firstWhere(array|\Closure|Expression|string $column, $operator = null, $value = null, string $boolean = 'and')
     * @method ProductShipping forceCreate(array $attributes)
     * @method _IH_ProductShipping_C|ProductShipping[] fromQuery(string $query, array $bindings = [])
     * @method _IH_ProductShipping_C|ProductShipping[] get(array|string $columns = ['*'])
     * @method ProductShipping getModel()
     * @method ProductShipping[] getModels(array|string $columns = ['*'])
     * @method _IH_ProductShipping_C|ProductShipping[] hydrate(array $items)
     * @method _IH_ProductShipping_C|ProductShipping[] lazy(int $chunkSize = 1000)
     * @method _IH_ProductShipping_C|ProductShipping[] lazyById(int $chunkSize = 1000, null|string $column = null, null|string $alias = null)
     * @method _IH_ProductShipping_C|ProductShipping[] lazyByIdDesc(int $chunkSize = 1000, null|string $column = null, null|string $alias = null)
     * @method ProductShipping make(array $attributes = [])
     * @method ProductShipping newModelInstance(array $attributes = [])
     * @method LengthAwarePaginator|ProductShipping[]|_IH_ProductShipping_C paginate(\Closure|int|null $perPage = null, array|string $columns = ['*'], string $pageName = 'page', int|null $page = null)
     * @method Paginator|ProductShipping[]|_IH_ProductShipping_C simplePaginate(int|null $perPage = null, array|string $columns = ['*'], string $pageName = 'page', int|null $page = null)
     * @method ProductShipping sole(array|string $columns = ['*'])
     * @method ProductShipping updateOrCreate(array $attributes, array $values = [])
     */
    class _IH_ProductShipping_QB extends _BaseBuilder {}
    
    /**
     * @method ProductUnit|null getOrPut($key, \Closure $value)
     * @method ProductUnit|$this shift(int $count = 1)
     * @method ProductUnit|null firstOrFail(callable|string $key = null, $operator = null, $value = null)
     * @method ProductUnit|$this pop(int $count = 1)
     * @method ProductUnit|null pull($key, \Closure $default = null)
     * @method ProductUnit|null last(callable $callback = null, \Closure $default = null)
     * @method ProductUnit|$this random(callable|int|null $number = null, bool $preserveKeys = false)
     * @method ProductUnit|null sole(callable|string $key = null, $operator = null, $value = null)
     * @method ProductUnit|null get($key, \Closure $default = null)
     * @method ProductUnit|null first(callable $callback = null, \Closure $default = null)
     * @method ProductUnit|null firstWhere(callable|string $key, $operator = null, $value = null)
     * @method ProductUnit|null find($key, $default = null)
     * @method ProductUnit[] all()
     */
    class _IH_ProductUnit_C extends _BaseCollection {
        /**
         * @param int $size
         * @return ProductUnit[][]|Collection<_IH_ProductUnit_C>
         */
        public function chunk($size)
        {
            return [];
        }
    }
    
    /**
     * @method _IH_ProductUnit_QB whereId($value)
     * @method _IH_ProductUnit_QB whereName($value)
     * @method _IH_ProductUnit_QB whereDescription($value)
     * @method _IH_ProductUnit_QB whereStatus($value)
     * @method _IH_ProductUnit_QB whereCreatedBy($value)
     * @method _IH_ProductUnit_QB whereUpdatedBy($value)
     * @method _IH_ProductUnit_QB whereLmsId($value)
     * @method _IH_ProductUnit_QB whereCreatedAt($value)
     * @method _IH_ProductUnit_QB whereUpdatedAt($value)
     * @method ProductUnit baseSole(array|string $columns = ['*'])
     * @method ProductUnit create(array $attributes = [])
     * @method _IH_ProductUnit_C|ProductUnit[] cursor()
     * @method ProductUnit|null|_IH_ProductUnit_C|ProductUnit[] find($id, array|string $columns = ['*'])
     * @method _IH_ProductUnit_C|ProductUnit[] findMany(array|Arrayable $ids, array|string $columns = ['*'])
     * @method ProductUnit|_IH_ProductUnit_C|ProductUnit[] findOr($id, array|\Closure|string $columns = ['*'], \Closure $callback = null)
     * @method ProductUnit|_IH_ProductUnit_C|ProductUnit[] findOrFail($id, array|string $columns = ['*'])
     * @method ProductUnit|_IH_ProductUnit_C|ProductUnit[] findOrNew($id, array|string $columns = ['*'])
     * @method ProductUnit first(array|string $columns = ['*'])
     * @method ProductUnit firstOr(array|\Closure|string $columns = ['*'], \Closure $callback = null)
     * @method ProductUnit firstOrCreate(array $attributes = [], array $values = [])
     * @method ProductUnit firstOrFail(array|string $columns = ['*'])
     * @method ProductUnit firstOrNew(array $attributes = [], array $values = [])
     * @method ProductUnit firstWhere(array|\Closure|Expression|string $column, $operator = null, $value = null, string $boolean = 'and')
     * @method ProductUnit forceCreate(array $attributes)
     * @method _IH_ProductUnit_C|ProductUnit[] fromQuery(string $query, array $bindings = [])
     * @method _IH_ProductUnit_C|ProductUnit[] get(array|string $columns = ['*'])
     * @method ProductUnit getModel()
     * @method ProductUnit[] getModels(array|string $columns = ['*'])
     * @method _IH_ProductUnit_C|ProductUnit[] hydrate(array $items)
     * @method _IH_ProductUnit_C|ProductUnit[] lazy(int $chunkSize = 1000)
     * @method _IH_ProductUnit_C|ProductUnit[] lazyById(int $chunkSize = 1000, null|string $column = null, null|string $alias = null)
     * @method _IH_ProductUnit_C|ProductUnit[] lazyByIdDesc(int $chunkSize = 1000, null|string $column = null, null|string $alias = null)
     * @method ProductUnit make(array $attributes = [])
     * @method ProductUnit newModelInstance(array $attributes = [])
     * @method LengthAwarePaginator|ProductUnit[]|_IH_ProductUnit_C paginate(\Closure|int|null $perPage = null, array|string $columns = ['*'], string $pageName = 'page', int|null $page = null)
     * @method Paginator|ProductUnit[]|_IH_ProductUnit_C simplePaginate(int|null $perPage = null, array|string $columns = ['*'], string $pageName = 'page', int|null $page = null)
     * @method ProductUnit sole(array|string $columns = ['*'])
     * @method ProductUnit updateOrCreate(array $attributes, array $values = [])
     */
    class _IH_ProductUnit_QB extends _BaseBuilder {}
    
    /**
     * @method ProductVariant|null getOrPut($key, \Closure $value)
     * @method ProductVariant|$this shift(int $count = 1)
     * @method ProductVariant|null firstOrFail(callable|string $key = null, $operator = null, $value = null)
     * @method ProductVariant|$this pop(int $count = 1)
     * @method ProductVariant|null pull($key, \Closure $default = null)
     * @method ProductVariant|null last(callable $callback = null, \Closure $default = null)
     * @method ProductVariant|$this random(callable|int|null $number = null, bool $preserveKeys = false)
     * @method ProductVariant|null sole(callable|string $key = null, $operator = null, $value = null)
     * @method ProductVariant|null get($key, \Closure $default = null)
     * @method ProductVariant|null first(callable $callback = null, \Closure $default = null)
     * @method ProductVariant|null firstWhere(callable|string $key, $operator = null, $value = null)
     * @method ProductVariant|null find($key, $default = null)
     * @method ProductVariant[] all()
     */
    class _IH_ProductVariant_C extends _BaseCollection {
        /**
         * @param int $size
         * @return ProductVariant[][]|Collection<_IH_ProductVariant_C>
         */
        public function chunk($size)
        {
            return [];
        }
    }
    
    /**
     * @method _IH_ProductVariant_QB whereId($value)
     * @method _IH_ProductVariant_QB whereCreatedAt($value)
     * @method _IH_ProductVariant_QB whereUpdatedAt($value)
     * @method _IH_ProductVariant_QB whereAttributeId($value)
     * @method _IH_ProductVariant_QB whereAttributeValueId($value)
     * @method _IH_ProductVariant_QB whereProductId($value)
     * @method _IH_ProductVariant_QB whereProductPrice($value)
     * @method _IH_ProductVariant_QB whereVariantImage($value)
     * @method _IH_ProductVariant_QB whereStatus($value)
     * @method _IH_ProductVariant_QB whereProductStock($value)
     * @method ProductVariant baseSole(array|string $columns = ['*'])
     * @method ProductVariant create(array $attributes = [])
     * @method _IH_ProductVariant_C|ProductVariant[] cursor()
     * @method ProductVariant|null|_IH_ProductVariant_C|ProductVariant[] find($id, array|string $columns = ['*'])
     * @method _IH_ProductVariant_C|ProductVariant[] findMany(array|Arrayable $ids, array|string $columns = ['*'])
     * @method ProductVariant|_IH_ProductVariant_C|ProductVariant[] findOr($id, array|\Closure|string $columns = ['*'], \Closure $callback = null)
     * @method ProductVariant|_IH_ProductVariant_C|ProductVariant[] findOrFail($id, array|string $columns = ['*'])
     * @method ProductVariant|_IH_ProductVariant_C|ProductVariant[] findOrNew($id, array|string $columns = ['*'])
     * @method ProductVariant first(array|string $columns = ['*'])
     * @method ProductVariant firstOr(array|\Closure|string $columns = ['*'], \Closure $callback = null)
     * @method ProductVariant firstOrCreate(array $attributes = [], array $values = [])
     * @method ProductVariant firstOrFail(array|string $columns = ['*'])
     * @method ProductVariant firstOrNew(array $attributes = [], array $values = [])
     * @method ProductVariant firstWhere(array|\Closure|Expression|string $column, $operator = null, $value = null, string $boolean = 'and')
     * @method ProductVariant forceCreate(array $attributes)
     * @method _IH_ProductVariant_C|ProductVariant[] fromQuery(string $query, array $bindings = [])
     * @method _IH_ProductVariant_C|ProductVariant[] get(array|string $columns = ['*'])
     * @method ProductVariant getModel()
     * @method ProductVariant[] getModels(array|string $columns = ['*'])
     * @method _IH_ProductVariant_C|ProductVariant[] hydrate(array $items)
     * @method _IH_ProductVariant_C|ProductVariant[] lazy(int $chunkSize = 1000)
     * @method _IH_ProductVariant_C|ProductVariant[] lazyById(int $chunkSize = 1000, null|string $column = null, null|string $alias = null)
     * @method _IH_ProductVariant_C|ProductVariant[] lazyByIdDesc(int $chunkSize = 1000, null|string $column = null, null|string $alias = null)
     * @method ProductVariant make(array $attributes = [])
     * @method ProductVariant newModelInstance(array $attributes = [])
     * @method LengthAwarePaginator|ProductVariant[]|_IH_ProductVariant_C paginate(\Closure|int|null $perPage = null, array|string $columns = ['*'], string $pageName = 'page', int|null $page = null)
     * @method Paginator|ProductVariant[]|_IH_ProductVariant_C simplePaginate(int|null $perPage = null, array|string $columns = ['*'], string $pageName = 'page', int|null $page = null)
     * @method ProductVariant sole(array|string $columns = ['*'])
     * @method ProductVariant updateOrCreate(array $attributes, array $values = [])
     */
    class _IH_ProductVariant_QB extends _BaseBuilder {}
    
    /**
     * @method Product|null getOrPut($key, \Closure $value)
     * @method Product|$this shift(int $count = 1)
     * @method Product|null firstOrFail(callable|string $key = null, $operator = null, $value = null)
     * @method Product|$this pop(int $count = 1)
     * @method Product|null pull($key, \Closure $default = null)
     * @method Product|null last(callable $callback = null, \Closure $default = null)
     * @method Product|$this random(callable|int|null $number = null, bool $preserveKeys = false)
     * @method Product|null sole(callable|string $key = null, $operator = null, $value = null)
     * @method Product|null get($key, \Closure $default = null)
     * @method Product|null first(callable $callback = null, \Closure $default = null)
     * @method Product|null firstWhere(callable|string $key, $operator = null, $value = null)
     * @method Product|null find($key, $default = null)
     * @method Product[] all()
     */
    class _IH_Product_C extends _BaseCollection {
        /**
         * @param int $size
         * @return Product[][]|Collection<_IH_Product_C>
         */
        public function chunk($size)
        {
            return [];
        }
    }
    
    /**
     * @method _IH_Product_QB whereId($value)
     * @method _IH_Product_QB whereUserId($value)
     * @method _IH_Product_QB whereTitle($value)
     * @method _IH_Product_QB whereDescription($value)
     * @method _IH_Product_QB whereStatus($value)
     * @method _IH_Product_QB whereCategoryId($value)
     * @method _IH_Product_QB whereSubCategoryId($value)
     * @method _IH_Product_QB whereAuthorId($value)
     * @method _IH_Product_QB whereBrandId($value)
     * @method _IH_Product_QB whereUnitId($value)
     * @method _IH_Product_QB wherePrice($value)
     * @method _IH_Product_QB whereDiscountType($value)
     * @method _IH_Product_QB whereDiscount($value)
     * @method _IH_Product_QB whereImage($value)
     * @method _IH_Product_QB whereThumbnail($value)
     * @method _IH_Product_QB whereIsReadable($value)
     * @method _IH_Product_QB whereLink($value)
     * @method _IH_Product_QB whereInventory($value)
     * @method _IH_Product_QB whereInventoryWarning($value)
     * @method _IH_Product_QB whereDeliveryFee($value)
     * @method _IH_Product_QB whereDeliveryEstimatedTime($value)
     * @method _IH_Product_QB whereType($value)
     * @method _IH_Product_QB whereCommission($value)
     * @method _IH_Product_QB wherePdf($value)
     * @method _IH_Product_QB whereSoftFile($value)
     * @method _IH_Product_QB whereSpecification($value)
     * @method _IH_Product_QB whereFaq($value)
     * @method _IH_Product_QB whereLmsId($value)
     * @method _IH_Product_QB whereHasVariant($value)
     * @method _IH_Product_QB whereIsFree($value)
     * @method _IH_Product_QB whereCreatedAt($value)
     * @method _IH_Product_QB whereUpdatedAt($value)
     * @method _IH_Product_QB whereStockManage($value)
     * @method _IH_Product_QB whereStockQuantity($value)
     * @method Product baseSole(array|string $columns = ['*'])
     * @method Product create(array $attributes = [])
     * @method _IH_Product_C|Product[] cursor()
     * @method Product|null|_IH_Product_C|Product[] find($id, array|string $columns = ['*'])
     * @method _IH_Product_C|Product[] findMany(array|Arrayable $ids, array|string $columns = ['*'])
     * @method Product|_IH_Product_C|Product[] findOr($id, array|\Closure|string $columns = ['*'], \Closure $callback = null)
     * @method Product|_IH_Product_C|Product[] findOrFail($id, array|string $columns = ['*'])
     * @method Product|_IH_Product_C|Product[] findOrNew($id, array|string $columns = ['*'])
     * @method Product first(array|string $columns = ['*'])
     * @method Product firstOr(array|\Closure|string $columns = ['*'], \Closure $callback = null)
     * @method Product firstOrCreate(array $attributes = [], array $values = [])
     * @method Product firstOrFail(array|string $columns = ['*'])
     * @method Product firstOrNew(array $attributes = [], array $values = [])
     * @method Product firstWhere(array|\Closure|Expression|string $column, $operator = null, $value = null, string $boolean = 'and')
     * @method Product forceCreate(array $attributes)
     * @method _IH_Product_C|Product[] fromQuery(string $query, array $bindings = [])
     * @method _IH_Product_C|Product[] get(array|string $columns = ['*'])
     * @method Product getModel()
     * @method Product[] getModels(array|string $columns = ['*'])
     * @method _IH_Product_C|Product[] hydrate(array $items)
     * @method _IH_Product_C|Product[] lazy(int $chunkSize = 1000)
     * @method _IH_Product_C|Product[] lazyById(int $chunkSize = 1000, null|string $column = null, null|string $alias = null)
     * @method _IH_Product_C|Product[] lazyByIdDesc(int $chunkSize = 1000, null|string $column = null, null|string $alias = null)
     * @method Product make(array $attributes = [])
     * @method Product newModelInstance(array $attributes = [])
     * @method LengthAwarePaginator|Product[]|_IH_Product_C paginate(\Closure|int|null $perPage = null, array|string $columns = ['*'], string $pageName = 'page', int|null $page = null)
     * @method Paginator|Product[]|_IH_Product_C simplePaginate(int|null $perPage = null, array|string $columns = ['*'], string $pageName = 'page', int|null $page = null)
     * @method Product sole(array|string $columns = ['*'])
     * @method Product updateOrCreate(array $attributes, array $values = [])
     */
    class _IH_Product_QB extends _BaseBuilder {}
    
    /**
     * @method RefundProcess|null getOrPut($key, \Closure $value)
     * @method RefundProcess|$this shift(int $count = 1)
     * @method RefundProcess|null firstOrFail(callable|string $key = null, $operator = null, $value = null)
     * @method RefundProcess|$this pop(int $count = 1)
     * @method RefundProcess|null pull($key, \Closure $default = null)
     * @method RefundProcess|null last(callable $callback = null, \Closure $default = null)
     * @method RefundProcess|$this random(callable|int|null $number = null, bool $preserveKeys = false)
     * @method RefundProcess|null sole(callable|string $key = null, $operator = null, $value = null)
     * @method RefundProcess|null get($key, \Closure $default = null)
     * @method RefundProcess|null first(callable $callback = null, \Closure $default = null)
     * @method RefundProcess|null firstWhere(callable|string $key, $operator = null, $value = null)
     * @method RefundProcess|null find($key, $default = null)
     * @method RefundProcess[] all()
     */
    class _IH_RefundProcess_C extends _BaseCollection {
        /**
         * @param int $size
         * @return RefundProcess[][]|Collection<_IH_RefundProcess_C>
         */
        public function chunk($size)
        {
            return [];
        }
    }
    
    /**
     * @method _IH_RefundProcess_QB whereId($value)
     * @method _IH_RefundProcess_QB whereName($value)
     * @method _IH_RefundProcess_QB whereDescription($value)
     * @method _IH_RefundProcess_QB whereCreatedAt($value)
     * @method _IH_RefundProcess_QB whereUpdatedAt($value)
     * @method RefundProcess baseSole(array|string $columns = ['*'])
     * @method RefundProcess create(array $attributes = [])
     * @method _IH_RefundProcess_C|RefundProcess[] cursor()
     * @method RefundProcess|null|_IH_RefundProcess_C|RefundProcess[] find($id, array|string $columns = ['*'])
     * @method _IH_RefundProcess_C|RefundProcess[] findMany(array|Arrayable $ids, array|string $columns = ['*'])
     * @method RefundProcess|_IH_RefundProcess_C|RefundProcess[] findOr($id, array|\Closure|string $columns = ['*'], \Closure $callback = null)
     * @method RefundProcess|_IH_RefundProcess_C|RefundProcess[] findOrFail($id, array|string $columns = ['*'])
     * @method RefundProcess|_IH_RefundProcess_C|RefundProcess[] findOrNew($id, array|string $columns = ['*'])
     * @method RefundProcess first(array|string $columns = ['*'])
     * @method RefundProcess firstOr(array|\Closure|string $columns = ['*'], \Closure $callback = null)
     * @method RefundProcess firstOrCreate(array $attributes = [], array $values = [])
     * @method RefundProcess firstOrFail(array|string $columns = ['*'])
     * @method RefundProcess firstOrNew(array $attributes = [], array $values = [])
     * @method RefundProcess firstWhere(array|\Closure|Expression|string $column, $operator = null, $value = null, string $boolean = 'and')
     * @method RefundProcess forceCreate(array $attributes)
     * @method _IH_RefundProcess_C|RefundProcess[] fromQuery(string $query, array $bindings = [])
     * @method _IH_RefundProcess_C|RefundProcess[] get(array|string $columns = ['*'])
     * @method RefundProcess getModel()
     * @method RefundProcess[] getModels(array|string $columns = ['*'])
     * @method _IH_RefundProcess_C|RefundProcess[] hydrate(array $items)
     * @method _IH_RefundProcess_C|RefundProcess[] lazy(int $chunkSize = 1000)
     * @method _IH_RefundProcess_C|RefundProcess[] lazyById(int $chunkSize = 1000, null|string $column = null, null|string $alias = null)
     * @method _IH_RefundProcess_C|RefundProcess[] lazyByIdDesc(int $chunkSize = 1000, null|string $column = null, null|string $alias = null)
     * @method RefundProcess make(array $attributes = [])
     * @method RefundProcess newModelInstance(array $attributes = [])
     * @method LengthAwarePaginator|RefundProcess[]|_IH_RefundProcess_C paginate(\Closure|int|null $perPage = null, array|string $columns = ['*'], string $pageName = 'page', int|null $page = null)
     * @method Paginator|RefundProcess[]|_IH_RefundProcess_C simplePaginate(int|null $perPage = null, array|string $columns = ['*'], string $pageName = 'page', int|null $page = null)
     * @method RefundProcess sole(array|string $columns = ['*'])
     * @method RefundProcess updateOrCreate(array $attributes, array $values = [])
     */
    class _IH_RefundProcess_QB extends _BaseBuilder {}
    
    /**
     * @method RefundProduct|null getOrPut($key, \Closure $value)
     * @method RefundProduct|$this shift(int $count = 1)
     * @method RefundProduct|null firstOrFail(callable|string $key = null, $operator = null, $value = null)
     * @method RefundProduct|$this pop(int $count = 1)
     * @method RefundProduct|null pull($key, \Closure $default = null)
     * @method RefundProduct|null last(callable $callback = null, \Closure $default = null)
     * @method RefundProduct|$this random(callable|int|null $number = null, bool $preserveKeys = false)
     * @method RefundProduct|null sole(callable|string $key = null, $operator = null, $value = null)
     * @method RefundProduct|null get($key, \Closure $default = null)
     * @method RefundProduct|null first(callable $callback = null, \Closure $default = null)
     * @method RefundProduct|null firstWhere(callable|string $key, $operator = null, $value = null)
     * @method RefundProduct|null find($key, $default = null)
     * @method RefundProduct[] all()
     */
    class _IH_RefundProduct_C extends _BaseCollection {
        /**
         * @param int $size
         * @return RefundProduct[][]|Collection<_IH_RefundProduct_C>
         */
        public function chunk($size)
        {
            return [];
        }
    }
    
    /**
     * @method _IH_RefundProduct_QB whereId($value)
     * @method _IH_RefundProduct_QB whereRefundRequestDetailId($value)
     * @method _IH_RefundProduct_QB whereProductId($value)
     * @method _IH_RefundProduct_QB whereRefundReasonId($value)
     * @method _IH_RefundProduct_QB whereReturnQty($value)
     * @method _IH_RefundProduct_QB whereReturnAmount($value)
     * @method _IH_RefundProduct_QB whereCreatedAt($value)
     * @method _IH_RefundProduct_QB whereUpdatedAt($value)
     * @method RefundProduct baseSole(array|string $columns = ['*'])
     * @method RefundProduct create(array $attributes = [])
     * @method _IH_RefundProduct_C|RefundProduct[] cursor()
     * @method RefundProduct|null|_IH_RefundProduct_C|RefundProduct[] find($id, array|string $columns = ['*'])
     * @method _IH_RefundProduct_C|RefundProduct[] findMany(array|Arrayable $ids, array|string $columns = ['*'])
     * @method RefundProduct|_IH_RefundProduct_C|RefundProduct[] findOr($id, array|\Closure|string $columns = ['*'], \Closure $callback = null)
     * @method RefundProduct|_IH_RefundProduct_C|RefundProduct[] findOrFail($id, array|string $columns = ['*'])
     * @method RefundProduct|_IH_RefundProduct_C|RefundProduct[] findOrNew($id, array|string $columns = ['*'])
     * @method RefundProduct first(array|string $columns = ['*'])
     * @method RefundProduct firstOr(array|\Closure|string $columns = ['*'], \Closure $callback = null)
     * @method RefundProduct firstOrCreate(array $attributes = [], array $values = [])
     * @method RefundProduct firstOrFail(array|string $columns = ['*'])
     * @method RefundProduct firstOrNew(array $attributes = [], array $values = [])
     * @method RefundProduct firstWhere(array|\Closure|Expression|string $column, $operator = null, $value = null, string $boolean = 'and')
     * @method RefundProduct forceCreate(array $attributes)
     * @method _IH_RefundProduct_C|RefundProduct[] fromQuery(string $query, array $bindings = [])
     * @method _IH_RefundProduct_C|RefundProduct[] get(array|string $columns = ['*'])
     * @method RefundProduct getModel()
     * @method RefundProduct[] getModels(array|string $columns = ['*'])
     * @method _IH_RefundProduct_C|RefundProduct[] hydrate(array $items)
     * @method _IH_RefundProduct_C|RefundProduct[] lazy(int $chunkSize = 1000)
     * @method _IH_RefundProduct_C|RefundProduct[] lazyById(int $chunkSize = 1000, null|string $column = null, null|string $alias = null)
     * @method _IH_RefundProduct_C|RefundProduct[] lazyByIdDesc(int $chunkSize = 1000, null|string $column = null, null|string $alias = null)
     * @method RefundProduct make(array $attributes = [])
     * @method RefundProduct newModelInstance(array $attributes = [])
     * @method LengthAwarePaginator|RefundProduct[]|_IH_RefundProduct_C paginate(\Closure|int|null $perPage = null, array|string $columns = ['*'], string $pageName = 'page', int|null $page = null)
     * @method Paginator|RefundProduct[]|_IH_RefundProduct_C simplePaginate(int|null $perPage = null, array|string $columns = ['*'], string $pageName = 'page', int|null $page = null)
     * @method RefundProduct sole(array|string $columns = ['*'])
     * @method RefundProduct updateOrCreate(array $attributes, array $values = [])
     */
    class _IH_RefundProduct_QB extends _BaseBuilder {}
    
    /**
     * @method RefundReason|null getOrPut($key, \Closure $value)
     * @method RefundReason|$this shift(int $count = 1)
     * @method RefundReason|null firstOrFail(callable|string $key = null, $operator = null, $value = null)
     * @method RefundReason|$this pop(int $count = 1)
     * @method RefundReason|null pull($key, \Closure $default = null)
     * @method RefundReason|null last(callable $callback = null, \Closure $default = null)
     * @method RefundReason|$this random(callable|int|null $number = null, bool $preserveKeys = false)
     * @method RefundReason|null sole(callable|string $key = null, $operator = null, $value = null)
     * @method RefundReason|null get($key, \Closure $default = null)
     * @method RefundReason|null first(callable $callback = null, \Closure $default = null)
     * @method RefundReason|null firstWhere(callable|string $key, $operator = null, $value = null)
     * @method RefundReason|null find($key, $default = null)
     * @method RefundReason[] all()
     */
    class _IH_RefundReason_C extends _BaseCollection {
        /**
         * @param int $size
         * @return RefundReason[][]|Collection<_IH_RefundReason_C>
         */
        public function chunk($size)
        {
            return [];
        }
    }
    
    /**
     * @method _IH_RefundReason_QB whereId($value)
     * @method _IH_RefundReason_QB whereReason($value)
     * @method _IH_RefundReason_QB whereCreatedAt($value)
     * @method _IH_RefundReason_QB whereUpdatedAt($value)
     * @method RefundReason baseSole(array|string $columns = ['*'])
     * @method RefundReason create(array $attributes = [])
     * @method _IH_RefundReason_C|RefundReason[] cursor()
     * @method RefundReason|null|_IH_RefundReason_C|RefundReason[] find($id, array|string $columns = ['*'])
     * @method _IH_RefundReason_C|RefundReason[] findMany(array|Arrayable $ids, array|string $columns = ['*'])
     * @method RefundReason|_IH_RefundReason_C|RefundReason[] findOr($id, array|\Closure|string $columns = ['*'], \Closure $callback = null)
     * @method RefundReason|_IH_RefundReason_C|RefundReason[] findOrFail($id, array|string $columns = ['*'])
     * @method RefundReason|_IH_RefundReason_C|RefundReason[] findOrNew($id, array|string $columns = ['*'])
     * @method RefundReason first(array|string $columns = ['*'])
     * @method RefundReason firstOr(array|\Closure|string $columns = ['*'], \Closure $callback = null)
     * @method RefundReason firstOrCreate(array $attributes = [], array $values = [])
     * @method RefundReason firstOrFail(array|string $columns = ['*'])
     * @method RefundReason firstOrNew(array $attributes = [], array $values = [])
     * @method RefundReason firstWhere(array|\Closure|Expression|string $column, $operator = null, $value = null, string $boolean = 'and')
     * @method RefundReason forceCreate(array $attributes)
     * @method _IH_RefundReason_C|RefundReason[] fromQuery(string $query, array $bindings = [])
     * @method _IH_RefundReason_C|RefundReason[] get(array|string $columns = ['*'])
     * @method RefundReason getModel()
     * @method RefundReason[] getModels(array|string $columns = ['*'])
     * @method _IH_RefundReason_C|RefundReason[] hydrate(array $items)
     * @method _IH_RefundReason_C|RefundReason[] lazy(int $chunkSize = 1000)
     * @method _IH_RefundReason_C|RefundReason[] lazyById(int $chunkSize = 1000, null|string $column = null, null|string $alias = null)
     * @method _IH_RefundReason_C|RefundReason[] lazyByIdDesc(int $chunkSize = 1000, null|string $column = null, null|string $alias = null)
     * @method RefundReason make(array $attributes = [])
     * @method RefundReason newModelInstance(array $attributes = [])
     * @method LengthAwarePaginator|RefundReason[]|_IH_RefundReason_C paginate(\Closure|int|null $perPage = null, array|string $columns = ['*'], string $pageName = 'page', int|null $page = null)
     * @method Paginator|RefundReason[]|_IH_RefundReason_C simplePaginate(int|null $perPage = null, array|string $columns = ['*'], string $pageName = 'page', int|null $page = null)
     * @method RefundReason sole(array|string $columns = ['*'])
     * @method RefundReason updateOrCreate(array $attributes, array $values = [])
     */
    class _IH_RefundReason_QB extends _BaseBuilder {}
    
    /**
     * @method RefundRequestDetail|null getOrPut($key, \Closure $value)
     * @method RefundRequestDetail|$this shift(int $count = 1)
     * @method RefundRequestDetail|null firstOrFail(callable|string $key = null, $operator = null, $value = null)
     * @method RefundRequestDetail|$this pop(int $count = 1)
     * @method RefundRequestDetail|null pull($key, \Closure $default = null)
     * @method RefundRequestDetail|null last(callable $callback = null, \Closure $default = null)
     * @method RefundRequestDetail|$this random(callable|int|null $number = null, bool $preserveKeys = false)
     * @method RefundRequestDetail|null sole(callable|string $key = null, $operator = null, $value = null)
     * @method RefundRequestDetail|null get($key, \Closure $default = null)
     * @method RefundRequestDetail|null first(callable $callback = null, \Closure $default = null)
     * @method RefundRequestDetail|null firstWhere(callable|string $key, $operator = null, $value = null)
     * @method RefundRequestDetail|null find($key, $default = null)
     * @method RefundRequestDetail[] all()
     */
    class _IH_RefundRequestDetail_C extends _BaseCollection {
        /**
         * @param int $size
         * @return RefundRequestDetail[][]|Collection<_IH_RefundRequestDetail_C>
         */
        public function chunk($size)
        {
            return [];
        }
    }
    
    /**
     * @method _IH_RefundRequestDetail_QB whereId($value)
     * @method _IH_RefundRequestDetail_QB whereRefundRequestId($value)
     * @method _IH_RefundRequestDetail_QB whereOrderPackageId($value)
     * @method _IH_RefundRequestDetail_QB whereSellerId($value)
     * @method _IH_RefundRequestDetail_QB whereProcessingState($value)
     * @method _IH_RefundRequestDetail_QB whereCreatedAt($value)
     * @method _IH_RefundRequestDetail_QB whereUpdatedAt($value)
     * @method RefundRequestDetail baseSole(array|string $columns = ['*'])
     * @method RefundRequestDetail create(array $attributes = [])
     * @method _IH_RefundRequestDetail_C|RefundRequestDetail[] cursor()
     * @method RefundRequestDetail|null|_IH_RefundRequestDetail_C|RefundRequestDetail[] find($id, array|string $columns = ['*'])
     * @method _IH_RefundRequestDetail_C|RefundRequestDetail[] findMany(array|Arrayable $ids, array|string $columns = ['*'])
     * @method RefundRequestDetail|_IH_RefundRequestDetail_C|RefundRequestDetail[] findOr($id, array|\Closure|string $columns = ['*'], \Closure $callback = null)
     * @method RefundRequestDetail|_IH_RefundRequestDetail_C|RefundRequestDetail[] findOrFail($id, array|string $columns = ['*'])
     * @method RefundRequestDetail|_IH_RefundRequestDetail_C|RefundRequestDetail[] findOrNew($id, array|string $columns = ['*'])
     * @method RefundRequestDetail first(array|string $columns = ['*'])
     * @method RefundRequestDetail firstOr(array|\Closure|string $columns = ['*'], \Closure $callback = null)
     * @method RefundRequestDetail firstOrCreate(array $attributes = [], array $values = [])
     * @method RefundRequestDetail firstOrFail(array|string $columns = ['*'])
     * @method RefundRequestDetail firstOrNew(array $attributes = [], array $values = [])
     * @method RefundRequestDetail firstWhere(array|\Closure|Expression|string $column, $operator = null, $value = null, string $boolean = 'and')
     * @method RefundRequestDetail forceCreate(array $attributes)
     * @method _IH_RefundRequestDetail_C|RefundRequestDetail[] fromQuery(string $query, array $bindings = [])
     * @method _IH_RefundRequestDetail_C|RefundRequestDetail[] get(array|string $columns = ['*'])
     * @method RefundRequestDetail getModel()
     * @method RefundRequestDetail[] getModels(array|string $columns = ['*'])
     * @method _IH_RefundRequestDetail_C|RefundRequestDetail[] hydrate(array $items)
     * @method _IH_RefundRequestDetail_C|RefundRequestDetail[] lazy(int $chunkSize = 1000)
     * @method _IH_RefundRequestDetail_C|RefundRequestDetail[] lazyById(int $chunkSize = 1000, null|string $column = null, null|string $alias = null)
     * @method _IH_RefundRequestDetail_C|RefundRequestDetail[] lazyByIdDesc(int $chunkSize = 1000, null|string $column = null, null|string $alias = null)
     * @method RefundRequestDetail make(array $attributes = [])
     * @method RefundRequestDetail newModelInstance(array $attributes = [])
     * @method LengthAwarePaginator|RefundRequestDetail[]|_IH_RefundRequestDetail_C paginate(\Closure|int|null $perPage = null, array|string $columns = ['*'], string $pageName = 'page', int|null $page = null)
     * @method Paginator|RefundRequestDetail[]|_IH_RefundRequestDetail_C simplePaginate(int|null $perPage = null, array|string $columns = ['*'], string $pageName = 'page', int|null $page = null)
     * @method RefundRequestDetail sole(array|string $columns = ['*'])
     * @method RefundRequestDetail updateOrCreate(array $attributes, array $values = [])
     */
    class _IH_RefundRequestDetail_QB extends _BaseBuilder {}
    
    /**
     * @method RefundRequest|null getOrPut($key, \Closure $value)
     * @method RefundRequest|$this shift(int $count = 1)
     * @method RefundRequest|null firstOrFail(callable|string $key = null, $operator = null, $value = null)
     * @method RefundRequest|$this pop(int $count = 1)
     * @method RefundRequest|null pull($key, \Closure $default = null)
     * @method RefundRequest|null last(callable $callback = null, \Closure $default = null)
     * @method RefundRequest|$this random(callable|int|null $number = null, bool $preserveKeys = false)
     * @method RefundRequest|null sole(callable|string $key = null, $operator = null, $value = null)
     * @method RefundRequest|null get($key, \Closure $default = null)
     * @method RefundRequest|null first(callable $callback = null, \Closure $default = null)
     * @method RefundRequest|null firstWhere(callable|string $key, $operator = null, $value = null)
     * @method RefundRequest|null find($key, $default = null)
     * @method RefundRequest[] all()
     */
    class _IH_RefundRequest_C extends _BaseCollection {
        /**
         * @param int $size
         * @return RefundRequest[][]|Collection<_IH_RefundRequest_C>
         */
        public function chunk($size)
        {
            return [];
        }
    }
    
    /**
     * @method _IH_RefundRequest_QB whereId($value)
     * @method _IH_RefundRequest_QB whereCustomerId($value)
     * @method _IH_RefundRequest_QB whereOrderId($value)
     * @method _IH_RefundRequest_QB whereRefundMethod($value)
     * @method _IH_RefundRequest_QB whereShippingMethod($value)
     * @method _IH_RefundRequest_QB whereShippingMethodId($value)
     * @method _IH_RefundRequest_QB wherePickUpAddressId($value)
     * @method _IH_RefundRequest_QB whereDropOffAddress($value)
     * @method _IH_RefundRequest_QB whereAdditionalInfo($value)
     * @method _IH_RefundRequest_QB whereTotalReturnAmount($value)
     * @method _IH_RefundRequest_QB whereRefundState($value)
     * @method _IH_RefundRequest_QB whereIsConfirmed($value)
     * @method _IH_RefundRequest_QB whereIsRefunded($value)
     * @method _IH_RefundRequest_QB whereIsCompleted($value)
     * @method _IH_RefundRequest_QB whereCreatedAt($value)
     * @method _IH_RefundRequest_QB whereUpdatedAt($value)
     * @method RefundRequest baseSole(array|string $columns = ['*'])
     * @method RefundRequest create(array $attributes = [])
     * @method _IH_RefundRequest_C|RefundRequest[] cursor()
     * @method RefundRequest|null|_IH_RefundRequest_C|RefundRequest[] find($id, array|string $columns = ['*'])
     * @method _IH_RefundRequest_C|RefundRequest[] findMany(array|Arrayable $ids, array|string $columns = ['*'])
     * @method RefundRequest|_IH_RefundRequest_C|RefundRequest[] findOr($id, array|\Closure|string $columns = ['*'], \Closure $callback = null)
     * @method RefundRequest|_IH_RefundRequest_C|RefundRequest[] findOrFail($id, array|string $columns = ['*'])
     * @method RefundRequest|_IH_RefundRequest_C|RefundRequest[] findOrNew($id, array|string $columns = ['*'])
     * @method RefundRequest first(array|string $columns = ['*'])
     * @method RefundRequest firstOr(array|\Closure|string $columns = ['*'], \Closure $callback = null)
     * @method RefundRequest firstOrCreate(array $attributes = [], array $values = [])
     * @method RefundRequest firstOrFail(array|string $columns = ['*'])
     * @method RefundRequest firstOrNew(array $attributes = [], array $values = [])
     * @method RefundRequest firstWhere(array|\Closure|Expression|string $column, $operator = null, $value = null, string $boolean = 'and')
     * @method RefundRequest forceCreate(array $attributes)
     * @method _IH_RefundRequest_C|RefundRequest[] fromQuery(string $query, array $bindings = [])
     * @method _IH_RefundRequest_C|RefundRequest[] get(array|string $columns = ['*'])
     * @method RefundRequest getModel()
     * @method RefundRequest[] getModels(array|string $columns = ['*'])
     * @method _IH_RefundRequest_C|RefundRequest[] hydrate(array $items)
     * @method _IH_RefundRequest_C|RefundRequest[] lazy(int $chunkSize = 1000)
     * @method _IH_RefundRequest_C|RefundRequest[] lazyById(int $chunkSize = 1000, null|string $column = null, null|string $alias = null)
     * @method _IH_RefundRequest_C|RefundRequest[] lazyByIdDesc(int $chunkSize = 1000, null|string $column = null, null|string $alias = null)
     * @method RefundRequest make(array $attributes = [])
     * @method RefundRequest newModelInstance(array $attributes = [])
     * @method LengthAwarePaginator|RefundRequest[]|_IH_RefundRequest_C paginate(\Closure|int|null $perPage = null, array|string $columns = ['*'], string $pageName = 'page', int|null $page = null)
     * @method Paginator|RefundRequest[]|_IH_RefundRequest_C simplePaginate(int|null $perPage = null, array|string $columns = ['*'], string $pageName = 'page', int|null $page = null)
     * @method RefundRequest sole(array|string $columns = ['*'])
     * @method RefundRequest updateOrCreate(array $attributes, array $values = [])
     */
    class _IH_RefundRequest_QB extends _BaseBuilder {}
    
    /**
     * @method RefundState|null getOrPut($key, \Closure $value)
     * @method RefundState|$this shift(int $count = 1)
     * @method RefundState|null firstOrFail(callable|string $key = null, $operator = null, $value = null)
     * @method RefundState|$this pop(int $count = 1)
     * @method RefundState|null pull($key, \Closure $default = null)
     * @method RefundState|null last(callable $callback = null, \Closure $default = null)
     * @method RefundState|$this random(callable|int|null $number = null, bool $preserveKeys = false)
     * @method RefundState|null sole(callable|string $key = null, $operator = null, $value = null)
     * @method RefundState|null get($key, \Closure $default = null)
     * @method RefundState|null first(callable $callback = null, \Closure $default = null)
     * @method RefundState|null firstWhere(callable|string $key, $operator = null, $value = null)
     * @method RefundState|null find($key, $default = null)
     * @method RefundState[] all()
     */
    class _IH_RefundState_C extends _BaseCollection {
        /**
         * @param int $size
         * @return RefundState[][]|Collection<_IH_RefundState_C>
         */
        public function chunk($size)
        {
            return [];
        }
    }
    
    /**
     * @method _IH_RefundState_QB whereId($value)
     * @method _IH_RefundState_QB whereRefundRequestDetailId($value)
     * @method _IH_RefundState_QB whereState($value)
     * @method _IH_RefundState_QB whereCreatedAt($value)
     * @method _IH_RefundState_QB whereUpdatedAt($value)
     * @method RefundState baseSole(array|string $columns = ['*'])
     * @method RefundState create(array $attributes = [])
     * @method _IH_RefundState_C|RefundState[] cursor()
     * @method RefundState|null|_IH_RefundState_C|RefundState[] find($id, array|string $columns = ['*'])
     * @method _IH_RefundState_C|RefundState[] findMany(array|Arrayable $ids, array|string $columns = ['*'])
     * @method RefundState|_IH_RefundState_C|RefundState[] findOr($id, array|\Closure|string $columns = ['*'], \Closure $callback = null)
     * @method RefundState|_IH_RefundState_C|RefundState[] findOrFail($id, array|string $columns = ['*'])
     * @method RefundState|_IH_RefundState_C|RefundState[] findOrNew($id, array|string $columns = ['*'])
     * @method RefundState first(array|string $columns = ['*'])
     * @method RefundState firstOr(array|\Closure|string $columns = ['*'], \Closure $callback = null)
     * @method RefundState firstOrCreate(array $attributes = [], array $values = [])
     * @method RefundState firstOrFail(array|string $columns = ['*'])
     * @method RefundState firstOrNew(array $attributes = [], array $values = [])
     * @method RefundState firstWhere(array|\Closure|Expression|string $column, $operator = null, $value = null, string $boolean = 'and')
     * @method RefundState forceCreate(array $attributes)
     * @method _IH_RefundState_C|RefundState[] fromQuery(string $query, array $bindings = [])
     * @method _IH_RefundState_C|RefundState[] get(array|string $columns = ['*'])
     * @method RefundState getModel()
     * @method RefundState[] getModels(array|string $columns = ['*'])
     * @method _IH_RefundState_C|RefundState[] hydrate(array $items)
     * @method _IH_RefundState_C|RefundState[] lazy(int $chunkSize = 1000)
     * @method _IH_RefundState_C|RefundState[] lazyById(int $chunkSize = 1000, null|string $column = null, null|string $alias = null)
     * @method _IH_RefundState_C|RefundState[] lazyByIdDesc(int $chunkSize = 1000, null|string $column = null, null|string $alias = null)
     * @method RefundState make(array $attributes = [])
     * @method RefundState newModelInstance(array $attributes = [])
     * @method LengthAwarePaginator|RefundState[]|_IH_RefundState_C paginate(\Closure|int|null $perPage = null, array|string $columns = ['*'], string $pageName = 'page', int|null $page = null)
     * @method Paginator|RefundState[]|_IH_RefundState_C simplePaginate(int|null $perPage = null, array|string $columns = ['*'], string $pageName = 'page', int|null $page = null)
     * @method RefundState sole(array|string $columns = ['*'])
     * @method RefundState updateOrCreate(array $attributes, array $values = [])
     */
    class _IH_RefundState_QB extends _BaseBuilder {}
    
    /**
     * @method SellerWiseCarrierConfig|null getOrPut($key, \Closure $value)
     * @method SellerWiseCarrierConfig|$this shift(int $count = 1)
     * @method SellerWiseCarrierConfig|null firstOrFail(callable|string $key = null, $operator = null, $value = null)
     * @method SellerWiseCarrierConfig|$this pop(int $count = 1)
     * @method SellerWiseCarrierConfig|null pull($key, \Closure $default = null)
     * @method SellerWiseCarrierConfig|null last(callable $callback = null, \Closure $default = null)
     * @method SellerWiseCarrierConfig|$this random(callable|int|null $number = null, bool $preserveKeys = false)
     * @method SellerWiseCarrierConfig|null sole(callable|string $key = null, $operator = null, $value = null)
     * @method SellerWiseCarrierConfig|null get($key, \Closure $default = null)
     * @method SellerWiseCarrierConfig|null first(callable $callback = null, \Closure $default = null)
     * @method SellerWiseCarrierConfig|null firstWhere(callable|string $key, $operator = null, $value = null)
     * @method SellerWiseCarrierConfig|null find($key, $default = null)
     * @method SellerWiseCarrierConfig[] all()
     */
    class _IH_SellerWiseCarrierConfig_C extends _BaseCollection {
        /**
         * @param int $size
         * @return SellerWiseCarrierConfig[][]|Collection<_IH_SellerWiseCarrierConfig_C>
         */
        public function chunk($size)
        {
            return [];
        }
    }
    
    /**
     * @method _IH_SellerWiseCarrierConfig_QB whereId($value)
     * @method _IH_SellerWiseCarrierConfig_QB whereCarrierId($value)
     * @method _IH_SellerWiseCarrierConfig_QB whereSellerId($value)
     * @method _IH_SellerWiseCarrierConfig_QB whereCarrierStatus($value)
     * @method _IH_SellerWiseCarrierConfig_QB whereEmail($value)
     * @method _IH_SellerWiseCarrierConfig_QB wherePassword($value)
     * @method _IH_SellerWiseCarrierConfig_QB whereChannelId($value)
     * @method _IH_SellerWiseCarrierConfig_QB whereLogo($value)
     * @method _IH_SellerWiseCarrierConfig_QB whereCreatedAt($value)
     * @method _IH_SellerWiseCarrierConfig_QB whereUpdatedAt($value)
     * @method SellerWiseCarrierConfig baseSole(array|string $columns = ['*'])
     * @method SellerWiseCarrierConfig create(array $attributes = [])
     * @method _IH_SellerWiseCarrierConfig_C|SellerWiseCarrierConfig[] cursor()
     * @method SellerWiseCarrierConfig|null|_IH_SellerWiseCarrierConfig_C|SellerWiseCarrierConfig[] find($id, array|string $columns = ['*'])
     * @method _IH_SellerWiseCarrierConfig_C|SellerWiseCarrierConfig[] findMany(array|Arrayable $ids, array|string $columns = ['*'])
     * @method SellerWiseCarrierConfig|_IH_SellerWiseCarrierConfig_C|SellerWiseCarrierConfig[] findOr($id, array|\Closure|string $columns = ['*'], \Closure $callback = null)
     * @method SellerWiseCarrierConfig|_IH_SellerWiseCarrierConfig_C|SellerWiseCarrierConfig[] findOrFail($id, array|string $columns = ['*'])
     * @method SellerWiseCarrierConfig|_IH_SellerWiseCarrierConfig_C|SellerWiseCarrierConfig[] findOrNew($id, array|string $columns = ['*'])
     * @method SellerWiseCarrierConfig first(array|string $columns = ['*'])
     * @method SellerWiseCarrierConfig firstOr(array|\Closure|string $columns = ['*'], \Closure $callback = null)
     * @method SellerWiseCarrierConfig firstOrCreate(array $attributes = [], array $values = [])
     * @method SellerWiseCarrierConfig firstOrFail(array|string $columns = ['*'])
     * @method SellerWiseCarrierConfig firstOrNew(array $attributes = [], array $values = [])
     * @method SellerWiseCarrierConfig firstWhere(array|\Closure|Expression|string $column, $operator = null, $value = null, string $boolean = 'and')
     * @method SellerWiseCarrierConfig forceCreate(array $attributes)
     * @method _IH_SellerWiseCarrierConfig_C|SellerWiseCarrierConfig[] fromQuery(string $query, array $bindings = [])
     * @method _IH_SellerWiseCarrierConfig_C|SellerWiseCarrierConfig[] get(array|string $columns = ['*'])
     * @method SellerWiseCarrierConfig getModel()
     * @method SellerWiseCarrierConfig[] getModels(array|string $columns = ['*'])
     * @method _IH_SellerWiseCarrierConfig_C|SellerWiseCarrierConfig[] hydrate(array $items)
     * @method _IH_SellerWiseCarrierConfig_C|SellerWiseCarrierConfig[] lazy(int $chunkSize = 1000)
     * @method _IH_SellerWiseCarrierConfig_C|SellerWiseCarrierConfig[] lazyById(int $chunkSize = 1000, null|string $column = null, null|string $alias = null)
     * @method _IH_SellerWiseCarrierConfig_C|SellerWiseCarrierConfig[] lazyByIdDesc(int $chunkSize = 1000, null|string $column = null, null|string $alias = null)
     * @method SellerWiseCarrierConfig make(array $attributes = [])
     * @method SellerWiseCarrierConfig newModelInstance(array $attributes = [])
     * @method LengthAwarePaginator|SellerWiseCarrierConfig[]|_IH_SellerWiseCarrierConfig_C paginate(\Closure|int|null $perPage = null, array|string $columns = ['*'], string $pageName = 'page', int|null $page = null)
     * @method Paginator|SellerWiseCarrierConfig[]|_IH_SellerWiseCarrierConfig_C simplePaginate(int|null $perPage = null, array|string $columns = ['*'], string $pageName = 'page', int|null $page = null)
     * @method SellerWiseCarrierConfig sole(array|string $columns = ['*'])
     * @method SellerWiseCarrierConfig updateOrCreate(array $attributes, array $values = [])
     */
    class _IH_SellerWiseCarrierConfig_QB extends _BaseBuilder {}
    
    /**
     * @method ShippingConfiguration|null getOrPut($key, \Closure $value)
     * @method ShippingConfiguration|$this shift(int $count = 1)
     * @method ShippingConfiguration|null firstOrFail(callable|string $key = null, $operator = null, $value = null)
     * @method ShippingConfiguration|$this pop(int $count = 1)
     * @method ShippingConfiguration|null pull($key, \Closure $default = null)
     * @method ShippingConfiguration|null last(callable $callback = null, \Closure $default = null)
     * @method ShippingConfiguration|$this random(callable|int|null $number = null, bool $preserveKeys = false)
     * @method ShippingConfiguration|null sole(callable|string $key = null, $operator = null, $value = null)
     * @method ShippingConfiguration|null get($key, \Closure $default = null)
     * @method ShippingConfiguration|null first(callable $callback = null, \Closure $default = null)
     * @method ShippingConfiguration|null firstWhere(callable|string $key, $operator = null, $value = null)
     * @method ShippingConfiguration|null find($key, $default = null)
     * @method ShippingConfiguration[] all()
     */
    class _IH_ShippingConfiguration_C extends _BaseCollection {
        /**
         * @param int $size
         * @return ShippingConfiguration[][]|Collection<_IH_ShippingConfiguration_C>
         */
        public function chunk($size)
        {
            return [];
        }
    }
    
    /**
     * @method _IH_ShippingConfiguration_QB whereId($value)
     * @method _IH_ShippingConfiguration_QB whereSellerId($value)
     * @method _IH_ShippingConfiguration_QB whereOrderConfirmAndSync($value)
     * @method _IH_ShippingConfiguration_QB whereCarrierShowForCustomer($value)
     * @method _IH_ShippingConfiguration_QB whereDefaultCarrier($value)
     * @method _IH_ShippingConfiguration_QB whereOrderAutoConfirm($value)
     * @method _IH_ShippingConfiguration_QB wherePickupLocation($value)
     * @method _IH_ShippingConfiguration_QB whereRefundOrderSyncCarrier($value)
     * @method _IH_ShippingConfiguration_QB whereSellerUseShiproket($value)
     * @method _IH_ShippingConfiguration_QB whereCarrierOrderType($value)
     * @method _IH_ShippingConfiguration_QB whereLabelCode($value)
     * @method _IH_ShippingConfiguration_QB whereAmountMultiplyWithQty($value)
     * @method _IH_ShippingConfiguration_QB whereLmsId($value)
     * @method _IH_ShippingConfiguration_QB whereCreatedAt($value)
     * @method _IH_ShippingConfiguration_QB whereUpdatedAt($value)
     * @method ShippingConfiguration baseSole(array|string $columns = ['*'])
     * @method ShippingConfiguration create(array $attributes = [])
     * @method _IH_ShippingConfiguration_C|ShippingConfiguration[] cursor()
     * @method ShippingConfiguration|null|_IH_ShippingConfiguration_C|ShippingConfiguration[] find($id, array|string $columns = ['*'])
     * @method _IH_ShippingConfiguration_C|ShippingConfiguration[] findMany(array|Arrayable $ids, array|string $columns = ['*'])
     * @method ShippingConfiguration|_IH_ShippingConfiguration_C|ShippingConfiguration[] findOr($id, array|\Closure|string $columns = ['*'], \Closure $callback = null)
     * @method ShippingConfiguration|_IH_ShippingConfiguration_C|ShippingConfiguration[] findOrFail($id, array|string $columns = ['*'])
     * @method ShippingConfiguration|_IH_ShippingConfiguration_C|ShippingConfiguration[] findOrNew($id, array|string $columns = ['*'])
     * @method ShippingConfiguration first(array|string $columns = ['*'])
     * @method ShippingConfiguration firstOr(array|\Closure|string $columns = ['*'], \Closure $callback = null)
     * @method ShippingConfiguration firstOrCreate(array $attributes = [], array $values = [])
     * @method ShippingConfiguration firstOrFail(array|string $columns = ['*'])
     * @method ShippingConfiguration firstOrNew(array $attributes = [], array $values = [])
     * @method ShippingConfiguration firstWhere(array|\Closure|Expression|string $column, $operator = null, $value = null, string $boolean = 'and')
     * @method ShippingConfiguration forceCreate(array $attributes)
     * @method _IH_ShippingConfiguration_C|ShippingConfiguration[] fromQuery(string $query, array $bindings = [])
     * @method _IH_ShippingConfiguration_C|ShippingConfiguration[] get(array|string $columns = ['*'])
     * @method ShippingConfiguration getModel()
     * @method ShippingConfiguration[] getModels(array|string $columns = ['*'])
     * @method _IH_ShippingConfiguration_C|ShippingConfiguration[] hydrate(array $items)
     * @method _IH_ShippingConfiguration_C|ShippingConfiguration[] lazy(int $chunkSize = 1000)
     * @method _IH_ShippingConfiguration_C|ShippingConfiguration[] lazyById(int $chunkSize = 1000, null|string $column = null, null|string $alias = null)
     * @method _IH_ShippingConfiguration_C|ShippingConfiguration[] lazyByIdDesc(int $chunkSize = 1000, null|string $column = null, null|string $alias = null)
     * @method ShippingConfiguration make(array $attributes = [])
     * @method ShippingConfiguration newModelInstance(array $attributes = [])
     * @method LengthAwarePaginator|ShippingConfiguration[]|_IH_ShippingConfiguration_C paginate(\Closure|int|null $perPage = null, array|string $columns = ['*'], string $pageName = 'page', int|null $page = null)
     * @method Paginator|ShippingConfiguration[]|_IH_ShippingConfiguration_C simplePaginate(int|null $perPage = null, array|string $columns = ['*'], string $pageName = 'page', int|null $page = null)
     * @method ShippingConfiguration sole(array|string $columns = ['*'])
     * @method ShippingConfiguration updateOrCreate(array $attributes, array $values = [])
     */
    class _IH_ShippingConfiguration_QB extends _BaseBuilder {}
    
    /**
     * @method ShippingMethod|null getOrPut($key, \Closure $value)
     * @method ShippingMethod|$this shift(int $count = 1)
     * @method ShippingMethod|null firstOrFail(callable|string $key = null, $operator = null, $value = null)
     * @method ShippingMethod|$this pop(int $count = 1)
     * @method ShippingMethod|null pull($key, \Closure $default = null)
     * @method ShippingMethod|null last(callable $callback = null, \Closure $default = null)
     * @method ShippingMethod|$this random(callable|int|null $number = null, bool $preserveKeys = false)
     * @method ShippingMethod|null sole(callable|string $key = null, $operator = null, $value = null)
     * @method ShippingMethod|null get($key, \Closure $default = null)
     * @method ShippingMethod|null first(callable $callback = null, \Closure $default = null)
     * @method ShippingMethod|null firstWhere(callable|string $key, $operator = null, $value = null)
     * @method ShippingMethod|null find($key, $default = null)
     * @method ShippingMethod[] all()
     */
    class _IH_ShippingMethod_C extends _BaseCollection {
        /**
         * @param int $size
         * @return ShippingMethod[][]|Collection<_IH_ShippingMethod_C>
         */
        public function chunk($size)
        {
            return [];
        }
    }
    
    /**
     * @method _IH_ShippingMethod_QB whereId($value)
     * @method _IH_ShippingMethod_QB whereMethodName($value)
     * @method _IH_ShippingMethod_QB whereLogo($value)
     * @method _IH_ShippingMethod_QB wherePhone($value)
     * @method _IH_ShippingMethod_QB whereShipmentTime($value)
     * @method _IH_ShippingMethod_QB whereCost($value)
     * @method _IH_ShippingMethod_QB whereMinimumShopping($value)
     * @method _IH_ShippingMethod_QB whereIsActive($value)
     * @method _IH_ShippingMethod_QB whereRequestByUser($value)
     * @method _IH_ShippingMethod_QB whereIsApproved($value)
     * @method _IH_ShippingMethod_QB whereCarrierId($value)
     * @method _IH_ShippingMethod_QB whereCostBasedOn($value)
     * @method _IH_ShippingMethod_QB whereLmsId($value)
     * @method _IH_ShippingMethod_QB whereCreatedAt($value)
     * @method _IH_ShippingMethod_QB whereUpdatedAt($value)
     * @method ShippingMethod baseSole(array|string $columns = ['*'])
     * @method ShippingMethod create(array $attributes = [])
     * @method _IH_ShippingMethod_C|ShippingMethod[] cursor()
     * @method ShippingMethod|null|_IH_ShippingMethod_C|ShippingMethod[] find($id, array|string $columns = ['*'])
     * @method _IH_ShippingMethod_C|ShippingMethod[] findMany(array|Arrayable $ids, array|string $columns = ['*'])
     * @method ShippingMethod|_IH_ShippingMethod_C|ShippingMethod[] findOr($id, array|\Closure|string $columns = ['*'], \Closure $callback = null)
     * @method ShippingMethod|_IH_ShippingMethod_C|ShippingMethod[] findOrFail($id, array|string $columns = ['*'])
     * @method ShippingMethod|_IH_ShippingMethod_C|ShippingMethod[] findOrNew($id, array|string $columns = ['*'])
     * @method ShippingMethod first(array|string $columns = ['*'])
     * @method ShippingMethod firstOr(array|\Closure|string $columns = ['*'], \Closure $callback = null)
     * @method ShippingMethod firstOrCreate(array $attributes = [], array $values = [])
     * @method ShippingMethod firstOrFail(array|string $columns = ['*'])
     * @method ShippingMethod firstOrNew(array $attributes = [], array $values = [])
     * @method ShippingMethod firstWhere(array|\Closure|Expression|string $column, $operator = null, $value = null, string $boolean = 'and')
     * @method ShippingMethod forceCreate(array $attributes)
     * @method _IH_ShippingMethod_C|ShippingMethod[] fromQuery(string $query, array $bindings = [])
     * @method _IH_ShippingMethod_C|ShippingMethod[] get(array|string $columns = ['*'])
     * @method ShippingMethod getModel()
     * @method ShippingMethod[] getModels(array|string $columns = ['*'])
     * @method _IH_ShippingMethod_C|ShippingMethod[] hydrate(array $items)
     * @method _IH_ShippingMethod_C|ShippingMethod[] lazy(int $chunkSize = 1000)
     * @method _IH_ShippingMethod_C|ShippingMethod[] lazyById(int $chunkSize = 1000, null|string $column = null, null|string $alias = null)
     * @method _IH_ShippingMethod_C|ShippingMethod[] lazyByIdDesc(int $chunkSize = 1000, null|string $column = null, null|string $alias = null)
     * @method ShippingMethod make(array $attributes = [])
     * @method ShippingMethod newModelInstance(array $attributes = [])
     * @method LengthAwarePaginator|ShippingMethod[]|_IH_ShippingMethod_C paginate(\Closure|int|null $perPage = null, array|string $columns = ['*'], string $pageName = 'page', int|null $page = null)
     * @method Paginator|ShippingMethod[]|_IH_ShippingMethod_C simplePaginate(int|null $perPage = null, array|string $columns = ['*'], string $pageName = 'page', int|null $page = null)
     * @method ShippingMethod sole(array|string $columns = ['*'])
     * @method ShippingMethod updateOrCreate(array $attributes, array $values = [])
     */
    class _IH_ShippingMethod_QB extends _BaseBuilder {}
    
    /**
     * @method StoreBankPayment|null getOrPut($key, \Closure $value)
     * @method StoreBankPayment|$this shift(int $count = 1)
     * @method StoreBankPayment|null firstOrFail(callable|string $key = null, $operator = null, $value = null)
     * @method StoreBankPayment|$this pop(int $count = 1)
     * @method StoreBankPayment|null pull($key, \Closure $default = null)
     * @method StoreBankPayment|null last(callable $callback = null, \Closure $default = null)
     * @method StoreBankPayment|$this random(callable|int|null $number = null, bool $preserveKeys = false)
     * @method StoreBankPayment|null sole(callable|string $key = null, $operator = null, $value = null)
     * @method StoreBankPayment|null get($key, \Closure $default = null)
     * @method StoreBankPayment|null first(callable $callback = null, \Closure $default = null)
     * @method StoreBankPayment|null firstWhere(callable|string $key, $operator = null, $value = null)
     * @method StoreBankPayment|null find($key, $default = null)
     * @method StoreBankPayment[] all()
     */
    class _IH_StoreBankPayment_C extends _BaseCollection {
        /**
         * @param int $size
         * @return StoreBankPayment[][]|Collection<_IH_StoreBankPayment_C>
         */
        public function chunk($size)
        {
            return [];
        }
    }
    
    /**
     * @method _IH_StoreBankPayment_QB whereId($value)
     * @method _IH_StoreBankPayment_QB whereItemableId($value)
     * @method _IH_StoreBankPayment_QB whereItemableType($value)
     * @method _IH_StoreBankPayment_QB whereBankName($value)
     * @method _IH_StoreBankPayment_QB whereBranchName($value)
     * @method _IH_StoreBankPayment_QB whereAccountNumber($value)
     * @method _IH_StoreBankPayment_QB whereAccountHolder($value)
     * @method _IH_StoreBankPayment_QB whereImageSrc($value)
     * @method _IH_StoreBankPayment_QB whereCreatedAt($value)
     * @method _IH_StoreBankPayment_QB whereUpdatedAt($value)
     * @method StoreBankPayment baseSole(array|string $columns = ['*'])
     * @method StoreBankPayment create(array $attributes = [])
     * @method _IH_StoreBankPayment_C|StoreBankPayment[] cursor()
     * @method StoreBankPayment|null|_IH_StoreBankPayment_C|StoreBankPayment[] find($id, array|string $columns = ['*'])
     * @method _IH_StoreBankPayment_C|StoreBankPayment[] findMany(array|Arrayable $ids, array|string $columns = ['*'])
     * @method StoreBankPayment|_IH_StoreBankPayment_C|StoreBankPayment[] findOr($id, array|\Closure|string $columns = ['*'], \Closure $callback = null)
     * @method StoreBankPayment|_IH_StoreBankPayment_C|StoreBankPayment[] findOrFail($id, array|string $columns = ['*'])
     * @method StoreBankPayment|_IH_StoreBankPayment_C|StoreBankPayment[] findOrNew($id, array|string $columns = ['*'])
     * @method StoreBankPayment first(array|string $columns = ['*'])
     * @method StoreBankPayment firstOr(array|\Closure|string $columns = ['*'], \Closure $callback = null)
     * @method StoreBankPayment firstOrCreate(array $attributes = [], array $values = [])
     * @method StoreBankPayment firstOrFail(array|string $columns = ['*'])
     * @method StoreBankPayment firstOrNew(array $attributes = [], array $values = [])
     * @method StoreBankPayment firstWhere(array|\Closure|Expression|string $column, $operator = null, $value = null, string $boolean = 'and')
     * @method StoreBankPayment forceCreate(array $attributes)
     * @method _IH_StoreBankPayment_C|StoreBankPayment[] fromQuery(string $query, array $bindings = [])
     * @method _IH_StoreBankPayment_C|StoreBankPayment[] get(array|string $columns = ['*'])
     * @method StoreBankPayment getModel()
     * @method StoreBankPayment[] getModels(array|string $columns = ['*'])
     * @method _IH_StoreBankPayment_C|StoreBankPayment[] hydrate(array $items)
     * @method _IH_StoreBankPayment_C|StoreBankPayment[] lazy(int $chunkSize = 1000)
     * @method _IH_StoreBankPayment_C|StoreBankPayment[] lazyById(int $chunkSize = 1000, null|string $column = null, null|string $alias = null)
     * @method _IH_StoreBankPayment_C|StoreBankPayment[] lazyByIdDesc(int $chunkSize = 1000, null|string $column = null, null|string $alias = null)
     * @method StoreBankPayment make(array $attributes = [])
     * @method StoreBankPayment newModelInstance(array $attributes = [])
     * @method LengthAwarePaginator|StoreBankPayment[]|_IH_StoreBankPayment_C paginate(\Closure|int|null $perPage = null, array|string $columns = ['*'], string $pageName = 'page', int|null $page = null)
     * @method Paginator|StoreBankPayment[]|_IH_StoreBankPayment_C simplePaginate(int|null $perPage = null, array|string $columns = ['*'], string $pageName = 'page', int|null $page = null)
     * @method StoreBankPayment sole(array|string $columns = ['*'])
     * @method StoreBankPayment updateOrCreate(array $attributes, array $values = [])
     */
    class _IH_StoreBankPayment_QB extends _BaseBuilder {}
}