<?php //b78a0d76dbd6b23fbea693cb060b3347
/** @noinspection all */

namespace LaravelIdea\Helper\Modules\SupportTicket\Entities {

    use Illuminate\Contracts\Database\Query\Expression;
    use Illuminate\Contracts\Support\Arrayable;
    use Illuminate\Pagination\LengthAwarePaginator;
    use Illuminate\Pagination\Paginator;
    use Illuminate\Support\Collection;
    use LaravelIdea\Helper\_BaseBuilder;
    use LaravelIdea\Helper\_BaseCollection;
    use Modules\SupportTicket\Entities\SupportTicket;
    use Modules\SupportTicket\Entities\SupportTicketFile;
    use Modules\SupportTicket\Entities\TicketCategory;
    use Modules\SupportTicket\Entities\TicketMessage;
    use Modules\SupportTicket\Entities\TicketMessageFile;
    use Modules\SupportTicket\Entities\TicketPriority;
    use Modules\SupportTicket\Entities\TicketStatus;
    
    /**
     * @method SupportTicketFile|null getOrPut($key, \Closure $value)
     * @method SupportTicketFile|$this shift(int $count = 1)
     * @method SupportTicketFile|null firstOrFail(callable|string $key = null, $operator = null, $value = null)
     * @method SupportTicketFile|$this pop(int $count = 1)
     * @method SupportTicketFile|null pull($key, \Closure $default = null)
     * @method SupportTicketFile|null last(callable $callback = null, \Closure $default = null)
     * @method SupportTicketFile|$this random(callable|int|null $number = null, bool $preserveKeys = false)
     * @method SupportTicketFile|null sole(callable|string $key = null, $operator = null, $value = null)
     * @method SupportTicketFile|null get($key, \Closure $default = null)
     * @method SupportTicketFile|null first(callable $callback = null, \Closure $default = null)
     * @method SupportTicketFile|null firstWhere(callable|string $key, $operator = null, $value = null)
     * @method SupportTicketFile|null find($key, $default = null)
     * @method SupportTicketFile[] all()
     */
    class _IH_SupportTicketFile_C extends _BaseCollection {
        /**
         * @param int $size
         * @return SupportTicketFile[][]|Collection<_IH_SupportTicketFile_C>
         */
        public function chunk($size)
        {
            return [];
        }
    }
    
    /**
     * @method _IH_SupportTicketFile_QB whereId($value)
     * @method _IH_SupportTicketFile_QB whereAttachmentId($value)
     * @method _IH_SupportTicketFile_QB whereAttachmentType($value)
     * @method _IH_SupportTicketFile_QB whereName($value)
     * @method _IH_SupportTicketFile_QB whereUrl($value)
     * @method _IH_SupportTicketFile_QB whereType($value)
     * @method _IH_SupportTicketFile_QB whereLmsId($value)
     * @method _IH_SupportTicketFile_QB whereCreatedAt($value)
     * @method _IH_SupportTicketFile_QB whereUpdatedAt($value)
     * @method SupportTicketFile baseSole(array|string $columns = ['*'])
     * @method SupportTicketFile create(array $attributes = [])
     * @method _IH_SupportTicketFile_C|SupportTicketFile[] cursor()
     * @method SupportTicketFile|null|_IH_SupportTicketFile_C|SupportTicketFile[] find($id, array|string $columns = ['*'])
     * @method _IH_SupportTicketFile_C|SupportTicketFile[] findMany(array|Arrayable $ids, array|string $columns = ['*'])
     * @method SupportTicketFile|_IH_SupportTicketFile_C|SupportTicketFile[] findOr($id, array|\Closure|string $columns = ['*'], \Closure $callback = null)
     * @method SupportTicketFile|_IH_SupportTicketFile_C|SupportTicketFile[] findOrFail($id, array|string $columns = ['*'])
     * @method SupportTicketFile|_IH_SupportTicketFile_C|SupportTicketFile[] findOrNew($id, array|string $columns = ['*'])
     * @method SupportTicketFile first(array|string $columns = ['*'])
     * @method SupportTicketFile firstOr(array|\Closure|string $columns = ['*'], \Closure $callback = null)
     * @method SupportTicketFile firstOrCreate(array $attributes = [], array $values = [])
     * @method SupportTicketFile firstOrFail(array|string $columns = ['*'])
     * @method SupportTicketFile firstOrNew(array $attributes = [], array $values = [])
     * @method SupportTicketFile firstWhere(array|\Closure|Expression|string $column, $operator = null, $value = null, string $boolean = 'and')
     * @method SupportTicketFile forceCreate(array $attributes)
     * @method _IH_SupportTicketFile_C|SupportTicketFile[] fromQuery(string $query, array $bindings = [])
     * @method _IH_SupportTicketFile_C|SupportTicketFile[] get(array|string $columns = ['*'])
     * @method SupportTicketFile getModel()
     * @method SupportTicketFile[] getModels(array|string $columns = ['*'])
     * @method _IH_SupportTicketFile_C|SupportTicketFile[] hydrate(array $items)
     * @method _IH_SupportTicketFile_C|SupportTicketFile[] lazy(int $chunkSize = 1000)
     * @method _IH_SupportTicketFile_C|SupportTicketFile[] lazyById(int $chunkSize = 1000, null|string $column = null, null|string $alias = null)
     * @method _IH_SupportTicketFile_C|SupportTicketFile[] lazyByIdDesc(int $chunkSize = 1000, null|string $column = null, null|string $alias = null)
     * @method SupportTicketFile make(array $attributes = [])
     * @method SupportTicketFile newModelInstance(array $attributes = [])
     * @method LengthAwarePaginator|SupportTicketFile[]|_IH_SupportTicketFile_C paginate(\Closure|int|null $perPage = null, array|string $columns = ['*'], string $pageName = 'page', int|null $page = null)
     * @method Paginator|SupportTicketFile[]|_IH_SupportTicketFile_C simplePaginate(int|null $perPage = null, array|string $columns = ['*'], string $pageName = 'page', int|null $page = null)
     * @method SupportTicketFile sole(array|string $columns = ['*'])
     * @method SupportTicketFile updateOrCreate(array $attributes, array $values = [])
     */
    class _IH_SupportTicketFile_QB extends _BaseBuilder {}
    
    /**
     * @method SupportTicket|null getOrPut($key, \Closure $value)
     * @method SupportTicket|$this shift(int $count = 1)
     * @method SupportTicket|null firstOrFail(callable|string $key = null, $operator = null, $value = null)
     * @method SupportTicket|$this pop(int $count = 1)
     * @method SupportTicket|null pull($key, \Closure $default = null)
     * @method SupportTicket|null last(callable $callback = null, \Closure $default = null)
     * @method SupportTicket|$this random(callable|int|null $number = null, bool $preserveKeys = false)
     * @method SupportTicket|null sole(callable|string $key = null, $operator = null, $value = null)
     * @method SupportTicket|null get($key, \Closure $default = null)
     * @method SupportTicket|null first(callable $callback = null, \Closure $default = null)
     * @method SupportTicket|null firstWhere(callable|string $key, $operator = null, $value = null)
     * @method SupportTicket|null find($key, $default = null)
     * @method SupportTicket[] all()
     */
    class _IH_SupportTicket_C extends _BaseCollection {
        /**
         * @param int $size
         * @return SupportTicket[][]|Collection<_IH_SupportTicket_C>
         */
        public function chunk($size)
        {
            return [];
        }
    }
    
    /**
     * @method _IH_SupportTicket_QB whereId($value)
     * @method _IH_SupportTicket_QB whereReferenceNo($value)
     * @method _IH_SupportTicket_QB whereSubject($value)
     * @method _IH_SupportTicket_QB whereDescription($value)
     * @method _IH_SupportTicket_QB whereCategoryId($value)
     * @method _IH_SupportTicket_QB wherePriorityId($value)
     * @method _IH_SupportTicket_QB whereUserId($value)
     * @method _IH_SupportTicket_QB whereReferId($value)
     * @method _IH_SupportTicket_QB whereStatusId($value)
     * @method _IH_SupportTicket_QB whereSeen($value)
     * @method _IH_SupportTicket_QB whereLmsId($value)
     * @method _IH_SupportTicket_QB whereCreatedAt($value)
     * @method _IH_SupportTicket_QB whereUpdatedAt($value)
     * @method _IH_SupportTicket_QB whereCourseId($value)
     * @method SupportTicket baseSole(array|string $columns = ['*'])
     * @method SupportTicket create(array $attributes = [])
     * @method _IH_SupportTicket_C|SupportTicket[] cursor()
     * @method SupportTicket|null|_IH_SupportTicket_C|SupportTicket[] find($id, array|string $columns = ['*'])
     * @method _IH_SupportTicket_C|SupportTicket[] findMany(array|Arrayable $ids, array|string $columns = ['*'])
     * @method SupportTicket|_IH_SupportTicket_C|SupportTicket[] findOr($id, array|\Closure|string $columns = ['*'], \Closure $callback = null)
     * @method SupportTicket|_IH_SupportTicket_C|SupportTicket[] findOrFail($id, array|string $columns = ['*'])
     * @method SupportTicket|_IH_SupportTicket_C|SupportTicket[] findOrNew($id, array|string $columns = ['*'])
     * @method SupportTicket first(array|string $columns = ['*'])
     * @method SupportTicket firstOr(array|\Closure|string $columns = ['*'], \Closure $callback = null)
     * @method SupportTicket firstOrCreate(array $attributes = [], array $values = [])
     * @method SupportTicket firstOrFail(array|string $columns = ['*'])
     * @method SupportTicket firstOrNew(array $attributes = [], array $values = [])
     * @method SupportTicket firstWhere(array|\Closure|Expression|string $column, $operator = null, $value = null, string $boolean = 'and')
     * @method SupportTicket forceCreate(array $attributes)
     * @method _IH_SupportTicket_C|SupportTicket[] fromQuery(string $query, array $bindings = [])
     * @method _IH_SupportTicket_C|SupportTicket[] get(array|string $columns = ['*'])
     * @method SupportTicket getModel()
     * @method SupportTicket[] getModels(array|string $columns = ['*'])
     * @method _IH_SupportTicket_C|SupportTicket[] hydrate(array $items)
     * @method _IH_SupportTicket_C|SupportTicket[] lazy(int $chunkSize = 1000)
     * @method _IH_SupportTicket_C|SupportTicket[] lazyById(int $chunkSize = 1000, null|string $column = null, null|string $alias = null)
     * @method _IH_SupportTicket_C|SupportTicket[] lazyByIdDesc(int $chunkSize = 1000, null|string $column = null, null|string $alias = null)
     * @method SupportTicket make(array $attributes = [])
     * @method SupportTicket newModelInstance(array $attributes = [])
     * @method LengthAwarePaginator|SupportTicket[]|_IH_SupportTicket_C paginate(\Closure|int|null $perPage = null, array|string $columns = ['*'], string $pageName = 'page', int|null $page = null)
     * @method Paginator|SupportTicket[]|_IH_SupportTicket_C simplePaginate(int|null $perPage = null, array|string $columns = ['*'], string $pageName = 'page', int|null $page = null)
     * @method SupportTicket sole(array|string $columns = ['*'])
     * @method SupportTicket updateOrCreate(array $attributes, array $values = [])
     */
    class _IH_SupportTicket_QB extends _BaseBuilder {}
    
    /**
     * @method TicketCategory|null getOrPut($key, \Closure $value)
     * @method TicketCategory|$this shift(int $count = 1)
     * @method TicketCategory|null firstOrFail(callable|string $key = null, $operator = null, $value = null)
     * @method TicketCategory|$this pop(int $count = 1)
     * @method TicketCategory|null pull($key, \Closure $default = null)
     * @method TicketCategory|null last(callable $callback = null, \Closure $default = null)
     * @method TicketCategory|$this random(callable|int|null $number = null, bool $preserveKeys = false)
     * @method TicketCategory|null sole(callable|string $key = null, $operator = null, $value = null)
     * @method TicketCategory|null get($key, \Closure $default = null)
     * @method TicketCategory|null first(callable $callback = null, \Closure $default = null)
     * @method TicketCategory|null firstWhere(callable|string $key, $operator = null, $value = null)
     * @method TicketCategory|null find($key, $default = null)
     * @method TicketCategory[] all()
     */
    class _IH_TicketCategory_C extends _BaseCollection {
        /**
         * @param int $size
         * @return TicketCategory[][]|Collection<_IH_TicketCategory_C>
         */
        public function chunk($size)
        {
            return [];
        }
    }
    
    /**
     * @method _IH_TicketCategory_QB whereId($value)
     * @method _IH_TicketCategory_QB whereName($value)
     * @method _IH_TicketCategory_QB whereStatus($value)
     * @method _IH_TicketCategory_QB whereLmsId($value)
     * @method _IH_TicketCategory_QB whereCreatedAt($value)
     * @method _IH_TicketCategory_QB whereUpdatedAt($value)
     * @method _IH_TicketCategory_QB whereIsSystem($value)
     * @method _IH_TicketCategory_QB whereSlug($value)
     * @method TicketCategory baseSole(array|string $columns = ['*'])
     * @method TicketCategory create(array $attributes = [])
     * @method _IH_TicketCategory_C|TicketCategory[] cursor()
     * @method TicketCategory|null|_IH_TicketCategory_C|TicketCategory[] find($id, array|string $columns = ['*'])
     * @method _IH_TicketCategory_C|TicketCategory[] findMany(array|Arrayable $ids, array|string $columns = ['*'])
     * @method TicketCategory|_IH_TicketCategory_C|TicketCategory[] findOr($id, array|\Closure|string $columns = ['*'], \Closure $callback = null)
     * @method TicketCategory|_IH_TicketCategory_C|TicketCategory[] findOrFail($id, array|string $columns = ['*'])
     * @method TicketCategory|_IH_TicketCategory_C|TicketCategory[] findOrNew($id, array|string $columns = ['*'])
     * @method TicketCategory first(array|string $columns = ['*'])
     * @method TicketCategory firstOr(array|\Closure|string $columns = ['*'], \Closure $callback = null)
     * @method TicketCategory firstOrCreate(array $attributes = [], array $values = [])
     * @method TicketCategory firstOrFail(array|string $columns = ['*'])
     * @method TicketCategory firstOrNew(array $attributes = [], array $values = [])
     * @method TicketCategory firstWhere(array|\Closure|Expression|string $column, $operator = null, $value = null, string $boolean = 'and')
     * @method TicketCategory forceCreate(array $attributes)
     * @method _IH_TicketCategory_C|TicketCategory[] fromQuery(string $query, array $bindings = [])
     * @method _IH_TicketCategory_C|TicketCategory[] get(array|string $columns = ['*'])
     * @method TicketCategory getModel()
     * @method TicketCategory[] getModels(array|string $columns = ['*'])
     * @method _IH_TicketCategory_C|TicketCategory[] hydrate(array $items)
     * @method _IH_TicketCategory_C|TicketCategory[] lazy(int $chunkSize = 1000)
     * @method _IH_TicketCategory_C|TicketCategory[] lazyById(int $chunkSize = 1000, null|string $column = null, null|string $alias = null)
     * @method _IH_TicketCategory_C|TicketCategory[] lazyByIdDesc(int $chunkSize = 1000, null|string $column = null, null|string $alias = null)
     * @method TicketCategory make(array $attributes = [])
     * @method TicketCategory newModelInstance(array $attributes = [])
     * @method LengthAwarePaginator|TicketCategory[]|_IH_TicketCategory_C paginate(\Closure|int|null $perPage = null, array|string $columns = ['*'], string $pageName = 'page', int|null $page = null)
     * @method Paginator|TicketCategory[]|_IH_TicketCategory_C simplePaginate(int|null $perPage = null, array|string $columns = ['*'], string $pageName = 'page', int|null $page = null)
     * @method TicketCategory sole(array|string $columns = ['*'])
     * @method TicketCategory updateOrCreate(array $attributes, array $values = [])
     */
    class _IH_TicketCategory_QB extends _BaseBuilder {}
    
    /**
     * @method TicketMessageFile|null getOrPut($key, \Closure $value)
     * @method TicketMessageFile|$this shift(int $count = 1)
     * @method TicketMessageFile|null firstOrFail(callable|string $key = null, $operator = null, $value = null)
     * @method TicketMessageFile|$this pop(int $count = 1)
     * @method TicketMessageFile|null pull($key, \Closure $default = null)
     * @method TicketMessageFile|null last(callable $callback = null, \Closure $default = null)
     * @method TicketMessageFile|$this random(callable|int|null $number = null, bool $preserveKeys = false)
     * @method TicketMessageFile|null sole(callable|string $key = null, $operator = null, $value = null)
     * @method TicketMessageFile|null get($key, \Closure $default = null)
     * @method TicketMessageFile|null first(callable $callback = null, \Closure $default = null)
     * @method TicketMessageFile|null firstWhere(callable|string $key, $operator = null, $value = null)
     * @method TicketMessageFile|null find($key, $default = null)
     * @method TicketMessageFile[] all()
     */
    class _IH_TicketMessageFile_C extends _BaseCollection {
        /**
         * @param int $size
         * @return TicketMessageFile[][]|Collection<_IH_TicketMessageFile_C>
         */
        public function chunk($size)
        {
            return [];
        }
    }
    
    /**
     * @method _IH_TicketMessageFile_QB whereId($value)
     * @method _IH_TicketMessageFile_QB whereMessageId($value)
     * @method _IH_TicketMessageFile_QB whereUrl($value)
     * @method _IH_TicketMessageFile_QB whereName($value)
     * @method _IH_TicketMessageFile_QB whereType($value)
     * @method _IH_TicketMessageFile_QB whereLmsId($value)
     * @method _IH_TicketMessageFile_QB whereCreatedAt($value)
     * @method _IH_TicketMessageFile_QB whereUpdatedAt($value)
     * @method TicketMessageFile baseSole(array|string $columns = ['*'])
     * @method TicketMessageFile create(array $attributes = [])
     * @method _IH_TicketMessageFile_C|TicketMessageFile[] cursor()
     * @method TicketMessageFile|null|_IH_TicketMessageFile_C|TicketMessageFile[] find($id, array|string $columns = ['*'])
     * @method _IH_TicketMessageFile_C|TicketMessageFile[] findMany(array|Arrayable $ids, array|string $columns = ['*'])
     * @method TicketMessageFile|_IH_TicketMessageFile_C|TicketMessageFile[] findOr($id, array|\Closure|string $columns = ['*'], \Closure $callback = null)
     * @method TicketMessageFile|_IH_TicketMessageFile_C|TicketMessageFile[] findOrFail($id, array|string $columns = ['*'])
     * @method TicketMessageFile|_IH_TicketMessageFile_C|TicketMessageFile[] findOrNew($id, array|string $columns = ['*'])
     * @method TicketMessageFile first(array|string $columns = ['*'])
     * @method TicketMessageFile firstOr(array|\Closure|string $columns = ['*'], \Closure $callback = null)
     * @method TicketMessageFile firstOrCreate(array $attributes = [], array $values = [])
     * @method TicketMessageFile firstOrFail(array|string $columns = ['*'])
     * @method TicketMessageFile firstOrNew(array $attributes = [], array $values = [])
     * @method TicketMessageFile firstWhere(array|\Closure|Expression|string $column, $operator = null, $value = null, string $boolean = 'and')
     * @method TicketMessageFile forceCreate(array $attributes)
     * @method _IH_TicketMessageFile_C|TicketMessageFile[] fromQuery(string $query, array $bindings = [])
     * @method _IH_TicketMessageFile_C|TicketMessageFile[] get(array|string $columns = ['*'])
     * @method TicketMessageFile getModel()
     * @method TicketMessageFile[] getModels(array|string $columns = ['*'])
     * @method _IH_TicketMessageFile_C|TicketMessageFile[] hydrate(array $items)
     * @method _IH_TicketMessageFile_C|TicketMessageFile[] lazy(int $chunkSize = 1000)
     * @method _IH_TicketMessageFile_C|TicketMessageFile[] lazyById(int $chunkSize = 1000, null|string $column = null, null|string $alias = null)
     * @method _IH_TicketMessageFile_C|TicketMessageFile[] lazyByIdDesc(int $chunkSize = 1000, null|string $column = null, null|string $alias = null)
     * @method TicketMessageFile make(array $attributes = [])
     * @method TicketMessageFile newModelInstance(array $attributes = [])
     * @method LengthAwarePaginator|TicketMessageFile[]|_IH_TicketMessageFile_C paginate(\Closure|int|null $perPage = null, array|string $columns = ['*'], string $pageName = 'page', int|null $page = null)
     * @method Paginator|TicketMessageFile[]|_IH_TicketMessageFile_C simplePaginate(int|null $perPage = null, array|string $columns = ['*'], string $pageName = 'page', int|null $page = null)
     * @method TicketMessageFile sole(array|string $columns = ['*'])
     * @method TicketMessageFile updateOrCreate(array $attributes, array $values = [])
     */
    class _IH_TicketMessageFile_QB extends _BaseBuilder {}
    
    /**
     * @method TicketMessage|null getOrPut($key, \Closure $value)
     * @method TicketMessage|$this shift(int $count = 1)
     * @method TicketMessage|null firstOrFail(callable|string $key = null, $operator = null, $value = null)
     * @method TicketMessage|$this pop(int $count = 1)
     * @method TicketMessage|null pull($key, \Closure $default = null)
     * @method TicketMessage|null last(callable $callback = null, \Closure $default = null)
     * @method TicketMessage|$this random(callable|int|null $number = null, bool $preserveKeys = false)
     * @method TicketMessage|null sole(callable|string $key = null, $operator = null, $value = null)
     * @method TicketMessage|null get($key, \Closure $default = null)
     * @method TicketMessage|null first(callable $callback = null, \Closure $default = null)
     * @method TicketMessage|null firstWhere(callable|string $key, $operator = null, $value = null)
     * @method TicketMessage|null find($key, $default = null)
     * @method TicketMessage[] all()
     */
    class _IH_TicketMessage_C extends _BaseCollection {
        /**
         * @param int $size
         * @return TicketMessage[][]|Collection<_IH_TicketMessage_C>
         */
        public function chunk($size)
        {
            return [];
        }
    }
    
    /**
     * @method _IH_TicketMessage_QB whereId($value)
     * @method _IH_TicketMessage_QB whereTicketId($value)
     * @method _IH_TicketMessage_QB whereText($value)
     * @method _IH_TicketMessage_QB whereUserId($value)
     * @method _IH_TicketMessage_QB whereType($value)
     * @method _IH_TicketMessage_QB whereLmsId($value)
     * @method _IH_TicketMessage_QB whereCreatedAt($value)
     * @method _IH_TicketMessage_QB whereUpdatedAt($value)
     * @method TicketMessage baseSole(array|string $columns = ['*'])
     * @method TicketMessage create(array $attributes = [])
     * @method _IH_TicketMessage_C|TicketMessage[] cursor()
     * @method TicketMessage|null|_IH_TicketMessage_C|TicketMessage[] find($id, array|string $columns = ['*'])
     * @method _IH_TicketMessage_C|TicketMessage[] findMany(array|Arrayable $ids, array|string $columns = ['*'])
     * @method TicketMessage|_IH_TicketMessage_C|TicketMessage[] findOr($id, array|\Closure|string $columns = ['*'], \Closure $callback = null)
     * @method TicketMessage|_IH_TicketMessage_C|TicketMessage[] findOrFail($id, array|string $columns = ['*'])
     * @method TicketMessage|_IH_TicketMessage_C|TicketMessage[] findOrNew($id, array|string $columns = ['*'])
     * @method TicketMessage first(array|string $columns = ['*'])
     * @method TicketMessage firstOr(array|\Closure|string $columns = ['*'], \Closure $callback = null)
     * @method TicketMessage firstOrCreate(array $attributes = [], array $values = [])
     * @method TicketMessage firstOrFail(array|string $columns = ['*'])
     * @method TicketMessage firstOrNew(array $attributes = [], array $values = [])
     * @method TicketMessage firstWhere(array|\Closure|Expression|string $column, $operator = null, $value = null, string $boolean = 'and')
     * @method TicketMessage forceCreate(array $attributes)
     * @method _IH_TicketMessage_C|TicketMessage[] fromQuery(string $query, array $bindings = [])
     * @method _IH_TicketMessage_C|TicketMessage[] get(array|string $columns = ['*'])
     * @method TicketMessage getModel()
     * @method TicketMessage[] getModels(array|string $columns = ['*'])
     * @method _IH_TicketMessage_C|TicketMessage[] hydrate(array $items)
     * @method _IH_TicketMessage_C|TicketMessage[] lazy(int $chunkSize = 1000)
     * @method _IH_TicketMessage_C|TicketMessage[] lazyById(int $chunkSize = 1000, null|string $column = null, null|string $alias = null)
     * @method _IH_TicketMessage_C|TicketMessage[] lazyByIdDesc(int $chunkSize = 1000, null|string $column = null, null|string $alias = null)
     * @method TicketMessage make(array $attributes = [])
     * @method TicketMessage newModelInstance(array $attributes = [])
     * @method LengthAwarePaginator|TicketMessage[]|_IH_TicketMessage_C paginate(\Closure|int|null $perPage = null, array|string $columns = ['*'], string $pageName = 'page', int|null $page = null)
     * @method Paginator|TicketMessage[]|_IH_TicketMessage_C simplePaginate(int|null $perPage = null, array|string $columns = ['*'], string $pageName = 'page', int|null $page = null)
     * @method TicketMessage sole(array|string $columns = ['*'])
     * @method TicketMessage updateOrCreate(array $attributes, array $values = [])
     */
    class _IH_TicketMessage_QB extends _BaseBuilder {}
    
    /**
     * @method TicketPriority|null getOrPut($key, \Closure $value)
     * @method TicketPriority|$this shift(int $count = 1)
     * @method TicketPriority|null firstOrFail(callable|string $key = null, $operator = null, $value = null)
     * @method TicketPriority|$this pop(int $count = 1)
     * @method TicketPriority|null pull($key, \Closure $default = null)
     * @method TicketPriority|null last(callable $callback = null, \Closure $default = null)
     * @method TicketPriority|$this random(callable|int|null $number = null, bool $preserveKeys = false)
     * @method TicketPriority|null sole(callable|string $key = null, $operator = null, $value = null)
     * @method TicketPriority|null get($key, \Closure $default = null)
     * @method TicketPriority|null first(callable $callback = null, \Closure $default = null)
     * @method TicketPriority|null firstWhere(callable|string $key, $operator = null, $value = null)
     * @method TicketPriority|null find($key, $default = null)
     * @method TicketPriority[] all()
     */
    class _IH_TicketPriority_C extends _BaseCollection {
        /**
         * @param int $size
         * @return TicketPriority[][]|Collection<_IH_TicketPriority_C>
         */
        public function chunk($size)
        {
            return [];
        }
    }
    
    /**
     * @method _IH_TicketPriority_QB whereId($value)
     * @method _IH_TicketPriority_QB whereName($value)
     * @method _IH_TicketPriority_QB whereStatus($value)
     * @method _IH_TicketPriority_QB whereLmsId($value)
     * @method _IH_TicketPriority_QB whereCreatedAt($value)
     * @method _IH_TicketPriority_QB whereUpdatedAt($value)
     * @method TicketPriority baseSole(array|string $columns = ['*'])
     * @method TicketPriority create(array $attributes = [])
     * @method _IH_TicketPriority_C|TicketPriority[] cursor()
     * @method TicketPriority|null|_IH_TicketPriority_C|TicketPriority[] find($id, array|string $columns = ['*'])
     * @method _IH_TicketPriority_C|TicketPriority[] findMany(array|Arrayable $ids, array|string $columns = ['*'])
     * @method TicketPriority|_IH_TicketPriority_C|TicketPriority[] findOr($id, array|\Closure|string $columns = ['*'], \Closure $callback = null)
     * @method TicketPriority|_IH_TicketPriority_C|TicketPriority[] findOrFail($id, array|string $columns = ['*'])
     * @method TicketPriority|_IH_TicketPriority_C|TicketPriority[] findOrNew($id, array|string $columns = ['*'])
     * @method TicketPriority first(array|string $columns = ['*'])
     * @method TicketPriority firstOr(array|\Closure|string $columns = ['*'], \Closure $callback = null)
     * @method TicketPriority firstOrCreate(array $attributes = [], array $values = [])
     * @method TicketPriority firstOrFail(array|string $columns = ['*'])
     * @method TicketPriority firstOrNew(array $attributes = [], array $values = [])
     * @method TicketPriority firstWhere(array|\Closure|Expression|string $column, $operator = null, $value = null, string $boolean = 'and')
     * @method TicketPriority forceCreate(array $attributes)
     * @method _IH_TicketPriority_C|TicketPriority[] fromQuery(string $query, array $bindings = [])
     * @method _IH_TicketPriority_C|TicketPriority[] get(array|string $columns = ['*'])
     * @method TicketPriority getModel()
     * @method TicketPriority[] getModels(array|string $columns = ['*'])
     * @method _IH_TicketPriority_C|TicketPriority[] hydrate(array $items)
     * @method _IH_TicketPriority_C|TicketPriority[] lazy(int $chunkSize = 1000)
     * @method _IH_TicketPriority_C|TicketPriority[] lazyById(int $chunkSize = 1000, null|string $column = null, null|string $alias = null)
     * @method _IH_TicketPriority_C|TicketPriority[] lazyByIdDesc(int $chunkSize = 1000, null|string $column = null, null|string $alias = null)
     * @method TicketPriority make(array $attributes = [])
     * @method TicketPriority newModelInstance(array $attributes = [])
     * @method LengthAwarePaginator|TicketPriority[]|_IH_TicketPriority_C paginate(\Closure|int|null $perPage = null, array|string $columns = ['*'], string $pageName = 'page', int|null $page = null)
     * @method Paginator|TicketPriority[]|_IH_TicketPriority_C simplePaginate(int|null $perPage = null, array|string $columns = ['*'], string $pageName = 'page', int|null $page = null)
     * @method TicketPriority sole(array|string $columns = ['*'])
     * @method TicketPriority updateOrCreate(array $attributes, array $values = [])
     */
    class _IH_TicketPriority_QB extends _BaseBuilder {}
    
    /**
     * @method TicketStatus|null getOrPut($key, \Closure $value)
     * @method TicketStatus|$this shift(int $count = 1)
     * @method TicketStatus|null firstOrFail(callable|string $key = null, $operator = null, $value = null)
     * @method TicketStatus|$this pop(int $count = 1)
     * @method TicketStatus|null pull($key, \Closure $default = null)
     * @method TicketStatus|null last(callable $callback = null, \Closure $default = null)
     * @method TicketStatus|$this random(callable|int|null $number = null, bool $preserveKeys = false)
     * @method TicketStatus|null sole(callable|string $key = null, $operator = null, $value = null)
     * @method TicketStatus|null get($key, \Closure $default = null)
     * @method TicketStatus|null first(callable $callback = null, \Closure $default = null)
     * @method TicketStatus|null firstWhere(callable|string $key, $operator = null, $value = null)
     * @method TicketStatus|null find($key, $default = null)
     * @method TicketStatus[] all()
     */
    class _IH_TicketStatus_C extends _BaseCollection {
        /**
         * @param int $size
         * @return TicketStatus[][]|Collection<_IH_TicketStatus_C>
         */
        public function chunk($size)
        {
            return [];
        }
    }
    
    /**
     * @method _IH_TicketStatus_QB whereId($value)
     * @method _IH_TicketStatus_QB whereName($value)
     * @method _IH_TicketStatus_QB whereStatus($value)
     * @method _IH_TicketStatus_QB whereCreatedAt($value)
     * @method _IH_TicketStatus_QB whereUpdatedAt($value)
     * @method TicketStatus baseSole(array|string $columns = ['*'])
     * @method TicketStatus create(array $attributes = [])
     * @method _IH_TicketStatus_C|TicketStatus[] cursor()
     * @method TicketStatus|null|_IH_TicketStatus_C|TicketStatus[] find($id, array|string $columns = ['*'])
     * @method _IH_TicketStatus_C|TicketStatus[] findMany(array|Arrayable $ids, array|string $columns = ['*'])
     * @method TicketStatus|_IH_TicketStatus_C|TicketStatus[] findOr($id, array|\Closure|string $columns = ['*'], \Closure $callback = null)
     * @method TicketStatus|_IH_TicketStatus_C|TicketStatus[] findOrFail($id, array|string $columns = ['*'])
     * @method TicketStatus|_IH_TicketStatus_C|TicketStatus[] findOrNew($id, array|string $columns = ['*'])
     * @method TicketStatus first(array|string $columns = ['*'])
     * @method TicketStatus firstOr(array|\Closure|string $columns = ['*'], \Closure $callback = null)
     * @method TicketStatus firstOrCreate(array $attributes = [], array $values = [])
     * @method TicketStatus firstOrFail(array|string $columns = ['*'])
     * @method TicketStatus firstOrNew(array $attributes = [], array $values = [])
     * @method TicketStatus firstWhere(array|\Closure|Expression|string $column, $operator = null, $value = null, string $boolean = 'and')
     * @method TicketStatus forceCreate(array $attributes)
     * @method _IH_TicketStatus_C|TicketStatus[] fromQuery(string $query, array $bindings = [])
     * @method _IH_TicketStatus_C|TicketStatus[] get(array|string $columns = ['*'])
     * @method TicketStatus getModel()
     * @method TicketStatus[] getModels(array|string $columns = ['*'])
     * @method _IH_TicketStatus_C|TicketStatus[] hydrate(array $items)
     * @method _IH_TicketStatus_C|TicketStatus[] lazy(int $chunkSize = 1000)
     * @method _IH_TicketStatus_C|TicketStatus[] lazyById(int $chunkSize = 1000, null|string $column = null, null|string $alias = null)
     * @method _IH_TicketStatus_C|TicketStatus[] lazyByIdDesc(int $chunkSize = 1000, null|string $column = null, null|string $alias = null)
     * @method TicketStatus make(array $attributes = [])
     * @method TicketStatus newModelInstance(array $attributes = [])
     * @method LengthAwarePaginator|TicketStatus[]|_IH_TicketStatus_C paginate(\Closure|int|null $perPage = null, array|string $columns = ['*'], string $pageName = 'page', int|null $page = null)
     * @method Paginator|TicketStatus[]|_IH_TicketStatus_C simplePaginate(int|null $perPage = null, array|string $columns = ['*'], string $pageName = 'page', int|null $page = null)
     * @method TicketStatus sole(array|string $columns = ['*'])
     * @method TicketStatus updateOrCreate(array $attributes, array $values = [])
     */
    class _IH_TicketStatus_QB extends _BaseBuilder {}
}