<?php //c4116c179068fd05191fcceb370d4971
/** @noinspection all */

namespace LaravelIdea\Helper\Modules\ELibrary\Entities {

    use Illuminate\Contracts\Database\Query\Expression;
    use Illuminate\Contracts\Support\Arrayable;
    use Illuminate\Pagination\LengthAwarePaginator;
    use Illuminate\Pagination\Paginator;
    use Illuminate\Support\Collection;
    use LaravelIdea\Helper\_BaseBuilder;
    use LaravelIdea\Helper\_BaseCollection;
    use Modules\ELibrary\Entities\Ebook;
    use Modules\ELibrary\Entities\EbookAccess;
    
    /**
     * @method EbookAccess|null getOrPut($key, \Closure $value)
     * @method EbookAccess|$this shift(int $count = 1)
     * @method EbookAccess|null firstOrFail(callable|string $key = null, $operator = null, $value = null)
     * @method EbookAccess|$this pop(int $count = 1)
     * @method EbookAccess|null pull($key, \Closure $default = null)
     * @method EbookAccess|null last(callable $callback = null, \Closure $default = null)
     * @method EbookAccess|$this random(callable|int|null $number = null, bool $preserveKeys = false)
     * @method EbookAccess|null sole(callable|string $key = null, $operator = null, $value = null)
     * @method EbookAccess|null get($key, \Closure $default = null)
     * @method EbookAccess|null first(callable $callback = null, \Closure $default = null)
     * @method EbookAccess|null firstWhere(callable|string $key, $operator = null, $value = null)
     * @method EbookAccess|null find($key, $default = null)
     * @method EbookAccess[] all()
     */
    class _IH_EbookAccess_C extends _BaseCollection {
        /**
         * @param int $size
         * @return EbookAccess[][]|Collection<_IH_EbookAccess_C>
         */
        public function chunk($size)
        {
            return [];
        }
    }
    
    /**
     * @method _IH_EbookAccess_QB whereId($value)
     * @method _IH_EbookAccess_QB whereType($value)
     * @method _IH_EbookAccess_QB whereEbookId($value)
     * @method _IH_EbookAccess_QB whereGroupId($value)
     * @method _IH_EbookAccess_QB whereClassId($value)
     * @method _IH_EbookAccess_QB whereCourseId($value)
     * @method _IH_EbookAccess_QB whereCreatedBy($value)
     * @method _IH_EbookAccess_QB whereStatus($value)
     * @method _IH_EbookAccess_QB whereCreatedAt($value)
     * @method _IH_EbookAccess_QB whereUpdatedAt($value)
     * @method EbookAccess baseSole(array|string $columns = ['*'])
     * @method EbookAccess create(array $attributes = [])
     * @method _IH_EbookAccess_C|EbookAccess[] cursor()
     * @method EbookAccess|null|_IH_EbookAccess_C|EbookAccess[] find($id, array|string $columns = ['*'])
     * @method _IH_EbookAccess_C|EbookAccess[] findMany(array|Arrayable $ids, array|string $columns = ['*'])
     * @method EbookAccess|_IH_EbookAccess_C|EbookAccess[] findOr($id, array|\Closure|string $columns = ['*'], \Closure $callback = null)
     * @method EbookAccess|_IH_EbookAccess_C|EbookAccess[] findOrFail($id, array|string $columns = ['*'])
     * @method EbookAccess|_IH_EbookAccess_C|EbookAccess[] findOrNew($id, array|string $columns = ['*'])
     * @method EbookAccess first(array|string $columns = ['*'])
     * @method EbookAccess firstOr(array|\Closure|string $columns = ['*'], \Closure $callback = null)
     * @method EbookAccess firstOrCreate(array $attributes = [], array $values = [])
     * @method EbookAccess firstOrFail(array|string $columns = ['*'])
     * @method EbookAccess firstOrNew(array $attributes = [], array $values = [])
     * @method EbookAccess firstWhere(array|\Closure|Expression|string $column, $operator = null, $value = null, string $boolean = 'and')
     * @method EbookAccess forceCreate(array $attributes)
     * @method _IH_EbookAccess_C|EbookAccess[] fromQuery(string $query, array $bindings = [])
     * @method _IH_EbookAccess_C|EbookAccess[] get(array|string $columns = ['*'])
     * @method EbookAccess getModel()
     * @method EbookAccess[] getModels(array|string $columns = ['*'])
     * @method _IH_EbookAccess_C|EbookAccess[] hydrate(array $items)
     * @method _IH_EbookAccess_C|EbookAccess[] lazy(int $chunkSize = 1000)
     * @method _IH_EbookAccess_C|EbookAccess[] lazyById(int $chunkSize = 1000, null|string $column = null, null|string $alias = null)
     * @method _IH_EbookAccess_C|EbookAccess[] lazyByIdDesc(int $chunkSize = 1000, null|string $column = null, null|string $alias = null)
     * @method EbookAccess make(array $attributes = [])
     * @method EbookAccess newModelInstance(array $attributes = [])
     * @method LengthAwarePaginator|EbookAccess[]|_IH_EbookAccess_C paginate(\Closure|int|null $perPage = null, array|string $columns = ['*'], string $pageName = 'page', int|null $page = null)
     * @method Paginator|EbookAccess[]|_IH_EbookAccess_C simplePaginate(int|null $perPage = null, array|string $columns = ['*'], string $pageName = 'page', int|null $page = null)
     * @method EbookAccess sole(array|string $columns = ['*'])
     * @method EbookAccess updateOrCreate(array $attributes, array $values = [])
     */
    class _IH_EbookAccess_QB extends _BaseBuilder {}
    
    /**
     * @method Ebook|null getOrPut($key, \Closure $value)
     * @method Ebook|$this shift(int $count = 1)
     * @method Ebook|null firstOrFail(callable|string $key = null, $operator = null, $value = null)
     * @method Ebook|$this pop(int $count = 1)
     * @method Ebook|null pull($key, \Closure $default = null)
     * @method Ebook|null last(callable $callback = null, \Closure $default = null)
     * @method Ebook|$this random(callable|int|null $number = null, bool $preserveKeys = false)
     * @method Ebook|null sole(callable|string $key = null, $operator = null, $value = null)
     * @method Ebook|null get($key, \Closure $default = null)
     * @method Ebook|null first(callable $callback = null, \Closure $default = null)
     * @method Ebook|null firstWhere(callable|string $key, $operator = null, $value = null)
     * @method Ebook|null find($key, $default = null)
     * @method Ebook[] all()
     */
    class _IH_Ebook_C extends _BaseCollection {
        /**
         * @param int $size
         * @return Ebook[][]|Collection<_IH_Ebook_C>
         */
        public function chunk($size)
        {
            return [];
        }
    }
    
    /**
     * @method _IH_Ebook_QB whereId($value)
     * @method _IH_Ebook_QB whereName($value)
     * @method _IH_Ebook_QB whereFileName($value)
     * @method _IH_Ebook_QB whereFile($value)
     * @method _IH_Ebook_QB whereThumbnail($value)
     * @method _IH_Ebook_QB whereBookNumber($value)
     * @method _IH_Ebook_QB whereIsbnNo($value)
     * @method _IH_Ebook_QB wherePublisherName($value)
     * @method _IH_Ebook_QB whereAuthorName($value)
     * @method _IH_Ebook_QB whereCreatedBy($value)
     * @method _IH_Ebook_QB whereSubscription($value)
     * @method _IH_Ebook_QB whereStatus($value)
     * @method _IH_Ebook_QB whereCreatedAt($value)
     * @method _IH_Ebook_QB whereUpdatedAt($value)
     * @method Ebook baseSole(array|string $columns = ['*'])
     * @method Ebook create(array $attributes = [])
     * @method _IH_Ebook_C|Ebook[] cursor()
     * @method Ebook|null|_IH_Ebook_C|Ebook[] find($id, array|string $columns = ['*'])
     * @method _IH_Ebook_C|Ebook[] findMany(array|Arrayable $ids, array|string $columns = ['*'])
     * @method Ebook|_IH_Ebook_C|Ebook[] findOr($id, array|\Closure|string $columns = ['*'], \Closure $callback = null)
     * @method Ebook|_IH_Ebook_C|Ebook[] findOrFail($id, array|string $columns = ['*'])
     * @method Ebook|_IH_Ebook_C|Ebook[] findOrNew($id, array|string $columns = ['*'])
     * @method Ebook first(array|string $columns = ['*'])
     * @method Ebook firstOr(array|\Closure|string $columns = ['*'], \Closure $callback = null)
     * @method Ebook firstOrCreate(array $attributes = [], array $values = [])
     * @method Ebook firstOrFail(array|string $columns = ['*'])
     * @method Ebook firstOrNew(array $attributes = [], array $values = [])
     * @method Ebook firstWhere(array|\Closure|Expression|string $column, $operator = null, $value = null, string $boolean = 'and')
     * @method Ebook forceCreate(array $attributes)
     * @method _IH_Ebook_C|Ebook[] fromQuery(string $query, array $bindings = [])
     * @method _IH_Ebook_C|Ebook[] get(array|string $columns = ['*'])
     * @method Ebook getModel()
     * @method Ebook[] getModels(array|string $columns = ['*'])
     * @method _IH_Ebook_C|Ebook[] hydrate(array $items)
     * @method _IH_Ebook_C|Ebook[] lazy(int $chunkSize = 1000)
     * @method _IH_Ebook_C|Ebook[] lazyById(int $chunkSize = 1000, null|string $column = null, null|string $alias = null)
     * @method _IH_Ebook_C|Ebook[] lazyByIdDesc(int $chunkSize = 1000, null|string $column = null, null|string $alias = null)
     * @method Ebook make(array $attributes = [])
     * @method Ebook newModelInstance(array $attributes = [])
     * @method LengthAwarePaginator|Ebook[]|_IH_Ebook_C paginate(\Closure|int|null $perPage = null, array|string $columns = ['*'], string $pageName = 'page', int|null $page = null)
     * @method Paginator|Ebook[]|_IH_Ebook_C simplePaginate(int|null $perPage = null, array|string $columns = ['*'], string $pageName = 'page', int|null $page = null)
     * @method Ebook sole(array|string $columns = ['*'])
     * @method Ebook updateOrCreate(array $attributes, array $values = [])
     */
    class _IH_Ebook_QB extends _BaseBuilder {}
}