<?php //399b7b34525198cb9ea882f3f09fc75f
/** @noinspection all */

namespace LaravelIdea\Helper\Modules\OrgSubscription\Entities {

    use Illuminate\Contracts\Database\Query\Expression;
    use Illuminate\Contracts\Support\Arrayable;
    use Illuminate\Pagination\LengthAwarePaginator;
    use Illuminate\Pagination\Paginator;
    use Illuminate\Support\Collection;
    use LaravelIdea\Helper\_BaseBuilder;
    use LaravelIdea\Helper\_BaseCollection;
    use Modules\OrgSubscription\Entities\OrgAttendance;
    use Modules\OrgSubscription\Entities\OrgAutoEnrollmentRule;
    use Modules\OrgSubscription\Entities\OrgAutoEnrollmentRuleBranch;
    use Modules\OrgSubscription\Entities\OrgAutoEnrollmentRulePath;
    use Modules\OrgSubscription\Entities\OrgAutoEnrollmentRulePosition;
    use Modules\OrgSubscription\Entities\OrgCourseSubscription;
    use Modules\OrgSubscription\Entities\OrgLeaningPathSection;
    use Modules\OrgSubscription\Entities\OrgSubscriptionCheckout;
    use Modules\OrgSubscription\Entities\OrgSubscriptionCourseList;
    use Modules\OrgSubscription\Entities\OrgSubscriptionSetting;
    
    /**
     * @method OrgAttendance|null getOrPut($key, \Closure $value)
     * @method OrgAttendance|$this shift(int $count = 1)
     * @method OrgAttendance|null firstOrFail(callable|string $key = null, $operator = null, $value = null)
     * @method OrgAttendance|$this pop(int $count = 1)
     * @method OrgAttendance|null pull($key, \Closure $default = null)
     * @method OrgAttendance|null last(callable $callback = null, \Closure $default = null)
     * @method OrgAttendance|$this random(callable|int|null $number = null, bool $preserveKeys = false)
     * @method OrgAttendance|null sole(callable|string $key = null, $operator = null, $value = null)
     * @method OrgAttendance|null get($key, \Closure $default = null)
     * @method OrgAttendance|null first(callable $callback = null, \Closure $default = null)
     * @method OrgAttendance|null firstWhere(callable|string $key, $operator = null, $value = null)
     * @method OrgAttendance|null find($key, $default = null)
     * @method OrgAttendance[] all()
     */
    class _IH_OrgAttendance_C extends _BaseCollection {
        /**
         * @param int $size
         * @return OrgAttendance[][]|Collection<_IH_OrgAttendance_C>
         */
        public function chunk($size)
        {
            return [];
        }
    }
    
    /**
     * @method _IH_OrgAttendance_QB whereId($value)
     * @method _IH_OrgAttendance_QB whereUserId($value)
     * @method _IH_OrgAttendance_QB whereCourseId($value)
     * @method _IH_OrgAttendance_QB whereAttend($value)
     * @method _IH_OrgAttendance_QB whereTotalScore($value)
     * @method _IH_OrgAttendance_QB wherePassRate($value)
     * @method _IH_OrgAttendance_QB whereActualScore($value)
     * @method _IH_OrgAttendance_QB wherePass($value)
     * @method _IH_OrgAttendance_QB whereCreatedAt($value)
     * @method _IH_OrgAttendance_QB whereUpdatedAt($value)
     * @method _IH_OrgAttendance_QB whereClassId($value)
     * @method _IH_OrgAttendance_QB whereClassType($value)
     * @method OrgAttendance baseSole(array|string $columns = ['*'])
     * @method OrgAttendance create(array $attributes = [])
     * @method _IH_OrgAttendance_C|OrgAttendance[] cursor()
     * @method OrgAttendance|null|_IH_OrgAttendance_C|OrgAttendance[] find($id, array|string $columns = ['*'])
     * @method _IH_OrgAttendance_C|OrgAttendance[] findMany(array|Arrayable $ids, array|string $columns = ['*'])
     * @method OrgAttendance|_IH_OrgAttendance_C|OrgAttendance[] findOr($id, array|\Closure|string $columns = ['*'], \Closure $callback = null)
     * @method OrgAttendance|_IH_OrgAttendance_C|OrgAttendance[] findOrFail($id, array|string $columns = ['*'])
     * @method OrgAttendance|_IH_OrgAttendance_C|OrgAttendance[] findOrNew($id, array|string $columns = ['*'])
     * @method OrgAttendance first(array|string $columns = ['*'])
     * @method OrgAttendance firstOr(array|\Closure|string $columns = ['*'], \Closure $callback = null)
     * @method OrgAttendance firstOrCreate(array $attributes = [], array $values = [])
     * @method OrgAttendance firstOrFail(array|string $columns = ['*'])
     * @method OrgAttendance firstOrNew(array $attributes = [], array $values = [])
     * @method OrgAttendance firstWhere(array|\Closure|Expression|string $column, $operator = null, $value = null, string $boolean = 'and')
     * @method OrgAttendance forceCreate(array $attributes)
     * @method _IH_OrgAttendance_C|OrgAttendance[] fromQuery(string $query, array $bindings = [])
     * @method _IH_OrgAttendance_C|OrgAttendance[] get(array|string $columns = ['*'])
     * @method OrgAttendance getModel()
     * @method OrgAttendance[] getModels(array|string $columns = ['*'])
     * @method _IH_OrgAttendance_C|OrgAttendance[] hydrate(array $items)
     * @method _IH_OrgAttendance_C|OrgAttendance[] lazy(int $chunkSize = 1000)
     * @method _IH_OrgAttendance_C|OrgAttendance[] lazyById(int $chunkSize = 1000, null|string $column = null, null|string $alias = null)
     * @method _IH_OrgAttendance_C|OrgAttendance[] lazyByIdDesc(int $chunkSize = 1000, null|string $column = null, null|string $alias = null)
     * @method OrgAttendance make(array $attributes = [])
     * @method OrgAttendance newModelInstance(array $attributes = [])
     * @method LengthAwarePaginator|OrgAttendance[]|_IH_OrgAttendance_C paginate(\Closure|int|null $perPage = null, array|string $columns = ['*'], string $pageName = 'page', int|null $page = null)
     * @method Paginator|OrgAttendance[]|_IH_OrgAttendance_C simplePaginate(int|null $perPage = null, array|string $columns = ['*'], string $pageName = 'page', int|null $page = null)
     * @method OrgAttendance sole(array|string $columns = ['*'])
     * @method OrgAttendance updateOrCreate(array $attributes, array $values = [])
     */
    class _IH_OrgAttendance_QB extends _BaseBuilder {}
    
    /**
     * @method OrgAutoEnrollmentRuleBranch|null getOrPut($key, \Closure $value)
     * @method OrgAutoEnrollmentRuleBranch|$this shift(int $count = 1)
     * @method OrgAutoEnrollmentRuleBranch|null firstOrFail(callable|string $key = null, $operator = null, $value = null)
     * @method OrgAutoEnrollmentRuleBranch|$this pop(int $count = 1)
     * @method OrgAutoEnrollmentRuleBranch|null pull($key, \Closure $default = null)
     * @method OrgAutoEnrollmentRuleBranch|null last(callable $callback = null, \Closure $default = null)
     * @method OrgAutoEnrollmentRuleBranch|$this random(callable|int|null $number = null, bool $preserveKeys = false)
     * @method OrgAutoEnrollmentRuleBranch|null sole(callable|string $key = null, $operator = null, $value = null)
     * @method OrgAutoEnrollmentRuleBranch|null get($key, \Closure $default = null)
     * @method OrgAutoEnrollmentRuleBranch|null first(callable $callback = null, \Closure $default = null)
     * @method OrgAutoEnrollmentRuleBranch|null firstWhere(callable|string $key, $operator = null, $value = null)
     * @method OrgAutoEnrollmentRuleBranch|null find($key, $default = null)
     * @method OrgAutoEnrollmentRuleBranch[] all()
     */
    class _IH_OrgAutoEnrollmentRuleBranch_C extends _BaseCollection {
        /**
         * @param int $size
         * @return OrgAutoEnrollmentRuleBranch[][]|Collection<_IH_OrgAutoEnrollmentRuleBranch_C>
         */
        public function chunk($size)
        {
            return [];
        }
    }
    
    /**
     * @method _IH_OrgAutoEnrollmentRuleBranch_QB whereId($value)
     * @method _IH_OrgAutoEnrollmentRuleBranch_QB whereRuleId($value)
     * @method _IH_OrgAutoEnrollmentRuleBranch_QB whereOrgChart($value)
     * @method _IH_OrgAutoEnrollmentRuleBranch_QB whereCreatedAt($value)
     * @method _IH_OrgAutoEnrollmentRuleBranch_QB whereUpdatedAt($value)
     * @method OrgAutoEnrollmentRuleBranch baseSole(array|string $columns = ['*'])
     * @method OrgAutoEnrollmentRuleBranch create(array $attributes = [])
     * @method _IH_OrgAutoEnrollmentRuleBranch_C|OrgAutoEnrollmentRuleBranch[] cursor()
     * @method OrgAutoEnrollmentRuleBranch|null|_IH_OrgAutoEnrollmentRuleBranch_C|OrgAutoEnrollmentRuleBranch[] find($id, array|string $columns = ['*'])
     * @method _IH_OrgAutoEnrollmentRuleBranch_C|OrgAutoEnrollmentRuleBranch[] findMany(array|Arrayable $ids, array|string $columns = ['*'])
     * @method OrgAutoEnrollmentRuleBranch|_IH_OrgAutoEnrollmentRuleBranch_C|OrgAutoEnrollmentRuleBranch[] findOr($id, array|\Closure|string $columns = ['*'], \Closure $callback = null)
     * @method OrgAutoEnrollmentRuleBranch|_IH_OrgAutoEnrollmentRuleBranch_C|OrgAutoEnrollmentRuleBranch[] findOrFail($id, array|string $columns = ['*'])
     * @method OrgAutoEnrollmentRuleBranch|_IH_OrgAutoEnrollmentRuleBranch_C|OrgAutoEnrollmentRuleBranch[] findOrNew($id, array|string $columns = ['*'])
     * @method OrgAutoEnrollmentRuleBranch first(array|string $columns = ['*'])
     * @method OrgAutoEnrollmentRuleBranch firstOr(array|\Closure|string $columns = ['*'], \Closure $callback = null)
     * @method OrgAutoEnrollmentRuleBranch firstOrCreate(array $attributes = [], array $values = [])
     * @method OrgAutoEnrollmentRuleBranch firstOrFail(array|string $columns = ['*'])
     * @method OrgAutoEnrollmentRuleBranch firstOrNew(array $attributes = [], array $values = [])
     * @method OrgAutoEnrollmentRuleBranch firstWhere(array|\Closure|Expression|string $column, $operator = null, $value = null, string $boolean = 'and')
     * @method OrgAutoEnrollmentRuleBranch forceCreate(array $attributes)
     * @method _IH_OrgAutoEnrollmentRuleBranch_C|OrgAutoEnrollmentRuleBranch[] fromQuery(string $query, array $bindings = [])
     * @method _IH_OrgAutoEnrollmentRuleBranch_C|OrgAutoEnrollmentRuleBranch[] get(array|string $columns = ['*'])
     * @method OrgAutoEnrollmentRuleBranch getModel()
     * @method OrgAutoEnrollmentRuleBranch[] getModels(array|string $columns = ['*'])
     * @method _IH_OrgAutoEnrollmentRuleBranch_C|OrgAutoEnrollmentRuleBranch[] hydrate(array $items)
     * @method _IH_OrgAutoEnrollmentRuleBranch_C|OrgAutoEnrollmentRuleBranch[] lazy(int $chunkSize = 1000)
     * @method _IH_OrgAutoEnrollmentRuleBranch_C|OrgAutoEnrollmentRuleBranch[] lazyById(int $chunkSize = 1000, null|string $column = null, null|string $alias = null)
     * @method _IH_OrgAutoEnrollmentRuleBranch_C|OrgAutoEnrollmentRuleBranch[] lazyByIdDesc(int $chunkSize = 1000, null|string $column = null, null|string $alias = null)
     * @method OrgAutoEnrollmentRuleBranch make(array $attributes = [])
     * @method OrgAutoEnrollmentRuleBranch newModelInstance(array $attributes = [])
     * @method LengthAwarePaginator|OrgAutoEnrollmentRuleBranch[]|_IH_OrgAutoEnrollmentRuleBranch_C paginate(\Closure|int|null $perPage = null, array|string $columns = ['*'], string $pageName = 'page', int|null $page = null)
     * @method Paginator|OrgAutoEnrollmentRuleBranch[]|_IH_OrgAutoEnrollmentRuleBranch_C simplePaginate(int|null $perPage = null, array|string $columns = ['*'], string $pageName = 'page', int|null $page = null)
     * @method OrgAutoEnrollmentRuleBranch sole(array|string $columns = ['*'])
     * @method OrgAutoEnrollmentRuleBranch updateOrCreate(array $attributes, array $values = [])
     */
    class _IH_OrgAutoEnrollmentRuleBranch_QB extends _BaseBuilder {}
    
    /**
     * @method OrgAutoEnrollmentRulePath|null getOrPut($key, \Closure $value)
     * @method OrgAutoEnrollmentRulePath|$this shift(int $count = 1)
     * @method OrgAutoEnrollmentRulePath|null firstOrFail(callable|string $key = null, $operator = null, $value = null)
     * @method OrgAutoEnrollmentRulePath|$this pop(int $count = 1)
     * @method OrgAutoEnrollmentRulePath|null pull($key, \Closure $default = null)
     * @method OrgAutoEnrollmentRulePath|null last(callable $callback = null, \Closure $default = null)
     * @method OrgAutoEnrollmentRulePath|$this random(callable|int|null $number = null, bool $preserveKeys = false)
     * @method OrgAutoEnrollmentRulePath|null sole(callable|string $key = null, $operator = null, $value = null)
     * @method OrgAutoEnrollmentRulePath|null get($key, \Closure $default = null)
     * @method OrgAutoEnrollmentRulePath|null first(callable $callback = null, \Closure $default = null)
     * @method OrgAutoEnrollmentRulePath|null firstWhere(callable|string $key, $operator = null, $value = null)
     * @method OrgAutoEnrollmentRulePath|null find($key, $default = null)
     * @method OrgAutoEnrollmentRulePath[] all()
     */
    class _IH_OrgAutoEnrollmentRulePath_C extends _BaseCollection {
        /**
         * @param int $size
         * @return OrgAutoEnrollmentRulePath[][]|Collection<_IH_OrgAutoEnrollmentRulePath_C>
         */
        public function chunk($size)
        {
            return [];
        }
    }
    
    /**
     * @method _IH_OrgAutoEnrollmentRulePath_QB whereId($value)
     * @method _IH_OrgAutoEnrollmentRulePath_QB whereRuleId($value)
     * @method _IH_OrgAutoEnrollmentRulePath_QB wherePathId($value)
     * @method _IH_OrgAutoEnrollmentRulePath_QB whereCreatedAt($value)
     * @method _IH_OrgAutoEnrollmentRulePath_QB whereUpdatedAt($value)
     * @method OrgAutoEnrollmentRulePath baseSole(array|string $columns = ['*'])
     * @method OrgAutoEnrollmentRulePath create(array $attributes = [])
     * @method _IH_OrgAutoEnrollmentRulePath_C|OrgAutoEnrollmentRulePath[] cursor()
     * @method OrgAutoEnrollmentRulePath|null|_IH_OrgAutoEnrollmentRulePath_C|OrgAutoEnrollmentRulePath[] find($id, array|string $columns = ['*'])
     * @method _IH_OrgAutoEnrollmentRulePath_C|OrgAutoEnrollmentRulePath[] findMany(array|Arrayable $ids, array|string $columns = ['*'])
     * @method OrgAutoEnrollmentRulePath|_IH_OrgAutoEnrollmentRulePath_C|OrgAutoEnrollmentRulePath[] findOr($id, array|\Closure|string $columns = ['*'], \Closure $callback = null)
     * @method OrgAutoEnrollmentRulePath|_IH_OrgAutoEnrollmentRulePath_C|OrgAutoEnrollmentRulePath[] findOrFail($id, array|string $columns = ['*'])
     * @method OrgAutoEnrollmentRulePath|_IH_OrgAutoEnrollmentRulePath_C|OrgAutoEnrollmentRulePath[] findOrNew($id, array|string $columns = ['*'])
     * @method OrgAutoEnrollmentRulePath first(array|string $columns = ['*'])
     * @method OrgAutoEnrollmentRulePath firstOr(array|\Closure|string $columns = ['*'], \Closure $callback = null)
     * @method OrgAutoEnrollmentRulePath firstOrCreate(array $attributes = [], array $values = [])
     * @method OrgAutoEnrollmentRulePath firstOrFail(array|string $columns = ['*'])
     * @method OrgAutoEnrollmentRulePath firstOrNew(array $attributes = [], array $values = [])
     * @method OrgAutoEnrollmentRulePath firstWhere(array|\Closure|Expression|string $column, $operator = null, $value = null, string $boolean = 'and')
     * @method OrgAutoEnrollmentRulePath forceCreate(array $attributes)
     * @method _IH_OrgAutoEnrollmentRulePath_C|OrgAutoEnrollmentRulePath[] fromQuery(string $query, array $bindings = [])
     * @method _IH_OrgAutoEnrollmentRulePath_C|OrgAutoEnrollmentRulePath[] get(array|string $columns = ['*'])
     * @method OrgAutoEnrollmentRulePath getModel()
     * @method OrgAutoEnrollmentRulePath[] getModels(array|string $columns = ['*'])
     * @method _IH_OrgAutoEnrollmentRulePath_C|OrgAutoEnrollmentRulePath[] hydrate(array $items)
     * @method _IH_OrgAutoEnrollmentRulePath_C|OrgAutoEnrollmentRulePath[] lazy(int $chunkSize = 1000)
     * @method _IH_OrgAutoEnrollmentRulePath_C|OrgAutoEnrollmentRulePath[] lazyById(int $chunkSize = 1000, null|string $column = null, null|string $alias = null)
     * @method _IH_OrgAutoEnrollmentRulePath_C|OrgAutoEnrollmentRulePath[] lazyByIdDesc(int $chunkSize = 1000, null|string $column = null, null|string $alias = null)
     * @method OrgAutoEnrollmentRulePath make(array $attributes = [])
     * @method OrgAutoEnrollmentRulePath newModelInstance(array $attributes = [])
     * @method LengthAwarePaginator|OrgAutoEnrollmentRulePath[]|_IH_OrgAutoEnrollmentRulePath_C paginate(\Closure|int|null $perPage = null, array|string $columns = ['*'], string $pageName = 'page', int|null $page = null)
     * @method Paginator|OrgAutoEnrollmentRulePath[]|_IH_OrgAutoEnrollmentRulePath_C simplePaginate(int|null $perPage = null, array|string $columns = ['*'], string $pageName = 'page', int|null $page = null)
     * @method OrgAutoEnrollmentRulePath sole(array|string $columns = ['*'])
     * @method OrgAutoEnrollmentRulePath updateOrCreate(array $attributes, array $values = [])
     */
    class _IH_OrgAutoEnrollmentRulePath_QB extends _BaseBuilder {}
    
    /**
     * @method OrgAutoEnrollmentRulePosition|null getOrPut($key, \Closure $value)
     * @method OrgAutoEnrollmentRulePosition|$this shift(int $count = 1)
     * @method OrgAutoEnrollmentRulePosition|null firstOrFail(callable|string $key = null, $operator = null, $value = null)
     * @method OrgAutoEnrollmentRulePosition|$this pop(int $count = 1)
     * @method OrgAutoEnrollmentRulePosition|null pull($key, \Closure $default = null)
     * @method OrgAutoEnrollmentRulePosition|null last(callable $callback = null, \Closure $default = null)
     * @method OrgAutoEnrollmentRulePosition|$this random(callable|int|null $number = null, bool $preserveKeys = false)
     * @method OrgAutoEnrollmentRulePosition|null sole(callable|string $key = null, $operator = null, $value = null)
     * @method OrgAutoEnrollmentRulePosition|null get($key, \Closure $default = null)
     * @method OrgAutoEnrollmentRulePosition|null first(callable $callback = null, \Closure $default = null)
     * @method OrgAutoEnrollmentRulePosition|null firstWhere(callable|string $key, $operator = null, $value = null)
     * @method OrgAutoEnrollmentRulePosition|null find($key, $default = null)
     * @method OrgAutoEnrollmentRulePosition[] all()
     */
    class _IH_OrgAutoEnrollmentRulePosition_C extends _BaseCollection {
        /**
         * @param int $size
         * @return OrgAutoEnrollmentRulePosition[][]|Collection<_IH_OrgAutoEnrollmentRulePosition_C>
         */
        public function chunk($size)
        {
            return [];
        }
    }
    
    /**
     * @method _IH_OrgAutoEnrollmentRulePosition_QB whereId($value)
     * @method _IH_OrgAutoEnrollmentRulePosition_QB whereRuleId($value)
     * @method _IH_OrgAutoEnrollmentRulePosition_QB wherePositionId($value)
     * @method _IH_OrgAutoEnrollmentRulePosition_QB whereCreatedAt($value)
     * @method _IH_OrgAutoEnrollmentRulePosition_QB whereUpdatedAt($value)
     * @method OrgAutoEnrollmentRulePosition baseSole(array|string $columns = ['*'])
     * @method OrgAutoEnrollmentRulePosition create(array $attributes = [])
     * @method _IH_OrgAutoEnrollmentRulePosition_C|OrgAutoEnrollmentRulePosition[] cursor()
     * @method OrgAutoEnrollmentRulePosition|null|_IH_OrgAutoEnrollmentRulePosition_C|OrgAutoEnrollmentRulePosition[] find($id, array|string $columns = ['*'])
     * @method _IH_OrgAutoEnrollmentRulePosition_C|OrgAutoEnrollmentRulePosition[] findMany(array|Arrayable $ids, array|string $columns = ['*'])
     * @method OrgAutoEnrollmentRulePosition|_IH_OrgAutoEnrollmentRulePosition_C|OrgAutoEnrollmentRulePosition[] findOr($id, array|\Closure|string $columns = ['*'], \Closure $callback = null)
     * @method OrgAutoEnrollmentRulePosition|_IH_OrgAutoEnrollmentRulePosition_C|OrgAutoEnrollmentRulePosition[] findOrFail($id, array|string $columns = ['*'])
     * @method OrgAutoEnrollmentRulePosition|_IH_OrgAutoEnrollmentRulePosition_C|OrgAutoEnrollmentRulePosition[] findOrNew($id, array|string $columns = ['*'])
     * @method OrgAutoEnrollmentRulePosition first(array|string $columns = ['*'])
     * @method OrgAutoEnrollmentRulePosition firstOr(array|\Closure|string $columns = ['*'], \Closure $callback = null)
     * @method OrgAutoEnrollmentRulePosition firstOrCreate(array $attributes = [], array $values = [])
     * @method OrgAutoEnrollmentRulePosition firstOrFail(array|string $columns = ['*'])
     * @method OrgAutoEnrollmentRulePosition firstOrNew(array $attributes = [], array $values = [])
     * @method OrgAutoEnrollmentRulePosition firstWhere(array|\Closure|Expression|string $column, $operator = null, $value = null, string $boolean = 'and')
     * @method OrgAutoEnrollmentRulePosition forceCreate(array $attributes)
     * @method _IH_OrgAutoEnrollmentRulePosition_C|OrgAutoEnrollmentRulePosition[] fromQuery(string $query, array $bindings = [])
     * @method _IH_OrgAutoEnrollmentRulePosition_C|OrgAutoEnrollmentRulePosition[] get(array|string $columns = ['*'])
     * @method OrgAutoEnrollmentRulePosition getModel()
     * @method OrgAutoEnrollmentRulePosition[] getModels(array|string $columns = ['*'])
     * @method _IH_OrgAutoEnrollmentRulePosition_C|OrgAutoEnrollmentRulePosition[] hydrate(array $items)
     * @method _IH_OrgAutoEnrollmentRulePosition_C|OrgAutoEnrollmentRulePosition[] lazy(int $chunkSize = 1000)
     * @method _IH_OrgAutoEnrollmentRulePosition_C|OrgAutoEnrollmentRulePosition[] lazyById(int $chunkSize = 1000, null|string $column = null, null|string $alias = null)
     * @method _IH_OrgAutoEnrollmentRulePosition_C|OrgAutoEnrollmentRulePosition[] lazyByIdDesc(int $chunkSize = 1000, null|string $column = null, null|string $alias = null)
     * @method OrgAutoEnrollmentRulePosition make(array $attributes = [])
     * @method OrgAutoEnrollmentRulePosition newModelInstance(array $attributes = [])
     * @method LengthAwarePaginator|OrgAutoEnrollmentRulePosition[]|_IH_OrgAutoEnrollmentRulePosition_C paginate(\Closure|int|null $perPage = null, array|string $columns = ['*'], string $pageName = 'page', int|null $page = null)
     * @method Paginator|OrgAutoEnrollmentRulePosition[]|_IH_OrgAutoEnrollmentRulePosition_C simplePaginate(int|null $perPage = null, array|string $columns = ['*'], string $pageName = 'page', int|null $page = null)
     * @method OrgAutoEnrollmentRulePosition sole(array|string $columns = ['*'])
     * @method OrgAutoEnrollmentRulePosition updateOrCreate(array $attributes, array $values = [])
     */
    class _IH_OrgAutoEnrollmentRulePosition_QB extends _BaseBuilder {}
    
    /**
     * @method OrgAutoEnrollmentRule|null getOrPut($key, \Closure $value)
     * @method OrgAutoEnrollmentRule|$this shift(int $count = 1)
     * @method OrgAutoEnrollmentRule|null firstOrFail(callable|string $key = null, $operator = null, $value = null)
     * @method OrgAutoEnrollmentRule|$this pop(int $count = 1)
     * @method OrgAutoEnrollmentRule|null pull($key, \Closure $default = null)
     * @method OrgAutoEnrollmentRule|null last(callable $callback = null, \Closure $default = null)
     * @method OrgAutoEnrollmentRule|$this random(callable|int|null $number = null, bool $preserveKeys = false)
     * @method OrgAutoEnrollmentRule|null sole(callable|string $key = null, $operator = null, $value = null)
     * @method OrgAutoEnrollmentRule|null get($key, \Closure $default = null)
     * @method OrgAutoEnrollmentRule|null first(callable $callback = null, \Closure $default = null)
     * @method OrgAutoEnrollmentRule|null firstWhere(callable|string $key, $operator = null, $value = null)
     * @method OrgAutoEnrollmentRule|null find($key, $default = null)
     * @method OrgAutoEnrollmentRule[] all()
     */
    class _IH_OrgAutoEnrollmentRule_C extends _BaseCollection {
        /**
         * @param int $size
         * @return OrgAutoEnrollmentRule[][]|Collection<_IH_OrgAutoEnrollmentRule_C>
         */
        public function chunk($size)
        {
            return [];
        }
    }
    
    /**
     * @method _IH_OrgAutoEnrollmentRule_QB whereId($value)
     * @method _IH_OrgAutoEnrollmentRule_QB whereCreatedBy($value)
     * @method _IH_OrgAutoEnrollmentRule_QB whereCreatedAt($value)
     * @method _IH_OrgAutoEnrollmentRule_QB whereUpdatedAt($value)
     * @method OrgAutoEnrollmentRule baseSole(array|string $columns = ['*'])
     * @method OrgAutoEnrollmentRule create(array $attributes = [])
     * @method _IH_OrgAutoEnrollmentRule_C|OrgAutoEnrollmentRule[] cursor()
     * @method OrgAutoEnrollmentRule|null|_IH_OrgAutoEnrollmentRule_C|OrgAutoEnrollmentRule[] find($id, array|string $columns = ['*'])
     * @method _IH_OrgAutoEnrollmentRule_C|OrgAutoEnrollmentRule[] findMany(array|Arrayable $ids, array|string $columns = ['*'])
     * @method OrgAutoEnrollmentRule|_IH_OrgAutoEnrollmentRule_C|OrgAutoEnrollmentRule[] findOr($id, array|\Closure|string $columns = ['*'], \Closure $callback = null)
     * @method OrgAutoEnrollmentRule|_IH_OrgAutoEnrollmentRule_C|OrgAutoEnrollmentRule[] findOrFail($id, array|string $columns = ['*'])
     * @method OrgAutoEnrollmentRule|_IH_OrgAutoEnrollmentRule_C|OrgAutoEnrollmentRule[] findOrNew($id, array|string $columns = ['*'])
     * @method OrgAutoEnrollmentRule first(array|string $columns = ['*'])
     * @method OrgAutoEnrollmentRule firstOr(array|\Closure|string $columns = ['*'], \Closure $callback = null)
     * @method OrgAutoEnrollmentRule firstOrCreate(array $attributes = [], array $values = [])
     * @method OrgAutoEnrollmentRule firstOrFail(array|string $columns = ['*'])
     * @method OrgAutoEnrollmentRule firstOrNew(array $attributes = [], array $values = [])
     * @method OrgAutoEnrollmentRule firstWhere(array|\Closure|Expression|string $column, $operator = null, $value = null, string $boolean = 'and')
     * @method OrgAutoEnrollmentRule forceCreate(array $attributes)
     * @method _IH_OrgAutoEnrollmentRule_C|OrgAutoEnrollmentRule[] fromQuery(string $query, array $bindings = [])
     * @method _IH_OrgAutoEnrollmentRule_C|OrgAutoEnrollmentRule[] get(array|string $columns = ['*'])
     * @method OrgAutoEnrollmentRule getModel()
     * @method OrgAutoEnrollmentRule[] getModels(array|string $columns = ['*'])
     * @method _IH_OrgAutoEnrollmentRule_C|OrgAutoEnrollmentRule[] hydrate(array $items)
     * @method _IH_OrgAutoEnrollmentRule_C|OrgAutoEnrollmentRule[] lazy(int $chunkSize = 1000)
     * @method _IH_OrgAutoEnrollmentRule_C|OrgAutoEnrollmentRule[] lazyById(int $chunkSize = 1000, null|string $column = null, null|string $alias = null)
     * @method _IH_OrgAutoEnrollmentRule_C|OrgAutoEnrollmentRule[] lazyByIdDesc(int $chunkSize = 1000, null|string $column = null, null|string $alias = null)
     * @method OrgAutoEnrollmentRule make(array $attributes = [])
     * @method OrgAutoEnrollmentRule newModelInstance(array $attributes = [])
     * @method LengthAwarePaginator|OrgAutoEnrollmentRule[]|_IH_OrgAutoEnrollmentRule_C paginate(\Closure|int|null $perPage = null, array|string $columns = ['*'], string $pageName = 'page', int|null $page = null)
     * @method Paginator|OrgAutoEnrollmentRule[]|_IH_OrgAutoEnrollmentRule_C simplePaginate(int|null $perPage = null, array|string $columns = ['*'], string $pageName = 'page', int|null $page = null)
     * @method OrgAutoEnrollmentRule sole(array|string $columns = ['*'])
     * @method OrgAutoEnrollmentRule updateOrCreate(array $attributes, array $values = [])
     */
    class _IH_OrgAutoEnrollmentRule_QB extends _BaseBuilder {}
    
    /**
     * @method OrgCourseSubscription|null getOrPut($key, \Closure $value)
     * @method OrgCourseSubscription|$this shift(int $count = 1)
     * @method OrgCourseSubscription|null firstOrFail(callable|string $key = null, $operator = null, $value = null)
     * @method OrgCourseSubscription|$this pop(int $count = 1)
     * @method OrgCourseSubscription|null pull($key, \Closure $default = null)
     * @method OrgCourseSubscription|null last(callable $callback = null, \Closure $default = null)
     * @method OrgCourseSubscription|$this random(callable|int|null $number = null, bool $preserveKeys = false)
     * @method OrgCourseSubscription|null sole(callable|string $key = null, $operator = null, $value = null)
     * @method OrgCourseSubscription|null get($key, \Closure $default = null)
     * @method OrgCourseSubscription|null first(callable $callback = null, \Closure $default = null)
     * @method OrgCourseSubscription|null firstWhere(callable|string $key, $operator = null, $value = null)
     * @method OrgCourseSubscription|null find($key, $default = null)
     * @method OrgCourseSubscription[] all()
     */
    class _IH_OrgCourseSubscription_C extends _BaseCollection {
        /**
         * @param int $size
         * @return OrgCourseSubscription[][]|Collection<_IH_OrgCourseSubscription_C>
         */
        public function chunk($size)
        {
            return [];
        }
    }
    
    /**
     * @method _IH_OrgCourseSubscription_QB whereId($value)
     * @method _IH_OrgCourseSubscription_QB whereTitle($value)
     * @method _IH_OrgCourseSubscription_QB wherePrice($value)
     * @method _IH_OrgCourseSubscription_QB whereAbout($value)
     * @method _IH_OrgCourseSubscription_QB whereBtnTxt($value)
     * @method _IH_OrgCourseSubscription_QB whereJoinDate($value)
     * @method _IH_OrgCourseSubscription_QB whereJoinTime($value)
     * @method _IH_OrgCourseSubscription_QB whereEndDate($value)
     * @method _IH_OrgCourseSubscription_QB whereEndTime($value)
     * @method _IH_OrgCourseSubscription_QB whereDays($value)
     * @method _IH_OrgCourseSubscription_QB whereTotalEnrolled($value)
     * @method _IH_OrgCourseSubscription_QB whereStatus($value)
     * @method _IH_OrgCourseSubscription_QB whereOrder($value)
     * @method _IH_OrgCourseSubscription_QB whereSequence($value)
     * @method _IH_OrgCourseSubscription_QB whereType($value)
     * @method _IH_OrgCourseSubscription_QB whereCreatedAt($value)
     * @method _IH_OrgCourseSubscription_QB whereUpdatedAt($value)
     * @method _IH_OrgCourseSubscription_QB whereOfflineVenue($value)
     * @method _IH_OrgCourseSubscription_QB whereAllowAccess($value)
     * @method _IH_OrgCourseSubscription_QB whereImage($value)
     * @method _IH_OrgCourseSubscription_QB whereCreatedBy($value)
     * @method OrgCourseSubscription baseSole(array|string $columns = ['*'])
     * @method OrgCourseSubscription create(array $attributes = [])
     * @method _IH_OrgCourseSubscription_C|OrgCourseSubscription[] cursor()
     * @method OrgCourseSubscription|null|_IH_OrgCourseSubscription_C|OrgCourseSubscription[] find($id, array|string $columns = ['*'])
     * @method _IH_OrgCourseSubscription_C|OrgCourseSubscription[] findMany(array|Arrayable $ids, array|string $columns = ['*'])
     * @method OrgCourseSubscription|_IH_OrgCourseSubscription_C|OrgCourseSubscription[] findOr($id, array|\Closure|string $columns = ['*'], \Closure $callback = null)
     * @method OrgCourseSubscription|_IH_OrgCourseSubscription_C|OrgCourseSubscription[] findOrFail($id, array|string $columns = ['*'])
     * @method OrgCourseSubscription|_IH_OrgCourseSubscription_C|OrgCourseSubscription[] findOrNew($id, array|string $columns = ['*'])
     * @method OrgCourseSubscription first(array|string $columns = ['*'])
     * @method OrgCourseSubscription firstOr(array|\Closure|string $columns = ['*'], \Closure $callback = null)
     * @method OrgCourseSubscription firstOrCreate(array $attributes = [], array $values = [])
     * @method OrgCourseSubscription firstOrFail(array|string $columns = ['*'])
     * @method OrgCourseSubscription firstOrNew(array $attributes = [], array $values = [])
     * @method OrgCourseSubscription firstWhere(array|\Closure|Expression|string $column, $operator = null, $value = null, string $boolean = 'and')
     * @method OrgCourseSubscription forceCreate(array $attributes)
     * @method _IH_OrgCourseSubscription_C|OrgCourseSubscription[] fromQuery(string $query, array $bindings = [])
     * @method _IH_OrgCourseSubscription_C|OrgCourseSubscription[] get(array|string $columns = ['*'])
     * @method OrgCourseSubscription getModel()
     * @method OrgCourseSubscription[] getModels(array|string $columns = ['*'])
     * @method _IH_OrgCourseSubscription_C|OrgCourseSubscription[] hydrate(array $items)
     * @method _IH_OrgCourseSubscription_C|OrgCourseSubscription[] lazy(int $chunkSize = 1000)
     * @method _IH_OrgCourseSubscription_C|OrgCourseSubscription[] lazyById(int $chunkSize = 1000, null|string $column = null, null|string $alias = null)
     * @method _IH_OrgCourseSubscription_C|OrgCourseSubscription[] lazyByIdDesc(int $chunkSize = 1000, null|string $column = null, null|string $alias = null)
     * @method OrgCourseSubscription make(array $attributes = [])
     * @method OrgCourseSubscription newModelInstance(array $attributes = [])
     * @method LengthAwarePaginator|OrgCourseSubscription[]|_IH_OrgCourseSubscription_C paginate(\Closure|int|null $perPage = null, array|string $columns = ['*'], string $pageName = 'page', int|null $page = null)
     * @method Paginator|OrgCourseSubscription[]|_IH_OrgCourseSubscription_C simplePaginate(int|null $perPage = null, array|string $columns = ['*'], string $pageName = 'page', int|null $page = null)
     * @method OrgCourseSubscription sole(array|string $columns = ['*'])
     * @method OrgCourseSubscription updateOrCreate(array $attributes, array $values = [])
     */
    class _IH_OrgCourseSubscription_QB extends _BaseBuilder {}
    
    /**
     * @method OrgLeaningPathSection|null getOrPut($key, \Closure $value)
     * @method OrgLeaningPathSection|$this shift(int $count = 1)
     * @method OrgLeaningPathSection|null firstOrFail(callable|string $key = null, $operator = null, $value = null)
     * @method OrgLeaningPathSection|$this pop(int $count = 1)
     * @method OrgLeaningPathSection|null pull($key, \Closure $default = null)
     * @method OrgLeaningPathSection|null last(callable $callback = null, \Closure $default = null)
     * @method OrgLeaningPathSection|$this random(callable|int|null $number = null, bool $preserveKeys = false)
     * @method OrgLeaningPathSection|null sole(callable|string $key = null, $operator = null, $value = null)
     * @method OrgLeaningPathSection|null get($key, \Closure $default = null)
     * @method OrgLeaningPathSection|null first(callable $callback = null, \Closure $default = null)
     * @method OrgLeaningPathSection|null firstWhere(callable|string $key, $operator = null, $value = null)
     * @method OrgLeaningPathSection|null find($key, $default = null)
     * @method OrgLeaningPathSection[] all()
     */
    class _IH_OrgLeaningPathSection_C extends _BaseCollection {
        /**
         * @param int $size
         * @return OrgLeaningPathSection[][]|Collection<_IH_OrgLeaningPathSection_C>
         */
        public function chunk($size)
        {
            return [];
        }
    }
    
    /**
     * @method _IH_OrgLeaningPathSection_QB whereId($value)
     * @method _IH_OrgLeaningPathSection_QB whereName($value)
     * @method _IH_OrgLeaningPathSection_QB whereStatus($value)
     * @method _IH_OrgLeaningPathSection_QB whereDays($value)
     * @method _IH_OrgLeaningPathSection_QB wherePosition($value)
     * @method _IH_OrgLeaningPathSection_QB wherePlanId($value)
     * @method _IH_OrgLeaningPathSection_QB whereCreatedAt($value)
     * @method _IH_OrgLeaningPathSection_QB whereUpdatedAt($value)
     * @method OrgLeaningPathSection baseSole(array|string $columns = ['*'])
     * @method OrgLeaningPathSection create(array $attributes = [])
     * @method _IH_OrgLeaningPathSection_C|OrgLeaningPathSection[] cursor()
     * @method OrgLeaningPathSection|null|_IH_OrgLeaningPathSection_C|OrgLeaningPathSection[] find($id, array|string $columns = ['*'])
     * @method _IH_OrgLeaningPathSection_C|OrgLeaningPathSection[] findMany(array|Arrayable $ids, array|string $columns = ['*'])
     * @method OrgLeaningPathSection|_IH_OrgLeaningPathSection_C|OrgLeaningPathSection[] findOr($id, array|\Closure|string $columns = ['*'], \Closure $callback = null)
     * @method OrgLeaningPathSection|_IH_OrgLeaningPathSection_C|OrgLeaningPathSection[] findOrFail($id, array|string $columns = ['*'])
     * @method OrgLeaningPathSection|_IH_OrgLeaningPathSection_C|OrgLeaningPathSection[] findOrNew($id, array|string $columns = ['*'])
     * @method OrgLeaningPathSection first(array|string $columns = ['*'])
     * @method OrgLeaningPathSection firstOr(array|\Closure|string $columns = ['*'], \Closure $callback = null)
     * @method OrgLeaningPathSection firstOrCreate(array $attributes = [], array $values = [])
     * @method OrgLeaningPathSection firstOrFail(array|string $columns = ['*'])
     * @method OrgLeaningPathSection firstOrNew(array $attributes = [], array $values = [])
     * @method OrgLeaningPathSection firstWhere(array|\Closure|Expression|string $column, $operator = null, $value = null, string $boolean = 'and')
     * @method OrgLeaningPathSection forceCreate(array $attributes)
     * @method _IH_OrgLeaningPathSection_C|OrgLeaningPathSection[] fromQuery(string $query, array $bindings = [])
     * @method _IH_OrgLeaningPathSection_C|OrgLeaningPathSection[] get(array|string $columns = ['*'])
     * @method OrgLeaningPathSection getModel()
     * @method OrgLeaningPathSection[] getModels(array|string $columns = ['*'])
     * @method _IH_OrgLeaningPathSection_C|OrgLeaningPathSection[] hydrate(array $items)
     * @method _IH_OrgLeaningPathSection_C|OrgLeaningPathSection[] lazy(int $chunkSize = 1000)
     * @method _IH_OrgLeaningPathSection_C|OrgLeaningPathSection[] lazyById(int $chunkSize = 1000, null|string $column = null, null|string $alias = null)
     * @method _IH_OrgLeaningPathSection_C|OrgLeaningPathSection[] lazyByIdDesc(int $chunkSize = 1000, null|string $column = null, null|string $alias = null)
     * @method OrgLeaningPathSection make(array $attributes = [])
     * @method OrgLeaningPathSection newModelInstance(array $attributes = [])
     * @method LengthAwarePaginator|OrgLeaningPathSection[]|_IH_OrgLeaningPathSection_C paginate(\Closure|int|null $perPage = null, array|string $columns = ['*'], string $pageName = 'page', int|null $page = null)
     * @method Paginator|OrgLeaningPathSection[]|_IH_OrgLeaningPathSection_C simplePaginate(int|null $perPage = null, array|string $columns = ['*'], string $pageName = 'page', int|null $page = null)
     * @method OrgLeaningPathSection sole(array|string $columns = ['*'])
     * @method OrgLeaningPathSection updateOrCreate(array $attributes, array $values = [])
     */
    class _IH_OrgLeaningPathSection_QB extends _BaseBuilder {}
    
    /**
     * @method OrgSubscriptionCheckout|null getOrPut($key, \Closure $value)
     * @method OrgSubscriptionCheckout|$this shift(int $count = 1)
     * @method OrgSubscriptionCheckout|null firstOrFail(callable|string $key = null, $operator = null, $value = null)
     * @method OrgSubscriptionCheckout|$this pop(int $count = 1)
     * @method OrgSubscriptionCheckout|null pull($key, \Closure $default = null)
     * @method OrgSubscriptionCheckout|null last(callable $callback = null, \Closure $default = null)
     * @method OrgSubscriptionCheckout|$this random(callable|int|null $number = null, bool $preserveKeys = false)
     * @method OrgSubscriptionCheckout|null sole(callable|string $key = null, $operator = null, $value = null)
     * @method OrgSubscriptionCheckout|null get($key, \Closure $default = null)
     * @method OrgSubscriptionCheckout|null first(callable $callback = null, \Closure $default = null)
     * @method OrgSubscriptionCheckout|null firstWhere(callable|string $key, $operator = null, $value = null)
     * @method OrgSubscriptionCheckout|null find($key, $default = null)
     * @method OrgSubscriptionCheckout[] all()
     */
    class _IH_OrgSubscriptionCheckout_C extends _BaseCollection {
        /**
         * @param int $size
         * @return OrgSubscriptionCheckout[][]|Collection<_IH_OrgSubscriptionCheckout_C>
         */
        public function chunk($size)
        {
            return [];
        }
    }
    
    /**
     * @method _IH_OrgSubscriptionCheckout_QB whereId($value)
     * @method _IH_OrgSubscriptionCheckout_QB whereUserId($value)
     * @method _IH_OrgSubscriptionCheckout_QB wherePlanId($value)
     * @method _IH_OrgSubscriptionCheckout_QB wherePrice($value)
     * @method _IH_OrgSubscriptionCheckout_QB whereStartDate($value)
     * @method _IH_OrgSubscriptionCheckout_QB whereEndDate($value)
     * @method _IH_OrgSubscriptionCheckout_QB whereDays($value)
     * @method _IH_OrgSubscriptionCheckout_QB whereOrgChart($value)
     * @method _IH_OrgSubscriptionCheckout_QB wherePosition($value)
     * @method _IH_OrgSubscriptionCheckout_QB whereEmployeeId($value)
     * @method _IH_OrgSubscriptionCheckout_QB whereType($value)
     * @method _IH_OrgSubscriptionCheckout_QB whereStatus($value)
     * @method _IH_OrgSubscriptionCheckout_QB whereCreatedAt($value)
     * @method _IH_OrgSubscriptionCheckout_QB whereUpdatedAt($value)
     * @method _IH_OrgSubscriptionCheckout_QB whereEndTime($value)
     * @method OrgSubscriptionCheckout baseSole(array|string $columns = ['*'])
     * @method OrgSubscriptionCheckout create(array $attributes = [])
     * @method _IH_OrgSubscriptionCheckout_C|OrgSubscriptionCheckout[] cursor()
     * @method OrgSubscriptionCheckout|null|_IH_OrgSubscriptionCheckout_C|OrgSubscriptionCheckout[] find($id, array|string $columns = ['*'])
     * @method _IH_OrgSubscriptionCheckout_C|OrgSubscriptionCheckout[] findMany(array|Arrayable $ids, array|string $columns = ['*'])
     * @method OrgSubscriptionCheckout|_IH_OrgSubscriptionCheckout_C|OrgSubscriptionCheckout[] findOr($id, array|\Closure|string $columns = ['*'], \Closure $callback = null)
     * @method OrgSubscriptionCheckout|_IH_OrgSubscriptionCheckout_C|OrgSubscriptionCheckout[] findOrFail($id, array|string $columns = ['*'])
     * @method OrgSubscriptionCheckout|_IH_OrgSubscriptionCheckout_C|OrgSubscriptionCheckout[] findOrNew($id, array|string $columns = ['*'])
     * @method OrgSubscriptionCheckout first(array|string $columns = ['*'])
     * @method OrgSubscriptionCheckout firstOr(array|\Closure|string $columns = ['*'], \Closure $callback = null)
     * @method OrgSubscriptionCheckout firstOrCreate(array $attributes = [], array $values = [])
     * @method OrgSubscriptionCheckout firstOrFail(array|string $columns = ['*'])
     * @method OrgSubscriptionCheckout firstOrNew(array $attributes = [], array $values = [])
     * @method OrgSubscriptionCheckout firstWhere(array|\Closure|Expression|string $column, $operator = null, $value = null, string $boolean = 'and')
     * @method OrgSubscriptionCheckout forceCreate(array $attributes)
     * @method _IH_OrgSubscriptionCheckout_C|OrgSubscriptionCheckout[] fromQuery(string $query, array $bindings = [])
     * @method _IH_OrgSubscriptionCheckout_C|OrgSubscriptionCheckout[] get(array|string $columns = ['*'])
     * @method OrgSubscriptionCheckout getModel()
     * @method OrgSubscriptionCheckout[] getModels(array|string $columns = ['*'])
     * @method _IH_OrgSubscriptionCheckout_C|OrgSubscriptionCheckout[] hydrate(array $items)
     * @method _IH_OrgSubscriptionCheckout_C|OrgSubscriptionCheckout[] lazy(int $chunkSize = 1000)
     * @method _IH_OrgSubscriptionCheckout_C|OrgSubscriptionCheckout[] lazyById(int $chunkSize = 1000, null|string $column = null, null|string $alias = null)
     * @method _IH_OrgSubscriptionCheckout_C|OrgSubscriptionCheckout[] lazyByIdDesc(int $chunkSize = 1000, null|string $column = null, null|string $alias = null)
     * @method OrgSubscriptionCheckout make(array $attributes = [])
     * @method OrgSubscriptionCheckout newModelInstance(array $attributes = [])
     * @method LengthAwarePaginator|OrgSubscriptionCheckout[]|_IH_OrgSubscriptionCheckout_C paginate(\Closure|int|null $perPage = null, array|string $columns = ['*'], string $pageName = 'page', int|null $page = null)
     * @method Paginator|OrgSubscriptionCheckout[]|_IH_OrgSubscriptionCheckout_C simplePaginate(int|null $perPage = null, array|string $columns = ['*'], string $pageName = 'page', int|null $page = null)
     * @method OrgSubscriptionCheckout sole(array|string $columns = ['*'])
     * @method OrgSubscriptionCheckout updateOrCreate(array $attributes, array $values = [])
     */
    class _IH_OrgSubscriptionCheckout_QB extends _BaseBuilder {}
    
    /**
     * @method OrgSubscriptionCourseList|null getOrPut($key, \Closure $value)
     * @method OrgSubscriptionCourseList|$this shift(int $count = 1)
     * @method OrgSubscriptionCourseList|null firstOrFail(callable|string $key = null, $operator = null, $value = null)
     * @method OrgSubscriptionCourseList|$this pop(int $count = 1)
     * @method OrgSubscriptionCourseList|null pull($key, \Closure $default = null)
     * @method OrgSubscriptionCourseList|null last(callable $callback = null, \Closure $default = null)
     * @method OrgSubscriptionCourseList|$this random(callable|int|null $number = null, bool $preserveKeys = false)
     * @method OrgSubscriptionCourseList|null sole(callable|string $key = null, $operator = null, $value = null)
     * @method OrgSubscriptionCourseList|null get($key, \Closure $default = null)
     * @method OrgSubscriptionCourseList|null first(callable $callback = null, \Closure $default = null)
     * @method OrgSubscriptionCourseList|null firstWhere(callable|string $key, $operator = null, $value = null)
     * @method OrgSubscriptionCourseList|null find($key, $default = null)
     * @method OrgSubscriptionCourseList[] all()
     */
    class _IH_OrgSubscriptionCourseList_C extends _BaseCollection {
        /**
         * @param int $size
         * @return OrgSubscriptionCourseList[][]|Collection<_IH_OrgSubscriptionCourseList_C>
         */
        public function chunk($size)
        {
            return [];
        }
    }
    
    /**
     * @method _IH_OrgSubscriptionCourseList_QB whereId($value)
     * @method _IH_OrgSubscriptionCourseList_QB whereCourseId($value)
     * @method _IH_OrgSubscriptionCourseList_QB wherePlanId($value)
     * @method _IH_OrgSubscriptionCourseList_QB whereOrder($value)
     * @method _IH_OrgSubscriptionCourseList_QB whereCreatedAt($value)
     * @method _IH_OrgSubscriptionCourseList_QB whereUpdatedAt($value)
     * @method _IH_OrgSubscriptionCourseList_QB whereSectionId($value)
     * @method OrgSubscriptionCourseList baseSole(array|string $columns = ['*'])
     * @method OrgSubscriptionCourseList create(array $attributes = [])
     * @method _IH_OrgSubscriptionCourseList_C|OrgSubscriptionCourseList[] cursor()
     * @method OrgSubscriptionCourseList|null|_IH_OrgSubscriptionCourseList_C|OrgSubscriptionCourseList[] find($id, array|string $columns = ['*'])
     * @method _IH_OrgSubscriptionCourseList_C|OrgSubscriptionCourseList[] findMany(array|Arrayable $ids, array|string $columns = ['*'])
     * @method OrgSubscriptionCourseList|_IH_OrgSubscriptionCourseList_C|OrgSubscriptionCourseList[] findOr($id, array|\Closure|string $columns = ['*'], \Closure $callback = null)
     * @method OrgSubscriptionCourseList|_IH_OrgSubscriptionCourseList_C|OrgSubscriptionCourseList[] findOrFail($id, array|string $columns = ['*'])
     * @method OrgSubscriptionCourseList|_IH_OrgSubscriptionCourseList_C|OrgSubscriptionCourseList[] findOrNew($id, array|string $columns = ['*'])
     * @method OrgSubscriptionCourseList first(array|string $columns = ['*'])
     * @method OrgSubscriptionCourseList firstOr(array|\Closure|string $columns = ['*'], \Closure $callback = null)
     * @method OrgSubscriptionCourseList firstOrCreate(array $attributes = [], array $values = [])
     * @method OrgSubscriptionCourseList firstOrFail(array|string $columns = ['*'])
     * @method OrgSubscriptionCourseList firstOrNew(array $attributes = [], array $values = [])
     * @method OrgSubscriptionCourseList firstWhere(array|\Closure|Expression|string $column, $operator = null, $value = null, string $boolean = 'and')
     * @method OrgSubscriptionCourseList forceCreate(array $attributes)
     * @method _IH_OrgSubscriptionCourseList_C|OrgSubscriptionCourseList[] fromQuery(string $query, array $bindings = [])
     * @method _IH_OrgSubscriptionCourseList_C|OrgSubscriptionCourseList[] get(array|string $columns = ['*'])
     * @method OrgSubscriptionCourseList getModel()
     * @method OrgSubscriptionCourseList[] getModels(array|string $columns = ['*'])
     * @method _IH_OrgSubscriptionCourseList_C|OrgSubscriptionCourseList[] hydrate(array $items)
     * @method _IH_OrgSubscriptionCourseList_C|OrgSubscriptionCourseList[] lazy(int $chunkSize = 1000)
     * @method _IH_OrgSubscriptionCourseList_C|OrgSubscriptionCourseList[] lazyById(int $chunkSize = 1000, null|string $column = null, null|string $alias = null)
     * @method _IH_OrgSubscriptionCourseList_C|OrgSubscriptionCourseList[] lazyByIdDesc(int $chunkSize = 1000, null|string $column = null, null|string $alias = null)
     * @method OrgSubscriptionCourseList make(array $attributes = [])
     * @method OrgSubscriptionCourseList newModelInstance(array $attributes = [])
     * @method LengthAwarePaginator|OrgSubscriptionCourseList[]|_IH_OrgSubscriptionCourseList_C paginate(\Closure|int|null $perPage = null, array|string $columns = ['*'], string $pageName = 'page', int|null $page = null)
     * @method Paginator|OrgSubscriptionCourseList[]|_IH_OrgSubscriptionCourseList_C simplePaginate(int|null $perPage = null, array|string $columns = ['*'], string $pageName = 'page', int|null $page = null)
     * @method OrgSubscriptionCourseList sole(array|string $columns = ['*'])
     * @method OrgSubscriptionCourseList updateOrCreate(array $attributes, array $values = [])
     */
    class _IH_OrgSubscriptionCourseList_QB extends _BaseBuilder {}
    
    /**
     * @method OrgSubscriptionSetting|null getOrPut($key, \Closure $value)
     * @method OrgSubscriptionSetting|$this shift(int $count = 1)
     * @method OrgSubscriptionSetting|null firstOrFail(callable|string $key = null, $operator = null, $value = null)
     * @method OrgSubscriptionSetting|$this pop(int $count = 1)
     * @method OrgSubscriptionSetting|null pull($key, \Closure $default = null)
     * @method OrgSubscriptionSetting|null last(callable $callback = null, \Closure $default = null)
     * @method OrgSubscriptionSetting|$this random(callable|int|null $number = null, bool $preserveKeys = false)
     * @method OrgSubscriptionSetting|null sole(callable|string $key = null, $operator = null, $value = null)
     * @method OrgSubscriptionSetting|null get($key, \Closure $default = null)
     * @method OrgSubscriptionSetting|null first(callable $callback = null, \Closure $default = null)
     * @method OrgSubscriptionSetting|null firstWhere(callable|string $key, $operator = null, $value = null)
     * @method OrgSubscriptionSetting|null find($key, $default = null)
     * @method OrgSubscriptionSetting[] all()
     */
    class _IH_OrgSubscriptionSetting_C extends _BaseCollection {
        /**
         * @param int $size
         * @return OrgSubscriptionSetting[][]|Collection<_IH_OrgSubscriptionSetting_C>
         */
        public function chunk($size)
        {
            return [];
        }
    }
    
    /**
     * @method _IH_OrgSubscriptionSetting_QB whereId($value)
     * @method _IH_OrgSubscriptionSetting_QB whereCommissionRate($value)
     * @method _IH_OrgSubscriptionSetting_QB whereAlert($value)
     * @method _IH_OrgSubscriptionSetting_QB whereCreatedAt($value)
     * @method _IH_OrgSubscriptionSetting_QB whereUpdatedAt($value)
     * @method _IH_OrgSubscriptionSetting_QB whereType($value)
     * @method _IH_OrgSubscriptionSetting_QB whereEvent($value)
     * @method _IH_OrgSubscriptionSetting_QB whereDays($value)
     * @method _IH_OrgSubscriptionSetting_QB whereMobile($value)
     * @method _IH_OrgSubscriptionSetting_QB whereBrowser($value)
     * @method _IH_OrgSubscriptionSetting_QB whereEmail($value)
     * @method OrgSubscriptionSetting baseSole(array|string $columns = ['*'])
     * @method OrgSubscriptionSetting create(array $attributes = [])
     * @method _IH_OrgSubscriptionSetting_C|OrgSubscriptionSetting[] cursor()
     * @method OrgSubscriptionSetting|null|_IH_OrgSubscriptionSetting_C|OrgSubscriptionSetting[] find($id, array|string $columns = ['*'])
     * @method _IH_OrgSubscriptionSetting_C|OrgSubscriptionSetting[] findMany(array|Arrayable $ids, array|string $columns = ['*'])
     * @method OrgSubscriptionSetting|_IH_OrgSubscriptionSetting_C|OrgSubscriptionSetting[] findOr($id, array|\Closure|string $columns = ['*'], \Closure $callback = null)
     * @method OrgSubscriptionSetting|_IH_OrgSubscriptionSetting_C|OrgSubscriptionSetting[] findOrFail($id, array|string $columns = ['*'])
     * @method OrgSubscriptionSetting|_IH_OrgSubscriptionSetting_C|OrgSubscriptionSetting[] findOrNew($id, array|string $columns = ['*'])
     * @method OrgSubscriptionSetting first(array|string $columns = ['*'])
     * @method OrgSubscriptionSetting firstOr(array|\Closure|string $columns = ['*'], \Closure $callback = null)
     * @method OrgSubscriptionSetting firstOrCreate(array $attributes = [], array $values = [])
     * @method OrgSubscriptionSetting firstOrFail(array|string $columns = ['*'])
     * @method OrgSubscriptionSetting firstOrNew(array $attributes = [], array $values = [])
     * @method OrgSubscriptionSetting firstWhere(array|\Closure|Expression|string $column, $operator = null, $value = null, string $boolean = 'and')
     * @method OrgSubscriptionSetting forceCreate(array $attributes)
     * @method _IH_OrgSubscriptionSetting_C|OrgSubscriptionSetting[] fromQuery(string $query, array $bindings = [])
     * @method _IH_OrgSubscriptionSetting_C|OrgSubscriptionSetting[] get(array|string $columns = ['*'])
     * @method OrgSubscriptionSetting getModel()
     * @method OrgSubscriptionSetting[] getModels(array|string $columns = ['*'])
     * @method _IH_OrgSubscriptionSetting_C|OrgSubscriptionSetting[] hydrate(array $items)
     * @method _IH_OrgSubscriptionSetting_C|OrgSubscriptionSetting[] lazy(int $chunkSize = 1000)
     * @method _IH_OrgSubscriptionSetting_C|OrgSubscriptionSetting[] lazyById(int $chunkSize = 1000, null|string $column = null, null|string $alias = null)
     * @method _IH_OrgSubscriptionSetting_C|OrgSubscriptionSetting[] lazyByIdDesc(int $chunkSize = 1000, null|string $column = null, null|string $alias = null)
     * @method OrgSubscriptionSetting make(array $attributes = [])
     * @method OrgSubscriptionSetting newModelInstance(array $attributes = [])
     * @method LengthAwarePaginator|OrgSubscriptionSetting[]|_IH_OrgSubscriptionSetting_C paginate(\Closure|int|null $perPage = null, array|string $columns = ['*'], string $pageName = 'page', int|null $page = null)
     * @method Paginator|OrgSubscriptionSetting[]|_IH_OrgSubscriptionSetting_C simplePaginate(int|null $perPage = null, array|string $columns = ['*'], string $pageName = 'page', int|null $page = null)
     * @method OrgSubscriptionSetting sole(array|string $columns = ['*'])
     * @method OrgSubscriptionSetting updateOrCreate(array $attributes, array $values = [])
     */
    class _IH_OrgSubscriptionSetting_QB extends _BaseBuilder {}
}