<?php //07eaa1f5197e6841f6ac04f94aabb48b
/** @noinspection all */

namespace LaravelIdea\Helper\Modules\Blog\Entities {

    use Illuminate\Contracts\Database\Query\Expression;
    use Illuminate\Contracts\Support\Arrayable;
    use Illuminate\Pagination\LengthAwarePaginator;
    use Illuminate\Pagination\Paginator;
    use Illuminate\Support\Collection;
    use LaravelIdea\Helper\_BaseBuilder;
    use LaravelIdea\Helper\_BaseCollection;
    use Modules\Blog\Entities\Blog;
    use Modules\Blog\Entities\BlogCategory;
    use Modules\Blog\Entities\BlogComment;
    use Modules\Blog\Entities\BlogCommentRepliesReply;
    use Modules\Blog\Entities\Like;
    use Modules\Blog\Entities\UserBlog;
    
    /**
     * @method BlogCategory|null getOrPut($key, \Closure $value)
     * @method BlogCategory|$this shift(int $count = 1)
     * @method BlogCategory|null firstOrFail(callable|string $key = null, $operator = null, $value = null)
     * @method BlogCategory|$this pop(int $count = 1)
     * @method BlogCategory|null pull($key, \Closure $default = null)
     * @method BlogCategory|null last(callable $callback = null, \Closure $default = null)
     * @method BlogCategory|$this random(callable|int|null $number = null, bool $preserveKeys = false)
     * @method BlogCategory|null sole(callable|string $key = null, $operator = null, $value = null)
     * @method BlogCategory|null get($key, \Closure $default = null)
     * @method BlogCategory|null first(callable $callback = null, \Closure $default = null)
     * @method BlogCategory|null firstWhere(callable|string $key, $operator = null, $value = null)
     * @method BlogCategory|null find($key, $default = null)
     * @method BlogCategory[] all()
     */
    class _IH_BlogCategory_C extends _BaseCollection {
        /**
         * @param int $size
         * @return BlogCategory[][]|Collection<_IH_BlogCategory_C>
         */
        public function chunk($size)
        {
            return [];
        }
    }
    
    /**
     * @method _IH_BlogCategory_QB whereId($value)
     * @method _IH_BlogCategory_QB whereUserId($value)
     * @method _IH_BlogCategory_QB whereTitle($value)
     * @method _IH_BlogCategory_QB wherePositionOrder($value)
     * @method _IH_BlogCategory_QB whereStatus($value)
     * @method _IH_BlogCategory_QB whereParentId($value)
     * @method _IH_BlogCategory_QB whereLmsId($value)
     * @method _IH_BlogCategory_QB whereTags($value)
     * @method _IH_BlogCategory_QB whereCreatedAt($value)
     * @method _IH_BlogCategory_QB whereUpdatedAt($value)
     * @method BlogCategory baseSole(array|string $columns = ['*'])
     * @method BlogCategory create(array $attributes = [])
     * @method _IH_BlogCategory_C|BlogCategory[] cursor()
     * @method BlogCategory|null|_IH_BlogCategory_C|BlogCategory[] find($id, array|string $columns = ['*'])
     * @method _IH_BlogCategory_C|BlogCategory[] findMany(array|Arrayable $ids, array|string $columns = ['*'])
     * @method BlogCategory|_IH_BlogCategory_C|BlogCategory[] findOr($id, array|\Closure|string $columns = ['*'], \Closure $callback = null)
     * @method BlogCategory|_IH_BlogCategory_C|BlogCategory[] findOrFail($id, array|string $columns = ['*'])
     * @method BlogCategory|_IH_BlogCategory_C|BlogCategory[] findOrNew($id, array|string $columns = ['*'])
     * @method BlogCategory first(array|string $columns = ['*'])
     * @method BlogCategory firstOr(array|\Closure|string $columns = ['*'], \Closure $callback = null)
     * @method BlogCategory firstOrCreate(array $attributes = [], array $values = [])
     * @method BlogCategory firstOrFail(array|string $columns = ['*'])
     * @method BlogCategory firstOrNew(array $attributes = [], array $values = [])
     * @method BlogCategory firstWhere(array|\Closure|Expression|string $column, $operator = null, $value = null, string $boolean = 'and')
     * @method BlogCategory forceCreate(array $attributes)
     * @method _IH_BlogCategory_C|BlogCategory[] fromQuery(string $query, array $bindings = [])
     * @method _IH_BlogCategory_C|BlogCategory[] get(array|string $columns = ['*'])
     * @method BlogCategory getModel()
     * @method BlogCategory[] getModels(array|string $columns = ['*'])
     * @method _IH_BlogCategory_C|BlogCategory[] hydrate(array $items)
     * @method _IH_BlogCategory_C|BlogCategory[] lazy(int $chunkSize = 1000)
     * @method _IH_BlogCategory_C|BlogCategory[] lazyById(int $chunkSize = 1000, null|string $column = null, null|string $alias = null)
     * @method _IH_BlogCategory_C|BlogCategory[] lazyByIdDesc(int $chunkSize = 1000, null|string $column = null, null|string $alias = null)
     * @method BlogCategory make(array $attributes = [])
     * @method BlogCategory newModelInstance(array $attributes = [])
     * @method LengthAwarePaginator|BlogCategory[]|_IH_BlogCategory_C paginate(\Closure|int|null $perPage = null, array|string $columns = ['*'], string $pageName = 'page', int|null $page = null)
     * @method Paginator|BlogCategory[]|_IH_BlogCategory_C simplePaginate(int|null $perPage = null, array|string $columns = ['*'], string $pageName = 'page', int|null $page = null)
     * @method BlogCategory sole(array|string $columns = ['*'])
     * @method BlogCategory updateOrCreate(array $attributes, array $values = [])
     */
    class _IH_BlogCategory_QB extends _BaseBuilder {}
    
    /**
     * @method BlogCommentRepliesReply|null getOrPut($key, \Closure $value)
     * @method BlogCommentRepliesReply|$this shift(int $count = 1)
     * @method BlogCommentRepliesReply|null firstOrFail(callable|string $key = null, $operator = null, $value = null)
     * @method BlogCommentRepliesReply|$this pop(int $count = 1)
     * @method BlogCommentRepliesReply|null pull($key, \Closure $default = null)
     * @method BlogCommentRepliesReply|null last(callable $callback = null, \Closure $default = null)
     * @method BlogCommentRepliesReply|$this random(callable|int|null $number = null, bool $preserveKeys = false)
     * @method BlogCommentRepliesReply|null sole(callable|string $key = null, $operator = null, $value = null)
     * @method BlogCommentRepliesReply|null get($key, \Closure $default = null)
     * @method BlogCommentRepliesReply|null first(callable $callback = null, \Closure $default = null)
     * @method BlogCommentRepliesReply|null firstWhere(callable|string $key, $operator = null, $value = null)
     * @method BlogCommentRepliesReply|null find($key, $default = null)
     * @method BlogCommentRepliesReply[] all()
     */
    class _IH_BlogCommentRepliesReply_C extends _BaseCollection {
        /**
         * @param int $size
         * @return BlogCommentRepliesReply[][]|Collection<_IH_BlogCommentRepliesReply_C>
         */
        public function chunk($size)
        {
            return [];
        }
    }
    
    /**
     * @method _IH_BlogCommentRepliesReply_QB whereId($value)
     * @method _IH_BlogCommentRepliesReply_QB whereUserId($value)
     * @method _IH_BlogCommentRepliesReply_QB whereName($value)
     * @method _IH_BlogCommentRepliesReply_QB whereEmail($value)
     * @method _IH_BlogCommentRepliesReply_QB whereBlogId($value)
     * @method _IH_BlogCommentRepliesReply_QB whereCommentId($value)
     * @method _IH_BlogCommentRepliesReply_QB whereReplyId($value)
     * @method _IH_BlogCommentRepliesReply_QB whereStatus($value)
     * @method _IH_BlogCommentRepliesReply_QB whereReply($value)
     * @method _IH_BlogCommentRepliesReply_QB whereCreatedAt($value)
     * @method _IH_BlogCommentRepliesReply_QB whereUpdatedAt($value)
     * @method BlogCommentRepliesReply baseSole(array|string $columns = ['*'])
     * @method BlogCommentRepliesReply create(array $attributes = [])
     * @method _IH_BlogCommentRepliesReply_C|BlogCommentRepliesReply[] cursor()
     * @method BlogCommentRepliesReply|null|_IH_BlogCommentRepliesReply_C|BlogCommentRepliesReply[] find($id, array|string $columns = ['*'])
     * @method _IH_BlogCommentRepliesReply_C|BlogCommentRepliesReply[] findMany(array|Arrayable $ids, array|string $columns = ['*'])
     * @method BlogCommentRepliesReply|_IH_BlogCommentRepliesReply_C|BlogCommentRepliesReply[] findOr($id, array|\Closure|string $columns = ['*'], \Closure $callback = null)
     * @method BlogCommentRepliesReply|_IH_BlogCommentRepliesReply_C|BlogCommentRepliesReply[] findOrFail($id, array|string $columns = ['*'])
     * @method BlogCommentRepliesReply|_IH_BlogCommentRepliesReply_C|BlogCommentRepliesReply[] findOrNew($id, array|string $columns = ['*'])
     * @method BlogCommentRepliesReply first(array|string $columns = ['*'])
     * @method BlogCommentRepliesReply firstOr(array|\Closure|string $columns = ['*'], \Closure $callback = null)
     * @method BlogCommentRepliesReply firstOrCreate(array $attributes = [], array $values = [])
     * @method BlogCommentRepliesReply firstOrFail(array|string $columns = ['*'])
     * @method BlogCommentRepliesReply firstOrNew(array $attributes = [], array $values = [])
     * @method BlogCommentRepliesReply firstWhere(array|\Closure|Expression|string $column, $operator = null, $value = null, string $boolean = 'and')
     * @method BlogCommentRepliesReply forceCreate(array $attributes)
     * @method _IH_BlogCommentRepliesReply_C|BlogCommentRepliesReply[] fromQuery(string $query, array $bindings = [])
     * @method _IH_BlogCommentRepliesReply_C|BlogCommentRepliesReply[] get(array|string $columns = ['*'])
     * @method BlogCommentRepliesReply getModel()
     * @method BlogCommentRepliesReply[] getModels(array|string $columns = ['*'])
     * @method _IH_BlogCommentRepliesReply_C|BlogCommentRepliesReply[] hydrate(array $items)
     * @method _IH_BlogCommentRepliesReply_C|BlogCommentRepliesReply[] lazy(int $chunkSize = 1000)
     * @method _IH_BlogCommentRepliesReply_C|BlogCommentRepliesReply[] lazyById(int $chunkSize = 1000, null|string $column = null, null|string $alias = null)
     * @method _IH_BlogCommentRepliesReply_C|BlogCommentRepliesReply[] lazyByIdDesc(int $chunkSize = 1000, null|string $column = null, null|string $alias = null)
     * @method BlogCommentRepliesReply make(array $attributes = [])
     * @method BlogCommentRepliesReply newModelInstance(array $attributes = [])
     * @method LengthAwarePaginator|BlogCommentRepliesReply[]|_IH_BlogCommentRepliesReply_C paginate(\Closure|int|null $perPage = null, array|string $columns = ['*'], string $pageName = 'page', int|null $page = null)
     * @method Paginator|BlogCommentRepliesReply[]|_IH_BlogCommentRepliesReply_C simplePaginate(int|null $perPage = null, array|string $columns = ['*'], string $pageName = 'page', int|null $page = null)
     * @method BlogCommentRepliesReply sole(array|string $columns = ['*'])
     * @method BlogCommentRepliesReply updateOrCreate(array $attributes, array $values = [])
     */
    class _IH_BlogCommentRepliesReply_QB extends _BaseBuilder {}
    
    /**
     * @method BlogComment|null getOrPut($key, \Closure $value)
     * @method BlogComment|$this shift(int $count = 1)
     * @method BlogComment|null firstOrFail(callable|string $key = null, $operator = null, $value = null)
     * @method BlogComment|$this pop(int $count = 1)
     * @method BlogComment|null pull($key, \Closure $default = null)
     * @method BlogComment|null last(callable $callback = null, \Closure $default = null)
     * @method BlogComment|$this random(callable|int|null $number = null, bool $preserveKeys = false)
     * @method BlogComment|null sole(callable|string $key = null, $operator = null, $value = null)
     * @method BlogComment|null get($key, \Closure $default = null)
     * @method BlogComment|null first(callable $callback = null, \Closure $default = null)
     * @method BlogComment|null firstWhere(callable|string $key, $operator = null, $value = null)
     * @method BlogComment|null find($key, $default = null)
     * @method BlogComment[] all()
     */
    class _IH_BlogComment_C extends _BaseCollection {
        /**
         * @param int $size
         * @return BlogComment[][]|Collection<_IH_BlogComment_C>
         */
        public function chunk($size)
        {
            return [];
        }
    }
    
    /**
     * @method _IH_BlogComment_QB whereId($value)
     * @method _IH_BlogComment_QB whereUserId($value)
     * @method _IH_BlogComment_QB whereName($value)
     * @method _IH_BlogComment_QB whereEmail($value)
     * @method _IH_BlogComment_QB whereComment($value)
     * @method _IH_BlogComment_QB whereCommentId($value)
     * @method _IH_BlogComment_QB whereBlogId($value)
     * @method _IH_BlogComment_QB whereType($value)
     * @method _IH_BlogComment_QB whereLmsId($value)
     * @method _IH_BlogComment_QB whereCreatedAt($value)
     * @method _IH_BlogComment_QB whereUpdatedAt($value)
     * @method _IH_BlogComment_QB whereStatus($value)
     * @method BlogComment baseSole(array|string $columns = ['*'])
     * @method BlogComment create(array $attributes = [])
     * @method _IH_BlogComment_C|BlogComment[] cursor()
     * @method BlogComment|null|_IH_BlogComment_C|BlogComment[] find($id, array|string $columns = ['*'])
     * @method _IH_BlogComment_C|BlogComment[] findMany(array|Arrayable $ids, array|string $columns = ['*'])
     * @method BlogComment|_IH_BlogComment_C|BlogComment[] findOr($id, array|\Closure|string $columns = ['*'], \Closure $callback = null)
     * @method BlogComment|_IH_BlogComment_C|BlogComment[] findOrFail($id, array|string $columns = ['*'])
     * @method BlogComment|_IH_BlogComment_C|BlogComment[] findOrNew($id, array|string $columns = ['*'])
     * @method BlogComment first(array|string $columns = ['*'])
     * @method BlogComment firstOr(array|\Closure|string $columns = ['*'], \Closure $callback = null)
     * @method BlogComment firstOrCreate(array $attributes = [], array $values = [])
     * @method BlogComment firstOrFail(array|string $columns = ['*'])
     * @method BlogComment firstOrNew(array $attributes = [], array $values = [])
     * @method BlogComment firstWhere(array|\Closure|Expression|string $column, $operator = null, $value = null, string $boolean = 'and')
     * @method BlogComment forceCreate(array $attributes)
     * @method _IH_BlogComment_C|BlogComment[] fromQuery(string $query, array $bindings = [])
     * @method _IH_BlogComment_C|BlogComment[] get(array|string $columns = ['*'])
     * @method BlogComment getModel()
     * @method BlogComment[] getModels(array|string $columns = ['*'])
     * @method _IH_BlogComment_C|BlogComment[] hydrate(array $items)
     * @method _IH_BlogComment_C|BlogComment[] lazy(int $chunkSize = 1000)
     * @method _IH_BlogComment_C|BlogComment[] lazyById(int $chunkSize = 1000, null|string $column = null, null|string $alias = null)
     * @method _IH_BlogComment_C|BlogComment[] lazyByIdDesc(int $chunkSize = 1000, null|string $column = null, null|string $alias = null)
     * @method BlogComment make(array $attributes = [])
     * @method BlogComment newModelInstance(array $attributes = [])
     * @method LengthAwarePaginator|BlogComment[]|_IH_BlogComment_C paginate(\Closure|int|null $perPage = null, array|string $columns = ['*'], string $pageName = 'page', int|null $page = null)
     * @method Paginator|BlogComment[]|_IH_BlogComment_C simplePaginate(int|null $perPage = null, array|string $columns = ['*'], string $pageName = 'page', int|null $page = null)
     * @method BlogComment sole(array|string $columns = ['*'])
     * @method BlogComment updateOrCreate(array $attributes, array $values = [])
     */
    class _IH_BlogComment_QB extends _BaseBuilder {}
    
    /**
     * @method Blog|null getOrPut($key, \Closure $value)
     * @method Blog|$this shift(int $count = 1)
     * @method Blog|null firstOrFail(callable|string $key = null, $operator = null, $value = null)
     * @method Blog|$this pop(int $count = 1)
     * @method Blog|null pull($key, \Closure $default = null)
     * @method Blog|null last(callable $callback = null, \Closure $default = null)
     * @method Blog|$this random(callable|int|null $number = null, bool $preserveKeys = false)
     * @method Blog|null sole(callable|string $key = null, $operator = null, $value = null)
     * @method Blog|null get($key, \Closure $default = null)
     * @method Blog|null first(callable $callback = null, \Closure $default = null)
     * @method Blog|null firstWhere(callable|string $key, $operator = null, $value = null)
     * @method Blog|null find($key, $default = null)
     * @method Blog[] all()
     */
    class _IH_Blog_C extends _BaseCollection {
        /**
         * @param int $size
         * @return Blog[][]|Collection<_IH_Blog_C>
         */
        public function chunk($size)
        {
            return [];
        }
    }
    
    /**
     * @method _IH_Blog_QB whereId($value)
     * @method _IH_Blog_QB whereUserId($value)
     * @method _IH_Blog_QB whereTitle($value)
     * @method _IH_Blog_QB whereSlug($value)
     * @method _IH_Blog_QB whereDescription($value)
     * @method _IH_Blog_QB whereStatus($value)
     * @method _IH_Blog_QB whereImage($value)
     * @method _IH_Blog_QB whereThumbnail($value)
     * @method _IH_Blog_QB whereViewed($value)
     * @method _IH_Blog_QB whereAuthoredDate($value)
     * @method _IH_Blog_QB whereCreatedAt($value)
     * @method _IH_Blog_QB whereUpdatedAt($value)
     * @method _IH_Blog_QB whereTags($value)
     * @method _IH_Blog_QB whereCategoryId($value)
     * @method _IH_Blog_QB whereAuthoredTime($value)
     * @method _IH_Blog_QB whereAudience($value)
     * @method _IH_Blog_QB whereAuthoredDateTime($value)
     * @method _IH_Blog_QB wherePositionAudience($value)
     * @method _IH_Blog_QB whereInstituteId($value)
     * @method Blog baseSole(array|string $columns = ['*'])
     * @method Blog create(array $attributes = [])
     * @method _IH_Blog_C|Blog[] cursor()
     * @method Blog|null|_IH_Blog_C|Blog[] find($id, array|string $columns = ['*'])
     * @method _IH_Blog_C|Blog[] findMany(array|Arrayable $ids, array|string $columns = ['*'])
     * @method Blog|_IH_Blog_C|Blog[] findOr($id, array|\Closure|string $columns = ['*'], \Closure $callback = null)
     * @method Blog|_IH_Blog_C|Blog[] findOrFail($id, array|string $columns = ['*'])
     * @method Blog|_IH_Blog_C|Blog[] findOrNew($id, array|string $columns = ['*'])
     * @method Blog first(array|string $columns = ['*'])
     * @method Blog firstOr(array|\Closure|string $columns = ['*'], \Closure $callback = null)
     * @method Blog firstOrCreate(array $attributes = [], array $values = [])
     * @method Blog firstOrFail(array|string $columns = ['*'])
     * @method Blog firstOrNew(array $attributes = [], array $values = [])
     * @method Blog firstWhere(array|\Closure|Expression|string $column, $operator = null, $value = null, string $boolean = 'and')
     * @method Blog forceCreate(array $attributes)
     * @method _IH_Blog_C|Blog[] fromQuery(string $query, array $bindings = [])
     * @method _IH_Blog_C|Blog[] get(array|string $columns = ['*'])
     * @method Blog getModel()
     * @method Blog[] getModels(array|string $columns = ['*'])
     * @method _IH_Blog_C|Blog[] hydrate(array $items)
     * @method _IH_Blog_C|Blog[] lazy(int $chunkSize = 1000)
     * @method _IH_Blog_C|Blog[] lazyById(int $chunkSize = 1000, null|string $column = null, null|string $alias = null)
     * @method _IH_Blog_C|Blog[] lazyByIdDesc(int $chunkSize = 1000, null|string $column = null, null|string $alias = null)
     * @method Blog make(array $attributes = [])
     * @method Blog newModelInstance(array $attributes = [])
     * @method LengthAwarePaginator|Blog[]|_IH_Blog_C paginate(\Closure|int|null $perPage = null, array|string $columns = ['*'], string $pageName = 'page', int|null $page = null)
     * @method Paginator|Blog[]|_IH_Blog_C simplePaginate(int|null $perPage = null, array|string $columns = ['*'], string $pageName = 'page', int|null $page = null)
     * @method Blog sole(array|string $columns = ['*'])
     * @method Blog updateOrCreate(array $attributes, array $values = [])
     */
    class _IH_Blog_QB extends _BaseBuilder {}
    
    /**
     * @method Like|null getOrPut($key, \Closure $value)
     * @method Like|$this shift(int $count = 1)
     * @method Like|null firstOrFail(callable|string $key = null, $operator = null, $value = null)
     * @method Like|$this pop(int $count = 1)
     * @method Like|null pull($key, \Closure $default = null)
     * @method Like|null last(callable $callback = null, \Closure $default = null)
     * @method Like|$this random(callable|int|null $number = null, bool $preserveKeys = false)
     * @method Like|null sole(callable|string $key = null, $operator = null, $value = null)
     * @method Like|null get($key, \Closure $default = null)
     * @method Like|null first(callable $callback = null, \Closure $default = null)
     * @method Like|null firstWhere(callable|string $key, $operator = null, $value = null)
     * @method Like|null find($key, $default = null)
     * @method Like[] all()
     */
    class _IH_Like_C extends _BaseCollection {
        /**
         * @param int $size
         * @return Like[][]|Collection<_IH_Like_C>
         */
        public function chunk($size)
        {
            return [];
        }
    }
    
    /**
     * @method _IH_Like_QB whereId($value)
     * @method _IH_Like_QB whereUserId($value)
     * @method _IH_Like_QB whereLikeableId($value)
     * @method _IH_Like_QB whereLikeableType($value)
     * @method _IH_Like_QB whereCreatedAt($value)
     * @method _IH_Like_QB whereUpdatedAt($value)
     * @method Like baseSole(array|string $columns = ['*'])
     * @method Like create(array $attributes = [])
     * @method _IH_Like_C|Like[] cursor()
     * @method Like|null|_IH_Like_C|Like[] find($id, array|string $columns = ['*'])
     * @method _IH_Like_C|Like[] findMany(array|Arrayable $ids, array|string $columns = ['*'])
     * @method Like|_IH_Like_C|Like[] findOr($id, array|\Closure|string $columns = ['*'], \Closure $callback = null)
     * @method Like|_IH_Like_C|Like[] findOrFail($id, array|string $columns = ['*'])
     * @method Like|_IH_Like_C|Like[] findOrNew($id, array|string $columns = ['*'])
     * @method Like first(array|string $columns = ['*'])
     * @method Like firstOr(array|\Closure|string $columns = ['*'], \Closure $callback = null)
     * @method Like firstOrCreate(array $attributes = [], array $values = [])
     * @method Like firstOrFail(array|string $columns = ['*'])
     * @method Like firstOrNew(array $attributes = [], array $values = [])
     * @method Like firstWhere(array|\Closure|Expression|string $column, $operator = null, $value = null, string $boolean = 'and')
     * @method Like forceCreate(array $attributes)
     * @method _IH_Like_C|Like[] fromQuery(string $query, array $bindings = [])
     * @method _IH_Like_C|Like[] get(array|string $columns = ['*'])
     * @method Like getModel()
     * @method Like[] getModels(array|string $columns = ['*'])
     * @method _IH_Like_C|Like[] hydrate(array $items)
     * @method _IH_Like_C|Like[] lazy(int $chunkSize = 1000)
     * @method _IH_Like_C|Like[] lazyById(int $chunkSize = 1000, null|string $column = null, null|string $alias = null)
     * @method _IH_Like_C|Like[] lazyByIdDesc(int $chunkSize = 1000, null|string $column = null, null|string $alias = null)
     * @method Like make(array $attributes = [])
     * @method Like newModelInstance(array $attributes = [])
     * @method LengthAwarePaginator|Like[]|_IH_Like_C paginate(\Closure|int|null $perPage = null, array|string $columns = ['*'], string $pageName = 'page', int|null $page = null)
     * @method Paginator|Like[]|_IH_Like_C simplePaginate(int|null $perPage = null, array|string $columns = ['*'], string $pageName = 'page', int|null $page = null)
     * @method Like sole(array|string $columns = ['*'])
     * @method Like updateOrCreate(array $attributes, array $values = [])
     * @method _IH_Like_QB withType(string $type)
     */
    class _IH_Like_QB extends _BaseBuilder {}
    
    /**
     * @method UserBlog|null getOrPut($key, \Closure $value)
     * @method UserBlog|$this shift(int $count = 1)
     * @method UserBlog|null firstOrFail(callable|string $key = null, $operator = null, $value = null)
     * @method UserBlog|$this pop(int $count = 1)
     * @method UserBlog|null pull($key, \Closure $default = null)
     * @method UserBlog|null last(callable $callback = null, \Closure $default = null)
     * @method UserBlog|$this random(callable|int|null $number = null, bool $preserveKeys = false)
     * @method UserBlog|null sole(callable|string $key = null, $operator = null, $value = null)
     * @method UserBlog|null get($key, \Closure $default = null)
     * @method UserBlog|null first(callable $callback = null, \Closure $default = null)
     * @method UserBlog|null firstWhere(callable|string $key, $operator = null, $value = null)
     * @method UserBlog|null find($key, $default = null)
     * @method UserBlog[] all()
     */
    class _IH_UserBlog_C extends _BaseCollection {
        /**
         * @param int $size
         * @return UserBlog[][]|Collection<_IH_UserBlog_C>
         */
        public function chunk($size)
        {
            return [];
        }
    }
    
    /**
     * @method _IH_UserBlog_QB whereId($value)
     * @method _IH_UserBlog_QB whereBlogId($value)
     * @method _IH_UserBlog_QB whereUserId($value)
     * @method _IH_UserBlog_QB whereCreatedAt($value)
     * @method _IH_UserBlog_QB whereUpdatedAt($value)
     * @method UserBlog baseSole(array|string $columns = ['*'])
     * @method UserBlog create(array $attributes = [])
     * @method _IH_UserBlog_C|UserBlog[] cursor()
     * @method UserBlog|null|_IH_UserBlog_C|UserBlog[] find($id, array|string $columns = ['*'])
     * @method _IH_UserBlog_C|UserBlog[] findMany(array|Arrayable $ids, array|string $columns = ['*'])
     * @method UserBlog|_IH_UserBlog_C|UserBlog[] findOr($id, array|\Closure|string $columns = ['*'], \Closure $callback = null)
     * @method UserBlog|_IH_UserBlog_C|UserBlog[] findOrFail($id, array|string $columns = ['*'])
     * @method UserBlog|_IH_UserBlog_C|UserBlog[] findOrNew($id, array|string $columns = ['*'])
     * @method UserBlog first(array|string $columns = ['*'])
     * @method UserBlog firstOr(array|\Closure|string $columns = ['*'], \Closure $callback = null)
     * @method UserBlog firstOrCreate(array $attributes = [], array $values = [])
     * @method UserBlog firstOrFail(array|string $columns = ['*'])
     * @method UserBlog firstOrNew(array $attributes = [], array $values = [])
     * @method UserBlog firstWhere(array|\Closure|Expression|string $column, $operator = null, $value = null, string $boolean = 'and')
     * @method UserBlog forceCreate(array $attributes)
     * @method _IH_UserBlog_C|UserBlog[] fromQuery(string $query, array $bindings = [])
     * @method _IH_UserBlog_C|UserBlog[] get(array|string $columns = ['*'])
     * @method UserBlog getModel()
     * @method UserBlog[] getModels(array|string $columns = ['*'])
     * @method _IH_UserBlog_C|UserBlog[] hydrate(array $items)
     * @method _IH_UserBlog_C|UserBlog[] lazy(int $chunkSize = 1000)
     * @method _IH_UserBlog_C|UserBlog[] lazyById(int $chunkSize = 1000, null|string $column = null, null|string $alias = null)
     * @method _IH_UserBlog_C|UserBlog[] lazyByIdDesc(int $chunkSize = 1000, null|string $column = null, null|string $alias = null)
     * @method UserBlog make(array $attributes = [])
     * @method UserBlog newModelInstance(array $attributes = [])
     * @method LengthAwarePaginator|UserBlog[]|_IH_UserBlog_C paginate(\Closure|int|null $perPage = null, array|string $columns = ['*'], string $pageName = 'page', int|null $page = null)
     * @method Paginator|UserBlog[]|_IH_UserBlog_C simplePaginate(int|null $perPage = null, array|string $columns = ['*'], string $pageName = 'page', int|null $page = null)
     * @method UserBlog sole(array|string $columns = ['*'])
     * @method UserBlog updateOrCreate(array $attributes, array $values = [])
     */
    class _IH_UserBlog_QB extends _BaseBuilder {}
}