<?php //d3ad351041dd5f5f91c0c64c11bc38d1
/** @noinspection all */

namespace LaravelIdea\Helper\Modules\Appearance\Entities {

    use Illuminate\Contracts\Database\Query\Expression;
    use Illuminate\Contracts\Support\Arrayable;
    use Illuminate\Pagination\LengthAwarePaginator;
    use Illuminate\Pagination\Paginator;
    use Illuminate\Support\Collection;
    use LaravelIdea\Helper\_BaseBuilder;
    use LaravelIdea\Helper\_BaseCollection;
    use Modules\Appearance\Entities\Theme;
    use Modules\Appearance\Entities\ThemeCustomize;
    
    /**
     * @method ThemeCustomize|null getOrPut($key, \Closure $value)
     * @method ThemeCustomize|$this shift(int $count = 1)
     * @method ThemeCustomize|null firstOrFail(callable|string $key = null, $operator = null, $value = null)
     * @method ThemeCustomize|$this pop(int $count = 1)
     * @method ThemeCustomize|null pull($key, \Closure $default = null)
     * @method ThemeCustomize|null last(callable $callback = null, \Closure $default = null)
     * @method ThemeCustomize|$this random(callable|int|null $number = null, bool $preserveKeys = false)
     * @method ThemeCustomize|null sole(callable|string $key = null, $operator = null, $value = null)
     * @method ThemeCustomize|null get($key, \Closure $default = null)
     * @method ThemeCustomize|null first(callable $callback = null, \Closure $default = null)
     * @method ThemeCustomize|null firstWhere(callable|string $key, $operator = null, $value = null)
     * @method ThemeCustomize|null find($key, $default = null)
     * @method ThemeCustomize[] all()
     */
    class _IH_ThemeCustomize_C extends _BaseCollection {
        /**
         * @param int $size
         * @return ThemeCustomize[][]|Collection<_IH_ThemeCustomize_C>
         */
        public function chunk($size)
        {
            return [];
        }
    }
    
    /**
     * @method _IH_ThemeCustomize_QB whereId($value)
     * @method _IH_ThemeCustomize_QB whereName($value)
     * @method _IH_ThemeCustomize_QB whereThemeId($value)
     * @method _IH_ThemeCustomize_QB wherePrimaryColor($value)
     * @method _IH_ThemeCustomize_QB whereSecondaryColor($value)
     * @method _IH_ThemeCustomize_QB whereIsDefault($value)
     * @method _IH_ThemeCustomize_QB whereCreatedBy($value)
     * @method _IH_ThemeCustomize_QB whereCreatedAt($value)
     * @method _IH_ThemeCustomize_QB whereUpdatedAt($value)
     * @method _IH_ThemeCustomize_QB whereFooterBackgroundColor($value)
     * @method _IH_ThemeCustomize_QB whereFooterHeadlineColor($value)
     * @method _IH_ThemeCustomize_QB whereFooterTextColor($value)
     * @method _IH_ThemeCustomize_QB whereFooterTextHoverColor($value)
     * @method _IH_ThemeCustomize_QB whereThemeName($value)
     * @method _IH_ThemeCustomize_QB whereBgColor($value)
     * @method ThemeCustomize baseSole(array|string $columns = ['*'])
     * @method ThemeCustomize create(array $attributes = [])
     * @method _IH_ThemeCustomize_C|ThemeCustomize[] cursor()
     * @method ThemeCustomize|null|_IH_ThemeCustomize_C|ThemeCustomize[] find($id, array|string $columns = ['*'])
     * @method _IH_ThemeCustomize_C|ThemeCustomize[] findMany(array|Arrayable $ids, array|string $columns = ['*'])
     * @method ThemeCustomize|_IH_ThemeCustomize_C|ThemeCustomize[] findOr($id, array|\Closure|string $columns = ['*'], \Closure $callback = null)
     * @method ThemeCustomize|_IH_ThemeCustomize_C|ThemeCustomize[] findOrFail($id, array|string $columns = ['*'])
     * @method ThemeCustomize|_IH_ThemeCustomize_C|ThemeCustomize[] findOrNew($id, array|string $columns = ['*'])
     * @method ThemeCustomize first(array|string $columns = ['*'])
     * @method ThemeCustomize firstOr(array|\Closure|string $columns = ['*'], \Closure $callback = null)
     * @method ThemeCustomize firstOrCreate(array $attributes = [], array $values = [])
     * @method ThemeCustomize firstOrFail(array|string $columns = ['*'])
     * @method ThemeCustomize firstOrNew(array $attributes = [], array $values = [])
     * @method ThemeCustomize firstWhere(array|\Closure|Expression|string $column, $operator = null, $value = null, string $boolean = 'and')
     * @method ThemeCustomize forceCreate(array $attributes)
     * @method _IH_ThemeCustomize_C|ThemeCustomize[] fromQuery(string $query, array $bindings = [])
     * @method _IH_ThemeCustomize_C|ThemeCustomize[] get(array|string $columns = ['*'])
     * @method ThemeCustomize getModel()
     * @method ThemeCustomize[] getModels(array|string $columns = ['*'])
     * @method _IH_ThemeCustomize_C|ThemeCustomize[] hydrate(array $items)
     * @method _IH_ThemeCustomize_C|ThemeCustomize[] lazy(int $chunkSize = 1000)
     * @method _IH_ThemeCustomize_C|ThemeCustomize[] lazyById(int $chunkSize = 1000, null|string $column = null, null|string $alias = null)
     * @method _IH_ThemeCustomize_C|ThemeCustomize[] lazyByIdDesc(int $chunkSize = 1000, null|string $column = null, null|string $alias = null)
     * @method ThemeCustomize make(array $attributes = [])
     * @method ThemeCustomize newModelInstance(array $attributes = [])
     * @method LengthAwarePaginator|ThemeCustomize[]|_IH_ThemeCustomize_C paginate(\Closure|int|null $perPage = null, array|string $columns = ['*'], string $pageName = 'page', int|null $page = null)
     * @method Paginator|ThemeCustomize[]|_IH_ThemeCustomize_C simplePaginate(int|null $perPage = null, array|string $columns = ['*'], string $pageName = 'page', int|null $page = null)
     * @method ThemeCustomize sole(array|string $columns = ['*'])
     * @method ThemeCustomize updateOrCreate(array $attributes, array $values = [])
     */
    class _IH_ThemeCustomize_QB extends _BaseBuilder {}
    
    /**
     * @method Theme|null getOrPut($key, \Closure $value)
     * @method Theme|$this shift(int $count = 1)
     * @method Theme|null firstOrFail(callable|string $key = null, $operator = null, $value = null)
     * @method Theme|$this pop(int $count = 1)
     * @method Theme|null pull($key, \Closure $default = null)
     * @method Theme|null last(callable $callback = null, \Closure $default = null)
     * @method Theme|$this random(callable|int|null $number = null, bool $preserveKeys = false)
     * @method Theme|null sole(callable|string $key = null, $operator = null, $value = null)
     * @method Theme|null get($key, \Closure $default = null)
     * @method Theme|null first(callable $callback = null, \Closure $default = null)
     * @method Theme|null firstWhere(callable|string $key, $operator = null, $value = null)
     * @method Theme|null find($key, $default = null)
     * @method Theme[] all()
     */
    class _IH_Theme_C extends _BaseCollection {
        /**
         * @param int $size
         * @return Theme[][]|Collection<_IH_Theme_C>
         */
        public function chunk($size)
        {
            return [];
        }
    }
    
    /**
     * @method _IH_Theme_QB whereId($value)
     * @method _IH_Theme_QB whereUserId($value)
     * @method _IH_Theme_QB whereName($value)
     * @method _IH_Theme_QB whereTitle($value)
     * @method _IH_Theme_QB whereImage($value)
     * @method _IH_Theme_QB whereVersion($value)
     * @method _IH_Theme_QB whereFolderPath($value)
     * @method _IH_Theme_QB whereLiveLink($value)
     * @method _IH_Theme_QB whereDescription($value)
     * @method _IH_Theme_QB whereIsActive($value)
     * @method _IH_Theme_QB whereStatus($value)
     * @method _IH_Theme_QB whereTags($value)
     * @method _IH_Theme_QB whereCreatedAt($value)
     * @method _IH_Theme_QB whereUpdatedAt($value)
     * @method _IH_Theme_QB wherePurchaseCode($value)
     * @method _IH_Theme_QB whereEmail($value)
     * @method _IH_Theme_QB whereActivatedDate($value)
     * @method _IH_Theme_QB whereItemCode($value)
     * @method _IH_Theme_QB whereChecksum($value)
     * @method _IH_Theme_QB whereInstalledDomain($value)
     * @method Theme baseSole(array|string $columns = ['*'])
     * @method Theme create(array $attributes = [])
     * @method _IH_Theme_C|Theme[] cursor()
     * @method Theme|null|_IH_Theme_C|Theme[] find($id, array|string $columns = ['*'])
     * @method _IH_Theme_C|Theme[] findMany(array|Arrayable $ids, array|string $columns = ['*'])
     * @method Theme|_IH_Theme_C|Theme[] findOr($id, array|\Closure|string $columns = ['*'], \Closure $callback = null)
     * @method Theme|_IH_Theme_C|Theme[] findOrFail($id, array|string $columns = ['*'])
     * @method Theme|_IH_Theme_C|Theme[] findOrNew($id, array|string $columns = ['*'])
     * @method Theme first(array|string $columns = ['*'])
     * @method Theme firstOr(array|\Closure|string $columns = ['*'], \Closure $callback = null)
     * @method Theme firstOrCreate(array $attributes = [], array $values = [])
     * @method Theme firstOrFail(array|string $columns = ['*'])
     * @method Theme firstOrNew(array $attributes = [], array $values = [])
     * @method Theme firstWhere(array|\Closure|Expression|string $column, $operator = null, $value = null, string $boolean = 'and')
     * @method Theme forceCreate(array $attributes)
     * @method _IH_Theme_C|Theme[] fromQuery(string $query, array $bindings = [])
     * @method _IH_Theme_C|Theme[] get(array|string $columns = ['*'])
     * @method Theme getModel()
     * @method Theme[] getModels(array|string $columns = ['*'])
     * @method _IH_Theme_C|Theme[] hydrate(array $items)
     * @method _IH_Theme_C|Theme[] lazy(int $chunkSize = 1000)
     * @method _IH_Theme_C|Theme[] lazyById(int $chunkSize = 1000, null|string $column = null, null|string $alias = null)
     * @method _IH_Theme_C|Theme[] lazyByIdDesc(int $chunkSize = 1000, null|string $column = null, null|string $alias = null)
     * @method Theme make(array $attributes = [])
     * @method Theme newModelInstance(array $attributes = [])
     * @method LengthAwarePaginator|Theme[]|_IH_Theme_C paginate(\Closure|int|null $perPage = null, array|string $columns = ['*'], string $pageName = 'page', int|null $page = null)
     * @method Paginator|Theme[]|_IH_Theme_C simplePaginate(int|null $perPage = null, array|string $columns = ['*'], string $pageName = 'page', int|null $page = null)
     * @method Theme sole(array|string $columns = ['*'])
     * @method Theme updateOrCreate(array $attributes, array $values = [])
     */
    class _IH_Theme_QB extends _BaseBuilder {}
}