<?php //7088dfe018cdc278164402b7d2e9c570
/** @noinspection all */

namespace LaravelIdea\Helper\Modules\OrgInstructorPolicy\Entities {

    use Illuminate\Contracts\Database\Query\Expression;
    use Illuminate\Contracts\Support\Arrayable;
    use Illuminate\Pagination\LengthAwarePaginator;
    use Illuminate\Pagination\Paginator;
    use Illuminate\Support\Collection;
    use LaravelIdea\Helper\_BaseBuilder;
    use LaravelIdea\Helper\_BaseCollection;
    use Modules\OrgInstructorPolicy\Entities\OrgPolicy;
    use Modules\OrgInstructorPolicy\Entities\OrgPolicyBranch;
    use Modules\OrgInstructorPolicy\Entities\OrgPolicyCategory;
    use Modules\OrgInstructorPolicy\Entities\OrgPolicyCourseList;
    
    /**
     * @method OrgPolicyBranch|null getOrPut($key, \Closure $value)
     * @method OrgPolicyBranch|$this shift(int $count = 1)
     * @method OrgPolicyBranch|null firstOrFail(callable|string $key = null, $operator = null, $value = null)
     * @method OrgPolicyBranch|$this pop(int $count = 1)
     * @method OrgPolicyBranch|null pull($key, \Closure $default = null)
     * @method OrgPolicyBranch|null last(callable $callback = null, \Closure $default = null)
     * @method OrgPolicyBranch|$this random(callable|int|null $number = null, bool $preserveKeys = false)
     * @method OrgPolicyBranch|null sole(callable|string $key = null, $operator = null, $value = null)
     * @method OrgPolicyBranch|null get($key, \Closure $default = null)
     * @method OrgPolicyBranch|null first(callable $callback = null, \Closure $default = null)
     * @method OrgPolicyBranch|null firstWhere(callable|string $key, $operator = null, $value = null)
     * @method OrgPolicyBranch|null find($key, $default = null)
     * @method OrgPolicyBranch[] all()
     */
    class _IH_OrgPolicyBranch_C extends _BaseCollection {
        /**
         * @param int $size
         * @return OrgPolicyBranch[][]|Collection<_IH_OrgPolicyBranch_C>
         */
        public function chunk($size)
        {
            return [];
        }
    }
    
    /**
     * @method _IH_OrgPolicyBranch_QB whereId($value)
     * @method _IH_OrgPolicyBranch_QB wherePolicyId($value)
     * @method _IH_OrgPolicyBranch_QB whereBranchId($value)
     * @method _IH_OrgPolicyBranch_QB whereStatus($value)
     * @method _IH_OrgPolicyBranch_QB whereCreatedAt($value)
     * @method _IH_OrgPolicyBranch_QB whereUpdatedAt($value)
     * @method OrgPolicyBranch baseSole(array|string $columns = ['*'])
     * @method OrgPolicyBranch create(array $attributes = [])
     * @method _IH_OrgPolicyBranch_C|OrgPolicyBranch[] cursor()
     * @method OrgPolicyBranch|null|_IH_OrgPolicyBranch_C|OrgPolicyBranch[] find($id, array|string $columns = ['*'])
     * @method _IH_OrgPolicyBranch_C|OrgPolicyBranch[] findMany(array|Arrayable $ids, array|string $columns = ['*'])
     * @method OrgPolicyBranch|_IH_OrgPolicyBranch_C|OrgPolicyBranch[] findOr($id, array|\Closure|string $columns = ['*'], \Closure $callback = null)
     * @method OrgPolicyBranch|_IH_OrgPolicyBranch_C|OrgPolicyBranch[] findOrFail($id, array|string $columns = ['*'])
     * @method OrgPolicyBranch|_IH_OrgPolicyBranch_C|OrgPolicyBranch[] findOrNew($id, array|string $columns = ['*'])
     * @method OrgPolicyBranch first(array|string $columns = ['*'])
     * @method OrgPolicyBranch firstOr(array|\Closure|string $columns = ['*'], \Closure $callback = null)
     * @method OrgPolicyBranch firstOrCreate(array $attributes = [], array $values = [])
     * @method OrgPolicyBranch firstOrFail(array|string $columns = ['*'])
     * @method OrgPolicyBranch firstOrNew(array $attributes = [], array $values = [])
     * @method OrgPolicyBranch firstWhere(array|\Closure|Expression|string $column, $operator = null, $value = null, string $boolean = 'and')
     * @method OrgPolicyBranch forceCreate(array $attributes)
     * @method _IH_OrgPolicyBranch_C|OrgPolicyBranch[] fromQuery(string $query, array $bindings = [])
     * @method _IH_OrgPolicyBranch_C|OrgPolicyBranch[] get(array|string $columns = ['*'])
     * @method OrgPolicyBranch getModel()
     * @method OrgPolicyBranch[] getModels(array|string $columns = ['*'])
     * @method _IH_OrgPolicyBranch_C|OrgPolicyBranch[] hydrate(array $items)
     * @method _IH_OrgPolicyBranch_C|OrgPolicyBranch[] lazy(int $chunkSize = 1000)
     * @method _IH_OrgPolicyBranch_C|OrgPolicyBranch[] lazyById(int $chunkSize = 1000, null|string $column = null, null|string $alias = null)
     * @method _IH_OrgPolicyBranch_C|OrgPolicyBranch[] lazyByIdDesc(int $chunkSize = 1000, null|string $column = null, null|string $alias = null)
     * @method OrgPolicyBranch make(array $attributes = [])
     * @method OrgPolicyBranch newModelInstance(array $attributes = [])
     * @method LengthAwarePaginator|OrgPolicyBranch[]|_IH_OrgPolicyBranch_C paginate(\Closure|int|null $perPage = null, array|string $columns = ['*'], string $pageName = 'page', int|null $page = null)
     * @method Paginator|OrgPolicyBranch[]|_IH_OrgPolicyBranch_C simplePaginate(int|null $perPage = null, array|string $columns = ['*'], string $pageName = 'page', int|null $page = null)
     * @method OrgPolicyBranch sole(array|string $columns = ['*'])
     * @method OrgPolicyBranch updateOrCreate(array $attributes, array $values = [])
     */
    class _IH_OrgPolicyBranch_QB extends _BaseBuilder {}
    
    /**
     * @method OrgPolicyCategory|null getOrPut($key, \Closure $value)
     * @method OrgPolicyCategory|$this shift(int $count = 1)
     * @method OrgPolicyCategory|null firstOrFail(callable|string $key = null, $operator = null, $value = null)
     * @method OrgPolicyCategory|$this pop(int $count = 1)
     * @method OrgPolicyCategory|null pull($key, \Closure $default = null)
     * @method OrgPolicyCategory|null last(callable $callback = null, \Closure $default = null)
     * @method OrgPolicyCategory|$this random(callable|int|null $number = null, bool $preserveKeys = false)
     * @method OrgPolicyCategory|null sole(callable|string $key = null, $operator = null, $value = null)
     * @method OrgPolicyCategory|null get($key, \Closure $default = null)
     * @method OrgPolicyCategory|null first(callable $callback = null, \Closure $default = null)
     * @method OrgPolicyCategory|null firstWhere(callable|string $key, $operator = null, $value = null)
     * @method OrgPolicyCategory|null find($key, $default = null)
     * @method OrgPolicyCategory[] all()
     */
    class _IH_OrgPolicyCategory_C extends _BaseCollection {
        /**
         * @param int $size
         * @return OrgPolicyCategory[][]|Collection<_IH_OrgPolicyCategory_C>
         */
        public function chunk($size)
        {
            return [];
        }
    }
    
    /**
     * @method _IH_OrgPolicyCategory_QB whereId($value)
     * @method _IH_OrgPolicyCategory_QB wherePolicyId($value)
     * @method _IH_OrgPolicyCategory_QB whereCategoryId($value)
     * @method _IH_OrgPolicyCategory_QB whereStatus($value)
     * @method _IH_OrgPolicyCategory_QB whereCreatedAt($value)
     * @method _IH_OrgPolicyCategory_QB whereUpdatedAt($value)
     * @method OrgPolicyCategory baseSole(array|string $columns = ['*'])
     * @method OrgPolicyCategory create(array $attributes = [])
     * @method _IH_OrgPolicyCategory_C|OrgPolicyCategory[] cursor()
     * @method OrgPolicyCategory|null|_IH_OrgPolicyCategory_C|OrgPolicyCategory[] find($id, array|string $columns = ['*'])
     * @method _IH_OrgPolicyCategory_C|OrgPolicyCategory[] findMany(array|Arrayable $ids, array|string $columns = ['*'])
     * @method OrgPolicyCategory|_IH_OrgPolicyCategory_C|OrgPolicyCategory[] findOr($id, array|\Closure|string $columns = ['*'], \Closure $callback = null)
     * @method OrgPolicyCategory|_IH_OrgPolicyCategory_C|OrgPolicyCategory[] findOrFail($id, array|string $columns = ['*'])
     * @method OrgPolicyCategory|_IH_OrgPolicyCategory_C|OrgPolicyCategory[] findOrNew($id, array|string $columns = ['*'])
     * @method OrgPolicyCategory first(array|string $columns = ['*'])
     * @method OrgPolicyCategory firstOr(array|\Closure|string $columns = ['*'], \Closure $callback = null)
     * @method OrgPolicyCategory firstOrCreate(array $attributes = [], array $values = [])
     * @method OrgPolicyCategory firstOrFail(array|string $columns = ['*'])
     * @method OrgPolicyCategory firstOrNew(array $attributes = [], array $values = [])
     * @method OrgPolicyCategory firstWhere(array|\Closure|Expression|string $column, $operator = null, $value = null, string $boolean = 'and')
     * @method OrgPolicyCategory forceCreate(array $attributes)
     * @method _IH_OrgPolicyCategory_C|OrgPolicyCategory[] fromQuery(string $query, array $bindings = [])
     * @method _IH_OrgPolicyCategory_C|OrgPolicyCategory[] get(array|string $columns = ['*'])
     * @method OrgPolicyCategory getModel()
     * @method OrgPolicyCategory[] getModels(array|string $columns = ['*'])
     * @method _IH_OrgPolicyCategory_C|OrgPolicyCategory[] hydrate(array $items)
     * @method _IH_OrgPolicyCategory_C|OrgPolicyCategory[] lazy(int $chunkSize = 1000)
     * @method _IH_OrgPolicyCategory_C|OrgPolicyCategory[] lazyById(int $chunkSize = 1000, null|string $column = null, null|string $alias = null)
     * @method _IH_OrgPolicyCategory_C|OrgPolicyCategory[] lazyByIdDesc(int $chunkSize = 1000, null|string $column = null, null|string $alias = null)
     * @method OrgPolicyCategory make(array $attributes = [])
     * @method OrgPolicyCategory newModelInstance(array $attributes = [])
     * @method LengthAwarePaginator|OrgPolicyCategory[]|_IH_OrgPolicyCategory_C paginate(\Closure|int|null $perPage = null, array|string $columns = ['*'], string $pageName = 'page', int|null $page = null)
     * @method Paginator|OrgPolicyCategory[]|_IH_OrgPolicyCategory_C simplePaginate(int|null $perPage = null, array|string $columns = ['*'], string $pageName = 'page', int|null $page = null)
     * @method OrgPolicyCategory sole(array|string $columns = ['*'])
     * @method OrgPolicyCategory updateOrCreate(array $attributes, array $values = [])
     */
    class _IH_OrgPolicyCategory_QB extends _BaseBuilder {}
    
    /**
     * @method OrgPolicyCourseList|null getOrPut($key, \Closure $value)
     * @method OrgPolicyCourseList|$this shift(int $count = 1)
     * @method OrgPolicyCourseList|null firstOrFail(callable|string $key = null, $operator = null, $value = null)
     * @method OrgPolicyCourseList|$this pop(int $count = 1)
     * @method OrgPolicyCourseList|null pull($key, \Closure $default = null)
     * @method OrgPolicyCourseList|null last(callable $callback = null, \Closure $default = null)
     * @method OrgPolicyCourseList|$this random(callable|int|null $number = null, bool $preserveKeys = false)
     * @method OrgPolicyCourseList|null sole(callable|string $key = null, $operator = null, $value = null)
     * @method OrgPolicyCourseList|null get($key, \Closure $default = null)
     * @method OrgPolicyCourseList|null first(callable $callback = null, \Closure $default = null)
     * @method OrgPolicyCourseList|null firstWhere(callable|string $key, $operator = null, $value = null)
     * @method OrgPolicyCourseList|null find($key, $default = null)
     * @method OrgPolicyCourseList[] all()
     */
    class _IH_OrgPolicyCourseList_C extends _BaseCollection {
        /**
         * @param int $size
         * @return OrgPolicyCourseList[][]|Collection<_IH_OrgPolicyCourseList_C>
         */
        public function chunk($size)
        {
            return [];
        }
    }
    
    /**
     * @method _IH_OrgPolicyCourseList_QB whereId($value)
     * @method _IH_OrgPolicyCourseList_QB whereCourseId($value)
     * @method _IH_OrgPolicyCourseList_QB wherePolicyId($value)
     * @method _IH_OrgPolicyCourseList_QB whereOrder($value)
     * @method _IH_OrgPolicyCourseList_QB whereCreatedAt($value)
     * @method _IH_OrgPolicyCourseList_QB whereUpdatedAt($value)
     * @method OrgPolicyCourseList baseSole(array|string $columns = ['*'])
     * @method OrgPolicyCourseList create(array $attributes = [])
     * @method _IH_OrgPolicyCourseList_C|OrgPolicyCourseList[] cursor()
     * @method OrgPolicyCourseList|null|_IH_OrgPolicyCourseList_C|OrgPolicyCourseList[] find($id, array|string $columns = ['*'])
     * @method _IH_OrgPolicyCourseList_C|OrgPolicyCourseList[] findMany(array|Arrayable $ids, array|string $columns = ['*'])
     * @method OrgPolicyCourseList|_IH_OrgPolicyCourseList_C|OrgPolicyCourseList[] findOr($id, array|\Closure|string $columns = ['*'], \Closure $callback = null)
     * @method OrgPolicyCourseList|_IH_OrgPolicyCourseList_C|OrgPolicyCourseList[] findOrFail($id, array|string $columns = ['*'])
     * @method OrgPolicyCourseList|_IH_OrgPolicyCourseList_C|OrgPolicyCourseList[] findOrNew($id, array|string $columns = ['*'])
     * @method OrgPolicyCourseList first(array|string $columns = ['*'])
     * @method OrgPolicyCourseList firstOr(array|\Closure|string $columns = ['*'], \Closure $callback = null)
     * @method OrgPolicyCourseList firstOrCreate(array $attributes = [], array $values = [])
     * @method OrgPolicyCourseList firstOrFail(array|string $columns = ['*'])
     * @method OrgPolicyCourseList firstOrNew(array $attributes = [], array $values = [])
     * @method OrgPolicyCourseList firstWhere(array|\Closure|Expression|string $column, $operator = null, $value = null, string $boolean = 'and')
     * @method OrgPolicyCourseList forceCreate(array $attributes)
     * @method _IH_OrgPolicyCourseList_C|OrgPolicyCourseList[] fromQuery(string $query, array $bindings = [])
     * @method _IH_OrgPolicyCourseList_C|OrgPolicyCourseList[] get(array|string $columns = ['*'])
     * @method OrgPolicyCourseList getModel()
     * @method OrgPolicyCourseList[] getModels(array|string $columns = ['*'])
     * @method _IH_OrgPolicyCourseList_C|OrgPolicyCourseList[] hydrate(array $items)
     * @method _IH_OrgPolicyCourseList_C|OrgPolicyCourseList[] lazy(int $chunkSize = 1000)
     * @method _IH_OrgPolicyCourseList_C|OrgPolicyCourseList[] lazyById(int $chunkSize = 1000, null|string $column = null, null|string $alias = null)
     * @method _IH_OrgPolicyCourseList_C|OrgPolicyCourseList[] lazyByIdDesc(int $chunkSize = 1000, null|string $column = null, null|string $alias = null)
     * @method OrgPolicyCourseList make(array $attributes = [])
     * @method OrgPolicyCourseList newModelInstance(array $attributes = [])
     * @method LengthAwarePaginator|OrgPolicyCourseList[]|_IH_OrgPolicyCourseList_C paginate(\Closure|int|null $perPage = null, array|string $columns = ['*'], string $pageName = 'page', int|null $page = null)
     * @method Paginator|OrgPolicyCourseList[]|_IH_OrgPolicyCourseList_C simplePaginate(int|null $perPage = null, array|string $columns = ['*'], string $pageName = 'page', int|null $page = null)
     * @method OrgPolicyCourseList sole(array|string $columns = ['*'])
     * @method OrgPolicyCourseList updateOrCreate(array $attributes, array $values = [])
     */
    class _IH_OrgPolicyCourseList_QB extends _BaseBuilder {}
    
    /**
     * @method OrgPolicy|null getOrPut($key, \Closure $value)
     * @method OrgPolicy|$this shift(int $count = 1)
     * @method OrgPolicy|null firstOrFail(callable|string $key = null, $operator = null, $value = null)
     * @method OrgPolicy|$this pop(int $count = 1)
     * @method OrgPolicy|null pull($key, \Closure $default = null)
     * @method OrgPolicy|null last(callable $callback = null, \Closure $default = null)
     * @method OrgPolicy|$this random(callable|int|null $number = null, bool $preserveKeys = false)
     * @method OrgPolicy|null sole(callable|string $key = null, $operator = null, $value = null)
     * @method OrgPolicy|null get($key, \Closure $default = null)
     * @method OrgPolicy|null first(callable $callback = null, \Closure $default = null)
     * @method OrgPolicy|null firstWhere(callable|string $key, $operator = null, $value = null)
     * @method OrgPolicy|null find($key, $default = null)
     * @method OrgPolicy[] all()
     */
    class _IH_OrgPolicy_C extends _BaseCollection {
        /**
         * @param int $size
         * @return OrgPolicy[][]|Collection<_IH_OrgPolicy_C>
         */
        public function chunk($size)
        {
            return [];
        }
    }
    
    /**
     * @method _IH_OrgPolicy_QB whereId($value)
     * @method _IH_OrgPolicy_QB whereName($value)
     * @method _IH_OrgPolicy_QB whereCreatedAt($value)
     * @method _IH_OrgPolicy_QB whereUpdatedAt($value)
     * @method OrgPolicy baseSole(array|string $columns = ['*'])
     * @method OrgPolicy create(array $attributes = [])
     * @method _IH_OrgPolicy_C|OrgPolicy[] cursor()
     * @method OrgPolicy|null|_IH_OrgPolicy_C|OrgPolicy[] find($id, array|string $columns = ['*'])
     * @method _IH_OrgPolicy_C|OrgPolicy[] findMany(array|Arrayable $ids, array|string $columns = ['*'])
     * @method OrgPolicy|_IH_OrgPolicy_C|OrgPolicy[] findOr($id, array|\Closure|string $columns = ['*'], \Closure $callback = null)
     * @method OrgPolicy|_IH_OrgPolicy_C|OrgPolicy[] findOrFail($id, array|string $columns = ['*'])
     * @method OrgPolicy|_IH_OrgPolicy_C|OrgPolicy[] findOrNew($id, array|string $columns = ['*'])
     * @method OrgPolicy first(array|string $columns = ['*'])
     * @method OrgPolicy firstOr(array|\Closure|string $columns = ['*'], \Closure $callback = null)
     * @method OrgPolicy firstOrCreate(array $attributes = [], array $values = [])
     * @method OrgPolicy firstOrFail(array|string $columns = ['*'])
     * @method OrgPolicy firstOrNew(array $attributes = [], array $values = [])
     * @method OrgPolicy firstWhere(array|\Closure|Expression|string $column, $operator = null, $value = null, string $boolean = 'and')
     * @method OrgPolicy forceCreate(array $attributes)
     * @method _IH_OrgPolicy_C|OrgPolicy[] fromQuery(string $query, array $bindings = [])
     * @method _IH_OrgPolicy_C|OrgPolicy[] get(array|string $columns = ['*'])
     * @method OrgPolicy getModel()
     * @method OrgPolicy[] getModels(array|string $columns = ['*'])
     * @method _IH_OrgPolicy_C|OrgPolicy[] hydrate(array $items)
     * @method _IH_OrgPolicy_C|OrgPolicy[] lazy(int $chunkSize = 1000)
     * @method _IH_OrgPolicy_C|OrgPolicy[] lazyById(int $chunkSize = 1000, null|string $column = null, null|string $alias = null)
     * @method _IH_OrgPolicy_C|OrgPolicy[] lazyByIdDesc(int $chunkSize = 1000, null|string $column = null, null|string $alias = null)
     * @method OrgPolicy make(array $attributes = [])
     * @method OrgPolicy newModelInstance(array $attributes = [])
     * @method LengthAwarePaginator|OrgPolicy[]|_IH_OrgPolicy_C paginate(\Closure|int|null $perPage = null, array|string $columns = ['*'], string $pageName = 'page', int|null $page = null)
     * @method Paginator|OrgPolicy[]|_IH_OrgPolicy_C simplePaginate(int|null $perPage = null, array|string $columns = ['*'], string $pageName = 'page', int|null $page = null)
     * @method OrgPolicy sole(array|string $columns = ['*'])
     * @method OrgPolicy updateOrCreate(array $attributes, array $values = [])
     */
    class _IH_OrgPolicy_QB extends _BaseBuilder {}
}