<?php //56571782f6119501d9388fb87a70cceb
/** @noinspection all */

namespace LaravelIdea\Helper\Modules\PaymentMethodSetting\Entities {

    use Illuminate\Contracts\Database\Query\Expression;
    use Illuminate\Contracts\Support\Arrayable;
    use Illuminate\Pagination\LengthAwarePaginator;
    use Illuminate\Pagination\Paginator;
    use Illuminate\Support\Collection;
    use LaravelIdea\Helper\_BaseBuilder;
    use LaravelIdea\Helper\_BaseCollection;
    use Modules\PaymentMethodSetting\Entities\PaymentMethod;
    use Modules\PaymentMethodSetting\Entities\PaymentMethodCredential;
    
    /**
     * @method PaymentMethodCredential|null getOrPut($key, \Closure $value)
     * @method PaymentMethodCredential|$this shift(int $count = 1)
     * @method PaymentMethodCredential|null firstOrFail(callable|string $key = null, $operator = null, $value = null)
     * @method PaymentMethodCredential|$this pop(int $count = 1)
     * @method PaymentMethodCredential|null pull($key, \Closure $default = null)
     * @method PaymentMethodCredential|null last(callable $callback = null, \Closure $default = null)
     * @method PaymentMethodCredential|$this random(callable|int|null $number = null, bool $preserveKeys = false)
     * @method PaymentMethodCredential|null sole(callable|string $key = null, $operator = null, $value = null)
     * @method PaymentMethodCredential|null get($key, \Closure $default = null)
     * @method PaymentMethodCredential|null first(callable $callback = null, \Closure $default = null)
     * @method PaymentMethodCredential|null firstWhere(callable|string $key, $operator = null, $value = null)
     * @method PaymentMethodCredential|null find($key, $default = null)
     * @method PaymentMethodCredential[] all()
     */
    class _IH_PaymentMethodCredential_C extends _BaseCollection {
        /**
         * @param int $size
         * @return PaymentMethodCredential[][]|Collection<_IH_PaymentMethodCredential_C>
         */
        public function chunk($size)
        {
            return [];
        }
    }
    
    /**
     * @method _IH_PaymentMethodCredential_QB whereId($value)
     * @method _IH_PaymentMethodCredential_QB whereInstamojoApiAuth($value)
     * @method _IH_PaymentMethodCredential_QB whereInstamojoApiAuthToken($value)
     * @method _IH_PaymentMethodCredential_QB whereInstamojoUrl($value)
     * @method _IH_PaymentMethodCredential_QB whereMidtransServerKey($value)
     * @method _IH_PaymentMethodCredential_QB whereMidtransEnv($value)
     * @method _IH_PaymentMethodCredential_QB whereMidtransSanitize($value)
     * @method _IH_PaymentMethodCredential_QB whereMidtrans3ds($value)
     * @method _IH_PaymentMethodCredential_QB wherePayeerMerchant($value)
     * @method _IH_PaymentMethodCredential_QB wherePayeerKey($value)
     * @method _IH_PaymentMethodCredential_QB whereStoreId($value)
     * @method _IH_PaymentMethodCredential_QB whereStorePassword($value)
     * @method _IH_PaymentMethodCredential_QB whereIsLocalhost($value)
     * @method _IH_PaymentMethodCredential_QB wherePesapalKey($value)
     * @method _IH_PaymentMethodCredential_QB wherePesapalSecret($value)
     * @method _IH_PaymentMethodCredential_QB wherePesapalIsLive($value)
     * @method _IH_PaymentMethodCredential_QB wherePesapalCallback($value)
     * @method _IH_PaymentMethodCredential_QB whereMobilpayMerchantId($value)
     * @method _IH_PaymentMethodCredential_QB whereMobilpayTestMode($value)
     * @method _IH_PaymentMethodCredential_QB whereMobilpayPublicKeyPath($value)
     * @method _IH_PaymentMethodCredential_QB whereMobilpayPrivateKeyPath($value)
     * @method _IH_PaymentMethodCredential_QB wherePaypalClientId($value)
     * @method _IH_PaymentMethodCredential_QB wherePaypalClientSecret($value)
     * @method _IH_PaymentMethodCredential_QB whereIsPaypalLocalhost($value)
     * @method _IH_PaymentMethodCredential_QB whereStripeSecret($value)
     * @method _IH_PaymentMethodCredential_QB whereStripeKey($value)
     * @method _IH_PaymentMethodCredential_QB wherePaystackPublicKey($value)
     * @method _IH_PaymentMethodCredential_QB wherePaystackSecretKey($value)
     * @method _IH_PaymentMethodCredential_QB whereMerchantEmail($value)
     * @method _IH_PaymentMethodCredential_QB wherePaystackPaymentUrl($value)
     * @method _IH_PaymentMethodCredential_QB whereRazorKey($value)
     * @method _IH_PaymentMethodCredential_QB whereRazorSecret($value)
     * @method _IH_PaymentMethodCredential_QB wherePaytmMerchantId($value)
     * @method _IH_PaymentMethodCredential_QB wherePaytmEnvironment($value)
     * @method _IH_PaymentMethodCredential_QB wherePaytmMerchantKey($value)
     * @method _IH_PaymentMethodCredential_QB wherePaytmMerchantWebsite($value)
     * @method _IH_PaymentMethodCredential_QB wherePaytmChannel($value)
     * @method _IH_PaymentMethodCredential_QB wherePaytmIndustryType($value)
     * @method _IH_PaymentMethodCredential_QB whereBkashAppKey($value)
     * @method _IH_PaymentMethodCredential_QB whereBkashAppSecret($value)
     * @method _IH_PaymentMethodCredential_QB whereBkashUsername($value)
     * @method _IH_PaymentMethodCredential_QB whereBkashPassword($value)
     * @method _IH_PaymentMethodCredential_QB whereIsBkashLocalhost($value)
     * @method _IH_PaymentMethodCredential_QB whereBankName($value)
     * @method _IH_PaymentMethodCredential_QB whereBranchName($value)
     * @method _IH_PaymentMethodCredential_QB whereAccountType($value)
     * @method _IH_PaymentMethodCredential_QB whereAccountNumber($value)
     * @method _IH_PaymentMethodCredential_QB whereAccountHolder($value)
     * @method _IH_PaymentMethodCredential_QB whereLmsId($value)
     * @method _IH_PaymentMethodCredential_QB whereCreatedAt($value)
     * @method _IH_PaymentMethodCredential_QB whereUpdatedAt($value)
     * @method _IH_PaymentMethodCredential_QB whereMercadoPublicKey($value)
     * @method _IH_PaymentMethodCredential_QB whereMercadoAccessToken($value)
     * @method _IH_PaymentMethodCredential_QB whereRazermsEnvironment($value)
     * @method _IH_PaymentMethodCredential_QB whereRazermsMerchantId($value)
     * @method _IH_PaymentMethodCredential_QB whereRazermsVerifyKey($value)
     * @method _IH_PaymentMethodCredential_QB whereRazermsPrivateKey($value)
     * @method _IH_PaymentMethodCredential_QB whereTapPaymentApiKey($value)
     * @method _IH_PaymentMethodCredential_QB whereAuthorizeNetApiKey($value)
     * @method _IH_PaymentMethodCredential_QB whereAuthorizeNetTransactionKey($value)
     * @method _IH_PaymentMethodCredential_QB whereAuthorizeNetEnvironment($value)
     * @method _IH_PaymentMethodCredential_QB whereBraintreeMerchantId($value)
     * @method _IH_PaymentMethodCredential_QB whereBraintreePublicKey($value)
     * @method _IH_PaymentMethodCredential_QB whereBraintreePrivateKey($value)
     * @method _IH_PaymentMethodCredential_QB whereBraintreeEnvironment($value)
     * @method _IH_PaymentMethodCredential_QB whereMollieSecretKey($value)
     * @method _IH_PaymentMethodCredential_QB whereMollieProfileId($value)
     * @method _IH_PaymentMethodCredential_QB whereMolliePartnerId($value)
     * @method _IH_PaymentMethodCredential_QB whereFlwPublicKey($value)
     * @method _IH_PaymentMethodCredential_QB whereFlwSecretKey($value)
     * @method _IH_PaymentMethodCredential_QB whereFlwSecretHash($value)
     * @method _IH_PaymentMethodCredential_QB whereFlwEnvironment($value)
     * @method _IH_PaymentMethodCredential_QB whereCoinbaseApiKey($value)
     * @method _IH_PaymentMethodCredential_QB whereCoinbaseWebhookSecret($value)
     * @method _IH_PaymentMethodCredential_QB whereCoinbaseApiVersion($value)
     * @method _IH_PaymentMethodCredential_QB whereJazzCashMerchantId($value)
     * @method _IH_PaymentMethodCredential_QB whereJazzCashPassword($value)
     * @method _IH_PaymentMethodCredential_QB whereJazzCashIntegritySalt($value)
     * @method _IH_PaymentMethodCredential_QB whereJazzCashEnviroment($value)
     * @method _IH_PaymentMethodCredential_QB whereCcaKey($value)
     * @method _IH_PaymentMethodCredential_QB whereCcaAccessCode($value)
     * @method _IH_PaymentMethodCredential_QB whereCcaMerchantId($value)
     * @method _IH_PaymentMethodCredential_QB whereAmazonpaymentMerchantIdentifier($value)
     * @method _IH_PaymentMethodCredential_QB whereAmazonpaymentAccessCode($value)
     * @method _IH_PaymentMethodCredential_QB whereAmazonpaymentSharequestphrase($value)
     * @method _IH_PaymentMethodCredential_QB whereAmazonpaymentSharesponsephrase($value)
     * @method _IH_PaymentMethodCredential_QB whereAmazonpaymentShatype($value)
     * @method _IH_PaymentMethodCredential_QB whereAmazonpaymentEnvironment($value)
     * @method _IH_PaymentMethodCredential_QB whereAstrapayClientId($value)
     * @method _IH_PaymentMethodCredential_QB whereAstrapayMerchantKey($value)
     * @method _IH_PaymentMethodCredential_QB whereAstrapaySecretKey($value)
     * @method _IH_PaymentMethodCredential_QB whereAstrapayEnvironment($value)
     * @method _IH_PaymentMethodCredential_QB whereAstrapayPrivateKey($value)
     * @method _IH_PaymentMethodCredential_QB whereTranzakApiKey($value)
     * @method _IH_PaymentMethodCredential_QB whereTranzakAppId($value)
     * @method _IH_PaymentMethodCredential_QB whereTranzakEnvironment($value)
     * @method PaymentMethodCredential baseSole(array|string $columns = ['*'])
     * @method PaymentMethodCredential create(array $attributes = [])
     * @method _IH_PaymentMethodCredential_C|PaymentMethodCredential[] cursor()
     * @method PaymentMethodCredential|null|_IH_PaymentMethodCredential_C|PaymentMethodCredential[] find($id, array|string $columns = ['*'])
     * @method _IH_PaymentMethodCredential_C|PaymentMethodCredential[] findMany(array|Arrayable $ids, array|string $columns = ['*'])
     * @method PaymentMethodCredential|_IH_PaymentMethodCredential_C|PaymentMethodCredential[] findOr($id, array|\Closure|string $columns = ['*'], \Closure $callback = null)
     * @method PaymentMethodCredential|_IH_PaymentMethodCredential_C|PaymentMethodCredential[] findOrFail($id, array|string $columns = ['*'])
     * @method PaymentMethodCredential|_IH_PaymentMethodCredential_C|PaymentMethodCredential[] findOrNew($id, array|string $columns = ['*'])
     * @method PaymentMethodCredential first(array|string $columns = ['*'])
     * @method PaymentMethodCredential firstOr(array|\Closure|string $columns = ['*'], \Closure $callback = null)
     * @method PaymentMethodCredential firstOrCreate(array $attributes = [], array $values = [])
     * @method PaymentMethodCredential firstOrFail(array|string $columns = ['*'])
     * @method PaymentMethodCredential firstOrNew(array $attributes = [], array $values = [])
     * @method PaymentMethodCredential firstWhere(array|\Closure|Expression|string $column, $operator = null, $value = null, string $boolean = 'and')
     * @method PaymentMethodCredential forceCreate(array $attributes)
     * @method _IH_PaymentMethodCredential_C|PaymentMethodCredential[] fromQuery(string $query, array $bindings = [])
     * @method _IH_PaymentMethodCredential_C|PaymentMethodCredential[] get(array|string $columns = ['*'])
     * @method PaymentMethodCredential getModel()
     * @method PaymentMethodCredential[] getModels(array|string $columns = ['*'])
     * @method _IH_PaymentMethodCredential_C|PaymentMethodCredential[] hydrate(array $items)
     * @method _IH_PaymentMethodCredential_C|PaymentMethodCredential[] lazy(int $chunkSize = 1000)
     * @method _IH_PaymentMethodCredential_C|PaymentMethodCredential[] lazyById(int $chunkSize = 1000, null|string $column = null, null|string $alias = null)
     * @method _IH_PaymentMethodCredential_C|PaymentMethodCredential[] lazyByIdDesc(int $chunkSize = 1000, null|string $column = null, null|string $alias = null)
     * @method PaymentMethodCredential make(array $attributes = [])
     * @method PaymentMethodCredential newModelInstance(array $attributes = [])
     * @method LengthAwarePaginator|PaymentMethodCredential[]|_IH_PaymentMethodCredential_C paginate(\Closure|int|null $perPage = null, array|string $columns = ['*'], string $pageName = 'page', int|null $page = null)
     * @method Paginator|PaymentMethodCredential[]|_IH_PaymentMethodCredential_C simplePaginate(int|null $perPage = null, array|string $columns = ['*'], string $pageName = 'page', int|null $page = null)
     * @method PaymentMethodCredential sole(array|string $columns = ['*'])
     * @method PaymentMethodCredential updateOrCreate(array $attributes, array $values = [])
     */
    class _IH_PaymentMethodCredential_QB extends _BaseBuilder {}
    
    /**
     * @method PaymentMethod|null getOrPut($key, \Closure $value)
     * @method PaymentMethod|$this shift(int $count = 1)
     * @method PaymentMethod|null firstOrFail(callable|string $key = null, $operator = null, $value = null)
     * @method PaymentMethod|$this pop(int $count = 1)
     * @method PaymentMethod|null pull($key, \Closure $default = null)
     * @method PaymentMethod|null last(callable $callback = null, \Closure $default = null)
     * @method PaymentMethod|$this random(callable|int|null $number = null, bool $preserveKeys = false)
     * @method PaymentMethod|null sole(callable|string $key = null, $operator = null, $value = null)
     * @method PaymentMethod|null get($key, \Closure $default = null)
     * @method PaymentMethod|null first(callable $callback = null, \Closure $default = null)
     * @method PaymentMethod|null firstWhere(callable|string $key, $operator = null, $value = null)
     * @method PaymentMethod|null find($key, $default = null)
     * @method PaymentMethod[] all()
     */
    class _IH_PaymentMethod_C extends _BaseCollection {
        /**
         * @param int $size
         * @return PaymentMethod[][]|Collection<_IH_PaymentMethod_C>
         */
        public function chunk($size)
        {
            return [];
        }
    }
    
    /**
     * @method _IH_PaymentMethod_QB whereId($value)
     * @method _IH_PaymentMethod_QB whereMethod($value)
     * @method _IH_PaymentMethod_QB whereType($value)
     * @method _IH_PaymentMethod_QB whereActiveStatus($value)
     * @method _IH_PaymentMethod_QB whereModuleStatus($value)
     * @method _IH_PaymentMethod_QB whereLogo($value)
     * @method _IH_PaymentMethod_QB whereCreatedBy($value)
     * @method _IH_PaymentMethod_QB whereUpdatedBy($value)
     * @method _IH_PaymentMethod_QB whereCreatedAt($value)
     * @method _IH_PaymentMethod_QB whereUpdatedAt($value)
     * @method PaymentMethod baseSole(array|string $columns = ['*'])
     * @method PaymentMethod create(array $attributes = [])
     * @method _IH_PaymentMethod_C|PaymentMethod[] cursor()
     * @method PaymentMethod|null|_IH_PaymentMethod_C|PaymentMethod[] find($id, array|string $columns = ['*'])
     * @method _IH_PaymentMethod_C|PaymentMethod[] findMany(array|Arrayable $ids, array|string $columns = ['*'])
     * @method PaymentMethod|_IH_PaymentMethod_C|PaymentMethod[] findOr($id, array|\Closure|string $columns = ['*'], \Closure $callback = null)
     * @method PaymentMethod|_IH_PaymentMethod_C|PaymentMethod[] findOrFail($id, array|string $columns = ['*'])
     * @method PaymentMethod|_IH_PaymentMethod_C|PaymentMethod[] findOrNew($id, array|string $columns = ['*'])
     * @method PaymentMethod first(array|string $columns = ['*'])
     * @method PaymentMethod firstOr(array|\Closure|string $columns = ['*'], \Closure $callback = null)
     * @method PaymentMethod firstOrCreate(array $attributes = [], array $values = [])
     * @method PaymentMethod firstOrFail(array|string $columns = ['*'])
     * @method PaymentMethod firstOrNew(array $attributes = [], array $values = [])
     * @method PaymentMethod firstWhere(array|\Closure|Expression|string $column, $operator = null, $value = null, string $boolean = 'and')
     * @method PaymentMethod forceCreate(array $attributes)
     * @method _IH_PaymentMethod_C|PaymentMethod[] fromQuery(string $query, array $bindings = [])
     * @method _IH_PaymentMethod_C|PaymentMethod[] get(array|string $columns = ['*'])
     * @method PaymentMethod getModel()
     * @method PaymentMethod[] getModels(array|string $columns = ['*'])
     * @method _IH_PaymentMethod_C|PaymentMethod[] hydrate(array $items)
     * @method _IH_PaymentMethod_C|PaymentMethod[] lazy(int $chunkSize = 1000)
     * @method _IH_PaymentMethod_C|PaymentMethod[] lazyById(int $chunkSize = 1000, null|string $column = null, null|string $alias = null)
     * @method _IH_PaymentMethod_C|PaymentMethod[] lazyByIdDesc(int $chunkSize = 1000, null|string $column = null, null|string $alias = null)
     * @method PaymentMethod make(array $attributes = [])
     * @method PaymentMethod newModelInstance(array $attributes = [])
     * @method LengthAwarePaginator|PaymentMethod[]|_IH_PaymentMethod_C paginate(\Closure|int|null $perPage = null, array|string $columns = ['*'], string $pageName = 'page', int|null $page = null)
     * @method Paginator|PaymentMethod[]|_IH_PaymentMethod_C simplePaginate(int|null $perPage = null, array|string $columns = ['*'], string $pageName = 'page', int|null $page = null)
     * @method PaymentMethod sole(array|string $columns = ['*'])
     * @method PaymentMethod updateOrCreate(array $attributes, array $values = [])
     */
    class _IH_PaymentMethod_QB extends _BaseBuilder {}
}