<?php //e09552e2d0413d8f9ae5e803b2ba442e
/** @noinspection all */

namespace LaravelIdea\Helper\Modules\WaitList\Entities {

    use Illuminate\Contracts\Database\Query\Expression;
    use Illuminate\Contracts\Support\Arrayable;
    use Illuminate\Pagination\LengthAwarePaginator;
    use Illuminate\Pagination\Paginator;
    use Illuminate\Support\Collection;
    use LaravelIdea\Helper\_BaseBuilder;
    use LaravelIdea\Helper\_BaseCollection;
    use Modules\WaitList\Entities\CourseWaitingList;
    
    /**
     * @method CourseWaitingList|null getOrPut($key, \Closure $value)
     * @method CourseWaitingList|$this shift(int $count = 1)
     * @method CourseWaitingList|null firstOrFail(callable|string $key = null, $operator = null, $value = null)
     * @method CourseWaitingList|$this pop(int $count = 1)
     * @method CourseWaitingList|null pull($key, \Closure $default = null)
     * @method CourseWaitingList|null last(callable $callback = null, \Closure $default = null)
     * @method CourseWaitingList|$this random(callable|int|null $number = null, bool $preserveKeys = false)
     * @method CourseWaitingList|null sole(callable|string $key = null, $operator = null, $value = null)
     * @method CourseWaitingList|null get($key, \Closure $default = null)
     * @method CourseWaitingList|null first(callable $callback = null, \Closure $default = null)
     * @method CourseWaitingList|null firstWhere(callable|string $key, $operator = null, $value = null)
     * @method CourseWaitingList|null find($key, $default = null)
     * @method CourseWaitingList[] all()
     */
    class _IH_CourseWaitingList_C extends _BaseCollection {
        /**
         * @param int $size
         * @return CourseWaitingList[][]|Collection<_IH_CourseWaitingList_C>
         */
        public function chunk($size)
        {
            return [];
        }
    }
    
    /**
     * @method _IH_CourseWaitingList_QB whereId($value)
     * @method _IH_CourseWaitingList_QB whereCourseId($value)
     * @method _IH_CourseWaitingList_QB whereCourseCategoryId($value)
     * @method _IH_CourseWaitingList_QB whereUserId($value)
     * @method _IH_CourseWaitingList_QB whereName($value)
     * @method _IH_CourseWaitingList_QB whereEmail($value)
     * @method _IH_CourseWaitingList_QB wherePhone($value)
     * @method _IH_CourseWaitingList_QB whereCountryId($value)
     * @method _IH_CourseWaitingList_QB whereStateId($value)
     * @method _IH_CourseWaitingList_QB whereCityId($value)
     * @method _IH_CourseWaitingList_QB whereStatus($value)
     * @method _IH_CourseWaitingList_QB whereCreatedBy($value)
     * @method _IH_CourseWaitingList_QB whereUpdatedBy($value)
     * @method _IH_CourseWaitingList_QB whereDeletedAt($value)
     * @method _IH_CourseWaitingList_QB whereCreatedAt($value)
     * @method _IH_CourseWaitingList_QB whereUpdatedAt($value)
     * @method CourseWaitingList baseSole(array|string $columns = ['*'])
     * @method CourseWaitingList create(array $attributes = [])
     * @method _IH_CourseWaitingList_C|CourseWaitingList[] cursor()
     * @method CourseWaitingList|null|_IH_CourseWaitingList_C|CourseWaitingList[] find($id, array|string $columns = ['*'])
     * @method _IH_CourseWaitingList_C|CourseWaitingList[] findMany(array|Arrayable $ids, array|string $columns = ['*'])
     * @method CourseWaitingList|_IH_CourseWaitingList_C|CourseWaitingList[] findOr($id, array|\Closure|string $columns = ['*'], \Closure $callback = null)
     * @method CourseWaitingList|_IH_CourseWaitingList_C|CourseWaitingList[] findOrFail($id, array|string $columns = ['*'])
     * @method CourseWaitingList|_IH_CourseWaitingList_C|CourseWaitingList[] findOrNew($id, array|string $columns = ['*'])
     * @method CourseWaitingList first(array|string $columns = ['*'])
     * @method CourseWaitingList firstOr(array|\Closure|string $columns = ['*'], \Closure $callback = null)
     * @method CourseWaitingList firstOrCreate(array $attributes = [], array $values = [])
     * @method CourseWaitingList firstOrFail(array|string $columns = ['*'])
     * @method CourseWaitingList firstOrNew(array $attributes = [], array $values = [])
     * @method CourseWaitingList firstWhere(array|\Closure|Expression|string $column, $operator = null, $value = null, string $boolean = 'and')
     * @method CourseWaitingList forceCreate(array $attributes)
     * @method _IH_CourseWaitingList_C|CourseWaitingList[] fromQuery(string $query, array $bindings = [])
     * @method _IH_CourseWaitingList_C|CourseWaitingList[] get(array|string $columns = ['*'])
     * @method CourseWaitingList getModel()
     * @method CourseWaitingList[] getModels(array|string $columns = ['*'])
     * @method _IH_CourseWaitingList_C|CourseWaitingList[] hydrate(array $items)
     * @method _IH_CourseWaitingList_C|CourseWaitingList[] lazy(int $chunkSize = 1000)
     * @method _IH_CourseWaitingList_C|CourseWaitingList[] lazyById(int $chunkSize = 1000, null|string $column = null, null|string $alias = null)
     * @method _IH_CourseWaitingList_C|CourseWaitingList[] lazyByIdDesc(int $chunkSize = 1000, null|string $column = null, null|string $alias = null)
     * @method CourseWaitingList make(array $attributes = [])
     * @method CourseWaitingList newModelInstance(array $attributes = [])
     * @method LengthAwarePaginator|CourseWaitingList[]|_IH_CourseWaitingList_C paginate(\Closure|int|null $perPage = null, array|string $columns = ['*'], string $pageName = 'page', int|null $page = null)
     * @method Paginator|CourseWaitingList[]|_IH_CourseWaitingList_C simplePaginate(int|null $perPage = null, array|string $columns = ['*'], string $pageName = 'page', int|null $page = null)
     * @method CourseWaitingList sole(array|string $columns = ['*'])
     * @method CourseWaitingList updateOrCreate(array $attributes, array $values = [])
     */
    class _IH_CourseWaitingList_QB extends _BaseBuilder {}
}