<?php //92ee09c52d8a4082f51a3460f289d3fd
/** @noinspection all */

namespace LaravelIdea\Helper\Modules\Newsletter\Entities {

    use Illuminate\Contracts\Database\Query\Expression;
    use Illuminate\Contracts\Support\Arrayable;
    use Illuminate\Pagination\LengthAwarePaginator;
    use Illuminate\Pagination\Paginator;
    use Illuminate\Support\Collection;
    use LaravelIdea\Helper\_BaseBuilder;
    use LaravelIdea\Helper\_BaseCollection;
    use Modules\Newsletter\Entities\NewsletterSetting;
    
    /**
     * @method NewsletterSetting|null getOrPut($key, \Closure $value)
     * @method NewsletterSetting|$this shift(int $count = 1)
     * @method NewsletterSetting|null firstOrFail(callable|string $key = null, $operator = null, $value = null)
     * @method NewsletterSetting|$this pop(int $count = 1)
     * @method NewsletterSetting|null pull($key, \Closure $default = null)
     * @method NewsletterSetting|null last(callable $callback = null, \Closure $default = null)
     * @method NewsletterSetting|$this random(callable|int|null $number = null, bool $preserveKeys = false)
     * @method NewsletterSetting|null sole(callable|string $key = null, $operator = null, $value = null)
     * @method NewsletterSetting|null get($key, \Closure $default = null)
     * @method NewsletterSetting|null first(callable $callback = null, \Closure $default = null)
     * @method NewsletterSetting|null firstWhere(callable|string $key, $operator = null, $value = null)
     * @method NewsletterSetting|null find($key, $default = null)
     * @method NewsletterSetting[] all()
     */
    class _IH_NewsletterSetting_C extends _BaseCollection {
        /**
         * @param int $size
         * @return NewsletterSetting[][]|Collection<_IH_NewsletterSetting_C>
         */
        public function chunk($size)
        {
            return [];
        }
    }
    
    /**
     * @method _IH_NewsletterSetting_QB whereId($value)
     * @method _IH_NewsletterSetting_QB whereHomeStatus($value)
     * @method _IH_NewsletterSetting_QB whereHomeService($value)
     * @method _IH_NewsletterSetting_QB whereHomeListId($value)
     * @method _IH_NewsletterSetting_QB whereStudentStatus($value)
     * @method _IH_NewsletterSetting_QB whereStudentService($value)
     * @method _IH_NewsletterSetting_QB whereStudentListId($value)
     * @method _IH_NewsletterSetting_QB whereInstructorStatus($value)
     * @method _IH_NewsletterSetting_QB whereInstructorService($value)
     * @method _IH_NewsletterSetting_QB whereInstructorListId($value)
     * @method _IH_NewsletterSetting_QB whereCreatedAt($value)
     * @method _IH_NewsletterSetting_QB whereUpdatedAt($value)
     * @method NewsletterSetting baseSole(array|string $columns = ['*'])
     * @method NewsletterSetting create(array $attributes = [])
     * @method _IH_NewsletterSetting_C|NewsletterSetting[] cursor()
     * @method NewsletterSetting|null|_IH_NewsletterSetting_C|NewsletterSetting[] find($id, array|string $columns = ['*'])
     * @method _IH_NewsletterSetting_C|NewsletterSetting[] findMany(array|Arrayable $ids, array|string $columns = ['*'])
     * @method NewsletterSetting|_IH_NewsletterSetting_C|NewsletterSetting[] findOr($id, array|\Closure|string $columns = ['*'], \Closure $callback = null)
     * @method NewsletterSetting|_IH_NewsletterSetting_C|NewsletterSetting[] findOrFail($id, array|string $columns = ['*'])
     * @method NewsletterSetting|_IH_NewsletterSetting_C|NewsletterSetting[] findOrNew($id, array|string $columns = ['*'])
     * @method NewsletterSetting first(array|string $columns = ['*'])
     * @method NewsletterSetting firstOr(array|\Closure|string $columns = ['*'], \Closure $callback = null)
     * @method NewsletterSetting firstOrCreate(array $attributes = [], array $values = [])
     * @method NewsletterSetting firstOrFail(array|string $columns = ['*'])
     * @method NewsletterSetting firstOrNew(array $attributes = [], array $values = [])
     * @method NewsletterSetting firstWhere(array|\Closure|Expression|string $column, $operator = null, $value = null, string $boolean = 'and')
     * @method NewsletterSetting forceCreate(array $attributes)
     * @method _IH_NewsletterSetting_C|NewsletterSetting[] fromQuery(string $query, array $bindings = [])
     * @method _IH_NewsletterSetting_C|NewsletterSetting[] get(array|string $columns = ['*'])
     * @method NewsletterSetting getModel()
     * @method NewsletterSetting[] getModels(array|string $columns = ['*'])
     * @method _IH_NewsletterSetting_C|NewsletterSetting[] hydrate(array $items)
     * @method _IH_NewsletterSetting_C|NewsletterSetting[] lazy(int $chunkSize = 1000)
     * @method _IH_NewsletterSetting_C|NewsletterSetting[] lazyById(int $chunkSize = 1000, null|string $column = null, null|string $alias = null)
     * @method _IH_NewsletterSetting_C|NewsletterSetting[] lazyByIdDesc(int $chunkSize = 1000, null|string $column = null, null|string $alias = null)
     * @method NewsletterSetting make(array $attributes = [])
     * @method NewsletterSetting newModelInstance(array $attributes = [])
     * @method LengthAwarePaginator|NewsletterSetting[]|_IH_NewsletterSetting_C paginate(\Closure|int|null $perPage = null, array|string $columns = ['*'], string $pageName = 'page', int|null $page = null)
     * @method Paginator|NewsletterSetting[]|_IH_NewsletterSetting_C simplePaginate(int|null $perPage = null, array|string $columns = ['*'], string $pageName = 'page', int|null $page = null)
     * @method NewsletterSetting sole(array|string $columns = ['*'])
     * @method NewsletterSetting updateOrCreate(array $attributes, array $values = [])
     */
    class _IH_NewsletterSetting_QB extends _BaseBuilder {}
}