<?php //6eaf8f40f68847d1eb51943110b6620e
/** @noinspection all */

namespace LaravelIdea\Helper\Modules\Group\Entities {

    use Illuminate\Contracts\Database\Query\Expression;
    use Illuminate\Contracts\Support\Arrayable;
    use Illuminate\Pagination\LengthAwarePaginator;
    use Illuminate\Pagination\Paginator;
    use Illuminate\Support\Collection;
    use LaravelIdea\Helper\_BaseBuilder;
    use LaravelIdea\Helper\_BaseCollection;
    use Modules\Group\Entities\Group;
    use Modules\Group\Entities\GroupMember;
    
    /**
     * @method GroupMember|null getOrPut($key, \Closure $value)
     * @method GroupMember|$this shift(int $count = 1)
     * @method GroupMember|null firstOrFail(callable|string $key = null, $operator = null, $value = null)
     * @method GroupMember|$this pop(int $count = 1)
     * @method GroupMember|null pull($key, \Closure $default = null)
     * @method GroupMember|null last(callable $callback = null, \Closure $default = null)
     * @method GroupMember|$this random(callable|int|null $number = null, bool $preserveKeys = false)
     * @method GroupMember|null sole(callable|string $key = null, $operator = null, $value = null)
     * @method GroupMember|null get($key, \Closure $default = null)
     * @method GroupMember|null first(callable $callback = null, \Closure $default = null)
     * @method GroupMember|null firstWhere(callable|string $key, $operator = null, $value = null)
     * @method GroupMember|null find($key, $default = null)
     * @method GroupMember[] all()
     */
    class _IH_GroupMember_C extends _BaseCollection {
        /**
         * @param int $size
         * @return GroupMember[][]|Collection<_IH_GroupMember_C>
         */
        public function chunk($size)
        {
            return [];
        }
    }
    
    /**
     * @method _IH_GroupMember_QB whereId($value)
     * @method _IH_GroupMember_QB whereGroupId($value)
     * @method _IH_GroupMember_QB whereUserId($value)
     * @method _IH_GroupMember_QB whereUserRoleId($value)
     * @method _IH_GroupMember_QB whereInstructorRole($value)
     * @method _IH_GroupMember_QB whereLmsId($value)
     * @method _IH_GroupMember_QB whereCreatedAt($value)
     * @method _IH_GroupMember_QB whereUpdatedAt($value)
     * @method _IH_GroupMember_QB whereMembershipLevelId($value)
     * @method GroupMember baseSole(array|string $columns = ['*'])
     * @method GroupMember create(array $attributes = [])
     * @method _IH_GroupMember_C|GroupMember[] cursor()
     * @method GroupMember|null|_IH_GroupMember_C|GroupMember[] find($id, array|string $columns = ['*'])
     * @method _IH_GroupMember_C|GroupMember[] findMany(array|Arrayable $ids, array|string $columns = ['*'])
     * @method GroupMember|_IH_GroupMember_C|GroupMember[] findOr($id, array|\Closure|string $columns = ['*'], \Closure $callback = null)
     * @method GroupMember|_IH_GroupMember_C|GroupMember[] findOrFail($id, array|string $columns = ['*'])
     * @method GroupMember|_IH_GroupMember_C|GroupMember[] findOrNew($id, array|string $columns = ['*'])
     * @method GroupMember first(array|string $columns = ['*'])
     * @method GroupMember firstOr(array|\Closure|string $columns = ['*'], \Closure $callback = null)
     * @method GroupMember firstOrCreate(array $attributes = [], array $values = [])
     * @method GroupMember firstOrFail(array|string $columns = ['*'])
     * @method GroupMember firstOrNew(array $attributes = [], array $values = [])
     * @method GroupMember firstWhere(array|\Closure|Expression|string $column, $operator = null, $value = null, string $boolean = 'and')
     * @method GroupMember forceCreate(array $attributes)
     * @method _IH_GroupMember_C|GroupMember[] fromQuery(string $query, array $bindings = [])
     * @method _IH_GroupMember_C|GroupMember[] get(array|string $columns = ['*'])
     * @method GroupMember getModel()
     * @method GroupMember[] getModels(array|string $columns = ['*'])
     * @method _IH_GroupMember_C|GroupMember[] hydrate(array $items)
     * @method _IH_GroupMember_C|GroupMember[] lazy(int $chunkSize = 1000)
     * @method _IH_GroupMember_C|GroupMember[] lazyById(int $chunkSize = 1000, null|string $column = null, null|string $alias = null)
     * @method _IH_GroupMember_C|GroupMember[] lazyByIdDesc(int $chunkSize = 1000, null|string $column = null, null|string $alias = null)
     * @method GroupMember make(array $attributes = [])
     * @method GroupMember newModelInstance(array $attributes = [])
     * @method LengthAwarePaginator|GroupMember[]|_IH_GroupMember_C paginate(\Closure|int|null $perPage = null, array|string $columns = ['*'], string $pageName = 'page', int|null $page = null)
     * @method Paginator|GroupMember[]|_IH_GroupMember_C simplePaginate(int|null $perPage = null, array|string $columns = ['*'], string $pageName = 'page', int|null $page = null)
     * @method GroupMember sole(array|string $columns = ['*'])
     * @method GroupMember updateOrCreate(array $attributes, array $values = [])
     */
    class _IH_GroupMember_QB extends _BaseBuilder {}
    
    /**
     * @method Group|null getOrPut($key, \Closure $value)
     * @method Group|$this shift(int $count = 1)
     * @method Group|null firstOrFail(callable|string $key = null, $operator = null, $value = null)
     * @method Group|$this pop(int $count = 1)
     * @method Group|null pull($key, \Closure $default = null)
     * @method Group|null last(callable $callback = null, \Closure $default = null)
     * @method Group|$this random(callable|int|null $number = null, bool $preserveKeys = false)
     * @method Group|null sole(callable|string $key = null, $operator = null, $value = null)
     * @method Group|null get($key, \Closure $default = null)
     * @method Group|null first(callable $callback = null, \Closure $default = null)
     * @method Group|null firstWhere(callable|string $key, $operator = null, $value = null)
     * @method Group|null find($key, $default = null)
     * @method Group[] all()
     */
    class _IH_Group_C extends _BaseCollection {
        /**
         * @param int $size
         * @return Group[][]|Collection<_IH_Group_C>
         */
        public function chunk($size)
        {
            return [];
        }
    }
    
    /**
     * @method _IH_Group_QB whereId($value)
     * @method _IH_Group_QB whereName($value)
     * @method _IH_Group_QB whereDateItIsTaught($value)
     * @method _IH_Group_QB whereEndDate($value)
     * @method _IH_Group_QB whereMinimumEnroll($value)
     * @method _IH_Group_QB whereMaximumEnroll($value)
     * @method _IH_Group_QB whereType($value)
     * @method _IH_Group_QB whereCompanyCode($value)
     * @method _IH_Group_QB whereGroupStatus($value)
     * @method _IH_Group_QB whereCancelStatus($value)
     * @method _IH_Group_QB wherePublicationStatus($value)
     * @method _IH_Group_QB whereQuotaStatus($value)
     * @method _IH_Group_QB whereContentValidity($value)
     * @method _IH_Group_QB whereDaysToCancel($value)
     * @method _IH_Group_QB whereWebinarLink($value)
     * @method _IH_Group_QB whereCourseId($value)
     * @method _IH_Group_QB whereCreatedBy($value)
     * @method _IH_Group_QB whereLmsId($value)
     * @method _IH_Group_QB whereCreatedAt($value)
     * @method _IH_Group_QB whereUpdatedAt($value)
     * @method _IH_Group_QB whereMembershipLevelId($value)
     * @method Group baseSole(array|string $columns = ['*'])
     * @method Group create(array $attributes = [])
     * @method _IH_Group_C|Group[] cursor()
     * @method Group|null|_IH_Group_C|Group[] find($id, array|string $columns = ['*'])
     * @method _IH_Group_C|Group[] findMany(array|Arrayable $ids, array|string $columns = ['*'])
     * @method Group|_IH_Group_C|Group[] findOr($id, array|\Closure|string $columns = ['*'], \Closure $callback = null)
     * @method Group|_IH_Group_C|Group[] findOrFail($id, array|string $columns = ['*'])
     * @method Group|_IH_Group_C|Group[] findOrNew($id, array|string $columns = ['*'])
     * @method Group first(array|string $columns = ['*'])
     * @method Group firstOr(array|\Closure|string $columns = ['*'], \Closure $callback = null)
     * @method Group firstOrCreate(array $attributes = [], array $values = [])
     * @method Group firstOrFail(array|string $columns = ['*'])
     * @method Group firstOrNew(array $attributes = [], array $values = [])
     * @method Group firstWhere(array|\Closure|Expression|string $column, $operator = null, $value = null, string $boolean = 'and')
     * @method Group forceCreate(array $attributes)
     * @method _IH_Group_C|Group[] fromQuery(string $query, array $bindings = [])
     * @method _IH_Group_C|Group[] get(array|string $columns = ['*'])
     * @method Group getModel()
     * @method Group[] getModels(array|string $columns = ['*'])
     * @method _IH_Group_C|Group[] hydrate(array $items)
     * @method _IH_Group_C|Group[] lazy(int $chunkSize = 1000)
     * @method _IH_Group_C|Group[] lazyById(int $chunkSize = 1000, null|string $column = null, null|string $alias = null)
     * @method _IH_Group_C|Group[] lazyByIdDesc(int $chunkSize = 1000, null|string $column = null, null|string $alias = null)
     * @method Group make(array $attributes = [])
     * @method Group newModelInstance(array $attributes = [])
     * @method LengthAwarePaginator|Group[]|_IH_Group_C paginate(\Closure|int|null $perPage = null, array|string $columns = ['*'], string $pageName = 'page', int|null $page = null)
     * @method Paginator|Group[]|_IH_Group_C simplePaginate(int|null $perPage = null, array|string $columns = ['*'], string $pageName = 'page', int|null $page = null)
     * @method Group sole(array|string $columns = ['*'])
     * @method Group updateOrCreate(array $attributes, array $values = [])
     */
    class _IH_Group_QB extends _BaseBuilder {}
}