<?php //3c72067477b0d94f538c9de768eb4b7c
/** @noinspection all */

namespace LaravelIdea\Helper\Modules\WhatsappSupport\Entities {

    use Illuminate\Contracts\Database\Query\Expression;
    use Illuminate\Contracts\Support\Arrayable;
    use Illuminate\Pagination\LengthAwarePaginator;
    use Illuminate\Pagination\Paginator;
    use Illuminate\Support\Collection;
    use LaravelIdea\Helper\_BaseBuilder;
    use LaravelIdea\Helper\_BaseCollection;
    use Modules\WhatsappSupport\Entities\Agents;
    use Modules\WhatsappSupport\Entities\AgentTime;
    use Modules\WhatsappSupport\Entities\Message;
    use Modules\WhatsappSupport\Entities\Settings;
    
    /**
     * @method AgentTime|null getOrPut($key, \Closure $value)
     * @method AgentTime|$this shift(int $count = 1)
     * @method AgentTime|null firstOrFail(callable|string $key = null, $operator = null, $value = null)
     * @method AgentTime|$this pop(int $count = 1)
     * @method AgentTime|null pull($key, \Closure $default = null)
     * @method AgentTime|null last(callable $callback = null, \Closure $default = null)
     * @method AgentTime|$this random(callable|int|null $number = null, bool $preserveKeys = false)
     * @method AgentTime|null sole(callable|string $key = null, $operator = null, $value = null)
     * @method AgentTime|null get($key, \Closure $default = null)
     * @method AgentTime|null first(callable $callback = null, \Closure $default = null)
     * @method AgentTime|null firstWhere(callable|string $key, $operator = null, $value = null)
     * @method AgentTime|null find($key, $default = null)
     * @method AgentTime[] all()
     */
    class _IH_AgentTime_C extends _BaseCollection {
        /**
         * @param int $size
         * @return AgentTime[][]|Collection<_IH_AgentTime_C>
         */
        public function chunk($size)
        {
            return [];
        }
    }
    
    /**
     * @method _IH_AgentTime_QB whereId($value)
     * @method _IH_AgentTime_QB whereAgentId($value)
     * @method _IH_AgentTime_QB whereStart($value)
     * @method _IH_AgentTime_QB whereEnd($value)
     * @method _IH_AgentTime_QB whereLmsId($value)
     * @method _IH_AgentTime_QB whereCreatedAt($value)
     * @method _IH_AgentTime_QB whereUpdatedAt($value)
     * @method AgentTime baseSole(array|string $columns = ['*'])
     * @method AgentTime create(array $attributes = [])
     * @method _IH_AgentTime_C|AgentTime[] cursor()
     * @method AgentTime|null|_IH_AgentTime_C|AgentTime[] find($id, array|string $columns = ['*'])
     * @method _IH_AgentTime_C|AgentTime[] findMany(array|Arrayable $ids, array|string $columns = ['*'])
     * @method AgentTime|_IH_AgentTime_C|AgentTime[] findOr($id, array|\Closure|string $columns = ['*'], \Closure $callback = null)
     * @method AgentTime|_IH_AgentTime_C|AgentTime[] findOrFail($id, array|string $columns = ['*'])
     * @method AgentTime|_IH_AgentTime_C|AgentTime[] findOrNew($id, array|string $columns = ['*'])
     * @method AgentTime first(array|string $columns = ['*'])
     * @method AgentTime firstOr(array|\Closure|string $columns = ['*'], \Closure $callback = null)
     * @method AgentTime firstOrCreate(array $attributes = [], array $values = [])
     * @method AgentTime firstOrFail(array|string $columns = ['*'])
     * @method AgentTime firstOrNew(array $attributes = [], array $values = [])
     * @method AgentTime firstWhere(array|\Closure|Expression|string $column, $operator = null, $value = null, string $boolean = 'and')
     * @method AgentTime forceCreate(array $attributes)
     * @method _IH_AgentTime_C|AgentTime[] fromQuery(string $query, array $bindings = [])
     * @method _IH_AgentTime_C|AgentTime[] get(array|string $columns = ['*'])
     * @method AgentTime getModel()
     * @method AgentTime[] getModels(array|string $columns = ['*'])
     * @method _IH_AgentTime_C|AgentTime[] hydrate(array $items)
     * @method _IH_AgentTime_C|AgentTime[] lazy(int $chunkSize = 1000)
     * @method _IH_AgentTime_C|AgentTime[] lazyById(int $chunkSize = 1000, null|string $column = null, null|string $alias = null)
     * @method _IH_AgentTime_C|AgentTime[] lazyByIdDesc(int $chunkSize = 1000, null|string $column = null, null|string $alias = null)
     * @method AgentTime make(array $attributes = [])
     * @method AgentTime newModelInstance(array $attributes = [])
     * @method LengthAwarePaginator|AgentTime[]|_IH_AgentTime_C paginate(\Closure|int|null $perPage = null, array|string $columns = ['*'], string $pageName = 'page', int|null $page = null)
     * @method Paginator|AgentTime[]|_IH_AgentTime_C simplePaginate(int|null $perPage = null, array|string $columns = ['*'], string $pageName = 'page', int|null $page = null)
     * @method AgentTime sole(array|string $columns = ['*'])
     * @method AgentTime updateOrCreate(array $attributes, array $values = [])
     */
    class _IH_AgentTime_QB extends _BaseBuilder {}
    
    /**
     * @method Agents|null getOrPut($key, \Closure $value)
     * @method Agents|$this shift(int $count = 1)
     * @method Agents|null firstOrFail(callable|string $key = null, $operator = null, $value = null)
     * @method Agents|$this pop(int $count = 1)
     * @method Agents|null pull($key, \Closure $default = null)
     * @method Agents|null last(callable $callback = null, \Closure $default = null)
     * @method Agents|$this random(callable|int|null $number = null, bool $preserveKeys = false)
     * @method Agents|null sole(callable|string $key = null, $operator = null, $value = null)
     * @method Agents|null get($key, \Closure $default = null)
     * @method Agents|null first(callable $callback = null, \Closure $default = null)
     * @method Agents|null firstWhere(callable|string $key, $operator = null, $value = null)
     * @method Agents|null find($key, $default = null)
     * @method Agents[] all()
     */
    class _IH_Agents_C extends _BaseCollection {
        /**
         * @param int $size
         * @return Agents[][]|Collection<_IH_Agents_C>
         */
        public function chunk($size)
        {
            return [];
        }
    }
    
    /**
     * @method _IH_Agents_QB whereId($value)
     * @method _IH_Agents_QB whereName($value)
     * @method _IH_Agents_QB whereDesignation($value)
     * @method _IH_Agents_QB whereAvatar($value)
     * @method _IH_Agents_QB whereNumber($value)
     * @method _IH_Agents_QB whereStatus($value)
     * @method _IH_Agents_QB whereAlwaysAvailable($value)
     * @method _IH_Agents_QB whereLmsId($value)
     * @method _IH_Agents_QB whereCreatedAt($value)
     * @method _IH_Agents_QB whereUpdatedAt($value)
     * @method Agents baseSole(array|string $columns = ['*'])
     * @method Agents create(array $attributes = [])
     * @method _IH_Agents_C|Agents[] cursor()
     * @method Agents|null|_IH_Agents_C|Agents[] find($id, array|string $columns = ['*'])
     * @method _IH_Agents_C|Agents[] findMany(array|Arrayable $ids, array|string $columns = ['*'])
     * @method Agents|_IH_Agents_C|Agents[] findOr($id, array|\Closure|string $columns = ['*'], \Closure $callback = null)
     * @method Agents|_IH_Agents_C|Agents[] findOrFail($id, array|string $columns = ['*'])
     * @method Agents|_IH_Agents_C|Agents[] findOrNew($id, array|string $columns = ['*'])
     * @method Agents first(array|string $columns = ['*'])
     * @method Agents firstOr(array|\Closure|string $columns = ['*'], \Closure $callback = null)
     * @method Agents firstOrCreate(array $attributes = [], array $values = [])
     * @method Agents firstOrFail(array|string $columns = ['*'])
     * @method Agents firstOrNew(array $attributes = [], array $values = [])
     * @method Agents firstWhere(array|\Closure|Expression|string $column, $operator = null, $value = null, string $boolean = 'and')
     * @method Agents forceCreate(array $attributes)
     * @method _IH_Agents_C|Agents[] fromQuery(string $query, array $bindings = [])
     * @method _IH_Agents_C|Agents[] get(array|string $columns = ['*'])
     * @method Agents getModel()
     * @method Agents[] getModels(array|string $columns = ['*'])
     * @method _IH_Agents_C|Agents[] hydrate(array $items)
     * @method _IH_Agents_C|Agents[] lazy(int $chunkSize = 1000)
     * @method _IH_Agents_C|Agents[] lazyById(int $chunkSize = 1000, null|string $column = null, null|string $alias = null)
     * @method _IH_Agents_C|Agents[] lazyByIdDesc(int $chunkSize = 1000, null|string $column = null, null|string $alias = null)
     * @method Agents make(array $attributes = [])
     * @method Agents newModelInstance(array $attributes = [])
     * @method LengthAwarePaginator|Agents[]|_IH_Agents_C paginate(\Closure|int|null $perPage = null, array|string $columns = ['*'], string $pageName = 'page', int|null $page = null)
     * @method Paginator|Agents[]|_IH_Agents_C simplePaginate(int|null $perPage = null, array|string $columns = ['*'], string $pageName = 'page', int|null $page = null)
     * @method Agents sole(array|string $columns = ['*'])
     * @method Agents updateOrCreate(array $attributes, array $values = [])
     */
    class _IH_Agents_QB extends _BaseBuilder {}
    
    /**
     * @method Message|null getOrPut($key, \Closure $value)
     * @method Message|$this shift(int $count = 1)
     * @method Message|null firstOrFail(callable|string $key = null, $operator = null, $value = null)
     * @method Message|$this pop(int $count = 1)
     * @method Message|null pull($key, \Closure $default = null)
     * @method Message|null last(callable $callback = null, \Closure $default = null)
     * @method Message|$this random(callable|int|null $number = null, bool $preserveKeys = false)
     * @method Message|null sole(callable|string $key = null, $operator = null, $value = null)
     * @method Message|null get($key, \Closure $default = null)
     * @method Message|null first(callable $callback = null, \Closure $default = null)
     * @method Message|null firstWhere(callable|string $key, $operator = null, $value = null)
     * @method Message|null find($key, $default = null)
     * @method Message[] all()
     */
    class _IH_Message_C extends _BaseCollection {
        /**
         * @param int $size
         * @return Message[][]|Collection<_IH_Message_C>
         */
        public function chunk($size)
        {
            return [];
        }
    }
    
    /**
     * @method _IH_Message_QB whereId($value)
     * @method _IH_Message_QB whereMessage($value)
     * @method _IH_Message_QB whereIp($value)
     * @method _IH_Message_QB whereNumber($value)
     * @method _IH_Message_QB whereDeviceType($value)
     * @method _IH_Message_QB whereOs($value)
     * @method _IH_Message_QB whereBrowser($value)
     * @method _IH_Message_QB whereLmsId($value)
     * @method _IH_Message_QB whereCreatedAt($value)
     * @method _IH_Message_QB whereUpdatedAt($value)
     * @method Message baseSole(array|string $columns = ['*'])
     * @method Message create(array $attributes = [])
     * @method _IH_Message_C|Message[] cursor()
     * @method Message|null|_IH_Message_C|Message[] find($id, array|string $columns = ['*'])
     * @method _IH_Message_C|Message[] findMany(array|Arrayable $ids, array|string $columns = ['*'])
     * @method Message|_IH_Message_C|Message[] findOr($id, array|\Closure|string $columns = ['*'], \Closure $callback = null)
     * @method Message|_IH_Message_C|Message[] findOrFail($id, array|string $columns = ['*'])
     * @method Message|_IH_Message_C|Message[] findOrNew($id, array|string $columns = ['*'])
     * @method Message first(array|string $columns = ['*'])
     * @method Message firstOr(array|\Closure|string $columns = ['*'], \Closure $callback = null)
     * @method Message firstOrCreate(array $attributes = [], array $values = [])
     * @method Message firstOrFail(array|string $columns = ['*'])
     * @method Message firstOrNew(array $attributes = [], array $values = [])
     * @method Message firstWhere(array|\Closure|Expression|string $column, $operator = null, $value = null, string $boolean = 'and')
     * @method Message forceCreate(array $attributes)
     * @method _IH_Message_C|Message[] fromQuery(string $query, array $bindings = [])
     * @method _IH_Message_C|Message[] get(array|string $columns = ['*'])
     * @method Message getModel()
     * @method Message[] getModels(array|string $columns = ['*'])
     * @method _IH_Message_C|Message[] hydrate(array $items)
     * @method _IH_Message_C|Message[] lazy(int $chunkSize = 1000)
     * @method _IH_Message_C|Message[] lazyById(int $chunkSize = 1000, null|string $column = null, null|string $alias = null)
     * @method _IH_Message_C|Message[] lazyByIdDesc(int $chunkSize = 1000, null|string $column = null, null|string $alias = null)
     * @method Message make(array $attributes = [])
     * @method Message newModelInstance(array $attributes = [])
     * @method LengthAwarePaginator|Message[]|_IH_Message_C paginate(\Closure|int|null $perPage = null, array|string $columns = ['*'], string $pageName = 'page', int|null $page = null)
     * @method Paginator|Message[]|_IH_Message_C simplePaginate(int|null $perPage = null, array|string $columns = ['*'], string $pageName = 'page', int|null $page = null)
     * @method Message sole(array|string $columns = ['*'])
     * @method Message updateOrCreate(array $attributes, array $values = [])
     */
    class _IH_Message_QB extends _BaseBuilder {}
    
    /**
     * @method Settings|null getOrPut($key, \Closure $value)
     * @method Settings|$this shift(int $count = 1)
     * @method Settings|null firstOrFail(callable|string $key = null, $operator = null, $value = null)
     * @method Settings|$this pop(int $count = 1)
     * @method Settings|null pull($key, \Closure $default = null)
     * @method Settings|null last(callable $callback = null, \Closure $default = null)
     * @method Settings|$this random(callable|int|null $number = null, bool $preserveKeys = false)
     * @method Settings|null sole(callable|string $key = null, $operator = null, $value = null)
     * @method Settings|null get($key, \Closure $default = null)
     * @method Settings|null first(callable $callback = null, \Closure $default = null)
     * @method Settings|null firstWhere(callable|string $key, $operator = null, $value = null)
     * @method Settings|null find($key, $default = null)
     * @method Settings[] all()
     */
    class _IH_Settings_C extends _BaseCollection {
        /**
         * @param int $size
         * @return Settings[][]|Collection<_IH_Settings_C>
         */
        public function chunk($size)
        {
            return [];
        }
    }
    
    /**
     * @method _IH_Settings_QB whereId($value)
     * @method _IH_Settings_QB whereAgentType($value)
     * @method _IH_Settings_QB whereAvailability($value)
     * @method _IH_Settings_QB whereShowingPage($value)
     * @method _IH_Settings_QB whereColor($value)
     * @method _IH_Settings_QB whereIntroText($value)
     * @method _IH_Settings_QB whereWelcomeMessage($value)
     * @method _IH_Settings_QB whereHomepageUrl($value)
     * @method _IH_Settings_QB wherePrimaryNumber($value)
     * @method _IH_Settings_QB whereOpenPopup($value)
     * @method _IH_Settings_QB whereDisableForAdminPanel($value)
     * @method _IH_Settings_QB whereShowUnavailableAgent($value)
     * @method _IH_Settings_QB whereLayout($value)
     * @method _IH_Settings_QB whereBubbleLogo($value)
     * @method _IH_Settings_QB whereLayoutPreviewUrl($value)
     * @method _IH_Settings_QB whereLmsId($value)
     * @method _IH_Settings_QB whereCreatedAt($value)
     * @method _IH_Settings_QB whereUpdatedAt($value)
     * @method Settings baseSole(array|string $columns = ['*'])
     * @method Settings create(array $attributes = [])
     * @method _IH_Settings_C|Settings[] cursor()
     * @method Settings|null|_IH_Settings_C|Settings[] find($id, array|string $columns = ['*'])
     * @method _IH_Settings_C|Settings[] findMany(array|Arrayable $ids, array|string $columns = ['*'])
     * @method Settings|_IH_Settings_C|Settings[] findOr($id, array|\Closure|string $columns = ['*'], \Closure $callback = null)
     * @method Settings|_IH_Settings_C|Settings[] findOrFail($id, array|string $columns = ['*'])
     * @method Settings|_IH_Settings_C|Settings[] findOrNew($id, array|string $columns = ['*'])
     * @method Settings first(array|string $columns = ['*'])
     * @method Settings firstOr(array|\Closure|string $columns = ['*'], \Closure $callback = null)
     * @method Settings firstOrCreate(array $attributes = [], array $values = [])
     * @method Settings firstOrFail(array|string $columns = ['*'])
     * @method Settings firstOrNew(array $attributes = [], array $values = [])
     * @method Settings firstWhere(array|\Closure|Expression|string $column, $operator = null, $value = null, string $boolean = 'and')
     * @method Settings forceCreate(array $attributes)
     * @method _IH_Settings_C|Settings[] fromQuery(string $query, array $bindings = [])
     * @method _IH_Settings_C|Settings[] get(array|string $columns = ['*'])
     * @method Settings getModel()
     * @method Settings[] getModels(array|string $columns = ['*'])
     * @method _IH_Settings_C|Settings[] hydrate(array $items)
     * @method _IH_Settings_C|Settings[] lazy(int $chunkSize = 1000)
     * @method _IH_Settings_C|Settings[] lazyById(int $chunkSize = 1000, null|string $column = null, null|string $alias = null)
     * @method _IH_Settings_C|Settings[] lazyByIdDesc(int $chunkSize = 1000, null|string $column = null, null|string $alias = null)
     * @method Settings make(array $attributes = [])
     * @method Settings newModelInstance(array $attributes = [])
     * @method LengthAwarePaginator|Settings[]|_IH_Settings_C paginate(\Closure|int|null $perPage = null, array|string $columns = ['*'], string $pageName = 'page', int|null $page = null)
     * @method Paginator|Settings[]|_IH_Settings_C simplePaginate(int|null $perPage = null, array|string $columns = ['*'], string $pageName = 'page', int|null $page = null)
     * @method Settings sole(array|string $columns = ['*'])
     * @method Settings updateOrCreate(array $attributes, array $values = [])
     */
    class _IH_Settings_QB extends _BaseBuilder {}
}