<?php //2b94c60d848dceee43acec5f4a9c33e3
/** @noinspection all */

namespace LaravelIdea\Helper\Modules\SCORM\Entities {

    use Illuminate\Contracts\Database\Query\Expression;
    use Illuminate\Contracts\Support\Arrayable;
    use Illuminate\Pagination\LengthAwarePaginator;
    use Illuminate\Pagination\Paginator;
    use Illuminate\Support\Collection;
    use LaravelIdea\Helper\_BaseBuilder;
    use LaravelIdea\Helper\_BaseCollection;
    use Modules\SCORM\Entities\ScormReport;
    
    /**
     * @method ScormReport|null getOrPut($key, \Closure $value)
     * @method ScormReport|$this shift(int $count = 1)
     * @method ScormReport|null firstOrFail(callable|string $key = null, $operator = null, $value = null)
     * @method ScormReport|$this pop(int $count = 1)
     * @method ScormReport|null pull($key, \Closure $default = null)
     * @method ScormReport|null last(callable $callback = null, \Closure $default = null)
     * @method ScormReport|$this random(callable|int|null $number = null, bool $preserveKeys = false)
     * @method ScormReport|null sole(callable|string $key = null, $operator = null, $value = null)
     * @method ScormReport|null get($key, \Closure $default = null)
     * @method ScormReport|null first(callable $callback = null, \Closure $default = null)
     * @method ScormReport|null firstWhere(callable|string $key, $operator = null, $value = null)
     * @method ScormReport|null find($key, $default = null)
     * @method ScormReport[] all()
     */
    class _IH_ScormReport_C extends _BaseCollection {
        /**
         * @param int $size
         * @return ScormReport[][]|Collection<_IH_ScormReport_C>
         */
        public function chunk($size)
        {
            return [];
        }
    }
    
    /**
     * @method _IH_ScormReport_QB whereId($value)
     * @method _IH_ScormReport_QB whereUserId($value)
     * @method _IH_ScormReport_QB whereCourseId($value)
     * @method _IH_ScormReport_QB whereLessonId($value)
     * @method _IH_ScormReport_QB whereValue($value)
     * @method _IH_ScormReport_QB whereLmsId($value)
     * @method _IH_ScormReport_QB whereCreatedAt($value)
     * @method _IH_ScormReport_QB whereUpdatedAt($value)
     * @method ScormReport baseSole(array|string $columns = ['*'])
     * @method ScormReport create(array $attributes = [])
     * @method _IH_ScormReport_C|ScormReport[] cursor()
     * @method ScormReport|null|_IH_ScormReport_C|ScormReport[] find($id, array|string $columns = ['*'])
     * @method _IH_ScormReport_C|ScormReport[] findMany(array|Arrayable $ids, array|string $columns = ['*'])
     * @method ScormReport|_IH_ScormReport_C|ScormReport[] findOr($id, array|\Closure|string $columns = ['*'], \Closure $callback = null)
     * @method ScormReport|_IH_ScormReport_C|ScormReport[] findOrFail($id, array|string $columns = ['*'])
     * @method ScormReport|_IH_ScormReport_C|ScormReport[] findOrNew($id, array|string $columns = ['*'])
     * @method ScormReport first(array|string $columns = ['*'])
     * @method ScormReport firstOr(array|\Closure|string $columns = ['*'], \Closure $callback = null)
     * @method ScormReport firstOrCreate(array $attributes = [], array $values = [])
     * @method ScormReport firstOrFail(array|string $columns = ['*'])
     * @method ScormReport firstOrNew(array $attributes = [], array $values = [])
     * @method ScormReport firstWhere(array|\Closure|Expression|string $column, $operator = null, $value = null, string $boolean = 'and')
     * @method ScormReport forceCreate(array $attributes)
     * @method _IH_ScormReport_C|ScormReport[] fromQuery(string $query, array $bindings = [])
     * @method _IH_ScormReport_C|ScormReport[] get(array|string $columns = ['*'])
     * @method ScormReport getModel()
     * @method ScormReport[] getModels(array|string $columns = ['*'])
     * @method _IH_ScormReport_C|ScormReport[] hydrate(array $items)
     * @method _IH_ScormReport_C|ScormReport[] lazy(int $chunkSize = 1000)
     * @method _IH_ScormReport_C|ScormReport[] lazyById(int $chunkSize = 1000, null|string $column = null, null|string $alias = null)
     * @method _IH_ScormReport_C|ScormReport[] lazyByIdDesc(int $chunkSize = 1000, null|string $column = null, null|string $alias = null)
     * @method ScormReport make(array $attributes = [])
     * @method ScormReport newModelInstance(array $attributes = [])
     * @method LengthAwarePaginator|ScormReport[]|_IH_ScormReport_C paginate(\Closure|int|null $perPage = null, array|string $columns = ['*'], string $pageName = 'page', int|null $page = null)
     * @method Paginator|ScormReport[]|_IH_ScormReport_C simplePaginate(int|null $perPage = null, array|string $columns = ['*'], string $pageName = 'page', int|null $page = null)
     * @method ScormReport sole(array|string $columns = ['*'])
     * @method ScormReport updateOrCreate(array $attributes, array $values = [])
     */
    class _IH_ScormReport_QB extends _BaseBuilder {}
}