<?php //48d6bbcd16affdd2d901164a84fd9ccf
/** @noinspection all */

namespace LaravelIdea\Helper\Modules\Setting\Entities {

    use Illuminate\Contracts\Database\Query\Expression;
    use Illuminate\Contracts\Support\Arrayable;
    use Illuminate\Pagination\LengthAwarePaginator;
    use Illuminate\Pagination\Paginator;
    use Illuminate\Support\Collection;
    use LaravelIdea\Helper\_BaseBuilder;
    use LaravelIdea\Helper\_BaseCollection;
    use Modules\Setting\Entities\Badge;
    use Modules\Setting\Entities\CookieSetting;
    use Modules\Setting\Entities\ErrorLog;
    use Modules\Setting\Entities\InstructorSetup;
    use Modules\Setting\Entities\IpBlock;
    use Modules\Setting\Entities\MediaManager;
    use Modules\Setting\Entities\PayoutAccount;
    use Modules\Setting\Entities\PayoutAccountSpecification;
    use Modules\Setting\Entities\SmsGateway;
    use Modules\Setting\Entities\SmsGatewayParameter;
    use Modules\Setting\Entities\StudentSetup;
    use Modules\Setting\Entities\UsedMedia;
    use Modules\Setting\Entities\UserBadge;
    use Modules\Setting\Entities\UserGamificationPoint;
    use Modules\Setting\Entities\UserLevelHistory;
    use Modules\Setting\Entities\UserPayoutAccount;
    use Modules\Setting\Entities\UserPayoutAccountSpecification;
    use Modules\Setting\Entities\VersionHistory;
    
    /**
     * @method Badge|null getOrPut($key, \Closure $value)
     * @method Badge|$this shift(int $count = 1)
     * @method Badge|null firstOrFail(callable|string $key = null, $operator = null, $value = null)
     * @method Badge|$this pop(int $count = 1)
     * @method Badge|null pull($key, \Closure $default = null)
     * @method Badge|null last(callable $callback = null, \Closure $default = null)
     * @method Badge|$this random(callable|int|null $number = null, bool $preserveKeys = false)
     * @method Badge|null sole(callable|string $key = null, $operator = null, $value = null)
     * @method Badge|null get($key, \Closure $default = null)
     * @method Badge|null first(callable $callback = null, \Closure $default = null)
     * @method Badge|null firstWhere(callable|string $key, $operator = null, $value = null)
     * @method Badge|null find($key, $default = null)
     * @method Badge[] all()
     */
    class _IH_Badge_C extends _BaseCollection {
        /**
         * @param int $size
         * @return Badge[][]|Collection<_IH_Badge_C>
         */
        public function chunk($size)
        {
            return [];
        }
    }
    
    /**
     * @method _IH_Badge_QB whereId($value)
     * @method _IH_Badge_QB whereTitle($value)
     * @method _IH_Badge_QB whereType($value)
     * @method _IH_Badge_QB whereImage($value)
     * @method _IH_Badge_QB wherePoint($value)
     * @method _IH_Badge_QB whereStatus($value)
     * @method _IH_Badge_QB whereCreatedAt($value)
     * @method _IH_Badge_QB whereUpdatedAt($value)
     * @method Badge baseSole(array|string $columns = ['*'])
     * @method Badge create(array $attributes = [])
     * @method _IH_Badge_C|Badge[] cursor()
     * @method Badge|null|_IH_Badge_C|Badge[] find($id, array|string $columns = ['*'])
     * @method _IH_Badge_C|Badge[] findMany(array|Arrayable $ids, array|string $columns = ['*'])
     * @method Badge|_IH_Badge_C|Badge[] findOr($id, array|\Closure|string $columns = ['*'], \Closure $callback = null)
     * @method Badge|_IH_Badge_C|Badge[] findOrFail($id, array|string $columns = ['*'])
     * @method Badge|_IH_Badge_C|Badge[] findOrNew($id, array|string $columns = ['*'])
     * @method Badge first(array|string $columns = ['*'])
     * @method Badge firstOr(array|\Closure|string $columns = ['*'], \Closure $callback = null)
     * @method Badge firstOrCreate(array $attributes = [], array $values = [])
     * @method Badge firstOrFail(array|string $columns = ['*'])
     * @method Badge firstOrNew(array $attributes = [], array $values = [])
     * @method Badge firstWhere(array|\Closure|Expression|string $column, $operator = null, $value = null, string $boolean = 'and')
     * @method Badge forceCreate(array $attributes)
     * @method _IH_Badge_C|Badge[] fromQuery(string $query, array $bindings = [])
     * @method _IH_Badge_C|Badge[] get(array|string $columns = ['*'])
     * @method Badge getModel()
     * @method Badge[] getModels(array|string $columns = ['*'])
     * @method _IH_Badge_C|Badge[] hydrate(array $items)
     * @method _IH_Badge_C|Badge[] lazy(int $chunkSize = 1000)
     * @method _IH_Badge_C|Badge[] lazyById(int $chunkSize = 1000, null|string $column = null, null|string $alias = null)
     * @method _IH_Badge_C|Badge[] lazyByIdDesc(int $chunkSize = 1000, null|string $column = null, null|string $alias = null)
     * @method Badge make(array $attributes = [])
     * @method Badge newModelInstance(array $attributes = [])
     * @method LengthAwarePaginator|Badge[]|_IH_Badge_C paginate(\Closure|int|null $perPage = null, array|string $columns = ['*'], string $pageName = 'page', int|null $page = null)
     * @method Paginator|Badge[]|_IH_Badge_C simplePaginate(int|null $perPage = null, array|string $columns = ['*'], string $pageName = 'page', int|null $page = null)
     * @method Badge sole(array|string $columns = ['*'])
     * @method Badge updateOrCreate(array $attributes, array $values = [])
     */
    class _IH_Badge_QB extends _BaseBuilder {}
    
    /**
     * @method CookieSetting|null getOrPut($key, \Closure $value)
     * @method CookieSetting|$this shift(int $count = 1)
     * @method CookieSetting|null firstOrFail(callable|string $key = null, $operator = null, $value = null)
     * @method CookieSetting|$this pop(int $count = 1)
     * @method CookieSetting|null pull($key, \Closure $default = null)
     * @method CookieSetting|null last(callable $callback = null, \Closure $default = null)
     * @method CookieSetting|$this random(callable|int|null $number = null, bool $preserveKeys = false)
     * @method CookieSetting|null sole(callable|string $key = null, $operator = null, $value = null)
     * @method CookieSetting|null get($key, \Closure $default = null)
     * @method CookieSetting|null first(callable $callback = null, \Closure $default = null)
     * @method CookieSetting|null firstWhere(callable|string $key, $operator = null, $value = null)
     * @method CookieSetting|null find($key, $default = null)
     * @method CookieSetting[] all()
     */
    class _IH_CookieSetting_C extends _BaseCollection {
        /**
         * @param int $size
         * @return CookieSetting[][]|Collection<_IH_CookieSetting_C>
         */
        public function chunk($size)
        {
            return [];
        }
    }
    
    /**
     * @method _IH_CookieSetting_QB whereId($value)
     * @method _IH_CookieSetting_QB whereTitle($value)
     * @method _IH_CookieSetting_QB whereDetails($value)
     * @method _IH_CookieSetting_QB whereBtnText($value)
     * @method _IH_CookieSetting_QB whereTextColor($value)
     * @method _IH_CookieSetting_QB whereBgColor($value)
     * @method _IH_CookieSetting_QB whereAllow($value)
     * @method _IH_CookieSetting_QB whereCreatedAt($value)
     * @method _IH_CookieSetting_QB whereUpdatedAt($value)
     * @method _IH_CookieSetting_QB whereImage($value)
     * @method _IH_CookieSetting_QB whereCustomizeBtnText($value)
     * @method _IH_CookieSetting_QB whereGdprDetails($value)
     * @method _IH_CookieSetting_QB whereGdprStrictly($value)
     * @method _IH_CookieSetting_QB whereGdprPerformance($value)
     * @method _IH_CookieSetting_QB whereGdprFunctional($value)
     * @method _IH_CookieSetting_QB whereGdprTargeting($value)
     * @method _IH_CookieSetting_QB whereGdprConfirmChoiceBtnText($value)
     * @method _IH_CookieSetting_QB whereGdprAcceptAllBtnText($value)
     * @method CookieSetting baseSole(array|string $columns = ['*'])
     * @method CookieSetting create(array $attributes = [])
     * @method _IH_CookieSetting_C|CookieSetting[] cursor()
     * @method CookieSetting|null|_IH_CookieSetting_C|CookieSetting[] find($id, array|string $columns = ['*'])
     * @method _IH_CookieSetting_C|CookieSetting[] findMany(array|Arrayable $ids, array|string $columns = ['*'])
     * @method CookieSetting|_IH_CookieSetting_C|CookieSetting[] findOr($id, array|\Closure|string $columns = ['*'], \Closure $callback = null)
     * @method CookieSetting|_IH_CookieSetting_C|CookieSetting[] findOrFail($id, array|string $columns = ['*'])
     * @method CookieSetting|_IH_CookieSetting_C|CookieSetting[] findOrNew($id, array|string $columns = ['*'])
     * @method CookieSetting first(array|string $columns = ['*'])
     * @method CookieSetting firstOr(array|\Closure|string $columns = ['*'], \Closure $callback = null)
     * @method CookieSetting firstOrCreate(array $attributes = [], array $values = [])
     * @method CookieSetting firstOrFail(array|string $columns = ['*'])
     * @method CookieSetting firstOrNew(array $attributes = [], array $values = [])
     * @method CookieSetting firstWhere(array|\Closure|Expression|string $column, $operator = null, $value = null, string $boolean = 'and')
     * @method CookieSetting forceCreate(array $attributes)
     * @method _IH_CookieSetting_C|CookieSetting[] fromQuery(string $query, array $bindings = [])
     * @method _IH_CookieSetting_C|CookieSetting[] get(array|string $columns = ['*'])
     * @method CookieSetting getModel()
     * @method CookieSetting[] getModels(array|string $columns = ['*'])
     * @method _IH_CookieSetting_C|CookieSetting[] hydrate(array $items)
     * @method _IH_CookieSetting_C|CookieSetting[] lazy(int $chunkSize = 1000)
     * @method _IH_CookieSetting_C|CookieSetting[] lazyById(int $chunkSize = 1000, null|string $column = null, null|string $alias = null)
     * @method _IH_CookieSetting_C|CookieSetting[] lazyByIdDesc(int $chunkSize = 1000, null|string $column = null, null|string $alias = null)
     * @method CookieSetting make(array $attributes = [])
     * @method CookieSetting newModelInstance(array $attributes = [])
     * @method LengthAwarePaginator|CookieSetting[]|_IH_CookieSetting_C paginate(\Closure|int|null $perPage = null, array|string $columns = ['*'], string $pageName = 'page', int|null $page = null)
     * @method Paginator|CookieSetting[]|_IH_CookieSetting_C simplePaginate(int|null $perPage = null, array|string $columns = ['*'], string $pageName = 'page', int|null $page = null)
     * @method CookieSetting sole(array|string $columns = ['*'])
     * @method CookieSetting updateOrCreate(array $attributes, array $values = [])
     */
    class _IH_CookieSetting_QB extends _BaseBuilder {}
    
    /**
     * @method ErrorLog|null getOrPut($key, \Closure $value)
     * @method ErrorLog|$this shift(int $count = 1)
     * @method ErrorLog|null firstOrFail(callable|string $key = null, $operator = null, $value = null)
     * @method ErrorLog|$this pop(int $count = 1)
     * @method ErrorLog|null pull($key, \Closure $default = null)
     * @method ErrorLog|null last(callable $callback = null, \Closure $default = null)
     * @method ErrorLog|$this random(callable|int|null $number = null, bool $preserveKeys = false)
     * @method ErrorLog|null sole(callable|string $key = null, $operator = null, $value = null)
     * @method ErrorLog|null get($key, \Closure $default = null)
     * @method ErrorLog|null first(callable $callback = null, \Closure $default = null)
     * @method ErrorLog|null firstWhere(callable|string $key, $operator = null, $value = null)
     * @method ErrorLog|null find($key, $default = null)
     * @method ErrorLog[] all()
     */
    class _IH_ErrorLog_C extends _BaseCollection {
        /**
         * @param int $size
         * @return ErrorLog[][]|Collection<_IH_ErrorLog_C>
         */
        public function chunk($size)
        {
            return [];
        }
    }
    
    /**
     * @method _IH_ErrorLog_QB whereId($value)
     * @method _IH_ErrorLog_QB whereSubject($value)
     * @method _IH_ErrorLog_QB whereType($value)
     * @method _IH_ErrorLog_QB whereUrl($value)
     * @method _IH_ErrorLog_QB whereIp($value)
     * @method _IH_ErrorLog_QB whereAgent($value)
     * @method _IH_ErrorLog_QB whereUserId($value)
     * @method _IH_ErrorLog_QB whereCreatedAt($value)
     * @method _IH_ErrorLog_QB whereUpdatedAt($value)
     * @method ErrorLog baseSole(array|string $columns = ['*'])
     * @method ErrorLog create(array $attributes = [])
     * @method _IH_ErrorLog_C|ErrorLog[] cursor()
     * @method ErrorLog|null|_IH_ErrorLog_C|ErrorLog[] find($id, array|string $columns = ['*'])
     * @method _IH_ErrorLog_C|ErrorLog[] findMany(array|Arrayable $ids, array|string $columns = ['*'])
     * @method ErrorLog|_IH_ErrorLog_C|ErrorLog[] findOr($id, array|\Closure|string $columns = ['*'], \Closure $callback = null)
     * @method ErrorLog|_IH_ErrorLog_C|ErrorLog[] findOrFail($id, array|string $columns = ['*'])
     * @method ErrorLog|_IH_ErrorLog_C|ErrorLog[] findOrNew($id, array|string $columns = ['*'])
     * @method ErrorLog first(array|string $columns = ['*'])
     * @method ErrorLog firstOr(array|\Closure|string $columns = ['*'], \Closure $callback = null)
     * @method ErrorLog firstOrCreate(array $attributes = [], array $values = [])
     * @method ErrorLog firstOrFail(array|string $columns = ['*'])
     * @method ErrorLog firstOrNew(array $attributes = [], array $values = [])
     * @method ErrorLog firstWhere(array|\Closure|Expression|string $column, $operator = null, $value = null, string $boolean = 'and')
     * @method ErrorLog forceCreate(array $attributes)
     * @method _IH_ErrorLog_C|ErrorLog[] fromQuery(string $query, array $bindings = [])
     * @method _IH_ErrorLog_C|ErrorLog[] get(array|string $columns = ['*'])
     * @method ErrorLog getModel()
     * @method ErrorLog[] getModels(array|string $columns = ['*'])
     * @method _IH_ErrorLog_C|ErrorLog[] hydrate(array $items)
     * @method _IH_ErrorLog_C|ErrorLog[] lazy(int $chunkSize = 1000)
     * @method _IH_ErrorLog_C|ErrorLog[] lazyById(int $chunkSize = 1000, null|string $column = null, null|string $alias = null)
     * @method _IH_ErrorLog_C|ErrorLog[] lazyByIdDesc(int $chunkSize = 1000, null|string $column = null, null|string $alias = null)
     * @method ErrorLog make(array $attributes = [])
     * @method ErrorLog newModelInstance(array $attributes = [])
     * @method LengthAwarePaginator|ErrorLog[]|_IH_ErrorLog_C paginate(\Closure|int|null $perPage = null, array|string $columns = ['*'], string $pageName = 'page', int|null $page = null)
     * @method Paginator|ErrorLog[]|_IH_ErrorLog_C simplePaginate(int|null $perPage = null, array|string $columns = ['*'], string $pageName = 'page', int|null $page = null)
     * @method ErrorLog sole(array|string $columns = ['*'])
     * @method ErrorLog updateOrCreate(array $attributes, array $values = [])
     */
    class _IH_ErrorLog_QB extends _BaseBuilder {}
    
    /**
     * @method InstructorSetup|null getOrPut($key, \Closure $value)
     * @method InstructorSetup|$this shift(int $count = 1)
     * @method InstructorSetup|null firstOrFail(callable|string $key = null, $operator = null, $value = null)
     * @method InstructorSetup|$this pop(int $count = 1)
     * @method InstructorSetup|null pull($key, \Closure $default = null)
     * @method InstructorSetup|null last(callable $callback = null, \Closure $default = null)
     * @method InstructorSetup|$this random(callable|int|null $number = null, bool $preserveKeys = false)
     * @method InstructorSetup|null sole(callable|string $key = null, $operator = null, $value = null)
     * @method InstructorSetup|null get($key, \Closure $default = null)
     * @method InstructorSetup|null first(callable $callback = null, \Closure $default = null)
     * @method InstructorSetup|null firstWhere(callable|string $key, $operator = null, $value = null)
     * @method InstructorSetup|null find($key, $default = null)
     * @method InstructorSetup[] all()
     */
    class _IH_InstructorSetup_C extends _BaseCollection {
        /**
         * @param int $size
         * @return InstructorSetup[][]|Collection<_IH_InstructorSetup_C>
         */
        public function chunk($size)
        {
            return [];
        }
    }
    
    /**
     * @method _IH_InstructorSetup_QB whereId($value)
     * @method _IH_InstructorSetup_QB whereShowInstructorPageBanner($value)
     * @method _IH_InstructorSetup_QB whereCreatedAt($value)
     * @method _IH_InstructorSetup_QB whereUpdatedAt($value)
     * @method InstructorSetup baseSole(array|string $columns = ['*'])
     * @method InstructorSetup create(array $attributes = [])
     * @method _IH_InstructorSetup_C|InstructorSetup[] cursor()
     * @method InstructorSetup|null|_IH_InstructorSetup_C|InstructorSetup[] find($id, array|string $columns = ['*'])
     * @method _IH_InstructorSetup_C|InstructorSetup[] findMany(array|Arrayable $ids, array|string $columns = ['*'])
     * @method InstructorSetup|_IH_InstructorSetup_C|InstructorSetup[] findOr($id, array|\Closure|string $columns = ['*'], \Closure $callback = null)
     * @method InstructorSetup|_IH_InstructorSetup_C|InstructorSetup[] findOrFail($id, array|string $columns = ['*'])
     * @method InstructorSetup|_IH_InstructorSetup_C|InstructorSetup[] findOrNew($id, array|string $columns = ['*'])
     * @method InstructorSetup first(array|string $columns = ['*'])
     * @method InstructorSetup firstOr(array|\Closure|string $columns = ['*'], \Closure $callback = null)
     * @method InstructorSetup firstOrCreate(array $attributes = [], array $values = [])
     * @method InstructorSetup firstOrFail(array|string $columns = ['*'])
     * @method InstructorSetup firstOrNew(array $attributes = [], array $values = [])
     * @method InstructorSetup firstWhere(array|\Closure|Expression|string $column, $operator = null, $value = null, string $boolean = 'and')
     * @method InstructorSetup forceCreate(array $attributes)
     * @method _IH_InstructorSetup_C|InstructorSetup[] fromQuery(string $query, array $bindings = [])
     * @method _IH_InstructorSetup_C|InstructorSetup[] get(array|string $columns = ['*'])
     * @method InstructorSetup getModel()
     * @method InstructorSetup[] getModels(array|string $columns = ['*'])
     * @method _IH_InstructorSetup_C|InstructorSetup[] hydrate(array $items)
     * @method _IH_InstructorSetup_C|InstructorSetup[] lazy(int $chunkSize = 1000)
     * @method _IH_InstructorSetup_C|InstructorSetup[] lazyById(int $chunkSize = 1000, null|string $column = null, null|string $alias = null)
     * @method _IH_InstructorSetup_C|InstructorSetup[] lazyByIdDesc(int $chunkSize = 1000, null|string $column = null, null|string $alias = null)
     * @method InstructorSetup make(array $attributes = [])
     * @method InstructorSetup newModelInstance(array $attributes = [])
     * @method LengthAwarePaginator|InstructorSetup[]|_IH_InstructorSetup_C paginate(\Closure|int|null $perPage = null, array|string $columns = ['*'], string $pageName = 'page', int|null $page = null)
     * @method Paginator|InstructorSetup[]|_IH_InstructorSetup_C simplePaginate(int|null $perPage = null, array|string $columns = ['*'], string $pageName = 'page', int|null $page = null)
     * @method InstructorSetup sole(array|string $columns = ['*'])
     * @method InstructorSetup updateOrCreate(array $attributes, array $values = [])
     */
    class _IH_InstructorSetup_QB extends _BaseBuilder {}
    
    /**
     * @method IpBlock|null getOrPut($key, \Closure $value)
     * @method IpBlock|$this shift(int $count = 1)
     * @method IpBlock|null firstOrFail(callable|string $key = null, $operator = null, $value = null)
     * @method IpBlock|$this pop(int $count = 1)
     * @method IpBlock|null pull($key, \Closure $default = null)
     * @method IpBlock|null last(callable $callback = null, \Closure $default = null)
     * @method IpBlock|$this random(callable|int|null $number = null, bool $preserveKeys = false)
     * @method IpBlock|null sole(callable|string $key = null, $operator = null, $value = null)
     * @method IpBlock|null get($key, \Closure $default = null)
     * @method IpBlock|null first(callable $callback = null, \Closure $default = null)
     * @method IpBlock|null firstWhere(callable|string $key, $operator = null, $value = null)
     * @method IpBlock|null find($key, $default = null)
     * @method IpBlock[] all()
     */
    class _IH_IpBlock_C extends _BaseCollection {
        /**
         * @param int $size
         * @return IpBlock[][]|Collection<_IH_IpBlock_C>
         */
        public function chunk($size)
        {
            return [];
        }
    }
    
    /**
     * @method _IH_IpBlock_QB whereId($value)
     * @method _IH_IpBlock_QB whereIpAddress($value)
     * @method _IH_IpBlock_QB whereReason($value)
     * @method _IH_IpBlock_QB whereStatus($value)
     * @method _IH_IpBlock_QB whereCreatedAt($value)
     * @method _IH_IpBlock_QB whereUpdatedAt($value)
     * @method IpBlock baseSole(array|string $columns = ['*'])
     * @method IpBlock create(array $attributes = [])
     * @method _IH_IpBlock_C|IpBlock[] cursor()
     * @method IpBlock|null|_IH_IpBlock_C|IpBlock[] find($id, array|string $columns = ['*'])
     * @method _IH_IpBlock_C|IpBlock[] findMany(array|Arrayable $ids, array|string $columns = ['*'])
     * @method IpBlock|_IH_IpBlock_C|IpBlock[] findOr($id, array|\Closure|string $columns = ['*'], \Closure $callback = null)
     * @method IpBlock|_IH_IpBlock_C|IpBlock[] findOrFail($id, array|string $columns = ['*'])
     * @method IpBlock|_IH_IpBlock_C|IpBlock[] findOrNew($id, array|string $columns = ['*'])
     * @method IpBlock first(array|string $columns = ['*'])
     * @method IpBlock firstOr(array|\Closure|string $columns = ['*'], \Closure $callback = null)
     * @method IpBlock firstOrCreate(array $attributes = [], array $values = [])
     * @method IpBlock firstOrFail(array|string $columns = ['*'])
     * @method IpBlock firstOrNew(array $attributes = [], array $values = [])
     * @method IpBlock firstWhere(array|\Closure|Expression|string $column, $operator = null, $value = null, string $boolean = 'and')
     * @method IpBlock forceCreate(array $attributes)
     * @method _IH_IpBlock_C|IpBlock[] fromQuery(string $query, array $bindings = [])
     * @method _IH_IpBlock_C|IpBlock[] get(array|string $columns = ['*'])
     * @method IpBlock getModel()
     * @method IpBlock[] getModels(array|string $columns = ['*'])
     * @method _IH_IpBlock_C|IpBlock[] hydrate(array $items)
     * @method _IH_IpBlock_C|IpBlock[] lazy(int $chunkSize = 1000)
     * @method _IH_IpBlock_C|IpBlock[] lazyById(int $chunkSize = 1000, null|string $column = null, null|string $alias = null)
     * @method _IH_IpBlock_C|IpBlock[] lazyByIdDesc(int $chunkSize = 1000, null|string $column = null, null|string $alias = null)
     * @method IpBlock make(array $attributes = [])
     * @method IpBlock newModelInstance(array $attributes = [])
     * @method LengthAwarePaginator|IpBlock[]|_IH_IpBlock_C paginate(\Closure|int|null $perPage = null, array|string $columns = ['*'], string $pageName = 'page', int|null $page = null)
     * @method Paginator|IpBlock[]|_IH_IpBlock_C simplePaginate(int|null $perPage = null, array|string $columns = ['*'], string $pageName = 'page', int|null $page = null)
     * @method IpBlock sole(array|string $columns = ['*'])
     * @method IpBlock updateOrCreate(array $attributes, array $values = [])
     */
    class _IH_IpBlock_QB extends _BaseBuilder {}
    
    /**
     * @method MediaManager|null getOrPut($key, \Closure $value)
     * @method MediaManager|$this shift(int $count = 1)
     * @method MediaManager|null firstOrFail(callable|string $key = null, $operator = null, $value = null)
     * @method MediaManager|$this pop(int $count = 1)
     * @method MediaManager|null pull($key, \Closure $default = null)
     * @method MediaManager|null last(callable $callback = null, \Closure $default = null)
     * @method MediaManager|$this random(callable|int|null $number = null, bool $preserveKeys = false)
     * @method MediaManager|null sole(callable|string $key = null, $operator = null, $value = null)
     * @method MediaManager|null get($key, \Closure $default = null)
     * @method MediaManager|null first(callable $callback = null, \Closure $default = null)
     * @method MediaManager|null firstWhere(callable|string $key, $operator = null, $value = null)
     * @method MediaManager|null find($key, $default = null)
     * @method MediaManager[] all()
     */
    class _IH_MediaManager_C extends _BaseCollection {
        /**
         * @param int $size
         * @return MediaManager[][]|Collection<_IH_MediaManager_C>
         */
        public function chunk($size)
        {
            return [];
        }
    }
    
    /**
     * @method _IH_MediaManager_QB whereId($value)
     * @method _IH_MediaManager_QB whereUserId($value)
     * @method _IH_MediaManager_QB whereFileName($value)
     * @method _IH_MediaManager_QB whereOriginalName($value)
     * @method _IH_MediaManager_QB whereExtension($value)
     * @method _IH_MediaManager_QB whereType($value)
     * @method _IH_MediaManager_QB whereSize($value)
     * @method _IH_MediaManager_QB whereExternalLink($value)
     * @method _IH_MediaManager_QB whereStorage($value)
     * @method _IH_MediaManager_QB whereCreatedAt($value)
     * @method _IH_MediaManager_QB whereUpdatedAt($value)
     * @method MediaManager baseSole(array|string $columns = ['*'])
     * @method MediaManager create(array $attributes = [])
     * @method _IH_MediaManager_C|MediaManager[] cursor()
     * @method MediaManager|null|_IH_MediaManager_C|MediaManager[] find($id, array|string $columns = ['*'])
     * @method _IH_MediaManager_C|MediaManager[] findMany(array|Arrayable $ids, array|string $columns = ['*'])
     * @method MediaManager|_IH_MediaManager_C|MediaManager[] findOr($id, array|\Closure|string $columns = ['*'], \Closure $callback = null)
     * @method MediaManager|_IH_MediaManager_C|MediaManager[] findOrFail($id, array|string $columns = ['*'])
     * @method MediaManager|_IH_MediaManager_C|MediaManager[] findOrNew($id, array|string $columns = ['*'])
     * @method MediaManager first(array|string $columns = ['*'])
     * @method MediaManager firstOr(array|\Closure|string $columns = ['*'], \Closure $callback = null)
     * @method MediaManager firstOrCreate(array $attributes = [], array $values = [])
     * @method MediaManager firstOrFail(array|string $columns = ['*'])
     * @method MediaManager firstOrNew(array $attributes = [], array $values = [])
     * @method MediaManager firstWhere(array|\Closure|Expression|string $column, $operator = null, $value = null, string $boolean = 'and')
     * @method MediaManager forceCreate(array $attributes)
     * @method _IH_MediaManager_C|MediaManager[] fromQuery(string $query, array $bindings = [])
     * @method _IH_MediaManager_C|MediaManager[] get(array|string $columns = ['*'])
     * @method MediaManager getModel()
     * @method MediaManager[] getModels(array|string $columns = ['*'])
     * @method _IH_MediaManager_C|MediaManager[] hydrate(array $items)
     * @method _IH_MediaManager_C|MediaManager[] lazy(int $chunkSize = 1000)
     * @method _IH_MediaManager_C|MediaManager[] lazyById(int $chunkSize = 1000, null|string $column = null, null|string $alias = null)
     * @method _IH_MediaManager_C|MediaManager[] lazyByIdDesc(int $chunkSize = 1000, null|string $column = null, null|string $alias = null)
     * @method MediaManager make(array $attributes = [])
     * @method MediaManager newModelInstance(array $attributes = [])
     * @method LengthAwarePaginator|MediaManager[]|_IH_MediaManager_C paginate(\Closure|int|null $perPage = null, array|string $columns = ['*'], string $pageName = 'page', int|null $page = null)
     * @method Paginator|MediaManager[]|_IH_MediaManager_C simplePaginate(int|null $perPage = null, array|string $columns = ['*'], string $pageName = 'page', int|null $page = null)
     * @method MediaManager sole(array|string $columns = ['*'])
     * @method MediaManager updateOrCreate(array $attributes, array $values = [])
     */
    class _IH_MediaManager_QB extends _BaseBuilder {}
    
    /**
     * @method PayoutAccountSpecification|null getOrPut($key, \Closure $value)
     * @method PayoutAccountSpecification|$this shift(int $count = 1)
     * @method PayoutAccountSpecification|null firstOrFail(callable|string $key = null, $operator = null, $value = null)
     * @method PayoutAccountSpecification|$this pop(int $count = 1)
     * @method PayoutAccountSpecification|null pull($key, \Closure $default = null)
     * @method PayoutAccountSpecification|null last(callable $callback = null, \Closure $default = null)
     * @method PayoutAccountSpecification|$this random(callable|int|null $number = null, bool $preserveKeys = false)
     * @method PayoutAccountSpecification|null sole(callable|string $key = null, $operator = null, $value = null)
     * @method PayoutAccountSpecification|null get($key, \Closure $default = null)
     * @method PayoutAccountSpecification|null first(callable $callback = null, \Closure $default = null)
     * @method PayoutAccountSpecification|null firstWhere(callable|string $key, $operator = null, $value = null)
     * @method PayoutAccountSpecification|null find($key, $default = null)
     * @method PayoutAccountSpecification[] all()
     */
    class _IH_PayoutAccountSpecification_C extends _BaseCollection {
        /**
         * @param int $size
         * @return PayoutAccountSpecification[][]|Collection<_IH_PayoutAccountSpecification_C>
         */
        public function chunk($size)
        {
            return [];
        }
    }
    
    /**
     * @method _IH_PayoutAccountSpecification_QB whereId($value)
     * @method _IH_PayoutAccountSpecification_QB wherePayoutAccountsId($value)
     * @method _IH_PayoutAccountSpecification_QB whereTitle($value)
     * @method _IH_PayoutAccountSpecification_QB whereCreatedAt($value)
     * @method _IH_PayoutAccountSpecification_QB whereUpdatedAt($value)
     * @method PayoutAccountSpecification baseSole(array|string $columns = ['*'])
     * @method PayoutAccountSpecification create(array $attributes = [])
     * @method _IH_PayoutAccountSpecification_C|PayoutAccountSpecification[] cursor()
     * @method PayoutAccountSpecification|null|_IH_PayoutAccountSpecification_C|PayoutAccountSpecification[] find($id, array|string $columns = ['*'])
     * @method _IH_PayoutAccountSpecification_C|PayoutAccountSpecification[] findMany(array|Arrayable $ids, array|string $columns = ['*'])
     * @method PayoutAccountSpecification|_IH_PayoutAccountSpecification_C|PayoutAccountSpecification[] findOr($id, array|\Closure|string $columns = ['*'], \Closure $callback = null)
     * @method PayoutAccountSpecification|_IH_PayoutAccountSpecification_C|PayoutAccountSpecification[] findOrFail($id, array|string $columns = ['*'])
     * @method PayoutAccountSpecification|_IH_PayoutAccountSpecification_C|PayoutAccountSpecification[] findOrNew($id, array|string $columns = ['*'])
     * @method PayoutAccountSpecification first(array|string $columns = ['*'])
     * @method PayoutAccountSpecification firstOr(array|\Closure|string $columns = ['*'], \Closure $callback = null)
     * @method PayoutAccountSpecification firstOrCreate(array $attributes = [], array $values = [])
     * @method PayoutAccountSpecification firstOrFail(array|string $columns = ['*'])
     * @method PayoutAccountSpecification firstOrNew(array $attributes = [], array $values = [])
     * @method PayoutAccountSpecification firstWhere(array|\Closure|Expression|string $column, $operator = null, $value = null, string $boolean = 'and')
     * @method PayoutAccountSpecification forceCreate(array $attributes)
     * @method _IH_PayoutAccountSpecification_C|PayoutAccountSpecification[] fromQuery(string $query, array $bindings = [])
     * @method _IH_PayoutAccountSpecification_C|PayoutAccountSpecification[] get(array|string $columns = ['*'])
     * @method PayoutAccountSpecification getModel()
     * @method PayoutAccountSpecification[] getModels(array|string $columns = ['*'])
     * @method _IH_PayoutAccountSpecification_C|PayoutAccountSpecification[] hydrate(array $items)
     * @method _IH_PayoutAccountSpecification_C|PayoutAccountSpecification[] lazy(int $chunkSize = 1000)
     * @method _IH_PayoutAccountSpecification_C|PayoutAccountSpecification[] lazyById(int $chunkSize = 1000, null|string $column = null, null|string $alias = null)
     * @method _IH_PayoutAccountSpecification_C|PayoutAccountSpecification[] lazyByIdDesc(int $chunkSize = 1000, null|string $column = null, null|string $alias = null)
     * @method PayoutAccountSpecification make(array $attributes = [])
     * @method PayoutAccountSpecification newModelInstance(array $attributes = [])
     * @method LengthAwarePaginator|PayoutAccountSpecification[]|_IH_PayoutAccountSpecification_C paginate(\Closure|int|null $perPage = null, array|string $columns = ['*'], string $pageName = 'page', int|null $page = null)
     * @method Paginator|PayoutAccountSpecification[]|_IH_PayoutAccountSpecification_C simplePaginate(int|null $perPage = null, array|string $columns = ['*'], string $pageName = 'page', int|null $page = null)
     * @method PayoutAccountSpecification sole(array|string $columns = ['*'])
     * @method PayoutAccountSpecification updateOrCreate(array $attributes, array $values = [])
     */
    class _IH_PayoutAccountSpecification_QB extends _BaseBuilder {}
    
    /**
     * @method PayoutAccount|null getOrPut($key, \Closure $value)
     * @method PayoutAccount|$this shift(int $count = 1)
     * @method PayoutAccount|null firstOrFail(callable|string $key = null, $operator = null, $value = null)
     * @method PayoutAccount|$this pop(int $count = 1)
     * @method PayoutAccount|null pull($key, \Closure $default = null)
     * @method PayoutAccount|null last(callable $callback = null, \Closure $default = null)
     * @method PayoutAccount|$this random(callable|int|null $number = null, bool $preserveKeys = false)
     * @method PayoutAccount|null sole(callable|string $key = null, $operator = null, $value = null)
     * @method PayoutAccount|null get($key, \Closure $default = null)
     * @method PayoutAccount|null first(callable $callback = null, \Closure $default = null)
     * @method PayoutAccount|null firstWhere(callable|string $key, $operator = null, $value = null)
     * @method PayoutAccount|null find($key, $default = null)
     * @method PayoutAccount[] all()
     */
    class _IH_PayoutAccount_C extends _BaseCollection {
        /**
         * @param int $size
         * @return PayoutAccount[][]|Collection<_IH_PayoutAccount_C>
         */
        public function chunk($size)
        {
            return [];
        }
    }
    
    /**
     * @method _IH_PayoutAccount_QB whereId($value)
     * @method _IH_PayoutAccount_QB whereLogo($value)
     * @method _IH_PayoutAccount_QB whereTitle($value)
     * @method _IH_PayoutAccount_QB whereStatus($value)
     * @method _IH_PayoutAccount_QB whereCreatedAt($value)
     * @method _IH_PayoutAccount_QB whereUpdatedAt($value)
     * @method PayoutAccount baseSole(array|string $columns = ['*'])
     * @method PayoutAccount create(array $attributes = [])
     * @method _IH_PayoutAccount_C|PayoutAccount[] cursor()
     * @method PayoutAccount|null|_IH_PayoutAccount_C|PayoutAccount[] find($id, array|string $columns = ['*'])
     * @method _IH_PayoutAccount_C|PayoutAccount[] findMany(array|Arrayable $ids, array|string $columns = ['*'])
     * @method PayoutAccount|_IH_PayoutAccount_C|PayoutAccount[] findOr($id, array|\Closure|string $columns = ['*'], \Closure $callback = null)
     * @method PayoutAccount|_IH_PayoutAccount_C|PayoutAccount[] findOrFail($id, array|string $columns = ['*'])
     * @method PayoutAccount|_IH_PayoutAccount_C|PayoutAccount[] findOrNew($id, array|string $columns = ['*'])
     * @method PayoutAccount first(array|string $columns = ['*'])
     * @method PayoutAccount firstOr(array|\Closure|string $columns = ['*'], \Closure $callback = null)
     * @method PayoutAccount firstOrCreate(array $attributes = [], array $values = [])
     * @method PayoutAccount firstOrFail(array|string $columns = ['*'])
     * @method PayoutAccount firstOrNew(array $attributes = [], array $values = [])
     * @method PayoutAccount firstWhere(array|\Closure|Expression|string $column, $operator = null, $value = null, string $boolean = 'and')
     * @method PayoutAccount forceCreate(array $attributes)
     * @method _IH_PayoutAccount_C|PayoutAccount[] fromQuery(string $query, array $bindings = [])
     * @method _IH_PayoutAccount_C|PayoutAccount[] get(array|string $columns = ['*'])
     * @method PayoutAccount getModel()
     * @method PayoutAccount[] getModels(array|string $columns = ['*'])
     * @method _IH_PayoutAccount_C|PayoutAccount[] hydrate(array $items)
     * @method _IH_PayoutAccount_C|PayoutAccount[] lazy(int $chunkSize = 1000)
     * @method _IH_PayoutAccount_C|PayoutAccount[] lazyById(int $chunkSize = 1000, null|string $column = null, null|string $alias = null)
     * @method _IH_PayoutAccount_C|PayoutAccount[] lazyByIdDesc(int $chunkSize = 1000, null|string $column = null, null|string $alias = null)
     * @method PayoutAccount make(array $attributes = [])
     * @method PayoutAccount newModelInstance(array $attributes = [])
     * @method LengthAwarePaginator|PayoutAccount[]|_IH_PayoutAccount_C paginate(\Closure|int|null $perPage = null, array|string $columns = ['*'], string $pageName = 'page', int|null $page = null)
     * @method Paginator|PayoutAccount[]|_IH_PayoutAccount_C simplePaginate(int|null $perPage = null, array|string $columns = ['*'], string $pageName = 'page', int|null $page = null)
     * @method PayoutAccount sole(array|string $columns = ['*'])
     * @method PayoutAccount updateOrCreate(array $attributes, array $values = [])
     */
    class _IH_PayoutAccount_QB extends _BaseBuilder {}
    
    /**
     * @method SmsGatewayParameter|null getOrPut($key, \Closure $value)
     * @method SmsGatewayParameter|$this shift(int $count = 1)
     * @method SmsGatewayParameter|null firstOrFail(callable|string $key = null, $operator = null, $value = null)
     * @method SmsGatewayParameter|$this pop(int $count = 1)
     * @method SmsGatewayParameter|null pull($key, \Closure $default = null)
     * @method SmsGatewayParameter|null last(callable $callback = null, \Closure $default = null)
     * @method SmsGatewayParameter|$this random(callable|int|null $number = null, bool $preserveKeys = false)
     * @method SmsGatewayParameter|null sole(callable|string $key = null, $operator = null, $value = null)
     * @method SmsGatewayParameter|null get($key, \Closure $default = null)
     * @method SmsGatewayParameter|null first(callable $callback = null, \Closure $default = null)
     * @method SmsGatewayParameter|null firstWhere(callable|string $key, $operator = null, $value = null)
     * @method SmsGatewayParameter|null find($key, $default = null)
     * @method SmsGatewayParameter[] all()
     */
    class _IH_SmsGatewayParameter_C extends _BaseCollection {
        /**
         * @param int $size
         * @return SmsGatewayParameter[][]|Collection<_IH_SmsGatewayParameter_C>
         */
        public function chunk($size)
        {
            return [];
        }
    }
    
    /**
     * @method _IH_SmsGatewayParameter_QB whereId($value)
     * @method _IH_SmsGatewayParameter_QB whereGatewayId($value)
     * @method _IH_SmsGatewayParameter_QB whereValue($value)
     * @method _IH_SmsGatewayParameter_QB whereCreatedAt($value)
     * @method _IH_SmsGatewayParameter_QB whereUpdatedAt($value)
     * @method SmsGatewayParameter baseSole(array|string $columns = ['*'])
     * @method SmsGatewayParameter create(array $attributes = [])
     * @method _IH_SmsGatewayParameter_C|SmsGatewayParameter[] cursor()
     * @method SmsGatewayParameter|null|_IH_SmsGatewayParameter_C|SmsGatewayParameter[] find($id, array|string $columns = ['*'])
     * @method _IH_SmsGatewayParameter_C|SmsGatewayParameter[] findMany(array|Arrayable $ids, array|string $columns = ['*'])
     * @method SmsGatewayParameter|_IH_SmsGatewayParameter_C|SmsGatewayParameter[] findOr($id, array|\Closure|string $columns = ['*'], \Closure $callback = null)
     * @method SmsGatewayParameter|_IH_SmsGatewayParameter_C|SmsGatewayParameter[] findOrFail($id, array|string $columns = ['*'])
     * @method SmsGatewayParameter|_IH_SmsGatewayParameter_C|SmsGatewayParameter[] findOrNew($id, array|string $columns = ['*'])
     * @method SmsGatewayParameter first(array|string $columns = ['*'])
     * @method SmsGatewayParameter firstOr(array|\Closure|string $columns = ['*'], \Closure $callback = null)
     * @method SmsGatewayParameter firstOrCreate(array $attributes = [], array $values = [])
     * @method SmsGatewayParameter firstOrFail(array|string $columns = ['*'])
     * @method SmsGatewayParameter firstOrNew(array $attributes = [], array $values = [])
     * @method SmsGatewayParameter firstWhere(array|\Closure|Expression|string $column, $operator = null, $value = null, string $boolean = 'and')
     * @method SmsGatewayParameter forceCreate(array $attributes)
     * @method _IH_SmsGatewayParameter_C|SmsGatewayParameter[] fromQuery(string $query, array $bindings = [])
     * @method _IH_SmsGatewayParameter_C|SmsGatewayParameter[] get(array|string $columns = ['*'])
     * @method SmsGatewayParameter getModel()
     * @method SmsGatewayParameter[] getModels(array|string $columns = ['*'])
     * @method _IH_SmsGatewayParameter_C|SmsGatewayParameter[] hydrate(array $items)
     * @method _IH_SmsGatewayParameter_C|SmsGatewayParameter[] lazy(int $chunkSize = 1000)
     * @method _IH_SmsGatewayParameter_C|SmsGatewayParameter[] lazyById(int $chunkSize = 1000, null|string $column = null, null|string $alias = null)
     * @method _IH_SmsGatewayParameter_C|SmsGatewayParameter[] lazyByIdDesc(int $chunkSize = 1000, null|string $column = null, null|string $alias = null)
     * @method SmsGatewayParameter make(array $attributes = [])
     * @method SmsGatewayParameter newModelInstance(array $attributes = [])
     * @method LengthAwarePaginator|SmsGatewayParameter[]|_IH_SmsGatewayParameter_C paginate(\Closure|int|null $perPage = null, array|string $columns = ['*'], string $pageName = 'page', int|null $page = null)
     * @method Paginator|SmsGatewayParameter[]|_IH_SmsGatewayParameter_C simplePaginate(int|null $perPage = null, array|string $columns = ['*'], string $pageName = 'page', int|null $page = null)
     * @method SmsGatewayParameter sole(array|string $columns = ['*'])
     * @method SmsGatewayParameter updateOrCreate(array $attributes, array $values = [])
     */
    class _IH_SmsGatewayParameter_QB extends _BaseBuilder {}
    
    /**
     * @method SmsGateway|null getOrPut($key, \Closure $value)
     * @method SmsGateway|$this shift(int $count = 1)
     * @method SmsGateway|null firstOrFail(callable|string $key = null, $operator = null, $value = null)
     * @method SmsGateway|$this pop(int $count = 1)
     * @method SmsGateway|null pull($key, \Closure $default = null)
     * @method SmsGateway|null last(callable $callback = null, \Closure $default = null)
     * @method SmsGateway|$this random(callable|int|null $number = null, bool $preserveKeys = false)
     * @method SmsGateway|null sole(callable|string $key = null, $operator = null, $value = null)
     * @method SmsGateway|null get($key, \Closure $default = null)
     * @method SmsGateway|null first(callable $callback = null, \Closure $default = null)
     * @method SmsGateway|null firstWhere(callable|string $key, $operator = null, $value = null)
     * @method SmsGateway|null find($key, $default = null)
     * @method SmsGateway[] all()
     */
    class _IH_SmsGateway_C extends _BaseCollection {
        /**
         * @param int $size
         * @return SmsGateway[][]|Collection<_IH_SmsGateway_C>
         */
        public function chunk($size)
        {
            return [];
        }
    }
    
    /**
     * @method _IH_SmsGateway_QB whereId($value)
     * @method _IH_SmsGateway_QB whereGatewayName($value)
     * @method _IH_SmsGateway_QB whereGatewayUrl($value)
     * @method _IH_SmsGateway_QB whereRequestMethod($value)
     * @method _IH_SmsGateway_QB whereSetAuth($value)
     * @method _IH_SmsGateway_QB whereSendToParameterName($value)
     * @method _IH_SmsGateway_QB whereMessageToParameterName($value)
     * @method _IH_SmsGateway_QB whereGatewayLogo($value)
     * @method _IH_SmsGateway_QB whereStatus($value)
     * @method _IH_SmsGateway_QB whereCreatedAt($value)
     * @method _IH_SmsGateway_QB whereUpdatedAt($value)
     * @method _IH_SmsGateway_QB whereAddPlus($value)
     * @method SmsGateway baseSole(array|string $columns = ['*'])
     * @method SmsGateway create(array $attributes = [])
     * @method _IH_SmsGateway_C|SmsGateway[] cursor()
     * @method SmsGateway|null|_IH_SmsGateway_C|SmsGateway[] find($id, array|string $columns = ['*'])
     * @method _IH_SmsGateway_C|SmsGateway[] findMany(array|Arrayable $ids, array|string $columns = ['*'])
     * @method SmsGateway|_IH_SmsGateway_C|SmsGateway[] findOr($id, array|\Closure|string $columns = ['*'], \Closure $callback = null)
     * @method SmsGateway|_IH_SmsGateway_C|SmsGateway[] findOrFail($id, array|string $columns = ['*'])
     * @method SmsGateway|_IH_SmsGateway_C|SmsGateway[] findOrNew($id, array|string $columns = ['*'])
     * @method SmsGateway first(array|string $columns = ['*'])
     * @method SmsGateway firstOr(array|\Closure|string $columns = ['*'], \Closure $callback = null)
     * @method SmsGateway firstOrCreate(array $attributes = [], array $values = [])
     * @method SmsGateway firstOrFail(array|string $columns = ['*'])
     * @method SmsGateway firstOrNew(array $attributes = [], array $values = [])
     * @method SmsGateway firstWhere(array|\Closure|Expression|string $column, $operator = null, $value = null, string $boolean = 'and')
     * @method SmsGateway forceCreate(array $attributes)
     * @method _IH_SmsGateway_C|SmsGateway[] fromQuery(string $query, array $bindings = [])
     * @method _IH_SmsGateway_C|SmsGateway[] get(array|string $columns = ['*'])
     * @method SmsGateway getModel()
     * @method SmsGateway[] getModels(array|string $columns = ['*'])
     * @method _IH_SmsGateway_C|SmsGateway[] hydrate(array $items)
     * @method _IH_SmsGateway_C|SmsGateway[] lazy(int $chunkSize = 1000)
     * @method _IH_SmsGateway_C|SmsGateway[] lazyById(int $chunkSize = 1000, null|string $column = null, null|string $alias = null)
     * @method _IH_SmsGateway_C|SmsGateway[] lazyByIdDesc(int $chunkSize = 1000, null|string $column = null, null|string $alias = null)
     * @method SmsGateway make(array $attributes = [])
     * @method SmsGateway newModelInstance(array $attributes = [])
     * @method LengthAwarePaginator|SmsGateway[]|_IH_SmsGateway_C paginate(\Closure|int|null $perPage = null, array|string $columns = ['*'], string $pageName = 'page', int|null $page = null)
     * @method Paginator|SmsGateway[]|_IH_SmsGateway_C simplePaginate(int|null $perPage = null, array|string $columns = ['*'], string $pageName = 'page', int|null $page = null)
     * @method SmsGateway sole(array|string $columns = ['*'])
     * @method SmsGateway updateOrCreate(array $attributes, array $values = [])
     */
    class _IH_SmsGateway_QB extends _BaseBuilder {}
    
    /**
     * @method StudentSetup|null getOrPut($key, \Closure $value)
     * @method StudentSetup|$this shift(int $count = 1)
     * @method StudentSetup|null firstOrFail(callable|string $key = null, $operator = null, $value = null)
     * @method StudentSetup|$this pop(int $count = 1)
     * @method StudentSetup|null pull($key, \Closure $default = null)
     * @method StudentSetup|null last(callable $callback = null, \Closure $default = null)
     * @method StudentSetup|$this random(callable|int|null $number = null, bool $preserveKeys = false)
     * @method StudentSetup|null sole(callable|string $key = null, $operator = null, $value = null)
     * @method StudentSetup|null get($key, \Closure $default = null)
     * @method StudentSetup|null first(callable $callback = null, \Closure $default = null)
     * @method StudentSetup|null firstWhere(callable|string $key, $operator = null, $value = null)
     * @method StudentSetup|null find($key, $default = null)
     * @method StudentSetup[] all()
     */
    class _IH_StudentSetup_C extends _BaseCollection {
        /**
         * @param int $size
         * @return StudentSetup[][]|Collection<_IH_StudentSetup_C>
         */
        public function chunk($size)
        {
            return [];
        }
    }
    
    /**
     * @method _IH_StudentSetup_QB whereId($value)
     * @method _IH_StudentSetup_QB whereShowRecommendedSection($value)
     * @method _IH_StudentSetup_QB whereShowRunningCourseThumb($value)
     * @method _IH_StudentSetup_QB whereCreatedAt($value)
     * @method _IH_StudentSetup_QB whereUpdatedAt($value)
     * @method StudentSetup baseSole(array|string $columns = ['*'])
     * @method StudentSetup create(array $attributes = [])
     * @method _IH_StudentSetup_C|StudentSetup[] cursor()
     * @method StudentSetup|null|_IH_StudentSetup_C|StudentSetup[] find($id, array|string $columns = ['*'])
     * @method _IH_StudentSetup_C|StudentSetup[] findMany(array|Arrayable $ids, array|string $columns = ['*'])
     * @method StudentSetup|_IH_StudentSetup_C|StudentSetup[] findOr($id, array|\Closure|string $columns = ['*'], \Closure $callback = null)
     * @method StudentSetup|_IH_StudentSetup_C|StudentSetup[] findOrFail($id, array|string $columns = ['*'])
     * @method StudentSetup|_IH_StudentSetup_C|StudentSetup[] findOrNew($id, array|string $columns = ['*'])
     * @method StudentSetup first(array|string $columns = ['*'])
     * @method StudentSetup firstOr(array|\Closure|string $columns = ['*'], \Closure $callback = null)
     * @method StudentSetup firstOrCreate(array $attributes = [], array $values = [])
     * @method StudentSetup firstOrFail(array|string $columns = ['*'])
     * @method StudentSetup firstOrNew(array $attributes = [], array $values = [])
     * @method StudentSetup firstWhere(array|\Closure|Expression|string $column, $operator = null, $value = null, string $boolean = 'and')
     * @method StudentSetup forceCreate(array $attributes)
     * @method _IH_StudentSetup_C|StudentSetup[] fromQuery(string $query, array $bindings = [])
     * @method _IH_StudentSetup_C|StudentSetup[] get(array|string $columns = ['*'])
     * @method StudentSetup getModel()
     * @method StudentSetup[] getModels(array|string $columns = ['*'])
     * @method _IH_StudentSetup_C|StudentSetup[] hydrate(array $items)
     * @method _IH_StudentSetup_C|StudentSetup[] lazy(int $chunkSize = 1000)
     * @method _IH_StudentSetup_C|StudentSetup[] lazyById(int $chunkSize = 1000, null|string $column = null, null|string $alias = null)
     * @method _IH_StudentSetup_C|StudentSetup[] lazyByIdDesc(int $chunkSize = 1000, null|string $column = null, null|string $alias = null)
     * @method StudentSetup make(array $attributes = [])
     * @method StudentSetup newModelInstance(array $attributes = [])
     * @method LengthAwarePaginator|StudentSetup[]|_IH_StudentSetup_C paginate(\Closure|int|null $perPage = null, array|string $columns = ['*'], string $pageName = 'page', int|null $page = null)
     * @method Paginator|StudentSetup[]|_IH_StudentSetup_C simplePaginate(int|null $perPage = null, array|string $columns = ['*'], string $pageName = 'page', int|null $page = null)
     * @method StudentSetup sole(array|string $columns = ['*'])
     * @method StudentSetup updateOrCreate(array $attributes, array $values = [])
     */
    class _IH_StudentSetup_QB extends _BaseBuilder {}
    
    /**
     * @method UsedMedia|null getOrPut($key, \Closure $value)
     * @method UsedMedia|$this shift(int $count = 1)
     * @method UsedMedia|null firstOrFail(callable|string $key = null, $operator = null, $value = null)
     * @method UsedMedia|$this pop(int $count = 1)
     * @method UsedMedia|null pull($key, \Closure $default = null)
     * @method UsedMedia|null last(callable $callback = null, \Closure $default = null)
     * @method UsedMedia|$this random(callable|int|null $number = null, bool $preserveKeys = false)
     * @method UsedMedia|null sole(callable|string $key = null, $operator = null, $value = null)
     * @method UsedMedia|null get($key, \Closure $default = null)
     * @method UsedMedia|null first(callable $callback = null, \Closure $default = null)
     * @method UsedMedia|null firstWhere(callable|string $key, $operator = null, $value = null)
     * @method UsedMedia|null find($key, $default = null)
     * @method UsedMedia[] all()
     */
    class _IH_UsedMedia_C extends _BaseCollection {
        /**
         * @param int $size
         * @return UsedMedia[][]|Collection<_IH_UsedMedia_C>
         */
        public function chunk($size)
        {
            return [];
        }
    }
    
    /**
     * @method _IH_UsedMedia_QB whereId($value)
     * @method _IH_UsedMedia_QB whereMediaId($value)
     * @method _IH_UsedMedia_QB whereUsableId($value)
     * @method _IH_UsedMedia_QB whereUsableType($value)
     * @method _IH_UsedMedia_QB whereUsedFor($value)
     * @method _IH_UsedMedia_QB whereCreatedAt($value)
     * @method _IH_UsedMedia_QB whereUpdatedAt($value)
     * @method UsedMedia baseSole(array|string $columns = ['*'])
     * @method UsedMedia create(array $attributes = [])
     * @method _IH_UsedMedia_C|UsedMedia[] cursor()
     * @method UsedMedia|null|_IH_UsedMedia_C|UsedMedia[] find($id, array|string $columns = ['*'])
     * @method _IH_UsedMedia_C|UsedMedia[] findMany(array|Arrayable $ids, array|string $columns = ['*'])
     * @method UsedMedia|_IH_UsedMedia_C|UsedMedia[] findOr($id, array|\Closure|string $columns = ['*'], \Closure $callback = null)
     * @method UsedMedia|_IH_UsedMedia_C|UsedMedia[] findOrFail($id, array|string $columns = ['*'])
     * @method UsedMedia|_IH_UsedMedia_C|UsedMedia[] findOrNew($id, array|string $columns = ['*'])
     * @method UsedMedia first(array|string $columns = ['*'])
     * @method UsedMedia firstOr(array|\Closure|string $columns = ['*'], \Closure $callback = null)
     * @method UsedMedia firstOrCreate(array $attributes = [], array $values = [])
     * @method UsedMedia firstOrFail(array|string $columns = ['*'])
     * @method UsedMedia firstOrNew(array $attributes = [], array $values = [])
     * @method UsedMedia firstWhere(array|\Closure|Expression|string $column, $operator = null, $value = null, string $boolean = 'and')
     * @method UsedMedia forceCreate(array $attributes)
     * @method _IH_UsedMedia_C|UsedMedia[] fromQuery(string $query, array $bindings = [])
     * @method _IH_UsedMedia_C|UsedMedia[] get(array|string $columns = ['*'])
     * @method UsedMedia getModel()
     * @method UsedMedia[] getModels(array|string $columns = ['*'])
     * @method _IH_UsedMedia_C|UsedMedia[] hydrate(array $items)
     * @method _IH_UsedMedia_C|UsedMedia[] lazy(int $chunkSize = 1000)
     * @method _IH_UsedMedia_C|UsedMedia[] lazyById(int $chunkSize = 1000, null|string $column = null, null|string $alias = null)
     * @method _IH_UsedMedia_C|UsedMedia[] lazyByIdDesc(int $chunkSize = 1000, null|string $column = null, null|string $alias = null)
     * @method UsedMedia make(array $attributes = [])
     * @method UsedMedia newModelInstance(array $attributes = [])
     * @method LengthAwarePaginator|UsedMedia[]|_IH_UsedMedia_C paginate(\Closure|int|null $perPage = null, array|string $columns = ['*'], string $pageName = 'page', int|null $page = null)
     * @method Paginator|UsedMedia[]|_IH_UsedMedia_C simplePaginate(int|null $perPage = null, array|string $columns = ['*'], string $pageName = 'page', int|null $page = null)
     * @method UsedMedia sole(array|string $columns = ['*'])
     * @method UsedMedia updateOrCreate(array $attributes, array $values = [])
     */
    class _IH_UsedMedia_QB extends _BaseBuilder {}
    
    /**
     * @method UserBadge|null getOrPut($key, \Closure $value)
     * @method UserBadge|$this shift(int $count = 1)
     * @method UserBadge|null firstOrFail(callable|string $key = null, $operator = null, $value = null)
     * @method UserBadge|$this pop(int $count = 1)
     * @method UserBadge|null pull($key, \Closure $default = null)
     * @method UserBadge|null last(callable $callback = null, \Closure $default = null)
     * @method UserBadge|$this random(callable|int|null $number = null, bool $preserveKeys = false)
     * @method UserBadge|null sole(callable|string $key = null, $operator = null, $value = null)
     * @method UserBadge|null get($key, \Closure $default = null)
     * @method UserBadge|null first(callable $callback = null, \Closure $default = null)
     * @method UserBadge|null firstWhere(callable|string $key, $operator = null, $value = null)
     * @method UserBadge|null find($key, $default = null)
     * @method UserBadge[] all()
     */
    class _IH_UserBadge_C extends _BaseCollection {
        /**
         * @param int $size
         * @return UserBadge[][]|Collection<_IH_UserBadge_C>
         */
        public function chunk($size)
        {
            return [];
        }
    }
    
    /**
     * @method _IH_UserBadge_QB whereId($value)
     * @method _IH_UserBadge_QB whereUserId($value)
     * @method _IH_UserBadge_QB whereBadgeId($value)
     * @method _IH_UserBadge_QB whereCreatedAt($value)
     * @method _IH_UserBadge_QB whereUpdatedAt($value)
     * @method _IH_UserBadge_QB whereStatus($value)
     * @method UserBadge baseSole(array|string $columns = ['*'])
     * @method UserBadge create(array $attributes = [])
     * @method _IH_UserBadge_C|UserBadge[] cursor()
     * @method UserBadge|null|_IH_UserBadge_C|UserBadge[] find($id, array|string $columns = ['*'])
     * @method _IH_UserBadge_C|UserBadge[] findMany(array|Arrayable $ids, array|string $columns = ['*'])
     * @method UserBadge|_IH_UserBadge_C|UserBadge[] findOr($id, array|\Closure|string $columns = ['*'], \Closure $callback = null)
     * @method UserBadge|_IH_UserBadge_C|UserBadge[] findOrFail($id, array|string $columns = ['*'])
     * @method UserBadge|_IH_UserBadge_C|UserBadge[] findOrNew($id, array|string $columns = ['*'])
     * @method UserBadge first(array|string $columns = ['*'])
     * @method UserBadge firstOr(array|\Closure|string $columns = ['*'], \Closure $callback = null)
     * @method UserBadge firstOrCreate(array $attributes = [], array $values = [])
     * @method UserBadge firstOrFail(array|string $columns = ['*'])
     * @method UserBadge firstOrNew(array $attributes = [], array $values = [])
     * @method UserBadge firstWhere(array|\Closure|Expression|string $column, $operator = null, $value = null, string $boolean = 'and')
     * @method UserBadge forceCreate(array $attributes)
     * @method _IH_UserBadge_C|UserBadge[] fromQuery(string $query, array $bindings = [])
     * @method _IH_UserBadge_C|UserBadge[] get(array|string $columns = ['*'])
     * @method UserBadge getModel()
     * @method UserBadge[] getModels(array|string $columns = ['*'])
     * @method _IH_UserBadge_C|UserBadge[] hydrate(array $items)
     * @method _IH_UserBadge_C|UserBadge[] lazy(int $chunkSize = 1000)
     * @method _IH_UserBadge_C|UserBadge[] lazyById(int $chunkSize = 1000, null|string $column = null, null|string $alias = null)
     * @method _IH_UserBadge_C|UserBadge[] lazyByIdDesc(int $chunkSize = 1000, null|string $column = null, null|string $alias = null)
     * @method UserBadge make(array $attributes = [])
     * @method UserBadge newModelInstance(array $attributes = [])
     * @method LengthAwarePaginator|UserBadge[]|_IH_UserBadge_C paginate(\Closure|int|null $perPage = null, array|string $columns = ['*'], string $pageName = 'page', int|null $page = null)
     * @method Paginator|UserBadge[]|_IH_UserBadge_C simplePaginate(int|null $perPage = null, array|string $columns = ['*'], string $pageName = 'page', int|null $page = null)
     * @method UserBadge sole(array|string $columns = ['*'])
     * @method UserBadge updateOrCreate(array $attributes, array $values = [])
     */
    class _IH_UserBadge_QB extends _BaseBuilder {}
    
    /**
     * @method UserGamificationPoint|null getOrPut($key, \Closure $value)
     * @method UserGamificationPoint|$this shift(int $count = 1)
     * @method UserGamificationPoint|null firstOrFail(callable|string $key = null, $operator = null, $value = null)
     * @method UserGamificationPoint|$this pop(int $count = 1)
     * @method UserGamificationPoint|null pull($key, \Closure $default = null)
     * @method UserGamificationPoint|null last(callable $callback = null, \Closure $default = null)
     * @method UserGamificationPoint|$this random(callable|int|null $number = null, bool $preserveKeys = false)
     * @method UserGamificationPoint|null sole(callable|string $key = null, $operator = null, $value = null)
     * @method UserGamificationPoint|null get($key, \Closure $default = null)
     * @method UserGamificationPoint|null first(callable $callback = null, \Closure $default = null)
     * @method UserGamificationPoint|null firstWhere(callable|string $key, $operator = null, $value = null)
     * @method UserGamificationPoint|null find($key, $default = null)
     * @method UserGamificationPoint[] all()
     */
    class _IH_UserGamificationPoint_C extends _BaseCollection {
        /**
         * @param int $size
         * @return UserGamificationPoint[][]|Collection<_IH_UserGamificationPoint_C>
         */
        public function chunk($size)
        {
            return [];
        }
    }
    
    /**
     * @method _IH_UserGamificationPoint_QB whereId($value)
     * @method _IH_UserGamificationPoint_QB whereUserId($value)
     * @method _IH_UserGamificationPoint_QB whereType($value)
     * @method _IH_UserGamificationPoint_QB whereBadgeType($value)
     * @method _IH_UserGamificationPoint_QB wherePoint($value)
     * @method _IH_UserGamificationPoint_QB whereStatus($value)
     * @method _IH_UserGamificationPoint_QB whereCreatedAt($value)
     * @method _IH_UserGamificationPoint_QB whereUpdatedAt($value)
     * @method UserGamificationPoint baseSole(array|string $columns = ['*'])
     * @method UserGamificationPoint create(array $attributes = [])
     * @method _IH_UserGamificationPoint_C|UserGamificationPoint[] cursor()
     * @method UserGamificationPoint|null|_IH_UserGamificationPoint_C|UserGamificationPoint[] find($id, array|string $columns = ['*'])
     * @method _IH_UserGamificationPoint_C|UserGamificationPoint[] findMany(array|Arrayable $ids, array|string $columns = ['*'])
     * @method UserGamificationPoint|_IH_UserGamificationPoint_C|UserGamificationPoint[] findOr($id, array|\Closure|string $columns = ['*'], \Closure $callback = null)
     * @method UserGamificationPoint|_IH_UserGamificationPoint_C|UserGamificationPoint[] findOrFail($id, array|string $columns = ['*'])
     * @method UserGamificationPoint|_IH_UserGamificationPoint_C|UserGamificationPoint[] findOrNew($id, array|string $columns = ['*'])
     * @method UserGamificationPoint first(array|string $columns = ['*'])
     * @method UserGamificationPoint firstOr(array|\Closure|string $columns = ['*'], \Closure $callback = null)
     * @method UserGamificationPoint firstOrCreate(array $attributes = [], array $values = [])
     * @method UserGamificationPoint firstOrFail(array|string $columns = ['*'])
     * @method UserGamificationPoint firstOrNew(array $attributes = [], array $values = [])
     * @method UserGamificationPoint firstWhere(array|\Closure|Expression|string $column, $operator = null, $value = null, string $boolean = 'and')
     * @method UserGamificationPoint forceCreate(array $attributes)
     * @method _IH_UserGamificationPoint_C|UserGamificationPoint[] fromQuery(string $query, array $bindings = [])
     * @method _IH_UserGamificationPoint_C|UserGamificationPoint[] get(array|string $columns = ['*'])
     * @method UserGamificationPoint getModel()
     * @method UserGamificationPoint[] getModels(array|string $columns = ['*'])
     * @method _IH_UserGamificationPoint_C|UserGamificationPoint[] hydrate(array $items)
     * @method _IH_UserGamificationPoint_C|UserGamificationPoint[] lazy(int $chunkSize = 1000)
     * @method _IH_UserGamificationPoint_C|UserGamificationPoint[] lazyById(int $chunkSize = 1000, null|string $column = null, null|string $alias = null)
     * @method _IH_UserGamificationPoint_C|UserGamificationPoint[] lazyByIdDesc(int $chunkSize = 1000, null|string $column = null, null|string $alias = null)
     * @method UserGamificationPoint make(array $attributes = [])
     * @method UserGamificationPoint newModelInstance(array $attributes = [])
     * @method LengthAwarePaginator|UserGamificationPoint[]|_IH_UserGamificationPoint_C paginate(\Closure|int|null $perPage = null, array|string $columns = ['*'], string $pageName = 'page', int|null $page = null)
     * @method Paginator|UserGamificationPoint[]|_IH_UserGamificationPoint_C simplePaginate(int|null $perPage = null, array|string $columns = ['*'], string $pageName = 'page', int|null $page = null)
     * @method UserGamificationPoint sole(array|string $columns = ['*'])
     * @method UserGamificationPoint updateOrCreate(array $attributes, array $values = [])
     */
    class _IH_UserGamificationPoint_QB extends _BaseBuilder {}
    
    /**
     * @method UserLevelHistory|null getOrPut($key, \Closure $value)
     * @method UserLevelHistory|$this shift(int $count = 1)
     * @method UserLevelHistory|null firstOrFail(callable|string $key = null, $operator = null, $value = null)
     * @method UserLevelHistory|$this pop(int $count = 1)
     * @method UserLevelHistory|null pull($key, \Closure $default = null)
     * @method UserLevelHistory|null last(callable $callback = null, \Closure $default = null)
     * @method UserLevelHistory|$this random(callable|int|null $number = null, bool $preserveKeys = false)
     * @method UserLevelHistory|null sole(callable|string $key = null, $operator = null, $value = null)
     * @method UserLevelHistory|null get($key, \Closure $default = null)
     * @method UserLevelHistory|null first(callable $callback = null, \Closure $default = null)
     * @method UserLevelHistory|null firstWhere(callable|string $key, $operator = null, $value = null)
     * @method UserLevelHistory|null find($key, $default = null)
     * @method UserLevelHistory[] all()
     */
    class _IH_UserLevelHistory_C extends _BaseCollection {
        /**
         * @param int $size
         * @return UserLevelHistory[][]|Collection<_IH_UserLevelHistory_C>
         */
        public function chunk($size)
        {
            return [];
        }
    }
    
    /**
     * @method _IH_UserLevelHistory_QB whereId($value)
     * @method _IH_UserLevelHistory_QB whereUserId($value)
     * @method _IH_UserLevelHistory_QB whereType($value)
     * @method _IH_UserLevelHistory_QB whereCount($value)
     * @method _IH_UserLevelHistory_QB whereCreatedAt($value)
     * @method _IH_UserLevelHistory_QB whereUpdatedAt($value)
     * @method UserLevelHistory baseSole(array|string $columns = ['*'])
     * @method UserLevelHistory create(array $attributes = [])
     * @method _IH_UserLevelHistory_C|UserLevelHistory[] cursor()
     * @method UserLevelHistory|null|_IH_UserLevelHistory_C|UserLevelHistory[] find($id, array|string $columns = ['*'])
     * @method _IH_UserLevelHistory_C|UserLevelHistory[] findMany(array|Arrayable $ids, array|string $columns = ['*'])
     * @method UserLevelHistory|_IH_UserLevelHistory_C|UserLevelHistory[] findOr($id, array|\Closure|string $columns = ['*'], \Closure $callback = null)
     * @method UserLevelHistory|_IH_UserLevelHistory_C|UserLevelHistory[] findOrFail($id, array|string $columns = ['*'])
     * @method UserLevelHistory|_IH_UserLevelHistory_C|UserLevelHistory[] findOrNew($id, array|string $columns = ['*'])
     * @method UserLevelHistory first(array|string $columns = ['*'])
     * @method UserLevelHistory firstOr(array|\Closure|string $columns = ['*'], \Closure $callback = null)
     * @method UserLevelHistory firstOrCreate(array $attributes = [], array $values = [])
     * @method UserLevelHistory firstOrFail(array|string $columns = ['*'])
     * @method UserLevelHistory firstOrNew(array $attributes = [], array $values = [])
     * @method UserLevelHistory firstWhere(array|\Closure|Expression|string $column, $operator = null, $value = null, string $boolean = 'and')
     * @method UserLevelHistory forceCreate(array $attributes)
     * @method _IH_UserLevelHistory_C|UserLevelHistory[] fromQuery(string $query, array $bindings = [])
     * @method _IH_UserLevelHistory_C|UserLevelHistory[] get(array|string $columns = ['*'])
     * @method UserLevelHistory getModel()
     * @method UserLevelHistory[] getModels(array|string $columns = ['*'])
     * @method _IH_UserLevelHistory_C|UserLevelHistory[] hydrate(array $items)
     * @method _IH_UserLevelHistory_C|UserLevelHistory[] lazy(int $chunkSize = 1000)
     * @method _IH_UserLevelHistory_C|UserLevelHistory[] lazyById(int $chunkSize = 1000, null|string $column = null, null|string $alias = null)
     * @method _IH_UserLevelHistory_C|UserLevelHistory[] lazyByIdDesc(int $chunkSize = 1000, null|string $column = null, null|string $alias = null)
     * @method UserLevelHistory make(array $attributes = [])
     * @method UserLevelHistory newModelInstance(array $attributes = [])
     * @method LengthAwarePaginator|UserLevelHistory[]|_IH_UserLevelHistory_C paginate(\Closure|int|null $perPage = null, array|string $columns = ['*'], string $pageName = 'page', int|null $page = null)
     * @method Paginator|UserLevelHistory[]|_IH_UserLevelHistory_C simplePaginate(int|null $perPage = null, array|string $columns = ['*'], string $pageName = 'page', int|null $page = null)
     * @method UserLevelHistory sole(array|string $columns = ['*'])
     * @method UserLevelHistory updateOrCreate(array $attributes, array $values = [])
     */
    class _IH_UserLevelHistory_QB extends _BaseBuilder {}
    
    /**
     * @method UserPayoutAccountSpecification|null getOrPut($key, \Closure $value)
     * @method UserPayoutAccountSpecification|$this shift(int $count = 1)
     * @method UserPayoutAccountSpecification|null firstOrFail(callable|string $key = null, $operator = null, $value = null)
     * @method UserPayoutAccountSpecification|$this pop(int $count = 1)
     * @method UserPayoutAccountSpecification|null pull($key, \Closure $default = null)
     * @method UserPayoutAccountSpecification|null last(callable $callback = null, \Closure $default = null)
     * @method UserPayoutAccountSpecification|$this random(callable|int|null $number = null, bool $preserveKeys = false)
     * @method UserPayoutAccountSpecification|null sole(callable|string $key = null, $operator = null, $value = null)
     * @method UserPayoutAccountSpecification|null get($key, \Closure $default = null)
     * @method UserPayoutAccountSpecification|null first(callable $callback = null, \Closure $default = null)
     * @method UserPayoutAccountSpecification|null firstWhere(callable|string $key, $operator = null, $value = null)
     * @method UserPayoutAccountSpecification|null find($key, $default = null)
     * @method UserPayoutAccountSpecification[] all()
     */
    class _IH_UserPayoutAccountSpecification_C extends _BaseCollection {
        /**
         * @param int $size
         * @return UserPayoutAccountSpecification[][]|Collection<_IH_UserPayoutAccountSpecification_C>
         */
        public function chunk($size)
        {
            return [];
        }
    }
    
    /**
     * @method _IH_UserPayoutAccountSpecification_QB whereId($value)
     * @method _IH_UserPayoutAccountSpecification_QB whereUserId($value)
     * @method _IH_UserPayoutAccountSpecification_QB wherePayoutAccountsId($value)
     * @method _IH_UserPayoutAccountSpecification_QB whereSpecificationId($value)
     * @method _IH_UserPayoutAccountSpecification_QB whereValue($value)
     * @method _IH_UserPayoutAccountSpecification_QB whereCreatedAt($value)
     * @method _IH_UserPayoutAccountSpecification_QB whereUpdatedAt($value)
     * @method UserPayoutAccountSpecification baseSole(array|string $columns = ['*'])
     * @method UserPayoutAccountSpecification create(array $attributes = [])
     * @method _IH_UserPayoutAccountSpecification_C|UserPayoutAccountSpecification[] cursor()
     * @method UserPayoutAccountSpecification|null|_IH_UserPayoutAccountSpecification_C|UserPayoutAccountSpecification[] find($id, array|string $columns = ['*'])
     * @method _IH_UserPayoutAccountSpecification_C|UserPayoutAccountSpecification[] findMany(array|Arrayable $ids, array|string $columns = ['*'])
     * @method UserPayoutAccountSpecification|_IH_UserPayoutAccountSpecification_C|UserPayoutAccountSpecification[] findOr($id, array|\Closure|string $columns = ['*'], \Closure $callback = null)
     * @method UserPayoutAccountSpecification|_IH_UserPayoutAccountSpecification_C|UserPayoutAccountSpecification[] findOrFail($id, array|string $columns = ['*'])
     * @method UserPayoutAccountSpecification|_IH_UserPayoutAccountSpecification_C|UserPayoutAccountSpecification[] findOrNew($id, array|string $columns = ['*'])
     * @method UserPayoutAccountSpecification first(array|string $columns = ['*'])
     * @method UserPayoutAccountSpecification firstOr(array|\Closure|string $columns = ['*'], \Closure $callback = null)
     * @method UserPayoutAccountSpecification firstOrCreate(array $attributes = [], array $values = [])
     * @method UserPayoutAccountSpecification firstOrFail(array|string $columns = ['*'])
     * @method UserPayoutAccountSpecification firstOrNew(array $attributes = [], array $values = [])
     * @method UserPayoutAccountSpecification firstWhere(array|\Closure|Expression|string $column, $operator = null, $value = null, string $boolean = 'and')
     * @method UserPayoutAccountSpecification forceCreate(array $attributes)
     * @method _IH_UserPayoutAccountSpecification_C|UserPayoutAccountSpecification[] fromQuery(string $query, array $bindings = [])
     * @method _IH_UserPayoutAccountSpecification_C|UserPayoutAccountSpecification[] get(array|string $columns = ['*'])
     * @method UserPayoutAccountSpecification getModel()
     * @method UserPayoutAccountSpecification[] getModels(array|string $columns = ['*'])
     * @method _IH_UserPayoutAccountSpecification_C|UserPayoutAccountSpecification[] hydrate(array $items)
     * @method _IH_UserPayoutAccountSpecification_C|UserPayoutAccountSpecification[] lazy(int $chunkSize = 1000)
     * @method _IH_UserPayoutAccountSpecification_C|UserPayoutAccountSpecification[] lazyById(int $chunkSize = 1000, null|string $column = null, null|string $alias = null)
     * @method _IH_UserPayoutAccountSpecification_C|UserPayoutAccountSpecification[] lazyByIdDesc(int $chunkSize = 1000, null|string $column = null, null|string $alias = null)
     * @method UserPayoutAccountSpecification make(array $attributes = [])
     * @method UserPayoutAccountSpecification newModelInstance(array $attributes = [])
     * @method LengthAwarePaginator|UserPayoutAccountSpecification[]|_IH_UserPayoutAccountSpecification_C paginate(\Closure|int|null $perPage = null, array|string $columns = ['*'], string $pageName = 'page', int|null $page = null)
     * @method Paginator|UserPayoutAccountSpecification[]|_IH_UserPayoutAccountSpecification_C simplePaginate(int|null $perPage = null, array|string $columns = ['*'], string $pageName = 'page', int|null $page = null)
     * @method UserPayoutAccountSpecification sole(array|string $columns = ['*'])
     * @method UserPayoutAccountSpecification updateOrCreate(array $attributes, array $values = [])
     */
    class _IH_UserPayoutAccountSpecification_QB extends _BaseBuilder {}
    
    /**
     * @method UserPayoutAccount|null getOrPut($key, \Closure $value)
     * @method UserPayoutAccount|$this shift(int $count = 1)
     * @method UserPayoutAccount|null firstOrFail(callable|string $key = null, $operator = null, $value = null)
     * @method UserPayoutAccount|$this pop(int $count = 1)
     * @method UserPayoutAccount|null pull($key, \Closure $default = null)
     * @method UserPayoutAccount|null last(callable $callback = null, \Closure $default = null)
     * @method UserPayoutAccount|$this random(callable|int|null $number = null, bool $preserveKeys = false)
     * @method UserPayoutAccount|null sole(callable|string $key = null, $operator = null, $value = null)
     * @method UserPayoutAccount|null get($key, \Closure $default = null)
     * @method UserPayoutAccount|null first(callable $callback = null, \Closure $default = null)
     * @method UserPayoutAccount|null firstWhere(callable|string $key, $operator = null, $value = null)
     * @method UserPayoutAccount|null find($key, $default = null)
     * @method UserPayoutAccount[] all()
     */
    class _IH_UserPayoutAccount_C extends _BaseCollection {
        /**
         * @param int $size
         * @return UserPayoutAccount[][]|Collection<_IH_UserPayoutAccount_C>
         */
        public function chunk($size)
        {
            return [];
        }
    }
    
    /**
     * @method _IH_UserPayoutAccount_QB whereId($value)
     * @method _IH_UserPayoutAccount_QB whereUserId($value)
     * @method _IH_UserPayoutAccount_QB wherePayoutAccountsId($value)
     * @method _IH_UserPayoutAccount_QB whereCreatedAt($value)
     * @method _IH_UserPayoutAccount_QB whereUpdatedAt($value)
     * @method UserPayoutAccount baseSole(array|string $columns = ['*'])
     * @method UserPayoutAccount create(array $attributes = [])
     * @method _IH_UserPayoutAccount_C|UserPayoutAccount[] cursor()
     * @method UserPayoutAccount|null|_IH_UserPayoutAccount_C|UserPayoutAccount[] find($id, array|string $columns = ['*'])
     * @method _IH_UserPayoutAccount_C|UserPayoutAccount[] findMany(array|Arrayable $ids, array|string $columns = ['*'])
     * @method UserPayoutAccount|_IH_UserPayoutAccount_C|UserPayoutAccount[] findOr($id, array|\Closure|string $columns = ['*'], \Closure $callback = null)
     * @method UserPayoutAccount|_IH_UserPayoutAccount_C|UserPayoutAccount[] findOrFail($id, array|string $columns = ['*'])
     * @method UserPayoutAccount|_IH_UserPayoutAccount_C|UserPayoutAccount[] findOrNew($id, array|string $columns = ['*'])
     * @method UserPayoutAccount first(array|string $columns = ['*'])
     * @method UserPayoutAccount firstOr(array|\Closure|string $columns = ['*'], \Closure $callback = null)
     * @method UserPayoutAccount firstOrCreate(array $attributes = [], array $values = [])
     * @method UserPayoutAccount firstOrFail(array|string $columns = ['*'])
     * @method UserPayoutAccount firstOrNew(array $attributes = [], array $values = [])
     * @method UserPayoutAccount firstWhere(array|\Closure|Expression|string $column, $operator = null, $value = null, string $boolean = 'and')
     * @method UserPayoutAccount forceCreate(array $attributes)
     * @method _IH_UserPayoutAccount_C|UserPayoutAccount[] fromQuery(string $query, array $bindings = [])
     * @method _IH_UserPayoutAccount_C|UserPayoutAccount[] get(array|string $columns = ['*'])
     * @method UserPayoutAccount getModel()
     * @method UserPayoutAccount[] getModels(array|string $columns = ['*'])
     * @method _IH_UserPayoutAccount_C|UserPayoutAccount[] hydrate(array $items)
     * @method _IH_UserPayoutAccount_C|UserPayoutAccount[] lazy(int $chunkSize = 1000)
     * @method _IH_UserPayoutAccount_C|UserPayoutAccount[] lazyById(int $chunkSize = 1000, null|string $column = null, null|string $alias = null)
     * @method _IH_UserPayoutAccount_C|UserPayoutAccount[] lazyByIdDesc(int $chunkSize = 1000, null|string $column = null, null|string $alias = null)
     * @method UserPayoutAccount make(array $attributes = [])
     * @method UserPayoutAccount newModelInstance(array $attributes = [])
     * @method LengthAwarePaginator|UserPayoutAccount[]|_IH_UserPayoutAccount_C paginate(\Closure|int|null $perPage = null, array|string $columns = ['*'], string $pageName = 'page', int|null $page = null)
     * @method Paginator|UserPayoutAccount[]|_IH_UserPayoutAccount_C simplePaginate(int|null $perPage = null, array|string $columns = ['*'], string $pageName = 'page', int|null $page = null)
     * @method UserPayoutAccount sole(array|string $columns = ['*'])
     * @method UserPayoutAccount updateOrCreate(array $attributes, array $values = [])
     */
    class _IH_UserPayoutAccount_QB extends _BaseBuilder {}
    
    /**
     * @method VersionHistory|null getOrPut($key, \Closure $value)
     * @method VersionHistory|$this shift(int $count = 1)
     * @method VersionHistory|null firstOrFail(callable|string $key = null, $operator = null, $value = null)
     * @method VersionHistory|$this pop(int $count = 1)
     * @method VersionHistory|null pull($key, \Closure $default = null)
     * @method VersionHistory|null last(callable $callback = null, \Closure $default = null)
     * @method VersionHistory|$this random(callable|int|null $number = null, bool $preserveKeys = false)
     * @method VersionHistory|null sole(callable|string $key = null, $operator = null, $value = null)
     * @method VersionHistory|null get($key, \Closure $default = null)
     * @method VersionHistory|null first(callable $callback = null, \Closure $default = null)
     * @method VersionHistory|null firstWhere(callable|string $key, $operator = null, $value = null)
     * @method VersionHistory|null find($key, $default = null)
     * @method VersionHistory[] all()
     */
    class _IH_VersionHistory_C extends _BaseCollection {
        /**
         * @param int $size
         * @return VersionHistory[][]|Collection<_IH_VersionHistory_C>
         */
        public function chunk($size)
        {
            return [];
        }
    }
    
    /**
     * @method _IH_VersionHistory_QB whereId($value)
     * @method _IH_VersionHistory_QB whereVersion($value)
     * @method _IH_VersionHistory_QB whereReleaseDate($value)
     * @method _IH_VersionHistory_QB whereUrl($value)
     * @method _IH_VersionHistory_QB whereNotes($value)
     * @method _IH_VersionHistory_QB whereCreatedAt($value)
     * @method _IH_VersionHistory_QB whereUpdatedAt($value)
     * @method _IH_VersionHistory_QB whereMigrations($value)
     * @method VersionHistory baseSole(array|string $columns = ['*'])
     * @method VersionHistory create(array $attributes = [])
     * @method _IH_VersionHistory_C|VersionHistory[] cursor()
     * @method VersionHistory|null|_IH_VersionHistory_C|VersionHistory[] find($id, array|string $columns = ['*'])
     * @method _IH_VersionHistory_C|VersionHistory[] findMany(array|Arrayable $ids, array|string $columns = ['*'])
     * @method VersionHistory|_IH_VersionHistory_C|VersionHistory[] findOr($id, array|\Closure|string $columns = ['*'], \Closure $callback = null)
     * @method VersionHistory|_IH_VersionHistory_C|VersionHistory[] findOrFail($id, array|string $columns = ['*'])
     * @method VersionHistory|_IH_VersionHistory_C|VersionHistory[] findOrNew($id, array|string $columns = ['*'])
     * @method VersionHistory first(array|string $columns = ['*'])
     * @method VersionHistory firstOr(array|\Closure|string $columns = ['*'], \Closure $callback = null)
     * @method VersionHistory firstOrCreate(array $attributes = [], array $values = [])
     * @method VersionHistory firstOrFail(array|string $columns = ['*'])
     * @method VersionHistory firstOrNew(array $attributes = [], array $values = [])
     * @method VersionHistory firstWhere(array|\Closure|Expression|string $column, $operator = null, $value = null, string $boolean = 'and')
     * @method VersionHistory forceCreate(array $attributes)
     * @method _IH_VersionHistory_C|VersionHistory[] fromQuery(string $query, array $bindings = [])
     * @method _IH_VersionHistory_C|VersionHistory[] get(array|string $columns = ['*'])
     * @method VersionHistory getModel()
     * @method VersionHistory[] getModels(array|string $columns = ['*'])
     * @method _IH_VersionHistory_C|VersionHistory[] hydrate(array $items)
     * @method _IH_VersionHistory_C|VersionHistory[] lazy(int $chunkSize = 1000)
     * @method _IH_VersionHistory_C|VersionHistory[] lazyById(int $chunkSize = 1000, null|string $column = null, null|string $alias = null)
     * @method _IH_VersionHistory_C|VersionHistory[] lazyByIdDesc(int $chunkSize = 1000, null|string $column = null, null|string $alias = null)
     * @method VersionHistory make(array $attributes = [])
     * @method VersionHistory newModelInstance(array $attributes = [])
     * @method LengthAwarePaginator|VersionHistory[]|_IH_VersionHistory_C paginate(\Closure|int|null $perPage = null, array|string $columns = ['*'], string $pageName = 'page', int|null $page = null)
     * @method Paginator|VersionHistory[]|_IH_VersionHistory_C simplePaginate(int|null $perPage = null, array|string $columns = ['*'], string $pageName = 'page', int|null $page = null)
     * @method VersionHistory sole(array|string $columns = ['*'])
     * @method VersionHistory updateOrCreate(array $attributes, array $values = [])
     */
    class _IH_VersionHistory_QB extends _BaseBuilder {}
}