<?php //426df1e39a1c89faba8093934a926845
/** @noinspection all */

namespace LaravelIdea\Helper\Modules\HLS\Entities {

    use Illuminate\Contracts\Database\Query\Expression;
    use Illuminate\Contracts\Support\Arrayable;
    use Illuminate\Pagination\LengthAwarePaginator;
    use Illuminate\Pagination\Paginator;
    use Illuminate\Support\Collection;
    use LaravelIdea\Helper\_BaseBuilder;
    use LaravelIdea\Helper\_BaseCollection;
    use Modules\HLS\Entities\HlsSecret;
    use Modules\HLS\Entities\HlsVideo;
    
    /**
     * @method HlsSecret|null getOrPut($key, \Closure $value)
     * @method HlsSecret|$this shift(int $count = 1)
     * @method HlsSecret|null firstOrFail(callable|string $key = null, $operator = null, $value = null)
     * @method HlsSecret|$this pop(int $count = 1)
     * @method HlsSecret|null pull($key, \Closure $default = null)
     * @method HlsSecret|null last(callable $callback = null, \Closure $default = null)
     * @method HlsSecret|$this random(callable|int|null $number = null, bool $preserveKeys = false)
     * @method HlsSecret|null sole(callable|string $key = null, $operator = null, $value = null)
     * @method HlsSecret|null get($key, \Closure $default = null)
     * @method HlsSecret|null first(callable $callback = null, \Closure $default = null)
     * @method HlsSecret|null firstWhere(callable|string $key, $operator = null, $value = null)
     * @method HlsSecret|null find($key, $default = null)
     * @method HlsSecret[] all()
     */
    class _IH_HlsSecret_C extends _BaseCollection {
        /**
         * @param int $size
         * @return HlsSecret[][]|Collection<_IH_HlsSecret_C>
         */
        public function chunk($size)
        {
            return [];
        }
    }
    
    /**
     * @method _IH_HlsSecret_QB whereId($value)
     * @method _IH_HlsSecret_QB whereVideoId($value)
     * @method _IH_HlsSecret_QB whereFilename($value)
     * @method _IH_HlsSecret_QB whereContents($value)
     * @method _IH_HlsSecret_QB whereCreatedAt($value)
     * @method _IH_HlsSecret_QB whereUpdatedAt($value)
     * @method HlsSecret baseSole(array|string $columns = ['*'])
     * @method HlsSecret create(array $attributes = [])
     * @method _IH_HlsSecret_C|HlsSecret[] cursor()
     * @method HlsSecret|null|_IH_HlsSecret_C|HlsSecret[] find($id, array|string $columns = ['*'])
     * @method _IH_HlsSecret_C|HlsSecret[] findMany(array|Arrayable $ids, array|string $columns = ['*'])
     * @method HlsSecret|_IH_HlsSecret_C|HlsSecret[] findOr($id, array|\Closure|string $columns = ['*'], \Closure $callback = null)
     * @method HlsSecret|_IH_HlsSecret_C|HlsSecret[] findOrFail($id, array|string $columns = ['*'])
     * @method HlsSecret|_IH_HlsSecret_C|HlsSecret[] findOrNew($id, array|string $columns = ['*'])
     * @method HlsSecret first(array|string $columns = ['*'])
     * @method HlsSecret firstOr(array|\Closure|string $columns = ['*'], \Closure $callback = null)
     * @method HlsSecret firstOrCreate(array $attributes = [], array $values = [])
     * @method HlsSecret firstOrFail(array|string $columns = ['*'])
     * @method HlsSecret firstOrNew(array $attributes = [], array $values = [])
     * @method HlsSecret firstWhere(array|\Closure|Expression|string $column, $operator = null, $value = null, string $boolean = 'and')
     * @method HlsSecret forceCreate(array $attributes)
     * @method _IH_HlsSecret_C|HlsSecret[] fromQuery(string $query, array $bindings = [])
     * @method _IH_HlsSecret_C|HlsSecret[] get(array|string $columns = ['*'])
     * @method HlsSecret getModel()
     * @method HlsSecret[] getModels(array|string $columns = ['*'])
     * @method _IH_HlsSecret_C|HlsSecret[] hydrate(array $items)
     * @method _IH_HlsSecret_C|HlsSecret[] lazy(int $chunkSize = 1000)
     * @method _IH_HlsSecret_C|HlsSecret[] lazyById(int $chunkSize = 1000, null|string $column = null, null|string $alias = null)
     * @method _IH_HlsSecret_C|HlsSecret[] lazyByIdDesc(int $chunkSize = 1000, null|string $column = null, null|string $alias = null)
     * @method HlsSecret make(array $attributes = [])
     * @method HlsSecret newModelInstance(array $attributes = [])
     * @method LengthAwarePaginator|HlsSecret[]|_IH_HlsSecret_C paginate(\Closure|int|null $perPage = null, array|string $columns = ['*'], string $pageName = 'page', int|null $page = null)
     * @method Paginator|HlsSecret[]|_IH_HlsSecret_C simplePaginate(int|null $perPage = null, array|string $columns = ['*'], string $pageName = 'page', int|null $page = null)
     * @method HlsSecret sole(array|string $columns = ['*'])
     * @method HlsSecret updateOrCreate(array $attributes, array $values = [])
     */
    class _IH_HlsSecret_QB extends _BaseBuilder {}
    
    /**
     * @method HlsVideo|null getOrPut($key, \Closure $value)
     * @method HlsVideo|$this shift(int $count = 1)
     * @method HlsVideo|null firstOrFail(callable|string $key = null, $operator = null, $value = null)
     * @method HlsVideo|$this pop(int $count = 1)
     * @method HlsVideo|null pull($key, \Closure $default = null)
     * @method HlsVideo|null last(callable $callback = null, \Closure $default = null)
     * @method HlsVideo|$this random(callable|int|null $number = null, bool $preserveKeys = false)
     * @method HlsVideo|null sole(callable|string $key = null, $operator = null, $value = null)
     * @method HlsVideo|null get($key, \Closure $default = null)
     * @method HlsVideo|null first(callable $callback = null, \Closure $default = null)
     * @method HlsVideo|null firstWhere(callable|string $key, $operator = null, $value = null)
     * @method HlsVideo|null find($key, $default = null)
     * @method HlsVideo[] all()
     */
    class _IH_HlsVideo_C extends _BaseCollection {
        /**
         * @param int $size
         * @return HlsVideo[][]|Collection<_IH_HlsVideo_C>
         */
        public function chunk($size)
        {
            return [];
        }
    }
    
    /**
     * @method _IH_HlsVideo_QB whereId($value)
     * @method _IH_HlsVideo_QB whereTitle($value)
     * @method _IH_HlsVideo_QB whereOriginalName($value)
     * @method _IH_HlsVideo_QB wherePath($value)
     * @method _IH_HlsVideo_QB whereStreamingPath($value)
     * @method _IH_HlsVideo_QB wherePlaylist($value)
     * @method _IH_HlsVideo_QB whereEncrypted($value)
     * @method _IH_HlsVideo_QB whereConvertedForStreamingAt($value)
     * @method _IH_HlsVideo_QB whereCreatedAt($value)
     * @method _IH_HlsVideo_QB whereUpdatedAt($value)
     * @method HlsVideo baseSole(array|string $columns = ['*'])
     * @method HlsVideo create(array $attributes = [])
     * @method _IH_HlsVideo_C|HlsVideo[] cursor()
     * @method HlsVideo|null|_IH_HlsVideo_C|HlsVideo[] find($id, array|string $columns = ['*'])
     * @method _IH_HlsVideo_C|HlsVideo[] findMany(array|Arrayable $ids, array|string $columns = ['*'])
     * @method HlsVideo|_IH_HlsVideo_C|HlsVideo[] findOr($id, array|\Closure|string $columns = ['*'], \Closure $callback = null)
     * @method HlsVideo|_IH_HlsVideo_C|HlsVideo[] findOrFail($id, array|string $columns = ['*'])
     * @method HlsVideo|_IH_HlsVideo_C|HlsVideo[] findOrNew($id, array|string $columns = ['*'])
     * @method HlsVideo first(array|string $columns = ['*'])
     * @method HlsVideo firstOr(array|\Closure|string $columns = ['*'], \Closure $callback = null)
     * @method HlsVideo firstOrCreate(array $attributes = [], array $values = [])
     * @method HlsVideo firstOrFail(array|string $columns = ['*'])
     * @method HlsVideo firstOrNew(array $attributes = [], array $values = [])
     * @method HlsVideo firstWhere(array|\Closure|Expression|string $column, $operator = null, $value = null, string $boolean = 'and')
     * @method HlsVideo forceCreate(array $attributes)
     * @method _IH_HlsVideo_C|HlsVideo[] fromQuery(string $query, array $bindings = [])
     * @method _IH_HlsVideo_C|HlsVideo[] get(array|string $columns = ['*'])
     * @method HlsVideo getModel()
     * @method HlsVideo[] getModels(array|string $columns = ['*'])
     * @method _IH_HlsVideo_C|HlsVideo[] hydrate(array $items)
     * @method _IH_HlsVideo_C|HlsVideo[] lazy(int $chunkSize = 1000)
     * @method _IH_HlsVideo_C|HlsVideo[] lazyById(int $chunkSize = 1000, null|string $column = null, null|string $alias = null)
     * @method _IH_HlsVideo_C|HlsVideo[] lazyByIdDesc(int $chunkSize = 1000, null|string $column = null, null|string $alias = null)
     * @method HlsVideo make(array $attributes = [])
     * @method HlsVideo newModelInstance(array $attributes = [])
     * @method LengthAwarePaginator|HlsVideo[]|_IH_HlsVideo_C paginate(\Closure|int|null $perPage = null, array|string $columns = ['*'], string $pageName = 'page', int|null $page = null)
     * @method Paginator|HlsVideo[]|_IH_HlsVideo_C simplePaginate(int|null $perPage = null, array|string $columns = ['*'], string $pageName = 'page', int|null $page = null)
     * @method HlsVideo sole(array|string $columns = ['*'])
     * @method HlsVideo updateOrCreate(array $attributes, array $values = [])
     */
    class _IH_HlsVideo_QB extends _BaseBuilder {}
}