<?php //dedbea472fb783f75a8c8462c7f3b5ea
/** @noinspection all */

namespace LaravelIdea\Helper\Modules\ModuleManager\Entities {

    use Illuminate\Contracts\Database\Query\Expression;
    use Illuminate\Contracts\Support\Arrayable;
    use Illuminate\Pagination\LengthAwarePaginator;
    use Illuminate\Pagination\Paginator;
    use Illuminate\Support\Collection;
    use LaravelIdea\Helper\_BaseBuilder;
    use LaravelIdea\Helper\_BaseCollection;
    use Modules\ModuleManager\Entities\InfixModuleManager;
    use Modules\ModuleManager\Entities\Module;
    
    /**
     * @method InfixModuleManager|null getOrPut($key, \Closure $value)
     * @method InfixModuleManager|$this shift(int $count = 1)
     * @method InfixModuleManager|null firstOrFail(callable|string $key = null, $operator = null, $value = null)
     * @method InfixModuleManager|$this pop(int $count = 1)
     * @method InfixModuleManager|null pull($key, \Closure $default = null)
     * @method InfixModuleManager|null last(callable $callback = null, \Closure $default = null)
     * @method InfixModuleManager|$this random(callable|int|null $number = null, bool $preserveKeys = false)
     * @method InfixModuleManager|null sole(callable|string $key = null, $operator = null, $value = null)
     * @method InfixModuleManager|null get($key, \Closure $default = null)
     * @method InfixModuleManager|null first(callable $callback = null, \Closure $default = null)
     * @method InfixModuleManager|null firstWhere(callable|string $key, $operator = null, $value = null)
     * @method InfixModuleManager|null find($key, $default = null)
     * @method InfixModuleManager[] all()
     */
    class _IH_InfixModuleManager_C extends _BaseCollection {
        /**
         * @param int $size
         * @return InfixModuleManager[][]|Collection<_IH_InfixModuleManager_C>
         */
        public function chunk($size)
        {
            return [];
        }
    }
    
    /**
     * @method _IH_InfixModuleManager_QB whereId($value)
     * @method _IH_InfixModuleManager_QB whereName($value)
     * @method _IH_InfixModuleManager_QB whereEmail($value)
     * @method _IH_InfixModuleManager_QB whereNotes($value)
     * @method _IH_InfixModuleManager_QB whereVersion($value)
     * @method _IH_InfixModuleManager_QB whereUpdateUrl($value)
     * @method _IH_InfixModuleManager_QB wherePurchaseCode($value)
     * @method _IH_InfixModuleManager_QB whereInstalledDomain($value)
     * @method _IH_InfixModuleManager_QB whereActivatedDate($value)
     * @method _IH_InfixModuleManager_QB whereCreatedAt($value)
     * @method _IH_InfixModuleManager_QB whereUpdatedAt($value)
     * @method _IH_InfixModuleManager_QB whereChecksum($value)
     * @method InfixModuleManager baseSole(array|string $columns = ['*'])
     * @method InfixModuleManager create(array $attributes = [])
     * @method _IH_InfixModuleManager_C|InfixModuleManager[] cursor()
     * @method InfixModuleManager|null|_IH_InfixModuleManager_C|InfixModuleManager[] find($id, array|string $columns = ['*'])
     * @method _IH_InfixModuleManager_C|InfixModuleManager[] findMany(array|Arrayable $ids, array|string $columns = ['*'])
     * @method InfixModuleManager|_IH_InfixModuleManager_C|InfixModuleManager[] findOr($id, array|\Closure|string $columns = ['*'], \Closure $callback = null)
     * @method InfixModuleManager|_IH_InfixModuleManager_C|InfixModuleManager[] findOrFail($id, array|string $columns = ['*'])
     * @method InfixModuleManager|_IH_InfixModuleManager_C|InfixModuleManager[] findOrNew($id, array|string $columns = ['*'])
     * @method InfixModuleManager first(array|string $columns = ['*'])
     * @method InfixModuleManager firstOr(array|\Closure|string $columns = ['*'], \Closure $callback = null)
     * @method InfixModuleManager firstOrCreate(array $attributes = [], array $values = [])
     * @method InfixModuleManager firstOrFail(array|string $columns = ['*'])
     * @method InfixModuleManager firstOrNew(array $attributes = [], array $values = [])
     * @method InfixModuleManager firstWhere(array|\Closure|Expression|string $column, $operator = null, $value = null, string $boolean = 'and')
     * @method InfixModuleManager forceCreate(array $attributes)
     * @method _IH_InfixModuleManager_C|InfixModuleManager[] fromQuery(string $query, array $bindings = [])
     * @method _IH_InfixModuleManager_C|InfixModuleManager[] get(array|string $columns = ['*'])
     * @method InfixModuleManager getModel()
     * @method InfixModuleManager[] getModels(array|string $columns = ['*'])
     * @method _IH_InfixModuleManager_C|InfixModuleManager[] hydrate(array $items)
     * @method _IH_InfixModuleManager_C|InfixModuleManager[] lazy(int $chunkSize = 1000)
     * @method _IH_InfixModuleManager_C|InfixModuleManager[] lazyById(int $chunkSize = 1000, null|string $column = null, null|string $alias = null)
     * @method _IH_InfixModuleManager_C|InfixModuleManager[] lazyByIdDesc(int $chunkSize = 1000, null|string $column = null, null|string $alias = null)
     * @method InfixModuleManager make(array $attributes = [])
     * @method InfixModuleManager newModelInstance(array $attributes = [])
     * @method LengthAwarePaginator|InfixModuleManager[]|_IH_InfixModuleManager_C paginate(\Closure|int|null $perPage = null, array|string $columns = ['*'], string $pageName = 'page', int|null $page = null)
     * @method Paginator|InfixModuleManager[]|_IH_InfixModuleManager_C simplePaginate(int|null $perPage = null, array|string $columns = ['*'], string $pageName = 'page', int|null $page = null)
     * @method InfixModuleManager sole(array|string $columns = ['*'])
     * @method InfixModuleManager updateOrCreate(array $attributes, array $values = [])
     */
    class _IH_InfixModuleManager_QB extends _BaseBuilder {}
    
    /**
     * @method Module|null getOrPut($key, \Closure $value)
     * @method Module|$this shift(int $count = 1)
     * @method Module|null firstOrFail(callable|string $key = null, $operator = null, $value = null)
     * @method Module|$this pop(int $count = 1)
     * @method Module|null pull($key, \Closure $default = null)
     * @method Module|null last(callable $callback = null, \Closure $default = null)
     * @method Module|$this random(callable|int|null $number = null, bool $preserveKeys = false)
     * @method Module|null sole(callable|string $key = null, $operator = null, $value = null)
     * @method Module|null get($key, \Closure $default = null)
     * @method Module|null first(callable $callback = null, \Closure $default = null)
     * @method Module|null firstWhere(callable|string $key, $operator = null, $value = null)
     * @method Module|null find($key, $default = null)
     * @method Module[] all()
     */
    class _IH_Module_C extends _BaseCollection {
        /**
         * @param int $size
         * @return Module[][]|Collection<_IH_Module_C>
         */
        public function chunk($size)
        {
            return [];
        }
    }
    
    /**
     * @method _IH_Module_QB whereId($value)
     * @method _IH_Module_QB whereName($value)
     * @method _IH_Module_QB whereStatus($value)
     * @method _IH_Module_QB whereOrder($value)
     * @method _IH_Module_QB whereCreatedAt($value)
     * @method _IH_Module_QB whereUpdatedAt($value)
     * @method _IH_Module_QB whereDetails($value)
     * @method Module baseSole(array|string $columns = ['*'])
     * @method Module create(array $attributes = [])
     * @method _IH_Module_C|Module[] cursor()
     * @method Module|null|_IH_Module_C|Module[] find($id, array|string $columns = ['*'])
     * @method _IH_Module_C|Module[] findMany(array|Arrayable $ids, array|string $columns = ['*'])
     * @method Module|_IH_Module_C|Module[] findOr($id, array|\Closure|string $columns = ['*'], \Closure $callback = null)
     * @method Module|_IH_Module_C|Module[] findOrFail($id, array|string $columns = ['*'])
     * @method Module|_IH_Module_C|Module[] findOrNew($id, array|string $columns = ['*'])
     * @method Module first(array|string $columns = ['*'])
     * @method Module firstOr(array|\Closure|string $columns = ['*'], \Closure $callback = null)
     * @method Module firstOrCreate(array $attributes = [], array $values = [])
     * @method Module firstOrFail(array|string $columns = ['*'])
     * @method Module firstOrNew(array $attributes = [], array $values = [])
     * @method Module firstWhere(array|\Closure|Expression|string $column, $operator = null, $value = null, string $boolean = 'and')
     * @method Module forceCreate(array $attributes)
     * @method _IH_Module_C|Module[] fromQuery(string $query, array $bindings = [])
     * @method _IH_Module_C|Module[] get(array|string $columns = ['*'])
     * @method Module getModel()
     * @method Module[] getModels(array|string $columns = ['*'])
     * @method _IH_Module_C|Module[] hydrate(array $items)
     * @method _IH_Module_C|Module[] lazy(int $chunkSize = 1000)
     * @method _IH_Module_C|Module[] lazyById(int $chunkSize = 1000, null|string $column = null, null|string $alias = null)
     * @method _IH_Module_C|Module[] lazyByIdDesc(int $chunkSize = 1000, null|string $column = null, null|string $alias = null)
     * @method Module make(array $attributes = [])
     * @method Module newModelInstance(array $attributes = [])
     * @method LengthAwarePaginator|Module[]|_IH_Module_C paginate(\Closure|int|null $perPage = null, array|string $columns = ['*'], string $pageName = 'page', int|null $page = null)
     * @method Paginator|Module[]|_IH_Module_C simplePaginate(int|null $perPage = null, array|string $columns = ['*'], string $pageName = 'page', int|null $page = null)
     * @method Module sole(array|string $columns = ['*'])
     * @method Module updateOrCreate(array $attributes, array $values = [])
     */
    class _IH_Module_QB extends _BaseBuilder {}
}