<?php //5b4a83a2e5ab77ca81cf2d5ef77189cb
/** @noinspection all */

namespace LaravelIdea\Helper\Modules\TwoFA\Entities {

    use Illuminate\Contracts\Database\Query\Expression;
    use Illuminate\Contracts\Support\Arrayable;
    use Illuminate\Pagination\LengthAwarePaginator;
    use Illuminate\Pagination\Paginator;
    use Illuminate\Support\Collection;
    use LaravelIdea\Helper\_BaseBuilder;
    use LaravelIdea\Helper\_BaseCollection;
    use Modules\TwoFA\Entities\UserOtpCode;
    
    /**
     * @method UserOtpCode|null getOrPut($key, \Closure $value)
     * @method UserOtpCode|$this shift(int $count = 1)
     * @method UserOtpCode|null firstOrFail(callable|string $key = null, $operator = null, $value = null)
     * @method UserOtpCode|$this pop(int $count = 1)
     * @method UserOtpCode|null pull($key, \Closure $default = null)
     * @method UserOtpCode|null last(callable $callback = null, \Closure $default = null)
     * @method UserOtpCode|$this random(callable|int|null $number = null, bool $preserveKeys = false)
     * @method UserOtpCode|null sole(callable|string $key = null, $operator = null, $value = null)
     * @method UserOtpCode|null get($key, \Closure $default = null)
     * @method UserOtpCode|null first(callable $callback = null, \Closure $default = null)
     * @method UserOtpCode|null firstWhere(callable|string $key, $operator = null, $value = null)
     * @method UserOtpCode|null find($key, $default = null)
     * @method UserOtpCode[] all()
     */
    class _IH_UserOtpCode_C extends _BaseCollection {
        /**
         * @param int $size
         * @return UserOtpCode[][]|Collection<_IH_UserOtpCode_C>
         */
        public function chunk($size)
        {
            return [];
        }
    }
    
    /**
     * @method _IH_UserOtpCode_QB whereId($value)
     * @method _IH_UserOtpCode_QB whereUserId($value)
     * @method _IH_UserOtpCode_QB whereEmail($value)
     * @method _IH_UserOtpCode_QB whereOtpCode($value)
     * @method _IH_UserOtpCode_QB whereExpiredTime($value)
     * @method _IH_UserOtpCode_QB whereIsActive($value)
     * @method _IH_UserOtpCode_QB whereCreatedAt($value)
     * @method _IH_UserOtpCode_QB whereUpdatedAt($value)
     * @method UserOtpCode baseSole(array|string $columns = ['*'])
     * @method UserOtpCode create(array $attributes = [])
     * @method _IH_UserOtpCode_C|UserOtpCode[] cursor()
     * @method UserOtpCode|null|_IH_UserOtpCode_C|UserOtpCode[] find($id, array|string $columns = ['*'])
     * @method _IH_UserOtpCode_C|UserOtpCode[] findMany(array|Arrayable $ids, array|string $columns = ['*'])
     * @method UserOtpCode|_IH_UserOtpCode_C|UserOtpCode[] findOr($id, array|\Closure|string $columns = ['*'], \Closure $callback = null)
     * @method UserOtpCode|_IH_UserOtpCode_C|UserOtpCode[] findOrFail($id, array|string $columns = ['*'])
     * @method UserOtpCode|_IH_UserOtpCode_C|UserOtpCode[] findOrNew($id, array|string $columns = ['*'])
     * @method UserOtpCode first(array|string $columns = ['*'])
     * @method UserOtpCode firstOr(array|\Closure|string $columns = ['*'], \Closure $callback = null)
     * @method UserOtpCode firstOrCreate(array $attributes = [], array $values = [])
     * @method UserOtpCode firstOrFail(array|string $columns = ['*'])
     * @method UserOtpCode firstOrNew(array $attributes = [], array $values = [])
     * @method UserOtpCode firstWhere(array|\Closure|Expression|string $column, $operator = null, $value = null, string $boolean = 'and')
     * @method UserOtpCode forceCreate(array $attributes)
     * @method _IH_UserOtpCode_C|UserOtpCode[] fromQuery(string $query, array $bindings = [])
     * @method _IH_UserOtpCode_C|UserOtpCode[] get(array|string $columns = ['*'])
     * @method UserOtpCode getModel()
     * @method UserOtpCode[] getModels(array|string $columns = ['*'])
     * @method _IH_UserOtpCode_C|UserOtpCode[] hydrate(array $items)
     * @method _IH_UserOtpCode_C|UserOtpCode[] lazy(int $chunkSize = 1000)
     * @method _IH_UserOtpCode_C|UserOtpCode[] lazyById(int $chunkSize = 1000, null|string $column = null, null|string $alias = null)
     * @method _IH_UserOtpCode_C|UserOtpCode[] lazyByIdDesc(int $chunkSize = 1000, null|string $column = null, null|string $alias = null)
     * @method UserOtpCode make(array $attributes = [])
     * @method UserOtpCode newModelInstance(array $attributes = [])
     * @method LengthAwarePaginator|UserOtpCode[]|_IH_UserOtpCode_C paginate(\Closure|int|null $perPage = null, array|string $columns = ['*'], string $pageName = 'page', int|null $page = null)
     * @method Paginator|UserOtpCode[]|_IH_UserOtpCode_C simplePaginate(int|null $perPage = null, array|string $columns = ['*'], string $pageName = 'page', int|null $page = null)
     * @method UserOtpCode sole(array|string $columns = ['*'])
     * @method UserOtpCode updateOrCreate(array $attributes, array $values = [])
     */
    class _IH_UserOtpCode_QB extends _BaseBuilder {}
}