<?php //3a84b796ead77b45da1c848f4513dba6
/** @noinspection all */

namespace LaravelIdea\Helper\Modules\RolePermission\Entities {

    use Illuminate\Contracts\Database\Query\Expression;
    use Illuminate\Contracts\Support\Arrayable;
    use Illuminate\Pagination\LengthAwarePaginator;
    use Illuminate\Pagination\Paginator;
    use Illuminate\Support\Collection;
    use LaravelIdea\Helper\_BaseBuilder;
    use LaravelIdea\Helper\_BaseCollection;
    use Modules\RolePermission\Entities\Permission;
    use Modules\RolePermission\Entities\Role;
    use Modules\RolePermission\Entities\RolePermission;
    
    /**
     * @method Permission|null getOrPut($key, \Closure $value)
     * @method Permission|$this shift(int $count = 1)
     * @method Permission|null firstOrFail(callable|string $key = null, $operator = null, $value = null)
     * @method Permission|$this pop(int $count = 1)
     * @method Permission|null pull($key, \Closure $default = null)
     * @method Permission|null last(callable $callback = null, \Closure $default = null)
     * @method Permission|$this random(callable|int|null $number = null, bool $preserveKeys = false)
     * @method Permission|null sole(callable|string $key = null, $operator = null, $value = null)
     * @method Permission|null get($key, \Closure $default = null)
     * @method Permission|null first(callable $callback = null, \Closure $default = null)
     * @method Permission|null firstWhere(callable|string $key, $operator = null, $value = null)
     * @method Permission|null find($key, $default = null)
     * @method Permission[] all()
     */
    class _IH_Permission_C extends _BaseCollection {
        /**
         * @param int $size
         * @return Permission[][]|Collection<_IH_Permission_C>
         */
        public function chunk($size)
        {
            return [];
        }
    }
    
    /**
     * @method _IH_Permission_QB whereId($value)
     * @method _IH_Permission_QB whereModuleId($value)
     * @method _IH_Permission_QB whereParentId($value)
     * @method _IH_Permission_QB whereName($value)
     * @method _IH_Permission_QB whereRoute($value)
     * @method _IH_Permission_QB whereStatus($value)
     * @method _IH_Permission_QB whereCreatedBy($value)
     * @method _IH_Permission_QB whereUpdatedBy($value)
     * @method _IH_Permission_QB whereType($value)
     * @method _IH_Permission_QB whereBackend($value)
     * @method _IH_Permission_QB wherePower($value)
     * @method _IH_Permission_QB whereParentRoute($value)
     * @method _IH_Permission_QB whereEcommerce($value)
     * @method _IH_Permission_QB whereIcon($value)
     * @method _IH_Permission_QB whereMenuStatus($value)
     * @method _IH_Permission_QB whereOldName($value)
     * @method _IH_Permission_QB whereOldType($value)
     * @method _IH_Permission_QB whereOldParentRoute($value)
     * @method _IH_Permission_QB wherePosition($value)
     * @method _IH_Permission_QB whereModule($value)
     * @method _IH_Permission_QB whereTheme($value)
     * @method _IH_Permission_QB whereNotModule($value)
     * @method _IH_Permission_QB whereNotTheme($value)
     * @method _IH_Permission_QB whereSectionId($value)
     * @method _IH_Permission_QB whereCreatedAt($value)
     * @method _IH_Permission_QB whereUpdatedAt($value)
     * @method Permission baseSole(array|string $columns = ['*'])
     * @method Permission create(array $attributes = [])
     * @method _IH_Permission_C|Permission[] cursor()
     * @method Permission|null|_IH_Permission_C|Permission[] find($id, array|string $columns = ['*'])
     * @method _IH_Permission_C|Permission[] findMany(array|Arrayable $ids, array|string $columns = ['*'])
     * @method Permission|_IH_Permission_C|Permission[] findOr($id, array|\Closure|string $columns = ['*'], \Closure $callback = null)
     * @method Permission|_IH_Permission_C|Permission[] findOrFail($id, array|string $columns = ['*'])
     * @method Permission|_IH_Permission_C|Permission[] findOrNew($id, array|string $columns = ['*'])
     * @method Permission first(array|string $columns = ['*'])
     * @method Permission firstOr(array|\Closure|string $columns = ['*'], \Closure $callback = null)
     * @method Permission firstOrCreate(array $attributes = [], array $values = [])
     * @method Permission firstOrFail(array|string $columns = ['*'])
     * @method Permission firstOrNew(array $attributes = [], array $values = [])
     * @method Permission firstWhere(array|\Closure|Expression|string $column, $operator = null, $value = null, string $boolean = 'and')
     * @method Permission forceCreate(array $attributes)
     * @method _IH_Permission_C|Permission[] fromQuery(string $query, array $bindings = [])
     * @method _IH_Permission_C|Permission[] get(array|string $columns = ['*'])
     * @method Permission getModel()
     * @method Permission[] getModels(array|string $columns = ['*'])
     * @method _IH_Permission_C|Permission[] hydrate(array $items)
     * @method _IH_Permission_C|Permission[] lazy(int $chunkSize = 1000)
     * @method _IH_Permission_C|Permission[] lazyById(int $chunkSize = 1000, null|string $column = null, null|string $alias = null)
     * @method _IH_Permission_C|Permission[] lazyByIdDesc(int $chunkSize = 1000, null|string $column = null, null|string $alias = null)
     * @method Permission make(array $attributes = [])
     * @method Permission newModelInstance(array $attributes = [])
     * @method LengthAwarePaginator|Permission[]|_IH_Permission_C paginate(\Closure|int|null $perPage = null, array|string $columns = ['*'], string $pageName = 'page', int|null $page = null)
     * @method Paginator|Permission[]|_IH_Permission_C simplePaginate(int|null $perPage = null, array|string $columns = ['*'], string $pageName = 'page', int|null $page = null)
     * @method Permission sole(array|string $columns = ['*'])
     * @method Permission updateOrCreate(array $attributes, array $values = [])
     */
    class _IH_Permission_QB extends _BaseBuilder {}
    
    /**
     * @method RolePermission|null getOrPut($key, \Closure $value)
     * @method RolePermission|$this shift(int $count = 1)
     * @method RolePermission|null firstOrFail(callable|string $key = null, $operator = null, $value = null)
     * @method RolePermission|$this pop(int $count = 1)
     * @method RolePermission|null pull($key, \Closure $default = null)
     * @method RolePermission|null last(callable $callback = null, \Closure $default = null)
     * @method RolePermission|$this random(callable|int|null $number = null, bool $preserveKeys = false)
     * @method RolePermission|null sole(callable|string $key = null, $operator = null, $value = null)
     * @method RolePermission|null get($key, \Closure $default = null)
     * @method RolePermission|null first(callable $callback = null, \Closure $default = null)
     * @method RolePermission|null firstWhere(callable|string $key, $operator = null, $value = null)
     * @method RolePermission|null find($key, $default = null)
     * @method RolePermission[] all()
     */
    class _IH_RolePermission_C extends _BaseCollection {
        /**
         * @param int $size
         * @return RolePermission[][]|Collection<_IH_RolePermission_C>
         */
        public function chunk($size)
        {
            return [];
        }
    }
    
    /**
     * @method _IH_RolePermission_QB whereId($value)
     * @method _IH_RolePermission_QB wherePermissionId($value)
     * @method _IH_RolePermission_QB whereRoleId($value)
     * @method _IH_RolePermission_QB whereStatus($value)
     * @method _IH_RolePermission_QB whereCreatedBy($value)
     * @method _IH_RolePermission_QB whereUpdatedBy($value)
     * @method _IH_RolePermission_QB whereCreatedAt($value)
     * @method _IH_RolePermission_QB whereUpdatedAt($value)
     * @method _IH_RolePermission_QB wherePolicyId($value)
     * @method RolePermission baseSole(array|string $columns = ['*'])
     * @method RolePermission create(array $attributes = [])
     * @method _IH_RolePermission_C|RolePermission[] cursor()
     * @method RolePermission|null|_IH_RolePermission_C|RolePermission[] find($id, array|string $columns = ['*'])
     * @method _IH_RolePermission_C|RolePermission[] findMany(array|Arrayable $ids, array|string $columns = ['*'])
     * @method RolePermission|_IH_RolePermission_C|RolePermission[] findOr($id, array|\Closure|string $columns = ['*'], \Closure $callback = null)
     * @method RolePermission|_IH_RolePermission_C|RolePermission[] findOrFail($id, array|string $columns = ['*'])
     * @method RolePermission|_IH_RolePermission_C|RolePermission[] findOrNew($id, array|string $columns = ['*'])
     * @method RolePermission first(array|string $columns = ['*'])
     * @method RolePermission firstOr(array|\Closure|string $columns = ['*'], \Closure $callback = null)
     * @method RolePermission firstOrCreate(array $attributes = [], array $values = [])
     * @method RolePermission firstOrFail(array|string $columns = ['*'])
     * @method RolePermission firstOrNew(array $attributes = [], array $values = [])
     * @method RolePermission firstWhere(array|\Closure|Expression|string $column, $operator = null, $value = null, string $boolean = 'and')
     * @method RolePermission forceCreate(array $attributes)
     * @method _IH_RolePermission_C|RolePermission[] fromQuery(string $query, array $bindings = [])
     * @method _IH_RolePermission_C|RolePermission[] get(array|string $columns = ['*'])
     * @method RolePermission getModel()
     * @method RolePermission[] getModels(array|string $columns = ['*'])
     * @method _IH_RolePermission_C|RolePermission[] hydrate(array $items)
     * @method _IH_RolePermission_C|RolePermission[] lazy(int $chunkSize = 1000)
     * @method _IH_RolePermission_C|RolePermission[] lazyById(int $chunkSize = 1000, null|string $column = null, null|string $alias = null)
     * @method _IH_RolePermission_C|RolePermission[] lazyByIdDesc(int $chunkSize = 1000, null|string $column = null, null|string $alias = null)
     * @method RolePermission make(array $attributes = [])
     * @method RolePermission newModelInstance(array $attributes = [])
     * @method LengthAwarePaginator|RolePermission[]|_IH_RolePermission_C paginate(\Closure|int|null $perPage = null, array|string $columns = ['*'], string $pageName = 'page', int|null $page = null)
     * @method Paginator|RolePermission[]|_IH_RolePermission_C simplePaginate(int|null $perPage = null, array|string $columns = ['*'], string $pageName = 'page', int|null $page = null)
     * @method RolePermission sole(array|string $columns = ['*'])
     * @method RolePermission updateOrCreate(array $attributes, array $values = [])
     */
    class _IH_RolePermission_QB extends _BaseBuilder {}
    
    /**
     * @method Role|null getOrPut($key, \Closure $value)
     * @method Role|$this shift(int $count = 1)
     * @method Role|null firstOrFail(callable|string $key = null, $operator = null, $value = null)
     * @method Role|$this pop(int $count = 1)
     * @method Role|null pull($key, \Closure $default = null)
     * @method Role|null last(callable $callback = null, \Closure $default = null)
     * @method Role|$this random(callable|int|null $number = null, bool $preserveKeys = false)
     * @method Role|null sole(callable|string $key = null, $operator = null, $value = null)
     * @method Role|null get($key, \Closure $default = null)
     * @method Role|null first(callable $callback = null, \Closure $default = null)
     * @method Role|null firstWhere(callable|string $key, $operator = null, $value = null)
     * @method Role|null find($key, $default = null)
     * @method Role[] all()
     */
    class _IH_Role_C extends _BaseCollection {
        /**
         * @param int $size
         * @return Role[][]|Collection<_IH_Role_C>
         */
        public function chunk($size)
        {
            return [];
        }
    }
    
    /**
     * @method _IH_Role_QB whereId($value)
     * @method _IH_Role_QB whereName($value)
     * @method _IH_Role_QB whereType($value)
     * @method _IH_Role_QB whereDetails($value)
     * @method _IH_Role_QB whereCreatedAt($value)
     * @method _IH_Role_QB whereUpdatedAt($value)
     * @method Role baseSole(array|string $columns = ['*'])
     * @method Role create(array $attributes = [])
     * @method _IH_Role_C|Role[] cursor()
     * @method Role|null|_IH_Role_C|Role[] find($id, array|string $columns = ['*'])
     * @method _IH_Role_C|Role[] findMany(array|Arrayable $ids, array|string $columns = ['*'])
     * @method Role|_IH_Role_C|Role[] findOr($id, array|\Closure|string $columns = ['*'], \Closure $callback = null)
     * @method Role|_IH_Role_C|Role[] findOrFail($id, array|string $columns = ['*'])
     * @method Role|_IH_Role_C|Role[] findOrNew($id, array|string $columns = ['*'])
     * @method Role first(array|string $columns = ['*'])
     * @method Role firstOr(array|\Closure|string $columns = ['*'], \Closure $callback = null)
     * @method Role firstOrCreate(array $attributes = [], array $values = [])
     * @method Role firstOrFail(array|string $columns = ['*'])
     * @method Role firstOrNew(array $attributes = [], array $values = [])
     * @method Role firstWhere(array|\Closure|Expression|string $column, $operator = null, $value = null, string $boolean = 'and')
     * @method Role forceCreate(array $attributes)
     * @method _IH_Role_C|Role[] fromQuery(string $query, array $bindings = [])
     * @method _IH_Role_C|Role[] get(array|string $columns = ['*'])
     * @method Role getModel()
     * @method Role[] getModels(array|string $columns = ['*'])
     * @method _IH_Role_C|Role[] hydrate(array $items)
     * @method _IH_Role_C|Role[] lazy(int $chunkSize = 1000)
     * @method _IH_Role_C|Role[] lazyById(int $chunkSize = 1000, null|string $column = null, null|string $alias = null)
     * @method _IH_Role_C|Role[] lazyByIdDesc(int $chunkSize = 1000, null|string $column = null, null|string $alias = null)
     * @method Role make(array $attributes = [])
     * @method Role newModelInstance(array $attributes = [])
     * @method LengthAwarePaginator|Role[]|_IH_Role_C paginate(\Closure|int|null $perPage = null, array|string $columns = ['*'], string $pageName = 'page', int|null $page = null)
     * @method Paginator|Role[]|_IH_Role_C simplePaginate(int|null $perPage = null, array|string $columns = ['*'], string $pageName = 'page', int|null $page = null)
     * @method Role sole(array|string $columns = ['*'])
     * @method Role updateOrCreate(array $attributes, array $values = [])
     */
    class _IH_Role_QB extends _BaseBuilder {}
}