<?php //725c83c0789df589389d58a441162e2c
/** @noinspection all */

namespace LaravelIdea\Helper\Modules\BunnyStorage\Entities {

    use Illuminate\Contracts\Database\Query\Expression;
    use Illuminate\Contracts\Support\Arrayable;
    use Illuminate\Pagination\LengthAwarePaginator;
    use Illuminate\Pagination\Paginator;
    use Illuminate\Support\Collection;
    use LaravelIdea\Helper\_BaseBuilder;
    use LaravelIdea\Helper\_BaseCollection;
    use Modules\BunnyStorage\Entities\BunnyLesson;
    use Modules\BunnyStorage\Entities\BunnyStream;
    
    /**
     * @method BunnyLesson|null getOrPut($key, \Closure $value)
     * @method BunnyLesson|$this shift(int $count = 1)
     * @method BunnyLesson|null firstOrFail(callable|string $key = null, $operator = null, $value = null)
     * @method BunnyLesson|$this pop(int $count = 1)
     * @method BunnyLesson|null pull($key, \Closure $default = null)
     * @method BunnyLesson|null last(callable $callback = null, \Closure $default = null)
     * @method BunnyLesson|$this random(callable|int|null $number = null, bool $preserveKeys = false)
     * @method BunnyLesson|null sole(callable|string $key = null, $operator = null, $value = null)
     * @method BunnyLesson|null get($key, \Closure $default = null)
     * @method BunnyLesson|null first(callable $callback = null, \Closure $default = null)
     * @method BunnyLesson|null firstWhere(callable|string $key, $operator = null, $value = null)
     * @method BunnyLesson|null find($key, $default = null)
     * @method BunnyLesson[] all()
     */
    class _IH_BunnyLesson_C extends _BaseCollection {
        /**
         * @param int $size
         * @return BunnyLesson[][]|Collection<_IH_BunnyLesson_C>
         */
        public function chunk($size)
        {
            return [];
        }
    }
    
    /**
     * @method _IH_BunnyLesson_QB whereId($value)
     * @method _IH_BunnyLesson_QB whereLessonId($value)
     * @method _IH_BunnyLesson_QB whereServiceType($value)
     * @method _IH_BunnyLesson_QB whereAccessKey($value)
     * @method _IH_BunnyLesson_QB whereLibraryId($value)
     * @method _IH_BunnyLesson_QB whereVideoId($value)
     * @method _IH_BunnyLesson_QB whereTokenAuthenticationKey($value)
     * @method _IH_BunnyLesson_QB whereRegion($value)
     * @method _IH_BunnyLesson_QB whereZoneName($value)
     * @method _IH_BunnyLesson_QB whereName($value)
     * @method _IH_BunnyLesson_QB whereCreatedAt($value)
     * @method _IH_BunnyLesson_QB whereUpdatedAt($value)
     * @method BunnyLesson baseSole(array|string $columns = ['*'])
     * @method BunnyLesson create(array $attributes = [])
     * @method _IH_BunnyLesson_C|BunnyLesson[] cursor()
     * @method BunnyLesson|null|_IH_BunnyLesson_C|BunnyLesson[] find($id, array|string $columns = ['*'])
     * @method _IH_BunnyLesson_C|BunnyLesson[] findMany(array|Arrayable $ids, array|string $columns = ['*'])
     * @method BunnyLesson|_IH_BunnyLesson_C|BunnyLesson[] findOr($id, array|\Closure|string $columns = ['*'], \Closure $callback = null)
     * @method BunnyLesson|_IH_BunnyLesson_C|BunnyLesson[] findOrFail($id, array|string $columns = ['*'])
     * @method BunnyLesson|_IH_BunnyLesson_C|BunnyLesson[] findOrNew($id, array|string $columns = ['*'])
     * @method BunnyLesson first(array|string $columns = ['*'])
     * @method BunnyLesson firstOr(array|\Closure|string $columns = ['*'], \Closure $callback = null)
     * @method BunnyLesson firstOrCreate(array $attributes = [], array $values = [])
     * @method BunnyLesson firstOrFail(array|string $columns = ['*'])
     * @method BunnyLesson firstOrNew(array $attributes = [], array $values = [])
     * @method BunnyLesson firstWhere(array|\Closure|Expression|string $column, $operator = null, $value = null, string $boolean = 'and')
     * @method BunnyLesson forceCreate(array $attributes)
     * @method _IH_BunnyLesson_C|BunnyLesson[] fromQuery(string $query, array $bindings = [])
     * @method _IH_BunnyLesson_C|BunnyLesson[] get(array|string $columns = ['*'])
     * @method BunnyLesson getModel()
     * @method BunnyLesson[] getModels(array|string $columns = ['*'])
     * @method _IH_BunnyLesson_C|BunnyLesson[] hydrate(array $items)
     * @method _IH_BunnyLesson_C|BunnyLesson[] lazy(int $chunkSize = 1000)
     * @method _IH_BunnyLesson_C|BunnyLesson[] lazyById(int $chunkSize = 1000, null|string $column = null, null|string $alias = null)
     * @method _IH_BunnyLesson_C|BunnyLesson[] lazyByIdDesc(int $chunkSize = 1000, null|string $column = null, null|string $alias = null)
     * @method BunnyLesson make(array $attributes = [])
     * @method BunnyLesson newModelInstance(array $attributes = [])
     * @method LengthAwarePaginator|BunnyLesson[]|_IH_BunnyLesson_C paginate(\Closure|int|null $perPage = null, array|string $columns = ['*'], string $pageName = 'page', int|null $page = null)
     * @method Paginator|BunnyLesson[]|_IH_BunnyLesson_C simplePaginate(int|null $perPage = null, array|string $columns = ['*'], string $pageName = 'page', int|null $page = null)
     * @method BunnyLesson sole(array|string $columns = ['*'])
     * @method BunnyLesson updateOrCreate(array $attributes, array $values = [])
     */
    class _IH_BunnyLesson_QB extends _BaseBuilder {}
    
    /**
     * @method BunnyStream|null getOrPut($key, \Closure $value)
     * @method BunnyStream|$this shift(int $count = 1)
     * @method BunnyStream|null firstOrFail(callable|string $key = null, $operator = null, $value = null)
     * @method BunnyStream|$this pop(int $count = 1)
     * @method BunnyStream|null pull($key, \Closure $default = null)
     * @method BunnyStream|null last(callable $callback = null, \Closure $default = null)
     * @method BunnyStream|$this random(callable|int|null $number = null, bool $preserveKeys = false)
     * @method BunnyStream|null sole(callable|string $key = null, $operator = null, $value = null)
     * @method BunnyStream|null get($key, \Closure $default = null)
     * @method BunnyStream|null first(callable $callback = null, \Closure $default = null)
     * @method BunnyStream|null firstWhere(callable|string $key, $operator = null, $value = null)
     * @method BunnyStream|null find($key, $default = null)
     * @method BunnyStream[] all()
     */
    class _IH_BunnyStream_C extends _BaseCollection {
        /**
         * @param int $size
         * @return BunnyStream[][]|Collection<_IH_BunnyStream_C>
         */
        public function chunk($size)
        {
            return [];
        }
    }
    
    /**
     * @method _IH_BunnyStream_QB whereId($value)
     * @method _IH_BunnyStream_QB whereService($value)
     * @method _IH_BunnyStream_QB whereRegion($value)
     * @method _IH_BunnyStream_QB whereZoneName($value)
     * @method _IH_BunnyStream_QB whereLibraryId($value)
     * @method _IH_BunnyStream_QB whereAccessKey($value)
     * @method _IH_BunnyStream_QB whereUploadType($value)
     * @method _IH_BunnyStream_QB whereCommonUse($value)
     * @method _IH_BunnyStream_QB whereTokenAuthenticationKey($value)
     * @method _IH_BunnyStream_QB whereHostname($value)
     * @method _IH_BunnyStream_QB whereCreatedBy($value)
     * @method _IH_BunnyStream_QB whereUpdatedBy($value)
     * @method _IH_BunnyStream_QB whereStatus($value)
     * @method _IH_BunnyStream_QB whereLmsId($value)
     * @method _IH_BunnyStream_QB whereCreatedAt($value)
     * @method _IH_BunnyStream_QB whereUpdatedAt($value)
     * @method BunnyStream baseSole(array|string $columns = ['*'])
     * @method BunnyStream create(array $attributes = [])
     * @method _IH_BunnyStream_C|BunnyStream[] cursor()
     * @method BunnyStream|null|_IH_BunnyStream_C|BunnyStream[] find($id, array|string $columns = ['*'])
     * @method _IH_BunnyStream_C|BunnyStream[] findMany(array|Arrayable $ids, array|string $columns = ['*'])
     * @method BunnyStream|_IH_BunnyStream_C|BunnyStream[] findOr($id, array|\Closure|string $columns = ['*'], \Closure $callback = null)
     * @method BunnyStream|_IH_BunnyStream_C|BunnyStream[] findOrFail($id, array|string $columns = ['*'])
     * @method BunnyStream|_IH_BunnyStream_C|BunnyStream[] findOrNew($id, array|string $columns = ['*'])
     * @method BunnyStream first(array|string $columns = ['*'])
     * @method BunnyStream firstOr(array|\Closure|string $columns = ['*'], \Closure $callback = null)
     * @method BunnyStream firstOrCreate(array $attributes = [], array $values = [])
     * @method BunnyStream firstOrFail(array|string $columns = ['*'])
     * @method BunnyStream firstOrNew(array $attributes = [], array $values = [])
     * @method BunnyStream firstWhere(array|\Closure|Expression|string $column, $operator = null, $value = null, string $boolean = 'and')
     * @method BunnyStream forceCreate(array $attributes)
     * @method _IH_BunnyStream_C|BunnyStream[] fromQuery(string $query, array $bindings = [])
     * @method _IH_BunnyStream_C|BunnyStream[] get(array|string $columns = ['*'])
     * @method BunnyStream getModel()
     * @method BunnyStream[] getModels(array|string $columns = ['*'])
     * @method _IH_BunnyStream_C|BunnyStream[] hydrate(array $items)
     * @method _IH_BunnyStream_C|BunnyStream[] lazy(int $chunkSize = 1000)
     * @method _IH_BunnyStream_C|BunnyStream[] lazyById(int $chunkSize = 1000, null|string $column = null, null|string $alias = null)
     * @method _IH_BunnyStream_C|BunnyStream[] lazyByIdDesc(int $chunkSize = 1000, null|string $column = null, null|string $alias = null)
     * @method BunnyStream make(array $attributes = [])
     * @method BunnyStream newModelInstance(array $attributes = [])
     * @method LengthAwarePaginator|BunnyStream[]|_IH_BunnyStream_C paginate(\Closure|int|null $perPage = null, array|string $columns = ['*'], string $pageName = 'page', int|null $page = null)
     * @method Paginator|BunnyStream[]|_IH_BunnyStream_C simplePaginate(int|null $perPage = null, array|string $columns = ['*'], string $pageName = 'page', int|null $page = null)
     * @method BunnyStream sole(array|string $columns = ['*'])
     * @method BunnyStream updateOrCreate(array $attributes, array $values = [])
     */
    class _IH_BunnyStream_QB extends _BaseBuilder {}
}