<?php //1490f15375df83846b09731ce97d38a4
/** @noinspection all */

namespace LaravelIdea\Helper\Modules\SystemSetting\Entities {

    use Illuminate\Contracts\Database\Query\Expression;
    use Illuminate\Contracts\Support\Arrayable;
    use Illuminate\Pagination\LengthAwarePaginator;
    use Illuminate\Pagination\Paginator;
    use Illuminate\Support\Collection;
    use LaravelIdea\Helper\_BaseBuilder;
    use LaravelIdea\Helper\_BaseCollection;
    use Modules\SystemSetting\Entities\AllLanguage;
    use Modules\SystemSetting\Entities\Currency;
    use Modules\SystemSetting\Entities\Department;
    use Modules\SystemSetting\Entities\EmailSetting;
    use Modules\SystemSetting\Entities\EmailTemplate;
    use Modules\SystemSetting\Entities\Faq;
    use Modules\SystemSetting\Entities\Feature;
    use Modules\SystemSetting\Entities\FooterCategory;
    use Modules\SystemSetting\Entities\FooterContent;
    use Modules\SystemSetting\Entities\FrontendSetting;
    use Modules\SystemSetting\Entities\LanguagePhase;
    use Modules\SystemSetting\Entities\Message;
    use Modules\SystemSetting\Entities\Modules;
    use Modules\SystemSetting\Entities\Page;
    use Modules\SystemSetting\Entities\SocialLink;
    use Modules\SystemSetting\Entities\Staff;
    use Modules\SystemSetting\Entities\StaffDocument;
    use Modules\SystemSetting\Entities\Testimonial;
    use Modules\SystemSetting\Entities\TimeZone;
    
    /**
     * @method AllLanguage|null getOrPut($key, \Closure $value)
     * @method AllLanguage|$this shift(int $count = 1)
     * @method AllLanguage|null firstOrFail(callable|string $key = null, $operator = null, $value = null)
     * @method AllLanguage|$this pop(int $count = 1)
     * @method AllLanguage|null pull($key, \Closure $default = null)
     * @method AllLanguage|null last(callable $callback = null, \Closure $default = null)
     * @method AllLanguage|$this random(callable|int|null $number = null, bool $preserveKeys = false)
     * @method AllLanguage|null sole(callable|string $key = null, $operator = null, $value = null)
     * @method AllLanguage|null get($key, \Closure $default = null)
     * @method AllLanguage|null first(callable $callback = null, \Closure $default = null)
     * @method AllLanguage|null firstWhere(callable|string $key, $operator = null, $value = null)
     * @method AllLanguage|null find($key, $default = null)
     * @method AllLanguage[] all()
     */
    class _IH_AllLanguage_C extends _BaseCollection {
        /**
         * @param int $size
         * @return AllLanguage[][]|Collection<_IH_AllLanguage_C>
         */
        public function chunk($size)
        {
            return [];
        }
    }
    
    /**
     * @method AllLanguage baseSole(array|string $columns = ['*'])
     * @method AllLanguage create(array $attributes = [])
     * @method _IH_AllLanguage_C|AllLanguage[] cursor()
     * @method AllLanguage|null|_IH_AllLanguage_C|AllLanguage[] find($id, array|string $columns = ['*'])
     * @method _IH_AllLanguage_C|AllLanguage[] findMany(array|Arrayable $ids, array|string $columns = ['*'])
     * @method AllLanguage|_IH_AllLanguage_C|AllLanguage[] findOr($id, array|\Closure|string $columns = ['*'], \Closure $callback = null)
     * @method AllLanguage|_IH_AllLanguage_C|AllLanguage[] findOrFail($id, array|string $columns = ['*'])
     * @method AllLanguage|_IH_AllLanguage_C|AllLanguage[] findOrNew($id, array|string $columns = ['*'])
     * @method AllLanguage first(array|string $columns = ['*'])
     * @method AllLanguage firstOr(array|\Closure|string $columns = ['*'], \Closure $callback = null)
     * @method AllLanguage firstOrCreate(array $attributes = [], array $values = [])
     * @method AllLanguage firstOrFail(array|string $columns = ['*'])
     * @method AllLanguage firstOrNew(array $attributes = [], array $values = [])
     * @method AllLanguage firstWhere(array|\Closure|Expression|string $column, $operator = null, $value = null, string $boolean = 'and')
     * @method AllLanguage forceCreate(array $attributes)
     * @method _IH_AllLanguage_C|AllLanguage[] fromQuery(string $query, array $bindings = [])
     * @method _IH_AllLanguage_C|AllLanguage[] get(array|string $columns = ['*'])
     * @method AllLanguage getModel()
     * @method AllLanguage[] getModels(array|string $columns = ['*'])
     * @method _IH_AllLanguage_C|AllLanguage[] hydrate(array $items)
     * @method _IH_AllLanguage_C|AllLanguage[] lazy(int $chunkSize = 1000)
     * @method _IH_AllLanguage_C|AllLanguage[] lazyById(int $chunkSize = 1000, null|string $column = null, null|string $alias = null)
     * @method _IH_AllLanguage_C|AllLanguage[] lazyByIdDesc(int $chunkSize = 1000, null|string $column = null, null|string $alias = null)
     * @method AllLanguage make(array $attributes = [])
     * @method AllLanguage newModelInstance(array $attributes = [])
     * @method LengthAwarePaginator|AllLanguage[]|_IH_AllLanguage_C paginate(\Closure|int|null $perPage = null, array|string $columns = ['*'], string $pageName = 'page', int|null $page = null)
     * @method Paginator|AllLanguage[]|_IH_AllLanguage_C simplePaginate(int|null $perPage = null, array|string $columns = ['*'], string $pageName = 'page', int|null $page = null)
     * @method AllLanguage sole(array|string $columns = ['*'])
     * @method AllLanguage updateOrCreate(array $attributes, array $values = [])
     */
    class _IH_AllLanguage_QB extends _BaseBuilder {}
    
    /**
     * @method Currency|null getOrPut($key, \Closure $value)
     * @method Currency|$this shift(int $count = 1)
     * @method Currency|null firstOrFail(callable|string $key = null, $operator = null, $value = null)
     * @method Currency|$this pop(int $count = 1)
     * @method Currency|null pull($key, \Closure $default = null)
     * @method Currency|null last(callable $callback = null, \Closure $default = null)
     * @method Currency|$this random(callable|int|null $number = null, bool $preserveKeys = false)
     * @method Currency|null sole(callable|string $key = null, $operator = null, $value = null)
     * @method Currency|null get($key, \Closure $default = null)
     * @method Currency|null first(callable $callback = null, \Closure $default = null)
     * @method Currency|null firstWhere(callable|string $key, $operator = null, $value = null)
     * @method Currency|null find($key, $default = null)
     * @method Currency[] all()
     */
    class _IH_Currency_C extends _BaseCollection {
        /**
         * @param int $size
         * @return Currency[][]|Collection<_IH_Currency_C>
         */
        public function chunk($size)
        {
            return [];
        }
    }
    
    /**
     * @method _IH_Currency_QB whereId($value)
     * @method _IH_Currency_QB whereName($value)
     * @method _IH_Currency_QB whereCode($value)
     * @method _IH_Currency_QB whereSymbol($value)
     * @method _IH_Currency_QB whereConversionRate($value)
     * @method _IH_Currency_QB whereStatus($value)
     * @method _IH_Currency_QB whereCreatedAt($value)
     * @method _IH_Currency_QB whereUpdatedAt($value)
     * @method Currency baseSole(array|string $columns = ['*'])
     * @method Currency create(array $attributes = [])
     * @method _IH_Currency_C|Currency[] cursor()
     * @method Currency|null|_IH_Currency_C|Currency[] find($id, array|string $columns = ['*'])
     * @method _IH_Currency_C|Currency[] findMany(array|Arrayable $ids, array|string $columns = ['*'])
     * @method Currency|_IH_Currency_C|Currency[] findOr($id, array|\Closure|string $columns = ['*'], \Closure $callback = null)
     * @method Currency|_IH_Currency_C|Currency[] findOrFail($id, array|string $columns = ['*'])
     * @method Currency|_IH_Currency_C|Currency[] findOrNew($id, array|string $columns = ['*'])
     * @method Currency first(array|string $columns = ['*'])
     * @method Currency firstOr(array|\Closure|string $columns = ['*'], \Closure $callback = null)
     * @method Currency firstOrCreate(array $attributes = [], array $values = [])
     * @method Currency firstOrFail(array|string $columns = ['*'])
     * @method Currency firstOrNew(array $attributes = [], array $values = [])
     * @method Currency firstWhere(array|\Closure|Expression|string $column, $operator = null, $value = null, string $boolean = 'and')
     * @method Currency forceCreate(array $attributes)
     * @method _IH_Currency_C|Currency[] fromQuery(string $query, array $bindings = [])
     * @method _IH_Currency_C|Currency[] get(array|string $columns = ['*'])
     * @method Currency getModel()
     * @method Currency[] getModels(array|string $columns = ['*'])
     * @method _IH_Currency_C|Currency[] hydrate(array $items)
     * @method _IH_Currency_C|Currency[] lazy(int $chunkSize = 1000)
     * @method _IH_Currency_C|Currency[] lazyById(int $chunkSize = 1000, null|string $column = null, null|string $alias = null)
     * @method _IH_Currency_C|Currency[] lazyByIdDesc(int $chunkSize = 1000, null|string $column = null, null|string $alias = null)
     * @method Currency make(array $attributes = [])
     * @method Currency newModelInstance(array $attributes = [])
     * @method LengthAwarePaginator|Currency[]|_IH_Currency_C paginate(\Closure|int|null $perPage = null, array|string $columns = ['*'], string $pageName = 'page', int|null $page = null)
     * @method Paginator|Currency[]|_IH_Currency_C simplePaginate(int|null $perPage = null, array|string $columns = ['*'], string $pageName = 'page', int|null $page = null)
     * @method Currency sole(array|string $columns = ['*'])
     * @method Currency updateOrCreate(array $attributes, array $values = [])
     */
    class _IH_Currency_QB extends _BaseBuilder {}
    
    /**
     * @method Department|null getOrPut($key, \Closure $value)
     * @method Department|$this shift(int $count = 1)
     * @method Department|null firstOrFail(callable|string $key = null, $operator = null, $value = null)
     * @method Department|$this pop(int $count = 1)
     * @method Department|null pull($key, \Closure $default = null)
     * @method Department|null last(callable $callback = null, \Closure $default = null)
     * @method Department|$this random(callable|int|null $number = null, bool $preserveKeys = false)
     * @method Department|null sole(callable|string $key = null, $operator = null, $value = null)
     * @method Department|null get($key, \Closure $default = null)
     * @method Department|null first(callable $callback = null, \Closure $default = null)
     * @method Department|null firstWhere(callable|string $key, $operator = null, $value = null)
     * @method Department|null find($key, $default = null)
     * @method Department[] all()
     */
    class _IH_Department_C extends _BaseCollection {
        /**
         * @param int $size
         * @return Department[][]|Collection<_IH_Department_C>
         */
        public function chunk($size)
        {
            return [];
        }
    }
    
    /**
     * @method _IH_Department_QB whereId($value)
     * @method _IH_Department_QB whereName($value)
     * @method _IH_Department_QB whereDetails($value)
     * @method _IH_Department_QB whereUserId($value)
     * @method _IH_Department_QB whereStatus($value)
     * @method _IH_Department_QB whereCreatedAt($value)
     * @method _IH_Department_QB whereUpdatedAt($value)
     * @method _IH_Department_QB whereLmsId($value)
     * @method Department baseSole(array|string $columns = ['*'])
     * @method Department create(array $attributes = [])
     * @method _IH_Department_C|Department[] cursor()
     * @method Department|null|_IH_Department_C|Department[] find($id, array|string $columns = ['*'])
     * @method _IH_Department_C|Department[] findMany(array|Arrayable $ids, array|string $columns = ['*'])
     * @method Department|_IH_Department_C|Department[] findOr($id, array|\Closure|string $columns = ['*'], \Closure $callback = null)
     * @method Department|_IH_Department_C|Department[] findOrFail($id, array|string $columns = ['*'])
     * @method Department|_IH_Department_C|Department[] findOrNew($id, array|string $columns = ['*'])
     * @method Department first(array|string $columns = ['*'])
     * @method Department firstOr(array|\Closure|string $columns = ['*'], \Closure $callback = null)
     * @method Department firstOrCreate(array $attributes = [], array $values = [])
     * @method Department firstOrFail(array|string $columns = ['*'])
     * @method Department firstOrNew(array $attributes = [], array $values = [])
     * @method Department firstWhere(array|\Closure|Expression|string $column, $operator = null, $value = null, string $boolean = 'and')
     * @method Department forceCreate(array $attributes)
     * @method _IH_Department_C|Department[] fromQuery(string $query, array $bindings = [])
     * @method _IH_Department_C|Department[] get(array|string $columns = ['*'])
     * @method Department getModel()
     * @method Department[] getModels(array|string $columns = ['*'])
     * @method _IH_Department_C|Department[] hydrate(array $items)
     * @method _IH_Department_C|Department[] lazy(int $chunkSize = 1000)
     * @method _IH_Department_C|Department[] lazyById(int $chunkSize = 1000, null|string $column = null, null|string $alias = null)
     * @method _IH_Department_C|Department[] lazyByIdDesc(int $chunkSize = 1000, null|string $column = null, null|string $alias = null)
     * @method Department make(array $attributes = [])
     * @method Department newModelInstance(array $attributes = [])
     * @method LengthAwarePaginator|Department[]|_IH_Department_C paginate(\Closure|int|null $perPage = null, array|string $columns = ['*'], string $pageName = 'page', int|null $page = null)
     * @method Paginator|Department[]|_IH_Department_C simplePaginate(int|null $perPage = null, array|string $columns = ['*'], string $pageName = 'page', int|null $page = null)
     * @method Department sole(array|string $columns = ['*'])
     * @method Department updateOrCreate(array $attributes, array $values = [])
     */
    class _IH_Department_QB extends _BaseBuilder {}
    
    /**
     * @method EmailSetting|null getOrPut($key, \Closure $value)
     * @method EmailSetting|$this shift(int $count = 1)
     * @method EmailSetting|null firstOrFail(callable|string $key = null, $operator = null, $value = null)
     * @method EmailSetting|$this pop(int $count = 1)
     * @method EmailSetting|null pull($key, \Closure $default = null)
     * @method EmailSetting|null last(callable $callback = null, \Closure $default = null)
     * @method EmailSetting|$this random(callable|int|null $number = null, bool $preserveKeys = false)
     * @method EmailSetting|null sole(callable|string $key = null, $operator = null, $value = null)
     * @method EmailSetting|null get($key, \Closure $default = null)
     * @method EmailSetting|null first(callable $callback = null, \Closure $default = null)
     * @method EmailSetting|null firstWhere(callable|string $key, $operator = null, $value = null)
     * @method EmailSetting|null find($key, $default = null)
     * @method EmailSetting[] all()
     */
    class _IH_EmailSetting_C extends _BaseCollection {
        /**
         * @param int $size
         * @return EmailSetting[][]|Collection<_IH_EmailSetting_C>
         */
        public function chunk($size)
        {
            return [];
        }
    }
    
    /**
     * @method _IH_EmailSetting_QB whereId($value)
     * @method _IH_EmailSetting_QB whereEmailEngineType($value)
     * @method _IH_EmailSetting_QB whereFromName($value)
     * @method _IH_EmailSetting_QB whereFromEmail($value)
     * @method _IH_EmailSetting_QB whereMailDriver($value)
     * @method _IH_EmailSetting_QB whereMailHost($value)
     * @method _IH_EmailSetting_QB whereMailPort($value)
     * @method _IH_EmailSetting_QB whereMailUsername($value)
     * @method _IH_EmailSetting_QB whereMailPassword($value)
     * @method _IH_EmailSetting_QB whereMailEncryption($value)
     * @method _IH_EmailSetting_QB whereActiveStatus($value)
     * @method _IH_EmailSetting_QB whereApiKey($value)
     * @method _IH_EmailSetting_QB whereCreatedAt($value)
     * @method _IH_EmailSetting_QB whereUpdatedAt($value)
     * @method EmailSetting baseSole(array|string $columns = ['*'])
     * @method EmailSetting create(array $attributes = [])
     * @method _IH_EmailSetting_C|EmailSetting[] cursor()
     * @method EmailSetting|null|_IH_EmailSetting_C|EmailSetting[] find($id, array|string $columns = ['*'])
     * @method _IH_EmailSetting_C|EmailSetting[] findMany(array|Arrayable $ids, array|string $columns = ['*'])
     * @method EmailSetting|_IH_EmailSetting_C|EmailSetting[] findOr($id, array|\Closure|string $columns = ['*'], \Closure $callback = null)
     * @method EmailSetting|_IH_EmailSetting_C|EmailSetting[] findOrFail($id, array|string $columns = ['*'])
     * @method EmailSetting|_IH_EmailSetting_C|EmailSetting[] findOrNew($id, array|string $columns = ['*'])
     * @method EmailSetting first(array|string $columns = ['*'])
     * @method EmailSetting firstOr(array|\Closure|string $columns = ['*'], \Closure $callback = null)
     * @method EmailSetting firstOrCreate(array $attributes = [], array $values = [])
     * @method EmailSetting firstOrFail(array|string $columns = ['*'])
     * @method EmailSetting firstOrNew(array $attributes = [], array $values = [])
     * @method EmailSetting firstWhere(array|\Closure|Expression|string $column, $operator = null, $value = null, string $boolean = 'and')
     * @method EmailSetting forceCreate(array $attributes)
     * @method _IH_EmailSetting_C|EmailSetting[] fromQuery(string $query, array $bindings = [])
     * @method _IH_EmailSetting_C|EmailSetting[] get(array|string $columns = ['*'])
     * @method EmailSetting getModel()
     * @method EmailSetting[] getModels(array|string $columns = ['*'])
     * @method _IH_EmailSetting_C|EmailSetting[] hydrate(array $items)
     * @method _IH_EmailSetting_C|EmailSetting[] lazy(int $chunkSize = 1000)
     * @method _IH_EmailSetting_C|EmailSetting[] lazyById(int $chunkSize = 1000, null|string $column = null, null|string $alias = null)
     * @method _IH_EmailSetting_C|EmailSetting[] lazyByIdDesc(int $chunkSize = 1000, null|string $column = null, null|string $alias = null)
     * @method EmailSetting make(array $attributes = [])
     * @method EmailSetting newModelInstance(array $attributes = [])
     * @method LengthAwarePaginator|EmailSetting[]|_IH_EmailSetting_C paginate(\Closure|int|null $perPage = null, array|string $columns = ['*'], string $pageName = 'page', int|null $page = null)
     * @method Paginator|EmailSetting[]|_IH_EmailSetting_C simplePaginate(int|null $perPage = null, array|string $columns = ['*'], string $pageName = 'page', int|null $page = null)
     * @method EmailSetting sole(array|string $columns = ['*'])
     * @method EmailSetting updateOrCreate(array $attributes, array $values = [])
     */
    class _IH_EmailSetting_QB extends _BaseBuilder {}
    
    /**
     * @method EmailTemplate|null getOrPut($key, \Closure $value)
     * @method EmailTemplate|$this shift(int $count = 1)
     * @method EmailTemplate|null firstOrFail(callable|string $key = null, $operator = null, $value = null)
     * @method EmailTemplate|$this pop(int $count = 1)
     * @method EmailTemplate|null pull($key, \Closure $default = null)
     * @method EmailTemplate|null last(callable $callback = null, \Closure $default = null)
     * @method EmailTemplate|$this random(callable|int|null $number = null, bool $preserveKeys = false)
     * @method EmailTemplate|null sole(callable|string $key = null, $operator = null, $value = null)
     * @method EmailTemplate|null get($key, \Closure $default = null)
     * @method EmailTemplate|null first(callable $callback = null, \Closure $default = null)
     * @method EmailTemplate|null firstWhere(callable|string $key, $operator = null, $value = null)
     * @method EmailTemplate|null find($key, $default = null)
     * @method EmailTemplate[] all()
     */
    class _IH_EmailTemplate_C extends _BaseCollection {
        /**
         * @param int $size
         * @return EmailTemplate[][]|Collection<_IH_EmailTemplate_C>
         */
        public function chunk($size)
        {
            return [];
        }
    }
    
    /**
     * @method _IH_EmailTemplate_QB whereId($value)
     * @method _IH_EmailTemplate_QB whereAct($value)
     * @method _IH_EmailTemplate_QB whereName($value)
     * @method _IH_EmailTemplate_QB whereSubj($value)
     * @method _IH_EmailTemplate_QB whereEmailBody($value)
     * @method _IH_EmailTemplate_QB whereShortcodes($value)
     * @method _IH_EmailTemplate_QB whereStatus($value)
     * @method _IH_EmailTemplate_QB whereCreatedAt($value)
     * @method _IH_EmailTemplate_QB whereUpdatedAt($value)
     * @method _IH_EmailTemplate_QB whereBrowserMessage($value)
     * @method _IH_EmailTemplate_QB whereIsSystem($value)
     * @method _IH_EmailTemplate_QB whereEcommerce($value)
     * @method _IH_EmailTemplate_QB whereSmsMessage($value)
     * @method EmailTemplate baseSole(array|string $columns = ['*'])
     * @method EmailTemplate create(array $attributes = [])
     * @method _IH_EmailTemplate_C|EmailTemplate[] cursor()
     * @method EmailTemplate|null|_IH_EmailTemplate_C|EmailTemplate[] find($id, array|string $columns = ['*'])
     * @method _IH_EmailTemplate_C|EmailTemplate[] findMany(array|Arrayable $ids, array|string $columns = ['*'])
     * @method EmailTemplate|_IH_EmailTemplate_C|EmailTemplate[] findOr($id, array|\Closure|string $columns = ['*'], \Closure $callback = null)
     * @method EmailTemplate|_IH_EmailTemplate_C|EmailTemplate[] findOrFail($id, array|string $columns = ['*'])
     * @method EmailTemplate|_IH_EmailTemplate_C|EmailTemplate[] findOrNew($id, array|string $columns = ['*'])
     * @method EmailTemplate first(array|string $columns = ['*'])
     * @method EmailTemplate firstOr(array|\Closure|string $columns = ['*'], \Closure $callback = null)
     * @method EmailTemplate firstOrCreate(array $attributes = [], array $values = [])
     * @method EmailTemplate firstOrFail(array|string $columns = ['*'])
     * @method EmailTemplate firstOrNew(array $attributes = [], array $values = [])
     * @method EmailTemplate firstWhere(array|\Closure|Expression|string $column, $operator = null, $value = null, string $boolean = 'and')
     * @method EmailTemplate forceCreate(array $attributes)
     * @method _IH_EmailTemplate_C|EmailTemplate[] fromQuery(string $query, array $bindings = [])
     * @method _IH_EmailTemplate_C|EmailTemplate[] get(array|string $columns = ['*'])
     * @method EmailTemplate getModel()
     * @method EmailTemplate[] getModels(array|string $columns = ['*'])
     * @method _IH_EmailTemplate_C|EmailTemplate[] hydrate(array $items)
     * @method _IH_EmailTemplate_C|EmailTemplate[] lazy(int $chunkSize = 1000)
     * @method _IH_EmailTemplate_C|EmailTemplate[] lazyById(int $chunkSize = 1000, null|string $column = null, null|string $alias = null)
     * @method _IH_EmailTemplate_C|EmailTemplate[] lazyByIdDesc(int $chunkSize = 1000, null|string $column = null, null|string $alias = null)
     * @method EmailTemplate make(array $attributes = [])
     * @method EmailTemplate newModelInstance(array $attributes = [])
     * @method LengthAwarePaginator|EmailTemplate[]|_IH_EmailTemplate_C paginate(\Closure|int|null $perPage = null, array|string $columns = ['*'], string $pageName = 'page', int|null $page = null)
     * @method Paginator|EmailTemplate[]|_IH_EmailTemplate_C simplePaginate(int|null $perPage = null, array|string $columns = ['*'], string $pageName = 'page', int|null $page = null)
     * @method EmailTemplate sole(array|string $columns = ['*'])
     * @method EmailTemplate updateOrCreate(array $attributes, array $values = [])
     */
    class _IH_EmailTemplate_QB extends _BaseBuilder {}
    
    /**
     * @method Faq|null getOrPut($key, \Closure $value)
     * @method Faq|$this shift(int $count = 1)
     * @method Faq|null firstOrFail(callable|string $key = null, $operator = null, $value = null)
     * @method Faq|$this pop(int $count = 1)
     * @method Faq|null pull($key, \Closure $default = null)
     * @method Faq|null last(callable $callback = null, \Closure $default = null)
     * @method Faq|$this random(callable|int|null $number = null, bool $preserveKeys = false)
     * @method Faq|null sole(callable|string $key = null, $operator = null, $value = null)
     * @method Faq|null get($key, \Closure $default = null)
     * @method Faq|null first(callable $callback = null, \Closure $default = null)
     * @method Faq|null firstWhere(callable|string $key, $operator = null, $value = null)
     * @method Faq|null find($key, $default = null)
     * @method Faq[] all()
     */
    class _IH_Faq_C extends _BaseCollection {
        /**
         * @param int $size
         * @return Faq[][]|Collection<_IH_Faq_C>
         */
        public function chunk($size)
        {
            return [];
        }
    }
    
    /**
     * @method _IH_Faq_QB whereId($value)
     * @method _IH_Faq_QB whereQuestion($value)
     * @method _IH_Faq_QB whereAnswer($value)
     * @method _IH_Faq_QB whereStatus($value)
     * @method _IH_Faq_QB whereOrder($value)
     * @method _IH_Faq_QB whereLmsId($value)
     * @method _IH_Faq_QB whereCreatedAt($value)
     * @method _IH_Faq_QB whereUpdatedAt($value)
     * @method Faq baseSole(array|string $columns = ['*'])
     * @method Faq create(array $attributes = [])
     * @method _IH_Faq_C|Faq[] cursor()
     * @method Faq|null|_IH_Faq_C|Faq[] find($id, array|string $columns = ['*'])
     * @method _IH_Faq_C|Faq[] findMany(array|Arrayable $ids, array|string $columns = ['*'])
     * @method Faq|_IH_Faq_C|Faq[] findOr($id, array|\Closure|string $columns = ['*'], \Closure $callback = null)
     * @method Faq|_IH_Faq_C|Faq[] findOrFail($id, array|string $columns = ['*'])
     * @method Faq|_IH_Faq_C|Faq[] findOrNew($id, array|string $columns = ['*'])
     * @method Faq first(array|string $columns = ['*'])
     * @method Faq firstOr(array|\Closure|string $columns = ['*'], \Closure $callback = null)
     * @method Faq firstOrCreate(array $attributes = [], array $values = [])
     * @method Faq firstOrFail(array|string $columns = ['*'])
     * @method Faq firstOrNew(array $attributes = [], array $values = [])
     * @method Faq firstWhere(array|\Closure|Expression|string $column, $operator = null, $value = null, string $boolean = 'and')
     * @method Faq forceCreate(array $attributes)
     * @method _IH_Faq_C|Faq[] fromQuery(string $query, array $bindings = [])
     * @method _IH_Faq_C|Faq[] get(array|string $columns = ['*'])
     * @method Faq getModel()
     * @method Faq[] getModels(array|string $columns = ['*'])
     * @method _IH_Faq_C|Faq[] hydrate(array $items)
     * @method _IH_Faq_C|Faq[] lazy(int $chunkSize = 1000)
     * @method _IH_Faq_C|Faq[] lazyById(int $chunkSize = 1000, null|string $column = null, null|string $alias = null)
     * @method _IH_Faq_C|Faq[] lazyByIdDesc(int $chunkSize = 1000, null|string $column = null, null|string $alias = null)
     * @method Faq make(array $attributes = [])
     * @method Faq newModelInstance(array $attributes = [])
     * @method LengthAwarePaginator|Faq[]|_IH_Faq_C paginate(\Closure|int|null $perPage = null, array|string $columns = ['*'], string $pageName = 'page', int|null $page = null)
     * @method Paginator|Faq[]|_IH_Faq_C simplePaginate(int|null $perPage = null, array|string $columns = ['*'], string $pageName = 'page', int|null $page = null)
     * @method Faq sole(array|string $columns = ['*'])
     * @method Faq updateOrCreate(array $attributes, array $values = [])
     */
    class _IH_Faq_QB extends _BaseBuilder {}
    
    /**
     * @method Feature|null getOrPut($key, \Closure $value)
     * @method Feature|$this shift(int $count = 1)
     * @method Feature|null firstOrFail(callable|string $key = null, $operator = null, $value = null)
     * @method Feature|$this pop(int $count = 1)
     * @method Feature|null pull($key, \Closure $default = null)
     * @method Feature|null last(callable $callback = null, \Closure $default = null)
     * @method Feature|$this random(callable|int|null $number = null, bool $preserveKeys = false)
     * @method Feature|null sole(callable|string $key = null, $operator = null, $value = null)
     * @method Feature|null get($key, \Closure $default = null)
     * @method Feature|null first(callable $callback = null, \Closure $default = null)
     * @method Feature|null firstWhere(callable|string $key, $operator = null, $value = null)
     * @method Feature|null find($key, $default = null)
     * @method Feature[] all()
     */
    class _IH_Feature_C extends _BaseCollection {
        /**
         * @param int $size
         * @return Feature[][]|Collection<_IH_Feature_C>
         */
        public function chunk($size)
        {
            return [];
        }
    }
    
    /**
     * @method Feature baseSole(array|string $columns = ['*'])
     * @method Feature create(array $attributes = [])
     * @method _IH_Feature_C|Feature[] cursor()
     * @method Feature|null|_IH_Feature_C|Feature[] find($id, array|string $columns = ['*'])
     * @method _IH_Feature_C|Feature[] findMany(array|Arrayable $ids, array|string $columns = ['*'])
     * @method Feature|_IH_Feature_C|Feature[] findOr($id, array|\Closure|string $columns = ['*'], \Closure $callback = null)
     * @method Feature|_IH_Feature_C|Feature[] findOrFail($id, array|string $columns = ['*'])
     * @method Feature|_IH_Feature_C|Feature[] findOrNew($id, array|string $columns = ['*'])
     * @method Feature first(array|string $columns = ['*'])
     * @method Feature firstOr(array|\Closure|string $columns = ['*'], \Closure $callback = null)
     * @method Feature firstOrCreate(array $attributes = [], array $values = [])
     * @method Feature firstOrFail(array|string $columns = ['*'])
     * @method Feature firstOrNew(array $attributes = [], array $values = [])
     * @method Feature firstWhere(array|\Closure|Expression|string $column, $operator = null, $value = null, string $boolean = 'and')
     * @method Feature forceCreate(array $attributes)
     * @method _IH_Feature_C|Feature[] fromQuery(string $query, array $bindings = [])
     * @method _IH_Feature_C|Feature[] get(array|string $columns = ['*'])
     * @method Feature getModel()
     * @method Feature[] getModels(array|string $columns = ['*'])
     * @method _IH_Feature_C|Feature[] hydrate(array $items)
     * @method _IH_Feature_C|Feature[] lazy(int $chunkSize = 1000)
     * @method _IH_Feature_C|Feature[] lazyById(int $chunkSize = 1000, null|string $column = null, null|string $alias = null)
     * @method _IH_Feature_C|Feature[] lazyByIdDesc(int $chunkSize = 1000, null|string $column = null, null|string $alias = null)
     * @method Feature make(array $attributes = [])
     * @method Feature newModelInstance(array $attributes = [])
     * @method LengthAwarePaginator|Feature[]|_IH_Feature_C paginate(\Closure|int|null $perPage = null, array|string $columns = ['*'], string $pageName = 'page', int|null $page = null)
     * @method Paginator|Feature[]|_IH_Feature_C simplePaginate(int|null $perPage = null, array|string $columns = ['*'], string $pageName = 'page', int|null $page = null)
     * @method Feature sole(array|string $columns = ['*'])
     * @method Feature updateOrCreate(array $attributes, array $values = [])
     */
    class _IH_Feature_QB extends _BaseBuilder {}
    
    /**
     * @method FooterCategory|null getOrPut($key, \Closure $value)
     * @method FooterCategory|$this shift(int $count = 1)
     * @method FooterCategory|null firstOrFail(callable|string $key = null, $operator = null, $value = null)
     * @method FooterCategory|$this pop(int $count = 1)
     * @method FooterCategory|null pull($key, \Closure $default = null)
     * @method FooterCategory|null last(callable $callback = null, \Closure $default = null)
     * @method FooterCategory|$this random(callable|int|null $number = null, bool $preserveKeys = false)
     * @method FooterCategory|null sole(callable|string $key = null, $operator = null, $value = null)
     * @method FooterCategory|null get($key, \Closure $default = null)
     * @method FooterCategory|null first(callable $callback = null, \Closure $default = null)
     * @method FooterCategory|null firstWhere(callable|string $key, $operator = null, $value = null)
     * @method FooterCategory|null find($key, $default = null)
     * @method FooterCategory[] all()
     */
    class _IH_FooterCategory_C extends _BaseCollection {
        /**
         * @param int $size
         * @return FooterCategory[][]|Collection<_IH_FooterCategory_C>
         */
        public function chunk($size)
        {
            return [];
        }
    }
    
    /**
     * @method _IH_FooterCategory_QB whereId($value)
     * @method _IH_FooterCategory_QB whereTitle($value)
     * @method _IH_FooterCategory_QB whereDescription($value)
     * @method _IH_FooterCategory_QB wherePlaceholder($value)
     * @method _IH_FooterCategory_QB whereCreatedAt($value)
     * @method _IH_FooterCategory_QB whereUpdatedAt($value)
     * @method FooterCategory baseSole(array|string $columns = ['*'])
     * @method FooterCategory create(array $attributes = [])
     * @method _IH_FooterCategory_C|FooterCategory[] cursor()
     * @method FooterCategory|null|_IH_FooterCategory_C|FooterCategory[] find($id, array|string $columns = ['*'])
     * @method _IH_FooterCategory_C|FooterCategory[] findMany(array|Arrayable $ids, array|string $columns = ['*'])
     * @method FooterCategory|_IH_FooterCategory_C|FooterCategory[] findOr($id, array|\Closure|string $columns = ['*'], \Closure $callback = null)
     * @method FooterCategory|_IH_FooterCategory_C|FooterCategory[] findOrFail($id, array|string $columns = ['*'])
     * @method FooterCategory|_IH_FooterCategory_C|FooterCategory[] findOrNew($id, array|string $columns = ['*'])
     * @method FooterCategory first(array|string $columns = ['*'])
     * @method FooterCategory firstOr(array|\Closure|string $columns = ['*'], \Closure $callback = null)
     * @method FooterCategory firstOrCreate(array $attributes = [], array $values = [])
     * @method FooterCategory firstOrFail(array|string $columns = ['*'])
     * @method FooterCategory firstOrNew(array $attributes = [], array $values = [])
     * @method FooterCategory firstWhere(array|\Closure|Expression|string $column, $operator = null, $value = null, string $boolean = 'and')
     * @method FooterCategory forceCreate(array $attributes)
     * @method _IH_FooterCategory_C|FooterCategory[] fromQuery(string $query, array $bindings = [])
     * @method _IH_FooterCategory_C|FooterCategory[] get(array|string $columns = ['*'])
     * @method FooterCategory getModel()
     * @method FooterCategory[] getModels(array|string $columns = ['*'])
     * @method _IH_FooterCategory_C|FooterCategory[] hydrate(array $items)
     * @method _IH_FooterCategory_C|FooterCategory[] lazy(int $chunkSize = 1000)
     * @method _IH_FooterCategory_C|FooterCategory[] lazyById(int $chunkSize = 1000, null|string $column = null, null|string $alias = null)
     * @method _IH_FooterCategory_C|FooterCategory[] lazyByIdDesc(int $chunkSize = 1000, null|string $column = null, null|string $alias = null)
     * @method FooterCategory make(array $attributes = [])
     * @method FooterCategory newModelInstance(array $attributes = [])
     * @method LengthAwarePaginator|FooterCategory[]|_IH_FooterCategory_C paginate(\Closure|int|null $perPage = null, array|string $columns = ['*'], string $pageName = 'page', int|null $page = null)
     * @method Paginator|FooterCategory[]|_IH_FooterCategory_C simplePaginate(int|null $perPage = null, array|string $columns = ['*'], string $pageName = 'page', int|null $page = null)
     * @method FooterCategory sole(array|string $columns = ['*'])
     * @method FooterCategory updateOrCreate(array $attributes, array $values = [])
     */
    class _IH_FooterCategory_QB extends _BaseBuilder {}
    
    /**
     * @method FooterContent|null getOrPut($key, \Closure $value)
     * @method FooterContent|$this shift(int $count = 1)
     * @method FooterContent|null firstOrFail(callable|string $key = null, $operator = null, $value = null)
     * @method FooterContent|$this pop(int $count = 1)
     * @method FooterContent|null pull($key, \Closure $default = null)
     * @method FooterContent|null last(callable $callback = null, \Closure $default = null)
     * @method FooterContent|$this random(callable|int|null $number = null, bool $preserveKeys = false)
     * @method FooterContent|null sole(callable|string $key = null, $operator = null, $value = null)
     * @method FooterContent|null get($key, \Closure $default = null)
     * @method FooterContent|null first(callable $callback = null, \Closure $default = null)
     * @method FooterContent|null firstWhere(callable|string $key, $operator = null, $value = null)
     * @method FooterContent|null find($key, $default = null)
     * @method FooterContent[] all()
     */
    class _IH_FooterContent_C extends _BaseCollection {
        /**
         * @param int $size
         * @return FooterContent[][]|Collection<_IH_FooterContent_C>
         */
        public function chunk($size)
        {
            return [];
        }
    }
    
    /**
     * @method _IH_FooterContent_QB whereId($value)
     * @method _IH_FooterContent_QB whereFooterCategoryId($value)
     * @method _IH_FooterContent_QB whereName($value)
     * @method _IH_FooterContent_QB whereIcon($value)
     * @method _IH_FooterContent_QB whereLink($value)
     * @method _IH_FooterContent_QB whereDescription($value)
     * @method _IH_FooterContent_QB wherePlaceholder($value)
     * @method _IH_FooterContent_QB whereCreatedAt($value)
     * @method _IH_FooterContent_QB whereUpdatedAt($value)
     * @method FooterContent baseSole(array|string $columns = ['*'])
     * @method FooterContent create(array $attributes = [])
     * @method _IH_FooterContent_C|FooterContent[] cursor()
     * @method FooterContent|null|_IH_FooterContent_C|FooterContent[] find($id, array|string $columns = ['*'])
     * @method _IH_FooterContent_C|FooterContent[] findMany(array|Arrayable $ids, array|string $columns = ['*'])
     * @method FooterContent|_IH_FooterContent_C|FooterContent[] findOr($id, array|\Closure|string $columns = ['*'], \Closure $callback = null)
     * @method FooterContent|_IH_FooterContent_C|FooterContent[] findOrFail($id, array|string $columns = ['*'])
     * @method FooterContent|_IH_FooterContent_C|FooterContent[] findOrNew($id, array|string $columns = ['*'])
     * @method FooterContent first(array|string $columns = ['*'])
     * @method FooterContent firstOr(array|\Closure|string $columns = ['*'], \Closure $callback = null)
     * @method FooterContent firstOrCreate(array $attributes = [], array $values = [])
     * @method FooterContent firstOrFail(array|string $columns = ['*'])
     * @method FooterContent firstOrNew(array $attributes = [], array $values = [])
     * @method FooterContent firstWhere(array|\Closure|Expression|string $column, $operator = null, $value = null, string $boolean = 'and')
     * @method FooterContent forceCreate(array $attributes)
     * @method _IH_FooterContent_C|FooterContent[] fromQuery(string $query, array $bindings = [])
     * @method _IH_FooterContent_C|FooterContent[] get(array|string $columns = ['*'])
     * @method FooterContent getModel()
     * @method FooterContent[] getModels(array|string $columns = ['*'])
     * @method _IH_FooterContent_C|FooterContent[] hydrate(array $items)
     * @method _IH_FooterContent_C|FooterContent[] lazy(int $chunkSize = 1000)
     * @method _IH_FooterContent_C|FooterContent[] lazyById(int $chunkSize = 1000, null|string $column = null, null|string $alias = null)
     * @method _IH_FooterContent_C|FooterContent[] lazyByIdDesc(int $chunkSize = 1000, null|string $column = null, null|string $alias = null)
     * @method FooterContent make(array $attributes = [])
     * @method FooterContent newModelInstance(array $attributes = [])
     * @method LengthAwarePaginator|FooterContent[]|_IH_FooterContent_C paginate(\Closure|int|null $perPage = null, array|string $columns = ['*'], string $pageName = 'page', int|null $page = null)
     * @method Paginator|FooterContent[]|_IH_FooterContent_C simplePaginate(int|null $perPage = null, array|string $columns = ['*'], string $pageName = 'page', int|null $page = null)
     * @method FooterContent sole(array|string $columns = ['*'])
     * @method FooterContent updateOrCreate(array $attributes, array $values = [])
     */
    class _IH_FooterContent_QB extends _BaseBuilder {}
    
    /**
     * @method FrontendSetting|null getOrPut($key, \Closure $value)
     * @method FrontendSetting|$this shift(int $count = 1)
     * @method FrontendSetting|null firstOrFail(callable|string $key = null, $operator = null, $value = null)
     * @method FrontendSetting|$this pop(int $count = 1)
     * @method FrontendSetting|null pull($key, \Closure $default = null)
     * @method FrontendSetting|null last(callable $callback = null, \Closure $default = null)
     * @method FrontendSetting|$this random(callable|int|null $number = null, bool $preserveKeys = false)
     * @method FrontendSetting|null sole(callable|string $key = null, $operator = null, $value = null)
     * @method FrontendSetting|null get($key, \Closure $default = null)
     * @method FrontendSetting|null first(callable $callback = null, \Closure $default = null)
     * @method FrontendSetting|null firstWhere(callable|string $key, $operator = null, $value = null)
     * @method FrontendSetting|null find($key, $default = null)
     * @method FrontendSetting[] all()
     */
    class _IH_FrontendSetting_C extends _BaseCollection {
        /**
         * @param int $size
         * @return FrontendSetting[][]|Collection<_IH_FrontendSetting_C>
         */
        public function chunk($size)
        {
            return [];
        }
    }
    
    /**
     * @method _IH_FrontendSetting_QB whereId($value)
     * @method _IH_FrontendSetting_QB whereSection($value)
     * @method _IH_FrontendSetting_QB whereTitle($value)
     * @method _IH_FrontendSetting_QB whereDescription($value)
     * @method _IH_FrontendSetting_QB whereBtnName($value)
     * @method _IH_FrontendSetting_QB whereBtnLink($value)
     * @method _IH_FrontendSetting_QB whereUrl($value)
     * @method _IH_FrontendSetting_QB whereIcon($value)
     * @method _IH_FrontendSetting_QB whereStatus($value)
     * @method _IH_FrontendSetting_QB whereCreatedAt($value)
     * @method _IH_FrontendSetting_QB whereUpdatedAt($value)
     * @method FrontendSetting baseSole(array|string $columns = ['*'])
     * @method FrontendSetting create(array $attributes = [])
     * @method _IH_FrontendSetting_C|FrontendSetting[] cursor()
     * @method FrontendSetting|null|_IH_FrontendSetting_C|FrontendSetting[] find($id, array|string $columns = ['*'])
     * @method _IH_FrontendSetting_C|FrontendSetting[] findMany(array|Arrayable $ids, array|string $columns = ['*'])
     * @method FrontendSetting|_IH_FrontendSetting_C|FrontendSetting[] findOr($id, array|\Closure|string $columns = ['*'], \Closure $callback = null)
     * @method FrontendSetting|_IH_FrontendSetting_C|FrontendSetting[] findOrFail($id, array|string $columns = ['*'])
     * @method FrontendSetting|_IH_FrontendSetting_C|FrontendSetting[] findOrNew($id, array|string $columns = ['*'])
     * @method FrontendSetting first(array|string $columns = ['*'])
     * @method FrontendSetting firstOr(array|\Closure|string $columns = ['*'], \Closure $callback = null)
     * @method FrontendSetting firstOrCreate(array $attributes = [], array $values = [])
     * @method FrontendSetting firstOrFail(array|string $columns = ['*'])
     * @method FrontendSetting firstOrNew(array $attributes = [], array $values = [])
     * @method FrontendSetting firstWhere(array|\Closure|Expression|string $column, $operator = null, $value = null, string $boolean = 'and')
     * @method FrontendSetting forceCreate(array $attributes)
     * @method _IH_FrontendSetting_C|FrontendSetting[] fromQuery(string $query, array $bindings = [])
     * @method _IH_FrontendSetting_C|FrontendSetting[] get(array|string $columns = ['*'])
     * @method FrontendSetting getModel()
     * @method FrontendSetting[] getModels(array|string $columns = ['*'])
     * @method _IH_FrontendSetting_C|FrontendSetting[] hydrate(array $items)
     * @method _IH_FrontendSetting_C|FrontendSetting[] lazy(int $chunkSize = 1000)
     * @method _IH_FrontendSetting_C|FrontendSetting[] lazyById(int $chunkSize = 1000, null|string $column = null, null|string $alias = null)
     * @method _IH_FrontendSetting_C|FrontendSetting[] lazyByIdDesc(int $chunkSize = 1000, null|string $column = null, null|string $alias = null)
     * @method FrontendSetting make(array $attributes = [])
     * @method FrontendSetting newModelInstance(array $attributes = [])
     * @method LengthAwarePaginator|FrontendSetting[]|_IH_FrontendSetting_C paginate(\Closure|int|null $perPage = null, array|string $columns = ['*'], string $pageName = 'page', int|null $page = null)
     * @method Paginator|FrontendSetting[]|_IH_FrontendSetting_C simplePaginate(int|null $perPage = null, array|string $columns = ['*'], string $pageName = 'page', int|null $page = null)
     * @method FrontendSetting sole(array|string $columns = ['*'])
     * @method FrontendSetting updateOrCreate(array $attributes, array $values = [])
     */
    class _IH_FrontendSetting_QB extends _BaseBuilder {}
    
    /**
     * @method LanguagePhase|null getOrPut($key, \Closure $value)
     * @method LanguagePhase|$this shift(int $count = 1)
     * @method LanguagePhase|null firstOrFail(callable|string $key = null, $operator = null, $value = null)
     * @method LanguagePhase|$this pop(int $count = 1)
     * @method LanguagePhase|null pull($key, \Closure $default = null)
     * @method LanguagePhase|null last(callable $callback = null, \Closure $default = null)
     * @method LanguagePhase|$this random(callable|int|null $number = null, bool $preserveKeys = false)
     * @method LanguagePhase|null sole(callable|string $key = null, $operator = null, $value = null)
     * @method LanguagePhase|null get($key, \Closure $default = null)
     * @method LanguagePhase|null first(callable $callback = null, \Closure $default = null)
     * @method LanguagePhase|null firstWhere(callable|string $key, $operator = null, $value = null)
     * @method LanguagePhase|null find($key, $default = null)
     * @method LanguagePhase[] all()
     */
    class _IH_LanguagePhase_C extends _BaseCollection {
        /**
         * @param int $size
         * @return LanguagePhase[][]|Collection<_IH_LanguagePhase_C>
         */
        public function chunk($size)
        {
            return [];
        }
    }
    
    /**
     * @method LanguagePhase baseSole(array|string $columns = ['*'])
     * @method LanguagePhase create(array $attributes = [])
     * @method _IH_LanguagePhase_C|LanguagePhase[] cursor()
     * @method LanguagePhase|null|_IH_LanguagePhase_C|LanguagePhase[] find($id, array|string $columns = ['*'])
     * @method _IH_LanguagePhase_C|LanguagePhase[] findMany(array|Arrayable $ids, array|string $columns = ['*'])
     * @method LanguagePhase|_IH_LanguagePhase_C|LanguagePhase[] findOr($id, array|\Closure|string $columns = ['*'], \Closure $callback = null)
     * @method LanguagePhase|_IH_LanguagePhase_C|LanguagePhase[] findOrFail($id, array|string $columns = ['*'])
     * @method LanguagePhase|_IH_LanguagePhase_C|LanguagePhase[] findOrNew($id, array|string $columns = ['*'])
     * @method LanguagePhase first(array|string $columns = ['*'])
     * @method LanguagePhase firstOr(array|\Closure|string $columns = ['*'], \Closure $callback = null)
     * @method LanguagePhase firstOrCreate(array $attributes = [], array $values = [])
     * @method LanguagePhase firstOrFail(array|string $columns = ['*'])
     * @method LanguagePhase firstOrNew(array $attributes = [], array $values = [])
     * @method LanguagePhase firstWhere(array|\Closure|Expression|string $column, $operator = null, $value = null, string $boolean = 'and')
     * @method LanguagePhase forceCreate(array $attributes)
     * @method _IH_LanguagePhase_C|LanguagePhase[] fromQuery(string $query, array $bindings = [])
     * @method _IH_LanguagePhase_C|LanguagePhase[] get(array|string $columns = ['*'])
     * @method LanguagePhase getModel()
     * @method LanguagePhase[] getModels(array|string $columns = ['*'])
     * @method _IH_LanguagePhase_C|LanguagePhase[] hydrate(array $items)
     * @method _IH_LanguagePhase_C|LanguagePhase[] lazy(int $chunkSize = 1000)
     * @method _IH_LanguagePhase_C|LanguagePhase[] lazyById(int $chunkSize = 1000, null|string $column = null, null|string $alias = null)
     * @method _IH_LanguagePhase_C|LanguagePhase[] lazyByIdDesc(int $chunkSize = 1000, null|string $column = null, null|string $alias = null)
     * @method LanguagePhase make(array $attributes = [])
     * @method LanguagePhase newModelInstance(array $attributes = [])
     * @method LengthAwarePaginator|LanguagePhase[]|_IH_LanguagePhase_C paginate(\Closure|int|null $perPage = null, array|string $columns = ['*'], string $pageName = 'page', int|null $page = null)
     * @method Paginator|LanguagePhase[]|_IH_LanguagePhase_C simplePaginate(int|null $perPage = null, array|string $columns = ['*'], string $pageName = 'page', int|null $page = null)
     * @method LanguagePhase sole(array|string $columns = ['*'])
     * @method LanguagePhase updateOrCreate(array $attributes, array $values = [])
     */
    class _IH_LanguagePhase_QB extends _BaseBuilder {}
    
    /**
     * @method Message|null getOrPut($key, \Closure $value)
     * @method Message|$this shift(int $count = 1)
     * @method Message|null firstOrFail(callable|string $key = null, $operator = null, $value = null)
     * @method Message|$this pop(int $count = 1)
     * @method Message|null pull($key, \Closure $default = null)
     * @method Message|null last(callable $callback = null, \Closure $default = null)
     * @method Message|$this random(callable|int|null $number = null, bool $preserveKeys = false)
     * @method Message|null sole(callable|string $key = null, $operator = null, $value = null)
     * @method Message|null get($key, \Closure $default = null)
     * @method Message|null first(callable $callback = null, \Closure $default = null)
     * @method Message|null firstWhere(callable|string $key, $operator = null, $value = null)
     * @method Message|null find($key, $default = null)
     * @method Message[] all()
     */
    class _IH_Message_C extends _BaseCollection {
        /**
         * @param int $size
         * @return Message[][]|Collection<_IH_Message_C>
         */
        public function chunk($size)
        {
            return [];
        }
    }
    
    /**
     * @method _IH_Message_QB whereId($value)
     * @method _IH_Message_QB whereSenderId($value)
     * @method _IH_Message_QB whereRecieverId($value)
     * @method _IH_Message_QB whereMessage($value)
     * @method _IH_Message_QB whereType($value)
     * @method _IH_Message_QB whereSeen($value)
     * @method _IH_Message_QB whereCreatedAt($value)
     * @method _IH_Message_QB whereUpdatedAt($value)
     * @method Message baseSole(array|string $columns = ['*'])
     * @method Message create(array $attributes = [])
     * @method _IH_Message_C|Message[] cursor()
     * @method Message|null|_IH_Message_C|Message[] find($id, array|string $columns = ['*'])
     * @method _IH_Message_C|Message[] findMany(array|Arrayable $ids, array|string $columns = ['*'])
     * @method Message|_IH_Message_C|Message[] findOr($id, array|\Closure|string $columns = ['*'], \Closure $callback = null)
     * @method Message|_IH_Message_C|Message[] findOrFail($id, array|string $columns = ['*'])
     * @method Message|_IH_Message_C|Message[] findOrNew($id, array|string $columns = ['*'])
     * @method Message first(array|string $columns = ['*'])
     * @method Message firstOr(array|\Closure|string $columns = ['*'], \Closure $callback = null)
     * @method Message firstOrCreate(array $attributes = [], array $values = [])
     * @method Message firstOrFail(array|string $columns = ['*'])
     * @method Message firstOrNew(array $attributes = [], array $values = [])
     * @method Message firstWhere(array|\Closure|Expression|string $column, $operator = null, $value = null, string $boolean = 'and')
     * @method Message forceCreate(array $attributes)
     * @method _IH_Message_C|Message[] fromQuery(string $query, array $bindings = [])
     * @method _IH_Message_C|Message[] get(array|string $columns = ['*'])
     * @method Message getModel()
     * @method Message[] getModels(array|string $columns = ['*'])
     * @method _IH_Message_C|Message[] hydrate(array $items)
     * @method _IH_Message_C|Message[] lazy(int $chunkSize = 1000)
     * @method _IH_Message_C|Message[] lazyById(int $chunkSize = 1000, null|string $column = null, null|string $alias = null)
     * @method _IH_Message_C|Message[] lazyByIdDesc(int $chunkSize = 1000, null|string $column = null, null|string $alias = null)
     * @method Message make(array $attributes = [])
     * @method Message newModelInstance(array $attributes = [])
     * @method LengthAwarePaginator|Message[]|_IH_Message_C paginate(\Closure|int|null $perPage = null, array|string $columns = ['*'], string $pageName = 'page', int|null $page = null)
     * @method Paginator|Message[]|_IH_Message_C simplePaginate(int|null $perPage = null, array|string $columns = ['*'], string $pageName = 'page', int|null $page = null)
     * @method Message sole(array|string $columns = ['*'])
     * @method Message updateOrCreate(array $attributes, array $values = [])
     */
    class _IH_Message_QB extends _BaseBuilder {}
    
    /**
     * @method Modules|null getOrPut($key, \Closure $value)
     * @method Modules|$this shift(int $count = 1)
     * @method Modules|null firstOrFail(callable|string $key = null, $operator = null, $value = null)
     * @method Modules|$this pop(int $count = 1)
     * @method Modules|null pull($key, \Closure $default = null)
     * @method Modules|null last(callable $callback = null, \Closure $default = null)
     * @method Modules|$this random(callable|int|null $number = null, bool $preserveKeys = false)
     * @method Modules|null sole(callable|string $key = null, $operator = null, $value = null)
     * @method Modules|null get($key, \Closure $default = null)
     * @method Modules|null first(callable $callback = null, \Closure $default = null)
     * @method Modules|null firstWhere(callable|string $key, $operator = null, $value = null)
     * @method Modules|null find($key, $default = null)
     * @method Modules[] all()
     */
    class _IH_Modules_C extends _BaseCollection {
        /**
         * @param int $size
         * @return Modules[][]|Collection<_IH_Modules_C>
         */
        public function chunk($size)
        {
            return [];
        }
    }
    
    /**
     * @method _IH_Modules_QB whereId($value)
     * @method _IH_Modules_QB whereName($value)
     * @method _IH_Modules_QB whereStatus($value)
     * @method _IH_Modules_QB whereOrder($value)
     * @method _IH_Modules_QB whereCreatedAt($value)
     * @method _IH_Modules_QB whereUpdatedAt($value)
     * @method _IH_Modules_QB whereDetails($value)
     * @method Modules baseSole(array|string $columns = ['*'])
     * @method Modules create(array $attributes = [])
     * @method _IH_Modules_C|Modules[] cursor()
     * @method Modules|null|_IH_Modules_C|Modules[] find($id, array|string $columns = ['*'])
     * @method _IH_Modules_C|Modules[] findMany(array|Arrayable $ids, array|string $columns = ['*'])
     * @method Modules|_IH_Modules_C|Modules[] findOr($id, array|\Closure|string $columns = ['*'], \Closure $callback = null)
     * @method Modules|_IH_Modules_C|Modules[] findOrFail($id, array|string $columns = ['*'])
     * @method Modules|_IH_Modules_C|Modules[] findOrNew($id, array|string $columns = ['*'])
     * @method Modules first(array|string $columns = ['*'])
     * @method Modules firstOr(array|\Closure|string $columns = ['*'], \Closure $callback = null)
     * @method Modules firstOrCreate(array $attributes = [], array $values = [])
     * @method Modules firstOrFail(array|string $columns = ['*'])
     * @method Modules firstOrNew(array $attributes = [], array $values = [])
     * @method Modules firstWhere(array|\Closure|Expression|string $column, $operator = null, $value = null, string $boolean = 'and')
     * @method Modules forceCreate(array $attributes)
     * @method _IH_Modules_C|Modules[] fromQuery(string $query, array $bindings = [])
     * @method _IH_Modules_C|Modules[] get(array|string $columns = ['*'])
     * @method Modules getModel()
     * @method Modules[] getModels(array|string $columns = ['*'])
     * @method _IH_Modules_C|Modules[] hydrate(array $items)
     * @method _IH_Modules_C|Modules[] lazy(int $chunkSize = 1000)
     * @method _IH_Modules_C|Modules[] lazyById(int $chunkSize = 1000, null|string $column = null, null|string $alias = null)
     * @method _IH_Modules_C|Modules[] lazyByIdDesc(int $chunkSize = 1000, null|string $column = null, null|string $alias = null)
     * @method Modules make(array $attributes = [])
     * @method Modules newModelInstance(array $attributes = [])
     * @method LengthAwarePaginator|Modules[]|_IH_Modules_C paginate(\Closure|int|null $perPage = null, array|string $columns = ['*'], string $pageName = 'page', int|null $page = null)
     * @method Paginator|Modules[]|_IH_Modules_C simplePaginate(int|null $perPage = null, array|string $columns = ['*'], string $pageName = 'page', int|null $page = null)
     * @method Modules sole(array|string $columns = ['*'])
     * @method Modules updateOrCreate(array $attributes, array $values = [])
     */
    class _IH_Modules_QB extends _BaseBuilder {}
    
    /**
     * @method Page|null getOrPut($key, \Closure $value)
     * @method Page|$this shift(int $count = 1)
     * @method Page|null firstOrFail(callable|string $key = null, $operator = null, $value = null)
     * @method Page|$this pop(int $count = 1)
     * @method Page|null pull($key, \Closure $default = null)
     * @method Page|null last(callable $callback = null, \Closure $default = null)
     * @method Page|$this random(callable|int|null $number = null, bool $preserveKeys = false)
     * @method Page|null sole(callable|string $key = null, $operator = null, $value = null)
     * @method Page|null get($key, \Closure $default = null)
     * @method Page|null first(callable $callback = null, \Closure $default = null)
     * @method Page|null firstWhere(callable|string $key, $operator = null, $value = null)
     * @method Page|null find($key, $default = null)
     * @method Page[] all()
     */
    class _IH_Page_C extends _BaseCollection {
        /**
         * @param int $size
         * @return Page[][]|Collection<_IH_Page_C>
         */
        public function chunk($size)
        {
            return [];
        }
    }
    
    /**
     * @method _IH_Page_QB whereId($value)
     * @method _IH_Page_QB whereTitle($value)
     * @method _IH_Page_QB whereSlug($value)
     * @method _IH_Page_QB whereDescription($value)
     * @method _IH_Page_QB whereHeading($value)
     * @method _IH_Page_QB whereBreadcumbImage($value)
     * @method _IH_Page_QB whereStatus($value)
     * @method _IH_Page_QB whereCreatedAt($value)
     * @method _IH_Page_QB whereUpdatedAt($value)
     * @method Page baseSole(array|string $columns = ['*'])
     * @method Page create(array $attributes = [])
     * @method _IH_Page_C|Page[] cursor()
     * @method Page|null|_IH_Page_C|Page[] find($id, array|string $columns = ['*'])
     * @method _IH_Page_C|Page[] findMany(array|Arrayable $ids, array|string $columns = ['*'])
     * @method Page|_IH_Page_C|Page[] findOr($id, array|\Closure|string $columns = ['*'], \Closure $callback = null)
     * @method Page|_IH_Page_C|Page[] findOrFail($id, array|string $columns = ['*'])
     * @method Page|_IH_Page_C|Page[] findOrNew($id, array|string $columns = ['*'])
     * @method Page first(array|string $columns = ['*'])
     * @method Page firstOr(array|\Closure|string $columns = ['*'], \Closure $callback = null)
     * @method Page firstOrCreate(array $attributes = [], array $values = [])
     * @method Page firstOrFail(array|string $columns = ['*'])
     * @method Page firstOrNew(array $attributes = [], array $values = [])
     * @method Page firstWhere(array|\Closure|Expression|string $column, $operator = null, $value = null, string $boolean = 'and')
     * @method Page forceCreate(array $attributes)
     * @method _IH_Page_C|Page[] fromQuery(string $query, array $bindings = [])
     * @method _IH_Page_C|Page[] get(array|string $columns = ['*'])
     * @method Page getModel()
     * @method Page[] getModels(array|string $columns = ['*'])
     * @method _IH_Page_C|Page[] hydrate(array $items)
     * @method _IH_Page_C|Page[] lazy(int $chunkSize = 1000)
     * @method _IH_Page_C|Page[] lazyById(int $chunkSize = 1000, null|string $column = null, null|string $alias = null)
     * @method _IH_Page_C|Page[] lazyByIdDesc(int $chunkSize = 1000, null|string $column = null, null|string $alias = null)
     * @method Page make(array $attributes = [])
     * @method Page newModelInstance(array $attributes = [])
     * @method LengthAwarePaginator|Page[]|_IH_Page_C paginate(\Closure|int|null $perPage = null, array|string $columns = ['*'], string $pageName = 'page', int|null $page = null)
     * @method Paginator|Page[]|_IH_Page_C simplePaginate(int|null $perPage = null, array|string $columns = ['*'], string $pageName = 'page', int|null $page = null)
     * @method Page sole(array|string $columns = ['*'])
     * @method Page updateOrCreate(array $attributes, array $values = [])
     */
    class _IH_Page_QB extends _BaseBuilder {}
    
    /**
     * @method SocialLink|null getOrPut($key, \Closure $value)
     * @method SocialLink|$this shift(int $count = 1)
     * @method SocialLink|null firstOrFail(callable|string $key = null, $operator = null, $value = null)
     * @method SocialLink|$this pop(int $count = 1)
     * @method SocialLink|null pull($key, \Closure $default = null)
     * @method SocialLink|null last(callable $callback = null, \Closure $default = null)
     * @method SocialLink|$this random(callable|int|null $number = null, bool $preserveKeys = false)
     * @method SocialLink|null sole(callable|string $key = null, $operator = null, $value = null)
     * @method SocialLink|null get($key, \Closure $default = null)
     * @method SocialLink|null first(callable $callback = null, \Closure $default = null)
     * @method SocialLink|null firstWhere(callable|string $key, $operator = null, $value = null)
     * @method SocialLink|null find($key, $default = null)
     * @method SocialLink[] all()
     */
    class _IH_SocialLink_C extends _BaseCollection {
        /**
         * @param int $size
         * @return SocialLink[][]|Collection<_IH_SocialLink_C>
         */
        public function chunk($size)
        {
            return [];
        }
    }
    
    /**
     * @method _IH_SocialLink_QB whereId($value)
     * @method _IH_SocialLink_QB whereIcon($value)
     * @method _IH_SocialLink_QB whereName($value)
     * @method _IH_SocialLink_QB whereLink($value)
     * @method _IH_SocialLink_QB whereTopbar($value)
     * @method _IH_SocialLink_QB whereFooter($value)
     * @method _IH_SocialLink_QB whereStatus($value)
     * @method _IH_SocialLink_QB whereCreatedAt($value)
     * @method _IH_SocialLink_QB whereUpdatedAt($value)
     * @method SocialLink baseSole(array|string $columns = ['*'])
     * @method SocialLink create(array $attributes = [])
     * @method _IH_SocialLink_C|SocialLink[] cursor()
     * @method SocialLink|null|_IH_SocialLink_C|SocialLink[] find($id, array|string $columns = ['*'])
     * @method _IH_SocialLink_C|SocialLink[] findMany(array|Arrayable $ids, array|string $columns = ['*'])
     * @method SocialLink|_IH_SocialLink_C|SocialLink[] findOr($id, array|\Closure|string $columns = ['*'], \Closure $callback = null)
     * @method SocialLink|_IH_SocialLink_C|SocialLink[] findOrFail($id, array|string $columns = ['*'])
     * @method SocialLink|_IH_SocialLink_C|SocialLink[] findOrNew($id, array|string $columns = ['*'])
     * @method SocialLink first(array|string $columns = ['*'])
     * @method SocialLink firstOr(array|\Closure|string $columns = ['*'], \Closure $callback = null)
     * @method SocialLink firstOrCreate(array $attributes = [], array $values = [])
     * @method SocialLink firstOrFail(array|string $columns = ['*'])
     * @method SocialLink firstOrNew(array $attributes = [], array $values = [])
     * @method SocialLink firstWhere(array|\Closure|Expression|string $column, $operator = null, $value = null, string $boolean = 'and')
     * @method SocialLink forceCreate(array $attributes)
     * @method _IH_SocialLink_C|SocialLink[] fromQuery(string $query, array $bindings = [])
     * @method _IH_SocialLink_C|SocialLink[] get(array|string $columns = ['*'])
     * @method SocialLink getModel()
     * @method SocialLink[] getModels(array|string $columns = ['*'])
     * @method _IH_SocialLink_C|SocialLink[] hydrate(array $items)
     * @method _IH_SocialLink_C|SocialLink[] lazy(int $chunkSize = 1000)
     * @method _IH_SocialLink_C|SocialLink[] lazyById(int $chunkSize = 1000, null|string $column = null, null|string $alias = null)
     * @method _IH_SocialLink_C|SocialLink[] lazyByIdDesc(int $chunkSize = 1000, null|string $column = null, null|string $alias = null)
     * @method SocialLink make(array $attributes = [])
     * @method SocialLink newModelInstance(array $attributes = [])
     * @method LengthAwarePaginator|SocialLink[]|_IH_SocialLink_C paginate(\Closure|int|null $perPage = null, array|string $columns = ['*'], string $pageName = 'page', int|null $page = null)
     * @method Paginator|SocialLink[]|_IH_SocialLink_C simplePaginate(int|null $perPage = null, array|string $columns = ['*'], string $pageName = 'page', int|null $page = null)
     * @method SocialLink sole(array|string $columns = ['*'])
     * @method SocialLink updateOrCreate(array $attributes, array $values = [])
     */
    class _IH_SocialLink_QB extends _BaseBuilder {}
    
    /**
     * @method StaffDocument|null getOrPut($key, \Closure $value)
     * @method StaffDocument|$this shift(int $count = 1)
     * @method StaffDocument|null firstOrFail(callable|string $key = null, $operator = null, $value = null)
     * @method StaffDocument|$this pop(int $count = 1)
     * @method StaffDocument|null pull($key, \Closure $default = null)
     * @method StaffDocument|null last(callable $callback = null, \Closure $default = null)
     * @method StaffDocument|$this random(callable|int|null $number = null, bool $preserveKeys = false)
     * @method StaffDocument|null sole(callable|string $key = null, $operator = null, $value = null)
     * @method StaffDocument|null get($key, \Closure $default = null)
     * @method StaffDocument|null first(callable $callback = null, \Closure $default = null)
     * @method StaffDocument|null firstWhere(callable|string $key, $operator = null, $value = null)
     * @method StaffDocument|null find($key, $default = null)
     * @method StaffDocument[] all()
     */
    class _IH_StaffDocument_C extends _BaseCollection {
        /**
         * @param int $size
         * @return StaffDocument[][]|Collection<_IH_StaffDocument_C>
         */
        public function chunk($size)
        {
            return [];
        }
    }
    
    /**
     * @method _IH_StaffDocument_QB whereId($value)
     * @method _IH_StaffDocument_QB whereStaffId($value)
     * @method _IH_StaffDocument_QB whereName($value)
     * @method _IH_StaffDocument_QB whereDocuments($value)
     * @method _IH_StaffDocument_QB whereCreatedBy($value)
     * @method _IH_StaffDocument_QB whereUpdatedBy($value)
     * @method _IH_StaffDocument_QB whereLmsId($value)
     * @method _IH_StaffDocument_QB whereCreatedAt($value)
     * @method _IH_StaffDocument_QB whereUpdatedAt($value)
     * @method StaffDocument baseSole(array|string $columns = ['*'])
     * @method StaffDocument create(array $attributes = [])
     * @method _IH_StaffDocument_C|StaffDocument[] cursor()
     * @method StaffDocument|null|_IH_StaffDocument_C|StaffDocument[] find($id, array|string $columns = ['*'])
     * @method _IH_StaffDocument_C|StaffDocument[] findMany(array|Arrayable $ids, array|string $columns = ['*'])
     * @method StaffDocument|_IH_StaffDocument_C|StaffDocument[] findOr($id, array|\Closure|string $columns = ['*'], \Closure $callback = null)
     * @method StaffDocument|_IH_StaffDocument_C|StaffDocument[] findOrFail($id, array|string $columns = ['*'])
     * @method StaffDocument|_IH_StaffDocument_C|StaffDocument[] findOrNew($id, array|string $columns = ['*'])
     * @method StaffDocument first(array|string $columns = ['*'])
     * @method StaffDocument firstOr(array|\Closure|string $columns = ['*'], \Closure $callback = null)
     * @method StaffDocument firstOrCreate(array $attributes = [], array $values = [])
     * @method StaffDocument firstOrFail(array|string $columns = ['*'])
     * @method StaffDocument firstOrNew(array $attributes = [], array $values = [])
     * @method StaffDocument firstWhere(array|\Closure|Expression|string $column, $operator = null, $value = null, string $boolean = 'and')
     * @method StaffDocument forceCreate(array $attributes)
     * @method _IH_StaffDocument_C|StaffDocument[] fromQuery(string $query, array $bindings = [])
     * @method _IH_StaffDocument_C|StaffDocument[] get(array|string $columns = ['*'])
     * @method StaffDocument getModel()
     * @method StaffDocument[] getModels(array|string $columns = ['*'])
     * @method _IH_StaffDocument_C|StaffDocument[] hydrate(array $items)
     * @method _IH_StaffDocument_C|StaffDocument[] lazy(int $chunkSize = 1000)
     * @method _IH_StaffDocument_C|StaffDocument[] lazyById(int $chunkSize = 1000, null|string $column = null, null|string $alias = null)
     * @method _IH_StaffDocument_C|StaffDocument[] lazyByIdDesc(int $chunkSize = 1000, null|string $column = null, null|string $alias = null)
     * @method StaffDocument make(array $attributes = [])
     * @method StaffDocument newModelInstance(array $attributes = [])
     * @method LengthAwarePaginator|StaffDocument[]|_IH_StaffDocument_C paginate(\Closure|int|null $perPage = null, array|string $columns = ['*'], string $pageName = 'page', int|null $page = null)
     * @method Paginator|StaffDocument[]|_IH_StaffDocument_C simplePaginate(int|null $perPage = null, array|string $columns = ['*'], string $pageName = 'page', int|null $page = null)
     * @method StaffDocument sole(array|string $columns = ['*'])
     * @method StaffDocument updateOrCreate(array $attributes, array $values = [])
     */
    class _IH_StaffDocument_QB extends _BaseBuilder {}
    
    /**
     * @method Staff|null getOrPut($key, \Closure $value)
     * @method Staff|$this shift(int $count = 1)
     * @method Staff|null firstOrFail(callable|string $key = null, $operator = null, $value = null)
     * @method Staff|$this pop(int $count = 1)
     * @method Staff|null pull($key, \Closure $default = null)
     * @method Staff|null last(callable $callback = null, \Closure $default = null)
     * @method Staff|$this random(callable|int|null $number = null, bool $preserveKeys = false)
     * @method Staff|null sole(callable|string $key = null, $operator = null, $value = null)
     * @method Staff|null get($key, \Closure $default = null)
     * @method Staff|null first(callable $callback = null, \Closure $default = null)
     * @method Staff|null firstWhere(callable|string $key, $operator = null, $value = null)
     * @method Staff|null find($key, $default = null)
     * @method Staff[] all()
     */
    class _IH_Staff_C extends _BaseCollection {
        /**
         * @param int $size
         * @return Staff[][]|Collection<_IH_Staff_C>
         */
        public function chunk($size)
        {
            return [];
        }
    }
    
    /**
     * @method _IH_Staff_QB whereId($value)
     * @method _IH_Staff_QB whereEmployeeId($value)
     * @method _IH_Staff_QB whereUserId($value)
     * @method _IH_Staff_QB whereDepartmentId($value)
     * @method _IH_Staff_QB whereShowroomId($value)
     * @method _IH_Staff_QB whereWarehouseId($value)
     * @method _IH_Staff_QB wherePhone($value)
     * @method _IH_Staff_QB whereBankName($value)
     * @method _IH_Staff_QB whereBankBranchName($value)
     * @method _IH_Staff_QB whereBankAccountName($value)
     * @method _IH_Staff_QB whereBankAccountNo($value)
     * @method _IH_Staff_QB whereCurrentAddress($value)
     * @method _IH_Staff_QB wherePermanentAddress($value)
     * @method _IH_Staff_QB whereBasicSalary($value)
     * @method _IH_Staff_QB whereEmploymentType($value)
     * @method _IH_Staff_QB whereOpeningBalance($value)
     * @method _IH_Staff_QB whereProvisionalMonths($value)
     * @method _IH_Staff_QB whereDateOfJoining($value)
     * @method _IH_Staff_QB whereDateOfBirth($value)
     * @method _IH_Staff_QB whereLeaveApplicableDate($value)
     * @method _IH_Staff_QB whereCarryForward($value)
     * @method _IH_Staff_QB whereIsCarryActive($value)
     * @method _IH_Staff_QB whereLmsId($value)
     * @method _IH_Staff_QB whereCreatedAt($value)
     * @method _IH_Staff_QB whereUpdatedAt($value)
     * @method _IH_Staff_QB whereDeletedAt($value)
     * @method Staff baseSole(array|string $columns = ['*'])
     * @method Staff create(array $attributes = [])
     * @method _IH_Staff_C|Staff[] cursor()
     * @method Staff|null|_IH_Staff_C|Staff[] find($id, array|string $columns = ['*'])
     * @method _IH_Staff_C|Staff[] findMany(array|Arrayable $ids, array|string $columns = ['*'])
     * @method Staff|_IH_Staff_C|Staff[] findOr($id, array|\Closure|string $columns = ['*'], \Closure $callback = null)
     * @method Staff|_IH_Staff_C|Staff[] findOrFail($id, array|string $columns = ['*'])
     * @method Staff|_IH_Staff_C|Staff[] findOrNew($id, array|string $columns = ['*'])
     * @method Staff first(array|string $columns = ['*'])
     * @method Staff firstOr(array|\Closure|string $columns = ['*'], \Closure $callback = null)
     * @method Staff firstOrCreate(array $attributes = [], array $values = [])
     * @method Staff firstOrFail(array|string $columns = ['*'])
     * @method Staff firstOrNew(array $attributes = [], array $values = [])
     * @method Staff firstWhere(array|\Closure|Expression|string $column, $operator = null, $value = null, string $boolean = 'and')
     * @method Staff forceCreate(array $attributes)
     * @method _IH_Staff_C|Staff[] fromQuery(string $query, array $bindings = [])
     * @method _IH_Staff_C|Staff[] get(array|string $columns = ['*'])
     * @method Staff getModel()
     * @method Staff[] getModels(array|string $columns = ['*'])
     * @method _IH_Staff_C|Staff[] hydrate(array $items)
     * @method _IH_Staff_C|Staff[] lazy(int $chunkSize = 1000)
     * @method _IH_Staff_C|Staff[] lazyById(int $chunkSize = 1000, null|string $column = null, null|string $alias = null)
     * @method _IH_Staff_C|Staff[] lazyByIdDesc(int $chunkSize = 1000, null|string $column = null, null|string $alias = null)
     * @method Staff make(array $attributes = [])
     * @method Staff newModelInstance(array $attributes = [])
     * @method LengthAwarePaginator|Staff[]|_IH_Staff_C paginate(\Closure|int|null $perPage = null, array|string $columns = ['*'], string $pageName = 'page', int|null $page = null)
     * @method Paginator|Staff[]|_IH_Staff_C simplePaginate(int|null $perPage = null, array|string $columns = ['*'], string $pageName = 'page', int|null $page = null)
     * @method Staff sole(array|string $columns = ['*'])
     * @method Staff updateOrCreate(array $attributes, array $values = [])
     */
    class _IH_Staff_QB extends _BaseBuilder {}
    
    /**
     * @method Testimonial|null getOrPut($key, \Closure $value)
     * @method Testimonial|$this shift(int $count = 1)
     * @method Testimonial|null firstOrFail(callable|string $key = null, $operator = null, $value = null)
     * @method Testimonial|$this pop(int $count = 1)
     * @method Testimonial|null pull($key, \Closure $default = null)
     * @method Testimonial|null last(callable $callback = null, \Closure $default = null)
     * @method Testimonial|$this random(callable|int|null $number = null, bool $preserveKeys = false)
     * @method Testimonial|null sole(callable|string $key = null, $operator = null, $value = null)
     * @method Testimonial|null get($key, \Closure $default = null)
     * @method Testimonial|null first(callable $callback = null, \Closure $default = null)
     * @method Testimonial|null firstWhere(callable|string $key, $operator = null, $value = null)
     * @method Testimonial|null find($key, $default = null)
     * @method Testimonial[] all()
     */
    class _IH_Testimonial_C extends _BaseCollection {
        /**
         * @param int $size
         * @return Testimonial[][]|Collection<_IH_Testimonial_C>
         */
        public function chunk($size)
        {
            return [];
        }
    }
    
    /**
     * @method _IH_Testimonial_QB whereId($value)
     * @method _IH_Testimonial_QB whereBody($value)
     * @method _IH_Testimonial_QB whereAuthor($value)
     * @method _IH_Testimonial_QB whereProfession($value)
     * @method _IH_Testimonial_QB whereImage($value)
     * @method _IH_Testimonial_QB whereStar($value)
     * @method _IH_Testimonial_QB whereStatus($value)
     * @method _IH_Testimonial_QB whereCreatedBy($value)
     * @method _IH_Testimonial_QB whereUpdatedBy($value)
     * @method _IH_Testimonial_QB whereCreatedAt($value)
     * @method _IH_Testimonial_QB whereUpdatedAt($value)
     * @method Testimonial baseSole(array|string $columns = ['*'])
     * @method Testimonial create(array $attributes = [])
     * @method _IH_Testimonial_C|Testimonial[] cursor()
     * @method Testimonial|null|_IH_Testimonial_C|Testimonial[] find($id, array|string $columns = ['*'])
     * @method _IH_Testimonial_C|Testimonial[] findMany(array|Arrayable $ids, array|string $columns = ['*'])
     * @method Testimonial|_IH_Testimonial_C|Testimonial[] findOr($id, array|\Closure|string $columns = ['*'], \Closure $callback = null)
     * @method Testimonial|_IH_Testimonial_C|Testimonial[] findOrFail($id, array|string $columns = ['*'])
     * @method Testimonial|_IH_Testimonial_C|Testimonial[] findOrNew($id, array|string $columns = ['*'])
     * @method Testimonial first(array|string $columns = ['*'])
     * @method Testimonial firstOr(array|\Closure|string $columns = ['*'], \Closure $callback = null)
     * @method Testimonial firstOrCreate(array $attributes = [], array $values = [])
     * @method Testimonial firstOrFail(array|string $columns = ['*'])
     * @method Testimonial firstOrNew(array $attributes = [], array $values = [])
     * @method Testimonial firstWhere(array|\Closure|Expression|string $column, $operator = null, $value = null, string $boolean = 'and')
     * @method Testimonial forceCreate(array $attributes)
     * @method _IH_Testimonial_C|Testimonial[] fromQuery(string $query, array $bindings = [])
     * @method _IH_Testimonial_C|Testimonial[] get(array|string $columns = ['*'])
     * @method Testimonial getModel()
     * @method Testimonial[] getModels(array|string $columns = ['*'])
     * @method _IH_Testimonial_C|Testimonial[] hydrate(array $items)
     * @method _IH_Testimonial_C|Testimonial[] lazy(int $chunkSize = 1000)
     * @method _IH_Testimonial_C|Testimonial[] lazyById(int $chunkSize = 1000, null|string $column = null, null|string $alias = null)
     * @method _IH_Testimonial_C|Testimonial[] lazyByIdDesc(int $chunkSize = 1000, null|string $column = null, null|string $alias = null)
     * @method Testimonial make(array $attributes = [])
     * @method Testimonial newModelInstance(array $attributes = [])
     * @method LengthAwarePaginator|Testimonial[]|_IH_Testimonial_C paginate(\Closure|int|null $perPage = null, array|string $columns = ['*'], string $pageName = 'page', int|null $page = null)
     * @method Paginator|Testimonial[]|_IH_Testimonial_C simplePaginate(int|null $perPage = null, array|string $columns = ['*'], string $pageName = 'page', int|null $page = null)
     * @method Testimonial sole(array|string $columns = ['*'])
     * @method Testimonial updateOrCreate(array $attributes, array $values = [])
     */
    class _IH_Testimonial_QB extends _BaseBuilder {}
    
    /**
     * @method TimeZone|null getOrPut($key, \Closure $value)
     * @method TimeZone|$this shift(int $count = 1)
     * @method TimeZone|null firstOrFail(callable|string $key = null, $operator = null, $value = null)
     * @method TimeZone|$this pop(int $count = 1)
     * @method TimeZone|null pull($key, \Closure $default = null)
     * @method TimeZone|null last(callable $callback = null, \Closure $default = null)
     * @method TimeZone|$this random(callable|int|null $number = null, bool $preserveKeys = false)
     * @method TimeZone|null sole(callable|string $key = null, $operator = null, $value = null)
     * @method TimeZone|null get($key, \Closure $default = null)
     * @method TimeZone|null first(callable $callback = null, \Closure $default = null)
     * @method TimeZone|null firstWhere(callable|string $key, $operator = null, $value = null)
     * @method TimeZone|null find($key, $default = null)
     * @method TimeZone[] all()
     */
    class _IH_TimeZone_C extends _BaseCollection {
        /**
         * @param int $size
         * @return TimeZone[][]|Collection<_IH_TimeZone_C>
         */
        public function chunk($size)
        {
            return [];
        }
    }
    
    /**
     * @method _IH_TimeZone_QB whereId($value)
     * @method _IH_TimeZone_QB whereCode($value)
     * @method _IH_TimeZone_QB whereTimeZone($value)
     * @method _IH_TimeZone_QB whereCreatedAt($value)
     * @method _IH_TimeZone_QB whereUpdatedAt($value)
     * @method TimeZone baseSole(array|string $columns = ['*'])
     * @method TimeZone create(array $attributes = [])
     * @method _IH_TimeZone_C|TimeZone[] cursor()
     * @method TimeZone|null|_IH_TimeZone_C|TimeZone[] find($id, array|string $columns = ['*'])
     * @method _IH_TimeZone_C|TimeZone[] findMany(array|Arrayable $ids, array|string $columns = ['*'])
     * @method TimeZone|_IH_TimeZone_C|TimeZone[] findOr($id, array|\Closure|string $columns = ['*'], \Closure $callback = null)
     * @method TimeZone|_IH_TimeZone_C|TimeZone[] findOrFail($id, array|string $columns = ['*'])
     * @method TimeZone|_IH_TimeZone_C|TimeZone[] findOrNew($id, array|string $columns = ['*'])
     * @method TimeZone first(array|string $columns = ['*'])
     * @method TimeZone firstOr(array|\Closure|string $columns = ['*'], \Closure $callback = null)
     * @method TimeZone firstOrCreate(array $attributes = [], array $values = [])
     * @method TimeZone firstOrFail(array|string $columns = ['*'])
     * @method TimeZone firstOrNew(array $attributes = [], array $values = [])
     * @method TimeZone firstWhere(array|\Closure|Expression|string $column, $operator = null, $value = null, string $boolean = 'and')
     * @method TimeZone forceCreate(array $attributes)
     * @method _IH_TimeZone_C|TimeZone[] fromQuery(string $query, array $bindings = [])
     * @method _IH_TimeZone_C|TimeZone[] get(array|string $columns = ['*'])
     * @method TimeZone getModel()
     * @method TimeZone[] getModels(array|string $columns = ['*'])
     * @method _IH_TimeZone_C|TimeZone[] hydrate(array $items)
     * @method _IH_TimeZone_C|TimeZone[] lazy(int $chunkSize = 1000)
     * @method _IH_TimeZone_C|TimeZone[] lazyById(int $chunkSize = 1000, null|string $column = null, null|string $alias = null)
     * @method _IH_TimeZone_C|TimeZone[] lazyByIdDesc(int $chunkSize = 1000, null|string $column = null, null|string $alias = null)
     * @method TimeZone make(array $attributes = [])
     * @method TimeZone newModelInstance(array $attributes = [])
     * @method LengthAwarePaginator|TimeZone[]|_IH_TimeZone_C paginate(\Closure|int|null $perPage = null, array|string $columns = ['*'], string $pageName = 'page', int|null $page = null)
     * @method Paginator|TimeZone[]|_IH_TimeZone_C simplePaginate(int|null $perPage = null, array|string $columns = ['*'], string $pageName = 'page', int|null $page = null)
     * @method TimeZone sole(array|string $columns = ['*'])
     * @method TimeZone updateOrCreate(array $attributes, array $values = [])
     */
    class _IH_TimeZone_QB extends _BaseBuilder {}
}