<?php //5ff703a9f7c6783ad6cd4c786c1acaf3
/** @noinspection all */

namespace LaravelIdea\Helper\Modules\Payment\Entities {

    use Illuminate\Contracts\Database\Query\Expression;
    use Illuminate\Contracts\Support\Arrayable;
    use Illuminate\Pagination\LengthAwarePaginator;
    use Illuminate\Pagination\Paginator;
    use Illuminate\Support\Collection;
    use LaravelIdea\Helper\_BaseBuilder;
    use LaravelIdea\Helper\_BaseCollection;
    use Modules\Payment\Entities\Cart;
    use Modules\Payment\Entities\Checkout;
    use Modules\Payment\Entities\GateWay;
    use Modules\Payment\Entities\InstructorPayout;
    use Modules\Payment\Entities\InstructorTotalPayout;
    use Modules\Payment\Entities\Subscriber;
    use Modules\Payment\Entities\Withdraw;
    
    /**
     * @method Cart|null getOrPut($key, \Closure $value)
     * @method Cart|$this shift(int $count = 1)
     * @method Cart|null firstOrFail(callable|string $key = null, $operator = null, $value = null)
     * @method Cart|$this pop(int $count = 1)
     * @method Cart|null pull($key, \Closure $default = null)
     * @method Cart|null last(callable $callback = null, \Closure $default = null)
     * @method Cart|$this random(callable|int|null $number = null, bool $preserveKeys = false)
     * @method Cart|null sole(callable|string $key = null, $operator = null, $value = null)
     * @method Cart|null get($key, \Closure $default = null)
     * @method Cart|null first(callable $callback = null, \Closure $default = null)
     * @method Cart|null firstWhere(callable|string $key, $operator = null, $value = null)
     * @method Cart|null find($key, $default = null)
     * @method Cart[] all()
     */
    class _IH_Cart_C extends _BaseCollection {
        /**
         * @param int $size
         * @return Cart[][]|Collection<_IH_Cart_C>
         */
        public function chunk($size)
        {
            return [];
        }
    }
    
    /**
     * @method _IH_Cart_QB whereId($value)
     * @method _IH_Cart_QB whereCourseId($value)
     * @method _IH_Cart_QB whereUserId($value)
     * @method _IH_Cart_QB whereInstructorId($value)
     * @method _IH_Cart_QB whereTracking($value)
     * @method _IH_Cart_QB wherePrice($value)
     * @method _IH_Cart_QB whereCreatedAt($value)
     * @method _IH_Cart_QB whereUpdatedAt($value)
     * @method _IH_Cart_QB whereQty($value)
     * @method _IH_Cart_QB whereIsStore($value)
     * @method _IH_Cart_QB whereBundleCourseId($value)
     * @method _IH_Cart_QB whereBundleCourseValidity($value)
     * @method _IH_Cart_QB whereRenew($value)
     * @method _IH_Cart_QB whereType($value)
     * @method _IH_Cart_QB whereScheduleId($value)
     * @method _IH_Cart_QB whereTimezone($value)
     * @method _IH_Cart_QB whereIsGift($value)
     * @method _IH_Cart_QB whereGiftId($value)
     * @method _IH_Cart_QB wherePreBookingAmount($value)
     * @method _IH_Cart_QB whereIsInstallment($value)
     * @method _IH_Cart_QB wherePlanId($value)
     * @method _IH_Cart_QB whereInstallmentType($value)
     * @method _IH_Cart_QB wherePurchaseId($value)
     * @method _IH_Cart_QB whereIsEarlybirdOffer($value)
     * @method _IH_Cart_QB wherePricePlanId($value)
     * @method _IH_Cart_QB whereGroupDiscount($value)
     * @method Cart baseSole(array|string $columns = ['*'])
     * @method Cart create(array $attributes = [])
     * @method _IH_Cart_C|Cart[] cursor()
     * @method Cart|null|_IH_Cart_C|Cart[] find($id, array|string $columns = ['*'])
     * @method _IH_Cart_C|Cart[] findMany(array|Arrayable $ids, array|string $columns = ['*'])
     * @method Cart|_IH_Cart_C|Cart[] findOr($id, array|\Closure|string $columns = ['*'], \Closure $callback = null)
     * @method Cart|_IH_Cart_C|Cart[] findOrFail($id, array|string $columns = ['*'])
     * @method Cart|_IH_Cart_C|Cart[] findOrNew($id, array|string $columns = ['*'])
     * @method Cart first(array|string $columns = ['*'])
     * @method Cart firstOr(array|\Closure|string $columns = ['*'], \Closure $callback = null)
     * @method Cart firstOrCreate(array $attributes = [], array $values = [])
     * @method Cart firstOrFail(array|string $columns = ['*'])
     * @method Cart firstOrNew(array $attributes = [], array $values = [])
     * @method Cart firstWhere(array|\Closure|Expression|string $column, $operator = null, $value = null, string $boolean = 'and')
     * @method Cart forceCreate(array $attributes)
     * @method _IH_Cart_C|Cart[] fromQuery(string $query, array $bindings = [])
     * @method _IH_Cart_C|Cart[] get(array|string $columns = ['*'])
     * @method Cart getModel()
     * @method Cart[] getModels(array|string $columns = ['*'])
     * @method _IH_Cart_C|Cart[] hydrate(array $items)
     * @method _IH_Cart_C|Cart[] lazy(int $chunkSize = 1000)
     * @method _IH_Cart_C|Cart[] lazyById(int $chunkSize = 1000, null|string $column = null, null|string $alias = null)
     * @method _IH_Cart_C|Cart[] lazyByIdDesc(int $chunkSize = 1000, null|string $column = null, null|string $alias = null)
     * @method Cart make(array $attributes = [])
     * @method Cart newModelInstance(array $attributes = [])
     * @method LengthAwarePaginator|Cart[]|_IH_Cart_C paginate(\Closure|int|null $perPage = null, array|string $columns = ['*'], string $pageName = 'page', int|null $page = null)
     * @method Paginator|Cart[]|_IH_Cart_C simplePaginate(int|null $perPage = null, array|string $columns = ['*'], string $pageName = 'page', int|null $page = null)
     * @method Cart sole(array|string $columns = ['*'])
     * @method Cart updateOrCreate(array $attributes, array $values = [])
     */
    class _IH_Cart_QB extends _BaseBuilder {}
    
    /**
     * @method Checkout|null getOrPut($key, \Closure $value)
     * @method Checkout|$this shift(int $count = 1)
     * @method Checkout|null firstOrFail(callable|string $key = null, $operator = null, $value = null)
     * @method Checkout|$this pop(int $count = 1)
     * @method Checkout|null pull($key, \Closure $default = null)
     * @method Checkout|null last(callable $callback = null, \Closure $default = null)
     * @method Checkout|$this random(callable|int|null $number = null, bool $preserveKeys = false)
     * @method Checkout|null sole(callable|string $key = null, $operator = null, $value = null)
     * @method Checkout|null get($key, \Closure $default = null)
     * @method Checkout|null first(callable $callback = null, \Closure $default = null)
     * @method Checkout|null firstWhere(callable|string $key, $operator = null, $value = null)
     * @method Checkout|null find($key, $default = null)
     * @method Checkout[] all()
     */
    class _IH_Checkout_C extends _BaseCollection {
        /**
         * @param int $size
         * @return Checkout[][]|Collection<_IH_Checkout_C>
         */
        public function chunk($size)
        {
            return [];
        }
    }
    
    /**
     * @method _IH_Checkout_QB whereId($value)
     * @method _IH_Checkout_QB whereTracking($value)
     * @method _IH_Checkout_QB whereUserId($value)
     * @method _IH_Checkout_QB whereBillingDetailId($value)
     * @method _IH_Checkout_QB wherePackageId($value)
     * @method _IH_Checkout_QB whereCouponId($value)
     * @method _IH_Checkout_QB whereDiscount($value)
     * @method _IH_Checkout_QB wherePurchasePrice($value)
     * @method _IH_Checkout_QB wherePrice($value)
     * @method _IH_Checkout_QB whereStatus($value)
     * @method _IH_Checkout_QB wherePaymentMethod($value)
     * @method _IH_Checkout_QB whereResponse($value)
     * @method _IH_Checkout_QB whereCreatedAt($value)
     * @method _IH_Checkout_QB whereUpdatedAt($value)
     * @method _IH_Checkout_QB whereTax($value)
     * @method _IH_Checkout_QB wherePaymentType($value)
     * @method _IH_Checkout_QB whereCourseType($value)
     * @method _IH_Checkout_QB whereBundleReveune($value)
     * @method _IH_Checkout_QB whereRenew($value)
     * @method _IH_Checkout_QB whereBundleId($value)
     * @method _IH_Checkout_QB whereType($value)
     * @method _IH_Checkout_QB whereInvoiceId($value)
     * @method _IH_Checkout_QB whereOrderCertificateId($value)
     * @method _IH_Checkout_QB wherePreBookingAmount($value)
     * @method _IH_Checkout_QB whereCartCount($value)
     * @method _IH_Checkout_QB whereHasGift($value)
     * @method _IH_Checkout_QB whereGroupDiscount($value)
     * @method _IH_Checkout_QB whereOrderNumber($value)
     * @method _IH_Checkout_QB whereIsPaid($value)
     * @method _IH_Checkout_QB whereIsConfirmed($value)
     * @method _IH_Checkout_QB whereIsCompleted($value)
     * @method _IH_Checkout_QB whereIsCancelled($value)
     * @method _IH_Checkout_QB whereCancelReasonId($value)
     * @method _IH_Checkout_QB whereShippingId($value)
     * @method _IH_Checkout_QB whereIsStore($value)
     * @method _IH_Checkout_QB whereOrderStatus($value)
     * @method _IH_Checkout_QB whereShippingCost($value)
     * @method _IH_Checkout_QB whereIsReceived($value)
     * @method Checkout baseSole(array|string $columns = ['*'])
     * @method Checkout create(array $attributes = [])
     * @method _IH_Checkout_C|Checkout[] cursor()
     * @method Checkout|null|_IH_Checkout_C|Checkout[] find($id, array|string $columns = ['*'])
     * @method _IH_Checkout_C|Checkout[] findMany(array|Arrayable $ids, array|string $columns = ['*'])
     * @method Checkout|_IH_Checkout_C|Checkout[] findOr($id, array|\Closure|string $columns = ['*'], \Closure $callback = null)
     * @method Checkout|_IH_Checkout_C|Checkout[] findOrFail($id, array|string $columns = ['*'])
     * @method Checkout|_IH_Checkout_C|Checkout[] findOrNew($id, array|string $columns = ['*'])
     * @method Checkout first(array|string $columns = ['*'])
     * @method Checkout firstOr(array|\Closure|string $columns = ['*'], \Closure $callback = null)
     * @method Checkout firstOrCreate(array $attributes = [], array $values = [])
     * @method Checkout firstOrFail(array|string $columns = ['*'])
     * @method Checkout firstOrNew(array $attributes = [], array $values = [])
     * @method Checkout firstWhere(array|\Closure|Expression|string $column, $operator = null, $value = null, string $boolean = 'and')
     * @method Checkout forceCreate(array $attributes)
     * @method _IH_Checkout_C|Checkout[] fromQuery(string $query, array $bindings = [])
     * @method _IH_Checkout_C|Checkout[] get(array|string $columns = ['*'])
     * @method Checkout getModel()
     * @method Checkout[] getModels(array|string $columns = ['*'])
     * @method _IH_Checkout_C|Checkout[] hydrate(array $items)
     * @method _IH_Checkout_C|Checkout[] lazy(int $chunkSize = 1000)
     * @method _IH_Checkout_C|Checkout[] lazyById(int $chunkSize = 1000, null|string $column = null, null|string $alias = null)
     * @method _IH_Checkout_C|Checkout[] lazyByIdDesc(int $chunkSize = 1000, null|string $column = null, null|string $alias = null)
     * @method Checkout make(array $attributes = [])
     * @method Checkout newModelInstance(array $attributes = [])
     * @method LengthAwarePaginator|Checkout[]|_IH_Checkout_C paginate(\Closure|int|null $perPage = null, array|string $columns = ['*'], string $pageName = 'page', int|null $page = null)
     * @method Paginator|Checkout[]|_IH_Checkout_C simplePaginate(int|null $perPage = null, array|string $columns = ['*'], string $pageName = 'page', int|null $page = null)
     * @method Checkout sole(array|string $columns = ['*'])
     * @method Checkout updateOrCreate(array $attributes, array $values = [])
     */
    class _IH_Checkout_QB extends _BaseBuilder {}
    
    /**
     * @method GateWay|null getOrPut($key, \Closure $value)
     * @method GateWay|$this shift(int $count = 1)
     * @method GateWay|null firstOrFail(callable|string $key = null, $operator = null, $value = null)
     * @method GateWay|$this pop(int $count = 1)
     * @method GateWay|null pull($key, \Closure $default = null)
     * @method GateWay|null last(callable $callback = null, \Closure $default = null)
     * @method GateWay|$this random(callable|int|null $number = null, bool $preserveKeys = false)
     * @method GateWay|null sole(callable|string $key = null, $operator = null, $value = null)
     * @method GateWay|null get($key, \Closure $default = null)
     * @method GateWay|null first(callable $callback = null, \Closure $default = null)
     * @method GateWay|null firstWhere(callable|string $key, $operator = null, $value = null)
     * @method GateWay|null find($key, $default = null)
     * @method GateWay[] all()
     */
    class _IH_GateWay_C extends _BaseCollection {
        /**
         * @param int $size
         * @return GateWay[][]|Collection<_IH_GateWay_C>
         */
        public function chunk($size)
        {
            return [];
        }
    }
    
    /**
     * @method GateWay baseSole(array|string $columns = ['*'])
     * @method GateWay create(array $attributes = [])
     * @method _IH_GateWay_C|GateWay[] cursor()
     * @method GateWay|null|_IH_GateWay_C|GateWay[] find($id, array|string $columns = ['*'])
     * @method _IH_GateWay_C|GateWay[] findMany(array|Arrayable $ids, array|string $columns = ['*'])
     * @method GateWay|_IH_GateWay_C|GateWay[] findOr($id, array|\Closure|string $columns = ['*'], \Closure $callback = null)
     * @method GateWay|_IH_GateWay_C|GateWay[] findOrFail($id, array|string $columns = ['*'])
     * @method GateWay|_IH_GateWay_C|GateWay[] findOrNew($id, array|string $columns = ['*'])
     * @method GateWay first(array|string $columns = ['*'])
     * @method GateWay firstOr(array|\Closure|string $columns = ['*'], \Closure $callback = null)
     * @method GateWay firstOrCreate(array $attributes = [], array $values = [])
     * @method GateWay firstOrFail(array|string $columns = ['*'])
     * @method GateWay firstOrNew(array $attributes = [], array $values = [])
     * @method GateWay firstWhere(array|\Closure|Expression|string $column, $operator = null, $value = null, string $boolean = 'and')
     * @method GateWay forceCreate(array $attributes)
     * @method _IH_GateWay_C|GateWay[] fromQuery(string $query, array $bindings = [])
     * @method _IH_GateWay_C|GateWay[] get(array|string $columns = ['*'])
     * @method GateWay getModel()
     * @method GateWay[] getModels(array|string $columns = ['*'])
     * @method _IH_GateWay_C|GateWay[] hydrate(array $items)
     * @method _IH_GateWay_C|GateWay[] lazy(int $chunkSize = 1000)
     * @method _IH_GateWay_C|GateWay[] lazyById(int $chunkSize = 1000, null|string $column = null, null|string $alias = null)
     * @method _IH_GateWay_C|GateWay[] lazyByIdDesc(int $chunkSize = 1000, null|string $column = null, null|string $alias = null)
     * @method GateWay make(array $attributes = [])
     * @method GateWay newModelInstance(array $attributes = [])
     * @method LengthAwarePaginator|GateWay[]|_IH_GateWay_C paginate(\Closure|int|null $perPage = null, array|string $columns = ['*'], string $pageName = 'page', int|null $page = null)
     * @method Paginator|GateWay[]|_IH_GateWay_C simplePaginate(int|null $perPage = null, array|string $columns = ['*'], string $pageName = 'page', int|null $page = null)
     * @method GateWay sole(array|string $columns = ['*'])
     * @method GateWay updateOrCreate(array $attributes, array $values = [])
     */
    class _IH_GateWay_QB extends _BaseBuilder {}
    
    /**
     * @method InstructorPayout|null getOrPut($key, \Closure $value)
     * @method InstructorPayout|$this shift(int $count = 1)
     * @method InstructorPayout|null firstOrFail(callable|string $key = null, $operator = null, $value = null)
     * @method InstructorPayout|$this pop(int $count = 1)
     * @method InstructorPayout|null pull($key, \Closure $default = null)
     * @method InstructorPayout|null last(callable $callback = null, \Closure $default = null)
     * @method InstructorPayout|$this random(callable|int|null $number = null, bool $preserveKeys = false)
     * @method InstructorPayout|null sole(callable|string $key = null, $operator = null, $value = null)
     * @method InstructorPayout|null get($key, \Closure $default = null)
     * @method InstructorPayout|null first(callable $callback = null, \Closure $default = null)
     * @method InstructorPayout|null firstWhere(callable|string $key, $operator = null, $value = null)
     * @method InstructorPayout|null find($key, $default = null)
     * @method InstructorPayout[] all()
     */
    class _IH_InstructorPayout_C extends _BaseCollection {
        /**
         * @param int $size
         * @return InstructorPayout[][]|Collection<_IH_InstructorPayout_C>
         */
        public function chunk($size)
        {
            return [];
        }
    }
    
    /**
     * @method _IH_InstructorPayout_QB whereId($value)
     * @method _IH_InstructorPayout_QB whereInstructorId($value)
     * @method _IH_InstructorPayout_QB whereReveune($value)
     * @method _IH_InstructorPayout_QB whereStatus($value)
     * @method _IH_InstructorPayout_QB whereCreatedAt($value)
     * @method _IH_InstructorPayout_QB whereUpdatedAt($value)
     * @method _IH_InstructorPayout_QB whereType($value)
     * @method _IH_InstructorPayout_QB whereAssignCpdCourseId($value)
     * @method _IH_InstructorPayout_QB whereClassCourseId($value)
     * @method InstructorPayout baseSole(array|string $columns = ['*'])
     * @method InstructorPayout create(array $attributes = [])
     * @method _IH_InstructorPayout_C|InstructorPayout[] cursor()
     * @method InstructorPayout|null|_IH_InstructorPayout_C|InstructorPayout[] find($id, array|string $columns = ['*'])
     * @method _IH_InstructorPayout_C|InstructorPayout[] findMany(array|Arrayable $ids, array|string $columns = ['*'])
     * @method InstructorPayout|_IH_InstructorPayout_C|InstructorPayout[] findOr($id, array|\Closure|string $columns = ['*'], \Closure $callback = null)
     * @method InstructorPayout|_IH_InstructorPayout_C|InstructorPayout[] findOrFail($id, array|string $columns = ['*'])
     * @method InstructorPayout|_IH_InstructorPayout_C|InstructorPayout[] findOrNew($id, array|string $columns = ['*'])
     * @method InstructorPayout first(array|string $columns = ['*'])
     * @method InstructorPayout firstOr(array|\Closure|string $columns = ['*'], \Closure $callback = null)
     * @method InstructorPayout firstOrCreate(array $attributes = [], array $values = [])
     * @method InstructorPayout firstOrFail(array|string $columns = ['*'])
     * @method InstructorPayout firstOrNew(array $attributes = [], array $values = [])
     * @method InstructorPayout firstWhere(array|\Closure|Expression|string $column, $operator = null, $value = null, string $boolean = 'and')
     * @method InstructorPayout forceCreate(array $attributes)
     * @method _IH_InstructorPayout_C|InstructorPayout[] fromQuery(string $query, array $bindings = [])
     * @method _IH_InstructorPayout_C|InstructorPayout[] get(array|string $columns = ['*'])
     * @method InstructorPayout getModel()
     * @method InstructorPayout[] getModels(array|string $columns = ['*'])
     * @method _IH_InstructorPayout_C|InstructorPayout[] hydrate(array $items)
     * @method _IH_InstructorPayout_C|InstructorPayout[] lazy(int $chunkSize = 1000)
     * @method _IH_InstructorPayout_C|InstructorPayout[] lazyById(int $chunkSize = 1000, null|string $column = null, null|string $alias = null)
     * @method _IH_InstructorPayout_C|InstructorPayout[] lazyByIdDesc(int $chunkSize = 1000, null|string $column = null, null|string $alias = null)
     * @method InstructorPayout make(array $attributes = [])
     * @method InstructorPayout newModelInstance(array $attributes = [])
     * @method LengthAwarePaginator|InstructorPayout[]|_IH_InstructorPayout_C paginate(\Closure|int|null $perPage = null, array|string $columns = ['*'], string $pageName = 'page', int|null $page = null)
     * @method Paginator|InstructorPayout[]|_IH_InstructorPayout_C simplePaginate(int|null $perPage = null, array|string $columns = ['*'], string $pageName = 'page', int|null $page = null)
     * @method InstructorPayout sole(array|string $columns = ['*'])
     * @method InstructorPayout updateOrCreate(array $attributes, array $values = [])
     */
    class _IH_InstructorPayout_QB extends _BaseBuilder {}
    
    /**
     * @method InstructorTotalPayout|null getOrPut($key, \Closure $value)
     * @method InstructorTotalPayout|$this shift(int $count = 1)
     * @method InstructorTotalPayout|null firstOrFail(callable|string $key = null, $operator = null, $value = null)
     * @method InstructorTotalPayout|$this pop(int $count = 1)
     * @method InstructorTotalPayout|null pull($key, \Closure $default = null)
     * @method InstructorTotalPayout|null last(callable $callback = null, \Closure $default = null)
     * @method InstructorTotalPayout|$this random(callable|int|null $number = null, bool $preserveKeys = false)
     * @method InstructorTotalPayout|null sole(callable|string $key = null, $operator = null, $value = null)
     * @method InstructorTotalPayout|null get($key, \Closure $default = null)
     * @method InstructorTotalPayout|null first(callable $callback = null, \Closure $default = null)
     * @method InstructorTotalPayout|null firstWhere(callable|string $key, $operator = null, $value = null)
     * @method InstructorTotalPayout|null find($key, $default = null)
     * @method InstructorTotalPayout[] all()
     */
    class _IH_InstructorTotalPayout_C extends _BaseCollection {
        /**
         * @param int $size
         * @return InstructorTotalPayout[][]|Collection<_IH_InstructorTotalPayout_C>
         */
        public function chunk($size)
        {
            return [];
        }
    }
    
    /**
     * @method _IH_InstructorTotalPayout_QB whereId($value)
     * @method _IH_InstructorTotalPayout_QB whereInstructorId($value)
     * @method _IH_InstructorTotalPayout_QB whereAmount($value)
     * @method _IH_InstructorTotalPayout_QB whereCreatedAt($value)
     * @method _IH_InstructorTotalPayout_QB whereUpdatedAt($value)
     * @method InstructorTotalPayout baseSole(array|string $columns = ['*'])
     * @method InstructorTotalPayout create(array $attributes = [])
     * @method _IH_InstructorTotalPayout_C|InstructorTotalPayout[] cursor()
     * @method InstructorTotalPayout|null|_IH_InstructorTotalPayout_C|InstructorTotalPayout[] find($id, array|string $columns = ['*'])
     * @method _IH_InstructorTotalPayout_C|InstructorTotalPayout[] findMany(array|Arrayable $ids, array|string $columns = ['*'])
     * @method InstructorTotalPayout|_IH_InstructorTotalPayout_C|InstructorTotalPayout[] findOr($id, array|\Closure|string $columns = ['*'], \Closure $callback = null)
     * @method InstructorTotalPayout|_IH_InstructorTotalPayout_C|InstructorTotalPayout[] findOrFail($id, array|string $columns = ['*'])
     * @method InstructorTotalPayout|_IH_InstructorTotalPayout_C|InstructorTotalPayout[] findOrNew($id, array|string $columns = ['*'])
     * @method InstructorTotalPayout first(array|string $columns = ['*'])
     * @method InstructorTotalPayout firstOr(array|\Closure|string $columns = ['*'], \Closure $callback = null)
     * @method InstructorTotalPayout firstOrCreate(array $attributes = [], array $values = [])
     * @method InstructorTotalPayout firstOrFail(array|string $columns = ['*'])
     * @method InstructorTotalPayout firstOrNew(array $attributes = [], array $values = [])
     * @method InstructorTotalPayout firstWhere(array|\Closure|Expression|string $column, $operator = null, $value = null, string $boolean = 'and')
     * @method InstructorTotalPayout forceCreate(array $attributes)
     * @method _IH_InstructorTotalPayout_C|InstructorTotalPayout[] fromQuery(string $query, array $bindings = [])
     * @method _IH_InstructorTotalPayout_C|InstructorTotalPayout[] get(array|string $columns = ['*'])
     * @method InstructorTotalPayout getModel()
     * @method InstructorTotalPayout[] getModels(array|string $columns = ['*'])
     * @method _IH_InstructorTotalPayout_C|InstructorTotalPayout[] hydrate(array $items)
     * @method _IH_InstructorTotalPayout_C|InstructorTotalPayout[] lazy(int $chunkSize = 1000)
     * @method _IH_InstructorTotalPayout_C|InstructorTotalPayout[] lazyById(int $chunkSize = 1000, null|string $column = null, null|string $alias = null)
     * @method _IH_InstructorTotalPayout_C|InstructorTotalPayout[] lazyByIdDesc(int $chunkSize = 1000, null|string $column = null, null|string $alias = null)
     * @method InstructorTotalPayout make(array $attributes = [])
     * @method InstructorTotalPayout newModelInstance(array $attributes = [])
     * @method LengthAwarePaginator|InstructorTotalPayout[]|_IH_InstructorTotalPayout_C paginate(\Closure|int|null $perPage = null, array|string $columns = ['*'], string $pageName = 'page', int|null $page = null)
     * @method Paginator|InstructorTotalPayout[]|_IH_InstructorTotalPayout_C simplePaginate(int|null $perPage = null, array|string $columns = ['*'], string $pageName = 'page', int|null $page = null)
     * @method InstructorTotalPayout sole(array|string $columns = ['*'])
     * @method InstructorTotalPayout updateOrCreate(array $attributes, array $values = [])
     */
    class _IH_InstructorTotalPayout_QB extends _BaseBuilder {}
    
    /**
     * @method Subscriber|null getOrPut($key, \Closure $value)
     * @method Subscriber|$this shift(int $count = 1)
     * @method Subscriber|null firstOrFail(callable|string $key = null, $operator = null, $value = null)
     * @method Subscriber|$this pop(int $count = 1)
     * @method Subscriber|null pull($key, \Closure $default = null)
     * @method Subscriber|null last(callable $callback = null, \Closure $default = null)
     * @method Subscriber|$this random(callable|int|null $number = null, bool $preserveKeys = false)
     * @method Subscriber|null sole(callable|string $key = null, $operator = null, $value = null)
     * @method Subscriber|null get($key, \Closure $default = null)
     * @method Subscriber|null first(callable $callback = null, \Closure $default = null)
     * @method Subscriber|null firstWhere(callable|string $key, $operator = null, $value = null)
     * @method Subscriber|null find($key, $default = null)
     * @method Subscriber[] all()
     */
    class _IH_Subscriber_C extends _BaseCollection {
        /**
         * @param int $size
         * @return Subscriber[][]|Collection<_IH_Subscriber_C>
         */
        public function chunk($size)
        {
            return [];
        }
    }
    
    /**
     * @method Subscriber baseSole(array|string $columns = ['*'])
     * @method Subscriber create(array $attributes = [])
     * @method _IH_Subscriber_C|Subscriber[] cursor()
     * @method Subscriber|null|_IH_Subscriber_C|Subscriber[] find($id, array|string $columns = ['*'])
     * @method _IH_Subscriber_C|Subscriber[] findMany(array|Arrayable $ids, array|string $columns = ['*'])
     * @method Subscriber|_IH_Subscriber_C|Subscriber[] findOr($id, array|\Closure|string $columns = ['*'], \Closure $callback = null)
     * @method Subscriber|_IH_Subscriber_C|Subscriber[] findOrFail($id, array|string $columns = ['*'])
     * @method Subscriber|_IH_Subscriber_C|Subscriber[] findOrNew($id, array|string $columns = ['*'])
     * @method Subscriber first(array|string $columns = ['*'])
     * @method Subscriber firstOr(array|\Closure|string $columns = ['*'], \Closure $callback = null)
     * @method Subscriber firstOrCreate(array $attributes = [], array $values = [])
     * @method Subscriber firstOrFail(array|string $columns = ['*'])
     * @method Subscriber firstOrNew(array $attributes = [], array $values = [])
     * @method Subscriber firstWhere(array|\Closure|Expression|string $column, $operator = null, $value = null, string $boolean = 'and')
     * @method Subscriber forceCreate(array $attributes)
     * @method _IH_Subscriber_C|Subscriber[] fromQuery(string $query, array $bindings = [])
     * @method _IH_Subscriber_C|Subscriber[] get(array|string $columns = ['*'])
     * @method Subscriber getModel()
     * @method Subscriber[] getModels(array|string $columns = ['*'])
     * @method _IH_Subscriber_C|Subscriber[] hydrate(array $items)
     * @method _IH_Subscriber_C|Subscriber[] lazy(int $chunkSize = 1000)
     * @method _IH_Subscriber_C|Subscriber[] lazyById(int $chunkSize = 1000, null|string $column = null, null|string $alias = null)
     * @method _IH_Subscriber_C|Subscriber[] lazyByIdDesc(int $chunkSize = 1000, null|string $column = null, null|string $alias = null)
     * @method Subscriber make(array $attributes = [])
     * @method Subscriber newModelInstance(array $attributes = [])
     * @method LengthAwarePaginator|Subscriber[]|_IH_Subscriber_C paginate(\Closure|int|null $perPage = null, array|string $columns = ['*'], string $pageName = 'page', int|null $page = null)
     * @method Paginator|Subscriber[]|_IH_Subscriber_C simplePaginate(int|null $perPage = null, array|string $columns = ['*'], string $pageName = 'page', int|null $page = null)
     * @method Subscriber sole(array|string $columns = ['*'])
     * @method Subscriber updateOrCreate(array $attributes, array $values = [])
     */
    class _IH_Subscriber_QB extends _BaseBuilder {}
    
    /**
     * @method Withdraw|null getOrPut($key, \Closure $value)
     * @method Withdraw|$this shift(int $count = 1)
     * @method Withdraw|null firstOrFail(callable|string $key = null, $operator = null, $value = null)
     * @method Withdraw|$this pop(int $count = 1)
     * @method Withdraw|null pull($key, \Closure $default = null)
     * @method Withdraw|null last(callable $callback = null, \Closure $default = null)
     * @method Withdraw|$this random(callable|int|null $number = null, bool $preserveKeys = false)
     * @method Withdraw|null sole(callable|string $key = null, $operator = null, $value = null)
     * @method Withdraw|null get($key, \Closure $default = null)
     * @method Withdraw|null first(callable $callback = null, \Closure $default = null)
     * @method Withdraw|null firstWhere(callable|string $key, $operator = null, $value = null)
     * @method Withdraw|null find($key, $default = null)
     * @method Withdraw[] all()
     */
    class _IH_Withdraw_C extends _BaseCollection {
        /**
         * @param int $size
         * @return Withdraw[][]|Collection<_IH_Withdraw_C>
         */
        public function chunk($size)
        {
            return [];
        }
    }
    
    /**
     * @method _IH_Withdraw_QB whereId($value)
     * @method _IH_Withdraw_QB whereInstructorId($value)
     * @method _IH_Withdraw_QB whereAmount($value)
     * @method _IH_Withdraw_QB whereStatus($value)
     * @method _IH_Withdraw_QB whereMethod($value)
     * @method _IH_Withdraw_QB whereIssuedate($value)
     * @method _IH_Withdraw_QB whereCreatedAt($value)
     * @method _IH_Withdraw_QB whereUpdatedAt($value)
     * @method Withdraw baseSole(array|string $columns = ['*'])
     * @method Withdraw create(array $attributes = [])
     * @method _IH_Withdraw_C|Withdraw[] cursor()
     * @method Withdraw|null|_IH_Withdraw_C|Withdraw[] find($id, array|string $columns = ['*'])
     * @method _IH_Withdraw_C|Withdraw[] findMany(array|Arrayable $ids, array|string $columns = ['*'])
     * @method Withdraw|_IH_Withdraw_C|Withdraw[] findOr($id, array|\Closure|string $columns = ['*'], \Closure $callback = null)
     * @method Withdraw|_IH_Withdraw_C|Withdraw[] findOrFail($id, array|string $columns = ['*'])
     * @method Withdraw|_IH_Withdraw_C|Withdraw[] findOrNew($id, array|string $columns = ['*'])
     * @method Withdraw first(array|string $columns = ['*'])
     * @method Withdraw firstOr(array|\Closure|string $columns = ['*'], \Closure $callback = null)
     * @method Withdraw firstOrCreate(array $attributes = [], array $values = [])
     * @method Withdraw firstOrFail(array|string $columns = ['*'])
     * @method Withdraw firstOrNew(array $attributes = [], array $values = [])
     * @method Withdraw firstWhere(array|\Closure|Expression|string $column, $operator = null, $value = null, string $boolean = 'and')
     * @method Withdraw forceCreate(array $attributes)
     * @method _IH_Withdraw_C|Withdraw[] fromQuery(string $query, array $bindings = [])
     * @method _IH_Withdraw_C|Withdraw[] get(array|string $columns = ['*'])
     * @method Withdraw getModel()
     * @method Withdraw[] getModels(array|string $columns = ['*'])
     * @method _IH_Withdraw_C|Withdraw[] hydrate(array $items)
     * @method _IH_Withdraw_C|Withdraw[] lazy(int $chunkSize = 1000)
     * @method _IH_Withdraw_C|Withdraw[] lazyById(int $chunkSize = 1000, null|string $column = null, null|string $alias = null)
     * @method _IH_Withdraw_C|Withdraw[] lazyByIdDesc(int $chunkSize = 1000, null|string $column = null, null|string $alias = null)
     * @method Withdraw make(array $attributes = [])
     * @method Withdraw newModelInstance(array $attributes = [])
     * @method LengthAwarePaginator|Withdraw[]|_IH_Withdraw_C paginate(\Closure|int|null $perPage = null, array|string $columns = ['*'], string $pageName = 'page', int|null $page = null)
     * @method Paginator|Withdraw[]|_IH_Withdraw_C simplePaginate(int|null $perPage = null, array|string $columns = ['*'], string $pageName = 'page', int|null $page = null)
     * @method Withdraw sole(array|string $columns = ['*'])
     * @method Withdraw updateOrCreate(array $attributes, array $values = [])
     */
    class _IH_Withdraw_QB extends _BaseBuilder {}
}