<?php //84b8fa1703b86e656525b3d6a5fc676a
/** @noinspection all */

namespace LaravelIdea\Helper\Modules\GoogleMeet\Entities {

    use Illuminate\Contracts\Database\Query\Expression;
    use Illuminate\Contracts\Support\Arrayable;
    use Illuminate\Pagination\LengthAwarePaginator;
    use Illuminate\Pagination\Paginator;
    use Illuminate\Support\Collection;
    use LaravelIdea\Helper\_BaseBuilder;
    use LaravelIdea\Helper\_BaseCollection;
    use Modules\GoogleMeet\Entities\GoogleAccount;
    use Modules\GoogleMeet\Entities\GoogleMeetMeeting;
    
    /**
     * @method GoogleAccount|null getOrPut($key, \Closure $value)
     * @method GoogleAccount|$this shift(int $count = 1)
     * @method GoogleAccount|null firstOrFail(callable|string $key = null, $operator = null, $value = null)
     * @method GoogleAccount|$this pop(int $count = 1)
     * @method GoogleAccount|null pull($key, \Closure $default = null)
     * @method GoogleAccount|null last(callable $callback = null, \Closure $default = null)
     * @method GoogleAccount|$this random(callable|int|null $number = null, bool $preserveKeys = false)
     * @method GoogleAccount|null sole(callable|string $key = null, $operator = null, $value = null)
     * @method GoogleAccount|null get($key, \Closure $default = null)
     * @method GoogleAccount|null first(callable $callback = null, \Closure $default = null)
     * @method GoogleAccount|null firstWhere(callable|string $key, $operator = null, $value = null)
     * @method GoogleAccount|null find($key, $default = null)
     * @method GoogleAccount[] all()
     */
    class _IH_GoogleAccount_C extends _BaseCollection {
        /**
         * @param int $size
         * @return GoogleAccount[][]|Collection<_IH_GoogleAccount_C>
         */
        public function chunk($size)
        {
            return [];
        }
    }
    
    /**
     * @method _IH_GoogleAccount_QB whereId($value)
     * @method _IH_GoogleAccount_QB whereUserId($value)
     * @method _IH_GoogleAccount_QB whereName($value)
     * @method _IH_GoogleAccount_QB whereEmail($value)
     * @method _IH_GoogleAccount_QB whereGoogleId($value)
     * @method _IH_GoogleAccount_QB whereToken($value)
     * @method _IH_GoogleAccount_QB whereIsActive($value)
     * @method _IH_GoogleAccount_QB whereCreatedAt($value)
     * @method _IH_GoogleAccount_QB whereUpdatedAt($value)
     * @method GoogleAccount baseSole(array|string $columns = ['*'])
     * @method GoogleAccount create(array $attributes = [])
     * @method _IH_GoogleAccount_C|GoogleAccount[] cursor()
     * @method GoogleAccount|null|_IH_GoogleAccount_C|GoogleAccount[] find($id, array|string $columns = ['*'])
     * @method _IH_GoogleAccount_C|GoogleAccount[] findMany(array|Arrayable $ids, array|string $columns = ['*'])
     * @method GoogleAccount|_IH_GoogleAccount_C|GoogleAccount[] findOr($id, array|\Closure|string $columns = ['*'], \Closure $callback = null)
     * @method GoogleAccount|_IH_GoogleAccount_C|GoogleAccount[] findOrFail($id, array|string $columns = ['*'])
     * @method GoogleAccount|_IH_GoogleAccount_C|GoogleAccount[] findOrNew($id, array|string $columns = ['*'])
     * @method GoogleAccount first(array|string $columns = ['*'])
     * @method GoogleAccount firstOr(array|\Closure|string $columns = ['*'], \Closure $callback = null)
     * @method GoogleAccount firstOrCreate(array $attributes = [], array $values = [])
     * @method GoogleAccount firstOrFail(array|string $columns = ['*'])
     * @method GoogleAccount firstOrNew(array $attributes = [], array $values = [])
     * @method GoogleAccount firstWhere(array|\Closure|Expression|string $column, $operator = null, $value = null, string $boolean = 'and')
     * @method GoogleAccount forceCreate(array $attributes)
     * @method _IH_GoogleAccount_C|GoogleAccount[] fromQuery(string $query, array $bindings = [])
     * @method _IH_GoogleAccount_C|GoogleAccount[] get(array|string $columns = ['*'])
     * @method GoogleAccount getModel()
     * @method GoogleAccount[] getModels(array|string $columns = ['*'])
     * @method _IH_GoogleAccount_C|GoogleAccount[] hydrate(array $items)
     * @method _IH_GoogleAccount_C|GoogleAccount[] lazy(int $chunkSize = 1000)
     * @method _IH_GoogleAccount_C|GoogleAccount[] lazyById(int $chunkSize = 1000, null|string $column = null, null|string $alias = null)
     * @method _IH_GoogleAccount_C|GoogleAccount[] lazyByIdDesc(int $chunkSize = 1000, null|string $column = null, null|string $alias = null)
     * @method GoogleAccount make(array $attributes = [])
     * @method GoogleAccount newModelInstance(array $attributes = [])
     * @method LengthAwarePaginator|GoogleAccount[]|_IH_GoogleAccount_C paginate(\Closure|int|null $perPage = null, array|string $columns = ['*'], string $pageName = 'page', int|null $page = null)
     * @method Paginator|GoogleAccount[]|_IH_GoogleAccount_C simplePaginate(int|null $perPage = null, array|string $columns = ['*'], string $pageName = 'page', int|null $page = null)
     * @method GoogleAccount sole(array|string $columns = ['*'])
     * @method GoogleAccount updateOrCreate(array $attributes, array $values = [])
     */
    class _IH_GoogleAccount_QB extends _BaseBuilder {}
    
    /**
     * @method GoogleMeetMeeting|null getOrPut($key, \Closure $value)
     * @method GoogleMeetMeeting|$this shift(int $count = 1)
     * @method GoogleMeetMeeting|null firstOrFail(callable|string $key = null, $operator = null, $value = null)
     * @method GoogleMeetMeeting|$this pop(int $count = 1)
     * @method GoogleMeetMeeting|null pull($key, \Closure $default = null)
     * @method GoogleMeetMeeting|null last(callable $callback = null, \Closure $default = null)
     * @method GoogleMeetMeeting|$this random(callable|int|null $number = null, bool $preserveKeys = false)
     * @method GoogleMeetMeeting|null sole(callable|string $key = null, $operator = null, $value = null)
     * @method GoogleMeetMeeting|null get($key, \Closure $default = null)
     * @method GoogleMeetMeeting|null first(callable $callback = null, \Closure $default = null)
     * @method GoogleMeetMeeting|null firstWhere(callable|string $key, $operator = null, $value = null)
     * @method GoogleMeetMeeting|null find($key, $default = null)
     * @method GoogleMeetMeeting[] all()
     */
    class _IH_GoogleMeetMeeting_C extends _BaseCollection {
        /**
         * @param int $size
         * @return GoogleMeetMeeting[][]|Collection<_IH_GoogleMeetMeeting_C>
         */
        public function chunk($size)
        {
            return [];
        }
    }
    
    /**
     * @method _IH_GoogleMeetMeeting_QB whereId($value)
     * @method _IH_GoogleMeetMeeting_QB whereClassId($value)
     * @method _IH_GoogleMeetMeeting_QB whereResponse($value)
     * @method _IH_GoogleMeetMeeting_QB whereHangoutlink($value)
     * @method _IH_GoogleMeetMeeting_QB whereHtmllink($value)
     * @method _IH_GoogleMeetMeeting_QB whereMeetingid($value)
     * @method _IH_GoogleMeetMeeting_QB whereLocation($value)
     * @method _IH_GoogleMeetMeeting_QB whereStatus($value)
     * @method _IH_GoogleMeetMeeting_QB whereSummary($value)
     * @method _IH_GoogleMeetMeeting_QB whereVisibility($value)
     * @method _IH_GoogleMeetMeeting_QB whereUpdated($value)
     * @method _IH_GoogleMeetMeeting_QB whereStartResponse($value)
     * @method _IH_GoogleMeetMeeting_QB whereEndResponse($value)
     * @method _IH_GoogleMeetMeeting_QB whereStartDateTime($value)
     * @method _IH_GoogleMeetMeeting_QB whereEndDateTime($value)
     * @method _IH_GoogleMeetMeeting_QB whereCreatedAt($value)
     * @method _IH_GoogleMeetMeeting_QB whereUpdatedAt($value)
     * @method GoogleMeetMeeting baseSole(array|string $columns = ['*'])
     * @method GoogleMeetMeeting create(array $attributes = [])
     * @method _IH_GoogleMeetMeeting_C|GoogleMeetMeeting[] cursor()
     * @method GoogleMeetMeeting|null|_IH_GoogleMeetMeeting_C|GoogleMeetMeeting[] find($id, array|string $columns = ['*'])
     * @method _IH_GoogleMeetMeeting_C|GoogleMeetMeeting[] findMany(array|Arrayable $ids, array|string $columns = ['*'])
     * @method GoogleMeetMeeting|_IH_GoogleMeetMeeting_C|GoogleMeetMeeting[] findOr($id, array|\Closure|string $columns = ['*'], \Closure $callback = null)
     * @method GoogleMeetMeeting|_IH_GoogleMeetMeeting_C|GoogleMeetMeeting[] findOrFail($id, array|string $columns = ['*'])
     * @method GoogleMeetMeeting|_IH_GoogleMeetMeeting_C|GoogleMeetMeeting[] findOrNew($id, array|string $columns = ['*'])
     * @method GoogleMeetMeeting first(array|string $columns = ['*'])
     * @method GoogleMeetMeeting firstOr(array|\Closure|string $columns = ['*'], \Closure $callback = null)
     * @method GoogleMeetMeeting firstOrCreate(array $attributes = [], array $values = [])
     * @method GoogleMeetMeeting firstOrFail(array|string $columns = ['*'])
     * @method GoogleMeetMeeting firstOrNew(array $attributes = [], array $values = [])
     * @method GoogleMeetMeeting firstWhere(array|\Closure|Expression|string $column, $operator = null, $value = null, string $boolean = 'and')
     * @method GoogleMeetMeeting forceCreate(array $attributes)
     * @method _IH_GoogleMeetMeeting_C|GoogleMeetMeeting[] fromQuery(string $query, array $bindings = [])
     * @method _IH_GoogleMeetMeeting_C|GoogleMeetMeeting[] get(array|string $columns = ['*'])
     * @method GoogleMeetMeeting getModel()
     * @method GoogleMeetMeeting[] getModels(array|string $columns = ['*'])
     * @method _IH_GoogleMeetMeeting_C|GoogleMeetMeeting[] hydrate(array $items)
     * @method _IH_GoogleMeetMeeting_C|GoogleMeetMeeting[] lazy(int $chunkSize = 1000)
     * @method _IH_GoogleMeetMeeting_C|GoogleMeetMeeting[] lazyById(int $chunkSize = 1000, null|string $column = null, null|string $alias = null)
     * @method _IH_GoogleMeetMeeting_C|GoogleMeetMeeting[] lazyByIdDesc(int $chunkSize = 1000, null|string $column = null, null|string $alias = null)
     * @method GoogleMeetMeeting make(array $attributes = [])
     * @method GoogleMeetMeeting newModelInstance(array $attributes = [])
     * @method LengthAwarePaginator|GoogleMeetMeeting[]|_IH_GoogleMeetMeeting_C paginate(\Closure|int|null $perPage = null, array|string $columns = ['*'], string $pageName = 'page', int|null $page = null)
     * @method Paginator|GoogleMeetMeeting[]|_IH_GoogleMeetMeeting_C simplePaginate(int|null $perPage = null, array|string $columns = ['*'], string $pageName = 'page', int|null $page = null)
     * @method GoogleMeetMeeting sole(array|string $columns = ['*'])
     * @method GoogleMeetMeeting updateOrCreate(array $attributes, array $values = [])
     */
    class _IH_GoogleMeetMeeting_QB extends _BaseBuilder {}
}