<?php //81f8e886768baece7c936e73088222cd
/** @noinspection all */

namespace LaravelIdea\Helper\Modules\SkillAndPathway\Entities {

    use Illuminate\Contracts\Database\Query\Expression;
    use Illuminate\Contracts\Support\Arrayable;
    use Illuminate\Pagination\LengthAwarePaginator;
    use Illuminate\Pagination\Paginator;
    use Illuminate\Support\Collection;
    use LaravelIdea\Helper\_BaseBuilder;
    use LaravelIdea\Helper\_BaseCollection;
    use Modules\SkillAndPathway\Entities\Group;
    use Modules\SkillAndPathway\Entities\GroupStudent;
    use Modules\SkillAndPathway\Entities\Pathway;
    use Modules\SkillAndPathway\Entities\PathwayCourse;
    use Modules\SkillAndPathway\Entities\Skill;
    use Modules\SkillAndPathway\Entities\StudentCompletePathway;
    use Modules\SkillAndPathway\Entities\StudentSkill;
    
    /**
     * @method GroupStudent|null getOrPut($key, \Closure $value)
     * @method GroupStudent|$this shift(int $count = 1)
     * @method GroupStudent|null firstOrFail(callable|string $key = null, $operator = null, $value = null)
     * @method GroupStudent|$this pop(int $count = 1)
     * @method GroupStudent|null pull($key, \Closure $default = null)
     * @method GroupStudent|null last(callable $callback = null, \Closure $default = null)
     * @method GroupStudent|$this random(callable|int|null $number = null, bool $preserveKeys = false)
     * @method GroupStudent|null sole(callable|string $key = null, $operator = null, $value = null)
     * @method GroupStudent|null get($key, \Closure $default = null)
     * @method GroupStudent|null first(callable $callback = null, \Closure $default = null)
     * @method GroupStudent|null firstWhere(callable|string $key, $operator = null, $value = null)
     * @method GroupStudent|null find($key, $default = null)
     * @method GroupStudent[] all()
     */
    class _IH_GroupStudent_C extends _BaseCollection {
        /**
         * @param int $size
         * @return GroupStudent[][]|Collection<_IH_GroupStudent_C>
         */
        public function chunk($size)
        {
            return [];
        }
    }
    
    /**
     * @method _IH_GroupStudent_QB whereId($value)
     * @method _IH_GroupStudent_QB whereGroupId($value)
     * @method _IH_GroupStudent_QB whereStudentId($value)
     * @method _IH_GroupStudent_QB whereAddedBy($value)
     * @method _IH_GroupStudent_QB whereStatus($value)
     * @method _IH_GroupStudent_QB whereLmsId($value)
     * @method _IH_GroupStudent_QB whereCreatedAt($value)
     * @method _IH_GroupStudent_QB whereUpdatedAt($value)
     * @method GroupStudent baseSole(array|string $columns = ['*'])
     * @method GroupStudent create(array $attributes = [])
     * @method _IH_GroupStudent_C|GroupStudent[] cursor()
     * @method GroupStudent|null|_IH_GroupStudent_C|GroupStudent[] find($id, array|string $columns = ['*'])
     * @method _IH_GroupStudent_C|GroupStudent[] findMany(array|Arrayable $ids, array|string $columns = ['*'])
     * @method GroupStudent|_IH_GroupStudent_C|GroupStudent[] findOr($id, array|\Closure|string $columns = ['*'], \Closure $callback = null)
     * @method GroupStudent|_IH_GroupStudent_C|GroupStudent[] findOrFail($id, array|string $columns = ['*'])
     * @method GroupStudent|_IH_GroupStudent_C|GroupStudent[] findOrNew($id, array|string $columns = ['*'])
     * @method GroupStudent first(array|string $columns = ['*'])
     * @method GroupStudent firstOr(array|\Closure|string $columns = ['*'], \Closure $callback = null)
     * @method GroupStudent firstOrCreate(array $attributes = [], array $values = [])
     * @method GroupStudent firstOrFail(array|string $columns = ['*'])
     * @method GroupStudent firstOrNew(array $attributes = [], array $values = [])
     * @method GroupStudent firstWhere(array|\Closure|Expression|string $column, $operator = null, $value = null, string $boolean = 'and')
     * @method GroupStudent forceCreate(array $attributes)
     * @method _IH_GroupStudent_C|GroupStudent[] fromQuery(string $query, array $bindings = [])
     * @method _IH_GroupStudent_C|GroupStudent[] get(array|string $columns = ['*'])
     * @method GroupStudent getModel()
     * @method GroupStudent[] getModels(array|string $columns = ['*'])
     * @method _IH_GroupStudent_C|GroupStudent[] hydrate(array $items)
     * @method _IH_GroupStudent_C|GroupStudent[] lazy(int $chunkSize = 1000)
     * @method _IH_GroupStudent_C|GroupStudent[] lazyById(int $chunkSize = 1000, null|string $column = null, null|string $alias = null)
     * @method _IH_GroupStudent_C|GroupStudent[] lazyByIdDesc(int $chunkSize = 1000, null|string $column = null, null|string $alias = null)
     * @method GroupStudent make(array $attributes = [])
     * @method GroupStudent newModelInstance(array $attributes = [])
     * @method LengthAwarePaginator|GroupStudent[]|_IH_GroupStudent_C paginate(\Closure|int|null $perPage = null, array|string $columns = ['*'], string $pageName = 'page', int|null $page = null)
     * @method Paginator|GroupStudent[]|_IH_GroupStudent_C simplePaginate(int|null $perPage = null, array|string $columns = ['*'], string $pageName = 'page', int|null $page = null)
     * @method GroupStudent sole(array|string $columns = ['*'])
     * @method GroupStudent updateOrCreate(array $attributes, array $values = [])
     */
    class _IH_GroupStudent_QB extends _BaseBuilder {}
    
    /**
     * @method Group|null getOrPut($key, \Closure $value)
     * @method Group|$this shift(int $count = 1)
     * @method Group|null firstOrFail(callable|string $key = null, $operator = null, $value = null)
     * @method Group|$this pop(int $count = 1)
     * @method Group|null pull($key, \Closure $default = null)
     * @method Group|null last(callable $callback = null, \Closure $default = null)
     * @method Group|$this random(callable|int|null $number = null, bool $preserveKeys = false)
     * @method Group|null sole(callable|string $key = null, $operator = null, $value = null)
     * @method Group|null get($key, \Closure $default = null)
     * @method Group|null first(callable $callback = null, \Closure $default = null)
     * @method Group|null firstWhere(callable|string $key, $operator = null, $value = null)
     * @method Group|null find($key, $default = null)
     * @method Group[] all()
     */
    class _IH_Group_C extends _BaseCollection {
        /**
         * @param int $size
         * @return Group[][]|Collection<_IH_Group_C>
         */
        public function chunk($size)
        {
            return [];
        }
    }
    
    /**
     * @method _IH_Group_QB whereId($value)
     * @method _IH_Group_QB whereName($value)
     * @method _IH_Group_QB whereDescription($value)
     * @method _IH_Group_QB whereParentId($value)
     * @method _IH_Group_QB whereCreatedBy($value)
     * @method _IH_Group_QB whereStatus($value)
     * @method _IH_Group_QB whereCourseIds($value)
     * @method _IH_Group_QB whereLmsId($value)
     * @method _IH_Group_QB whereCreatedAt($value)
     * @method _IH_Group_QB whereUpdatedAt($value)
     * @method Group baseSole(array|string $columns = ['*'])
     * @method Group create(array $attributes = [])
     * @method _IH_Group_C|Group[] cursor()
     * @method Group|null|_IH_Group_C|Group[] find($id, array|string $columns = ['*'])
     * @method _IH_Group_C|Group[] findMany(array|Arrayable $ids, array|string $columns = ['*'])
     * @method Group|_IH_Group_C|Group[] findOr($id, array|\Closure|string $columns = ['*'], \Closure $callback = null)
     * @method Group|_IH_Group_C|Group[] findOrFail($id, array|string $columns = ['*'])
     * @method Group|_IH_Group_C|Group[] findOrNew($id, array|string $columns = ['*'])
     * @method Group first(array|string $columns = ['*'])
     * @method Group firstOr(array|\Closure|string $columns = ['*'], \Closure $callback = null)
     * @method Group firstOrCreate(array $attributes = [], array $values = [])
     * @method Group firstOrFail(array|string $columns = ['*'])
     * @method Group firstOrNew(array $attributes = [], array $values = [])
     * @method Group firstWhere(array|\Closure|Expression|string $column, $operator = null, $value = null, string $boolean = 'and')
     * @method Group forceCreate(array $attributes)
     * @method _IH_Group_C|Group[] fromQuery(string $query, array $bindings = [])
     * @method _IH_Group_C|Group[] get(array|string $columns = ['*'])
     * @method Group getModel()
     * @method Group[] getModels(array|string $columns = ['*'])
     * @method _IH_Group_C|Group[] hydrate(array $items)
     * @method _IH_Group_C|Group[] lazy(int $chunkSize = 1000)
     * @method _IH_Group_C|Group[] lazyById(int $chunkSize = 1000, null|string $column = null, null|string $alias = null)
     * @method _IH_Group_C|Group[] lazyByIdDesc(int $chunkSize = 1000, null|string $column = null, null|string $alias = null)
     * @method Group make(array $attributes = [])
     * @method Group newModelInstance(array $attributes = [])
     * @method LengthAwarePaginator|Group[]|_IH_Group_C paginate(\Closure|int|null $perPage = null, array|string $columns = ['*'], string $pageName = 'page', int|null $page = null)
     * @method Paginator|Group[]|_IH_Group_C simplePaginate(int|null $perPage = null, array|string $columns = ['*'], string $pageName = 'page', int|null $page = null)
     * @method Group sole(array|string $columns = ['*'])
     * @method Group updateOrCreate(array $attributes, array $values = [])
     */
    class _IH_Group_QB extends _BaseBuilder {}
    
    /**
     * @method PathwayCourse|null getOrPut($key, \Closure $value)
     * @method PathwayCourse|$this shift(int $count = 1)
     * @method PathwayCourse|null firstOrFail(callable|string $key = null, $operator = null, $value = null)
     * @method PathwayCourse|$this pop(int $count = 1)
     * @method PathwayCourse|null pull($key, \Closure $default = null)
     * @method PathwayCourse|null last(callable $callback = null, \Closure $default = null)
     * @method PathwayCourse|$this random(callable|int|null $number = null, bool $preserveKeys = false)
     * @method PathwayCourse|null sole(callable|string $key = null, $operator = null, $value = null)
     * @method PathwayCourse|null get($key, \Closure $default = null)
     * @method PathwayCourse|null first(callable $callback = null, \Closure $default = null)
     * @method PathwayCourse|null firstWhere(callable|string $key, $operator = null, $value = null)
     * @method PathwayCourse|null find($key, $default = null)
     * @method PathwayCourse[] all()
     */
    class _IH_PathwayCourse_C extends _BaseCollection {
        /**
         * @param int $size
         * @return PathwayCourse[][]|Collection<_IH_PathwayCourse_C>
         */
        public function chunk($size)
        {
            return [];
        }
    }
    
    /**
     * @method _IH_PathwayCourse_QB whereId($value)
     * @method _IH_PathwayCourse_QB wherePathwayId($value)
     * @method _IH_PathwayCourse_QB whereCourseId($value)
     * @method _IH_PathwayCourse_QB whereLmsId($value)
     * @method _IH_PathwayCourse_QB whereCreatedAt($value)
     * @method _IH_PathwayCourse_QB whereUpdatedAt($value)
     * @method PathwayCourse baseSole(array|string $columns = ['*'])
     * @method PathwayCourse create(array $attributes = [])
     * @method _IH_PathwayCourse_C|PathwayCourse[] cursor()
     * @method PathwayCourse|null|_IH_PathwayCourse_C|PathwayCourse[] find($id, array|string $columns = ['*'])
     * @method _IH_PathwayCourse_C|PathwayCourse[] findMany(array|Arrayable $ids, array|string $columns = ['*'])
     * @method PathwayCourse|_IH_PathwayCourse_C|PathwayCourse[] findOr($id, array|\Closure|string $columns = ['*'], \Closure $callback = null)
     * @method PathwayCourse|_IH_PathwayCourse_C|PathwayCourse[] findOrFail($id, array|string $columns = ['*'])
     * @method PathwayCourse|_IH_PathwayCourse_C|PathwayCourse[] findOrNew($id, array|string $columns = ['*'])
     * @method PathwayCourse first(array|string $columns = ['*'])
     * @method PathwayCourse firstOr(array|\Closure|string $columns = ['*'], \Closure $callback = null)
     * @method PathwayCourse firstOrCreate(array $attributes = [], array $values = [])
     * @method PathwayCourse firstOrFail(array|string $columns = ['*'])
     * @method PathwayCourse firstOrNew(array $attributes = [], array $values = [])
     * @method PathwayCourse firstWhere(array|\Closure|Expression|string $column, $operator = null, $value = null, string $boolean = 'and')
     * @method PathwayCourse forceCreate(array $attributes)
     * @method _IH_PathwayCourse_C|PathwayCourse[] fromQuery(string $query, array $bindings = [])
     * @method _IH_PathwayCourse_C|PathwayCourse[] get(array|string $columns = ['*'])
     * @method PathwayCourse getModel()
     * @method PathwayCourse[] getModels(array|string $columns = ['*'])
     * @method _IH_PathwayCourse_C|PathwayCourse[] hydrate(array $items)
     * @method _IH_PathwayCourse_C|PathwayCourse[] lazy(int $chunkSize = 1000)
     * @method _IH_PathwayCourse_C|PathwayCourse[] lazyById(int $chunkSize = 1000, null|string $column = null, null|string $alias = null)
     * @method _IH_PathwayCourse_C|PathwayCourse[] lazyByIdDesc(int $chunkSize = 1000, null|string $column = null, null|string $alias = null)
     * @method PathwayCourse make(array $attributes = [])
     * @method PathwayCourse newModelInstance(array $attributes = [])
     * @method LengthAwarePaginator|PathwayCourse[]|_IH_PathwayCourse_C paginate(\Closure|int|null $perPage = null, array|string $columns = ['*'], string $pageName = 'page', int|null $page = null)
     * @method Paginator|PathwayCourse[]|_IH_PathwayCourse_C simplePaginate(int|null $perPage = null, array|string $columns = ['*'], string $pageName = 'page', int|null $page = null)
     * @method PathwayCourse sole(array|string $columns = ['*'])
     * @method PathwayCourse updateOrCreate(array $attributes, array $values = [])
     */
    class _IH_PathwayCourse_QB extends _BaseBuilder {}
    
    /**
     * @method Pathway|null getOrPut($key, \Closure $value)
     * @method Pathway|$this shift(int $count = 1)
     * @method Pathway|null firstOrFail(callable|string $key = null, $operator = null, $value = null)
     * @method Pathway|$this pop(int $count = 1)
     * @method Pathway|null pull($key, \Closure $default = null)
     * @method Pathway|null last(callable $callback = null, \Closure $default = null)
     * @method Pathway|$this random(callable|int|null $number = null, bool $preserveKeys = false)
     * @method Pathway|null sole(callable|string $key = null, $operator = null, $value = null)
     * @method Pathway|null get($key, \Closure $default = null)
     * @method Pathway|null first(callable $callback = null, \Closure $default = null)
     * @method Pathway|null firstWhere(callable|string $key, $operator = null, $value = null)
     * @method Pathway|null find($key, $default = null)
     * @method Pathway[] all()
     */
    class _IH_Pathway_C extends _BaseCollection {
        /**
         * @param int $size
         * @return Pathway[][]|Collection<_IH_Pathway_C>
         */
        public function chunk($size)
        {
            return [];
        }
    }
    
    /**
     * @method _IH_Pathway_QB whereId($value)
     * @method _IH_Pathway_QB whereName($value)
     * @method _IH_Pathway_QB whereDescription($value)
     * @method _IH_Pathway_QB whereStudentIds($value)
     * @method _IH_Pathway_QB whereGroupIds($value)
     * @method _IH_Pathway_QB whereGroupType($value)
     * @method _IH_Pathway_QB whereStatus($value)
     * @method _IH_Pathway_QB whereLmsId($value)
     * @method _IH_Pathway_QB whereCreatedAt($value)
     * @method _IH_Pathway_QB whereUpdatedAt($value)
     * @method Pathway baseSole(array|string $columns = ['*'])
     * @method Pathway create(array $attributes = [])
     * @method _IH_Pathway_C|Pathway[] cursor()
     * @method Pathway|null|_IH_Pathway_C|Pathway[] find($id, array|string $columns = ['*'])
     * @method _IH_Pathway_C|Pathway[] findMany(array|Arrayable $ids, array|string $columns = ['*'])
     * @method Pathway|_IH_Pathway_C|Pathway[] findOr($id, array|\Closure|string $columns = ['*'], \Closure $callback = null)
     * @method Pathway|_IH_Pathway_C|Pathway[] findOrFail($id, array|string $columns = ['*'])
     * @method Pathway|_IH_Pathway_C|Pathway[] findOrNew($id, array|string $columns = ['*'])
     * @method Pathway first(array|string $columns = ['*'])
     * @method Pathway firstOr(array|\Closure|string $columns = ['*'], \Closure $callback = null)
     * @method Pathway firstOrCreate(array $attributes = [], array $values = [])
     * @method Pathway firstOrFail(array|string $columns = ['*'])
     * @method Pathway firstOrNew(array $attributes = [], array $values = [])
     * @method Pathway firstWhere(array|\Closure|Expression|string $column, $operator = null, $value = null, string $boolean = 'and')
     * @method Pathway forceCreate(array $attributes)
     * @method _IH_Pathway_C|Pathway[] fromQuery(string $query, array $bindings = [])
     * @method _IH_Pathway_C|Pathway[] get(array|string $columns = ['*'])
     * @method Pathway getModel()
     * @method Pathway[] getModels(array|string $columns = ['*'])
     * @method _IH_Pathway_C|Pathway[] hydrate(array $items)
     * @method _IH_Pathway_C|Pathway[] lazy(int $chunkSize = 1000)
     * @method _IH_Pathway_C|Pathway[] lazyById(int $chunkSize = 1000, null|string $column = null, null|string $alias = null)
     * @method _IH_Pathway_C|Pathway[] lazyByIdDesc(int $chunkSize = 1000, null|string $column = null, null|string $alias = null)
     * @method Pathway make(array $attributes = [])
     * @method Pathway newModelInstance(array $attributes = [])
     * @method LengthAwarePaginator|Pathway[]|_IH_Pathway_C paginate(\Closure|int|null $perPage = null, array|string $columns = ['*'], string $pageName = 'page', int|null $page = null)
     * @method Paginator|Pathway[]|_IH_Pathway_C simplePaginate(int|null $perPage = null, array|string $columns = ['*'], string $pageName = 'page', int|null $page = null)
     * @method Pathway sole(array|string $columns = ['*'])
     * @method Pathway updateOrCreate(array $attributes, array $values = [])
     */
    class _IH_Pathway_QB extends _BaseBuilder {}
    
    /**
     * @method Skill|null getOrPut($key, \Closure $value)
     * @method Skill|$this shift(int $count = 1)
     * @method Skill|null firstOrFail(callable|string $key = null, $operator = null, $value = null)
     * @method Skill|$this pop(int $count = 1)
     * @method Skill|null pull($key, \Closure $default = null)
     * @method Skill|null last(callable $callback = null, \Closure $default = null)
     * @method Skill|$this random(callable|int|null $number = null, bool $preserveKeys = false)
     * @method Skill|null sole(callable|string $key = null, $operator = null, $value = null)
     * @method Skill|null get($key, \Closure $default = null)
     * @method Skill|null first(callable $callback = null, \Closure $default = null)
     * @method Skill|null firstWhere(callable|string $key, $operator = null, $value = null)
     * @method Skill|null find($key, $default = null)
     * @method Skill[] all()
     */
    class _IH_Skill_C extends _BaseCollection {
        /**
         * @param int $size
         * @return Skill[][]|Collection<_IH_Skill_C>
         */
        public function chunk($size)
        {
            return [];
        }
    }
    
    /**
     * @method _IH_Skill_QB whereId($value)
     * @method _IH_Skill_QB whereName($value)
     * @method _IH_Skill_QB whereDescription($value)
     * @method _IH_Skill_QB whereBadge($value)
     * @method _IH_Skill_QB whereStatus($value)
     * @method _IH_Skill_QB whereType($value)
     * @method _IH_Skill_QB whereLmsId($value)
     * @method _IH_Skill_QB whereCreatedAt($value)
     * @method _IH_Skill_QB whereUpdatedAt($value)
     * @method Skill baseSole(array|string $columns = ['*'])
     * @method Skill create(array $attributes = [])
     * @method _IH_Skill_C|Skill[] cursor()
     * @method Skill|null|_IH_Skill_C|Skill[] find($id, array|string $columns = ['*'])
     * @method _IH_Skill_C|Skill[] findMany(array|Arrayable $ids, array|string $columns = ['*'])
     * @method Skill|_IH_Skill_C|Skill[] findOr($id, array|\Closure|string $columns = ['*'], \Closure $callback = null)
     * @method Skill|_IH_Skill_C|Skill[] findOrFail($id, array|string $columns = ['*'])
     * @method Skill|_IH_Skill_C|Skill[] findOrNew($id, array|string $columns = ['*'])
     * @method Skill first(array|string $columns = ['*'])
     * @method Skill firstOr(array|\Closure|string $columns = ['*'], \Closure $callback = null)
     * @method Skill firstOrCreate(array $attributes = [], array $values = [])
     * @method Skill firstOrFail(array|string $columns = ['*'])
     * @method Skill firstOrNew(array $attributes = [], array $values = [])
     * @method Skill firstWhere(array|\Closure|Expression|string $column, $operator = null, $value = null, string $boolean = 'and')
     * @method Skill forceCreate(array $attributes)
     * @method _IH_Skill_C|Skill[] fromQuery(string $query, array $bindings = [])
     * @method _IH_Skill_C|Skill[] get(array|string $columns = ['*'])
     * @method Skill getModel()
     * @method Skill[] getModels(array|string $columns = ['*'])
     * @method _IH_Skill_C|Skill[] hydrate(array $items)
     * @method _IH_Skill_C|Skill[] lazy(int $chunkSize = 1000)
     * @method _IH_Skill_C|Skill[] lazyById(int $chunkSize = 1000, null|string $column = null, null|string $alias = null)
     * @method _IH_Skill_C|Skill[] lazyByIdDesc(int $chunkSize = 1000, null|string $column = null, null|string $alias = null)
     * @method Skill make(array $attributes = [])
     * @method Skill newModelInstance(array $attributes = [])
     * @method LengthAwarePaginator|Skill[]|_IH_Skill_C paginate(\Closure|int|null $perPage = null, array|string $columns = ['*'], string $pageName = 'page', int|null $page = null)
     * @method Paginator|Skill[]|_IH_Skill_C simplePaginate(int|null $perPage = null, array|string $columns = ['*'], string $pageName = 'page', int|null $page = null)
     * @method Skill sole(array|string $columns = ['*'])
     * @method Skill updateOrCreate(array $attributes, array $values = [])
     */
    class _IH_Skill_QB extends _BaseBuilder {}
    
    /**
     * @method StudentCompletePathway|null getOrPut($key, \Closure $value)
     * @method StudentCompletePathway|$this shift(int $count = 1)
     * @method StudentCompletePathway|null firstOrFail(callable|string $key = null, $operator = null, $value = null)
     * @method StudentCompletePathway|$this pop(int $count = 1)
     * @method StudentCompletePathway|null pull($key, \Closure $default = null)
     * @method StudentCompletePathway|null last(callable $callback = null, \Closure $default = null)
     * @method StudentCompletePathway|$this random(callable|int|null $number = null, bool $preserveKeys = false)
     * @method StudentCompletePathway|null sole(callable|string $key = null, $operator = null, $value = null)
     * @method StudentCompletePathway|null get($key, \Closure $default = null)
     * @method StudentCompletePathway|null first(callable $callback = null, \Closure $default = null)
     * @method StudentCompletePathway|null firstWhere(callable|string $key, $operator = null, $value = null)
     * @method StudentCompletePathway|null find($key, $default = null)
     * @method StudentCompletePathway[] all()
     */
    class _IH_StudentCompletePathway_C extends _BaseCollection {
        /**
         * @param int $size
         * @return StudentCompletePathway[][]|Collection<_IH_StudentCompletePathway_C>
         */
        public function chunk($size)
        {
            return [];
        }
    }
    
    /**
     * @method _IH_StudentCompletePathway_QB whereId($value)
     * @method _IH_StudentCompletePathway_QB whereStudentId($value)
     * @method _IH_StudentCompletePathway_QB wherePathwayId($value)
     * @method _IH_StudentCompletePathway_QB whereCourseCount($value)
     * @method _IH_StudentCompletePathway_QB whereCourseId($value)
     * @method _IH_StudentCompletePathway_QB whereLmsId($value)
     * @method _IH_StudentCompletePathway_QB whereCreatedAt($value)
     * @method _IH_StudentCompletePathway_QB whereUpdatedAt($value)
     * @method StudentCompletePathway baseSole(array|string $columns = ['*'])
     * @method StudentCompletePathway create(array $attributes = [])
     * @method _IH_StudentCompletePathway_C|StudentCompletePathway[] cursor()
     * @method StudentCompletePathway|null|_IH_StudentCompletePathway_C|StudentCompletePathway[] find($id, array|string $columns = ['*'])
     * @method _IH_StudentCompletePathway_C|StudentCompletePathway[] findMany(array|Arrayable $ids, array|string $columns = ['*'])
     * @method StudentCompletePathway|_IH_StudentCompletePathway_C|StudentCompletePathway[] findOr($id, array|\Closure|string $columns = ['*'], \Closure $callback = null)
     * @method StudentCompletePathway|_IH_StudentCompletePathway_C|StudentCompletePathway[] findOrFail($id, array|string $columns = ['*'])
     * @method StudentCompletePathway|_IH_StudentCompletePathway_C|StudentCompletePathway[] findOrNew($id, array|string $columns = ['*'])
     * @method StudentCompletePathway first(array|string $columns = ['*'])
     * @method StudentCompletePathway firstOr(array|\Closure|string $columns = ['*'], \Closure $callback = null)
     * @method StudentCompletePathway firstOrCreate(array $attributes = [], array $values = [])
     * @method StudentCompletePathway firstOrFail(array|string $columns = ['*'])
     * @method StudentCompletePathway firstOrNew(array $attributes = [], array $values = [])
     * @method StudentCompletePathway firstWhere(array|\Closure|Expression|string $column, $operator = null, $value = null, string $boolean = 'and')
     * @method StudentCompletePathway forceCreate(array $attributes)
     * @method _IH_StudentCompletePathway_C|StudentCompletePathway[] fromQuery(string $query, array $bindings = [])
     * @method _IH_StudentCompletePathway_C|StudentCompletePathway[] get(array|string $columns = ['*'])
     * @method StudentCompletePathway getModel()
     * @method StudentCompletePathway[] getModels(array|string $columns = ['*'])
     * @method _IH_StudentCompletePathway_C|StudentCompletePathway[] hydrate(array $items)
     * @method _IH_StudentCompletePathway_C|StudentCompletePathway[] lazy(int $chunkSize = 1000)
     * @method _IH_StudentCompletePathway_C|StudentCompletePathway[] lazyById(int $chunkSize = 1000, null|string $column = null, null|string $alias = null)
     * @method _IH_StudentCompletePathway_C|StudentCompletePathway[] lazyByIdDesc(int $chunkSize = 1000, null|string $column = null, null|string $alias = null)
     * @method StudentCompletePathway make(array $attributes = [])
     * @method StudentCompletePathway newModelInstance(array $attributes = [])
     * @method LengthAwarePaginator|StudentCompletePathway[]|_IH_StudentCompletePathway_C paginate(\Closure|int|null $perPage = null, array|string $columns = ['*'], string $pageName = 'page', int|null $page = null)
     * @method Paginator|StudentCompletePathway[]|_IH_StudentCompletePathway_C simplePaginate(int|null $perPage = null, array|string $columns = ['*'], string $pageName = 'page', int|null $page = null)
     * @method StudentCompletePathway sole(array|string $columns = ['*'])
     * @method StudentCompletePathway updateOrCreate(array $attributes, array $values = [])
     */
    class _IH_StudentCompletePathway_QB extends _BaseBuilder {}
    
    /**
     * @method StudentSkill|null getOrPut($key, \Closure $value)
     * @method StudentSkill|$this shift(int $count = 1)
     * @method StudentSkill|null firstOrFail(callable|string $key = null, $operator = null, $value = null)
     * @method StudentSkill|$this pop(int $count = 1)
     * @method StudentSkill|null pull($key, \Closure $default = null)
     * @method StudentSkill|null last(callable $callback = null, \Closure $default = null)
     * @method StudentSkill|$this random(callable|int|null $number = null, bool $preserveKeys = false)
     * @method StudentSkill|null sole(callable|string $key = null, $operator = null, $value = null)
     * @method StudentSkill|null get($key, \Closure $default = null)
     * @method StudentSkill|null first(callable $callback = null, \Closure $default = null)
     * @method StudentSkill|null firstWhere(callable|string $key, $operator = null, $value = null)
     * @method StudentSkill|null find($key, $default = null)
     * @method StudentSkill[] all()
     */
    class _IH_StudentSkill_C extends _BaseCollection {
        /**
         * @param int $size
         * @return StudentSkill[][]|Collection<_IH_StudentSkill_C>
         */
        public function chunk($size)
        {
            return [];
        }
    }
    
    /**
     * @method _IH_StudentSkill_QB whereId($value)
     * @method _IH_StudentSkill_QB whereStudentId($value)
     * @method _IH_StudentSkill_QB whereCourseId($value)
     * @method _IH_StudentSkill_QB wherePathwayId($value)
     * @method _IH_StudentSkill_QB whereSkillId($value)
     * @method _IH_StudentSkill_QB whereLmsId($value)
     * @method _IH_StudentSkill_QB whereCreatedAt($value)
     * @method _IH_StudentSkill_QB whereUpdatedAt($value)
     * @method StudentSkill baseSole(array|string $columns = ['*'])
     * @method StudentSkill create(array $attributes = [])
     * @method _IH_StudentSkill_C|StudentSkill[] cursor()
     * @method StudentSkill|null|_IH_StudentSkill_C|StudentSkill[] find($id, array|string $columns = ['*'])
     * @method _IH_StudentSkill_C|StudentSkill[] findMany(array|Arrayable $ids, array|string $columns = ['*'])
     * @method StudentSkill|_IH_StudentSkill_C|StudentSkill[] findOr($id, array|\Closure|string $columns = ['*'], \Closure $callback = null)
     * @method StudentSkill|_IH_StudentSkill_C|StudentSkill[] findOrFail($id, array|string $columns = ['*'])
     * @method StudentSkill|_IH_StudentSkill_C|StudentSkill[] findOrNew($id, array|string $columns = ['*'])
     * @method StudentSkill first(array|string $columns = ['*'])
     * @method StudentSkill firstOr(array|\Closure|string $columns = ['*'], \Closure $callback = null)
     * @method StudentSkill firstOrCreate(array $attributes = [], array $values = [])
     * @method StudentSkill firstOrFail(array|string $columns = ['*'])
     * @method StudentSkill firstOrNew(array $attributes = [], array $values = [])
     * @method StudentSkill firstWhere(array|\Closure|Expression|string $column, $operator = null, $value = null, string $boolean = 'and')
     * @method StudentSkill forceCreate(array $attributes)
     * @method _IH_StudentSkill_C|StudentSkill[] fromQuery(string $query, array $bindings = [])
     * @method _IH_StudentSkill_C|StudentSkill[] get(array|string $columns = ['*'])
     * @method StudentSkill getModel()
     * @method StudentSkill[] getModels(array|string $columns = ['*'])
     * @method _IH_StudentSkill_C|StudentSkill[] hydrate(array $items)
     * @method _IH_StudentSkill_C|StudentSkill[] lazy(int $chunkSize = 1000)
     * @method _IH_StudentSkill_C|StudentSkill[] lazyById(int $chunkSize = 1000, null|string $column = null, null|string $alias = null)
     * @method _IH_StudentSkill_C|StudentSkill[] lazyByIdDesc(int $chunkSize = 1000, null|string $column = null, null|string $alias = null)
     * @method StudentSkill make(array $attributes = [])
     * @method StudentSkill newModelInstance(array $attributes = [])
     * @method LengthAwarePaginator|StudentSkill[]|_IH_StudentSkill_C paginate(\Closure|int|null $perPage = null, array|string $columns = ['*'], string $pageName = 'page', int|null $page = null)
     * @method Paginator|StudentSkill[]|_IH_StudentSkill_C simplePaginate(int|null $perPage = null, array|string $columns = ['*'], string $pageName = 'page', int|null $page = null)
     * @method StudentSkill sole(array|string $columns = ['*'])
     * @method StudentSkill updateOrCreate(array $attributes, array $values = [])
     */
    class _IH_StudentSkill_QB extends _BaseBuilder {}
}