<?php //230695d91fb1df31e39650e73b5d771b
/** @noinspection all */

namespace LaravelIdea\Helper\Modules\Appointment\Entities {

    use Illuminate\Contracts\Database\Query\Expression;
    use Illuminate\Contracts\Support\Arrayable;
    use Illuminate\Pagination\LengthAwarePaginator;
    use Illuminate\Pagination\Paginator;
    use Illuminate\Support\Collection;
    use LaravelIdea\Helper\_BaseBuilder;
    use LaravelIdea\Helper\_BaseCollection;
    use Modules\Appointment\Entities\AppointmentFrontendPage;
    use Modules\Appointment\Entities\AppointmentSettings;
    use Modules\Appointment\Entities\Booking;
    use Modules\Appointment\Entities\BookTrailLesson;
    use Modules\Appointment\Entities\Design;
    use Modules\Appointment\Entities\InstructorCertificate;
    use Modules\Appointment\Entities\InstructorEducation;
    use Modules\Appointment\Entities\InstructorReview;
    use Modules\Appointment\Entities\InstructorSocial;
    use Modules\Appointment\Entities\InstructorTeachingCategory;
    use Modules\Appointment\Entities\InstructorTeachingLanguage;
    use Modules\Appointment\Entities\InstructorWorkExperience;
    use Modules\Appointment\Entities\RequestPost;
    use Modules\Appointment\Entities\Schedule;
    use Modules\Appointment\Entities\ShareLink;
    use Modules\Appointment\Entities\Social;
    use Modules\Appointment\Entities\TimeSlot;
    use Modules\Appointment\Entities\Wishlist;
    
    /**
     * @method AppointmentFrontendPage|null getOrPut($key, \Closure $value)
     * @method AppointmentFrontendPage|$this shift(int $count = 1)
     * @method AppointmentFrontendPage|null firstOrFail(callable|string $key = null, $operator = null, $value = null)
     * @method AppointmentFrontendPage|$this pop(int $count = 1)
     * @method AppointmentFrontendPage|null pull($key, \Closure $default = null)
     * @method AppointmentFrontendPage|null last(callable $callback = null, \Closure $default = null)
     * @method AppointmentFrontendPage|$this random(callable|int|null $number = null, bool $preserveKeys = false)
     * @method AppointmentFrontendPage|null sole(callable|string $key = null, $operator = null, $value = null)
     * @method AppointmentFrontendPage|null get($key, \Closure $default = null)
     * @method AppointmentFrontendPage|null first(callable $callback = null, \Closure $default = null)
     * @method AppointmentFrontendPage|null firstWhere(callable|string $key, $operator = null, $value = null)
     * @method AppointmentFrontendPage|null find($key, $default = null)
     * @method AppointmentFrontendPage[] all()
     */
    class _IH_AppointmentFrontendPage_C extends _BaseCollection {
        /**
         * @param int $size
         * @return AppointmentFrontendPage[][]|Collection<_IH_AppointmentFrontendPage_C>
         */
        public function chunk($size)
        {
            return [];
        }
    }
    
    /**
     * @method _IH_AppointmentFrontendPage_QB whereId($value)
     * @method _IH_AppointmentFrontendPage_QB whereName($value)
     * @method _IH_AppointmentFrontendPage_QB whereTitle($value)
     * @method _IH_AppointmentFrontendPage_QB whereSlug($value)
     * @method _IH_AppointmentFrontendPage_QB whereStatus($value)
     * @method _IH_AppointmentFrontendPage_QB wherePosition($value)
     * @method _IH_AppointmentFrontendPage_QB whereIsDefault($value)
     * @method _IH_AppointmentFrontendPage_QB whereIsStatic($value)
     * @method _IH_AppointmentFrontendPage_QB whereIsPageBuilder($value)
     * @method _IH_AppointmentFrontendPage_QB whereLmsId($value)
     * @method _IH_AppointmentFrontendPage_QB whereDescription($value)
     * @method _IH_AppointmentFrontendPage_QB whereType($value)
     * @method _IH_AppointmentFrontendPage_QB whereCreatedBy($value)
     * @method _IH_AppointmentFrontendPage_QB whereUpdatedBy($value)
     * @method _IH_AppointmentFrontendPage_QB whereCreatedAt($value)
     * @method _IH_AppointmentFrontendPage_QB whereUpdatedAt($value)
     * @method AppointmentFrontendPage baseSole(array|string $columns = ['*'])
     * @method AppointmentFrontendPage create(array $attributes = [])
     * @method _IH_AppointmentFrontendPage_C|AppointmentFrontendPage[] cursor()
     * @method AppointmentFrontendPage|null|_IH_AppointmentFrontendPage_C|AppointmentFrontendPage[] find($id, array|string $columns = ['*'])
     * @method _IH_AppointmentFrontendPage_C|AppointmentFrontendPage[] findMany(array|Arrayable $ids, array|string $columns = ['*'])
     * @method AppointmentFrontendPage|_IH_AppointmentFrontendPage_C|AppointmentFrontendPage[] findOr($id, array|\Closure|string $columns = ['*'], \Closure $callback = null)
     * @method AppointmentFrontendPage|_IH_AppointmentFrontendPage_C|AppointmentFrontendPage[] findOrFail($id, array|string $columns = ['*'])
     * @method AppointmentFrontendPage|_IH_AppointmentFrontendPage_C|AppointmentFrontendPage[] findOrNew($id, array|string $columns = ['*'])
     * @method AppointmentFrontendPage first(array|string $columns = ['*'])
     * @method AppointmentFrontendPage firstOr(array|\Closure|string $columns = ['*'], \Closure $callback = null)
     * @method AppointmentFrontendPage firstOrCreate(array $attributes = [], array $values = [])
     * @method AppointmentFrontendPage firstOrFail(array|string $columns = ['*'])
     * @method AppointmentFrontendPage firstOrNew(array $attributes = [], array $values = [])
     * @method AppointmentFrontendPage firstWhere(array|\Closure|Expression|string $column, $operator = null, $value = null, string $boolean = 'and')
     * @method AppointmentFrontendPage forceCreate(array $attributes)
     * @method _IH_AppointmentFrontendPage_C|AppointmentFrontendPage[] fromQuery(string $query, array $bindings = [])
     * @method _IH_AppointmentFrontendPage_C|AppointmentFrontendPage[] get(array|string $columns = ['*'])
     * @method AppointmentFrontendPage getModel()
     * @method AppointmentFrontendPage[] getModels(array|string $columns = ['*'])
     * @method _IH_AppointmentFrontendPage_C|AppointmentFrontendPage[] hydrate(array $items)
     * @method _IH_AppointmentFrontendPage_C|AppointmentFrontendPage[] lazy(int $chunkSize = 1000)
     * @method _IH_AppointmentFrontendPage_C|AppointmentFrontendPage[] lazyById(int $chunkSize = 1000, null|string $column = null, null|string $alias = null)
     * @method _IH_AppointmentFrontendPage_C|AppointmentFrontendPage[] lazyByIdDesc(int $chunkSize = 1000, null|string $column = null, null|string $alias = null)
     * @method AppointmentFrontendPage make(array $attributes = [])
     * @method AppointmentFrontendPage newModelInstance(array $attributes = [])
     * @method LengthAwarePaginator|AppointmentFrontendPage[]|_IH_AppointmentFrontendPage_C paginate(\Closure|int|null $perPage = null, array|string $columns = ['*'], string $pageName = 'page', int|null $page = null)
     * @method Paginator|AppointmentFrontendPage[]|_IH_AppointmentFrontendPage_C simplePaginate(int|null $perPage = null, array|string $columns = ['*'], string $pageName = 'page', int|null $page = null)
     * @method AppointmentFrontendPage sole(array|string $columns = ['*'])
     * @method AppointmentFrontendPage updateOrCreate(array $attributes, array $values = [])
     */
    class _IH_AppointmentFrontendPage_QB extends _BaseBuilder {}
    
    /**
     * @method AppointmentSettings|null getOrPut($key, \Closure $value)
     * @method AppointmentSettings|$this shift(int $count = 1)
     * @method AppointmentSettings|null firstOrFail(callable|string $key = null, $operator = null, $value = null)
     * @method AppointmentSettings|$this pop(int $count = 1)
     * @method AppointmentSettings|null pull($key, \Closure $default = null)
     * @method AppointmentSettings|null last(callable $callback = null, \Closure $default = null)
     * @method AppointmentSettings|$this random(callable|int|null $number = null, bool $preserveKeys = false)
     * @method AppointmentSettings|null sole(callable|string $key = null, $operator = null, $value = null)
     * @method AppointmentSettings|null get($key, \Closure $default = null)
     * @method AppointmentSettings|null first(callable $callback = null, \Closure $default = null)
     * @method AppointmentSettings|null firstWhere(callable|string $key, $operator = null, $value = null)
     * @method AppointmentSettings|null find($key, $default = null)
     * @method AppointmentSettings[] all()
     */
    class _IH_AppointmentSettings_C extends _BaseCollection {
        /**
         * @param int $size
         * @return AppointmentSettings[][]|Collection<_IH_AppointmentSettings_C>
         */
        public function chunk($size)
        {
            return [];
        }
    }
    
    /**
     * @method _IH_AppointmentSettings_QB whereId($value)
     * @method _IH_AppointmentSettings_QB whereAccess($value)
     * @method _IH_AppointmentSettings_QB whereLessonBooked($value)
     * @method _IH_AppointmentSettings_QB wherePopular($value)
     * @method _IH_AppointmentSettings_QB whereTrailLesson($value)
     * @method _IH_AppointmentSettings_QB whereReviewOption($value)
     * @method _IH_AppointmentSettings_QB whereSubmitReview($value)
     * @method _IH_AppointmentSettings_QB whereLinkAfterSubmit($value)
     * @method _IH_AppointmentSettings_QB whereStatusAdmin($value)
     * @method _IH_AppointmentSettings_QB whereNumberOfStudent($value)
     * @method _IH_AppointmentSettings_QB whereUserId($value)
     * @method _IH_AppointmentSettings_QB whereLmsId($value)
     * @method _IH_AppointmentSettings_QB whereCreatedAt($value)
     * @method _IH_AppointmentSettings_QB whereUpdatedAt($value)
     * @method AppointmentSettings baseSole(array|string $columns = ['*'])
     * @method AppointmentSettings create(array $attributes = [])
     * @method _IH_AppointmentSettings_C|AppointmentSettings[] cursor()
     * @method AppointmentSettings|null|_IH_AppointmentSettings_C|AppointmentSettings[] find($id, array|string $columns = ['*'])
     * @method _IH_AppointmentSettings_C|AppointmentSettings[] findMany(array|Arrayable $ids, array|string $columns = ['*'])
     * @method AppointmentSettings|_IH_AppointmentSettings_C|AppointmentSettings[] findOr($id, array|\Closure|string $columns = ['*'], \Closure $callback = null)
     * @method AppointmentSettings|_IH_AppointmentSettings_C|AppointmentSettings[] findOrFail($id, array|string $columns = ['*'])
     * @method AppointmentSettings|_IH_AppointmentSettings_C|AppointmentSettings[] findOrNew($id, array|string $columns = ['*'])
     * @method AppointmentSettings first(array|string $columns = ['*'])
     * @method AppointmentSettings firstOr(array|\Closure|string $columns = ['*'], \Closure $callback = null)
     * @method AppointmentSettings firstOrCreate(array $attributes = [], array $values = [])
     * @method AppointmentSettings firstOrFail(array|string $columns = ['*'])
     * @method AppointmentSettings firstOrNew(array $attributes = [], array $values = [])
     * @method AppointmentSettings firstWhere(array|\Closure|Expression|string $column, $operator = null, $value = null, string $boolean = 'and')
     * @method AppointmentSettings forceCreate(array $attributes)
     * @method _IH_AppointmentSettings_C|AppointmentSettings[] fromQuery(string $query, array $bindings = [])
     * @method _IH_AppointmentSettings_C|AppointmentSettings[] get(array|string $columns = ['*'])
     * @method AppointmentSettings getModel()
     * @method AppointmentSettings[] getModels(array|string $columns = ['*'])
     * @method _IH_AppointmentSettings_C|AppointmentSettings[] hydrate(array $items)
     * @method _IH_AppointmentSettings_C|AppointmentSettings[] lazy(int $chunkSize = 1000)
     * @method _IH_AppointmentSettings_C|AppointmentSettings[] lazyById(int $chunkSize = 1000, null|string $column = null, null|string $alias = null)
     * @method _IH_AppointmentSettings_C|AppointmentSettings[] lazyByIdDesc(int $chunkSize = 1000, null|string $column = null, null|string $alias = null)
     * @method AppointmentSettings make(array $attributes = [])
     * @method AppointmentSettings newModelInstance(array $attributes = [])
     * @method LengthAwarePaginator|AppointmentSettings[]|_IH_AppointmentSettings_C paginate(\Closure|int|null $perPage = null, array|string $columns = ['*'], string $pageName = 'page', int|null $page = null)
     * @method Paginator|AppointmentSettings[]|_IH_AppointmentSettings_C simplePaginate(int|null $perPage = null, array|string $columns = ['*'], string $pageName = 'page', int|null $page = null)
     * @method AppointmentSettings sole(array|string $columns = ['*'])
     * @method AppointmentSettings updateOrCreate(array $attributes, array $values = [])
     */
    class _IH_AppointmentSettings_QB extends _BaseBuilder {}
    
    /**
     * @method BookTrailLesson|null getOrPut($key, \Closure $value)
     * @method BookTrailLesson|$this shift(int $count = 1)
     * @method BookTrailLesson|null firstOrFail(callable|string $key = null, $operator = null, $value = null)
     * @method BookTrailLesson|$this pop(int $count = 1)
     * @method BookTrailLesson|null pull($key, \Closure $default = null)
     * @method BookTrailLesson|null last(callable $callback = null, \Closure $default = null)
     * @method BookTrailLesson|$this random(callable|int|null $number = null, bool $preserveKeys = false)
     * @method BookTrailLesson|null sole(callable|string $key = null, $operator = null, $value = null)
     * @method BookTrailLesson|null get($key, \Closure $default = null)
     * @method BookTrailLesson|null first(callable $callback = null, \Closure $default = null)
     * @method BookTrailLesson|null firstWhere(callable|string $key, $operator = null, $value = null)
     * @method BookTrailLesson|null find($key, $default = null)
     * @method BookTrailLesson[] all()
     */
    class _IH_BookTrailLesson_C extends _BaseCollection {
        /**
         * @param int $size
         * @return BookTrailLesson[][]|Collection<_IH_BookTrailLesson_C>
         */
        public function chunk($size)
        {
            return [];
        }
    }
    
    /**
     * @method _IH_BookTrailLesson_QB whereId($value)
     * @method _IH_BookTrailLesson_QB whereInstructorId($value)
     * @method _IH_BookTrailLesson_QB whereStudentId($value)
     * @method _IH_BookTrailLesson_QB whereShareLink($value)
     * @method _IH_BookTrailLesson_QB whereScheduleId($value)
     * @method _IH_BookTrailLesson_QB whereStatus($value)
     * @method _IH_BookTrailLesson_QB whereLmsId($value)
     * @method _IH_BookTrailLesson_QB whereCreatedAt($value)
     * @method _IH_BookTrailLesson_QB whereUpdatedAt($value)
     * @method BookTrailLesson baseSole(array|string $columns = ['*'])
     * @method BookTrailLesson create(array $attributes = [])
     * @method _IH_BookTrailLesson_C|BookTrailLesson[] cursor()
     * @method BookTrailLesson|null|_IH_BookTrailLesson_C|BookTrailLesson[] find($id, array|string $columns = ['*'])
     * @method _IH_BookTrailLesson_C|BookTrailLesson[] findMany(array|Arrayable $ids, array|string $columns = ['*'])
     * @method BookTrailLesson|_IH_BookTrailLesson_C|BookTrailLesson[] findOr($id, array|\Closure|string $columns = ['*'], \Closure $callback = null)
     * @method BookTrailLesson|_IH_BookTrailLesson_C|BookTrailLesson[] findOrFail($id, array|string $columns = ['*'])
     * @method BookTrailLesson|_IH_BookTrailLesson_C|BookTrailLesson[] findOrNew($id, array|string $columns = ['*'])
     * @method BookTrailLesson first(array|string $columns = ['*'])
     * @method BookTrailLesson firstOr(array|\Closure|string $columns = ['*'], \Closure $callback = null)
     * @method BookTrailLesson firstOrCreate(array $attributes = [], array $values = [])
     * @method BookTrailLesson firstOrFail(array|string $columns = ['*'])
     * @method BookTrailLesson firstOrNew(array $attributes = [], array $values = [])
     * @method BookTrailLesson firstWhere(array|\Closure|Expression|string $column, $operator = null, $value = null, string $boolean = 'and')
     * @method BookTrailLesson forceCreate(array $attributes)
     * @method _IH_BookTrailLesson_C|BookTrailLesson[] fromQuery(string $query, array $bindings = [])
     * @method _IH_BookTrailLesson_C|BookTrailLesson[] get(array|string $columns = ['*'])
     * @method BookTrailLesson getModel()
     * @method BookTrailLesson[] getModels(array|string $columns = ['*'])
     * @method _IH_BookTrailLesson_C|BookTrailLesson[] hydrate(array $items)
     * @method _IH_BookTrailLesson_C|BookTrailLesson[] lazy(int $chunkSize = 1000)
     * @method _IH_BookTrailLesson_C|BookTrailLesson[] lazyById(int $chunkSize = 1000, null|string $column = null, null|string $alias = null)
     * @method _IH_BookTrailLesson_C|BookTrailLesson[] lazyByIdDesc(int $chunkSize = 1000, null|string $column = null, null|string $alias = null)
     * @method BookTrailLesson make(array $attributes = [])
     * @method BookTrailLesson newModelInstance(array $attributes = [])
     * @method LengthAwarePaginator|BookTrailLesson[]|_IH_BookTrailLesson_C paginate(\Closure|int|null $perPage = null, array|string $columns = ['*'], string $pageName = 'page', int|null $page = null)
     * @method Paginator|BookTrailLesson[]|_IH_BookTrailLesson_C simplePaginate(int|null $perPage = null, array|string $columns = ['*'], string $pageName = 'page', int|null $page = null)
     * @method BookTrailLesson sole(array|string $columns = ['*'])
     * @method BookTrailLesson updateOrCreate(array $attributes, array $values = [])
     */
    class _IH_BookTrailLesson_QB extends _BaseBuilder {}
    
    /**
     * @method Booking|null getOrPut($key, \Closure $value)
     * @method Booking|$this shift(int $count = 1)
     * @method Booking|null firstOrFail(callable|string $key = null, $operator = null, $value = null)
     * @method Booking|$this pop(int $count = 1)
     * @method Booking|null pull($key, \Closure $default = null)
     * @method Booking|null last(callable $callback = null, \Closure $default = null)
     * @method Booking|$this random(callable|int|null $number = null, bool $preserveKeys = false)
     * @method Booking|null sole(callable|string $key = null, $operator = null, $value = null)
     * @method Booking|null get($key, \Closure $default = null)
     * @method Booking|null first(callable $callback = null, \Closure $default = null)
     * @method Booking|null firstWhere(callable|string $key, $operator = null, $value = null)
     * @method Booking|null find($key, $default = null)
     * @method Booking[] all()
     */
    class _IH_Booking_C extends _BaseCollection {
        /**
         * @param int $size
         * @return Booking[][]|Collection<_IH_Booking_C>
         */
        public function chunk($size)
        {
            return [];
        }
    }
    
    /**
     * @method _IH_Booking_QB whereId($value)
     * @method _IH_Booking_QB whereTracking($value)
     * @method _IH_Booking_QB whereUserId($value)
     * @method _IH_Booking_QB whereInstructorId($value)
     * @method _IH_Booking_QB whereSlotId($value)
     * @method _IH_Booking_QB whereScheduleId($value)
     * @method _IH_Booking_QB wherePurchasePrice($value)
     * @method _IH_Booking_QB whereCoupon($value)
     * @method _IH_Booking_QB whereDiscountAmount($value)
     * @method _IH_Booking_QB whereStatus($value)
     * @method _IH_Booking_QB whereRevenue($value)
     * @method _IH_Booking_QB whereReason($value)
     * @method _IH_Booking_QB whereType($value)
     * @method _IH_Booking_QB whereTimezone($value)
     * @method _IH_Booking_QB whereShareLink($value)
     * @method _IH_Booking_QB whereNote($value)
     * @method _IH_Booking_QB wherePaymentStatus($value)
     * @method _IH_Booking_QB wherePaymentType($value)
     * @method _IH_Booking_QB whereLmsId($value)
     * @method _IH_Booking_QB whereCreatedAt($value)
     * @method _IH_Booking_QB whereUpdatedAt($value)
     * @method Booking baseSole(array|string $columns = ['*'])
     * @method Booking create(array $attributes = [])
     * @method _IH_Booking_C|Booking[] cursor()
     * @method Booking|null|_IH_Booking_C|Booking[] find($id, array|string $columns = ['*'])
     * @method _IH_Booking_C|Booking[] findMany(array|Arrayable $ids, array|string $columns = ['*'])
     * @method Booking|_IH_Booking_C|Booking[] findOr($id, array|\Closure|string $columns = ['*'], \Closure $callback = null)
     * @method Booking|_IH_Booking_C|Booking[] findOrFail($id, array|string $columns = ['*'])
     * @method Booking|_IH_Booking_C|Booking[] findOrNew($id, array|string $columns = ['*'])
     * @method Booking first(array|string $columns = ['*'])
     * @method Booking firstOr(array|\Closure|string $columns = ['*'], \Closure $callback = null)
     * @method Booking firstOrCreate(array $attributes = [], array $values = [])
     * @method Booking firstOrFail(array|string $columns = ['*'])
     * @method Booking firstOrNew(array $attributes = [], array $values = [])
     * @method Booking firstWhere(array|\Closure|Expression|string $column, $operator = null, $value = null, string $boolean = 'and')
     * @method Booking forceCreate(array $attributes)
     * @method _IH_Booking_C|Booking[] fromQuery(string $query, array $bindings = [])
     * @method _IH_Booking_C|Booking[] get(array|string $columns = ['*'])
     * @method Booking getModel()
     * @method Booking[] getModels(array|string $columns = ['*'])
     * @method _IH_Booking_C|Booking[] hydrate(array $items)
     * @method _IH_Booking_C|Booking[] lazy(int $chunkSize = 1000)
     * @method _IH_Booking_C|Booking[] lazyById(int $chunkSize = 1000, null|string $column = null, null|string $alias = null)
     * @method _IH_Booking_C|Booking[] lazyByIdDesc(int $chunkSize = 1000, null|string $column = null, null|string $alias = null)
     * @method Booking make(array $attributes = [])
     * @method Booking newModelInstance(array $attributes = [])
     * @method LengthAwarePaginator|Booking[]|_IH_Booking_C paginate(\Closure|int|null $perPage = null, array|string $columns = ['*'], string $pageName = 'page', int|null $page = null)
     * @method Paginator|Booking[]|_IH_Booking_C simplePaginate(int|null $perPage = null, array|string $columns = ['*'], string $pageName = 'page', int|null $page = null)
     * @method Booking sole(array|string $columns = ['*'])
     * @method Booking updateOrCreate(array $attributes, array $values = [])
     */
    class _IH_Booking_QB extends _BaseBuilder {}
    
    /**
     * @method Design|null getOrPut($key, \Closure $value)
     * @method Design|$this shift(int $count = 1)
     * @method Design|null firstOrFail(callable|string $key = null, $operator = null, $value = null)
     * @method Design|$this pop(int $count = 1)
     * @method Design|null pull($key, \Closure $default = null)
     * @method Design|null last(callable $callback = null, \Closure $default = null)
     * @method Design|$this random(callable|int|null $number = null, bool $preserveKeys = false)
     * @method Design|null sole(callable|string $key = null, $operator = null, $value = null)
     * @method Design|null get($key, \Closure $default = null)
     * @method Design|null first(callable $callback = null, \Closure $default = null)
     * @method Design|null firstWhere(callable|string $key, $operator = null, $value = null)
     * @method Design|null find($key, $default = null)
     * @method Design[] all()
     */
    class _IH_Design_C extends _BaseCollection {
        /**
         * @param int $size
         * @return Design[][]|Collection<_IH_Design_C>
         */
        public function chunk($size)
        {
            return [];
        }
    }
    
    /**
     * @method Design baseSole(array|string $columns = ['*'])
     * @method Design create(array $attributes = [])
     * @method _IH_Design_C|Design[] cursor()
     * @method Design|null|_IH_Design_C|Design[] find($id, array|string $columns = ['*'])
     * @method _IH_Design_C|Design[] findMany(array|Arrayable $ids, array|string $columns = ['*'])
     * @method Design|_IH_Design_C|Design[] findOr($id, array|\Closure|string $columns = ['*'], \Closure $callback = null)
     * @method Design|_IH_Design_C|Design[] findOrFail($id, array|string $columns = ['*'])
     * @method Design|_IH_Design_C|Design[] findOrNew($id, array|string $columns = ['*'])
     * @method Design first(array|string $columns = ['*'])
     * @method Design firstOr(array|\Closure|string $columns = ['*'], \Closure $callback = null)
     * @method Design firstOrCreate(array $attributes = [], array $values = [])
     * @method Design firstOrFail(array|string $columns = ['*'])
     * @method Design firstOrNew(array $attributes = [], array $values = [])
     * @method Design firstWhere(array|\Closure|Expression|string $column, $operator = null, $value = null, string $boolean = 'and')
     * @method Design forceCreate(array $attributes)
     * @method _IH_Design_C|Design[] fromQuery(string $query, array $bindings = [])
     * @method _IH_Design_C|Design[] get(array|string $columns = ['*'])
     * @method Design getModel()
     * @method Design[] getModels(array|string $columns = ['*'])
     * @method _IH_Design_C|Design[] hydrate(array $items)
     * @method _IH_Design_C|Design[] lazy(int $chunkSize = 1000)
     * @method _IH_Design_C|Design[] lazyById(int $chunkSize = 1000, null|string $column = null, null|string $alias = null)
     * @method _IH_Design_C|Design[] lazyByIdDesc(int $chunkSize = 1000, null|string $column = null, null|string $alias = null)
     * @method Design make(array $attributes = [])
     * @method Design newModelInstance(array $attributes = [])
     * @method LengthAwarePaginator|Design[]|_IH_Design_C paginate(\Closure|int|null $perPage = null, array|string $columns = ['*'], string $pageName = 'page', int|null $page = null)
     * @method Paginator|Design[]|_IH_Design_C simplePaginate(int|null $perPage = null, array|string $columns = ['*'], string $pageName = 'page', int|null $page = null)
     * @method Design sole(array|string $columns = ['*'])
     * @method Design updateOrCreate(array $attributes, array $values = [])
     */
    class _IH_Design_QB extends _BaseBuilder {}
    
    /**
     * @method InstructorCertificate|null getOrPut($key, \Closure $value)
     * @method InstructorCertificate|$this shift(int $count = 1)
     * @method InstructorCertificate|null firstOrFail(callable|string $key = null, $operator = null, $value = null)
     * @method InstructorCertificate|$this pop(int $count = 1)
     * @method InstructorCertificate|null pull($key, \Closure $default = null)
     * @method InstructorCertificate|null last(callable $callback = null, \Closure $default = null)
     * @method InstructorCertificate|$this random(callable|int|null $number = null, bool $preserveKeys = false)
     * @method InstructorCertificate|null sole(callable|string $key = null, $operator = null, $value = null)
     * @method InstructorCertificate|null get($key, \Closure $default = null)
     * @method InstructorCertificate|null first(callable $callback = null, \Closure $default = null)
     * @method InstructorCertificate|null firstWhere(callable|string $key, $operator = null, $value = null)
     * @method InstructorCertificate|null find($key, $default = null)
     * @method InstructorCertificate[] all()
     */
    class _IH_InstructorCertificate_C extends _BaseCollection {
        /**
         * @param int $size
         * @return InstructorCertificate[][]|Collection<_IH_InstructorCertificate_C>
         */
        public function chunk($size)
        {
            return [];
        }
    }
    
    /**
     * @method _IH_InstructorCertificate_QB whereId($value)
     * @method _IH_InstructorCertificate_QB whereInstructorId($value)
     * @method _IH_InstructorCertificate_QB whereDuration($value)
     * @method _IH_InstructorCertificate_QB whereTitle($value)
     * @method _IH_InstructorCertificate_QB whereInstitute($value)
     * @method _IH_InstructorCertificate_QB whereIsVerified($value)
     * @method _IH_InstructorCertificate_QB whereCreatedBy($value)
     * @method _IH_InstructorCertificate_QB whereUpdatedBy($value)
     * @method _IH_InstructorCertificate_QB whereStatus($value)
     * @method _IH_InstructorCertificate_QB whereLmsId($value)
     * @method _IH_InstructorCertificate_QB whereCreatedAt($value)
     * @method _IH_InstructorCertificate_QB whereUpdatedAt($value)
     * @method InstructorCertificate baseSole(array|string $columns = ['*'])
     * @method InstructorCertificate create(array $attributes = [])
     * @method _IH_InstructorCertificate_C|InstructorCertificate[] cursor()
     * @method InstructorCertificate|null|_IH_InstructorCertificate_C|InstructorCertificate[] find($id, array|string $columns = ['*'])
     * @method _IH_InstructorCertificate_C|InstructorCertificate[] findMany(array|Arrayable $ids, array|string $columns = ['*'])
     * @method InstructorCertificate|_IH_InstructorCertificate_C|InstructorCertificate[] findOr($id, array|\Closure|string $columns = ['*'], \Closure $callback = null)
     * @method InstructorCertificate|_IH_InstructorCertificate_C|InstructorCertificate[] findOrFail($id, array|string $columns = ['*'])
     * @method InstructorCertificate|_IH_InstructorCertificate_C|InstructorCertificate[] findOrNew($id, array|string $columns = ['*'])
     * @method InstructorCertificate first(array|string $columns = ['*'])
     * @method InstructorCertificate firstOr(array|\Closure|string $columns = ['*'], \Closure $callback = null)
     * @method InstructorCertificate firstOrCreate(array $attributes = [], array $values = [])
     * @method InstructorCertificate firstOrFail(array|string $columns = ['*'])
     * @method InstructorCertificate firstOrNew(array $attributes = [], array $values = [])
     * @method InstructorCertificate firstWhere(array|\Closure|Expression|string $column, $operator = null, $value = null, string $boolean = 'and')
     * @method InstructorCertificate forceCreate(array $attributes)
     * @method _IH_InstructorCertificate_C|InstructorCertificate[] fromQuery(string $query, array $bindings = [])
     * @method _IH_InstructorCertificate_C|InstructorCertificate[] get(array|string $columns = ['*'])
     * @method InstructorCertificate getModel()
     * @method InstructorCertificate[] getModels(array|string $columns = ['*'])
     * @method _IH_InstructorCertificate_C|InstructorCertificate[] hydrate(array $items)
     * @method _IH_InstructorCertificate_C|InstructorCertificate[] lazy(int $chunkSize = 1000)
     * @method _IH_InstructorCertificate_C|InstructorCertificate[] lazyById(int $chunkSize = 1000, null|string $column = null, null|string $alias = null)
     * @method _IH_InstructorCertificate_C|InstructorCertificate[] lazyByIdDesc(int $chunkSize = 1000, null|string $column = null, null|string $alias = null)
     * @method InstructorCertificate make(array $attributes = [])
     * @method InstructorCertificate newModelInstance(array $attributes = [])
     * @method LengthAwarePaginator|InstructorCertificate[]|_IH_InstructorCertificate_C paginate(\Closure|int|null $perPage = null, array|string $columns = ['*'], string $pageName = 'page', int|null $page = null)
     * @method Paginator|InstructorCertificate[]|_IH_InstructorCertificate_C simplePaginate(int|null $perPage = null, array|string $columns = ['*'], string $pageName = 'page', int|null $page = null)
     * @method InstructorCertificate sole(array|string $columns = ['*'])
     * @method InstructorCertificate updateOrCreate(array $attributes, array $values = [])
     */
    class _IH_InstructorCertificate_QB extends _BaseBuilder {}
    
    /**
     * @method InstructorEducation|null getOrPut($key, \Closure $value)
     * @method InstructorEducation|$this shift(int $count = 1)
     * @method InstructorEducation|null firstOrFail(callable|string $key = null, $operator = null, $value = null)
     * @method InstructorEducation|$this pop(int $count = 1)
     * @method InstructorEducation|null pull($key, \Closure $default = null)
     * @method InstructorEducation|null last(callable $callback = null, \Closure $default = null)
     * @method InstructorEducation|$this random(callable|int|null $number = null, bool $preserveKeys = false)
     * @method InstructorEducation|null sole(callable|string $key = null, $operator = null, $value = null)
     * @method InstructorEducation|null get($key, \Closure $default = null)
     * @method InstructorEducation|null first(callable $callback = null, \Closure $default = null)
     * @method InstructorEducation|null firstWhere(callable|string $key, $operator = null, $value = null)
     * @method InstructorEducation|null find($key, $default = null)
     * @method InstructorEducation[] all()
     */
    class _IH_InstructorEducation_C extends _BaseCollection {
        /**
         * @param int $size
         * @return InstructorEducation[][]|Collection<_IH_InstructorEducation_C>
         */
        public function chunk($size)
        {
            return [];
        }
    }
    
    /**
     * @method _IH_InstructorEducation_QB whereId($value)
     * @method _IH_InstructorEducation_QB whereInstructorId($value)
     * @method _IH_InstructorEducation_QB whereDuration($value)
     * @method _IH_InstructorEducation_QB whereDegree($value)
     * @method _IH_InstructorEducation_QB whereInstitute($value)
     * @method _IH_InstructorEducation_QB whereIsVerified($value)
     * @method _IH_InstructorEducation_QB whereCreatedBy($value)
     * @method _IH_InstructorEducation_QB whereUpdatedBy($value)
     * @method _IH_InstructorEducation_QB whereStatus($value)
     * @method _IH_InstructorEducation_QB whereLmsId($value)
     * @method _IH_InstructorEducation_QB whereCreatedAt($value)
     * @method _IH_InstructorEducation_QB whereUpdatedAt($value)
     * @method InstructorEducation baseSole(array|string $columns = ['*'])
     * @method InstructorEducation create(array $attributes = [])
     * @method _IH_InstructorEducation_C|InstructorEducation[] cursor()
     * @method InstructorEducation|null|_IH_InstructorEducation_C|InstructorEducation[] find($id, array|string $columns = ['*'])
     * @method _IH_InstructorEducation_C|InstructorEducation[] findMany(array|Arrayable $ids, array|string $columns = ['*'])
     * @method InstructorEducation|_IH_InstructorEducation_C|InstructorEducation[] findOr($id, array|\Closure|string $columns = ['*'], \Closure $callback = null)
     * @method InstructorEducation|_IH_InstructorEducation_C|InstructorEducation[] findOrFail($id, array|string $columns = ['*'])
     * @method InstructorEducation|_IH_InstructorEducation_C|InstructorEducation[] findOrNew($id, array|string $columns = ['*'])
     * @method InstructorEducation first(array|string $columns = ['*'])
     * @method InstructorEducation firstOr(array|\Closure|string $columns = ['*'], \Closure $callback = null)
     * @method InstructorEducation firstOrCreate(array $attributes = [], array $values = [])
     * @method InstructorEducation firstOrFail(array|string $columns = ['*'])
     * @method InstructorEducation firstOrNew(array $attributes = [], array $values = [])
     * @method InstructorEducation firstWhere(array|\Closure|Expression|string $column, $operator = null, $value = null, string $boolean = 'and')
     * @method InstructorEducation forceCreate(array $attributes)
     * @method _IH_InstructorEducation_C|InstructorEducation[] fromQuery(string $query, array $bindings = [])
     * @method _IH_InstructorEducation_C|InstructorEducation[] get(array|string $columns = ['*'])
     * @method InstructorEducation getModel()
     * @method InstructorEducation[] getModels(array|string $columns = ['*'])
     * @method _IH_InstructorEducation_C|InstructorEducation[] hydrate(array $items)
     * @method _IH_InstructorEducation_C|InstructorEducation[] lazy(int $chunkSize = 1000)
     * @method _IH_InstructorEducation_C|InstructorEducation[] lazyById(int $chunkSize = 1000, null|string $column = null, null|string $alias = null)
     * @method _IH_InstructorEducation_C|InstructorEducation[] lazyByIdDesc(int $chunkSize = 1000, null|string $column = null, null|string $alias = null)
     * @method InstructorEducation make(array $attributes = [])
     * @method InstructorEducation newModelInstance(array $attributes = [])
     * @method LengthAwarePaginator|InstructorEducation[]|_IH_InstructorEducation_C paginate(\Closure|int|null $perPage = null, array|string $columns = ['*'], string $pageName = 'page', int|null $page = null)
     * @method Paginator|InstructorEducation[]|_IH_InstructorEducation_C simplePaginate(int|null $perPage = null, array|string $columns = ['*'], string $pageName = 'page', int|null $page = null)
     * @method InstructorEducation sole(array|string $columns = ['*'])
     * @method InstructorEducation updateOrCreate(array $attributes, array $values = [])
     */
    class _IH_InstructorEducation_QB extends _BaseBuilder {}
    
    /**
     * @method InstructorReview|null getOrPut($key, \Closure $value)
     * @method InstructorReview|$this shift(int $count = 1)
     * @method InstructorReview|null firstOrFail(callable|string $key = null, $operator = null, $value = null)
     * @method InstructorReview|$this pop(int $count = 1)
     * @method InstructorReview|null pull($key, \Closure $default = null)
     * @method InstructorReview|null last(callable $callback = null, \Closure $default = null)
     * @method InstructorReview|$this random(callable|int|null $number = null, bool $preserveKeys = false)
     * @method InstructorReview|null sole(callable|string $key = null, $operator = null, $value = null)
     * @method InstructorReview|null get($key, \Closure $default = null)
     * @method InstructorReview|null first(callable $callback = null, \Closure $default = null)
     * @method InstructorReview|null firstWhere(callable|string $key, $operator = null, $value = null)
     * @method InstructorReview|null find($key, $default = null)
     * @method InstructorReview[] all()
     */
    class _IH_InstructorReview_C extends _BaseCollection {
        /**
         * @param int $size
         * @return InstructorReview[][]|Collection<_IH_InstructorReview_C>
         */
        public function chunk($size)
        {
            return [];
        }
    }
    
    /**
     * @method _IH_InstructorReview_QB whereId($value)
     * @method _IH_InstructorReview_QB whereInstructorId($value)
     * @method _IH_InstructorReview_QB whereUserId($value)
     * @method _IH_InstructorReview_QB whereStatus($value)
     * @method _IH_InstructorReview_QB whereComment($value)
     * @method _IH_InstructorReview_QB whereStar($value)
     * @method _IH_InstructorReview_QB whereLmsId($value)
     * @method _IH_InstructorReview_QB whereCreatedAt($value)
     * @method _IH_InstructorReview_QB whereUpdatedAt($value)
     * @method InstructorReview baseSole(array|string $columns = ['*'])
     * @method InstructorReview create(array $attributes = [])
     * @method _IH_InstructorReview_C|InstructorReview[] cursor()
     * @method InstructorReview|null|_IH_InstructorReview_C|InstructorReview[] find($id, array|string $columns = ['*'])
     * @method _IH_InstructorReview_C|InstructorReview[] findMany(array|Arrayable $ids, array|string $columns = ['*'])
     * @method InstructorReview|_IH_InstructorReview_C|InstructorReview[] findOr($id, array|\Closure|string $columns = ['*'], \Closure $callback = null)
     * @method InstructorReview|_IH_InstructorReview_C|InstructorReview[] findOrFail($id, array|string $columns = ['*'])
     * @method InstructorReview|_IH_InstructorReview_C|InstructorReview[] findOrNew($id, array|string $columns = ['*'])
     * @method InstructorReview first(array|string $columns = ['*'])
     * @method InstructorReview firstOr(array|\Closure|string $columns = ['*'], \Closure $callback = null)
     * @method InstructorReview firstOrCreate(array $attributes = [], array $values = [])
     * @method InstructorReview firstOrFail(array|string $columns = ['*'])
     * @method InstructorReview firstOrNew(array $attributes = [], array $values = [])
     * @method InstructorReview firstWhere(array|\Closure|Expression|string $column, $operator = null, $value = null, string $boolean = 'and')
     * @method InstructorReview forceCreate(array $attributes)
     * @method _IH_InstructorReview_C|InstructorReview[] fromQuery(string $query, array $bindings = [])
     * @method _IH_InstructorReview_C|InstructorReview[] get(array|string $columns = ['*'])
     * @method InstructorReview getModel()
     * @method InstructorReview[] getModels(array|string $columns = ['*'])
     * @method _IH_InstructorReview_C|InstructorReview[] hydrate(array $items)
     * @method _IH_InstructorReview_C|InstructorReview[] lazy(int $chunkSize = 1000)
     * @method _IH_InstructorReview_C|InstructorReview[] lazyById(int $chunkSize = 1000, null|string $column = null, null|string $alias = null)
     * @method _IH_InstructorReview_C|InstructorReview[] lazyByIdDesc(int $chunkSize = 1000, null|string $column = null, null|string $alias = null)
     * @method InstructorReview make(array $attributes = [])
     * @method InstructorReview newModelInstance(array $attributes = [])
     * @method LengthAwarePaginator|InstructorReview[]|_IH_InstructorReview_C paginate(\Closure|int|null $perPage = null, array|string $columns = ['*'], string $pageName = 'page', int|null $page = null)
     * @method Paginator|InstructorReview[]|_IH_InstructorReview_C simplePaginate(int|null $perPage = null, array|string $columns = ['*'], string $pageName = 'page', int|null $page = null)
     * @method InstructorReview sole(array|string $columns = ['*'])
     * @method InstructorReview updateOrCreate(array $attributes, array $values = [])
     */
    class _IH_InstructorReview_QB extends _BaseBuilder {}
    
    /**
     * @method InstructorSocial|null getOrPut($key, \Closure $value)
     * @method InstructorSocial|$this shift(int $count = 1)
     * @method InstructorSocial|null firstOrFail(callable|string $key = null, $operator = null, $value = null)
     * @method InstructorSocial|$this pop(int $count = 1)
     * @method InstructorSocial|null pull($key, \Closure $default = null)
     * @method InstructorSocial|null last(callable $callback = null, \Closure $default = null)
     * @method InstructorSocial|$this random(callable|int|null $number = null, bool $preserveKeys = false)
     * @method InstructorSocial|null sole(callable|string $key = null, $operator = null, $value = null)
     * @method InstructorSocial|null get($key, \Closure $default = null)
     * @method InstructorSocial|null first(callable $callback = null, \Closure $default = null)
     * @method InstructorSocial|null firstWhere(callable|string $key, $operator = null, $value = null)
     * @method InstructorSocial|null find($key, $default = null)
     * @method InstructorSocial[] all()
     */
    class _IH_InstructorSocial_C extends _BaseCollection {
        /**
         * @param int $size
         * @return InstructorSocial[][]|Collection<_IH_InstructorSocial_C>
         */
        public function chunk($size)
        {
            return [];
        }
    }
    
    /**
     * @method _IH_InstructorSocial_QB whereId($value)
     * @method _IH_InstructorSocial_QB whereInstructorId($value)
     * @method _IH_InstructorSocial_QB whereIcon($value)
     * @method _IH_InstructorSocial_QB whereUrl($value)
     * @method _IH_InstructorSocial_QB whereCreatedBy($value)
     * @method _IH_InstructorSocial_QB whereUpdatedBy($value)
     * @method _IH_InstructorSocial_QB whereLmsId($value)
     * @method _IH_InstructorSocial_QB whereCreatedAt($value)
     * @method _IH_InstructorSocial_QB whereUpdatedAt($value)
     * @method InstructorSocial baseSole(array|string $columns = ['*'])
     * @method InstructorSocial create(array $attributes = [])
     * @method _IH_InstructorSocial_C|InstructorSocial[] cursor()
     * @method InstructorSocial|null|_IH_InstructorSocial_C|InstructorSocial[] find($id, array|string $columns = ['*'])
     * @method _IH_InstructorSocial_C|InstructorSocial[] findMany(array|Arrayable $ids, array|string $columns = ['*'])
     * @method InstructorSocial|_IH_InstructorSocial_C|InstructorSocial[] findOr($id, array|\Closure|string $columns = ['*'], \Closure $callback = null)
     * @method InstructorSocial|_IH_InstructorSocial_C|InstructorSocial[] findOrFail($id, array|string $columns = ['*'])
     * @method InstructorSocial|_IH_InstructorSocial_C|InstructorSocial[] findOrNew($id, array|string $columns = ['*'])
     * @method InstructorSocial first(array|string $columns = ['*'])
     * @method InstructorSocial firstOr(array|\Closure|string $columns = ['*'], \Closure $callback = null)
     * @method InstructorSocial firstOrCreate(array $attributes = [], array $values = [])
     * @method InstructorSocial firstOrFail(array|string $columns = ['*'])
     * @method InstructorSocial firstOrNew(array $attributes = [], array $values = [])
     * @method InstructorSocial firstWhere(array|\Closure|Expression|string $column, $operator = null, $value = null, string $boolean = 'and')
     * @method InstructorSocial forceCreate(array $attributes)
     * @method _IH_InstructorSocial_C|InstructorSocial[] fromQuery(string $query, array $bindings = [])
     * @method _IH_InstructorSocial_C|InstructorSocial[] get(array|string $columns = ['*'])
     * @method InstructorSocial getModel()
     * @method InstructorSocial[] getModels(array|string $columns = ['*'])
     * @method _IH_InstructorSocial_C|InstructorSocial[] hydrate(array $items)
     * @method _IH_InstructorSocial_C|InstructorSocial[] lazy(int $chunkSize = 1000)
     * @method _IH_InstructorSocial_C|InstructorSocial[] lazyById(int $chunkSize = 1000, null|string $column = null, null|string $alias = null)
     * @method _IH_InstructorSocial_C|InstructorSocial[] lazyByIdDesc(int $chunkSize = 1000, null|string $column = null, null|string $alias = null)
     * @method InstructorSocial make(array $attributes = [])
     * @method InstructorSocial newModelInstance(array $attributes = [])
     * @method LengthAwarePaginator|InstructorSocial[]|_IH_InstructorSocial_C paginate(\Closure|int|null $perPage = null, array|string $columns = ['*'], string $pageName = 'page', int|null $page = null)
     * @method Paginator|InstructorSocial[]|_IH_InstructorSocial_C simplePaginate(int|null $perPage = null, array|string $columns = ['*'], string $pageName = 'page', int|null $page = null)
     * @method InstructorSocial sole(array|string $columns = ['*'])
     * @method InstructorSocial updateOrCreate(array $attributes, array $values = [])
     */
    class _IH_InstructorSocial_QB extends _BaseBuilder {}
    
    /**
     * @method InstructorTeachingCategory|null getOrPut($key, \Closure $value)
     * @method InstructorTeachingCategory|$this shift(int $count = 1)
     * @method InstructorTeachingCategory|null firstOrFail(callable|string $key = null, $operator = null, $value = null)
     * @method InstructorTeachingCategory|$this pop(int $count = 1)
     * @method InstructorTeachingCategory|null pull($key, \Closure $default = null)
     * @method InstructorTeachingCategory|null last(callable $callback = null, \Closure $default = null)
     * @method InstructorTeachingCategory|$this random(callable|int|null $number = null, bool $preserveKeys = false)
     * @method InstructorTeachingCategory|null sole(callable|string $key = null, $operator = null, $value = null)
     * @method InstructorTeachingCategory|null get($key, \Closure $default = null)
     * @method InstructorTeachingCategory|null first(callable $callback = null, \Closure $default = null)
     * @method InstructorTeachingCategory|null firstWhere(callable|string $key, $operator = null, $value = null)
     * @method InstructorTeachingCategory|null find($key, $default = null)
     * @method InstructorTeachingCategory[] all()
     */
    class _IH_InstructorTeachingCategory_C extends _BaseCollection {
        /**
         * @param int $size
         * @return InstructorTeachingCategory[][]|Collection<_IH_InstructorTeachingCategory_C>
         */
        public function chunk($size)
        {
            return [];
        }
    }
    
    /**
     * @method _IH_InstructorTeachingCategory_QB whereId($value)
     * @method _IH_InstructorTeachingCategory_QB whereInstructorId($value)
     * @method _IH_InstructorTeachingCategory_QB whereCategoryId($value)
     * @method _IH_InstructorTeachingCategory_QB whereSubCategoryId($value)
     * @method _IH_InstructorTeachingCategory_QB whereLevelId($value)
     * @method _IH_InstructorTeachingCategory_QB whereCreatedBy($value)
     * @method _IH_InstructorTeachingCategory_QB whereUpdatedBy($value)
     * @method _IH_InstructorTeachingCategory_QB whereStatus($value)
     * @method _IH_InstructorTeachingCategory_QB whereLmsId($value)
     * @method _IH_InstructorTeachingCategory_QB whereCreatedAt($value)
     * @method _IH_InstructorTeachingCategory_QB whereUpdatedAt($value)
     * @method InstructorTeachingCategory baseSole(array|string $columns = ['*'])
     * @method InstructorTeachingCategory create(array $attributes = [])
     * @method _IH_InstructorTeachingCategory_C|InstructorTeachingCategory[] cursor()
     * @method InstructorTeachingCategory|null|_IH_InstructorTeachingCategory_C|InstructorTeachingCategory[] find($id, array|string $columns = ['*'])
     * @method _IH_InstructorTeachingCategory_C|InstructorTeachingCategory[] findMany(array|Arrayable $ids, array|string $columns = ['*'])
     * @method InstructorTeachingCategory|_IH_InstructorTeachingCategory_C|InstructorTeachingCategory[] findOr($id, array|\Closure|string $columns = ['*'], \Closure $callback = null)
     * @method InstructorTeachingCategory|_IH_InstructorTeachingCategory_C|InstructorTeachingCategory[] findOrFail($id, array|string $columns = ['*'])
     * @method InstructorTeachingCategory|_IH_InstructorTeachingCategory_C|InstructorTeachingCategory[] findOrNew($id, array|string $columns = ['*'])
     * @method InstructorTeachingCategory first(array|string $columns = ['*'])
     * @method InstructorTeachingCategory firstOr(array|\Closure|string $columns = ['*'], \Closure $callback = null)
     * @method InstructorTeachingCategory firstOrCreate(array $attributes = [], array $values = [])
     * @method InstructorTeachingCategory firstOrFail(array|string $columns = ['*'])
     * @method InstructorTeachingCategory firstOrNew(array $attributes = [], array $values = [])
     * @method InstructorTeachingCategory firstWhere(array|\Closure|Expression|string $column, $operator = null, $value = null, string $boolean = 'and')
     * @method InstructorTeachingCategory forceCreate(array $attributes)
     * @method _IH_InstructorTeachingCategory_C|InstructorTeachingCategory[] fromQuery(string $query, array $bindings = [])
     * @method _IH_InstructorTeachingCategory_C|InstructorTeachingCategory[] get(array|string $columns = ['*'])
     * @method InstructorTeachingCategory getModel()
     * @method InstructorTeachingCategory[] getModels(array|string $columns = ['*'])
     * @method _IH_InstructorTeachingCategory_C|InstructorTeachingCategory[] hydrate(array $items)
     * @method _IH_InstructorTeachingCategory_C|InstructorTeachingCategory[] lazy(int $chunkSize = 1000)
     * @method _IH_InstructorTeachingCategory_C|InstructorTeachingCategory[] lazyById(int $chunkSize = 1000, null|string $column = null, null|string $alias = null)
     * @method _IH_InstructorTeachingCategory_C|InstructorTeachingCategory[] lazyByIdDesc(int $chunkSize = 1000, null|string $column = null, null|string $alias = null)
     * @method InstructorTeachingCategory make(array $attributes = [])
     * @method InstructorTeachingCategory newModelInstance(array $attributes = [])
     * @method LengthAwarePaginator|InstructorTeachingCategory[]|_IH_InstructorTeachingCategory_C paginate(\Closure|int|null $perPage = null, array|string $columns = ['*'], string $pageName = 'page', int|null $page = null)
     * @method Paginator|InstructorTeachingCategory[]|_IH_InstructorTeachingCategory_C simplePaginate(int|null $perPage = null, array|string $columns = ['*'], string $pageName = 'page', int|null $page = null)
     * @method InstructorTeachingCategory sole(array|string $columns = ['*'])
     * @method InstructorTeachingCategory updateOrCreate(array $attributes, array $values = [])
     */
    class _IH_InstructorTeachingCategory_QB extends _BaseBuilder {}
    
    /**
     * @method InstructorTeachingLanguage|null getOrPut($key, \Closure $value)
     * @method InstructorTeachingLanguage|$this shift(int $count = 1)
     * @method InstructorTeachingLanguage|null firstOrFail(callable|string $key = null, $operator = null, $value = null)
     * @method InstructorTeachingLanguage|$this pop(int $count = 1)
     * @method InstructorTeachingLanguage|null pull($key, \Closure $default = null)
     * @method InstructorTeachingLanguage|null last(callable $callback = null, \Closure $default = null)
     * @method InstructorTeachingLanguage|$this random(callable|int|null $number = null, bool $preserveKeys = false)
     * @method InstructorTeachingLanguage|null sole(callable|string $key = null, $operator = null, $value = null)
     * @method InstructorTeachingLanguage|null get($key, \Closure $default = null)
     * @method InstructorTeachingLanguage|null first(callable $callback = null, \Closure $default = null)
     * @method InstructorTeachingLanguage|null firstWhere(callable|string $key, $operator = null, $value = null)
     * @method InstructorTeachingLanguage|null find($key, $default = null)
     * @method InstructorTeachingLanguage[] all()
     */
    class _IH_InstructorTeachingLanguage_C extends _BaseCollection {
        /**
         * @param int $size
         * @return InstructorTeachingLanguage[][]|Collection<_IH_InstructorTeachingLanguage_C>
         */
        public function chunk($size)
        {
            return [];
        }
    }
    
    /**
     * @method _IH_InstructorTeachingLanguage_QB whereId($value)
     * @method _IH_InstructorTeachingLanguage_QB whereInstructorId($value)
     * @method _IH_InstructorTeachingLanguage_QB whereLanguageId($value)
     * @method _IH_InstructorTeachingLanguage_QB whereLevelId($value)
     * @method _IH_InstructorTeachingLanguage_QB whereCreatedBy($value)
     * @method _IH_InstructorTeachingLanguage_QB whereUpdatedBy($value)
     * @method _IH_InstructorTeachingLanguage_QB whereStatus($value)
     * @method _IH_InstructorTeachingLanguage_QB whereLmsId($value)
     * @method _IH_InstructorTeachingLanguage_QB whereCreatedAt($value)
     * @method _IH_InstructorTeachingLanguage_QB whereUpdatedAt($value)
     * @method InstructorTeachingLanguage baseSole(array|string $columns = ['*'])
     * @method InstructorTeachingLanguage create(array $attributes = [])
     * @method _IH_InstructorTeachingLanguage_C|InstructorTeachingLanguage[] cursor()
     * @method InstructorTeachingLanguage|null|_IH_InstructorTeachingLanguage_C|InstructorTeachingLanguage[] find($id, array|string $columns = ['*'])
     * @method _IH_InstructorTeachingLanguage_C|InstructorTeachingLanguage[] findMany(array|Arrayable $ids, array|string $columns = ['*'])
     * @method InstructorTeachingLanguage|_IH_InstructorTeachingLanguage_C|InstructorTeachingLanguage[] findOr($id, array|\Closure|string $columns = ['*'], \Closure $callback = null)
     * @method InstructorTeachingLanguage|_IH_InstructorTeachingLanguage_C|InstructorTeachingLanguage[] findOrFail($id, array|string $columns = ['*'])
     * @method InstructorTeachingLanguage|_IH_InstructorTeachingLanguage_C|InstructorTeachingLanguage[] findOrNew($id, array|string $columns = ['*'])
     * @method InstructorTeachingLanguage first(array|string $columns = ['*'])
     * @method InstructorTeachingLanguage firstOr(array|\Closure|string $columns = ['*'], \Closure $callback = null)
     * @method InstructorTeachingLanguage firstOrCreate(array $attributes = [], array $values = [])
     * @method InstructorTeachingLanguage firstOrFail(array|string $columns = ['*'])
     * @method InstructorTeachingLanguage firstOrNew(array $attributes = [], array $values = [])
     * @method InstructorTeachingLanguage firstWhere(array|\Closure|Expression|string $column, $operator = null, $value = null, string $boolean = 'and')
     * @method InstructorTeachingLanguage forceCreate(array $attributes)
     * @method _IH_InstructorTeachingLanguage_C|InstructorTeachingLanguage[] fromQuery(string $query, array $bindings = [])
     * @method _IH_InstructorTeachingLanguage_C|InstructorTeachingLanguage[] get(array|string $columns = ['*'])
     * @method InstructorTeachingLanguage getModel()
     * @method InstructorTeachingLanguage[] getModels(array|string $columns = ['*'])
     * @method _IH_InstructorTeachingLanguage_C|InstructorTeachingLanguage[] hydrate(array $items)
     * @method _IH_InstructorTeachingLanguage_C|InstructorTeachingLanguage[] lazy(int $chunkSize = 1000)
     * @method _IH_InstructorTeachingLanguage_C|InstructorTeachingLanguage[] lazyById(int $chunkSize = 1000, null|string $column = null, null|string $alias = null)
     * @method _IH_InstructorTeachingLanguage_C|InstructorTeachingLanguage[] lazyByIdDesc(int $chunkSize = 1000, null|string $column = null, null|string $alias = null)
     * @method InstructorTeachingLanguage make(array $attributes = [])
     * @method InstructorTeachingLanguage newModelInstance(array $attributes = [])
     * @method LengthAwarePaginator|InstructorTeachingLanguage[]|_IH_InstructorTeachingLanguage_C paginate(\Closure|int|null $perPage = null, array|string $columns = ['*'], string $pageName = 'page', int|null $page = null)
     * @method Paginator|InstructorTeachingLanguage[]|_IH_InstructorTeachingLanguage_C simplePaginate(int|null $perPage = null, array|string $columns = ['*'], string $pageName = 'page', int|null $page = null)
     * @method InstructorTeachingLanguage sole(array|string $columns = ['*'])
     * @method InstructorTeachingLanguage updateOrCreate(array $attributes, array $values = [])
     */
    class _IH_InstructorTeachingLanguage_QB extends _BaseBuilder {}
    
    /**
     * @method InstructorWorkExperience|null getOrPut($key, \Closure $value)
     * @method InstructorWorkExperience|$this shift(int $count = 1)
     * @method InstructorWorkExperience|null firstOrFail(callable|string $key = null, $operator = null, $value = null)
     * @method InstructorWorkExperience|$this pop(int $count = 1)
     * @method InstructorWorkExperience|null pull($key, \Closure $default = null)
     * @method InstructorWorkExperience|null last(callable $callback = null, \Closure $default = null)
     * @method InstructorWorkExperience|$this random(callable|int|null $number = null, bool $preserveKeys = false)
     * @method InstructorWorkExperience|null sole(callable|string $key = null, $operator = null, $value = null)
     * @method InstructorWorkExperience|null get($key, \Closure $default = null)
     * @method InstructorWorkExperience|null first(callable $callback = null, \Closure $default = null)
     * @method InstructorWorkExperience|null firstWhere(callable|string $key, $operator = null, $value = null)
     * @method InstructorWorkExperience|null find($key, $default = null)
     * @method InstructorWorkExperience[] all()
     */
    class _IH_InstructorWorkExperience_C extends _BaseCollection {
        /**
         * @param int $size
         * @return InstructorWorkExperience[][]|Collection<_IH_InstructorWorkExperience_C>
         */
        public function chunk($size)
        {
            return [];
        }
    }
    
    /**
     * @method _IH_InstructorWorkExperience_QB whereId($value)
     * @method _IH_InstructorWorkExperience_QB whereInstructorId($value)
     * @method _IH_InstructorWorkExperience_QB whereDuration($value)
     * @method _IH_InstructorWorkExperience_QB whereDesignation($value)
     * @method _IH_InstructorWorkExperience_QB whereInstitute($value)
     * @method _IH_InstructorWorkExperience_QB whereIsVerified($value)
     * @method _IH_InstructorWorkExperience_QB whereCreatedBy($value)
     * @method _IH_InstructorWorkExperience_QB whereUpdatedBy($value)
     * @method _IH_InstructorWorkExperience_QB whereStatus($value)
     * @method _IH_InstructorWorkExperience_QB whereLmsId($value)
     * @method _IH_InstructorWorkExperience_QB whereCreatedAt($value)
     * @method _IH_InstructorWorkExperience_QB whereUpdatedAt($value)
     * @method InstructorWorkExperience baseSole(array|string $columns = ['*'])
     * @method InstructorWorkExperience create(array $attributes = [])
     * @method _IH_InstructorWorkExperience_C|InstructorWorkExperience[] cursor()
     * @method InstructorWorkExperience|null|_IH_InstructorWorkExperience_C|InstructorWorkExperience[] find($id, array|string $columns = ['*'])
     * @method _IH_InstructorWorkExperience_C|InstructorWorkExperience[] findMany(array|Arrayable $ids, array|string $columns = ['*'])
     * @method InstructorWorkExperience|_IH_InstructorWorkExperience_C|InstructorWorkExperience[] findOr($id, array|\Closure|string $columns = ['*'], \Closure $callback = null)
     * @method InstructorWorkExperience|_IH_InstructorWorkExperience_C|InstructorWorkExperience[] findOrFail($id, array|string $columns = ['*'])
     * @method InstructorWorkExperience|_IH_InstructorWorkExperience_C|InstructorWorkExperience[] findOrNew($id, array|string $columns = ['*'])
     * @method InstructorWorkExperience first(array|string $columns = ['*'])
     * @method InstructorWorkExperience firstOr(array|\Closure|string $columns = ['*'], \Closure $callback = null)
     * @method InstructorWorkExperience firstOrCreate(array $attributes = [], array $values = [])
     * @method InstructorWorkExperience firstOrFail(array|string $columns = ['*'])
     * @method InstructorWorkExperience firstOrNew(array $attributes = [], array $values = [])
     * @method InstructorWorkExperience firstWhere(array|\Closure|Expression|string $column, $operator = null, $value = null, string $boolean = 'and')
     * @method InstructorWorkExperience forceCreate(array $attributes)
     * @method _IH_InstructorWorkExperience_C|InstructorWorkExperience[] fromQuery(string $query, array $bindings = [])
     * @method _IH_InstructorWorkExperience_C|InstructorWorkExperience[] get(array|string $columns = ['*'])
     * @method InstructorWorkExperience getModel()
     * @method InstructorWorkExperience[] getModels(array|string $columns = ['*'])
     * @method _IH_InstructorWorkExperience_C|InstructorWorkExperience[] hydrate(array $items)
     * @method _IH_InstructorWorkExperience_C|InstructorWorkExperience[] lazy(int $chunkSize = 1000)
     * @method _IH_InstructorWorkExperience_C|InstructorWorkExperience[] lazyById(int $chunkSize = 1000, null|string $column = null, null|string $alias = null)
     * @method _IH_InstructorWorkExperience_C|InstructorWorkExperience[] lazyByIdDesc(int $chunkSize = 1000, null|string $column = null, null|string $alias = null)
     * @method InstructorWorkExperience make(array $attributes = [])
     * @method InstructorWorkExperience newModelInstance(array $attributes = [])
     * @method LengthAwarePaginator|InstructorWorkExperience[]|_IH_InstructorWorkExperience_C paginate(\Closure|int|null $perPage = null, array|string $columns = ['*'], string $pageName = 'page', int|null $page = null)
     * @method Paginator|InstructorWorkExperience[]|_IH_InstructorWorkExperience_C simplePaginate(int|null $perPage = null, array|string $columns = ['*'], string $pageName = 'page', int|null $page = null)
     * @method InstructorWorkExperience sole(array|string $columns = ['*'])
     * @method InstructorWorkExperience updateOrCreate(array $attributes, array $values = [])
     */
    class _IH_InstructorWorkExperience_QB extends _BaseBuilder {}
    
    /**
     * @method RequestPost|null getOrPut($key, \Closure $value)
     * @method RequestPost|$this shift(int $count = 1)
     * @method RequestPost|null firstOrFail(callable|string $key = null, $operator = null, $value = null)
     * @method RequestPost|$this pop(int $count = 1)
     * @method RequestPost|null pull($key, \Closure $default = null)
     * @method RequestPost|null last(callable $callback = null, \Closure $default = null)
     * @method RequestPost|$this random(callable|int|null $number = null, bool $preserveKeys = false)
     * @method RequestPost|null sole(callable|string $key = null, $operator = null, $value = null)
     * @method RequestPost|null get($key, \Closure $default = null)
     * @method RequestPost|null first(callable $callback = null, \Closure $default = null)
     * @method RequestPost|null firstWhere(callable|string $key, $operator = null, $value = null)
     * @method RequestPost|null find($key, $default = null)
     * @method RequestPost[] all()
     */
    class _IH_RequestPost_C extends _BaseCollection {
        /**
         * @param int $size
         * @return RequestPost[][]|Collection<_IH_RequestPost_C>
         */
        public function chunk($size)
        {
            return [];
        }
    }
    
    /**
     * @method _IH_RequestPost_QB whereId($value)
     * @method _IH_RequestPost_QB whereTeachingCategory($value)
     * @method _IH_RequestPost_QB whereHeadline($value)
     * @method _IH_RequestPost_QB whereRequirement($value)
     * @method _IH_RequestPost_QB whereUserId($value)
     * @method _IH_RequestPost_QB whereMinPrice($value)
     * @method _IH_RequestPost_QB whereMaxPrice($value)
     * @method _IH_RequestPost_QB whereName($value)
     * @method _IH_RequestPost_QB whereEmail($value)
     * @method _IH_RequestPost_QB whereStatus($value)
     * @method _IH_RequestPost_QB whereLmsId($value)
     * @method _IH_RequestPost_QB whereCreatedAt($value)
     * @method _IH_RequestPost_QB whereUpdatedAt($value)
     * @method RequestPost baseSole(array|string $columns = ['*'])
     * @method RequestPost create(array $attributes = [])
     * @method _IH_RequestPost_C|RequestPost[] cursor()
     * @method RequestPost|null|_IH_RequestPost_C|RequestPost[] find($id, array|string $columns = ['*'])
     * @method _IH_RequestPost_C|RequestPost[] findMany(array|Arrayable $ids, array|string $columns = ['*'])
     * @method RequestPost|_IH_RequestPost_C|RequestPost[] findOr($id, array|\Closure|string $columns = ['*'], \Closure $callback = null)
     * @method RequestPost|_IH_RequestPost_C|RequestPost[] findOrFail($id, array|string $columns = ['*'])
     * @method RequestPost|_IH_RequestPost_C|RequestPost[] findOrNew($id, array|string $columns = ['*'])
     * @method RequestPost first(array|string $columns = ['*'])
     * @method RequestPost firstOr(array|\Closure|string $columns = ['*'], \Closure $callback = null)
     * @method RequestPost firstOrCreate(array $attributes = [], array $values = [])
     * @method RequestPost firstOrFail(array|string $columns = ['*'])
     * @method RequestPost firstOrNew(array $attributes = [], array $values = [])
     * @method RequestPost firstWhere(array|\Closure|Expression|string $column, $operator = null, $value = null, string $boolean = 'and')
     * @method RequestPost forceCreate(array $attributes)
     * @method _IH_RequestPost_C|RequestPost[] fromQuery(string $query, array $bindings = [])
     * @method _IH_RequestPost_C|RequestPost[] get(array|string $columns = ['*'])
     * @method RequestPost getModel()
     * @method RequestPost[] getModels(array|string $columns = ['*'])
     * @method _IH_RequestPost_C|RequestPost[] hydrate(array $items)
     * @method _IH_RequestPost_C|RequestPost[] lazy(int $chunkSize = 1000)
     * @method _IH_RequestPost_C|RequestPost[] lazyById(int $chunkSize = 1000, null|string $column = null, null|string $alias = null)
     * @method _IH_RequestPost_C|RequestPost[] lazyByIdDesc(int $chunkSize = 1000, null|string $column = null, null|string $alias = null)
     * @method RequestPost make(array $attributes = [])
     * @method RequestPost newModelInstance(array $attributes = [])
     * @method LengthAwarePaginator|RequestPost[]|_IH_RequestPost_C paginate(\Closure|int|null $perPage = null, array|string $columns = ['*'], string $pageName = 'page', int|null $page = null)
     * @method Paginator|RequestPost[]|_IH_RequestPost_C simplePaginate(int|null $perPage = null, array|string $columns = ['*'], string $pageName = 'page', int|null $page = null)
     * @method RequestPost sole(array|string $columns = ['*'])
     * @method RequestPost updateOrCreate(array $attributes, array $values = [])
     */
    class _IH_RequestPost_QB extends _BaseBuilder {}
    
    /**
     * @method Schedule|null getOrPut($key, \Closure $value)
     * @method Schedule|$this shift(int $count = 1)
     * @method Schedule|null firstOrFail(callable|string $key = null, $operator = null, $value = null)
     * @method Schedule|$this pop(int $count = 1)
     * @method Schedule|null pull($key, \Closure $default = null)
     * @method Schedule|null last(callable $callback = null, \Closure $default = null)
     * @method Schedule|$this random(callable|int|null $number = null, bool $preserveKeys = false)
     * @method Schedule|null sole(callable|string $key = null, $operator = null, $value = null)
     * @method Schedule|null get($key, \Closure $default = null)
     * @method Schedule|null first(callable $callback = null, \Closure $default = null)
     * @method Schedule|null firstWhere(callable|string $key, $operator = null, $value = null)
     * @method Schedule|null find($key, $default = null)
     * @method Schedule[] all()
     */
    class _IH_Schedule_C extends _BaseCollection {
        /**
         * @param int $size
         * @return Schedule[][]|Collection<_IH_Schedule_C>
         */
        public function chunk($size)
        {
            return [];
        }
    }
    
    /**
     * @method _IH_Schedule_QB whereId($value)
     * @method _IH_Schedule_QB whereScheduleDate($value)
     * @method _IH_Schedule_QB whereStartDate($value)
     * @method _IH_Schedule_QB whereEndDate($value)
     * @method _IH_Schedule_QB whereSlotId($value)
     * @method _IH_Schedule_QB whereUserId($value)
     * @method _IH_Schedule_QB whereTotalBooked($value)
     * @method _IH_Schedule_QB whereRevenue($value)
     * @method _IH_Schedule_QB whereDiscountPrice($value)
     * @method _IH_Schedule_QB whereCategoryId($value)
     * @method _IH_Schedule_QB whereSubCategoryId($value)
     * @method _IH_Schedule_QB whereCreatedBy($value)
     * @method _IH_Schedule_QB whereUpdatedBy($value)
     * @method _IH_Schedule_QB whereSpecialCommission($value)
     * @method _IH_Schedule_QB whereStatus($value)
     * @method _IH_Schedule_QB whereLmsId($value)
     * @method _IH_Schedule_QB whereCreatedAt($value)
     * @method _IH_Schedule_QB whereUpdatedAt($value)
     * @method Schedule baseSole(array|string $columns = ['*'])
     * @method Schedule create(array $attributes = [])
     * @method _IH_Schedule_C|Schedule[] cursor()
     * @method Schedule|null|_IH_Schedule_C|Schedule[] find($id, array|string $columns = ['*'])
     * @method _IH_Schedule_C|Schedule[] findMany(array|Arrayable $ids, array|string $columns = ['*'])
     * @method Schedule|_IH_Schedule_C|Schedule[] findOr($id, array|\Closure|string $columns = ['*'], \Closure $callback = null)
     * @method Schedule|_IH_Schedule_C|Schedule[] findOrFail($id, array|string $columns = ['*'])
     * @method Schedule|_IH_Schedule_C|Schedule[] findOrNew($id, array|string $columns = ['*'])
     * @method Schedule first(array|string $columns = ['*'])
     * @method Schedule firstOr(array|\Closure|string $columns = ['*'], \Closure $callback = null)
     * @method Schedule firstOrCreate(array $attributes = [], array $values = [])
     * @method Schedule firstOrFail(array|string $columns = ['*'])
     * @method Schedule firstOrNew(array $attributes = [], array $values = [])
     * @method Schedule firstWhere(array|\Closure|Expression|string $column, $operator = null, $value = null, string $boolean = 'and')
     * @method Schedule forceCreate(array $attributes)
     * @method _IH_Schedule_C|Schedule[] fromQuery(string $query, array $bindings = [])
     * @method _IH_Schedule_C|Schedule[] get(array|string $columns = ['*'])
     * @method Schedule getModel()
     * @method Schedule[] getModels(array|string $columns = ['*'])
     * @method _IH_Schedule_C|Schedule[] hydrate(array $items)
     * @method _IH_Schedule_C|Schedule[] lazy(int $chunkSize = 1000)
     * @method _IH_Schedule_C|Schedule[] lazyById(int $chunkSize = 1000, null|string $column = null, null|string $alias = null)
     * @method _IH_Schedule_C|Schedule[] lazyByIdDesc(int $chunkSize = 1000, null|string $column = null, null|string $alias = null)
     * @method Schedule make(array $attributes = [])
     * @method Schedule newModelInstance(array $attributes = [])
     * @method LengthAwarePaginator|Schedule[]|_IH_Schedule_C paginate(\Closure|int|null $perPage = null, array|string $columns = ['*'], string $pageName = 'page', int|null $page = null)
     * @method Paginator|Schedule[]|_IH_Schedule_C simplePaginate(int|null $perPage = null, array|string $columns = ['*'], string $pageName = 'page', int|null $page = null)
     * @method Schedule sole(array|string $columns = ['*'])
     * @method Schedule updateOrCreate(array $attributes, array $values = [])
     */
    class _IH_Schedule_QB extends _BaseBuilder {}
    
    /**
     * @method ShareLink|null getOrPut($key, \Closure $value)
     * @method ShareLink|$this shift(int $count = 1)
     * @method ShareLink|null firstOrFail(callable|string $key = null, $operator = null, $value = null)
     * @method ShareLink|$this pop(int $count = 1)
     * @method ShareLink|null pull($key, \Closure $default = null)
     * @method ShareLink|null last(callable $callback = null, \Closure $default = null)
     * @method ShareLink|$this random(callable|int|null $number = null, bool $preserveKeys = false)
     * @method ShareLink|null sole(callable|string $key = null, $operator = null, $value = null)
     * @method ShareLink|null get($key, \Closure $default = null)
     * @method ShareLink|null first(callable $callback = null, \Closure $default = null)
     * @method ShareLink|null firstWhere(callable|string $key, $operator = null, $value = null)
     * @method ShareLink|null find($key, $default = null)
     * @method ShareLink[] all()
     */
    class _IH_ShareLink_C extends _BaseCollection {
        /**
         * @param int $size
         * @return ShareLink[][]|Collection<_IH_ShareLink_C>
         */
        public function chunk($size)
        {
            return [];
        }
    }
    
    /**
     * @method _IH_ShareLink_QB whereId($value)
     * @method _IH_ShareLink_QB whereStatus($value)
     * @method _IH_ShareLink_QB whereLink($value)
     * @method _IH_ShareLink_QB whereNote($value)
     * @method _IH_ShareLink_QB whereScheduleId($value)
     * @method _IH_ShareLink_QB whereStudentId($value)
     * @method _IH_ShareLink_QB whereType($value)
     * @method _IH_ShareLink_QB whereLmsId($value)
     * @method _IH_ShareLink_QB whereCreatedAt($value)
     * @method _IH_ShareLink_QB whereUpdatedAt($value)
     * @method ShareLink baseSole(array|string $columns = ['*'])
     * @method ShareLink create(array $attributes = [])
     * @method _IH_ShareLink_C|ShareLink[] cursor()
     * @method ShareLink|null|_IH_ShareLink_C|ShareLink[] find($id, array|string $columns = ['*'])
     * @method _IH_ShareLink_C|ShareLink[] findMany(array|Arrayable $ids, array|string $columns = ['*'])
     * @method ShareLink|_IH_ShareLink_C|ShareLink[] findOr($id, array|\Closure|string $columns = ['*'], \Closure $callback = null)
     * @method ShareLink|_IH_ShareLink_C|ShareLink[] findOrFail($id, array|string $columns = ['*'])
     * @method ShareLink|_IH_ShareLink_C|ShareLink[] findOrNew($id, array|string $columns = ['*'])
     * @method ShareLink first(array|string $columns = ['*'])
     * @method ShareLink firstOr(array|\Closure|string $columns = ['*'], \Closure $callback = null)
     * @method ShareLink firstOrCreate(array $attributes = [], array $values = [])
     * @method ShareLink firstOrFail(array|string $columns = ['*'])
     * @method ShareLink firstOrNew(array $attributes = [], array $values = [])
     * @method ShareLink firstWhere(array|\Closure|Expression|string $column, $operator = null, $value = null, string $boolean = 'and')
     * @method ShareLink forceCreate(array $attributes)
     * @method _IH_ShareLink_C|ShareLink[] fromQuery(string $query, array $bindings = [])
     * @method _IH_ShareLink_C|ShareLink[] get(array|string $columns = ['*'])
     * @method ShareLink getModel()
     * @method ShareLink[] getModels(array|string $columns = ['*'])
     * @method _IH_ShareLink_C|ShareLink[] hydrate(array $items)
     * @method _IH_ShareLink_C|ShareLink[] lazy(int $chunkSize = 1000)
     * @method _IH_ShareLink_C|ShareLink[] lazyById(int $chunkSize = 1000, null|string $column = null, null|string $alias = null)
     * @method _IH_ShareLink_C|ShareLink[] lazyByIdDesc(int $chunkSize = 1000, null|string $column = null, null|string $alias = null)
     * @method ShareLink make(array $attributes = [])
     * @method ShareLink newModelInstance(array $attributes = [])
     * @method LengthAwarePaginator|ShareLink[]|_IH_ShareLink_C paginate(\Closure|int|null $perPage = null, array|string $columns = ['*'], string $pageName = 'page', int|null $page = null)
     * @method Paginator|ShareLink[]|_IH_ShareLink_C simplePaginate(int|null $perPage = null, array|string $columns = ['*'], string $pageName = 'page', int|null $page = null)
     * @method ShareLink sole(array|string $columns = ['*'])
     * @method ShareLink updateOrCreate(array $attributes, array $values = [])
     */
    class _IH_ShareLink_QB extends _BaseBuilder {}
    
    /**
     * @method Social|null getOrPut($key, \Closure $value)
     * @method Social|$this shift(int $count = 1)
     * @method Social|null firstOrFail(callable|string $key = null, $operator = null, $value = null)
     * @method Social|$this pop(int $count = 1)
     * @method Social|null pull($key, \Closure $default = null)
     * @method Social|null last(callable $callback = null, \Closure $default = null)
     * @method Social|$this random(callable|int|null $number = null, bool $preserveKeys = false)
     * @method Social|null sole(callable|string $key = null, $operator = null, $value = null)
     * @method Social|null get($key, \Closure $default = null)
     * @method Social|null first(callable $callback = null, \Closure $default = null)
     * @method Social|null firstWhere(callable|string $key, $operator = null, $value = null)
     * @method Social|null find($key, $default = null)
     * @method Social[] all()
     */
    class _IH_Social_C extends _BaseCollection {
        /**
         * @param int $size
         * @return Social[][]|Collection<_IH_Social_C>
         */
        public function chunk($size)
        {
            return [];
        }
    }
    
    /**
     * @method Social baseSole(array|string $columns = ['*'])
     * @method Social create(array $attributes = [])
     * @method _IH_Social_C|Social[] cursor()
     * @method Social|null|_IH_Social_C|Social[] find($id, array|string $columns = ['*'])
     * @method _IH_Social_C|Social[] findMany(array|Arrayable $ids, array|string $columns = ['*'])
     * @method Social|_IH_Social_C|Social[] findOr($id, array|\Closure|string $columns = ['*'], \Closure $callback = null)
     * @method Social|_IH_Social_C|Social[] findOrFail($id, array|string $columns = ['*'])
     * @method Social|_IH_Social_C|Social[] findOrNew($id, array|string $columns = ['*'])
     * @method Social first(array|string $columns = ['*'])
     * @method Social firstOr(array|\Closure|string $columns = ['*'], \Closure $callback = null)
     * @method Social firstOrCreate(array $attributes = [], array $values = [])
     * @method Social firstOrFail(array|string $columns = ['*'])
     * @method Social firstOrNew(array $attributes = [], array $values = [])
     * @method Social firstWhere(array|\Closure|Expression|string $column, $operator = null, $value = null, string $boolean = 'and')
     * @method Social forceCreate(array $attributes)
     * @method _IH_Social_C|Social[] fromQuery(string $query, array $bindings = [])
     * @method _IH_Social_C|Social[] get(array|string $columns = ['*'])
     * @method Social getModel()
     * @method Social[] getModels(array|string $columns = ['*'])
     * @method _IH_Social_C|Social[] hydrate(array $items)
     * @method _IH_Social_C|Social[] lazy(int $chunkSize = 1000)
     * @method _IH_Social_C|Social[] lazyById(int $chunkSize = 1000, null|string $column = null, null|string $alias = null)
     * @method _IH_Social_C|Social[] lazyByIdDesc(int $chunkSize = 1000, null|string $column = null, null|string $alias = null)
     * @method Social make(array $attributes = [])
     * @method Social newModelInstance(array $attributes = [])
     * @method LengthAwarePaginator|Social[]|_IH_Social_C paginate(\Closure|int|null $perPage = null, array|string $columns = ['*'], string $pageName = 'page', int|null $page = null)
     * @method Paginator|Social[]|_IH_Social_C simplePaginate(int|null $perPage = null, array|string $columns = ['*'], string $pageName = 'page', int|null $page = null)
     * @method Social sole(array|string $columns = ['*'])
     * @method Social updateOrCreate(array $attributes, array $values = [])
     */
    class _IH_Social_QB extends _BaseBuilder {}
    
    /**
     * @method TimeSlot|null getOrPut($key, \Closure $value)
     * @method TimeSlot|$this shift(int $count = 1)
     * @method TimeSlot|null firstOrFail(callable|string $key = null, $operator = null, $value = null)
     * @method TimeSlot|$this pop(int $count = 1)
     * @method TimeSlot|null pull($key, \Closure $default = null)
     * @method TimeSlot|null last(callable $callback = null, \Closure $default = null)
     * @method TimeSlot|$this random(callable|int|null $number = null, bool $preserveKeys = false)
     * @method TimeSlot|null sole(callable|string $key = null, $operator = null, $value = null)
     * @method TimeSlot|null get($key, \Closure $default = null)
     * @method TimeSlot|null first(callable $callback = null, \Closure $default = null)
     * @method TimeSlot|null firstWhere(callable|string $key, $operator = null, $value = null)
     * @method TimeSlot|null find($key, $default = null)
     * @method TimeSlot[] all()
     */
    class _IH_TimeSlot_C extends _BaseCollection {
        /**
         * @param int $size
         * @return TimeSlot[][]|Collection<_IH_TimeSlot_C>
         */
        public function chunk($size)
        {
            return [];
        }
    }
    
    /**
     * @method _IH_TimeSlot_QB whereId($value)
     * @method _IH_TimeSlot_QB whereType($value)
     * @method _IH_TimeSlot_QB whereTitle($value)
     * @method _IH_TimeSlot_QB whereStartTime($value)
     * @method _IH_TimeSlot_QB whereEndTime($value)
     * @method _IH_TimeSlot_QB whereCreatedBy($value)
     * @method _IH_TimeSlot_QB whereUpdatedBy($value)
     * @method _IH_TimeSlot_QB whereUserId($value)
     * @method _IH_TimeSlot_QB whereStatus($value)
     * @method _IH_TimeSlot_QB whereIsBreak($value)
     * @method _IH_TimeSlot_QB whereLmsId($value)
     * @method _IH_TimeSlot_QB whereCreatedAt($value)
     * @method _IH_TimeSlot_QB whereUpdatedAt($value)
     * @method TimeSlot baseSole(array|string $columns = ['*'])
     * @method TimeSlot create(array $attributes = [])
     * @method _IH_TimeSlot_C|TimeSlot[] cursor()
     * @method TimeSlot|null|_IH_TimeSlot_C|TimeSlot[] find($id, array|string $columns = ['*'])
     * @method _IH_TimeSlot_C|TimeSlot[] findMany(array|Arrayable $ids, array|string $columns = ['*'])
     * @method TimeSlot|_IH_TimeSlot_C|TimeSlot[] findOr($id, array|\Closure|string $columns = ['*'], \Closure $callback = null)
     * @method TimeSlot|_IH_TimeSlot_C|TimeSlot[] findOrFail($id, array|string $columns = ['*'])
     * @method TimeSlot|_IH_TimeSlot_C|TimeSlot[] findOrNew($id, array|string $columns = ['*'])
     * @method TimeSlot first(array|string $columns = ['*'])
     * @method TimeSlot firstOr(array|\Closure|string $columns = ['*'], \Closure $callback = null)
     * @method TimeSlot firstOrCreate(array $attributes = [], array $values = [])
     * @method TimeSlot firstOrFail(array|string $columns = ['*'])
     * @method TimeSlot firstOrNew(array $attributes = [], array $values = [])
     * @method TimeSlot firstWhere(array|\Closure|Expression|string $column, $operator = null, $value = null, string $boolean = 'and')
     * @method TimeSlot forceCreate(array $attributes)
     * @method _IH_TimeSlot_C|TimeSlot[] fromQuery(string $query, array $bindings = [])
     * @method _IH_TimeSlot_C|TimeSlot[] get(array|string $columns = ['*'])
     * @method TimeSlot getModel()
     * @method TimeSlot[] getModels(array|string $columns = ['*'])
     * @method _IH_TimeSlot_C|TimeSlot[] hydrate(array $items)
     * @method _IH_TimeSlot_C|TimeSlot[] lazy(int $chunkSize = 1000)
     * @method _IH_TimeSlot_C|TimeSlot[] lazyById(int $chunkSize = 1000, null|string $column = null, null|string $alias = null)
     * @method _IH_TimeSlot_C|TimeSlot[] lazyByIdDesc(int $chunkSize = 1000, null|string $column = null, null|string $alias = null)
     * @method TimeSlot make(array $attributes = [])
     * @method TimeSlot newModelInstance(array $attributes = [])
     * @method LengthAwarePaginator|TimeSlot[]|_IH_TimeSlot_C paginate(\Closure|int|null $perPage = null, array|string $columns = ['*'], string $pageName = 'page', int|null $page = null)
     * @method Paginator|TimeSlot[]|_IH_TimeSlot_C simplePaginate(int|null $perPage = null, array|string $columns = ['*'], string $pageName = 'page', int|null $page = null)
     * @method TimeSlot sole(array|string $columns = ['*'])
     * @method TimeSlot updateOrCreate(array $attributes, array $values = [])
     */
    class _IH_TimeSlot_QB extends _BaseBuilder {}
    
    /**
     * @method Wishlist|null getOrPut($key, \Closure $value)
     * @method Wishlist|$this shift(int $count = 1)
     * @method Wishlist|null firstOrFail(callable|string $key = null, $operator = null, $value = null)
     * @method Wishlist|$this pop(int $count = 1)
     * @method Wishlist|null pull($key, \Closure $default = null)
     * @method Wishlist|null last(callable $callback = null, \Closure $default = null)
     * @method Wishlist|$this random(callable|int|null $number = null, bool $preserveKeys = false)
     * @method Wishlist|null sole(callable|string $key = null, $operator = null, $value = null)
     * @method Wishlist|null get($key, \Closure $default = null)
     * @method Wishlist|null first(callable $callback = null, \Closure $default = null)
     * @method Wishlist|null firstWhere(callable|string $key, $operator = null, $value = null)
     * @method Wishlist|null find($key, $default = null)
     * @method Wishlist[] all()
     */
    class _IH_Wishlist_C extends _BaseCollection {
        /**
         * @param int $size
         * @return Wishlist[][]|Collection<_IH_Wishlist_C>
         */
        public function chunk($size)
        {
            return [];
        }
    }
    
    /**
     * @method _IH_Wishlist_QB whereId($value)
     * @method _IH_Wishlist_QB whereInstructorId($value)
     * @method _IH_Wishlist_QB whereUserId($value)
     * @method _IH_Wishlist_QB whereLmsId($value)
     * @method _IH_Wishlist_QB whereCreatedAt($value)
     * @method _IH_Wishlist_QB whereUpdatedAt($value)
     * @method Wishlist baseSole(array|string $columns = ['*'])
     * @method Wishlist create(array $attributes = [])
     * @method _IH_Wishlist_C|Wishlist[] cursor()
     * @method Wishlist|null|_IH_Wishlist_C|Wishlist[] find($id, array|string $columns = ['*'])
     * @method _IH_Wishlist_C|Wishlist[] findMany(array|Arrayable $ids, array|string $columns = ['*'])
     * @method Wishlist|_IH_Wishlist_C|Wishlist[] findOr($id, array|\Closure|string $columns = ['*'], \Closure $callback = null)
     * @method Wishlist|_IH_Wishlist_C|Wishlist[] findOrFail($id, array|string $columns = ['*'])
     * @method Wishlist|_IH_Wishlist_C|Wishlist[] findOrNew($id, array|string $columns = ['*'])
     * @method Wishlist first(array|string $columns = ['*'])
     * @method Wishlist firstOr(array|\Closure|string $columns = ['*'], \Closure $callback = null)
     * @method Wishlist firstOrCreate(array $attributes = [], array $values = [])
     * @method Wishlist firstOrFail(array|string $columns = ['*'])
     * @method Wishlist firstOrNew(array $attributes = [], array $values = [])
     * @method Wishlist firstWhere(array|\Closure|Expression|string $column, $operator = null, $value = null, string $boolean = 'and')
     * @method Wishlist forceCreate(array $attributes)
     * @method _IH_Wishlist_C|Wishlist[] fromQuery(string $query, array $bindings = [])
     * @method _IH_Wishlist_C|Wishlist[] get(array|string $columns = ['*'])
     * @method Wishlist getModel()
     * @method Wishlist[] getModels(array|string $columns = ['*'])
     * @method _IH_Wishlist_C|Wishlist[] hydrate(array $items)
     * @method _IH_Wishlist_C|Wishlist[] lazy(int $chunkSize = 1000)
     * @method _IH_Wishlist_C|Wishlist[] lazyById(int $chunkSize = 1000, null|string $column = null, null|string $alias = null)
     * @method _IH_Wishlist_C|Wishlist[] lazyByIdDesc(int $chunkSize = 1000, null|string $column = null, null|string $alias = null)
     * @method Wishlist make(array $attributes = [])
     * @method Wishlist newModelInstance(array $attributes = [])
     * @method LengthAwarePaginator|Wishlist[]|_IH_Wishlist_C paginate(\Closure|int|null $perPage = null, array|string $columns = ['*'], string $pageName = 'page', int|null $page = null)
     * @method Paginator|Wishlist[]|_IH_Wishlist_C simplePaginate(int|null $perPage = null, array|string $columns = ['*'], string $pageName = 'page', int|null $page = null)
     * @method Wishlist sole(array|string $columns = ['*'])
     * @method Wishlist updateOrCreate(array $attributes, array $values = [])
     */
    class _IH_Wishlist_QB extends _BaseBuilder {}
}