<?php //c0ae78c0ec521dfae684b5e5b042396c
/** @noinspection all */

namespace Modules\LmsSaasMD\Entities {

    use App\BillingDetails;
    use App\User;
    use Illuminate\Database\Eloquent\Model;
    use Illuminate\Database\Eloquent\Relations\BelongsTo;
    use Illuminate\Support\Carbon;
    use LaravelIdea\Helper\App\_IH_BillingDetails_QB;
    use LaravelIdea\Helper\App\_IH_User_QB;
    use LaravelIdea\Helper\Modules\LmsSaasMD\Entities\_IH_SaasCart_C;
    use LaravelIdea\Helper\Modules\LmsSaasMD\Entities\_IH_SaasCart_QB;
    use LaravelIdea\Helper\Modules\LmsSaasMD\Entities\_IH_SaasCheckout_C;
    use LaravelIdea\Helper\Modules\LmsSaasMD\Entities\_IH_SaasCheckout_QB;
    use LaravelIdea\Helper\Modules\LmsSaasMD\Entities\_IH_SaasInstitutePlanManagement_C;
    use LaravelIdea\Helper\Modules\LmsSaasMD\Entities\_IH_SaasInstitutePlanManagement_QB;
    use LaravelIdea\Helper\Modules\LmsSaasMD\Entities\_IH_SaasInstitutePlanPurchase_C;
    use LaravelIdea\Helper\Modules\LmsSaasMD\Entities\_IH_SaasInstitutePlanPurchase_QB;
    use LaravelIdea\Helper\Modules\LmsSaasMD\Entities\_IH_SaasPlan_C;
    use LaravelIdea\Helper\Modules\LmsSaasMD\Entities\_IH_SaasPlan_QB;
    
    /**
     * @property int $id
     * @property int $user_id
     * @property int $plan_id
     * @property int $price
     * @property int|null $days
     * @property string $tracking
     * @property string|null $billing_detail_id
     * @property Carbon|null $created_at
     * @property Carbon|null $updated_at
     * @property SaasPlan $plan
     * @method BelongsTo|_IH_SaasPlan_QB plan()
     * @method static _IH_SaasCart_QB onWriteConnection()
     * @method _IH_SaasCart_QB newQuery()
     * @method static _IH_SaasCart_QB on(null|string $connection = null)
     * @method static _IH_SaasCart_QB query()
     * @method static _IH_SaasCart_QB with(array|string $relations)
     * @method _IH_SaasCart_QB newModelQuery()
     * @method false|int increment(string $column, float|int $amount = 1, array $extra = [])
     * @method false|int decrement(string $column, float|int $amount = 1, array $extra = [])
     * @method static _IH_SaasCart_C|SaasCart[] all()
     * @ownLinks user_id,\App\User,id|billing_detail_id,\App\BillingDetails,id
     * @mixin _IH_SaasCart_QB
     */
    class SaasCart extends Model {}
    
    /**
     * @property int $id
     * @property int $billing_detail_id
     * @property string|null $tracking
     * @property int|null $user_id
     * @property int|null $lms_id
     * @property int|null $plan_id
     * @property int $price
     * @property Carbon|null $start_date
     * @property Carbon|null $end_date
     * @property int $days
     * @property string|null $payment_method
     * @property string|null $response
     * @property int $status
     * @property Carbon|null $created_at
     * @property Carbon|null $updated_at
     * @property BillingDetails $billing
     * @method BelongsTo|_IH_BillingDetails_QB billing()
     * @property SaasPlan|null $plan
     * @method BelongsTo|_IH_SaasPlan_QB plan()
     * @property User|null $user
     * @method BelongsTo|_IH_User_QB user()
     * @method static _IH_SaasCheckout_QB onWriteConnection()
     * @method _IH_SaasCheckout_QB newQuery()
     * @method static _IH_SaasCheckout_QB on(null|string $connection = null)
     * @method static _IH_SaasCheckout_QB query()
     * @method static _IH_SaasCheckout_QB with(array|string $relations)
     * @method _IH_SaasCheckout_QB newModelQuery()
     * @method false|int increment(string $column, float|int $amount = 1, array $extra = [])
     * @method false|int decrement(string $column, float|int $amount = 1, array $extra = [])
     * @method static _IH_SaasCheckout_C|SaasCheckout[] all()
     * @ownLinks billing_detail_id,\App\BillingDetails,id|user_id,\App\User,id
     * @mixin _IH_SaasCheckout_QB
     */
    class SaasCheckout extends Model {}
    
    /**
     * @property int $id
     * @property int $lms_id
     * @property int $course
     * @property int $student
     * @property int $instructor
     * @property int $meeting
     * @property int $upload_limit
     * @property int $quiz
     * @property int $blog_post
     * @property int $newsletter
     * @property Carbon|null $purchase_date
     * @property Carbon|null $service_end_date
     * @property int|null $validity
     * @property int $unlimited
     * @property Carbon|null $created_at
     * @property Carbon|null $updated_at
     * @property bool $course_access
     * @property bool $student_access
     * @property bool $instructor_access
     * @property bool $meeting_access
     * @property bool $quiz_access
     * @property bool $blog_access
     * @property bool $newsletter_access
     * @method static _IH_SaasInstitutePlanManagement_QB onWriteConnection()
     * @method _IH_SaasInstitutePlanManagement_QB newQuery()
     * @method static _IH_SaasInstitutePlanManagement_QB on(null|string $connection = null)
     * @method static _IH_SaasInstitutePlanManagement_QB query()
     * @method static _IH_SaasInstitutePlanManagement_QB with(array|string $relations)
     * @method _IH_SaasInstitutePlanManagement_QB newModelQuery()
     * @method false|int increment(string $column, float|int $amount = 1, array $extra = [])
     * @method false|int decrement(string $column, float|int $amount = 1, array $extra = [])
     * @method static _IH_SaasInstitutePlanManagement_C|SaasInstitutePlanManagement[] all()
     * @mixin _IH_SaasInstitutePlanManagement_QB
     */
    class SaasInstitutePlanManagement extends Model {}
    
    /**
     * @property int $id
     * @property int $lms_id
     * @property int $plan_id
     * @property float|null $purchase_price
     * @property string $purchase_date
     * @property Carbon|null $created_at
     * @property Carbon|null $updated_at
     * @property SaasPlan $plan
     * @method BelongsTo|_IH_SaasPlan_QB plan()
     * @method static _IH_SaasInstitutePlanPurchase_QB onWriteConnection()
     * @method _IH_SaasInstitutePlanPurchase_QB newQuery()
     * @method static _IH_SaasInstitutePlanPurchase_QB on(null|string $connection = null)
     * @method static _IH_SaasInstitutePlanPurchase_QB query()
     * @method static _IH_SaasInstitutePlanPurchase_QB with(array|string $relations)
     * @method _IH_SaasInstitutePlanPurchase_QB newModelQuery()
     * @method false|int increment(string $column, float|int $amount = 1, array $extra = [])
     * @method false|int decrement(string $column, float|int $amount = 1, array $extra = [])
     * @method static _IH_SaasInstitutePlanPurchase_C|SaasInstitutePlanPurchase[] all()
     * @mixin _IH_SaasInstitutePlanPurchase_QB
     */
    class SaasInstitutePlanPurchase extends Model {}
    
    /**
     * @property int $id
     * @property string $name
     * @property string|null $btn_txt
     * @property float $price
     * @property float|null $discount_price
     * @property string|null $description
     * @property int|null $course_limitable
     * @property int|null $course_limit
     * @property int|null $student_limitable
     * @property int|null $student_limit
     * @property int|null $instructor_limitable
     * @property int|null $instructor_limit
     * @property int|null $meeting_limitable
     * @property int|null $meeting_limit
     * @property int|null $upload_limitable
     * @property int|null $upload_limit
     * @property int|null $quiz_question_limitable
     * @property int|null $quiz_question_limit
     * @property int|null $blog_post_limitable
     * @property int|null $blog_post_limit
     * @property int|null $newsletter_limitable
     * @property int|null $newsletter_limit
     * @property int|null $status
     * @property int|null $order
     * @property int|null $days
     * @property Carbon|null $created_at
     * @property Carbon|null $updated_at
     * @property bool $course_access
     * @property bool $student_access
     * @property bool $instructor_access
     * @property bool $meeting_access
     * @property bool $quiz_access
     * @property bool $blog_access
     * @property bool $newsletter_access
     * @method static _IH_SaasPlan_QB onWriteConnection()
     * @method _IH_SaasPlan_QB newQuery()
     * @method static _IH_SaasPlan_QB on(null|string $connection = null)
     * @method static _IH_SaasPlan_QB query()
     * @method static _IH_SaasPlan_QB with(array|string $relations)
     * @method _IH_SaasPlan_QB newModelQuery()
     * @method false|int increment(string $column, float|int $amount = 1, array $extra = [])
     * @method false|int decrement(string $column, float|int $amount = 1, array $extra = [])
     * @method static _IH_SaasPlan_C|SaasPlan[] all()
     * @mixin _IH_SaasPlan_QB
     */
    class SaasPlan extends Model {}
}