<?php //bff7d2999cae343670407a481b2ac86c
/** @noinspection all */

namespace Modules\FrontendManage\Entities {

    use App\Models\LmsInstitute;
    use Illuminate\Database\Eloquent\Model;
    use Illuminate\Database\Eloquent\Relations\BelongsTo;
    use Illuminate\Database\Eloquent\Relations\HasMany;
    use Illuminate\Database\Eloquent\Relations\MorphToMany;
    use Illuminate\Support\Carbon;
    use LaravelIdea\Helper\App\Models\_IH_LmsInstitute_QB;
    use LaravelIdea\Helper\Modules\CourseSetting\Entities\_IH_Course_QB;
    use LaravelIdea\Helper\Modules\FrontendManage\Entities\_IH_BecomeInstructor_C;
    use LaravelIdea\Helper\Modules\FrontendManage\Entities\_IH_BecomeInstructor_QB;
    use LaravelIdea\Helper\Modules\FrontendManage\Entities\_IH_CourseSetting_C;
    use LaravelIdea\Helper\Modules\FrontendManage\Entities\_IH_CourseSetting_QB;
    use LaravelIdea\Helper\Modules\FrontendManage\Entities\_IH_FrontPage_C;
    use LaravelIdea\Helper\Modules\FrontendManage\Entities\_IH_FrontPage_QB;
    use LaravelIdea\Helper\Modules\FrontendManage\Entities\_IH_HeaderMenu_C;
    use LaravelIdea\Helper\Modules\FrontendManage\Entities\_IH_HeaderMenu_QB;
    use LaravelIdea\Helper\Modules\FrontendManage\Entities\_IH_HomeContent_C;
    use LaravelIdea\Helper\Modules\FrontendManage\Entities\_IH_HomeContent_QB;
    use LaravelIdea\Helper\Modules\FrontendManage\Entities\_IH_HomepageBlockPosition_C;
    use LaravelIdea\Helper\Modules\FrontendManage\Entities\_IH_HomepageBlockPosition_QB;
    use LaravelIdea\Helper\Modules\FrontendManage\Entities\_IH_HomePageFaq_C;
    use LaravelIdea\Helper\Modules\FrontendManage\Entities\_IH_HomePageFaq_QB;
    use LaravelIdea\Helper\Modules\FrontendManage\Entities\_IH_LoginPage_C;
    use LaravelIdea\Helper\Modules\FrontendManage\Entities\_IH_LoginPage_QB;
    use LaravelIdea\Helper\Modules\FrontendManage\Entities\_IH_PrivacyPolicy_C;
    use LaravelIdea\Helper\Modules\FrontendManage\Entities\_IH_PrivacyPolicy_QB;
    use LaravelIdea\Helper\Modules\FrontendManage\Entities\_IH_Slider_C;
    use LaravelIdea\Helper\Modules\FrontendManage\Entities\_IH_Slider_QB;
    use LaravelIdea\Helper\Modules\FrontendManage\Entities\_IH_Sponsor_C;
    use LaravelIdea\Helper\Modules\FrontendManage\Entities\_IH_Sponsor_QB;
    use LaravelIdea\Helper\Modules\FrontendManage\Entities\_IH_TopbarSetting_C;
    use LaravelIdea\Helper\Modules\FrontendManage\Entities\_IH_TopbarSetting_QB;
    use LaravelIdea\Helper\Modules\FrontendManage\Entities\_IH_WhyChoose_C;
    use LaravelIdea\Helper\Modules\FrontendManage\Entities\_IH_WhyChoose_QB;
    use LaravelIdea\Helper\Modules\FrontendManage\Entities\_IH_WorkProcess_C;
    use LaravelIdea\Helper\Modules\FrontendManage\Entities\_IH_WorkProcess_QB;
    use LaravelIdea\Helper\Modules\Setting\Entities\_IH_UsedMedia_QB;
    use Modules\CourseSetting\Entities\Course;
    use Modules\Setting\Entities\UsedMedia;
    
    /**
     * @property int $id
     * @property string|null $section
     * @property string|null $title
     * @property string|null $description
     * @property string|null $btn_name
     * @property string|null $btn_link
     * @property string|null $icon
     * @property string|null $image
     * @property string|null $video
     * @property Carbon|null $created_at
     * @property Carbon|null $updated_at
     * @property string $bg_image
     * @property-read mixed[] $translations attribute
     * @property LmsInstitute $institute
     * @method BelongsTo|_IH_LmsInstitute_QB institute()
     * @method static _IH_BecomeInstructor_QB onWriteConnection()
     * @method _IH_BecomeInstructor_QB newQuery()
     * @method static _IH_BecomeInstructor_QB on(null|string $connection = null)
     * @method static _IH_BecomeInstructor_QB query()
     * @method static _IH_BecomeInstructor_QB with(array|string $relations)
     * @method _IH_BecomeInstructor_QB newModelQuery()
     * @method false|int increment(string $column, float|int $amount = 1, array $extra = [])
     * @method false|int decrement(string $column, float|int $amount = 1, array $extra = [])
     * @method static _IH_BecomeInstructor_C|BecomeInstructor[] all()
     * @mixin _IH_BecomeInstructor_QB
     */
    class BecomeInstructor extends Model {}
    
    /**
     * @property int $id
     * @property int|null $show_mode_of_delivery
     * @property int|null $show_rating
     * @property int|null $show_cart
     * @property int|null $show_enrolled_or_level_section
     * @property int|null $enrolled_or_level 1 for enrolled and 2 fro course level
     * @property int|null $show_cql_left_sidebar
     * @property int|null $size_of_grid
     * @property int|null $show_review_option
     * @property int|null $show_rating_option
     * @property int|null $show_search_in_category
     * @property int|null $show_instructor_rating
     * @property int|null $show_instructor_review
     * @property int|null $show_instructor_enrolled
     * @property int|null $show_instructor_courses
     * @property Carbon|null $created_at
     * @property Carbon|null $updated_at
     * @property LmsInstitute $institute
     * @method BelongsTo|_IH_LmsInstitute_QB institute()
     * @method static _IH_CourseSetting_QB onWriteConnection()
     * @method _IH_CourseSetting_QB newQuery()
     * @method static _IH_CourseSetting_QB on(null|string $connection = null)
     * @method static _IH_CourseSetting_QB query()
     * @method static _IH_CourseSetting_QB with(array|string $relations)
     * @method _IH_CourseSetting_QB newModelQuery()
     * @method false|int increment(string $column, float|int $amount = 1, array $extra = [])
     * @method false|int decrement(string $column, float|int $amount = 1, array $extra = [])
     * @method static _IH_CourseSetting_C|CourseSetting[] all()
     * @mixin _IH_CourseSetting_QB
     */
    class CourseSetting extends Model {}
    
    /**
     * @property int $id
     * @property string|null $name
     * @property string|null $title
     * @property string|null $sub_title
     * @property string|null $details
     * @property string $slug
     * @property int $status
     * @property int $is_static
     * @property Carbon|null $created_at
     * @property Carbon|null $updated_at
     * @property string|null $banner
     * @property int $homepage
     * @property-read mixed[] $translations attribute
     * @property LmsInstitute $institute
     * @method BelongsTo|_IH_LmsInstitute_QB institute()
     * @method static _IH_FrontPage_QB onWriteConnection()
     * @method _IH_FrontPage_QB newQuery()
     * @method static _IH_FrontPage_QB on(null|string $connection = null)
     * @method static _IH_FrontPage_QB query()
     * @method static _IH_FrontPage_QB with(array|string $relations)
     * @method _IH_FrontPage_QB newModelQuery()
     * @method false|int increment(string $column, float|int $amount = 1, array $extra = [])
     * @method false|int decrement(string $column, float|int $amount = 1, array $extra = [])
     * @method static _IH_FrontPage_C|FrontPage[] all()
     * @mixin _IH_FrontPage_QB
     */
    class FrontPage extends Model {}
    
    /**
     * @property int $id
     * @property string $type
     * @property int|null $element_id
     * @property string|null $title
     * @property string|null $link
     * @property int|null $parent_id
     * @property int $position
     * @property bool $show
     * @property bool $is_newtab
     * @property Carbon|null $created_at
     * @property Carbon|null $updated_at
     * @property int $mega_menu
     * @property int $mega_menu_column
     * @property-read mixed[] $translations attribute
     * @property _IH_HeaderMenu_C|HeaderMenu[] $childs
     * @property-read int $childs_count
     * @method HasMany|_IH_HeaderMenu_QB childs()
     * @property LmsInstitute $institute
     * @method BelongsTo|_IH_LmsInstitute_QB institute()
     * @method static _IH_HeaderMenu_QB onWriteConnection()
     * @method _IH_HeaderMenu_QB newQuery()
     * @method static _IH_HeaderMenu_QB on(null|string $connection = null)
     * @method static _IH_HeaderMenu_QB query()
     * @method static _IH_HeaderMenu_QB with(array|string $relations)
     * @method _IH_HeaderMenu_QB newModelQuery()
     * @method false|int increment(string $column, float|int $amount = 1, array $extra = [])
     * @method false|int decrement(string $column, float|int $amount = 1, array $extra = [])
     * @method static _IH_HeaderMenu_C|HeaderMenu[] all()
     * @mixin _IH_HeaderMenu_QB
     */
    class HeaderMenu extends Model {}
    
    /**
     * @property int $id
     * @property string $key
     * @property string|null $value
     * @property Carbon|null $created_at
     * @property Carbon|null $updated_at
     * @property string $subscription_page_banner
     * @property string $subscription_page_title
     * @property string $subscription_page_sub_title
     * @property-read mixed[] $translations attribute
     * @property LmsInstitute $institute
     * @method BelongsTo|_IH_LmsInstitute_QB institute()
     * @property UsedMedia $value_media
     * @method MorphToMany|_IH_UsedMedia_QB value_media()
     * @method static _IH_HomeContent_QB onWriteConnection()
     * @method _IH_HomeContent_QB newQuery()
     * @method static _IH_HomeContent_QB on(null|string $connection = null)
     * @method static _IH_HomeContent_QB query()
     * @method static _IH_HomeContent_QB with(array|string $relations)
     * @method _IH_HomeContent_QB newModelQuery()
     * @method false|int increment(string $column, float|int $amount = 1, array $extra = [])
     * @method false|int decrement(string $column, float|int $amount = 1, array $extra = [])
     * @method static _IH_HomeContent_C|HomeContent[] all()
     * @mixin _IH_HomeContent_QB
     */
    class HomeContent extends Model {}
    
    /**
     * @property int $id
     * @property string|null $question
     * @property string|null $answer
     * @property int $status
     * @property int $order
     * @property Carbon|null $created_at
     * @property Carbon|null $updated_at
     * @property-read mixed[] $translations attribute
     * @property LmsInstitute $institute
     * @method BelongsTo|_IH_LmsInstitute_QB institute()
     * @method static _IH_HomePageFaq_QB onWriteConnection()
     * @method _IH_HomePageFaq_QB newQuery()
     * @method static _IH_HomePageFaq_QB on(null|string $connection = null)
     * @method static _IH_HomePageFaq_QB query()
     * @method static _IH_HomePageFaq_QB with(array|string $relations)
     * @method _IH_HomePageFaq_QB newModelQuery()
     * @method false|int increment(string $column, float|int $amount = 1, array $extra = [])
     * @method false|int decrement(string $column, float|int $amount = 1, array $extra = [])
     * @method static _IH_HomePageFaq_C|HomePageFaq[] all()
     * @mixin _IH_HomePageFaq_QB
     */
    class HomePageFaq extends Model {}
    
    /**
     * @property int $id
     * @property string $block_name
     * @property int $order
     * @property Carbon|null $created_at
     * @property Carbon|null $updated_at
     * @property LmsInstitute $institute
     * @method BelongsTo|_IH_LmsInstitute_QB institute()
     * @method static _IH_HomepageBlockPosition_QB onWriteConnection()
     * @method _IH_HomepageBlockPosition_QB newQuery()
     * @method static _IH_HomepageBlockPosition_QB on(null|string $connection = null)
     * @method static _IH_HomepageBlockPosition_QB query()
     * @method static _IH_HomepageBlockPosition_QB with(array|string $relations)
     * @method _IH_HomepageBlockPosition_QB newModelQuery()
     * @method false|int increment(string $column, float|int $amount = 1, array $extra = [])
     * @method false|int decrement(string $column, float|int $amount = 1, array $extra = [])
     * @method static _IH_HomepageBlockPosition_C|HomepageBlockPosition[] all()
     * @mixin _IH_HomepageBlockPosition_QB
     */
    class HomepageBlockPosition extends Model {}
    
    /**
     * @property int $id
     * @property string|null $title
     * @property string $banner
     * @property string|null $slogans1
     * @property string|null $slogans2
     * @property string|null $slogans3
     * @property Carbon|null $created_at
     * @property Carbon|null $updated_at
     * @property string|null $reg_title
     * @property string $reg_banner
     * @property string|null $reg_slogans1
     * @property string|null $reg_slogans2
     * @property string|null $reg_slogans3
     * @property string|null $forget_title
     * @property string $forget_banner
     * @property string|null $forget_slogans1
     * @property string|null $forget_slogans2
     * @property string|null $forget_slogans3
     * @property-read mixed[] $translations attribute
     * @property UsedMedia $banner_media
     * @method MorphToMany|_IH_UsedMedia_QB banner_media()
     * @property UsedMedia $forget_banner_media
     * @method MorphToMany|_IH_UsedMedia_QB forget_banner_media()
     * @property LmsInstitute $institute
     * @method BelongsTo|_IH_LmsInstitute_QB institute()
     * @property UsedMedia $reg_banner_media
     * @method MorphToMany|_IH_UsedMedia_QB reg_banner_media()
     * @method static _IH_LoginPage_QB onWriteConnection()
     * @method _IH_LoginPage_QB newQuery()
     * @method static _IH_LoginPage_QB on(null|string $connection = null)
     * @method static _IH_LoginPage_QB query()
     * @method static _IH_LoginPage_QB with(array|string $relations)
     * @method _IH_LoginPage_QB newModelQuery()
     * @method false|int increment(string $column, float|int $amount = 1, array $extra = [])
     * @method false|int decrement(string $column, float|int $amount = 1, array $extra = [])
     * @method static _IH_LoginPage_C|LoginPage[] all()
     * @mixin _IH_LoginPage_QB
     */
    class LoginPage extends Model {}
    
    /**
     * @property int $id
     * @property string|null $description
     * @property string|null $general
     * @property string|null $personal_data
     * @property string|null $voluntary_disclosure
     * @property string|null $children_privacy
     * @property string|null $information_about_cookies
     * @property string|null $thirt_party_adv
     * @property string|null $other_sites
     * @property string|null $teacher
     * @property string|null $student
     * @property string|null $business_transfer
     * @property int $status
     * @property int|null $created_by
     * @property int|null $updated_by
     * @property Carbon|null $created_at
     * @property Carbon|null $updated_at
     * @property int $page_banner_status
     * @property string $page_banner
     * @property string|null $page_banner_title
     * @property string|null $page_banner_sub_title
     * @property string|null $details
     * @property-read mixed[] $translations attribute
     * @property LmsInstitute $institute
     * @method BelongsTo|_IH_LmsInstitute_QB institute()
     * @method static _IH_PrivacyPolicy_QB onWriteConnection()
     * @method _IH_PrivacyPolicy_QB newQuery()
     * @method static _IH_PrivacyPolicy_QB on(null|string $connection = null)
     * @method static _IH_PrivacyPolicy_QB query()
     * @method static _IH_PrivacyPolicy_QB with(array|string $relations)
     * @method _IH_PrivacyPolicy_QB newModelQuery()
     * @method false|int increment(string $column, float|int $amount = 1, array $extra = [])
     * @method false|int decrement(string $column, float|int $amount = 1, array $extra = [])
     * @method static _IH_PrivacyPolicy_C|PrivacyPolicy[] all()
     * @mixin _IH_PrivacyPolicy_QB
     */
    class PrivacyPolicy extends Model {}
    
    /**
     * @property int $id
     * @property string|null $title
     * @property string|null $sub_title
     * @property string|null $image
     * @property string|null $btn_title1
     * @property string|null $btn_link1
     * @property string|null $btn_image1
     * @property bool $btn_type1
     * @property bool $btn_type2
     * @property string|null $btn_title2
     * @property string|null $btn_link2
     * @property string|null $btn_image2
     * @property bool $status
     * @property Carbon|null $created_at
     * @property Carbon|null $updated_at
     * @property int $course_id
     * @property UsedMedia $btn_image1_media
     * @method MorphToMany|_IH_UsedMedia_QB btn_image1_media()
     * @property UsedMedia $btn_image2_media
     * @method MorphToMany|_IH_UsedMedia_QB btn_image2_media()
     * @property Course $course
     * @method BelongsTo|_IH_Course_QB course()
     * @property UsedMedia $image_media
     * @method MorphToMany|_IH_UsedMedia_QB image_media()
     * @property LmsInstitute $institute
     * @method BelongsTo|_IH_LmsInstitute_QB institute()
     * @method static _IH_Slider_QB onWriteConnection()
     * @method _IH_Slider_QB newQuery()
     * @method static _IH_Slider_QB on(null|string $connection = null)
     * @method static _IH_Slider_QB query()
     * @method static _IH_Slider_QB with(array|string $relations)
     * @method _IH_Slider_QB newModelQuery()
     * @method false|int increment(string $column, float|int $amount = 1, array $extra = [])
     * @method false|int decrement(string $column, float|int $amount = 1, array $extra = [])
     * @method static _IH_Slider_C|Slider[] all()
     * @ownLinks course_id,\Modules\CourseSetting\Entities\Course,id
     * @mixin _IH_Slider_QB
     */
    class Slider extends Model {}
    
    /**
     * @property int $id
     * @property string|null $title
     * @property string $image
     * @property bool $status
     * @property Carbon|null $created_at
     * @property Carbon|null $updated_at
     * @property-read mixed[] $translations attribute
     * @property UsedMedia $image_media
     * @method MorphToMany|_IH_UsedMedia_QB image_media()
     * @property LmsInstitute $institute
     * @method BelongsTo|_IH_LmsInstitute_QB institute()
     * @method static _IH_Sponsor_QB onWriteConnection()
     * @method _IH_Sponsor_QB newQuery()
     * @method static _IH_Sponsor_QB on(null|string $connection = null)
     * @method static _IH_Sponsor_QB query()
     * @method static _IH_Sponsor_QB with(array|string $relations)
     * @method _IH_Sponsor_QB newModelQuery()
     * @method false|int increment(string $column, float|int $amount = 1, array $extra = [])
     * @method false|int decrement(string $column, float|int $amount = 1, array $extra = [])
     * @method static _IH_Sponsor_C|Sponsor[] all()
     * @mixin _IH_Sponsor_QB
     */
    class Sponsor extends Model {}
    
    /**
     * @property int $id
     * @property int $is_topbar
     * @property int|null $left_side_text_show
     * @property string|null $left_side_text
     * @property string|null $left_side_text_link
     * @property string|null $left_side_logo
     * @property int|null $right_side_text_1_show
     * @property string|null $right_side_text_1
     * @property string|null $right_side_text_1_link
     * @property string|null $reight_side_logo_1
     * @property int|null $right_side_text_2_show
     * @property string|null $right_side_text_2
     * @property string|null $right_side_text_2_link
     * @property string|null $reight_side_logo_2
     * @property Carbon|null $created_at
     * @property Carbon|null $updated_at
     * @property LmsInstitute $institute
     * @method BelongsTo|_IH_LmsInstitute_QB institute()
     * @method static _IH_TopbarSetting_QB onWriteConnection()
     * @method _IH_TopbarSetting_QB newQuery()
     * @method static _IH_TopbarSetting_QB on(null|string $connection = null)
     * @method static _IH_TopbarSetting_QB query()
     * @method static _IH_TopbarSetting_QB with(array|string $relations)
     * @method _IH_TopbarSetting_QB newModelQuery()
     * @method false|int increment(string $column, float|int $amount = 1, array $extra = [])
     * @method false|int decrement(string $column, float|int $amount = 1, array $extra = [])
     * @method static _IH_TopbarSetting_C|TopbarSetting[] all()
     * @mixin _IH_TopbarSetting_QB
     */
    class TopbarSetting extends Model {}
    
    /**
     * @property int $id
     * @property string|null $image
     * @property string|null $title
     * @property string|null $sub_title
     * @property Carbon|null $created_at
     * @property Carbon|null $updated_at
     * @property LmsInstitute $institute
     * @method BelongsTo|_IH_LmsInstitute_QB institute()
     * @method static _IH_WhyChoose_QB onWriteConnection()
     * @method _IH_WhyChoose_QB newQuery()
     * @method static _IH_WhyChoose_QB on(null|string $connection = null)
     * @method static _IH_WhyChoose_QB query()
     * @method static _IH_WhyChoose_QB with(array|string $relations)
     * @method _IH_WhyChoose_QB newModelQuery()
     * @method false|int increment(string $column, float|int $amount = 1, array $extra = [])
     * @method false|int decrement(string $column, float|int $amount = 1, array $extra = [])
     * @method static _IH_WhyChoose_C|WhyChoose[] all()
     * @mixin _IH_WhyChoose_QB
     */
    class WhyChoose extends Model {}
    
    /**
     * @property int $id
     * @property string|null $title
     * @property string|null $description
     * @property bool $status
     * @property Carbon|null $created_at
     * @property Carbon|null $updated_at
     * @property-read mixed[] $translations attribute
     * @property LmsInstitute $institute
     * @method BelongsTo|_IH_LmsInstitute_QB institute()
     * @method static _IH_WorkProcess_QB onWriteConnection()
     * @method _IH_WorkProcess_QB newQuery()
     * @method static _IH_WorkProcess_QB on(null|string $connection = null)
     * @method static _IH_WorkProcess_QB query()
     * @method static _IH_WorkProcess_QB with(array|string $relations)
     * @method _IH_WorkProcess_QB newModelQuery()
     * @method false|int increment(string $column, float|int $amount = 1, array $extra = [])
     * @method false|int decrement(string $column, float|int $amount = 1, array $extra = [])
     * @method static _IH_WorkProcess_C|WorkProcess[] all()
     * @mixin _IH_WorkProcess_QB
     */
    class WorkProcess extends Model {}
}