<?php //65fc9ab13c54098c50029685b568860e
/** @noinspection all */

namespace Modules\GoogleMeet\Entities {

    use App\User;
    use Illuminate\Database\Eloquent\Model;
    use Illuminate\Database\Eloquent\Relations\BelongsTo;
    use Illuminate\Database\Eloquent\Relations\HasMany;
    use Illuminate\Support\Carbon;
    use LaravelIdea\Helper\App\_IH_User_QB;
    use LaravelIdea\Helper\Modules\GoogleMeet\Entities\_IH_GoogleAccount_C;
    use LaravelIdea\Helper\Modules\GoogleMeet\Entities\_IH_GoogleAccount_QB;
    use LaravelIdea\Helper\Modules\GoogleMeet\Entities\_IH_GoogleMeetMeeting_C;
    use LaravelIdea\Helper\Modules\GoogleMeet\Entities\_IH_GoogleMeetMeeting_QB;
    use LaravelIdea\Helper\Modules\VirtualClass\Entities\_IH_ClassRecord_C;
    use LaravelIdea\Helper\Modules\VirtualClass\Entities\_IH_ClassRecord_QB;
    use Modules\VirtualClass\Entities\ClassRecord;
    
    /**
     * @property int $id
     * @property int $user_id
     * @property string|null $name
     * @property string|null $email
     * @property string $google_id
     * @property array $token
     * @property bool $is_active
     * @property Carbon|null $created_at
     * @property Carbon|null $updated_at
     * @property User $user
     * @method BelongsTo|_IH_User_QB user()
     * @method static _IH_GoogleAccount_QB onWriteConnection()
     * @method _IH_GoogleAccount_QB newQuery()
     * @method static _IH_GoogleAccount_QB on(null|string $connection = null)
     * @method static _IH_GoogleAccount_QB query()
     * @method static _IH_GoogleAccount_QB with(array|string $relations)
     * @method _IH_GoogleAccount_QB newModelQuery()
     * @method false|int increment(string $column, float|int $amount = 1, array $extra = [])
     * @method false|int decrement(string $column, float|int $amount = 1, array $extra = [])
     * @method static _IH_GoogleAccount_C|GoogleAccount[] all()
     * @ownLinks user_id,\App\User,id
     * @mixin _IH_GoogleAccount_QB
     */
    class GoogleAccount extends Model {}
    
    /**
     * @property int $id
     * @property int $class_id
     * @property string|null $response
     * @property string|null $hangoutLink
     * @property string|null $htmlLink
     * @property string|null $meetingId
     * @property string|null $location
     * @property string|null $status
     * @property string|null $summary
     * @property string|null $visibility
     * @property string|null $updated
     * @property string|null $start_response
     * @property string|null $end_response
     * @property string|null $start_date_time
     * @property string|null $end_date_time
     * @property Carbon|null $created_at
     * @property Carbon|null $updated_at
     * @property-read string|void $current_status attribute
     * @property _IH_ClassRecord_C|ClassRecord[] $records
     * @property-read int $records_count
     * @method HasMany|_IH_ClassRecord_QB records()
     * @method static _IH_GoogleMeetMeeting_QB onWriteConnection()
     * @method _IH_GoogleMeetMeeting_QB newQuery()
     * @method static _IH_GoogleMeetMeeting_QB on(null|string $connection = null)
     * @method static _IH_GoogleMeetMeeting_QB query()
     * @method static _IH_GoogleMeetMeeting_QB with(array|string $relations)
     * @method _IH_GoogleMeetMeeting_QB newModelQuery()
     * @method false|int increment(string $column, float|int $amount = 1, array $extra = [])
     * @method false|int decrement(string $column, float|int $amount = 1, array $extra = [])
     * @method static _IH_GoogleMeetMeeting_C|GoogleMeetMeeting[] all()
     * @mixin _IH_GoogleMeetMeeting_QB
     */
    class GoogleMeetMeeting extends Model {}
}