<?php //589d7e9013171e8edffd748d6f84c5e7
/** @noinspection all */

namespace Modules\RegistrationBonus\Entities {

    use App\User;
    use Illuminate\Database\Eloquent\Model;
    use Illuminate\Database\Eloquent\Relations\BelongsTo;
    use Illuminate\Support\Carbon;
    use LaravelIdea\Helper\App\_IH_User_QB;
    use LaravelIdea\Helper\Modules\RegistrationBonus\Entities\_IH_RegistrationBonusHistory_C;
    use LaravelIdea\Helper\Modules\RegistrationBonus\Entities\_IH_RegistrationBonusHistory_QB;
    use LaravelIdea\Helper\Modules\RegistrationBonus\Entities\_IH_RegistrationBonusSetting_C;
    use LaravelIdea\Helper\Modules\RegistrationBonus\Entities\_IH_RegistrationBonusSetting_QB;
    
    /**
     * @property int $id
     * @property int|null $user_id
     * @property float|null $amount
     * @property string|null $bonus_for
     * @property Carbon|null $created_at
     * @property Carbon|null $updated_at
     * @property User|null $user
     * @method BelongsTo|_IH_User_QB user()
     * @method static _IH_RegistrationBonusHistory_QB onWriteConnection()
     * @method _IH_RegistrationBonusHistory_QB newQuery()
     * @method static _IH_RegistrationBonusHistory_QB on(null|string $connection = null)
     * @method static _IH_RegistrationBonusHistory_QB query()
     * @method static _IH_RegistrationBonusHistory_QB with(array|string $relations)
     * @method _IH_RegistrationBonusHistory_QB newModelQuery()
     * @method false|int increment(string $column, float|int $amount = 1, array $extra = [])
     * @method false|int decrement(string $column, float|int $amount = 1, array $extra = [])
     * @method static _IH_RegistrationBonusHistory_C|RegistrationBonusHistory[] all()
     * @ownLinks user_id,\App\User,id
     * @mixin _IH_RegistrationBonusHistory_QB
     */
    class RegistrationBonusHistory extends Model {}
    
    /**
     * @property int $id
     * @property int $is_active
     * @property int $instant_bonus
     * @property int $bonus_on_referrer
     * @property int $bonus_on_purchase
     * @property int $referrer_users
     * @property float $referrer_amount
     * @property float $bonus_amount
     * @property Carbon|null $created_at
     * @property Carbon|null $updated_at
     * @method static _IH_RegistrationBonusSetting_QB onWriteConnection()
     * @method _IH_RegistrationBonusSetting_QB newQuery()
     * @method static _IH_RegistrationBonusSetting_QB on(null|string $connection = null)
     * @method static _IH_RegistrationBonusSetting_QB query()
     * @method static _IH_RegistrationBonusSetting_QB with(array|string $relations)
     * @method _IH_RegistrationBonusSetting_QB newModelQuery()
     * @method false|int increment(string $column, float|int $amount = 1, array $extra = [])
     * @method false|int decrement(string $column, float|int $amount = 1, array $extra = [])
     * @method static _IH_RegistrationBonusSetting_C|RegistrationBonusSetting[] all()
     * @mixin _IH_RegistrationBonusSetting_QB
     */
    class RegistrationBonusSetting extends Model {}
}