<?php //6db6c0a8830f860b5e6fbd382127af8c
/** @noinspection all */

namespace Modules\NotificationSetup\Entities {

    use App\Models\LmsInstitute;
    use App\User;
    use Illuminate\Database\Eloquent\Model;
    use Illuminate\Database\Eloquent\Relations\BelongsTo;
    use Illuminate\Database\Eloquent\Relations\HasMany;
    use Illuminate\Support\Carbon;
    use LaravelIdea\Helper\App\Models\_IH_LmsInstitute_QB;
    use LaravelIdea\Helper\App\_IH_User_QB;
    use LaravelIdea\Helper\Modules\NotificationSetup\Entities\_IH_PostedNotificationReceiver_C;
    use LaravelIdea\Helper\Modules\NotificationSetup\Entities\_IH_PostedNotificationReceiver_QB;
    use LaravelIdea\Helper\Modules\NotificationSetup\Entities\_IH_PostedNotification_C;
    use LaravelIdea\Helper\Modules\NotificationSetup\Entities\_IH_PostedNotification_QB;
    use LaravelIdea\Helper\Modules\NotificationSetup\Entities\_IH_RoleEmailTemplate_C;
    use LaravelIdea\Helper\Modules\NotificationSetup\Entities\_IH_RoleEmailTemplate_QB;
    use LaravelIdea\Helper\Modules\NotificationSetup\Entities\_IH_UserNotificationSetup_C;
    use LaravelIdea\Helper\Modules\NotificationSetup\Entities\_IH_UserNotificationSetup_QB;
    use LaravelIdea\Helper\Modules\SystemSetting\Entities\_IH_EmailTemplate_QB;
    use Modules\SystemSetting\Entities\EmailTemplate;
    
    /**
     * @property int $id
     * @property string|null $title
     * @property string|null $type
     * @property string|null $message
     * @property bool|null $status
     * @property int|null $sender_id
     * @property int|null $course_id
     * @property int|null $user_id
     * @property int|null $total_users
     * @property int $lms_id
     * @property Carbon|null $created_at
     * @property Carbon|null $updated_at
     * @property User|null $receiver
     * @method BelongsTo|_IH_User_QB receiver()
     * @property _IH_PostedNotificationReceiver_C|PostedNotificationReceiver[] $receivers
     * @property-read int $receivers_count
     * @method HasMany|_IH_PostedNotificationReceiver_QB receivers()
     * @property User|null $sender
     * @method BelongsTo|_IH_User_QB sender()
     * @method static _IH_PostedNotification_QB onWriteConnection()
     * @method _IH_PostedNotification_QB newQuery()
     * @method static _IH_PostedNotification_QB on(null|string $connection = null)
     * @method static _IH_PostedNotification_QB query()
     * @method static _IH_PostedNotification_QB with(array|string $relations)
     * @method _IH_PostedNotification_QB newModelQuery()
     * @method false|int increment(string $column, float|int $amount = 1, array $extra = [])
     * @method false|int decrement(string $column, float|int $amount = 1, array $extra = [])
     * @method static _IH_PostedNotification_C|PostedNotification[] all()
     * @ownLinks course_id,\Modules\CourseSetting\Entities\Course,id|user_id,\App\User,id
     * @mixin _IH_PostedNotification_QB
     */
    class PostedNotification extends Model {}
    
    /**
     * @property int $id
     * @property int $notification_id
     * @property int $receiver_id
     * @property Carbon|null $created_at
     * @property Carbon|null $updated_at
     * @method static _IH_PostedNotificationReceiver_QB onWriteConnection()
     * @method _IH_PostedNotificationReceiver_QB newQuery()
     * @method static _IH_PostedNotificationReceiver_QB on(null|string $connection = null)
     * @method static _IH_PostedNotificationReceiver_QB query()
     * @method static _IH_PostedNotificationReceiver_QB with(array|string $relations)
     * @method _IH_PostedNotificationReceiver_QB newModelQuery()
     * @method false|int increment(string $column, float|int $amount = 1, array $extra = [])
     * @method false|int decrement(string $column, float|int $amount = 1, array $extra = [])
     * @method static _IH_PostedNotificationReceiver_C|PostedNotificationReceiver[] all()
     * @ownLinks notification_id,\Modules\CourseSetting\Entities\Notification,id
     * @mixin _IH_PostedNotificationReceiver_QB
     */
    class PostedNotificationReceiver extends Model {}
    
    /**
     * @property int $id
     * @property int $role_id
     * @property string $template_act
     * @property int $status
     * @property Carbon|null $created_at
     * @property Carbon|null $updated_at
     * @property LmsInstitute $institute
     * @method BelongsTo|_IH_LmsInstitute_QB institute()
     * @property EmailTemplate $template
     * @method BelongsTo|_IH_EmailTemplate_QB template()
     * @method static _IH_RoleEmailTemplate_QB onWriteConnection()
     * @method _IH_RoleEmailTemplate_QB newQuery()
     * @method static _IH_RoleEmailTemplate_QB on(null|string $connection = null)
     * @method static _IH_RoleEmailTemplate_QB query()
     * @method static _IH_RoleEmailTemplate_QB with(array|string $relations)
     * @method _IH_RoleEmailTemplate_QB newModelQuery()
     * @method false|int increment(string $column, float|int $amount = 1, array $extra = [])
     * @method false|int decrement(string $column, float|int $amount = 1, array $extra = [])
     * @method static _IH_RoleEmailTemplate_C|RoleEmailTemplate[] all()
     * @ownLinks role_id,\Modules\RolePermission\Entities\Role,id
     * @mixin _IH_RoleEmailTemplate_QB
     */
    class RoleEmailTemplate extends Model {}
    
    /**
     * @property int $id
     * @property int $user_id
     * @property string $email_ids
     * @property string $browser_ids
     * @property Carbon|null $created_at
     * @property Carbon|null $updated_at
     * @property string|null $mobile_ids
     * @property string|null $sms_ids
     * @property LmsInstitute $institute
     * @method BelongsTo|_IH_LmsInstitute_QB institute()
     * @method static _IH_UserNotificationSetup_QB onWriteConnection()
     * @method _IH_UserNotificationSetup_QB newQuery()
     * @method static _IH_UserNotificationSetup_QB on(null|string $connection = null)
     * @method static _IH_UserNotificationSetup_QB query()
     * @method static _IH_UserNotificationSetup_QB with(array|string $relations)
     * @method _IH_UserNotificationSetup_QB newModelQuery()
     * @method false|int increment(string $column, float|int $amount = 1, array $extra = [])
     * @method false|int decrement(string $column, float|int $amount = 1, array $extra = [])
     * @method static _IH_UserNotificationSetup_C|UserNotificationSetup[] all()
     * @ownLinks user_id,\App\User,id
     * @mixin _IH_UserNotificationSetup_QB
     */
    class UserNotificationSetup extends Model {}
}