<?php //97af5deec107f84fc69a12981e3fb8fc
/** @noinspection all */

namespace Modules\AdvanceQuiz\Entities {

    use Illuminate\Database\Eloquent\Model;
    use Illuminate\Database\Eloquent\Relations\BelongsTo;
    use Illuminate\Database\Eloquent\Relations\HasMany;
    use Illuminate\Support\Carbon;
    use LaravelIdea\Helper\Modules\AdvanceQuiz\Entities\_IH_MatchingTypeQuestionAssign_C;
    use LaravelIdea\Helper\Modules\AdvanceQuiz\Entities\_IH_MatchingTypeQuestionAssign_QB;
    use LaravelIdea\Helper\Modules\AdvanceQuiz\Entities\_IH_OnlineQuizCodeAssign_C;
    use LaravelIdea\Helper\Modules\AdvanceQuiz\Entities\_IH_OnlineQuizCodeAssign_QB;
    use LaravelIdea\Helper\Modules\AdvanceQuiz\Entities\_IH_OnlineQuizCode_C;
    use LaravelIdea\Helper\Modules\AdvanceQuiz\Entities\_IH_OnlineQuizCode_QB;
    use LaravelIdea\Helper\Modules\AdvanceQuiz\Entities\_IH_OnlineQuizGroupAssignLevel_C;
    use LaravelIdea\Helper\Modules\AdvanceQuiz\Entities\_IH_OnlineQuizGroupAssignLevel_QB;
    use LaravelIdea\Helper\Modules\AdvanceQuiz\Entities\_IH_OnlineQuizGroupAssign_C;
    use LaravelIdea\Helper\Modules\AdvanceQuiz\Entities\_IH_OnlineQuizGroupAssign_QB;
    use LaravelIdea\Helper\Modules\AdvanceQuiz\Entities\_IH_OnlineQuizTestShiftAssign_C;
    use LaravelIdea\Helper\Modules\AdvanceQuiz\Entities\_IH_OnlineQuizTestShiftAssign_QB;
    use LaravelIdea\Helper\Modules\AdvanceQuiz\Entities\_IH_OnlineQuizTestShift_C;
    use LaravelIdea\Helper\Modules\AdvanceQuiz\Entities\_IH_OnlineQuizTestShift_QB;
    use LaravelIdea\Helper\Modules\CourseSetting\Entities\_IH_CourseEnrolled_C;
    use LaravelIdea\Helper\Modules\CourseSetting\Entities\_IH_CourseEnrolled_QB;
    use LaravelIdea\Helper\Modules\Quiz\Entities\_IH_OnlineQuiz_QB;
    use LaravelIdea\Helper\Modules\Quiz\Entities\_IH_QuestionBank_QB;
    use LaravelIdea\Helper\Modules\Quiz\Entities\_IH_QuestionGroup_QB;
    use Modules\CourseSetting\Entities\CourseEnrolled;
    use Modules\Quiz\Entities\OnlineQuiz;
    use Modules\Quiz\Entities\QuestionBank;
    use Modules\Quiz\Entities\QuestionGroup;
    
    /**
     * @property int $id
     * @property int $question_id
     * @property int $option_id
     * @property int $answer_id
     * @property Carbon|null $created_at
     * @property Carbon|null $updated_at
     * @method static _IH_MatchingTypeQuestionAssign_QB onWriteConnection()
     * @method _IH_MatchingTypeQuestionAssign_QB newQuery()
     * @method static _IH_MatchingTypeQuestionAssign_QB on(null|string $connection = null)
     * @method static _IH_MatchingTypeQuestionAssign_QB query()
     * @method static _IH_MatchingTypeQuestionAssign_QB with(array|string $relations)
     * @method _IH_MatchingTypeQuestionAssign_QB newModelQuery()
     * @method false|int increment(string $column, float|int $amount = 1, array $extra = [])
     * @method false|int decrement(string $column, float|int $amount = 1, array $extra = [])
     * @method static _IH_MatchingTypeQuestionAssign_C|MatchingTypeQuestionAssign[] all()
     * @mixin _IH_MatchingTypeQuestionAssign_QB
     */
    class MatchingTypeQuestionAssign extends Model {}
    
    /**
     * @property int $id
     * @property int $quiz_id
     * @property string|null $pre_text
     * @property int|null $code
     * @property Carbon|null $created_at
     * @property Carbon|null $updated_at
     * @property _IH_OnlineQuizCodeAssign_C|OnlineQuizCodeAssign[] $assigns
     * @property-read int $assigns_count
     * @method HasMany|_IH_OnlineQuizCodeAssign_QB assigns()
     * @property OnlineQuiz $quiz
     * @method BelongsTo|_IH_OnlineQuiz_QB quiz()
     * @method static _IH_OnlineQuizCode_QB onWriteConnection()
     * @method _IH_OnlineQuizCode_QB newQuery()
     * @method static _IH_OnlineQuizCode_QB on(null|string $connection = null)
     * @method static _IH_OnlineQuizCode_QB query()
     * @method static _IH_OnlineQuizCode_QB with(array|string $relations)
     * @method _IH_OnlineQuizCode_QB newModelQuery()
     * @method false|int increment(string $column, float|int $amount = 1, array $extra = [])
     * @method false|int decrement(string $column, float|int $amount = 1, array $extra = [])
     * @method static _IH_OnlineQuizCode_C|OnlineQuizCode[] all()
     * @mixin _IH_OnlineQuizCode_QB
     */
    class OnlineQuizCode extends Model {}
    
    /**
     * @property int $id
     * @property int|null $quiz_id
     * @property int|null $question_bank_id
     * @property int|null $quiz_code_id
     * @property Carbon|null $created_at
     * @property Carbon|null $updated_at
     * @property QuestionBank|null $question
     * @method BelongsTo|_IH_QuestionBank_QB question()
     * @method static _IH_OnlineQuizCodeAssign_QB onWriteConnection()
     * @method _IH_OnlineQuizCodeAssign_QB newQuery()
     * @method static _IH_OnlineQuizCodeAssign_QB on(null|string $connection = null)
     * @method static _IH_OnlineQuizCodeAssign_QB query()
     * @method static _IH_OnlineQuizCodeAssign_QB with(array|string $relations)
     * @method _IH_OnlineQuizCodeAssign_QB newModelQuery()
     * @method false|int increment(string $column, float|int $amount = 1, array $extra = [])
     * @method false|int decrement(string $column, float|int $amount = 1, array $extra = [])
     * @method static _IH_OnlineQuizCodeAssign_C|OnlineQuizCodeAssign[] all()
     * @ownLinks question_bank_id,\Modules\Quiz\Entities\QuestionBank,id
     * @mixin _IH_OnlineQuizCodeAssign_QB
     */
    class OnlineQuizCodeAssign extends Model {}
    
    /**
     * @property int $id
     * @property int $quiz_id
     * @property int $group_id
     * @property int $total_question
     * @property Carbon|null $created_at
     * @property Carbon|null $updated_at
     * @property QuestionGroup $group
     * @method BelongsTo|_IH_QuestionGroup_QB group()
     * @property _IH_OnlineQuizGroupAssignLevel_C|OnlineQuizGroupAssignLevel[] $levels
     * @property-read int $levels_count
     * @method HasMany|_IH_OnlineQuizGroupAssignLevel_QB levels()
     * @method static _IH_OnlineQuizGroupAssign_QB onWriteConnection()
     * @method _IH_OnlineQuizGroupAssign_QB newQuery()
     * @method static _IH_OnlineQuizGroupAssign_QB on(null|string $connection = null)
     * @method static _IH_OnlineQuizGroupAssign_QB query()
     * @method static _IH_OnlineQuizGroupAssign_QB with(array|string $relations)
     * @method _IH_OnlineQuizGroupAssign_QB newModelQuery()
     * @method false|int increment(string $column, float|int $amount = 1, array $extra = [])
     * @method false|int decrement(string $column, float|int $amount = 1, array $extra = [])
     * @method static _IH_OnlineQuizGroupAssign_C|OnlineQuizGroupAssign[] all()
     * @ownLinks group_id,\Modules\Group\Entities\Group,id
     * @foreignLinks id,\Modules\AdvanceQuiz\Entities\OnlineQuizGroupAssignLevel,online_quiz_group_assign_id
     * @mixin _IH_OnlineQuizGroupAssign_QB
     */
    class OnlineQuizGroupAssign extends Model {}
    
    /**
     * @property int $id
     * @property int $online_quiz_group_assign_id
     * @property int $level_id
     * @property int $percentage
     * @property Carbon|null $created_at
     * @property Carbon|null $updated_at
     * @method static _IH_OnlineQuizGroupAssignLevel_QB onWriteConnection()
     * @method _IH_OnlineQuizGroupAssignLevel_QB newQuery()
     * @method static _IH_OnlineQuizGroupAssignLevel_QB on(null|string $connection = null)
     * @method static _IH_OnlineQuizGroupAssignLevel_QB query()
     * @method static _IH_OnlineQuizGroupAssignLevel_QB with(array|string $relations)
     * @method _IH_OnlineQuizGroupAssignLevel_QB newModelQuery()
     * @method false|int increment(string $column, float|int $amount = 1, array $extra = [])
     * @method false|int decrement(string $column, float|int $amount = 1, array $extra = [])
     * @method static _IH_OnlineQuizGroupAssignLevel_C|OnlineQuizGroupAssignLevel[] all()
     * @ownLinks online_quiz_group_assign_id,\Modules\AdvanceQuiz\Entities\OnlineQuizGroupAssign,id
     * @mixin _IH_OnlineQuizGroupAssignLevel_QB
     */
    class OnlineQuizGroupAssignLevel extends Model {}
    
    /**
     * @property int $id
     * @property int $shift
     * @property int|null $test_id
     * @property string|null $start_date
     * @property string|null $end_date
     * @property string|null $start_time
     * @property string|null $end_time
     * @property int|null $students
     * @property Carbon|null $created_at
     * @property Carbon|null $updated_at
     * @property _IH_CourseEnrolled_C|CourseEnrolled[] $enrollStudents
     * @property-read int $enroll_students_count
     * @method HasMany|_IH_CourseEnrolled_QB enrollStudents()
     * @method static _IH_OnlineQuizTestShift_QB onWriteConnection()
     * @method _IH_OnlineQuizTestShift_QB newQuery()
     * @method static _IH_OnlineQuizTestShift_QB on(null|string $connection = null)
     * @method static _IH_OnlineQuizTestShift_QB query()
     * @method static _IH_OnlineQuizTestShift_QB with(array|string $relations)
     * @method _IH_OnlineQuizTestShift_QB newModelQuery()
     * @method false|int increment(string $column, float|int $amount = 1, array $extra = [])
     * @method false|int decrement(string $column, float|int $amount = 1, array $extra = [])
     * @method static _IH_OnlineQuizTestShift_C|OnlineQuizTestShift[] all()
     * @mixin _IH_OnlineQuizTestShift_QB
     */
    class OnlineQuizTestShift extends Model {}
    
    /**
     * @property int $id
     * @property int $test_id
     * @property int $user_id
     * @property int $shift
     * @property Carbon|null $created_at
     * @property Carbon|null $updated_at
     * @property bool $is_draft
     * @method static _IH_OnlineQuizTestShiftAssign_QB onWriteConnection()
     * @method _IH_OnlineQuizTestShiftAssign_QB newQuery()
     * @method static _IH_OnlineQuizTestShiftAssign_QB on(null|string $connection = null)
     * @method static _IH_OnlineQuizTestShiftAssign_QB query()
     * @method static _IH_OnlineQuizTestShiftAssign_QB with(array|string $relations)
     * @method _IH_OnlineQuizTestShiftAssign_QB newModelQuery()
     * @method false|int increment(string $column, float|int $amount = 1, array $extra = [])
     * @method false|int decrement(string $column, float|int $amount = 1, array $extra = [])
     * @method static _IH_OnlineQuizTestShiftAssign_C|OnlineQuizTestShiftAssign[] all()
     * @ownLinks user_id,\App\User,id
     * @mixin _IH_OnlineQuizTestShiftAssign_QB
     */
    class OnlineQuizTestShiftAssign extends Model {}
}