<?php //a3fe817b35eaff1044bbd6f18e71e9bd
/** @noinspection all */

namespace Modules\OrgSubscription\Entities {

    use App\Models\LmsInstitute;
    use App\User;
    use Illuminate\Database\Eloquent\Model;
    use Illuminate\Database\Eloquent\Relations\BelongsTo;
    use Illuminate\Database\Eloquent\Relations\HasMany;
    use Illuminate\Database\Eloquent\Relations\HasOne;
    use Illuminate\Support\Carbon;
    use LaravelIdea\Helper\App\Models\_IH_LmsInstitute_QB;
    use LaravelIdea\Helper\App\_IH_User_QB;
    use LaravelIdea\Helper\Modules\CourseSetting\Entities\_IH_Course_QB;
    use LaravelIdea\Helper\Modules\Org\Entities\_IH_OrgBranch_QB;
    use LaravelIdea\Helper\Modules\Org\Entities\_IH_OrgPosition_QB;
    use LaravelIdea\Helper\Modules\OrgSubscription\Entities\_IH_OrgAttendance_C;
    use LaravelIdea\Helper\Modules\OrgSubscription\Entities\_IH_OrgAttendance_QB;
    use LaravelIdea\Helper\Modules\OrgSubscription\Entities\_IH_OrgAutoEnrollmentRuleBranch_C;
    use LaravelIdea\Helper\Modules\OrgSubscription\Entities\_IH_OrgAutoEnrollmentRuleBranch_QB;
    use LaravelIdea\Helper\Modules\OrgSubscription\Entities\_IH_OrgAutoEnrollmentRulePath_C;
    use LaravelIdea\Helper\Modules\OrgSubscription\Entities\_IH_OrgAutoEnrollmentRulePath_QB;
    use LaravelIdea\Helper\Modules\OrgSubscription\Entities\_IH_OrgAutoEnrollmentRulePosition_C;
    use LaravelIdea\Helper\Modules\OrgSubscription\Entities\_IH_OrgAutoEnrollmentRulePosition_QB;
    use LaravelIdea\Helper\Modules\OrgSubscription\Entities\_IH_OrgAutoEnrollmentRule_C;
    use LaravelIdea\Helper\Modules\OrgSubscription\Entities\_IH_OrgAutoEnrollmentRule_QB;
    use LaravelIdea\Helper\Modules\OrgSubscription\Entities\_IH_OrgCourseSubscription_C;
    use LaravelIdea\Helper\Modules\OrgSubscription\Entities\_IH_OrgCourseSubscription_QB;
    use LaravelIdea\Helper\Modules\OrgSubscription\Entities\_IH_OrgLeaningPathSection_C;
    use LaravelIdea\Helper\Modules\OrgSubscription\Entities\_IH_OrgLeaningPathSection_QB;
    use LaravelIdea\Helper\Modules\OrgSubscription\Entities\_IH_OrgSubscriptionCheckout_C;
    use LaravelIdea\Helper\Modules\OrgSubscription\Entities\_IH_OrgSubscriptionCheckout_QB;
    use LaravelIdea\Helper\Modules\OrgSubscription\Entities\_IH_orgSubscriptionCourseList_C;
    use LaravelIdea\Helper\Modules\OrgSubscription\Entities\_IH_OrgSubscriptionCourseList_C;
    use LaravelIdea\Helper\Modules\OrgSubscription\Entities\_IH_orgSubscriptionCourseList_QB;
    use LaravelIdea\Helper\Modules\OrgSubscription\Entities\_IH_OrgSubscriptionCourseList_QB;
    use LaravelIdea\Helper\Modules\OrgSubscription\Entities\_IH_OrgSubscriptionSetting_C;
    use LaravelIdea\Helper\Modules\OrgSubscription\Entities\_IH_OrgSubscriptionSetting_QB;
    use Modules\CourseSetting\Entities\Course;
    use Modules\Org\Entities\OrgBranch;
    use Modules\Org\Entities\OrgPosition;
    
    /**
     * @property int $id
     * @property int $user_id
     * @property int $course_id
     * @property string $attend
     * @property int $total_score
     * @property int $pass_rate
     * @property int $actual_score
     * @property int $pass
     * @property Carbon|null $created_at
     * @property Carbon|null $updated_at
     * @property int $class_id org course subscription plan id
     * @property int $class_type 1=virtual clas, 2= offline class
     * @property OrgCourseSubscription $class
     * @method BelongsTo|_IH_OrgCourseSubscription_QB class()
     * @property Course $course
     * @method BelongsTo|_IH_Course_QB course()
     * @property _IH_orgSubscriptionCourseList_C|orgSubscriptionCourseList[] $orgSubscriptionCourseList
     * @property-read int $org_subscription_course_list_count
     * @method HasMany|_IH_orgSubscriptionCourseList_QB orgSubscriptionCourseList()
     * @property User $user
     * @method BelongsTo|_IH_User_QB user()
     * @method static _IH_OrgAttendance_QB onWriteConnection()
     * @method _IH_OrgAttendance_QB newQuery()
     * @method static _IH_OrgAttendance_QB on(null|string $connection = null)
     * @method static _IH_OrgAttendance_QB query()
     * @method static _IH_OrgAttendance_QB with(array|string $relations)
     * @method _IH_OrgAttendance_QB newModelQuery()
     * @method false|int increment(string $column, float|int $amount = 1, array $extra = [])
     * @method false|int decrement(string $column, float|int $amount = 1, array $extra = [])
     * @method static _IH_OrgAttendance_C|OrgAttendance[] all()
     * @ownLinks user_id,\App\User,id|course_id,\Modules\CourseSetting\Entities\Course,id
     * @mixin _IH_OrgAttendance_QB
     */
    class OrgAttendance extends Model {}
    
    /**
     * @property int $id
     * @property int $created_by
     * @property Carbon|null $created_at
     * @property Carbon|null $updated_at
     * @property _IH_OrgAutoEnrollmentRuleBranch_C|OrgAutoEnrollmentRuleBranch[] $branches
     * @property-read int $branches_count
     * @method HasMany|_IH_OrgAutoEnrollmentRuleBranch_QB branches()
     * @property User $createdBy
     * @method BelongsTo|_IH_User_QB createdBy()
     * @property _IH_OrgAutoEnrollmentRulePath_C|OrgAutoEnrollmentRulePath[] $paths
     * @property-read int $paths_count
     * @method HasMany|_IH_OrgAutoEnrollmentRulePath_QB paths()
     * @property _IH_OrgAutoEnrollmentRulePosition_C|OrgAutoEnrollmentRulePosition[] $positions
     * @property-read int $positions_count
     * @method HasMany|_IH_OrgAutoEnrollmentRulePosition_QB positions()
     * @method static _IH_OrgAutoEnrollmentRule_QB onWriteConnection()
     * @method _IH_OrgAutoEnrollmentRule_QB newQuery()
     * @method static _IH_OrgAutoEnrollmentRule_QB on(null|string $connection = null)
     * @method static _IH_OrgAutoEnrollmentRule_QB query()
     * @method static _IH_OrgAutoEnrollmentRule_QB with(array|string $relations)
     * @method _IH_OrgAutoEnrollmentRule_QB newModelQuery()
     * @method false|int increment(string $column, float|int $amount = 1, array $extra = [])
     * @method false|int decrement(string $column, float|int $amount = 1, array $extra = [])
     * @method static _IH_OrgAutoEnrollmentRule_C|OrgAutoEnrollmentRule[] all()
     * @mixin _IH_OrgAutoEnrollmentRule_QB
     */
    class OrgAutoEnrollmentRule extends Model {}
    
    /**
     * @property int $id
     * @property int $rule_id
     * @property string|null $org_chart
     * @property Carbon|null $created_at
     * @property Carbon|null $updated_at
     * @property OrgBranch|null $branch
     * @method BelongsTo|_IH_OrgBranch_QB branch()
     * @property OrgAutoEnrollmentRule $rule
     * @method BelongsTo|_IH_OrgAutoEnrollmentRule_QB rule()
     * @method static _IH_OrgAutoEnrollmentRuleBranch_QB onWriteConnection()
     * @method _IH_OrgAutoEnrollmentRuleBranch_QB newQuery()
     * @method static _IH_OrgAutoEnrollmentRuleBranch_QB on(null|string $connection = null)
     * @method static _IH_OrgAutoEnrollmentRuleBranch_QB query()
     * @method static _IH_OrgAutoEnrollmentRuleBranch_QB with(array|string $relations)
     * @method _IH_OrgAutoEnrollmentRuleBranch_QB newModelQuery()
     * @method false|int increment(string $column, float|int $amount = 1, array $extra = [])
     * @method false|int decrement(string $column, float|int $amount = 1, array $extra = [])
     * @method static _IH_OrgAutoEnrollmentRuleBranch_C|OrgAutoEnrollmentRuleBranch[] all()
     * @mixin _IH_OrgAutoEnrollmentRuleBranch_QB
     */
    class OrgAutoEnrollmentRuleBranch extends Model {}
    
    /**
     * @property int $id
     * @property int $rule_id
     * @property int $path_id
     * @property Carbon|null $created_at
     * @property Carbon|null $updated_at
     * @property OrgCourseSubscription $path
     * @method BelongsTo|_IH_OrgCourseSubscription_QB path()
     * @property OrgAutoEnrollmentRule $rule
     * @method BelongsTo|_IH_OrgAutoEnrollmentRule_QB rule()
     * @method static _IH_OrgAutoEnrollmentRulePath_QB onWriteConnection()
     * @method _IH_OrgAutoEnrollmentRulePath_QB newQuery()
     * @method static _IH_OrgAutoEnrollmentRulePath_QB on(null|string $connection = null)
     * @method static _IH_OrgAutoEnrollmentRulePath_QB query()
     * @method static _IH_OrgAutoEnrollmentRulePath_QB with(array|string $relations)
     * @method _IH_OrgAutoEnrollmentRulePath_QB newModelQuery()
     * @method false|int increment(string $column, float|int $amount = 1, array $extra = [])
     * @method false|int decrement(string $column, float|int $amount = 1, array $extra = [])
     * @method static _IH_OrgAutoEnrollmentRulePath_C|OrgAutoEnrollmentRulePath[] all()
     * @mixin _IH_OrgAutoEnrollmentRulePath_QB
     */
    class OrgAutoEnrollmentRulePath extends Model {}
    
    /**
     * @property int $id
     * @property int $rule_id
     * @property int $position_id
     * @property Carbon|null $created_at
     * @property Carbon|null $updated_at
     * @property OrgPosition $position
     * @method BelongsTo|_IH_OrgPosition_QB position()
     * @property OrgAutoEnrollmentRule $rule
     * @method BelongsTo|_IH_OrgAutoEnrollmentRule_QB rule()
     * @method static _IH_OrgAutoEnrollmentRulePosition_QB onWriteConnection()
     * @method _IH_OrgAutoEnrollmentRulePosition_QB newQuery()
     * @method static _IH_OrgAutoEnrollmentRulePosition_QB on(null|string $connection = null)
     * @method static _IH_OrgAutoEnrollmentRulePosition_QB query()
     * @method static _IH_OrgAutoEnrollmentRulePosition_QB with(array|string $relations)
     * @method _IH_OrgAutoEnrollmentRulePosition_QB newModelQuery()
     * @method false|int increment(string $column, float|int $amount = 1, array $extra = [])
     * @method false|int decrement(string $column, float|int $amount = 1, array $extra = [])
     * @method static _IH_OrgAutoEnrollmentRulePosition_C|OrgAutoEnrollmentRulePosition[] all()
     * @mixin _IH_OrgAutoEnrollmentRulePosition_QB
     */
    class OrgAutoEnrollmentRulePosition extends Model {}
    
    /**
     * @property int $id
     * @property string|null $title
     * @property float|null $price
     * @property string|null $about
     * @property string $btn_txt
     * @property string|null $join_date
     * @property string|null $join_time
     * @property string|null $end_date
     * @property string|null $end_time
     * @property int $days
     * @property int $total_enrolled
     * @property int $status
     * @property int $order
     * @property int $sequence
     * @property int $type 1=class, 2=learning path
     * @property Carbon|null $created_at
     * @property Carbon|null $updated_at
     * @property string|null $offline_venue
     * @property int $allow_access
     * @property null|string $image
     * @property int $created_by
     * @property _IH_OrgSubscriptionCourseList_C|OrgSubscriptionCourseList[] $activeAssign
     * @property-read int $active_assign_count
     * @method HasMany|_IH_OrgSubscriptionCourseList_QB activeAssign()
     * @property _IH_OrgSubscriptionCourseList_C|OrgSubscriptionCourseList[] $assign
     * @property-read int $assign_count
     * @method HasMany|_IH_OrgSubscriptionCourseList_QB assign()
     * @property _IH_OrgSubscriptionCheckout_C|OrgSubscriptionCheckout[] $checkouts
     * @property-read int $checkouts_count
     * @method HasMany|_IH_OrgSubscriptionCheckout_QB checkouts()
     * @property User $createdBy
     * @method BelongsTo|_IH_User_QB createdBy()
     * @property LmsInstitute $institute
     * @method BelongsTo|_IH_LmsInstitute_QB institute()
     * @property OrgSubscriptionCheckout $subscription
     * @method HasOne|_IH_OrgSubscriptionCheckout_QB subscription()
     * @method static _IH_OrgCourseSubscription_QB onWriteConnection()
     * @method _IH_OrgCourseSubscription_QB newQuery()
     * @method static _IH_OrgCourseSubscription_QB on(null|string $connection = null)
     * @method static _IH_OrgCourseSubscription_QB query()
     * @method static _IH_OrgCourseSubscription_QB with(array|string $relations)
     * @method _IH_OrgCourseSubscription_QB newModelQuery()
     * @method false|int increment(string $column, float|int $amount = 1, array $extra = [])
     * @method false|int decrement(string $column, float|int $amount = 1, array $extra = [])
     * @method static _IH_OrgCourseSubscription_C|OrgCourseSubscription[] all()
     * @mixin _IH_OrgCourseSubscription_QB
     */
    class OrgCourseSubscription extends Model {}
    
    /**
     * @property int $id
     * @property string|null $name
     * @property int $status
     * @property int $days
     * @property int $position
     * @property int $plan_id
     * @property Carbon|null $created_at
     * @property Carbon|null $updated_at
     * @method static _IH_OrgLeaningPathSection_QB onWriteConnection()
     * @method _IH_OrgLeaningPathSection_QB newQuery()
     * @method static _IH_OrgLeaningPathSection_QB on(null|string $connection = null)
     * @method static _IH_OrgLeaningPathSection_QB query()
     * @method static _IH_OrgLeaningPathSection_QB with(array|string $relations)
     * @method _IH_OrgLeaningPathSection_QB newModelQuery()
     * @method false|int increment(string $column, float|int $amount = 1, array $extra = [])
     * @method false|int decrement(string $column, float|int $amount = 1, array $extra = [])
     * @method static _IH_OrgLeaningPathSection_C|OrgLeaningPathSection[] all()
     * @mixin _IH_OrgLeaningPathSection_QB
     */
    class OrgLeaningPathSection extends Model {}
    
    /**
     * @property int $id
     * @property int|null $user_id
     * @property int|null $plan_id
     * @property int $price
     * @property Carbon|null $start_date
     * @property Carbon|null $end_date
     * @property int $days
     * @property string|null $org_chart
     * @property string|null $position
     * @property string|null $employee_id
     * @property int $type
     * @property int $status
     * @property Carbon|null $created_at
     * @property Carbon|null $updated_at
     * @property string $end_time
     * @property LmsInstitute $institute
     * @method BelongsTo|_IH_LmsInstitute_QB institute()
     * @property OrgCourseSubscription|null $plan
     * @method BelongsTo|_IH_OrgCourseSubscription_QB plan()
     * @property User|null $user
     * @method BelongsTo|_IH_User_QB user()
     * @method static _IH_OrgSubscriptionCheckout_QB onWriteConnection()
     * @method _IH_OrgSubscriptionCheckout_QB newQuery()
     * @method static _IH_OrgSubscriptionCheckout_QB on(null|string $connection = null)
     * @method static _IH_OrgSubscriptionCheckout_QB query()
     * @method static _IH_OrgSubscriptionCheckout_QB with(array|string $relations)
     * @method _IH_OrgSubscriptionCheckout_QB newModelQuery()
     * @method false|int increment(string $column, float|int $amount = 1, array $extra = [])
     * @method false|int decrement(string $column, float|int $amount = 1, array $extra = [])
     * @method static _IH_OrgSubscriptionCheckout_C|OrgSubscriptionCheckout[] all()
     * @ownLinks user_id,\App\User,id
     * @mixin _IH_OrgSubscriptionCheckout_QB
     */
    class OrgSubscriptionCheckout extends Model {}
    
    /**
     * @property int $id
     * @property int $course_id
     * @property int $plan_id
     * @property int $order
     * @property Carbon|null $created_at
     * @property Carbon|null $updated_at
     * @property int $section_id
     * @property Course $course
     * @method BelongsTo|_IH_Course_QB course()
     * @property LmsInstitute $institute
     * @method BelongsTo|_IH_LmsInstitute_QB institute()
     * @property OrgCourseSubscription $plan
     * @method BelongsTo|_IH_OrgCourseSubscription_QB plan()
     * @method static _IH_OrgSubscriptionCourseList_QB onWriteConnection()
     * @method _IH_OrgSubscriptionCourseList_QB newQuery()
     * @method static _IH_OrgSubscriptionCourseList_QB on(null|string $connection = null)
     * @method static _IH_OrgSubscriptionCourseList_QB query()
     * @method static _IH_OrgSubscriptionCourseList_QB with(array|string $relations)
     * @method _IH_OrgSubscriptionCourseList_QB newModelQuery()
     * @method false|int increment(string $column, float|int $amount = 1, array $extra = [])
     * @method false|int decrement(string $column, float|int $amount = 1, array $extra = [])
     * @method static _IH_OrgSubscriptionCourseList_C|OrgSubscriptionCourseList[] all()
     * @ownLinks course_id,\Modules\CourseSetting\Entities\Course,id
     * @mixin _IH_OrgSubscriptionCourseList_QB
     */
    class OrgSubscriptionCourseList extends Model {}
    
    /**
     * @property int $id
     * @property int $commission_rate
     * @property int $alert
     * @property Carbon|null $created_at
     * @property Carbon|null $updated_at
     * @property int $type 1=class,2=path
     * @property string|null $event Event of notification send
     * @property string $days Days for event
     * @property int $mobile send notification via mobile
     * @property int $browser Send notification via browser
     * @property int $email Send notification via email
     * @property LmsInstitute $institute
     * @method BelongsTo|_IH_LmsInstitute_QB institute()
     * @method static _IH_OrgSubscriptionSetting_QB onWriteConnection()
     * @method _IH_OrgSubscriptionSetting_QB newQuery()
     * @method static _IH_OrgSubscriptionSetting_QB on(null|string $connection = null)
     * @method static _IH_OrgSubscriptionSetting_QB query()
     * @method static _IH_OrgSubscriptionSetting_QB with(array|string $relations)
     * @method _IH_OrgSubscriptionSetting_QB newModelQuery()
     * @method false|int increment(string $column, float|int $amount = 1, array $extra = [])
     * @method false|int decrement(string $column, float|int $amount = 1, array $extra = [])
     * @method static _IH_OrgSubscriptionSetting_C|OrgSubscriptionSetting[] all()
     * @mixin _IH_OrgSubscriptionSetting_QB
     */
    class OrgSubscriptionSetting extends Model {}
}