<?php //5a246fc95ca2e896c1afe2927264f9a8
/** @noinspection all */

namespace Modules\SaasBranch\Entities {

    use App\Models\LmsInstitute;
    use App\User;
    use Illuminate\Database\Eloquent\Model;
    use Illuminate\Database\Eloquent\Relations\BelongsTo;
    use Illuminate\Database\Eloquent\Relations\BelongsToMany;
    use Illuminate\Support\Carbon;
    use LaravelIdea\Helper\App\Models\_IH_LmsInstitute_QB;
    use LaravelIdea\Helper\App\_IH_User_C;
    use LaravelIdea\Helper\App\_IH_User_QB;
    use LaravelIdea\Helper\Modules\CourseSetting\Entities\_IH_Course_C;
    use LaravelIdea\Helper\Modules\CourseSetting\Entities\_IH_Course_QB;
    use LaravelIdea\Helper\Modules\SaasBranch\Entities\_IH_BranchCourse_C;
    use LaravelIdea\Helper\Modules\SaasBranch\Entities\_IH_BranchCourse_QB;
    use LaravelIdea\Helper\Modules\SaasBranch\Entities\_IH_BranchUser_C;
    use LaravelIdea\Helper\Modules\SaasBranch\Entities\_IH_BranchUser_QB;
    use LaravelIdea\Helper\Modules\SaasBranch\Entities\_IH_Branch_C;
    use LaravelIdea\Helper\Modules\SaasBranch\Entities\_IH_Branch_QB;
    use Modules\CourseSetting\Entities\Course;
    
    /**
     * @property int $id
     * @property string $name
     * @property string|null $lms_id
     * @property string $dash_domain
     * @property string|null $description
     * @property bool $status
     * @property string|null $logo
     * @property string $user_type
     * @property string $institute_id
     * @property Carbon|null $created_at
     * @property Carbon|null $updated_at
     * @property _IH_Course_C|Course[] $courses
     * @property-read int $courses_count
     * @method BelongsToMany|_IH_Course_QB courses()
     * @property LmsInstitute|null $institute
     * @method BelongsTo|_IH_LmsInstitute_QB institute()
     * @property _IH_User_C|User[] $users
     * @property-read int $users_count
     * @method BelongsToMany|_IH_User_QB users()
     * @method static _IH_Branch_QB onWriteConnection()
     * @method _IH_Branch_QB newQuery()
     * @method static _IH_Branch_QB on(null|string $connection = null)
     * @method static _IH_Branch_QB query()
     * @method static _IH_Branch_QB with(array|string $relations)
     * @method _IH_Branch_QB newModelQuery()
     * @method false|int increment(string $column, float|int $amount = 1, array $extra = [])
     * @method false|int decrement(string $column, float|int $amount = 1, array $extra = [])
     * @method static _IH_Branch_C|Branch[] all()
     * @ownLinks institute_id,\Modules\StudentSetting\Entities\Institute,id
     * @foreignLinks id,\Modules\OrgInstructorPolicy\Entities\OrgPolicyBranch,branch_id|id,\Modules\SaasBranch\Entities\BranchCourse,branch_id|id,\Modules\SaasBranch\Entities\BranchUser,branch_id|id,\Modules\Org\Entities\OrgBlogBranch,branch_id|id,\Modules\Org\Entities\OrgSurveyBranch,branch_id|id,\Modules\Org\Entities\OrgForumBranch,branch_id|id,\Modules\Org\Entities\OrgLeaderboardBranch,branch_id
     * @mixin _IH_Branch_QB
     */
    class Branch extends Model {}
    
    /**
     * @property int $id
     * @property int $branch_id
     * @property int $course_id
     * @property int $lms_id
     * @property Carbon|null $created_at
     * @property Carbon|null $updated_at
     * @property LmsInstitute $institute
     * @method BelongsTo|_IH_LmsInstitute_QB institute()
     * @method static _IH_BranchCourse_QB onWriteConnection()
     * @method _IH_BranchCourse_QB newQuery()
     * @method static _IH_BranchCourse_QB on(null|string $connection = null)
     * @method static _IH_BranchCourse_QB query()
     * @method static _IH_BranchCourse_QB with(array|string $relations)
     * @method _IH_BranchCourse_QB newModelQuery()
     * @method false|int increment(string $column, float|int $amount = 1, array $extra = [])
     * @method false|int decrement(string $column, float|int $amount = 1, array $extra = [])
     * @method static _IH_BranchCourse_C|BranchCourse[] all()
     * @ownLinks branch_id,\Modules\SaasBranch\Entities\Branch,id|course_id,\Modules\CourseSetting\Entities\Course,id
     * @mixin _IH_BranchCourse_QB
     */
    class BranchCourse extends Model {}
    
    /**
     * @property int $id
     * @property int $branch_id
     * @property int $user_id
     * @property int $lms_id
     * @property Carbon|null $created_at
     * @property Carbon|null $updated_at
     * @property LmsInstitute $institute
     * @method BelongsTo|_IH_LmsInstitute_QB institute()
     * @method static _IH_BranchUser_QB onWriteConnection()
     * @method _IH_BranchUser_QB newQuery()
     * @method static _IH_BranchUser_QB on(null|string $connection = null)
     * @method static _IH_BranchUser_QB query()
     * @method static _IH_BranchUser_QB with(array|string $relations)
     * @method _IH_BranchUser_QB newModelQuery()
     * @method false|int increment(string $column, float|int $amount = 1, array $extra = [])
     * @method false|int decrement(string $column, float|int $amount = 1, array $extra = [])
     * @method static _IH_BranchUser_C|BranchUser[] all()
     * @ownLinks branch_id,\Modules\SaasBranch\Entities\Branch,id|user_id,\App\User,id
     * @mixin _IH_BranchUser_QB
     */
    class BranchUser extends Model {}
}