<?php //1e42525669f9388aa5f225c47791084f
/** @noinspection all */

namespace Modules\Tax\Entities {

    use App\Country;
    use App\Models\LmsInstitute;
    use Illuminate\Database\Eloquent\Model;
    use Illuminate\Database\Eloquent\Relations\BelongsTo;
    use Illuminate\Support\Carbon;
    use LaravelIdea\Helper\App\Models\_IH_LmsInstitute_QB;
    use LaravelIdea\Helper\App\_IH_Country_QB;
    use LaravelIdea\Helper\Modules\Tax\Entities\_IH_CountryWishTax_C;
    use LaravelIdea\Helper\Modules\Tax\Entities\_IH_CountryWishTax_QB;
    use LaravelIdea\Helper\Modules\Tax\Entities\_IH_TaxSetting_C;
    use LaravelIdea\Helper\Modules\Tax\Entities\_IH_TaxSetting_QB;
    
    /**
     * @property int $id
     * @property int $country_id
     * @property int $tax
     * @property int $status
     * @property int $lms_id
     * @property Carbon|null $created_at
     * @property Carbon|null $updated_at
     * @property Country $country
     * @method BelongsTo|_IH_Country_QB country()
     * @property LmsInstitute $institute
     * @method BelongsTo|_IH_LmsInstitute_QB institute()
     * @method static _IH_CountryWishTax_QB onWriteConnection()
     * @method _IH_CountryWishTax_QB newQuery()
     * @method static _IH_CountryWishTax_QB on(null|string $connection = null)
     * @method static _IH_CountryWishTax_QB query()
     * @method static _IH_CountryWishTax_QB with(array|string $relations)
     * @method _IH_CountryWishTax_QB newModelQuery()
     * @method false|int increment(string $column, float|int $amount = 1, array $extra = [])
     * @method false|int decrement(string $column, float|int $amount = 1, array $extra = [])
     * @method static _IH_CountryWishTax_C|CountryWishTax[] all()
     * @ownLinks country_id,\App\Country,id
     * @mixin _IH_CountryWishTax_QB
     */
    class CountryWishTax extends Model {}
    
    /**
     * @property int $id
     * @property int $status
     * @property int $percentage
     * @property int $lms_id
     * @property Carbon|null $created_at
     * @property Carbon|null $updated_at
     * @property int $tax_type
     * @property LmsInstitute $institute
     * @method BelongsTo|_IH_LmsInstitute_QB institute()
     * @method static _IH_TaxSetting_QB onWriteConnection()
     * @method _IH_TaxSetting_QB newQuery()
     * @method static _IH_TaxSetting_QB on(null|string $connection = null)
     * @method static _IH_TaxSetting_QB query()
     * @method static _IH_TaxSetting_QB with(array|string $relations)
     * @method _IH_TaxSetting_QB newModelQuery()
     * @method false|int increment(string $column, float|int $amount = 1, array $extra = [])
     * @method false|int decrement(string $column, float|int $amount = 1, array $extra = [])
     * @method static _IH_TaxSetting_C|TaxSetting[] all()
     * @mixin _IH_TaxSetting_QB
     */
    class TaxSetting extends Model {}
}