<?php //5b563b52554b36caa704c221476ccaf0
/** @noinspection all */

namespace Modules\GoogleCalendar\Entities {

    use App\User;
    use Illuminate\Database\Eloquent\Model;
    use Illuminate\Database\Eloquent\Relations\BelongsTo;
    use Illuminate\Database\Eloquent\Relations\MorphTo;
    use Illuminate\Support\Carbon;
    use LaravelIdea\Helper\App\_IH_User_QB;
    use LaravelIdea\Helper\Modules\GoogleCalendar\Entities\_IH_GoogleCalendarAccount_C;
    use LaravelIdea\Helper\Modules\GoogleCalendar\Entities\_IH_GoogleCalendarAccount_QB;
    use LaravelIdea\Helper\Modules\GoogleCalendar\Entities\_IH_GoogleCalendarEvent_C;
    use LaravelIdea\Helper\Modules\GoogleCalendar\Entities\_IH_GoogleCalendarEvent_QB;
    
    /**
     * @property int $id
     * @property int $user_id
     * @property string|null $name
     * @property string|null $email
     * @property string $google_id
     * @property array $token
     * @property bool $is_active
     * @property Carbon|null $created_at
     * @property Carbon|null $updated_at
     * @property User $user
     * @method BelongsTo|_IH_User_QB user()
     * @method static _IH_GoogleCalendarAccount_QB onWriteConnection()
     * @method _IH_GoogleCalendarAccount_QB newQuery()
     * @method static _IH_GoogleCalendarAccount_QB on(null|string $connection = null)
     * @method static _IH_GoogleCalendarAccount_QB query()
     * @method static _IH_GoogleCalendarAccount_QB with(array|string $relations)
     * @method _IH_GoogleCalendarAccount_QB newModelQuery()
     * @method false|int increment(string $column, float|int $amount = 1, array $extra = [])
     * @method false|int decrement(string $column, float|int $amount = 1, array $extra = [])
     * @method static _IH_GoogleCalendarAccount_C|GoogleCalendarAccount[] all()
     * @ownLinks user_id,\App\User,id
     * @mixin _IH_GoogleCalendarAccount_QB
     */
    class GoogleCalendarAccount extends Model {}
    
    /**
     * @property int $id
     * @property string|null $google_calendar_id
     * @property string|null $response
     * @property string|null $main_model
     * @property int|null $main_model_id
     * @property string|null $sub_model
     * @property int|null $sub_model_id
     * @property Carbon|null $created_at
     * @property Carbon|null $updated_at
     * @property Model $eventale
     * @method MorphTo eventale()
     * @method static _IH_GoogleCalendarEvent_QB onWriteConnection()
     * @method _IH_GoogleCalendarEvent_QB newQuery()
     * @method static _IH_GoogleCalendarEvent_QB on(null|string $connection = null)
     * @method static _IH_GoogleCalendarEvent_QB query()
     * @method static _IH_GoogleCalendarEvent_QB with(array|string $relations)
     * @method _IH_GoogleCalendarEvent_QB newModelQuery()
     * @method false|int increment(string $column, float|int $amount = 1, array $extra = [])
     * @method false|int decrement(string $column, float|int $amount = 1, array $extra = [])
     * @method static _IH_GoogleCalendarEvent_C|GoogleCalendarEvent[] all()
     * @mixin _IH_GoogleCalendarEvent_QB
     */
    class GoogleCalendarEvent extends Model {}
}