<?php //446d1dc316e2074b41f253b0be8f5913
/** @noinspection all */

namespace Modules\H5P\Entities {

    use Illuminate\Database\Eloquent\Model;
    use Illuminate\Database\Eloquent\Relations\HasMany;
    use Illuminate\Support\Carbon;
    use LaravelIdea\Helper\Modules\H5P\Entities\_IH_H5pContent_C;
    use LaravelIdea\Helper\Modules\H5P\Entities\_IH_H5pContent_QB;
    use LaravelIdea\Helper\Modules\H5P\Entities\_IH_H5pReportDetail_C;
    use LaravelIdea\Helper\Modules\H5P\Entities\_IH_H5pReportDetail_QB;
    use LaravelIdea\Helper\Modules\H5P\Entities\_IH_H5pReport_C;
    use LaravelIdea\Helper\Modules\H5P\Entities\_IH_H5pReport_QB;
    
    /**
     * @property int $id
     * @property string|null $title
     * @property string|null $h5p
     * @property string|null $content
     * @property int|null $user_id
     * @property string|null $path
     * @property string|null $storage
     * @property Carbon|null $created_at
     * @property Carbon|null $updated_at
     * @method static _IH_H5pContent_QB onWriteConnection()
     * @method _IH_H5pContent_QB newQuery()
     * @method static _IH_H5pContent_QB on(null|string $connection = null)
     * @method static _IH_H5pContent_QB query()
     * @method static _IH_H5pContent_QB with(array|string $relations)
     * @method _IH_H5pContent_QB newModelQuery()
     * @method false|int increment(string $column, float|int $amount = 1, array $extra = [])
     * @method false|int decrement(string $column, float|int $amount = 1, array $extra = [])
     * @method static _IH_H5pContent_C|H5pContent[] all()
     * @ownLinks user_id,\App\User,id
     * @mixin _IH_H5pContent_QB
     */
    class H5pContent extends Model {}
    
    /**
     * @property int $id
     * @property int|null $course_id
     * @property int|null $user_id
     * @property int|null $lesson_id
     * @property float|null $score
     * @property float|null $max_score
     * @property float|null $min_score
     * @property float|null $scaled
     * @property string|null $duration
     * @property int|null $attempt
     * @property int|null $timestamp
     * @property Carbon|null $created_at
     * @property Carbon|null $updated_at
     * @property _IH_H5pReportDetail_C|H5pReportDetail[] $details
     * @property-read int $details_count
     * @method HasMany|_IH_H5pReportDetail_QB details()
     * @method static _IH_H5pReport_QB onWriteConnection()
     * @method _IH_H5pReport_QB newQuery()
     * @method static _IH_H5pReport_QB on(null|string $connection = null)
     * @method static _IH_H5pReport_QB query()
     * @method static _IH_H5pReport_QB with(array|string $relations)
     * @method _IH_H5pReport_QB newModelQuery()
     * @method false|int increment(string $column, float|int $amount = 1, array $extra = [])
     * @method false|int decrement(string $column, float|int $amount = 1, array $extra = [])
     * @method static _IH_H5pReport_C|H5pReport[] all()
     * @ownLinks course_id,\Modules\CourseSetting\Entities\Course,id|user_id,\App\User,id|lesson_id,\Modules\CourseSetting\Entities\Lesson,id
     * @mixin _IH_H5pReport_QB
     */
    class H5pReport extends Model {}
    
    /**
     * @property int $id
     * @property int|null $report_id
     * @property string|null $verb
     * @property Carbon|null $created_at
     * @property Carbon|null $updated_at
     * @method static _IH_H5pReportDetail_QB onWriteConnection()
     * @method _IH_H5pReportDetail_QB newQuery()
     * @method static _IH_H5pReportDetail_QB on(null|string $connection = null)
     * @method static _IH_H5pReportDetail_QB query()
     * @method static _IH_H5pReportDetail_QB with(array|string $relations)
     * @method _IH_H5pReportDetail_QB newModelQuery()
     * @method false|int increment(string $column, float|int $amount = 1, array $extra = [])
     * @method false|int decrement(string $column, float|int $amount = 1, array $extra = [])
     * @method static _IH_H5pReportDetail_C|H5pReportDetail[] all()
     * @mixin _IH_H5pReportDetail_QB
     */
    class H5pReportDetail extends Model {}
}