<?php //d3c77c61d3d6d93d7c53b071da286d94
/** @noinspection all */

namespace Modules\Assignment\Entities {

    use App\Models\LmsInstitute;
    use App\User;
    use Illuminate\Database\Eloquent\Model;
    use Illuminate\Database\Eloquent\Relations\BelongsTo;
    use Illuminate\Database\Eloquent\Relations\HasMany;
    use Illuminate\Database\Eloquent\Relations\MorphToMany;
    use Illuminate\Support\Carbon;
    use LaravelIdea\Helper\App\Models\_IH_LmsInstitute_QB;
    use LaravelIdea\Helper\App\_IH_User_QB;
    use LaravelIdea\Helper\Modules\Assignment\Entities\_IH_InfixAssignAssignment_C;
    use LaravelIdea\Helper\Modules\Assignment\Entities\_IH_InfixAssignAssignment_QB;
    use LaravelIdea\Helper\Modules\Assignment\Entities\_IH_InfixAssignment_C;
    use LaravelIdea\Helper\Modules\Assignment\Entities\_IH_InfixAssignment_QB;
    use LaravelIdea\Helper\Modules\Assignment\Entities\_IH_InfixSubmitAssignment_C;
    use LaravelIdea\Helper\Modules\Assignment\Entities\_IH_InfixSubmitAssignment_QB;
    use LaravelIdea\Helper\Modules\CourseSetting\Entities\_IH_Course_QB;
    use LaravelIdea\Helper\Modules\Setting\Entities\_IH_UsedMedia_QB;
    use Modules\CourseSetting\Entities\Course;
    use Modules\Setting\Entities\UsedMedia;
    
    /**
     * @property int $id
     * @property int $assignment_id
     * @property int $student_id
     * @property int|null $pass_status 1 =pass, 0= fail
     * @property int|null $exam_take
     * @property float|null $obtain_marks
     * @property int|null $marked_by
     * @property int $lms_id
     * @property Carbon|null $created_at
     * @property Carbon|null $updated_at
     * @property InfixAssignment $assignment
     * @method BelongsTo|_IH_InfixAssignment_QB assignment()
     * @property _IH_InfixSubmitAssignment_C|InfixSubmitAssignment[] $assignmentSubmitted
     * @property-read int $assignment_submitted_count
     * @method HasMany|_IH_InfixSubmitAssignment_QB assignmentSubmitted()
     * @property LmsInstitute $institute
     * @method BelongsTo|_IH_LmsInstitute_QB institute()
     * @property User $student
     * @method BelongsTo|_IH_User_QB student()
     * @method static _IH_InfixAssignAssignment_QB onWriteConnection()
     * @method _IH_InfixAssignAssignment_QB newQuery()
     * @method static _IH_InfixAssignAssignment_QB on(null|string $connection = null)
     * @method static _IH_InfixAssignAssignment_QB query()
     * @method static _IH_InfixAssignAssignment_QB with(array|string $relations)
     * @method _IH_InfixAssignAssignment_QB newModelQuery()
     * @method false|int increment(string $column, float|int $amount = 1, array $extra = [])
     * @method false|int decrement(string $column, float|int $amount = 1, array $extra = [])
     * @method static _IH_InfixAssignAssignment_C|InfixAssignAssignment[] all()
     * @mixin _IH_InfixAssignAssignment_QB
     */
    class InfixAssignAssignment extends Model {}
    
    /**
     * @property int $id
     * @property string $title
     * @property string|null $attachment
     * @property int|null $course_id
     * @property string $description
     * @property float|null $marks
     * @property float|null $min_parcentage
     * @property Carbon|null $last_date_submission
     * @property int|null $status
     * @property int|null $created_by
     * @property int|null $assignment_from 1= Quiz, 2= Course
     * @property int $lms_id
     * @property Carbon|null $created_at
     * @property Carbon|null $updated_at
     * @property UsedMedia $attachment_media
     * @method MorphToMany|_IH_UsedMedia_QB attachment_media()
     * @property Course|null $course
     * @method BelongsTo|_IH_Course_QB course()
     * @property User|null $creator_info
     * @method BelongsTo|_IH_User_QB creator_info()
     * @property LmsInstitute $institute
     * @method BelongsTo|_IH_LmsInstitute_QB institute()
     * @method static _IH_InfixAssignment_QB onWriteConnection()
     * @method _IH_InfixAssignment_QB newQuery()
     * @method static _IH_InfixAssignment_QB on(null|string $connection = null)
     * @method static _IH_InfixAssignment_QB query()
     * @method static _IH_InfixAssignment_QB with(array|string $relations)
     * @method _IH_InfixAssignment_QB newModelQuery()
     * @method false|int increment(string $column, float|int $amount = 1, array $extra = [])
     * @method false|int decrement(string $column, float|int $amount = 1, array $extra = [])
     * @method static _IH_InfixAssignment_C|InfixAssignment[] all()
     * @ownLinks course_id,\Modules\CourseSetting\Entities\Course,id
     * @mixin _IH_InfixAssignment_QB
     */
    class InfixAssignment extends Model {}
    
    /**
     * @property int $id
     * @property int $assignment_id
     * @property int|null $assign_id
     * @property int $student_id
     * @property float|null $marks
     * @property string|null $answer
     * @property string|null $file
     * @property int|null $is_marked
     * @property int|null $assignment_from
     * @property int|null $marked_by
     * @property int $lms_id
     * @property Carbon|null $created_at
     * @property Carbon|null $updated_at
     * @property InfixAssignAssignment|null $assigned
     * @method BelongsTo|_IH_InfixAssignAssignment_QB assigned()
     * @property LmsInstitute $institute
     * @method BelongsTo|_IH_LmsInstitute_QB institute()
     * @property User $student
     * @method BelongsTo|_IH_User_QB student()
     * @method static _IH_InfixSubmitAssignment_QB onWriteConnection()
     * @method _IH_InfixSubmitAssignment_QB newQuery()
     * @method static _IH_InfixSubmitAssignment_QB on(null|string $connection = null)
     * @method static _IH_InfixSubmitAssignment_QB query()
     * @method static _IH_InfixSubmitAssignment_QB with(array|string $relations)
     * @method _IH_InfixSubmitAssignment_QB newModelQuery()
     * @method false|int increment(string $column, float|int $amount = 1, array $extra = [])
     * @method false|int decrement(string $column, float|int $amount = 1, array $extra = [])
     * @method static _IH_InfixSubmitAssignment_C|InfixSubmitAssignment[] all()
     * @mixin _IH_InfixSubmitAssignment_QB
     */
    class InfixSubmitAssignment extends Model {}
}