<?php //0aba43bac910a0f7907b7ed7c6e4a009
/** @noinspection all */

namespace Modules\Jitsi\Entities {

    use App\Models\LmsInstitute;
    use App\User;
    use Illuminate\Database\Eloquent\Model;
    use Illuminate\Database\Eloquent\Relations\BelongsTo;
    use Illuminate\Database\Eloquent\Relations\HasMany;
    use Illuminate\Support\Carbon;
    use LaravelIdea\Helper\App\Models\_IH_LmsInstitute_QB;
    use LaravelIdea\Helper\App\_IH_User_QB;
    use LaravelIdea\Helper\Modules\Jitsi\Entities\_IH_JitsiMeetingUser_C;
    use LaravelIdea\Helper\Modules\Jitsi\Entities\_IH_JitsiMeetingUser_QB;
    use LaravelIdea\Helper\Modules\Jitsi\Entities\_IH_JitsiMeeting_C;
    use LaravelIdea\Helper\Modules\Jitsi\Entities\_IH_JitsiMeeting_QB;
    use LaravelIdea\Helper\Modules\Jitsi\Entities\_IH_JitsiSetting_C;
    use LaravelIdea\Helper\Modules\Jitsi\Entities\_IH_JitsiSetting_QB;
    use LaravelIdea\Helper\Modules\VirtualClass\Entities\_IH_ClassRecord_C;
    use LaravelIdea\Helper\Modules\VirtualClass\Entities\_IH_ClassRecord_QB;
    use LaravelIdea\Helper\Modules\VirtualClass\Entities\_IH_VirtualClass_QB;
    use Modules\VirtualClass\Entities\ClassRecord;
    use Modules\VirtualClass\Entities\VirtualClass;
    
    /**
     * @property int $id
     * @property int|null $created_by
     * @property int|null $instructor_id
     * @property int|null $class_id
     * @property string|null $meeting_id
     * @property string|null $topic
     * @property string|null $description
     * @property string|null $date
     * @property string|null $time
     * @property string|null $datetime
     * @property int $lms_id
     * @property Carbon|null $created_at
     * @property Carbon|null $updated_at
     * @property int $duration
     * @property VirtualClass|null $class
     * @method BelongsTo|_IH_VirtualClass_QB class()
     * @property LmsInstitute $institute
     * @method BelongsTo|_IH_LmsInstitute_QB institute()
     * @property User|null $instructor
     * @method BelongsTo|_IH_User_QB instructor()
     * @property _IH_ClassRecord_C|ClassRecord[] $records
     * @property-read int $records_count
     * @method HasMany|_IH_ClassRecord_QB records()
     * @method static _IH_JitsiMeeting_QB onWriteConnection()
     * @method _IH_JitsiMeeting_QB newQuery()
     * @method static _IH_JitsiMeeting_QB on(null|string $connection = null)
     * @method static _IH_JitsiMeeting_QB query()
     * @method static _IH_JitsiMeeting_QB with(array|string $relations)
     * @method _IH_JitsiMeeting_QB newModelQuery()
     * @method false|int increment(string $column, float|int $amount = 1, array $extra = [])
     * @method false|int decrement(string $column, float|int $amount = 1, array $extra = [])
     * @method static _IH_JitsiMeeting_C|JitsiMeeting[] all()
     * @mixin _IH_JitsiMeeting_QB
     */
    class JitsiMeeting extends Model {}
    
    /**
     * @property int $id
     * @property int $meeting_id
     * @property int $user_id
     * @property int $lms_id
     * @property Carbon|null $created_at
     * @property Carbon|null $updated_at
     * @property LmsInstitute $institute
     * @method BelongsTo|_IH_LmsInstitute_QB institute()
     * @method static _IH_JitsiMeetingUser_QB onWriteConnection()
     * @method _IH_JitsiMeetingUser_QB newQuery()
     * @method static _IH_JitsiMeetingUser_QB on(null|string $connection = null)
     * @method static _IH_JitsiMeetingUser_QB query()
     * @method static _IH_JitsiMeetingUser_QB with(array|string $relations)
     * @method _IH_JitsiMeetingUser_QB newModelQuery()
     * @method false|int increment(string $column, float|int $amount = 1, array $extra = [])
     * @method false|int decrement(string $column, float|int $amount = 1, array $extra = [])
     * @method static _IH_JitsiMeetingUser_C|JitsiMeetingUser[] all()
     * @ownLinks user_id,\App\User,id
     * @mixin _IH_JitsiMeetingUser_QB
     */
    class JitsiMeetingUser extends Model {}
    
    /**
     * @property int $id
     * @property string $jitsi_server
     * @property int $lms_id
     * @property Carbon|null $created_at
     * @property Carbon|null $updated_at
     * @property LmsInstitute $institute
     * @method BelongsTo|_IH_LmsInstitute_QB institute()
     * @method static _IH_JitsiSetting_QB onWriteConnection()
     * @method _IH_JitsiSetting_QB newQuery()
     * @method static _IH_JitsiSetting_QB on(null|string $connection = null)
     * @method static _IH_JitsiSetting_QB query()
     * @method static _IH_JitsiSetting_QB with(array|string $relations)
     * @method _IH_JitsiSetting_QB newModelQuery()
     * @method false|int increment(string $column, float|int $amount = 1, array $extra = [])
     * @method false|int decrement(string $column, float|int $amount = 1, array $extra = [])
     * @method static _IH_JitsiSetting_C|JitsiSetting[] all()
     * @mixin _IH_JitsiSetting_QB
     */
    class JitsiSetting extends Model {}
}