<?php //67307e1b0d9340fc605ad2019c8b62d8
/** @noinspection all */

namespace Modules\BBB\Entities {

    use App\Models\LmsInstitute;
    use App\User;
    use Illuminate\Database\Eloquent\Model;
    use Illuminate\Database\Eloquent\Relations\BelongsTo;
    use Illuminate\Database\Eloquent\Relations\HasMany;
    use Illuminate\Support\Carbon;
    use LaravelIdea\Helper\App\Models\_IH_LmsInstitute_QB;
    use LaravelIdea\Helper\App\_IH_User_QB;
    use LaravelIdea\Helper\Modules\BBB\Entities\_IH_BbbMeetingUser_C;
    use LaravelIdea\Helper\Modules\BBB\Entities\_IH_BbbMeetingUser_QB;
    use LaravelIdea\Helper\Modules\BBB\Entities\_IH_BbbMeeting_C;
    use LaravelIdea\Helper\Modules\BBB\Entities\_IH_BbbMeeting_QB;
    use LaravelIdea\Helper\Modules\BBB\Entities\_IH_BbbSetting_C;
    use LaravelIdea\Helper\Modules\BBB\Entities\_IH_BbbSetting_QB;
    use LaravelIdea\Helper\Modules\VirtualClass\Entities\_IH_ClassRecord_C;
    use LaravelIdea\Helper\Modules\VirtualClass\Entities\_IH_ClassRecord_QB;
    use LaravelIdea\Helper\Modules\VirtualClass\Entities\_IH_VirtualClass_QB;
    use Modules\VirtualClass\Entities\ClassRecord;
    use Modules\VirtualClass\Entities\VirtualClass;
    
    /**
     * @property int $id
     * @property int|null $created_by
     * @property int|null $instructor_id
     * @property int|null $class_id
     * @property string|null $meeting_id
     * @property string|null $topic
     * @property string|null $description
     * @property string|null $attendee_password
     * @property string|null $moderator_password
     * @property string|null $date
     * @property string|null $time
     * @property string|null $datetime
     * @property string|null $welcome_message
     * @property string|null $dial_number
     * @property int|null $max_participants 0 means unlimited
     * @property string|null $logout_url The URL that the BigBlueButton client will go to after users click the OK button.
     * @property bool|null $record
     * @property int|null $duration 0 means unlimited
     * @property bool|null $is_breakout
     * @property string|null $moderator_only_message
     * @property bool|null $auto_start_recording
     * @property bool|null $allow_start_stop_recording
     * @property bool|null $webcams_only_ror_moderator
     * @property string|null $logo
     * @property string|null $copyright
     * @property bool|null $mute_on_start
     * @property bool|null $webcams_only_for_moderator
     * @property bool|null $lock_settings_disable_cam
     * @property bool|null $lock_settings_disable_mic
     * @property bool|null $lock_settings_lock_on_join
     * @property bool|null $lock_settings_lock_on_join_configurable
     * @property bool|null $join_via_html5
     * @property bool|null $lock_settings_disable_private_chat
     * @property bool|null $lock_settings_disable_public_chat
     * @property bool|null $lock_settings_disable_note
     * @property bool|null $lock_settings_locked_layout
     * @property bool|null $lock_settings_lock_on_oin
     * @property bool|null $lock_settings_sock_on_join_configurable
     * @property string|null $guest_policy
     * @property bool|null $redirect
     * @property bool|null $join_via_html_5
     * @property string|null $state
     * @property int $lms_id
     * @property Carbon|null $created_at
     * @property Carbon|null $updated_at
     * @property VirtualClass|null $class
     * @method BelongsTo|_IH_VirtualClass_QB class()
     * @property LmsInstitute $institute
     * @method BelongsTo|_IH_LmsInstitute_QB institute()
     * @property User|null $instructor
     * @method BelongsTo|_IH_User_QB instructor()
     * @property _IH_ClassRecord_C|ClassRecord[] $records
     * @property-read int $records_count
     * @method HasMany|_IH_ClassRecord_QB records()
     * @method static _IH_BbbMeeting_QB onWriteConnection()
     * @method _IH_BbbMeeting_QB newQuery()
     * @method static _IH_BbbMeeting_QB on(null|string $connection = null)
     * @method static _IH_BbbMeeting_QB query()
     * @method static _IH_BbbMeeting_QB with(array|string $relations)
     * @method _IH_BbbMeeting_QB newModelQuery()
     * @method false|int increment(string $column, float|int $amount = 1, array $extra = [])
     * @method false|int decrement(string $column, float|int $amount = 1, array $extra = [])
     * @method static _IH_BbbMeeting_C|BbbMeeting[] all()
     * @mixin _IH_BbbMeeting_QB
     */
    class BbbMeeting extends Model {}
    
    /**
     * @property int $id
     * @property int $meeting_id
     * @property int $user_id
     * @property int $moderator 1= moderator , 0=attendee
     * @property int $lms_id
     * @property Carbon|null $created_at
     * @property Carbon|null $updated_at
     * @property LmsInstitute $institute
     * @method BelongsTo|_IH_LmsInstitute_QB institute()
     * @method static _IH_BbbMeetingUser_QB onWriteConnection()
     * @method _IH_BbbMeetingUser_QB newQuery()
     * @method static _IH_BbbMeetingUser_QB on(null|string $connection = null)
     * @method static _IH_BbbMeetingUser_QB query()
     * @method static _IH_BbbMeetingUser_QB with(array|string $relations)
     * @method _IH_BbbMeetingUser_QB newModelQuery()
     * @method false|int increment(string $column, float|int $amount = 1, array $extra = [])
     * @method false|int decrement(string $column, float|int $amount = 1, array $extra = [])
     * @method static _IH_BbbMeetingUser_C|BbbMeetingUser[] all()
     * @ownLinks user_id,\App\User,id
     * @mixin _IH_BbbMeetingUser_QB
     */
    class BbbMeetingUser extends Model {}
    
    /**
     * @property int $id
     * @property int $password_length
     * @property string|null $welcome_message
     * @property string|null $dial_number
     * @property int $max_participants 0 means unlimited
     * @property string|null $logout_url The URL that the BigBlueButton client will go to after users click the OK button.
     * @property bool $record
     * @property int $duration 0 means unlimited
     * @property bool $is_breakout
     * @property string|null $moderator_only_message
     * @property bool $auto_start_recording
     * @property bool $allow_start_stop_recording
     * @property bool $webcams_only_ror_moderator
     * @property string $copyright
     * @property bool $mute_on_start
     * @property bool $webcams_only_for_moderator
     * @property bool $lock_settings_disable_cam
     * @property bool $lock_settings_disable_mic
     * @property bool $lock_settings_lock_on_join
     * @property bool $lock_settings_lock_on_join_configurable
     * @property bool $join_via_html5
     * @property bool $lock_settings_disable_private_chat
     * @property bool $lock_settings_disable_public_chat
     * @property bool $lock_settings_disable_note
     * @property bool $lock_settings_locked_layout
     * @property bool $lock_settings_lock_on_oin
     * @property bool $lock_settings_sock_on_join_configurable
     * @property string $guest_policy
     * @property bool $redirect
     * @property bool $join_via_html_5
     * @property string $state
     * @property int $lms_id
     * @property Carbon|null $created_at
     * @property Carbon|null $updated_at
     * @property LmsInstitute $institute
     * @method BelongsTo|_IH_LmsInstitute_QB institute()
     * @method static _IH_BbbSetting_QB onWriteConnection()
     * @method _IH_BbbSetting_QB newQuery()
     * @method static _IH_BbbSetting_QB on(null|string $connection = null)
     * @method static _IH_BbbSetting_QB query()
     * @method static _IH_BbbSetting_QB with(array|string $relations)
     * @method _IH_BbbSetting_QB newModelQuery()
     * @method false|int increment(string $column, float|int $amount = 1, array $extra = [])
     * @method false|int decrement(string $column, float|int $amount = 1, array $extra = [])
     * @method static _IH_BbbSetting_C|BbbSetting[] all()
     * @mixin _IH_BbbSetting_QB
     */
    class BbbSetting extends Model {}
}