<?php //cb0b1acde550c96063d6fcd24e282fcb
/** @noinspection all */

namespace Modules\Catalogue\Entities {

    use Illuminate\Database\Eloquent\Model;
    use Illuminate\Database\Eloquent\Relations\BelongsTo;
    use Illuminate\Support\Carbon;
    use LaravelIdea\Helper\Modules\Catalogue\Entities\_IH_BusinessLine_C;
    use LaravelIdea\Helper\Modules\Catalogue\Entities\_IH_BusinessLine_QB;
    use LaravelIdea\Helper\Modules\Catalogue\Entities\_IH_CatalogCountry_C;
    use LaravelIdea\Helper\Modules\Catalogue\Entities\_IH_CatalogCountry_QB;
    use LaravelIdea\Helper\Modules\Catalogue\Entities\_IH_CatelogCategory_C;
    use LaravelIdea\Helper\Modules\Catalogue\Entities\_IH_CatelogCategory_QB;
    use LaravelIdea\Helper\Modules\Catalogue\Entities\_IH_CatelogSubCategory_C;
    use LaravelIdea\Helper\Modules\Catalogue\Entities\_IH_CatelogSubCategory_QB;
    use LaravelIdea\Helper\Modules\Catalogue\Entities\_IH_RegionAssignment_C;
    use LaravelIdea\Helper\Modules\Catalogue\Entities\_IH_RegionAssignment_QB;
    use LaravelIdea\Helper\Modules\Catalogue\Entities\_IH_Region_C;
    use LaravelIdea\Helper\Modules\Catalogue\Entities\_IH_Region_QB;
    use LaravelIdea\Helper\Modules\Catalogue\Entities\_IH_Sector_C;
    use LaravelIdea\Helper\Modules\Catalogue\Entities\_IH_Sector_QB;
    use LaravelIdea\Helper\Modules\Catalogue\Entities\_IH_State_C;
    use LaravelIdea\Helper\Modules\Catalogue\Entities\_IH_State_QB;
    
    /**
     * @property int $id
     * @property string $name
     * @property bool $is_active
     * @property int $created_by
     * @property int $lms_id
     * @property Carbon|null $created_at
     * @property Carbon|null $updated_at
     * @method static _IH_BusinessLine_QB onWriteConnection()
     * @method _IH_BusinessLine_QB newQuery()
     * @method static _IH_BusinessLine_QB on(null|string $connection = null)
     * @method static _IH_BusinessLine_QB query()
     * @method static _IH_BusinessLine_QB with(array|string $relations)
     * @method _IH_BusinessLine_QB newModelQuery()
     * @method false|int increment(string $column, float|int $amount = 1, array $extra = [])
     * @method false|int decrement(string $column, float|int $amount = 1, array $extra = [])
     * @method static _IH_BusinessLine_C|BusinessLine[] all()
     * @mixin _IH_BusinessLine_QB
     */
    class BusinessLine extends Model {}
    
    /**
     * @property int $id
     * @property string $name
     * @property bool $is_active
     * @property int $created_by
     * @property int $lms_id
     * @property Carbon|null $created_at
     * @property Carbon|null $updated_at
     * @method static _IH_CatalogCountry_QB onWriteConnection()
     * @method _IH_CatalogCountry_QB newQuery()
     * @method static _IH_CatalogCountry_QB on(null|string $connection = null)
     * @method static _IH_CatalogCountry_QB query()
     * @method static _IH_CatalogCountry_QB with(array|string $relations)
     * @method _IH_CatalogCountry_QB newModelQuery()
     * @method false|int increment(string $column, float|int $amount = 1, array $extra = [])
     * @method false|int decrement(string $column, float|int $amount = 1, array $extra = [])
     * @method static _IH_CatalogCountry_C|CatalogCountry[] all()
     * @mixin _IH_CatalogCountry_QB
     */
    class CatalogCountry extends Model {}
    
    /**
     * @property int $id
     * @property string $name
     * @property bool $is_active
     * @property int $created_by
     * @property int $lms_id
     * @property Carbon|null $created_at
     * @property Carbon|null $updated_at
     * @method static _IH_CatelogCategory_QB onWriteConnection()
     * @method _IH_CatelogCategory_QB newQuery()
     * @method static _IH_CatelogCategory_QB on(null|string $connection = null)
     * @method static _IH_CatelogCategory_QB query()
     * @method static _IH_CatelogCategory_QB with(array|string $relations)
     * @method _IH_CatelogCategory_QB newModelQuery()
     * @method false|int increment(string $column, float|int $amount = 1, array $extra = [])
     * @method false|int decrement(string $column, float|int $amount = 1, array $extra = [])
     * @method static _IH_CatelogCategory_C|CatelogCategory[] all()
     * @mixin _IH_CatelogCategory_QB
     */
    class CatelogCategory extends Model {}
    
    /**
     * @property int $id
     * @property string $name
     * @property int|null $parent_id
     * @property bool $is_active
     * @property int $created_by
     * @property int $lms_id
     * @property Carbon|null $created_at
     * @property Carbon|null $updated_at
     * @property CatelogCategory|null $category
     * @method BelongsTo|_IH_CatelogCategory_QB category()
     * @method static _IH_CatelogSubCategory_QB onWriteConnection()
     * @method _IH_CatelogSubCategory_QB newQuery()
     * @method static _IH_CatelogSubCategory_QB on(null|string $connection = null)
     * @method static _IH_CatelogSubCategory_QB query()
     * @method static _IH_CatelogSubCategory_QB with(array|string $relations)
     * @method _IH_CatelogSubCategory_QB newModelQuery()
     * @method false|int increment(string $column, float|int $amount = 1, array $extra = [])
     * @method false|int decrement(string $column, float|int $amount = 1, array $extra = [])
     * @method static _IH_CatelogSubCategory_C|CatelogSubCategory[] all()
     * @mixin _IH_CatelogSubCategory_QB
     */
    class CatelogSubCategory extends Model {}
    
    /**
     * @property int $id
     * @property string $name
     * @property bool $is_active
     * @property int $created_by
     * @property int $lms_id
     * @property Carbon|null $created_at
     * @property Carbon|null $updated_at
     * @method static _IH_Region_QB onWriteConnection()
     * @method _IH_Region_QB newQuery()
     * @method static _IH_Region_QB on(null|string $connection = null)
     * @method static _IH_Region_QB query()
     * @method static _IH_Region_QB with(array|string $relations)
     * @method _IH_Region_QB newModelQuery()
     * @method false|int increment(string $column, float|int $amount = 1, array $extra = [])
     * @method false|int decrement(string $column, float|int $amount = 1, array $extra = [])
     * @method static _IH_Region_C|Region[] all()
     * @foreignLinks id,\Modules\Catalogue\Entities\RegionAssignment,region_id
     * @mixin _IH_Region_QB
     */
    class Region extends Model {}
    
    /**
     * @property int $id
     * @property string $name
     * @property int|null $region_id
     * @property bool $is_active
     * @property int $created_by
     * @property int $lms_id
     * @property Carbon|null $created_at
     * @property Carbon|null $updated_at
     * @property Region|null $region
     * @method BelongsTo|_IH_Region_QB region()
     * @method static _IH_RegionAssignment_QB onWriteConnection()
     * @method _IH_RegionAssignment_QB newQuery()
     * @method static _IH_RegionAssignment_QB on(null|string $connection = null)
     * @method static _IH_RegionAssignment_QB query()
     * @method static _IH_RegionAssignment_QB with(array|string $relations)
     * @method _IH_RegionAssignment_QB newModelQuery()
     * @method false|int increment(string $column, float|int $amount = 1, array $extra = [])
     * @method false|int decrement(string $column, float|int $amount = 1, array $extra = [])
     * @method static _IH_RegionAssignment_C|RegionAssignment[] all()
     * @ownLinks region_id,\Modules\Catalogue\Entities\Region,id
     * @mixin _IH_RegionAssignment_QB
     */
    class RegionAssignment extends Model {}
    
    /**
     * @property int $id
     * @property string $name
     * @property bool $is_active
     * @property int $created_by
     * @property int $lms_id
     * @property Carbon|null $created_at
     * @property Carbon|null $updated_at
     * @method static _IH_Sector_QB onWriteConnection()
     * @method _IH_Sector_QB newQuery()
     * @method static _IH_Sector_QB on(null|string $connection = null)
     * @method static _IH_Sector_QB query()
     * @method static _IH_Sector_QB with(array|string $relations)
     * @method _IH_Sector_QB newModelQuery()
     * @method false|int increment(string $column, float|int $amount = 1, array $extra = [])
     * @method false|int decrement(string $column, float|int $amount = 1, array $extra = [])
     * @method static _IH_Sector_C|Sector[] all()
     * @mixin _IH_Sector_QB
     */
    class Sector extends Model {}
    
    /**
     * @property int $id
     * @property string $name
     * @property bool $is_active
     * @property int $created_by
     * @property int $lms_id
     * @property Carbon|null $created_at
     * @property Carbon|null $updated_at
     * @method static _IH_State_QB onWriteConnection()
     * @method _IH_State_QB newQuery()
     * @method static _IH_State_QB on(null|string $connection = null)
     * @method static _IH_State_QB query()
     * @method static _IH_State_QB with(array|string $relations)
     * @method _IH_State_QB newModelQuery()
     * @method false|int increment(string $column, float|int $amount = 1, array $extra = [])
     * @method false|int decrement(string $column, float|int $amount = 1, array $extra = [])
     * @method static _IH_State_C|State[] all()
     * @mixin _IH_State_QB
     */
    class State extends Model {}
}