<?php //4e4df504542ce5276f56bc35182166fa
/** @noinspection all */

namespace Modules\FooterSetting\Entities {

    use App\Models\LmsInstitute;
    use Illuminate\Database\Eloquent\Model;
    use Illuminate\Database\Eloquent\Relations\BelongsTo;
    use Illuminate\Support\Carbon;
    use LaravelIdea\Helper\App\Models\_IH_LmsInstitute_QB;
    use LaravelIdea\Helper\Modules\FooterSetting\Entities\_IH_FooterSetting_C;
    use LaravelIdea\Helper\Modules\FooterSetting\Entities\_IH_FooterSetting_QB;
    use LaravelIdea\Helper\Modules\FooterSetting\Entities\_IH_FooterWidget_C;
    use LaravelIdea\Helper\Modules\FooterSetting\Entities\_IH_FooterWidget_QB;
    use LaravelIdea\Helper\Modules\FrontendManage\Entities\_IH_FrontPage_QB;
    use Modules\FrontendManage\Entities\FrontPage;
    
    /**
     * @property int $id
     * @property string $key
     * @property string|null $value
     * @property Carbon|null $created_at
     * @property Carbon|null $updated_at
     * @property-read mixed[] $translations attribute
     * @method static _IH_FooterSetting_QB onWriteConnection()
     * @method _IH_FooterSetting_QB newQuery()
     * @method static _IH_FooterSetting_QB on(null|string $connection = null)
     * @method static _IH_FooterSetting_QB query()
     * @method static _IH_FooterSetting_QB with(array|string $relations)
     * @method _IH_FooterSetting_QB newModelQuery()
     * @method false|int increment(string $column, float|int $amount = 1, array $extra = [])
     * @method false|int decrement(string $column, float|int $amount = 1, array $extra = [])
     * @method static _IH_FooterSetting_C|FooterSetting[] all()
     * @mixin _IH_FooterSetting_QB
     */
    class FooterSetting extends Model {}
    
    /**
     * @property int $id
     * @property int|null $user_id
     * @property string $name
     * @property string $slug
     * @property string|null $description
     * @property string $category
     * @property string|null $page
     * @property int $page_id
     * @property string $section
     * @property int $is_static
     * @property int $status
     * @property Carbon|null $created_at
     * @property Carbon|null $updated_at
     * @property-read mixed[] $translations attribute
     * @property FrontPage $frontpage
     * @method BelongsTo|_IH_FrontPage_QB frontpage()
     * @property LmsInstitute $institute
     * @method BelongsTo|_IH_LmsInstitute_QB institute()
     * @method static _IH_FooterWidget_QB onWriteConnection()
     * @method _IH_FooterWidget_QB newQuery()
     * @method static _IH_FooterWidget_QB on(null|string $connection = null)
     * @method static _IH_FooterWidget_QB query()
     * @method static _IH_FooterWidget_QB with(array|string $relations)
     * @method _IH_FooterWidget_QB newModelQuery()
     * @method false|int increment(string $column, float|int $amount = 1, array $extra = [])
     * @method false|int decrement(string $column, float|int $amount = 1, array $extra = [])
     * @method static _IH_FooterWidget_C|FooterWidget[] all()
     * @ownLinks user_id,\App\User,id
     * @mixin _IH_FooterWidget_QB
     */
    class FooterWidget extends Model {}
}