<?php //7b8eafcb35439dcc1d0a1a8de82e7d52
/** @noinspection all */

namespace Modules\Zoom\Entities {

    use App\Models\LmsInstitute;
    use App\User;
    use Illuminate\Database\Eloquent\Model;
    use Illuminate\Database\Eloquent\Relations\BelongsTo;
    use Illuminate\Database\Eloquent\Relations\HasMany;
    use Illuminate\Support\Carbon;
    use LaravelIdea\Helper\App\Models\_IH_LmsInstitute_QB;
    use LaravelIdea\Helper\App\_IH_User_QB;
    use LaravelIdea\Helper\Modules\VirtualClass\Entities\_IH_ClassRecord_C;
    use LaravelIdea\Helper\Modules\VirtualClass\Entities\_IH_ClassRecord_QB;
    use LaravelIdea\Helper\Modules\VirtualClass\Entities\_IH_VirtualClass_QB;
    use LaravelIdea\Helper\Modules\Zoom\Entities\_IH_ZoomMeetingUser_C;
    use LaravelIdea\Helper\Modules\Zoom\Entities\_IH_ZoomMeetingUser_QB;
    use LaravelIdea\Helper\Modules\Zoom\Entities\_IH_ZoomMeeting_C;
    use LaravelIdea\Helper\Modules\Zoom\Entities\_IH_ZoomMeeting_QB;
    use LaravelIdea\Helper\Modules\Zoom\Entities\_IH_ZoomSetting_C;
    use LaravelIdea\Helper\Modules\Zoom\Entities\_IH_ZoomSetting_QB;
    use Modules\VirtualClass\Entities\ClassRecord;
    use Modules\VirtualClass\Entities\VirtualClass;
    
    /**
     * @property int $download
     * @property-read string $current_status attribute
     * @property-read $meeting_date_time attribute
     * @property-read $meeting_end_time attribute
     * @property-read $participates_name attribute
     * @property-read string $url attribute
     * @property VirtualClass $class
     * @method BelongsTo|_IH_VirtualClass_QB class()
     * @property LmsInstitute $institute
     * @method BelongsTo|_IH_LmsInstitute_QB institute()
     * @property User $instructor
     * @method BelongsTo|_IH_User_QB instructor()
     * @property _IH_ZoomMeetingUser_C|ZoomMeetingUser[] $participates
     * @property-read int $participates_count
     * @method HasMany|_IH_ZoomMeetingUser_QB participates()
     * @property _IH_ClassRecord_C|ClassRecord[] $records
     * @property-read int $records_count
     * @method HasMany|_IH_ClassRecord_QB records()
     * @method static _IH_ZoomMeeting_QB onWriteConnection()
     * @method _IH_ZoomMeeting_QB newQuery()
     * @method static _IH_ZoomMeeting_QB on(null|string $connection = null)
     * @method static _IH_ZoomMeeting_QB query()
     * @method static _IH_ZoomMeeting_QB with(array|string $relations)
     * @method _IH_ZoomMeeting_QB newModelQuery()
     * @method false|int increment(string $column, float|int $amount = 1, array $extra = [])
     * @method false|int decrement(string $column, float|int $amount = 1, array $extra = [])
     * @method static _IH_ZoomMeeting_C|ZoomMeeting[] all()
     * @mixin _IH_ZoomMeeting_QB
     */
    class ZoomMeeting extends Model {}
    
    /**
     * @property int $id
     * @property int|null $meeting_id
     * @property int|null $user_id
     * @property int $host 1 = host 2= user
     * @property Carbon|null $created_at
     * @property Carbon|null $updated_at
     * @property LmsInstitute $institute
     * @method BelongsTo|_IH_LmsInstitute_QB institute()
     * @property User|null $user
     * @method BelongsTo|_IH_User_QB user()
     * @method static _IH_ZoomMeetingUser_QB onWriteConnection()
     * @method _IH_ZoomMeetingUser_QB newQuery()
     * @method static _IH_ZoomMeetingUser_QB on(null|string $connection = null)
     * @method static _IH_ZoomMeetingUser_QB query()
     * @method static _IH_ZoomMeetingUser_QB with(array|string $relations)
     * @method _IH_ZoomMeetingUser_QB newModelQuery()
     * @method false|int increment(string $column, float|int $amount = 1, array $extra = [])
     * @method false|int decrement(string $column, float|int $amount = 1, array $extra = [])
     * @method static _IH_ZoomMeetingUser_C|ZoomMeetingUser[] all()
     * @ownLinks user_id,\App\User,id
     * @mixin _IH_ZoomMeetingUser_QB
     */
    class ZoomMeetingUser extends Model {}
    
    /**
     * @property int $id
     * @property int $user_id
     * @property int $package_id
     * @property bool $host_video
     * @property bool $participant_video
     * @property bool $join_before_host
     * @property string $audio both, telephony & voip
     * @property string $auto_recording local, cloud & none
     * @property int $approval_type 0 => Automatic, 1 => Manually & 2 No Registration
     * @property bool $mute_upon_entry
     * @property bool $waiting_room
     * @property Carbon|null $created_at
     * @property Carbon|null $updated_at
     * @property string|null $zoom_account_id
     * @property string|null $zoom_client_id
     * @property string|null $zoom_client_secret
     * @property LmsInstitute $institute
     * @method BelongsTo|_IH_LmsInstitute_QB institute()
     * @method static _IH_ZoomSetting_QB onWriteConnection()
     * @method _IH_ZoomSetting_QB newQuery()
     * @method static _IH_ZoomSetting_QB on(null|string $connection = null)
     * @method static _IH_ZoomSetting_QB query()
     * @method static _IH_ZoomSetting_QB with(array|string $relations)
     * @method _IH_ZoomSetting_QB newModelQuery()
     * @method false|int increment(string $column, float|int $amount = 1, array $extra = [])
     * @method false|int decrement(string $column, float|int $amount = 1, array $extra = [])
     * @method static _IH_ZoomSetting_C|ZoomSetting[] all()
     * @ownLinks user_id,\App\User,id
     * @mixin _IH_ZoomSetting_QB
     */
    class ZoomSetting extends Model {}
}