<?php //5a4a9e926d04fa6c74ca5bf122b7d366
/** @noinspection all */

namespace Modules\PaymentMethodSetting\Entities {

    use App\Models\LmsInstitute;
    use Illuminate\Database\Eloquent\Model;
    use Illuminate\Database\Eloquent\Relations\BelongsTo;
    use Illuminate\Support\Carbon;
    use LaravelIdea\Helper\App\Models\_IH_LmsInstitute_QB;
    use LaravelIdea\Helper\Modules\PaymentMethodSetting\Entities\_IH_PaymentMethodCredential_C;
    use LaravelIdea\Helper\Modules\PaymentMethodSetting\Entities\_IH_PaymentMethodCredential_QB;
    use LaravelIdea\Helper\Modules\PaymentMethodSetting\Entities\_IH_PaymentMethod_C;
    use LaravelIdea\Helper\Modules\PaymentMethodSetting\Entities\_IH_PaymentMethod_QB;
    
    /**
     * @property int $id
     * @property string $method
     * @property string|null $type
     * @property int $active_status
     * @property int $module_status
     * @property string|null $logo
     * @property int|null $created_by
     * @property int|null $updated_by
     * @property Carbon|null $created_at
     * @property Carbon|null $updated_at
     * @property LmsInstitute $institute
     * @method BelongsTo|_IH_LmsInstitute_QB institute()
     * @method static _IH_PaymentMethod_QB onWriteConnection()
     * @method _IH_PaymentMethod_QB newQuery()
     * @method static _IH_PaymentMethod_QB on(null|string $connection = null)
     * @method static _IH_PaymentMethod_QB query()
     * @method static _IH_PaymentMethod_QB with(array|string $relations)
     * @method _IH_PaymentMethod_QB newModelQuery()
     * @method false|int increment(string $column, float|int $amount = 1, array $extra = [])
     * @method false|int decrement(string $column, float|int $amount = 1, array $extra = [])
     * @method static _IH_PaymentMethod_C|PaymentMethod[] all()
     * @mixin _IH_PaymentMethod_QB
     */
    class PaymentMethod extends Model {}
    
    /**
     * @property int $id
     * @property string|null $Instamojo_API_AUTH
     * @property string|null $Instamojo_API_AUTH_TOKEN
     * @property string|null $Instamojo_URL
     * @property string|null $MIDTRANS_SERVER_KEY
     * @property string|null $MIDTRANS_ENV
     * @property string|null $MIDTRANS_SANITIZE
     * @property string|null $MIDTRANS_3DS
     * @property string|null $PAYEER_MERCHANT
     * @property string|null $PAYEER_KEY
     * @property string|null $STORE_ID
     * @property string|null $STORE_PASSWORD
     * @property string|null $IS_LOCALHOST
     * @property string|null $PESAPAL_KEY
     * @property string|null $PESAPAL_SECRET
     * @property string|null $PESAPAL_IS_LIVE
     * @property string|null $PESAPAL_CALLBACK
     * @property string|null $MOBILPAY_MERCHANT_ID
     * @property string|null $MOBILPAY_TEST_MODE
     * @property string|null $MOBILPAY_PUBLIC_KEY_PATH
     * @property string|null $MOBILPAY_PRIVATE_KEY_PATH
     * @property string|null $PAYPAL_CLIENT_ID
     * @property string|null $PAYPAL_CLIENT_SECRET
     * @property string|null $IS_PAYPAL_LOCALHOST
     * @property string|null $STRIPE_SECRET
     * @property string|null $STRIPE_KEY
     * @property string|null $PAYSTACK_PUBLIC_KEY
     * @property string|null $PAYSTACK_SECRET_KEY
     * @property string|null $MERCHANT_EMAIL
     * @property string|null $PAYSTACK_PAYMENT_URL
     * @property string|null $RAZOR_KEY
     * @property string|null $RAZOR_SECRET
     * @property string|null $PAYTM_MERCHANT_ID
     * @property string|null $PAYTM_ENVIRONMENT
     * @property string|null $PAYTM_MERCHANT_KEY
     * @property string|null $PAYTM_MERCHANT_WEBSITE
     * @property string|null $PAYTM_CHANNEL
     * @property string|null $PAYTM_INDUSTRY_TYPE
     * @property string|null $BKASH_APP_KEY
     * @property string|null $BKASH_APP_SECRET
     * @property string|null $BKASH_USERNAME
     * @property string|null $BKASH_PASSWORD
     * @property string|null $IS_BKASH_LOCALHOST
     * @property string|null $BANK_NAME
     * @property string|null $BRANCH_NAME
     * @property string|null $ACCOUNT_TYPE
     * @property string|null $ACCOUNT_NUMBER
     * @property string|null $ACCOUNT_HOLDER
     * @property int $lms_id
     * @property Carbon|null $created_at
     * @property Carbon|null $updated_at
     * @property string|null $MERCADO_PUBLIC_KEY
     * @property string|null $MERCADO_ACCESS_TOKEN
     * @property string|null $RAZERMS_ENVIRONMENT
     * @property string|null $RAZERMS_MERCHANT_ID
     * @property string|null $RAZERMS_VERIFY_KEY
     * @property string|null $RAZERMS_PRIVATE_KEY
     * @property string|null $TAP_PAYMENT_API_KEY
     * @property string|null $AUTHORIZE_NET_API_KEY
     * @property string|null $AUTHORIZE_NET_TRANSACTION_KEY
     * @property int $AUTHORIZE_NET_ENVIRONMENT
     * @property string|null $BRAINTREE_MERCHANT_ID
     * @property string|null $BRAINTREE_PUBLIC_KEY
     * @property string|null $BRAINTREE_PRIVATE_KEY
     * @property string|null $BRAINTREE_ENVIRONMENT
     * @property string|null $MOLLIE_SECRET_KEY
     * @property string|null $MOLLIE_PROFILE_ID
     * @property string|null $MOLLIE_PARTNER_ID
     * @property string|null $FLW_PUBLIC_KEY
     * @property string|null $FLW_SECRET_KEY
     * @property string $FLW_SECRET_HASH
     * @property string $FLW_ENVIRONMENT
     * @property string|null $COINBASE_API_KEY
     * @property string|null $COINBASE_WEBHOOK_SECRET
     * @property string|null $COINBASE_API_VERSION
     * @property string|null $JAZZ_CASH_MERCHANT_ID
     * @property string|null $JAZZ_CASH_PASSWORD
     * @property string|null $JAZZ_CASH_INTEGRITY_SALT
     * @property string|null $JAZZ_CASH_ENVIROMENT
     * @property string|null $CCA_KEY
     * @property string|null $CCA_ACCESS_CODE
     * @property string|null $CCA_MERCHANT_ID
     * @property string|null $AmazonPayment_merchant_identifier
     * @property string|null $AmazonPayment_access_code
     * @property string|null $AmazonPayment_SHARequestPhrase
     * @property string|null $AmazonPayment_SHAResponsePhrase
     * @property string|null $AmazonPayment_SHAType
     * @property string|null $AmazonPayment_ENVIRONMENT
     * @property string|null $AstraPay_CLIENT_ID
     * @property string|null $AstraPay_MERCHANT_KEY
     * @property string|null $AstraPay_SECRET_KEY
     * @property string|null $AstraPay_ENVIRONMENT
     * @property string|null $AstraPay_PRIVATE_KEY
     * @property string|null $Tranzak_API_KEY
     * @property string|null $Tranzak_APP_ID
     * @property string|null $Tranzak_ENVIRONMENT
     * @property LmsInstitute $institute
     * @method BelongsTo|_IH_LmsInstitute_QB institute()
     * @method static _IH_PaymentMethodCredential_QB onWriteConnection()
     * @method _IH_PaymentMethodCredential_QB newQuery()
     * @method static _IH_PaymentMethodCredential_QB on(null|string $connection = null)
     * @method static _IH_PaymentMethodCredential_QB query()
     * @method static _IH_PaymentMethodCredential_QB with(array|string $relations)
     * @method _IH_PaymentMethodCredential_QB newModelQuery()
     * @method false|int increment(string $column, float|int $amount = 1, array $extra = [])
     * @method false|int decrement(string $column, float|int $amount = 1, array $extra = [])
     * @method static _IH_PaymentMethodCredential_C|PaymentMethodCredential[] all()
     * @mixin _IH_PaymentMethodCredential_QB
     */
    class PaymentMethodCredential extends Model {}
}