<?php //da2e4ba38b87382e786738834493acc7
/** @noinspection all */

namespace Modules\ModuleManager\Entities {

    use Illuminate\Database\Eloquent\Model;
    use Illuminate\Database\Eloquent\Relations\BelongsTo;
    use Illuminate\Support\Carbon;
    use LaravelIdea\Helper\Modules\ModuleManager\Entities\_IH_InfixModuleManager_C;
    use LaravelIdea\Helper\Modules\ModuleManager\Entities\_IH_InfixModuleManager_QB;
    use LaravelIdea\Helper\Modules\ModuleManager\Entities\_IH_Module_C;
    use LaravelIdea\Helper\Modules\ModuleManager\Entities\_IH_Module_QB;
    
    /**
     * @property int $id
     * @property string|null $name
     * @property string|null $email
     * @property string|null $notes
     * @property string|null $version
     * @property string|null $update_url
     * @property string|null $purchase_code
     * @property string|null $installed_domain
     * @property Carbon|null $activated_date
     * @property Carbon|null $created_at
     * @property Carbon|null $updated_at
     * @property string|null $checksum
     * @method static _IH_InfixModuleManager_QB onWriteConnection()
     * @method _IH_InfixModuleManager_QB newQuery()
     * @method static _IH_InfixModuleManager_QB on(null|string $connection = null)
     * @method static _IH_InfixModuleManager_QB query()
     * @method static _IH_InfixModuleManager_QB with(array|string $relations)
     * @method _IH_InfixModuleManager_QB newModelQuery()
     * @method false|int increment(string $column, float|int $amount = 1, array $extra = [])
     * @method false|int decrement(string $column, float|int $amount = 1, array $extra = [])
     * @method static _IH_InfixModuleManager_C|InfixModuleManager[] all()
     * @mixin _IH_InfixModuleManager_QB
     */
    class InfixModuleManager extends Model {}
    
    /**
     * @property int $id
     * @property string $name
     * @property int $status
     * @property int $order
     * @property Carbon|null $created_at
     * @property Carbon|null $updated_at
     * @property string|null $details
     * @property InfixModuleManager $verify
     * @method BelongsTo|_IH_InfixModuleManager_QB verify()
     * @method static _IH_Module_QB onWriteConnection()
     * @method _IH_Module_QB newQuery()
     * @method static _IH_Module_QB on(null|string $connection = null)
     * @method static _IH_Module_QB query()
     * @method static _IH_Module_QB with(array|string $relations)
     * @method _IH_Module_QB newModelQuery()
     * @method false|int increment(string $column, float|int $amount = 1, array $extra = [])
     * @method false|int decrement(string $column, float|int $amount = 1, array $extra = [])
     * @method static _IH_Module_C|Module[] all()
     * @foreignLinks id,\Modules\RolePermission\Entities\Permission,module_id
     * @mixin _IH_Module_QB
     */
    class Module extends Model {}
}