<?php //9b5bb566a6dbaf7b9d96023c8c013c55
/** @noinspection all */

namespace Modules\VirtualClass\Entities {

    use App\Models\LmsInstitute;
    use App\User;
    use Illuminate\Database\Eloquent\Model;
    use Illuminate\Database\Eloquent\Relations\BelongsTo;
    use Illuminate\Database\Eloquent\Relations\HasMany;
    use Illuminate\Database\Eloquent\Relations\HasOne;
    use Illuminate\Database\Eloquent\Relations\MorphToMany;
    use Illuminate\Support\Carbon;
    use LaravelIdea\Helper\App\Models\_IH_LmsInstitute_QB;
    use LaravelIdea\Helper\App\_IH_User_QB;
    use LaravelIdea\Helper\Modules\BBB\Entities\_IH_BbbMeeting_C;
    use LaravelIdea\Helper\Modules\BBB\Entities\_IH_BbbMeeting_QB;
    use LaravelIdea\Helper\Modules\CourseSetting\Entities\_IH_Category_QB;
    use LaravelIdea\Helper\Modules\CourseSetting\Entities\_IH_Course_QB;
    use LaravelIdea\Helper\Modules\GoogleCalendar\Entities\_IH_GoogleCalendarEvent_C;
    use LaravelIdea\Helper\Modules\GoogleCalendar\Entities\_IH_GoogleCalendarEvent_QB;
    use LaravelIdea\Helper\Modules\GoogleMeet\Entities\_IH_GoogleMeetMeeting_C;
    use LaravelIdea\Helper\Modules\GoogleMeet\Entities\_IH_GoogleMeetMeeting_QB;
    use LaravelIdea\Helper\Modules\InAppLiveClass\Entities\_IH_InAppLiveClassMeeting_C;
    use LaravelIdea\Helper\Modules\InAppLiveClass\Entities\_IH_InAppLiveClassMeeting_QB;
    use LaravelIdea\Helper\Modules\Jitsi\Entities\_IH_JitsiMeeting_C;
    use LaravelIdea\Helper\Modules\Jitsi\Entities\_IH_JitsiMeeting_QB;
    use LaravelIdea\Helper\Modules\Localization\Entities\_IH_Language_QB;
    use LaravelIdea\Helper\Modules\Setting\Entities\_IH_UsedMedia_QB;
    use LaravelIdea\Helper\Modules\VirtualClass\Entities\_IH_ClassComplete_C;
    use LaravelIdea\Helper\Modules\VirtualClass\Entities\_IH_ClassComplete_QB;
    use LaravelIdea\Helper\Modules\VirtualClass\Entities\_IH_ClassRecord_C;
    use LaravelIdea\Helper\Modules\VirtualClass\Entities\_IH_ClassRecord_QB;
    use LaravelIdea\Helper\Modules\VirtualClass\Entities\_IH_ClassSetting_C;
    use LaravelIdea\Helper\Modules\VirtualClass\Entities\_IH_ClassSetting_QB;
    use LaravelIdea\Helper\Modules\VirtualClass\Entities\_IH_CustomClassMessage_C;
    use LaravelIdea\Helper\Modules\VirtualClass\Entities\_IH_CustomClassMessage_QB;
    use LaravelIdea\Helper\Modules\VirtualClass\Entities\_IH_CustomMeeting_C;
    use LaravelIdea\Helper\Modules\VirtualClass\Entities\_IH_CustomMeeting_QB;
    use LaravelIdea\Helper\Modules\VirtualClass\Entities\_IH_VirtualClass_C;
    use LaravelIdea\Helper\Modules\VirtualClass\Entities\_IH_VirtualClass_QB;
    use LaravelIdea\Helper\Modules\Zoom\Entities\_IH_ZoomMeeting_C;
    use LaravelIdea\Helper\Modules\Zoom\Entities\_IH_ZoomMeeting_QB;
    use Modules\BBB\Entities\BbbMeeting;
    use Modules\CourseSetting\Entities\Category;
    use Modules\CourseSetting\Entities\Course;
    use Modules\GoogleCalendar\Entities\GoogleCalendarEvent;
    use Modules\GoogleMeet\Entities\GoogleMeetMeeting;
    use Modules\InAppLiveClass\Entities\InAppLiveClassMeeting;
    use Modules\Jitsi\Entities\JitsiMeeting;
    use Modules\Localization\Entities\Language;
    use Modules\Setting\Entities\UsedMedia;
    use Modules\Zoom\Entities\ZoomMeeting;
    
    /**
     * @property int $id
     * @property int $course_id
     * @property int $class_id
     * @property string $host
     * @property int $meeting_id
     * @property int $user_id
     * @property int $status 1 => complete 0 => incomplete
     * @property Carbon|null $created_at
     * @property Carbon|null $updated_at
     * @property int|null $enroll_id
     * @property LmsInstitute $institute
     * @method BelongsTo|_IH_LmsInstitute_QB institute()
     * @method static _IH_ClassComplete_QB onWriteConnection()
     * @method _IH_ClassComplete_QB newQuery()
     * @method static _IH_ClassComplete_QB on(null|string $connection = null)
     * @method static _IH_ClassComplete_QB query()
     * @method static _IH_ClassComplete_QB with(array|string $relations)
     * @method _IH_ClassComplete_QB newModelQuery()
     * @method false|int increment(string $column, float|int $amount = 1, array $extra = [])
     * @method false|int decrement(string $column, float|int $amount = 1, array $extra = [])
     * @method static _IH_ClassComplete_C|ClassComplete[] all()
     * @ownLinks course_id,\Modules\CourseSetting\Entities\Course,id|user_id,\App\User,id
     * @mixin _IH_ClassComplete_QB
     */
    class ClassComplete extends Model {}
    
    /**
     * @property int $id
     * @property int $class_id
     * @property int $meeting_id
     * @property string|null $title
     * @property string|null $url
     * @property string $host
     * @property int $status
     * @property Carbon|null $created_at
     * @property Carbon|null $updated_at
     * @property UsedMedia $file_media
     * @method MorphToMany|_IH_UsedMedia_QB file_media()
     * @method static _IH_ClassRecord_QB onWriteConnection()
     * @method _IH_ClassRecord_QB newQuery()
     * @method static _IH_ClassRecord_QB on(null|string $connection = null)
     * @method static _IH_ClassRecord_QB query()
     * @method static _IH_ClassRecord_QB with(array|string $relations)
     * @method _IH_ClassRecord_QB newModelQuery()
     * @method false|int increment(string $column, float|int $amount = 1, array $extra = [])
     * @method false|int decrement(string $column, float|int $amount = 1, array $extra = [])
     * @method static _IH_ClassRecord_C|ClassRecord[] all()
     * @mixin _IH_ClassRecord_QB
     */
    class ClassRecord extends Model {}
    
    /**
     * @property int $id
     * @property int $default_class 0 => Zoom 1 => BBB
     * @property Carbon|null $created_at
     * @property Carbon|null $updated_at
     * @property LmsInstitute $institute
     * @method BelongsTo|_IH_LmsInstitute_QB institute()
     * @method static _IH_ClassSetting_QB onWriteConnection()
     * @method _IH_ClassSetting_QB newQuery()
     * @method static _IH_ClassSetting_QB on(null|string $connection = null)
     * @method static _IH_ClassSetting_QB query()
     * @method static _IH_ClassSetting_QB with(array|string $relations)
     * @method _IH_ClassSetting_QB newModelQuery()
     * @method false|int increment(string $column, float|int $amount = 1, array $extra = [])
     * @method false|int decrement(string $column, float|int $amount = 1, array $extra = [])
     * @method static _IH_ClassSetting_C|ClassSetting[] all()
     * @mixin _IH_ClassSetting_QB
     */
    class ClassSetting extends Model {}
    
    /**
     * @property int $id
     * @property int $user_id
     * @property int|null $class_id
     * @property string|null $msg
     * @property Carbon|null $created_at
     * @property Carbon|null $updated_at
     * @property User $user
     * @method BelongsTo|_IH_User_QB user()
     * @method static _IH_CustomClassMessage_QB onWriteConnection()
     * @method _IH_CustomClassMessage_QB newQuery()
     * @method static _IH_CustomClassMessage_QB on(null|string $connection = null)
     * @method static _IH_CustomClassMessage_QB query()
     * @method static _IH_CustomClassMessage_QB with(array|string $relations)
     * @method _IH_CustomClassMessage_QB newModelQuery()
     * @method false|int increment(string $column, float|int $amount = 1, array $extra = [])
     * @method false|int decrement(string $column, float|int $amount = 1, array $extra = [])
     * @method static _IH_CustomClassMessage_C|CustomClassMessage[] all()
     * @ownLinks user_id,\App\User,id
     * @mixin _IH_CustomClassMessage_QB
     */
    class CustomClassMessage extends Model {}
    
    /**
     * @property int $id
     * @property int|null $created_by
     * @property int|null $instructor_id
     * @property int|null $class_id
     * @property string|null $topic
     * @property string|null $description
     * @property float|null $duration
     * @property string|null $date
     * @property string|null $host
     * @property string|null $link
     * @property string|null $time
     * @property string|null $datetime
     * @property string|null $datetime_utc
     * @property int $lms_id
     * @property Carbon|null $created_at
     * @property Carbon|null $updated_at
     * @property VirtualClass|null $class
     * @method BelongsTo|_IH_VirtualClass_QB class()
     * @property LmsInstitute $institute
     * @method BelongsTo|_IH_LmsInstitute_QB institute()
     * @property User|null $instructor
     * @method BelongsTo|_IH_User_QB instructor()
     * @property UsedMedia $link_media
     * @method MorphToMany|_IH_UsedMedia_QB link_media()
     * @property _IH_ClassRecord_C|ClassRecord[] $records
     * @property-read int $records_count
     * @method HasMany|_IH_ClassRecord_QB records()
     * @method static _IH_CustomMeeting_QB onWriteConnection()
     * @method _IH_CustomMeeting_QB newQuery()
     * @method static _IH_CustomMeeting_QB on(null|string $connection = null)
     * @method static _IH_CustomMeeting_QB query()
     * @method static _IH_CustomMeeting_QB with(array|string $relations)
     * @method _IH_CustomMeeting_QB newModelQuery()
     * @method false|int increment(string $column, float|int $amount = 1, array $extra = [])
     * @method false|int decrement(string $column, float|int $amount = 1, array $extra = [])
     * @method static _IH_CustomMeeting_C|CustomMeeting[] all()
     * @mixin _IH_CustomMeeting_QB
     */
    class CustomMeeting extends Model {}
    
    /**
     * @property int $show_record
     * @property int $record_validity In days
     * @property-read $slug attribute
     * @property-read mixed[] $translations attribute
     * @property _IH_BbbMeeting_C|BbbMeeting[] $bbbMeetings
     * @property-read int $bbb_meetings_count
     * @method HasMany|_IH_BbbMeeting_QB bbbMeetings()
     * @property Category $category
     * @method BelongsTo|_IH_Category_QB category()
     * @property Course $course
     * @method HasOne|_IH_Course_QB course()
     * @property _IH_CustomMeeting_C|CustomMeeting[] $customMeetings
     * @property-read int $custom_meetings_count
     * @method HasMany|_IH_CustomMeeting_QB customMeetings()
     * @property _IH_GoogleCalendarEvent_C|GoogleCalendarEvent[] $googleEvents
     * @property-read int $google_events_count
     * @method MorphToMany|_IH_GoogleCalendarEvent_QB googleEvents()
     * @property _IH_GoogleMeetMeeting_C|GoogleMeetMeeting[] $googleMeetMeetings
     * @property-read int $google_meet_meetings_count
     * @method HasMany|_IH_GoogleMeetMeeting_QB googleMeetMeetings()
     * @property _IH_InAppLiveClassMeeting_C|InAppLiveClassMeeting[] $inAppMeetings
     * @property-read int $in_app_meetings_count
     * @method HasMany|_IH_InAppLiveClassMeeting_QB inAppMeetings()
     * @property LmsInstitute $institute
     * @method BelongsTo|_IH_LmsInstitute_QB institute()
     * @property _IH_JitsiMeeting_C|JitsiMeeting[] $jitsiMeetings
     * @property-read int $jitsi_meetings_count
     * @method HasMany|_IH_JitsiMeeting_QB jitsiMeetings()
     * @property Language $language
     * @method BelongsTo|_IH_Language_QB language()
     * @property _IH_ClassRecord_C|ClassRecord[] $records
     * @property-read int $records_count
     * @method HasMany|_IH_ClassRecord_QB records()
     * @property Category $subCategory
     * @method BelongsTo|_IH_Category_QB subCategory()
     * @property _IH_ZoomMeeting_C|ZoomMeeting[] $zoomMeetings
     * @property-read int $zoom_meetings_count
     * @method HasMany|_IH_ZoomMeeting_QB zoomMeetings()
     * @method static _IH_VirtualClass_QB onWriteConnection()
     * @method _IH_VirtualClass_QB newQuery()
     * @method static _IH_VirtualClass_QB on(null|string $connection = null)
     * @method static _IH_VirtualClass_QB query()
     * @method static _IH_VirtualClass_QB with(array|string $relations)
     * @method _IH_VirtualClass_QB newModelQuery()
     * @method false|int increment(string $column, float|int $amount = 1, array $extra = [])
     * @method false|int decrement(string $column, float|int $amount = 1, array $extra = [])
     * @method static _IH_VirtualClass_C|VirtualClass[] all()
     * @mixin _IH_VirtualClass_QB
     */
    class VirtualClass extends Model {}
}