<?php //97e9e72c2663cae6e3d3f74499e578c2
/** @noinspection all */

namespace Modules\Certificate\Entities {

    use App\Models\LmsInstitute;
    use App\User;
    use Illuminate\Database\Eloquent\Model;
    use Illuminate\Database\Eloquent\Relations\BelongsTo;
    use Illuminate\Database\Eloquent\Relations\MorphToMany;
    use Illuminate\Support\Carbon;
    use LaravelIdea\Helper\App\Models\_IH_LmsInstitute_QB;
    use LaravelIdea\Helper\App\_IH_User_QB;
    use LaravelIdea\Helper\Modules\Certificate\Entities\_IH_CertificateFont_C;
    use LaravelIdea\Helper\Modules\Certificate\Entities\_IH_CertificateFont_QB;
    use LaravelIdea\Helper\Modules\Certificate\Entities\_IH_CertificateRecord_C;
    use LaravelIdea\Helper\Modules\Certificate\Entities\_IH_CertificateRecord_QB;
    use LaravelIdea\Helper\Modules\Certificate\Entities\_IH_Certificate_C;
    use LaravelIdea\Helper\Modules\Certificate\Entities\_IH_Certificate_QB;
    use LaravelIdea\Helper\Modules\CourseSetting\Entities\_IH_Course_QB;
    use LaravelIdea\Helper\Modules\Invoice\Entities\_IH_OrderCertificate_QB;
    use LaravelIdea\Helper\Modules\Setting\Entities\_IH_UsedMedia_QB;
    use Modules\CourseSetting\Entities\Course;
    use Modules\Invoice\Entities\OrderCertificate;
    use Modules\Setting\Entities\UsedMedia;
    
    /**
     * @property int $id
     * @property string|null $image
     * @property string|null $title
     * @property int $title_position_x
     * @property int $title_position_y
     * @property string|null $title_font_family
     * @property int $title_font_size
     * @property string|null $title_font_color
     * @property string|null $body
     * @property int $body_position_x
     * @property int $body_position_y
     * @property string|null $body_font_family
     * @property int $body_font_size
     * @property string|null $body_font_color
     * @property string|null $body_max_len
     * @property int $profile
     * @property int $profile_x
     * @property int $profile_y
     * @property int|null $profile_height
     * @property int $profile_weight
     * @property int $name
     * @property int $name_position_x
     * @property int $name_position_y
     * @property string|null $name_font_family
     * @property int $name_font_size
     * @property string|null $name_font_color
     * @property int $date
     * @property int $date_position_x
     * @property int $date_position_y
     * @property string|null $date_font_family
     * @property int $date_font_size
     * @property string|null $date_font_color
     * @property int $date_format
     * @property string|null $signature
     * @property int $signature_position_x
     * @property int $signature_position_y
     * @property int|null $signature_height
     * @property int $signature_weight
     * @property string|null $signature_text
     * @property int $signature_text_position_x
     * @property int $signature_text_position_y
     * @property string|null $signature_text_font_family
     * @property int $signature_text_font_size
     * @property string|null $signature_text_font_color
     * @property int $for_course
     * @property int $for_quiz
     * @property Carbon|null $created_at
     * @property Carbon|null $updated_at
     * @property int|null $certificate_no
     * @property int|null $certificate_no_position_x
     * @property int|null $certificate_no_position_y
     * @property string|null $certificate_no_font_family
     * @property string|null $certificate_no_font_size
     * @property string|null $certificate_no_font_color
     * @property int|null $created_by
     * @property int|null $for_class
     * @property int $qr
     * @property int $qr_x
     * @property int $qr_y
     * @property int|null $qr_height
     * @property int $qr_weight
     * @property int $show_title
     * @property string|null $certificate_number_prefix
     * @property int $show_org_chart
     * @property int $org_chart_x
     * @property int $org_chart_y
     * @property string|null $org_chart_font_family
     * @property int $org_chart_font_size
     * @property string|null $org_chart_font_color
     * @property string|null $type
     * @property string|null $for_cpd
     * @property bool|null $is_membership
     * @property UsedMedia $image_media
     * @method MorphToMany|_IH_UsedMedia_QB image_media()
     * @property LmsInstitute $institute
     * @method BelongsTo|_IH_LmsInstitute_QB institute()
     * @property UsedMedia $signature_media
     * @method MorphToMany|_IH_UsedMedia_QB signature_media()
     * @property User|null $user
     * @method BelongsTo|_IH_User_QB user()
     * @method static _IH_Certificate_QB onWriteConnection()
     * @method _IH_Certificate_QB newQuery()
     * @method static _IH_Certificate_QB on(null|string $connection = null)
     * @method static _IH_Certificate_QB query()
     * @method static _IH_Certificate_QB with(array|string $relations)
     * @method _IH_Certificate_QB newModelQuery()
     * @method false|int increment(string $column, float|int $amount = 1, array $extra = [])
     * @method false|int decrement(string $column, float|int $amount = 1, array $extra = [])
     * @method static _IH_Certificate_C|Certificate[] all()
     * @foreignLinks id,\Modules\CourseSetting\Entities\Course,certificate_id|id,\Modules\Certificate\Entities\CertificateRecord,certificate_id|id,\Modules\CPD\Entities\Cpd,certificate_id|id,\Modules\Invoice\Entities\OrderCertificate,certificate_id
     * @mixin _IH_Certificate_QB
     */
    class Certificate extends Model {}
    
    /**
     * @property int $id
     * @property string $name
     * @property string $title
     * @property string $font
     * @property Carbon|null $created_at
     * @property Carbon|null $updated_at
     * @property int $rtl
     * @property UsedMedia $font_media
     * @method MorphToMany|_IH_UsedMedia_QB font_media()
     * @property LmsInstitute $institute
     * @method BelongsTo|_IH_LmsInstitute_QB institute()
     * @method static _IH_CertificateFont_QB onWriteConnection()
     * @method _IH_CertificateFont_QB newQuery()
     * @method static _IH_CertificateFont_QB on(null|string $connection = null)
     * @method static _IH_CertificateFont_QB query()
     * @method static _IH_CertificateFont_QB with(array|string $relations)
     * @method _IH_CertificateFont_QB newModelQuery()
     * @method false|int increment(string $column, float|int $amount = 1, array $extra = [])
     * @method false|int decrement(string $column, float|int $amount = 1, array $extra = [])
     * @method static _IH_CertificateFont_C|CertificateFont[] all()
     * @mixin _IH_CertificateFont_QB
     */
    class CertificateFont extends Model {}
    
    /**
     * @property int $id
     * @property string|null $certificate_id
     * @property int|null $student_id
     * @property int|null $course_id
     * @property int|null $created_by
     * @property Carbon|null $created_at
     * @property Carbon|null $updated_at
     * @property string|null $start_date
     * @property string|null $end_date
     * @property string|null $cpd_id
     * @property int|null $membership_plan_id
     * @property Course|null $course
     * @method BelongsTo|_IH_Course_QB course()
     * @property LmsInstitute $institute
     * @method BelongsTo|_IH_LmsInstitute_QB institute()
     * @property OrderCertificate|null $orderCertificate
     * @method BelongsTo|_IH_OrderCertificate_QB orderCertificate()
     * @property User|null $student
     * @method BelongsTo|_IH_User_QB student()
     * @method static _IH_CertificateRecord_QB onWriteConnection()
     * @method _IH_CertificateRecord_QB newQuery()
     * @method static _IH_CertificateRecord_QB on(null|string $connection = null)
     * @method static _IH_CertificateRecord_QB query()
     * @method static _IH_CertificateRecord_QB with(array|string $relations)
     * @method _IH_CertificateRecord_QB newModelQuery()
     * @method false|int increment(string $column, float|int $amount = 1, array $extra = [])
     * @method false|int decrement(string $column, float|int $amount = 1, array $extra = [])
     * @method static _IH_CertificateRecord_C|CertificateRecord[] all()
     * @ownLinks certificate_id,\Modules\Certificate\Entities\Certificate,id|course_id,\Modules\CourseSetting\Entities\Course,id|cpd_id,\Modules\CPD\Entities\Cpd,id|membership_plan_id,\Modules\Membership\Entities\MembershipPlan,id
     * @mixin _IH_CertificateRecord_QB
     */
    class CertificateRecord extends Model {}
}