<?php //421a08ace5d078ab6fe40ecba6fd01c3
/** @noinspection all */

namespace Modules\SidebarManager\Entities {

    use Illuminate\Database\Eloquent\Model;
    use Illuminate\Database\Eloquent\Relations\HasMany;
    use Illuminate\Support\Carbon;
    use LaravelIdea\Helper\Modules\RolePermission\Entities\_IH_Permission_C;
    use LaravelIdea\Helper\Modules\RolePermission\Entities\_IH_Permission_QB;
    use LaravelIdea\Helper\Modules\SidebarManager\Entities\_IH_PermissionSection_C;
    use LaravelIdea\Helper\Modules\SidebarManager\Entities\_IH_PermissionSection_QB;
    use Modules\RolePermission\Entities\Permission;
    
    /**
     * @property int $id
     * @property string|null $name
     * @property int $position
     * @property string|null $icon
     * @property int $ecommerce
     * @property Carbon|null $created_at
     * @property Carbon|null $updated_at
     * @property-read mixed[] $translations attribute
     * @property _IH_Permission_C|Permission[] $activeActions
     * @property-read int $active_actions_count
     * @method HasMany|_IH_Permission_QB activeActions()
     * @property _IH_Permission_C|Permission[] $activeMenus
     * @property-read int $active_menus_count
     * @method HasMany|_IH_Permission_QB activeMenus()
     * @property _IH_Permission_C|Permission[] $activeSubmenus
     * @property-read int $active_submenus_count
     * @method HasMany|_IH_Permission_QB activeSubmenus()
     * @property _IH_Permission_C|Permission[] $frontendPermissions
     * @property-read int $frontend_permissions_count
     * @method HasMany|_IH_Permission_QB frontendPermissions()
     * @property _IH_Permission_C|Permission[] $inActiveActions
     * @property-read int $in_active_actions_count
     * @method HasMany|_IH_Permission_QB inActiveActions()
     * @property _IH_Permission_C|Permission[] $inActiveMenus
     * @property-read int $in_active_menus_count
     * @method HasMany|_IH_Permission_QB inActiveMenus()
     * @property _IH_Permission_C|Permission[] $inActiveSubmenus
     * @property-read int $in_active_submenus_count
     * @method HasMany|_IH_Permission_QB inActiveSubmenus()
     * @property _IH_Permission_C|Permission[] $permissions
     * @property-read int $permissions_count
     * @method HasMany|_IH_Permission_QB permissions()
     * @method static _IH_PermissionSection_QB onWriteConnection()
     * @method _IH_PermissionSection_QB newQuery()
     * @method static _IH_PermissionSection_QB on(null|string $connection = null)
     * @method static _IH_PermissionSection_QB query()
     * @method static _IH_PermissionSection_QB with(array|string $relations)
     * @method _IH_PermissionSection_QB newModelQuery()
     * @method false|int increment(string $column, float|int $amount = 1, array $extra = [])
     * @method false|int decrement(string $column, float|int $amount = 1, array $extra = [])
     * @method static _IH_PermissionSection_C|PermissionSection[] all()
     * @mixin _IH_PermissionSection_QB
     */
    class PermissionSection extends Model {}
}