<?php //c4b03128042af0a953dce4157b93c0d8
/** @noinspection all */

namespace Modules\InAppLiveClass\Entities {

    use App\User;
    use Illuminate\Database\Eloquent\Model;
    use Illuminate\Database\Eloquent\Relations\BelongsTo;
    use Illuminate\Database\Eloquent\Relations\HasMany;
    use Illuminate\Support\Carbon;
    use LaravelIdea\Helper\App\_IH_User_QB;
    use LaravelIdea\Helper\Modules\InAppLiveClass\Entities\_IH_InAppLiveClassMeetingUser_C;
    use LaravelIdea\Helper\Modules\InAppLiveClass\Entities\_IH_InAppLiveClassMeetingUser_QB;
    use LaravelIdea\Helper\Modules\InAppLiveClass\Entities\_IH_InAppLiveClassMeeting_C;
    use LaravelIdea\Helper\Modules\InAppLiveClass\Entities\_IH_InAppLiveClassMeeting_QB;
    use LaravelIdea\Helper\Modules\VirtualClass\Entities\_IH_ClassRecord_C;
    use LaravelIdea\Helper\Modules\VirtualClass\Entities\_IH_ClassRecord_QB;
    use LaravelIdea\Helper\Modules\VirtualClass\Entities\_IH_VirtualClass_QB;
    use Modules\VirtualClass\Entities\ClassRecord;
    use Modules\VirtualClass\Entities\VirtualClass;
    
    /**
     * @property int $id
     * @property int|null $class_id
     * @property int|null $created_by
     * @property int|null $meeting_id
     * @property int|null $instructor_id
     * @property string|null $topic
     * @property string|null $description
     * @property string|null $date
     * @property string|null $time
     * @property string|null $datetime
     * @property string|null $end_at
     * @property int $duration
     * @property Carbon|null $created_at
     * @property Carbon|null $updated_at
     * @property VirtualClass|null $class
     * @method BelongsTo|_IH_VirtualClass_QB class()
     * @property User|null $instructor
     * @method BelongsTo|_IH_User_QB instructor()
     * @property _IH_ClassRecord_C|ClassRecord[] $records
     * @property-read int $records_count
     * @method HasMany|_IH_ClassRecord_QB records()
     * @method static _IH_InAppLiveClassMeeting_QB onWriteConnection()
     * @method _IH_InAppLiveClassMeeting_QB newQuery()
     * @method static _IH_InAppLiveClassMeeting_QB on(null|string $connection = null)
     * @method static _IH_InAppLiveClassMeeting_QB query()
     * @method static _IH_InAppLiveClassMeeting_QB with(array|string $relations)
     * @method _IH_InAppLiveClassMeeting_QB newModelQuery()
     * @method false|int increment(string $column, float|int $amount = 1, array $extra = [])
     * @method false|int decrement(string $column, float|int $amount = 1, array $extra = [])
     * @method static _IH_InAppLiveClassMeeting_C|InAppLiveClassMeeting[] all()
     * @mixin _IH_InAppLiveClassMeeting_QB
     */
    class InAppLiveClassMeeting extends Model {}
    
    /**
     * @property int $id
     * @property int $meeting_id
     * @property int $user_id
     * @property Carbon|null $created_at
     * @property Carbon|null $updated_at
     * @method static _IH_InAppLiveClassMeetingUser_QB onWriteConnection()
     * @method _IH_InAppLiveClassMeetingUser_QB newQuery()
     * @method static _IH_InAppLiveClassMeetingUser_QB on(null|string $connection = null)
     * @method static _IH_InAppLiveClassMeetingUser_QB query()
     * @method static _IH_InAppLiveClassMeetingUser_QB with(array|string $relations)
     * @method _IH_InAppLiveClassMeetingUser_QB newModelQuery()
     * @method false|int increment(string $column, float|int $amount = 1, array $extra = [])
     * @method false|int decrement(string $column, float|int $amount = 1, array $extra = [])
     * @method static _IH_InAppLiveClassMeetingUser_C|InAppLiveClassMeetingUser[] all()
     * @ownLinks user_id,\App\User,id
     * @mixin _IH_InAppLiveClassMeetingUser_QB
     */
    class InAppLiveClassMeetingUser extends Model {}
}