<?php //fecb00e4bb0aff95ffb1e3d3710caad4
/** @noinspection all */

namespace Modules\Appearance\Entities {

    use App\Models\LmsInstitute;
    use Illuminate\Database\Eloquent\Model;
    use Illuminate\Database\Eloquent\Relations\BelongsTo;
    use Illuminate\Support\Carbon;
    use LaravelIdea\Helper\App\Models\_IH_LmsInstitute_QB;
    use LaravelIdea\Helper\Modules\Appearance\Entities\_IH_ThemeCustomize_C;
    use LaravelIdea\Helper\Modules\Appearance\Entities\_IH_ThemeCustomize_QB;
    use LaravelIdea\Helper\Modules\Appearance\Entities\_IH_Theme_C;
    use LaravelIdea\Helper\Modules\Appearance\Entities\_IH_Theme_QB;
    
    /**
     * @property int $id
     * @property int|null $user_id
     * @property string $name
     * @property string $title
     * @property string $image
     * @property string $version
     * @property string $folder_path
     * @property string $live_link
     * @property string $description
     * @property bool $is_active
     * @property bool $status
     * @property string|null $tags
     * @property Carbon|null $created_at
     * @property Carbon|null $updated_at
     * @property string|null $purchase_code
     * @property string|null $email
     * @property string|null $activated_date
     * @property string|null $item_code
     * @property string|null $checksum
     * @property string|null $installed_domain
     * @property LmsInstitute $institute
     * @method BelongsTo|_IH_LmsInstitute_QB institute()
     * @method static _IH_Theme_QB onWriteConnection()
     * @method _IH_Theme_QB newQuery()
     * @method static _IH_Theme_QB on(null|string $connection = null)
     * @method static _IH_Theme_QB query()
     * @method static _IH_Theme_QB with(array|string $relations)
     * @method _IH_Theme_QB newModelQuery()
     * @method false|int increment(string $column, float|int $amount = 1, array $extra = [])
     * @method false|int decrement(string $column, float|int $amount = 1, array $extra = [])
     * @method static _IH_Theme_C|Theme[] all()
     * @ownLinks user_id,\App\User,id
     * @foreignLinks id,\Modules\Appearance\Entities\ThemeCustomize,theme_id
     * @mixin _IH_Theme_QB
     */
    class Theme extends Model {}
    
    /**
     * @property int $id
     * @property string $name
     * @property int $theme_id
     * @property string $primary_color
     * @property string $secondary_color
     * @property bool $is_default
     * @property int $created_by
     * @property Carbon|null $created_at
     * @property Carbon|null $updated_at
     * @property string $footer_background_color
     * @property string $footer_headline_color
     * @property string $footer_text_color
     * @property string $footer_text_hover_color
     * @property string|null $theme_name
     * @property string|null $bg_color
     * @property LmsInstitute $institute
     * @method BelongsTo|_IH_LmsInstitute_QB institute()
     * @property Theme|null $theme
     * @method BelongsTo|_IH_Theme_QB theme()
     * @method static _IH_ThemeCustomize_QB onWriteConnection()
     * @method _IH_ThemeCustomize_QB newQuery()
     * @method static _IH_ThemeCustomize_QB on(null|string $connection = null)
     * @method static _IH_ThemeCustomize_QB query()
     * @method static _IH_ThemeCustomize_QB with(array|string $relations)
     * @method _IH_ThemeCustomize_QB newModelQuery()
     * @method false|int increment(string $column, float|int $amount = 1, array $extra = [])
     * @method false|int decrement(string $column, float|int $amount = 1, array $extra = [])
     * @method static _IH_ThemeCustomize_C|ThemeCustomize[] all()
     * @ownLinks theme_id,\Modules\Appearance\Entities\Theme,id
     * @mixin _IH_ThemeCustomize_QB
     */
    class ThemeCustomize extends Model {}
}