<?php //c18df4f89834305358455a161b835afe
/** @noinspection all */

namespace Modules\CertificatePro\Entities {

    use App\User;
    use Illuminate\Database\Eloquent\Model;
    use Illuminate\Database\Eloquent\Relations\BelongsTo;
    use Illuminate\Database\Eloquent\Relations\MorphToMany;
    use Illuminate\Support\Carbon;
    use LaravelIdea\Helper\App\_IH_User_QB;
    use LaravelIdea\Helper\Modules\CertificatePro\Entities\_IH_CertificateElement_C;
    use LaravelIdea\Helper\Modules\CertificatePro\Entities\_IH_CertificateElement_QB;
    use LaravelIdea\Helper\Modules\CertificatePro\Entities\_IH_CertificatePhoto_C;
    use LaravelIdea\Helper\Modules\CertificatePro\Entities\_IH_CertificatePhoto_QB;
    use LaravelIdea\Helper\Modules\CertificatePro\Entities\_IH_CertificateTemplate_C;
    use LaravelIdea\Helper\Modules\CertificatePro\Entities\_IH_CertificateTemplate_QB;
    use LaravelIdea\Helper\Modules\CertificatePro\Entities\_IH_CertificateText_C;
    use LaravelIdea\Helper\Modules\CertificatePro\Entities\_IH_CertificateText_QB;
    use LaravelIdea\Helper\Modules\Setting\Entities\_IH_UsedMedia_QB;
    use Modules\Setting\Entities\UsedMedia;
    
    /**
     * @property int $id
     * @property string $name
     * @property string $icon
     * @property Carbon|null $created_at
     * @property Carbon|null $updated_at
     * @method static _IH_CertificateElement_QB onWriteConnection()
     * @method _IH_CertificateElement_QB newQuery()
     * @method static _IH_CertificateElement_QB on(null|string $connection = null)
     * @method static _IH_CertificateElement_QB query()
     * @method static _IH_CertificateElement_QB with(array|string $relations)
     * @method _IH_CertificateElement_QB newModelQuery()
     * @method false|int increment(string $column, float|int $amount = 1, array $extra = [])
     * @method false|int decrement(string $column, float|int $amount = 1, array $extra = [])
     * @method static _IH_CertificateElement_C|CertificateElement[] all()
     * @mixin _IH_CertificateElement_QB
     */
    class CertificateElement extends Model {}
    
    /**
     * @property int $id
     * @property string|null $name
     * @property string|null $photo_id
     * @property string $photo
     * @property bool $is_dynamic
     * @property string|null $type
     * @property Carbon|null $created_at
     * @property Carbon|null $updated_at
     * @property string $is_background
     * @property string|null $batch_id
     * @property UsedMedia $photo_media
     * @method MorphToMany|_IH_UsedMedia_QB photo_media()
     * @method static _IH_CertificatePhoto_QB onWriteConnection()
     * @method _IH_CertificatePhoto_QB newQuery()
     * @method static _IH_CertificatePhoto_QB on(null|string $connection = null)
     * @method static _IH_CertificatePhoto_QB query()
     * @method static _IH_CertificatePhoto_QB with(array|string $relations)
     * @method _IH_CertificatePhoto_QB newModelQuery()
     * @method false|int increment(string $column, float|int $amount = 1, array $extra = [])
     * @method false|int decrement(string $column, float|int $amount = 1, array $extra = [])
     * @method static _IH_CertificatePhoto_C|CertificatePhoto[] all()
     * @mixin _IH_CertificatePhoto_QB
     */
    class CertificatePhoto extends Model {}
    
    /**
     * @property int $id
     * @property string $preview
     * @property string $json
     * @property string|null $title
     * @property string $default_for c=>course, q=>quiz, l=live class
     * @property Carbon|null $created_at
     * @property Carbon|null $updated_at
     * @property string|null $created_by
     * @property User|null $user
     * @method BelongsTo|_IH_User_QB user()
     * @method static _IH_CertificateTemplate_QB onWriteConnection()
     * @method _IH_CertificateTemplate_QB newQuery()
     * @method static _IH_CertificateTemplate_QB on(null|string $connection = null)
     * @method static _IH_CertificateTemplate_QB query()
     * @method static _IH_CertificateTemplate_QB with(array|string $relations)
     * @method _IH_CertificateTemplate_QB newModelQuery()
     * @method false|int increment(string $column, float|int $amount = 1, array $extra = [])
     * @method false|int decrement(string $column, float|int $amount = 1, array $extra = [])
     * @method static _IH_CertificateTemplate_C|CertificateTemplate[] all()
     * @mixin _IH_CertificateTemplate_QB
     */
    class CertificateTemplate extends Model {}
    
    /**
     * @property int $id
     * @property string $preview
     * @property string $text
     * @property Carbon|null $created_at
     * @property Carbon|null $updated_at
     * @method static _IH_CertificateText_QB onWriteConnection()
     * @method _IH_CertificateText_QB newQuery()
     * @method static _IH_CertificateText_QB on(null|string $connection = null)
     * @method static _IH_CertificateText_QB query()
     * @method static _IH_CertificateText_QB with(array|string $relations)
     * @method _IH_CertificateText_QB newModelQuery()
     * @method false|int increment(string $column, float|int $amount = 1, array $extra = [])
     * @method false|int decrement(string $column, float|int $amount = 1, array $extra = [])
     * @method static _IH_CertificateText_C|CertificateText[] all()
     * @mixin _IH_CertificateText_QB
     */
    class CertificateText extends Model {}
}