<?php //c813bce671e887c0182e171e2898f043
/** @noinspection all */

namespace Modules\UserGroup\Entities {

    use App\User;
    use Illuminate\Database\Eloquent\Model;
    use Illuminate\Database\Eloquent\Relations\BelongsTo;
    use Illuminate\Database\Eloquent\Relations\HasMany;
    use Illuminate\Support\Carbon;
    use LaravelIdea\Helper\App\_IH_User_QB;
    use LaravelIdea\Helper\Modules\UserGroup\Entities\_IH_UserGroupUser_C;
    use LaravelIdea\Helper\Modules\UserGroup\Entities\_IH_UserGroupUser_QB;
    use LaravelIdea\Helper\Modules\UserGroup\Entities\_IH_UserGroup_C;
    use LaravelIdea\Helper\Modules\UserGroup\Entities\_IH_UserGroup_QB;
    
    /**
     * @property int $id
     * @property string $title
     * @property float|null $discount
     * @property float|null $commission
     * @property bool $status
     * @property int|null $created_by
     * @property bool $is_visible
     * @property Carbon|null $created_at
     * @property Carbon|null $updated_at
     * @property _IH_UserGroupUser_C|UserGroupUser[] $users
     * @property-read int $users_count
     * @method HasMany|_IH_UserGroupUser_QB users()
     * @method static _IH_UserGroup_QB onWriteConnection()
     * @method _IH_UserGroup_QB newQuery()
     * @method static _IH_UserGroup_QB on(null|string $connection = null)
     * @method static _IH_UserGroup_QB query()
     * @method static _IH_UserGroup_QB with(array|string $relations)
     * @method _IH_UserGroup_QB newModelQuery()
     * @method false|int increment(string $column, float|int $amount = 1, array $extra = [])
     * @method false|int decrement(string $column, float|int $amount = 1, array $extra = [])
     * @method static _IH_UserGroup_C|UserGroup[] all()
     * @foreignLinks id,\Modules\UserGroup\Entities\UserGroupUser,user_groups_id
     * @mixin _IH_UserGroup_QB
     */
    class UserGroup extends Model {}
    
    /**
     * @property int $id
     * @property int $user_groups_id
     * @property int $user_id
     * @property Carbon|null $created_at
     * @property Carbon|null $updated_at
     * @property UserGroup $group
     * @method BelongsTo|_IH_UserGroup_QB group()
     * @property User $user
     * @method BelongsTo|_IH_User_QB user()
     * @method static _IH_UserGroupUser_QB onWriteConnection()
     * @method _IH_UserGroupUser_QB newQuery()
     * @method static _IH_UserGroupUser_QB on(null|string $connection = null)
     * @method static _IH_UserGroupUser_QB query()
     * @method static _IH_UserGroupUser_QB with(array|string $relations)
     * @method _IH_UserGroupUser_QB newModelQuery()
     * @method false|int increment(string $column, float|int $amount = 1, array $extra = [])
     * @method false|int decrement(string $column, float|int $amount = 1, array $extra = [])
     * @method static _IH_UserGroupUser_C|UserGroupUser[] all()
     * @ownLinks user_id,\App\User,id|user_groups_id,\Modules\UserGroup\Entities\UserGroup,id
     * @mixin _IH_UserGroupUser_QB
     */
    class UserGroupUser extends Model {}
}