<?php //3732f3b85b5b1eecacb69b9d3d137578
/** @noinspection all */

namespace Modules\Setting\Model {

    use App\Models\LmsInstitute;
    use Illuminate\Database\Eloquent\Model;
    use Illuminate\Database\Eloquent\Relations\BelongsTo;
    use Illuminate\Database\Eloquent\Relations\MorphToMany;
    use Illuminate\Support\Carbon;
    use LaravelIdea\Helper\App\Models\_IH_LmsInstitute_QB;
    use LaravelIdea\Helper\Modules\Localization\Entities\_IH_Language_QB;
    use LaravelIdea\Helper\Modules\Setting\Entities\_IH_UsedMedia_QB;
    use LaravelIdea\Helper\Modules\Setting\Model\_IH_BusinessSetting_C;
    use LaravelIdea\Helper\Modules\Setting\Model\_IH_BusinessSetting_QB;
    use LaravelIdea\Helper\Modules\Setting\Model\_IH_Currency_C;
    use LaravelIdea\Helper\Modules\Setting\Model\_IH_Currency_QB;
    use LaravelIdea\Helper\Modules\Setting\Model\_IH_DateFormat_C;
    use LaravelIdea\Helper\Modules\Setting\Model\_IH_DateFormat_QB;
    use LaravelIdea\Helper\Modules\Setting\Model\_IH_GeneralSetting_C;
    use LaravelIdea\Helper\Modules\Setting\Model\_IH_GeneralSetting_QB;
    use LaravelIdea\Helper\Modules\Setting\Model\_IH_SmsGateway_C;
    use LaravelIdea\Helper\Modules\Setting\Model\_IH_SmsGateway_QB;
    use LaravelIdea\Helper\Modules\Setting\Model\_IH_TimeZone_C;
    use LaravelIdea\Helper\Modules\Setting\Model\_IH_TimeZone_QB;
    use Modules\Localization\Entities\Language;
    use Modules\Setting\Entities\UsedMedia;
    
    /**
     * @property int $id
     * @property string $type
     * @property bool $status
     * @property Carbon|null $created_at
     * @property Carbon|null $updated_at
     * @property LmsInstitute $institute
     * @method BelongsTo|_IH_LmsInstitute_QB institute()
     * @method static _IH_BusinessSetting_QB onWriteConnection()
     * @method _IH_BusinessSetting_QB newQuery()
     * @method static _IH_BusinessSetting_QB on(null|string $connection = null)
     * @method static _IH_BusinessSetting_QB query()
     * @method static _IH_BusinessSetting_QB with(array|string $relations)
     * @method _IH_BusinessSetting_QB newModelQuery()
     * @method false|int increment(string $column, float|int $amount = 1, array $extra = [])
     * @method false|int decrement(string $column, float|int $amount = 1, array $extra = [])
     * @method static _IH_BusinessSetting_C|BusinessSetting[] all()
     * @mixin _IH_BusinessSetting_QB
     */
    class BusinessSetting extends Model {}
    
    /**
     * @property int $id
     * @property string|null $name
     * @property string|null $code
     * @property string|null $symbol
     * @property float $conversion_rate
     * @property bool $status
     * @property Carbon|null $created_at
     * @property Carbon|null $updated_at
     * @property LmsInstitute $institute
     * @method BelongsTo|_IH_LmsInstitute_QB institute()
     * @method static _IH_Currency_QB onWriteConnection()
     * @method _IH_Currency_QB newQuery()
     * @method static _IH_Currency_QB on(null|string $connection = null)
     * @method static _IH_Currency_QB query()
     * @method static _IH_Currency_QB with(array|string $relations)
     * @method _IH_Currency_QB newModelQuery()
     * @method false|int increment(string $column, float|int $amount = 1, array $extra = [])
     * @method false|int decrement(string $column, float|int $amount = 1, array $extra = [])
     * @method static _IH_Currency_C|Currency[] all()
     * @foreignLinks id,\App\User,currency_id
     * @mixin _IH_Currency_QB
     */
    class Currency extends Model {}
    
    /**
     * @property int $id
     * @property string|null $format
     * @property string|null $normal_view
     * @property int $status
     * @property int|null $created_by
     * @property int|null $updated_by
     * @property Carbon|null $created_at
     * @property Carbon|null $updated_at
     * @method static _IH_DateFormat_QB onWriteConnection()
     * @method _IH_DateFormat_QB newQuery()
     * @method static _IH_DateFormat_QB on(null|string $connection = null)
     * @method static _IH_DateFormat_QB query()
     * @method static _IH_DateFormat_QB with(array|string $relations)
     * @method _IH_DateFormat_QB newModelQuery()
     * @method false|int increment(string $column, float|int $amount = 1, array $extra = [])
     * @method false|int decrement(string $column, float|int $amount = 1, array $extra = [])
     * @method static _IH_DateFormat_C|DateFormat[] all()
     * @mixin _IH_DateFormat_QB
     */
    class DateFormat extends Model {}
    
    /**
     * @property int $id
     * @property string|null $site_title
     * @property string|null $company_info
     * @property string|null $zip_code
     * @property string|null $vat_number
     * @property string|null $address
     * @property string|null $phone
     * @property string|null $email
     * @property int|null $currency_id
     * @property string|null $logo
     * @property string|null $logo2
     * @property string|null $favicon
     * @property string|null $system_version
     * @property int|null $active_status
     * @property string|null $website_url
     * @property int $ttl_rtl
     * @property int $phone_number_privacy
     * @property int|null $language_id
     * @property int|null $date_format_id
     * @property string|null $software_version
     * @property string|null $mail_signature
     * @property string|null $mail_header
     * @property string|null $mail_footer
     * @property string|null $mail_protocol
     * @property int|null $time_zone_id
     * @property int|null $country_id
     * @property string|null $city
     * @property string|null $state
     * @property string $fb
     * @property string $twitter
     * @property string $youtube
     * @property string $linkedin
     * @property string $copyright_text
     * @property float $commission
     * @property bool $recapthca
     * @property string|null $recaptcha_key
     * @property string|null $recaptcha_secret
     * @property int $template_id 1 => Default Template, 2 => Dark Template & 3 => Dark Two Template
     * @property bool $instructor_reg
     * @property string|null $email_template
     * @property string|null $meta_keywords
     * @property string|null $meta_description
     * @property string $currency_conversion
     * @property int $device_limit
     * @property bool $email_notification
     * @property bool $show_drip 0 = all; 1=only unlocked
     * @property bool $AmazonS3
     * @property bool $BBB
     * @property bool $Sslcommerz
     * @property bool $Zoom
     * @property string|null $lat Latitude
     * @property string|null $lng Longitude
     * @property string|null $zoom_level Zoom Level
     * @property string|null $gmap_key Google Api Key
     * @property string|null $fixer_key Fixer Api Key
     * @property string $footer_about_title
     * @property string|null $footer_about_description
     * @property string|null $footer_copy_right
     * @property string $footer_section_one_title
     * @property string $footer_section_two_title
     * @property string $footer_section_three_title
     * @property Carbon|null $created_at
     * @property Carbon|null $updated_at
     * @property Currency|null $currency
     * @method BelongsTo|_IH_Currency_QB currency()
     * @property DateFormat|null $date_format
     * @method BelongsTo|_IH_DateFormat_QB date_format()
     * @property LmsInstitute $institute
     * @method BelongsTo|_IH_LmsInstitute_QB institute()
     * @property Language|null $language
     * @method BelongsTo|_IH_Language_QB language()
     * @property TimeZone|null $timezone
     * @method BelongsTo|_IH_TimeZone_QB timezone()
     * @property UsedMedia $value_media
     * @method MorphToMany|_IH_UsedMedia_QB value_media()
     * @method static _IH_GeneralSetting_QB onWriteConnection()
     * @method _IH_GeneralSetting_QB newQuery()
     * @method static _IH_GeneralSetting_QB on(null|string $connection = null)
     * @method static _IH_GeneralSetting_QB query()
     * @method static _IH_GeneralSetting_QB with(array|string $relations)
     * @method _IH_GeneralSetting_QB newModelQuery()
     * @method false|int increment(string $column, float|int $amount = 1, array $extra = [])
     * @method false|int decrement(string $column, float|int $amount = 1, array $extra = [])
     * @method static _IH_GeneralSetting_C|GeneralSetting[] all()
     * @mixin _IH_GeneralSetting_QB
     */
    class GeneralSetting extends Model {}
    
    /**
     * @property int $id
     * @property string|null $gateway_name
     * @property string|null $gateway_url
     * @property string|null $request_method
     * @property string|null $set_auth
     * @property string|null $send_to_parameter_name
     * @property string|null $message_to_parameter_name
     * @property string|null $gateway_logo
     * @property bool $status
     * @property Carbon|null $created_at
     * @property Carbon|null $updated_at
     * @property int $add_plus
     * @method static _IH_SmsGateway_QB onWriteConnection()
     * @method _IH_SmsGateway_QB newQuery()
     * @method static _IH_SmsGateway_QB on(null|string $connection = null)
     * @method static _IH_SmsGateway_QB query()
     * @method static _IH_SmsGateway_QB with(array|string $relations)
     * @method _IH_SmsGateway_QB newModelQuery()
     * @method false|int increment(string $column, float|int $amount = 1, array $extra = [])
     * @method false|int decrement(string $column, float|int $amount = 1, array $extra = [])
     * @method static _IH_SmsGateway_C|SmsGateway[] all()
     * @foreignLinks id,\Modules\Setting\Entities\SmsGatewayParameter,gateway_id
     * @mixin _IH_SmsGateway_QB
     */
    class SmsGateway extends Model {}
    
    /**
     * @property int $id
     * @property string|null $code
     * @property string|null $time_zone
     * @property Carbon|null $created_at
     * @property Carbon|null $updated_at
     * @method static _IH_TimeZone_QB onWriteConnection()
     * @method _IH_TimeZone_QB newQuery()
     * @method static _IH_TimeZone_QB on(null|string $connection = null)
     * @method static _IH_TimeZone_QB query()
     * @method static _IH_TimeZone_QB with(array|string $relations)
     * @method _IH_TimeZone_QB newModelQuery()
     * @method false|int increment(string $column, float|int $amount = 1, array $extra = [])
     * @method false|int decrement(string $column, float|int $amount = 1, array $extra = [])
     * @method static _IH_TimeZone_C|TimeZone[] all()
     * @mixin _IH_TimeZone_QB
     */
    class TimeZone extends Model {}
}